private rule architecture {
	meta:
		bits = 32
		endianness = "little"
		architecture = "ARM"
	condition:
		true
}

rule file_0_0_0 {
	meta:
		name = "??$__crt_interlocked_read@J@@YAJPDJ@Z"
		size = 34
		refs = "000c ?__crt_interlocked_read_32@@YAHPDH@Z"
		altNames = "??$__crt_interlocked_read@H@@YAHPDH@Z ??$__crt_interlocked_read_pointer@UHINSTANCE__@@@@YAPAUHINSTANCE__@@PDSAU0@@Z ??$__crt_interlocked_read_pointer@X@@YAPAXPDSAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_241_2 {
	meta:
		name = "??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ"
		size = 34
		refs = "000c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_408_29_0 {
	meta:
		name = "??$tcslen@AAY0BAF@D@?$__crt_char_traits@D@@SAIAAY0BAF@D@Z"
		size = 34
		refs = "000c strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_408_30_2 {
	meta:
		name = "??$tcslen@AAY0BAF@_W@?$__crt_char_traits@_W@@SAIAAY0BAF@_W@Z"
		size = 34
		refs = "000c wcslen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_404_6_2 {
	meta:
		name = "?appmodel_get_policy@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SAJPAW4AppPolicyThreadInitializationType@@@Z"
		size = 34
		refs = "000c __acrt_AppPolicyGetThreadInitializationTypeInternal"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_404_7_2 {
	meta:
		name = "?appmodel_get_policy@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SAJPAW4AppPolicyShowDeveloperDiagnostic@@@Z"
		size = 34
		refs = "000c __acrt_AppPolicyGetShowDeveloperDiagnosticInternal"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_404_8_0 {
	meta:
		name = "?appmodel_get_policy@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SAJPAW4AppPolicyProcessTerminationMethod@@@Z"
		size = 34
		refs = "000c __acrt_AppPolicyGetProcessTerminationMethodInternal"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_404_9_3 {
	meta:
		name = "?appmodel_get_policy@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SAJPAW4AppPolicyWindowingModel@@@Z"
		size = 34
		refs = "000c __acrt_AppPolicyGetWindowingModelInternal"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_91_34_4 {
	meta:
		name = "__wcserror"
		size = 34
		refs = "000c ??$common_strerror@_W@@YAPA_WQB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_45_2 {
	meta:
		name = "_configure_narrow_argv"
		size = 34
		refs = "000c ??$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_46_4 {
	meta:
		name = "_configure_wide_argv"
		size = 34
		refs = "000c ??$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_561_14_3 {
	meta:
		name = "_ctime32"
		size = 34
		refs = "000c ??$common_ctime@JD@@YAPADQBJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_561_16_3 {
	meta:
		name = "_ctime64"
		size = 34
		refs = "000c ??$common_ctime@_JD@@YAPADQB_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_71_8_0 {
	meta:
		name = "_filelength"
		size = 34
		refs = "000c ??$common_filelength@J@@YAJH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_3_3 {
	meta:
		name = "_ftime32_s"
		size = 34
		refs = "000c ??$common_ftime_s@JU__timeb32@@@@YAHQAU__timeb32@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_5_2 {
	meta:
		name = "_ftime64_s"
		size = 34
		refs = "000c ??$common_ftime_s@_JU__timeb64@@@@YAHQAU__timeb64@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_143_10_0 {
	meta:
		name = "_getc_nolock"
		size = 34
		refs = "000c _fgetc_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_140_14_2 {
	meta:
		name = "_gmtime32"
		size = 34
		refs = "000c ??$common_gmtime@J@@YAPAUtm@@QBJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_140_16_4 {
	meta:
		name = "_gmtime64"
		size = 34
		refs = "000c ??$common_gmtime@_J@@YAPAUtm@@QB_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_216_11_2 {
	meta:
		name = "_localtime32"
		size = 34
		refs = "000c ??$common_localtime@J@@YAPAUtm@@QBJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_216_13_3 {
	meta:
		name = "_localtime64"
		size = 34
		refs = "000c ??$common_localtime@_J@@YAPAUtm@@QB_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_324_12_4 {
	meta:
		name = "_mktemp"
		size = 34
		refs = "000c ??$common_mktemp@D@@YAPADQAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_294_4_4 {
	meta:
		name = "_strdate"
		size = 34
		refs = "000c ??$common_strdate@D@@YAPADQAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_91_38_3 {
	meta:
		name = "_strerror"
		size = 34
		refs = "000c ??$common_strerror@D@@YAPADQBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_473_4_0 {
	meta:
		name = "_strtime"
		size = 34
		refs = "000c ??$common_strtime@D@@YAPADQAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_595_4_2 {
	meta:
		name = "_time32"
		size = 34
		refs = "000c ??$common_time@J@@YAJQAJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_670_6_4 {
	meta:
		name = "_unlink"
		size = 34
		refs = "000c remove"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_593_22_2 {
	meta:
		name = "_wasctime"
		size = 34
		refs = "000c ??$common_asctime@_W@@YAPA_WQBUtm@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_161_23_3 {
	meta:
		name = "_wcserror"
		size = 34
		refs = "000c ??$common_strerror@_W@@YAPA_WH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_561_18_3 {
	meta:
		name = "_wctime32"
		size = 34
		refs = "000c ??$common_ctime@J_W@@YAPA_WQBJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_561_20_2 {
	meta:
		name = "_wctime64"
		size = 34
		refs = "000c ??$common_ctime@_J_W@@YAPA_WQB_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_324_14_0 {
	meta:
		name = "_wmktemp"
		size = 34
		refs = "000c ??$common_mktemp@_W@@YAPA_WQA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_294_6_0 {
	meta:
		name = "_wstrdate"
		size = 34
		refs = "000c ??$common_strdate@_W@@YAPA_WQA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_473_6_0 {
	meta:
		name = "_wstrtime"
		size = 34
		refs = "000c ??$common_strtime@_W@@YAPA_WQA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_164_1_3 {
	meta:
		name = "_wunlink"
		size = 34
		refs = "000c _wremove"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_593_24_3 {
	meta:
		name = "asctime"
		size = 34
		refs = "000c ??$common_asctime@D@@YAPADQBUtm@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_143_13_3 {
	meta:
		name = "getc"
		size = 34
		refs = "000c fgetc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_219_13_2 {
	meta:
		name = "putchar"
		size = 34
		refs = "000c _fputchar"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_161_25_2 {
	meta:
		name = "strerror"
		size = 34
		refs = "000c ??$common_strerror@D@@YAPADH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_0_1_0 {
	meta:
		name = "??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z"
		size = 32
		altNames = "??0?$__crt_scoped_stack_ptr@D@@QAA@U?$__crt_scoped_stack_ptr_tag@D@@@Z ??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z ??0?$__crt_scoped_stack_ptr_tag@D@@QAA@QAD@Z ??0?$__crt_scoped_stack_ptr_tag@_W@@QAA@QA_W@Z ??0?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAA@QAX@Z ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAA@QAX@Z ??0?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAA@QAUHINSTANCE__@@@Z ??0?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAA@QBD@Z ??0?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAA@QB_W@Z ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@QAD@Z ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@QAE@Z ??0?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAA@QAG@Z ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAA@QAJ@Z ??0?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QAA@QAP6AXXZ@Z ??0?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAA@QAPAD@Z ??0?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAA@QAPAU__crt_stdio_stream_data@@@Z ??0?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAA@QAPA_W@Z ??0?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QAA@QAU?$__crt_report_hook_node@D@@@Z ??0?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QAA@QAU?$__crt_report_hook_node@_W@@@Z ??0?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAA@QAU__acrt_ptd@@@Z ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAA@QAU__acrt_thread_parameter@@@Z ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAA@QAU__acrt_thread_parameter@@@Z ??0?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAA@QAU__crt_lc_time_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAA@QAU__crt_locale_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAA@QAU__crt_locale_pointers@@@Z ??0?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAA@QAU__crt_lowio_handle_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAA@QAU__crt_multibyte_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAA@QAU__crt_stdio_stream_data@@@Z ??0?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAA@QAUlconv@@@Z ??0?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAA@QAUtm@@@Z ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAA@QA_W@Z ??0?$string_output_adapter@D@__crt_stdio_output@@QAA@QAU?$string_output_adapter_context@D@1@@Z ??0?$string_output_adapter@_W@__crt_stdio_output@@QAA@QAU?$string_output_adapter_context@_W@1@@Z ??0__crt_stdio_stream@@QAA@QAU__crt_stdio_stream_data@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_0_2_0 {
	meta:
		name = "?__crt_interlocked_read_32@@YAHPDH@Z"
		size = 40
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 68 00 93 00 9B 01 93 BF F3 5B 8F 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_0_3_0 {
	meta:
		name = "?eof@__crt_stdio_stream@@QBA_NXZ"
		size = 44
		refs = "000e ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 08 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_0_4_0 {
	meta:
		name = "?error@__crt_stdio_stream@@QBA_NXZ"
		size = 44
		refs = "000e ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_0_5_0 {
	meta:
		name = "?get_flags@__crt_stdio_stream@@QBAJXZ"
		size = 40
		refs = "0012 ??$__crt_interlocked_read@J@@YAJPDJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 03 F1 0C 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_0_6_0 {
	meta:
		name = "?has_any_of@__crt_stdio_stream@@QBA_NJ@Z"
		size = 60
		refs = "000c ?get_flags@__crt_stdio_stream@@QBAJXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9A 07 9B 13 40 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_0_7_0 {
	meta:
		name = "feof"
		size = 160
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0076 ?eof@__crt_stdio_stream@@QBA_NXZ 0090 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0094 ??_C@_19LPGIFIDB@?$AAf?$AAe?$AAo?$AAf?$AA?$AA@ 0098 ??_C@_1GC@CMLBJHAF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 1A 4B 01 93 1C 4B 00 93 00 23 11 22 19 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 11 23 0F 4A 0D 49 0C 48 ?? ?? ?? ?? 00 23 05 93 0C E0 0C 99 09 A8 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 05 93 05 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_0_8_0 {
	meta:
		name = "ferror"
		size = 160
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0076 ?error@__crt_stdio_stream@@QBA_NXZ 0090 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0094 ??_C@_1O@MOPHEPGP@?$AAf?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0098 ??_C@_1GC@CMLBJHAF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 1A 4B 01 93 1C 4B 00 93 00 23 1B 22 19 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 1B 23 0F 4A 0D 49 0C 48 ?? ?? ?? ?? 00 23 05 93 0C E0 0C 99 09 A8 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 05 93 05 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_0_0 {
	meta:
		name = "_wcsset"
		size = 56
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 02 E0 00 9B 9B 1C 00 93 00 9B 1B 88 00 2B 04 D0 BD F8 14 20 00 9B 1A 80 F3 E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_0_0 {
	meta:
		name = "??$?RU__crt_multibyte_data@@@__crt_internal_free_policy@@QBAXQBU__crt_multibyte_data@@@Z"
		size = 24
		refs = "000c _free_dbg"
		altNames = "??$?RD@__crt_internal_free_policy@@QBAXQBD@Z ??$?RE@__crt_internal_free_policy@@QBAXQBE@Z ??$?RG@__crt_internal_free_policy@@QBAXQBG@Z ??$?RJ@__crt_internal_free_policy@@QBAXQBJ@Z ??$?RP6AXXZ@__crt_internal_free_policy@@QBAXQBQ6AXXZ@Z ??$?RPAD@__crt_internal_free_policy@@QBAXQBQAD@Z ??$?RPAU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QBAXQBQAU__crt_stdio_stream_data@@@Z ??$?RPA_W@__crt_internal_free_policy@@QBAXQBQA_W@Z ??$?RU?$__crt_report_hook_node@D@@@__crt_internal_free_policy@@QBAXQBU?$__crt_report_hook_node@D@@@Z ??$?RU?$__crt_report_hook_node@_W@@@__crt_internal_free_policy@@QBAXQBU?$__crt_report_hook_node@_W@@@Z ??$?RU__acrt_ptd@@@__crt_internal_free_policy@@QBAXQBU__acrt_ptd@@@Z ??$?RU__acrt_thread_parameter@@@__crt_internal_free_policy@@QBAXQBU__acrt_thread_parameter@@@Z ??$?RU__crt_lc_time_data@@@__crt_internal_free_policy@@QBAXQBU__crt_lc_time_data@@@Z ??$?RU__crt_locale_data@@@__crt_internal_free_policy@@QBAXQBU__crt_locale_data@@@Z ??$?RU__crt_locale_pointers@@@__crt_internal_free_policy@@QBAXQBU__crt_locale_pointers@@@Z ??$?RU__crt_lowio_handle_data@@@__crt_internal_free_policy@@QBAXQBU__crt_lowio_handle_data@@@Z ??$?RU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QBAXQBU__crt_stdio_stream_data@@@Z ??$?RUlconv@@@__crt_internal_free_policy@@QBAXQBUlconv@@@Z ??$?RUtm@@@__crt_internal_free_policy@@QBAXQBUtm@@@Z ??$?R_W@__crt_internal_free_policy@@QBAXQB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 21 03 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_4_0 {
	meta:
		name = "??$initialize_from_array@$$BY10BAA@E@?$dual_state_global@PAE@__crt_state_management@@QAAXAAY10BAA@E@Z"
		size = 80
		refs = "000c ?dangerous_get_state_array@?$dual_state_global@PAE@__crt_state_management@@QAAPAPAEXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 01 2B 0E D0 00 9A 4F F4 80 73 02 FB 03 F2 07 9B 99 18 00 9A 04 23 02 FB 03 F2 02 9B 13 44 19 60 EA E7 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_5_0 {
	meta:
		name = "??$initialize_from_array@$$BY10BAB@E@?$dual_state_global@PAE@__crt_state_management@@QAAXAAY10BAB@E@Z"
		size = 80
		refs = "000c ?dangerous_get_state_array@?$dual_state_global@PAE@__crt_state_management@@QAAPAPAEXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 01 2B 0E D0 00 9A 40 F2 01 13 02 FB 03 F2 07 9B 99 18 00 9A 04 23 02 FB 03 F2 02 9B 13 44 19 60 EA E7 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_10_0 {
	meta:
		name = "??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z"
		size = 212
		refs = "0022 memcpy 0028 __acrt_locale_changed 0046 __acrt_getptd 007c __acrt_update_locale_info 008a __acrt_update_multibyte_info 00d0 __acrt_initial_locale_pointers"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 0C 02 00 23 13 70 07 9B 00 2B 06 D0 07 99 06 9B 18 1D 08 22 ?? ?? ?? ?? 4B E0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 06 D1 06 9B 18 1D 24 49 08 22 ?? ?? ?? ?? 3C E0 ?? ?? ?? ?? 01 90 06 9A 01 9B 13 60 06 9B 1B 68 03 F1 4C 01 06 9B 1A 1D 0B 68 13 60 06 9B 1B 68 03 F1 48 01 06 9B 1B 1D 1A 1D 0B 68 13 60 06 9B 19 1D 06 9B 18 68 ?? ?? ?? ?? 06 9B 1B 1D 19 1D 06 9B 18 68 ?? ?? ?? ?? 06 9B 1B 68 03 F5 54 73 1B 68 13 F0 02 0F 10 D1 06 9B 1B 68 03 F5 54 73 1B 68 43 F0 02 02 06 9B 1B 68 03 F5 54 73 1A 60 06 9B 03 F1 0C 02 01 23 13 70 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_11_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_4_0 {
	meta:
		name = "??$multiply_ld12_by@$0BA@@@YAXQAU_LDBL12@@@Z"
		size = 22
		refs = "000a ??$shl_ld12@$03@@YAXQAU_LDBL12@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_37_2 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAA@XZ"
		size = 22
		refs = "000a ?close@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_55_4 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAA@XZ"
		size = 22
		refs = "000a ?close@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_649_12_4 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAA@XZ"
		size = 22
		refs = "000a ?close@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_44_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_45_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_326_8_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_47_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_16_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_11_7_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_59_4_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_130_21_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_40_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_303_15_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_41_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_553_30_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_553_31_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_80_27_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_674_7_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_674_8_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_193_8_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_455_37_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_455_38_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_179_2_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_26_5_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_59_5_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_140_8_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_161_9_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_353_13_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAA@XZ"
		size = 22
		refs = "000a ?release@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_325_0 {
	meta:
		name = "??1?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_326_4 {
	meta:
		name = "??1?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_327_4 {
	meta:
		name = "??1?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_328_2 {
	meta:
		name = "??1?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_329_0 {
	meta:
		name = "??1?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$common_data@D@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_330_3 {
	meta:
		name = "??1?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$common_data@D@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_331_0 {
	meta:
		name = "??1?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$common_data@_W@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_332_2 {
	meta:
		name = "??1?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$common_data@_W@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_333_2 {
	meta:
		name = "??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_334_4 {
	meta:
		name = "??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_335_3 {
	meta:
		name = "??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_336_4 {
	meta:
		name = "??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_337_0 {
	meta:
		name = "??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_338_3 {
	meta:
		name = "??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_339_3 {
	meta:
		name = "??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_340_0 {
	meta:
		name = "??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_341_4 {
	meta:
		name = "??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_342_0 {
	meta:
		name = "??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_343_2 {
	meta:
		name = "??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_344_2 {
	meta:
		name = "??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_345_3 {
	meta:
		name = "??1?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_346_4 {
	meta:
		name = "??1?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_347_4 {
	meta:
		name = "??1?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_348_0 {
	meta:
		name = "??1?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_176_4 {
	meta:
		name = "??1?$scanset_buffer@_W@__crt_stdio_input@@QAA@XZ"
		size = 22
		refs = "000a ??1?$scanset_storage@$01@__crt_stdio_input@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_177_4 {
	meta:
		name = "??1?$scanset_storage@$01@__crt_stdio_input@@QAA@XZ"
		size = 22
		refs = "000a ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_349_4 {
	meta:
		name = "??1?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_350_2 {
	meta:
		name = "??1?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_351_2 {
	meta:
		name = "??1?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_352_3 {
	meta:
		name = "??1?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
		size = 22
		refs = "000a ??1?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_153_0_0 {
	meta:
		name = "_aligned_free"
		size = 22
		refs = "000a _aligned_free_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_674_24_0 {
	meta:
		name = "_endthreadex"
		size = 22
		refs = "000a ?common_end_thread@@YAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_2_2 {
	meta:
		name = "_ftime32"
		size = 22
		refs = "000a _ftime32_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_4_2 {
	meta:
		name = "_ftime64"
		size = 22
		refs = "000a _ftime64_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_42_4_2 {
	meta:
		name = "clearerr"
		size = 22
		refs = "000a clearerr_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_12_0 {
	meta:
		name = "??1_LocaleUpdate@@QAA@XZ"
		size = 50
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 0C 33 1B 78 00 2B 0B D0 02 9B 1B 68 03 F5 54 73 1B 68 23 F0 02 02 02 9B 1B 68 03 F5 54 73 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_13_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_58_4 {
	meta:
		name = "??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_672_6_3 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_353_14_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_19_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_48_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_49_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_553_32_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_553_33_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_80_29_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_674_9_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_193_9_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_455_40_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_455_41_3 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_179_3_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_353_15_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBA_NXZ"
		size = 42
		refs = "000c ?is_valid@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_17_0 {
	meta:
		name = "?CPtoLocaleName@@YAPB_WH@Z"
		size = 124
		refs = "0078 ?_mb_locale_names@@3QBQB_WB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 00 9A 40 F2 B5 33 9A 42 0D DC 00 9A 40 F2 B5 33 9A 42 17 D0 00 9B B3 F5 69 7F 0A D0 00 9B B3 F5 6A 7F 0A D0 18 E0 00 9A 40 F2 B6 33 9A 42 0E D0 12 E0 0D 4B 1B 68 01 93 10 E0 0B 4B 1B 1D 1B 68 01 93 0B E0 09 4B 08 33 1B 68 01 93 06 E0 06 4B 0C 33 1B 68 01 93 01 E0 00 23 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_18_0 {
	meta:
		name = "?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ"
		size = 28
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_19_0 {
	meta:
		name = "?dangerous_get_state_array@?$dual_state_global@PAE@__crt_state_management@@QAAPAPAEXZ"
		size = 26
		altNames = "?dangerous_get_state_array@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAAPAP6AXPB_W00II@ZXZ ?dangerous_get_state_array@?$dual_state_global@PAPAD@__crt_state_management@@QAAPAPAPADXZ ?dangerous_get_state_array@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAAPAPAU__crt_locale_data@@XZ ?dangerous_get_state_array@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAAPAPAU__crt_multibyte_data@@XZ ?data@?$scanset_storage@$00@__crt_stdio_input@@QBAPAEXZ ?get_address_of@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAAPAPAUHINSTANCE__@@XZ ?get_address_of@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAAPAPAPADXZ ?get_address_of@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAAPAPAPA_WXZ ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAAPAPA_WXZ __acrt_fenv_get_fp_status_word_from_exception_mask"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_21_0 {
	meta:
		name = "?detach@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAAPAU__crt_multibyte_data@@XZ"
		size = 38
		altNames = "?detach@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAAPBDXZ ?detach@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAAPB_WXZ ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAPADXZ ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAPAEXZ ?detach@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAAPAGXZ ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAAPAJXZ ?detach@?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QAAPAP6AXXZXZ ?detach@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAAPAPADXZ ?detach@?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAAPAPAU__crt_stdio_stream_data@@XZ ?detach@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ ?detach@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QAAPAU?$__crt_report_hook_node@D@@XZ ?detach@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QAAPAU?$__crt_report_hook_node@_W@@XZ ?detach@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAAPAU__acrt_ptd@@XZ ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAAPAU__acrt_thread_parameter@@XZ ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAAPAU__acrt_thread_parameter@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAAPAU__crt_lc_time_data@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAAPAU__crt_locale_data@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAAPAU__crt_locale_pointers@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAAPAU__crt_lowio_handle_data@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAAPAU__crt_stdio_stream_data@@XZ ?detach@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAAPAUlconv@@XZ ?detach@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAAPAUtm@@XZ ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ ?detach@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 93 04 9A 00 23 13 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_22_0 {
	meta:
		name = "?get@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBAPAU__crt_multibyte_data@@XZ"
		size = 28
		altNames = "??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ ?begin@?$argument_list@D@?A0x5f5c8891@@QBAPAPADXZ ?begin@?$argument_list@_W@?A0x5f5c8891@@QBAPAPA_WXZ ?get@?$__crt_scoped_stack_ptr@D@@QBAPADXZ ?get@?$__crt_scoped_stack_ptr@_W@@QBAPA_WXZ ?get@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QBAPAXXZ ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBAPAXXZ ?get@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QBAPAUHINSTANCE__@@XZ ?get@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QBAPBDXZ ?get@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QBAPB_WXZ ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ ?get@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBAPADXZ ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBAPAEXZ ?get@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBAPAPADXZ ?get@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBAPAPA_WXZ ?get@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QBAPAU?$__crt_report_hook_node@D@@XZ ?get@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QBAPAU?$__crt_report_hook_node@_W@@XZ ?get@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBAPAU__acrt_ptd@@XZ ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBAPAU__acrt_thread_parameter@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBAPAU__crt_lc_time_data@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBAPAU__crt_locale_data@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBAPAU__crt_locale_pointers@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBAPAU__crt_lowio_handle_data@@XZ ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ ?get@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBAPA_WXZ ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ ?save_state@?$c_string_character_source@D@__crt_strtox@@QBAPBDXZ ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBAPB_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_23_0 {
	meta:
		name = "?getSystemCP@@YAHH@Z"
		size = 192
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 003a ??1_LocaleUpdate@@QAA@XZ 007e ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00b4 ?fSystemSet@@3HA 00b8 __imp_GetACP 00bc __imp_GetOEMCP"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 00 23 01 93 01 99 0A A8 ?? ?? ?? ?? 09 90 26 4A 00 23 13 60 10 9B 13 F1 02 0F 0F D1 23 4A 01 23 13 60 23 4B 1B 68 98 47 02 90 02 9B 03 93 0A A8 ?? ?? ?? ?? 03 9B 00 93 31 E0 29 E0 10 9B 13 F1 03 0F 0F D1 19 4A 01 23 13 60 18 4B 1B 68 98 47 04 90 04 9B 05 93 0A A8 ?? ?? ?? ?? 05 9B 00 93 1D E0 15 E0 10 9B 13 F1 04 0F 11 D1 0F 4A 01 23 13 60 0A A8 ?? ?? ?? ?? 06 90 06 9B 1B 68 08 33 1B 68 07 93 0A A8 ?? ?? ?? ?? 07 9B 00 93 06 E0 10 9B 08 93 0A A8 ?? ?? ?? ?? 08 9B 00 93 00 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_24_0 {
	meta:
		name = "?get_current_state_index@__crt_state_management@@YAIXZ"
		size = 20
		altNames = "?get_invalid_value@__crt_hmodule_traits@@SAPAUHINSTANCE__@@XZ __acrt_eagerly_load_locale_apis"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 23 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_2_25_0 {
	meta:
		name = "?initialize@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAAXQAU__crt_multibyte_data@@@Z"
		size = 50
		altNames = "?initialize@?$dual_state_global@H@__crt_state_management@@QAAXH@Z ?initialize@?$dual_state_global@J@__crt_state_management@@QAAXJ@Z ?initialize@?$dual_state_global@P6AHI@Z@__crt_state_management@@QAAXQ6AHI@Z@Z ?initialize@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAAXQ6AHPAU_exception@@@Z@Z ?initialize@?$dual_state_global@P6AXH@Z@__crt_state_management@@QAAXQ6AXH@Z@Z ?initialize@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAAXQAU__crt_locale_data@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 02 E0 00 9B 1B 1D 00 93 04 9B 1A 1D 00 9B 93 42 03 D0 05 9A 00 9B 1A 60 F3 E7 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_26_0 {
	meta:
		name = "?is_valid@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBA_NXZ"
		size = 50
		altNames = "??B?$__crt_scoped_stack_ptr@D@@QBA_NXZ ??B?$__crt_scoped_stack_ptr@_W@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBA_NXZ ?valid@__crt_stdio_stream@@QBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_27_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RU__crt_multibyte_data@@@__crt_internal_free_policy@@QBAXQBU__crt_multibyte_data@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_68_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RD@__crt_internal_free_policy@@QBAXQBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_69_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?R_W@__crt_internal_free_policy@@QBAXQB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_74_6_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RD@__crt_internal_free_policy@@QBAXQBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_71_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RD@__crt_public_free_policy@@QBAXQBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_321_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RE@__crt_internal_free_policy@@QBAXQBE@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_11_13_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RG@__crt_internal_free_policy@@QBAXQBG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_59_8_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RJ@__crt_internal_free_policy@@QBAXQBJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_130_34_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RP6AXXZ@__crt_internal_free_policy@@QBAXQBQ6AXXZ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_81_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RPAD@__crt_internal_free_policy@@QBAXQBQAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_303_26_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RPAU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QBAXQBQAU__crt_stdio_stream_data@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_82_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RPA_W@__crt_internal_free_policy@@QBAXQBQA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_553_52_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RU?$__crt_report_hook_node@D@@@__crt_internal_free_policy@@QBAXQBU?$__crt_report_hook_node@D@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_553_53_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RU?$__crt_report_hook_node@_W@@@__crt_internal_free_policy@@QBAXQBU?$__crt_report_hook_node@_W@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_80_54_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RU__acrt_ptd@@@__crt_internal_free_policy@@QBAXQBU__acrt_ptd@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_674_19_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RU__acrt_thread_parameter@@@__crt_internal_free_policy@@QBAXQBU__acrt_thread_parameter@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_674_20_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAAXXZ"
		size = 36
		refs = "0010 ??Rthread_parameter_free_policy@?A0x4e93fcdd@@QAAXQAU__acrt_thread_parameter@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_193_16_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RU__crt_lc_time_data@@@__crt_internal_free_policy@@QBAXQBU__crt_lc_time_data@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_455_69_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RU__crt_locale_data@@@__crt_internal_free_policy@@QBAXQBU__crt_locale_data@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_455_70_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RU__crt_locale_pointers@@@__crt_internal_free_policy@@QBAXQBU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_179_7_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RU__crt_lowio_handle_data@@@__crt_internal_free_policy@@QBAXQBU__crt_lowio_handle_data@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_26_18_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QBAXQBU__crt_stdio_stream_data@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_59_9_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RUlconv@@@__crt_internal_free_policy@@QBAXQBUlconv@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_140_12_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?RUtm@@@__crt_internal_free_policy@@QBAXQBUtm@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_326_19_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?R_W@__crt_internal_free_policy@@QBAXQB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_90_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAAXXZ"
		size = 36
		refs = "0010 ??$?R_W@__crt_public_free_policy@@QBAXQB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 68 46 ?? ?? ?? ?? 04 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_28_0 {
	meta:
		name = "?setSBCS@@YAXPAU__crt_multibyte_data@@@Z"
		size = 252
		refs = "00f8 __acrt_initial_multibyte_data"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 40 F2 01 13 9A 42 0A DA 04 9B 03 F1 18 01 00 9A 01 23 02 FB 03 F3 CA 18 00 23 13 70 EC E7 04 9B 1A 1D 00 23 13 60 04 9B 03 F1 08 02 00 23 13 60 04 9B 03 F5 07 72 00 23 13 60 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 06 2B 0A DA 04 9B 03 F1 0C 01 00 9A 02 23 02 FB 03 F3 CA 18 00 23 13 80 EE E7 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 40 F2 01 13 9A 42 11 DA 00 9A 01 23 02 FB 03 F2 17 4B 18 33 98 18 04 9B 03 F1 18 01 00 9A 01 23 02 FB 03 F3 CA 18 03 78 13 70 E5 E7 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B B3 F5 80 7F 12 DA 00 9A 01 23 02 FB 03 F2 09 4B 03 F2 19 13 98 18 04 9B 03 F2 19 11 00 9A 01 23 02 FB 03 F3 CA 18 03 78 13 70 E5 E7 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_29_0 {
	meta:
		name = "?setSBUpLow@@YAXPAU__crt_multibyte_data@@@Z"
		size = 796
		refs = "0008 __security_push_cookie 00c0 __acrt_GetStringTypeA 00f4 __acrt_LCMapStringA 030a __security_pop_cookie 0318 __imp_GetCPInfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F2 44 7D 0A A9 DD F8 50 37 1B 1D 18 68 BF 4B 1B 68 98 47 08 90 08 9B 00 2B 00 F0 00 81 00 23 06 93 02 E0 06 9B 5B 1C 06 93 06 9B B3 F5 80 7F 09 D2 06 9B D9 B2 06 9A 01 23 02 FB 03 F2 10 AB 13 44 19 70 EE E7 10 AA 20 23 13 70 0D F1 2E 03 07 93 02 E0 07 9B 9B 1C 07 93 07 9B 1B 78 00 2B 1A D0 07 9B 1B 78 06 93 02 E0 06 9B 5B 1C 06 93 07 9B 5B 1C 1A 78 06 9B 93 42 0C D8 06 9B B3 F5 80 7F 08 D2 06 9A 01 23 02 FB 03 F2 10 AB 1A 44 20 23 13 70 E9 E7 DD E7 00 23 02 93 DD F8 50 37 1B 1D 1B 68 01 93 D0 AB 00 93 4F F4 80 73 10 AA 01 21 00 20 ?? ?? ?? ?? 00 23 04 93 DD F8 50 37 1B 1D 1B 68 03 93 4F F4 80 73 02 93 50 AB 01 93 4F F4 80 73 00 93 10 AB 4F F4 80 72 DD F8 50 17 01 F5 07 71 09 68 00 20 ?? ?? ?? ?? 00 23 04 93 DD F8 50 37 1B 1D 1B 68 03 93 4F F4 80 73 02 93 90 AB 01 93 4F F4 80 73 00 93 10 AB 4F F4 00 72 DD F8 50 17 01 F5 07 71 09 68 00 20 ?? ?? ?? ?? 00 23 06 93 02 E0 06 9B 5B 1C 06 93 06 9B B3 F5 80 7F 73 D2 06 9A 02 23 02 FB 03 F2 D0 AB 13 44 1B 88 13 F0 01 0F 29 D0 DD F8 50 37 03 F1 18 01 06 9B 5A 1C 01 23 02 FB 03 F3 0B 44 1B 78 43 F0 10 01 06 9B 5A 1C 01 23 02 FB 03 F2 DD F8 50 37 18 33 1A 44 CB B2 13 70 06 9A 01 23 02 FB 03 F2 50 AB 98 18 DD F8 50 37 03 F2 19 11 06 9A 01 23 02 FB 03 F3 CA 18 03 78 13 70 3E E0 06 9A 02 23 02 FB 03 F2 D0 AB 13 44 1B 88 13 F0 02 0F 29 D0 DD F8 50 37 03 F1 18 01 06 9B 5A 1C 01 23 02 FB 03 F3 0B 44 1B 78 43 F0 20 01 06 9B 5A 1C 01 23 02 FB 03 F2 DD F8 50 37 18 33 1A 44 CB B2 13 70 06 9A 01 23 02 FB 03 F2 90 AB 98 18 DD F8 50 37 03 F2 19 11 06 9A 01 23 02 FB 03 F3 CA 18 03 78 13 70 0A E0 DD F8 50 37 03 F2 19 11 06 9A 01 23 02 FB 03 F3 CA 18 00 23 13 70 84 E7 6D E0 00 23 06 93 02 E0 06 9B 5B 1C 06 93 06 9B B3 F5 80 7F 63 D2 06 9B 41 2B 28 D3 06 9B 5A 2B 25 D8 DD F8 50 37 03 F1 18 01 06 9B 5A 1C 01 23 02 FB 03 F3 0B 44 1B 78 43 F0 10 01 06 9B 5A 1C 01 23 02 FB 03 F2 DD F8 50 37 18 33 1A 44 CB B2 13 70 06 9B 20 33 D8 B2 DD F8 50 37 03 F2 19 11 06 9A 01 23 02 FB 03 F3 0B 44 18 70 36 E0 06 9B 61 2B 28 D3 06 9B 7A 2B 25 D8 DD F8 50 37 03 F1 18 01 06 9B 5A 1C 01 23 02 FB 03 F3 0B 44 1B 78 43 F0 20 01 06 9B 5A 1C 01 23 02 FB 03 F2 DD F8 50 37 18 33 1A 44 CB B2 13 70 06 9B 20 3B D8 B2 DD F8 50 37 03 F2 19 11 06 9A 01 23 02 FB 03 F3 0B 44 18 70 0A E0 DD F8 50 37 03 F2 19 11 06 9A 01 23 02 FB 03 F3 CA 18 00 23 13 70 94 E7 0D F2 44 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_30_0 {
	meta:
		name = "?setmbcp_internal@@YAHH_NQAU__acrt_ptd@@QAPAU__crt_multibyte_data@@@Z"
		size = 440
		refs = "0010 ?update_thread_multibyte_data_internal@@YAPAU__crt_multibyte_data@@QAU__acrt_ptd@@QAU1@@Z 0016 ?getSystemCP@@YAHH@Z 0042 _malloc_dbg 004c ??0?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAA@QAU__crt_multibyte_data@@@Z 0052 ??B?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBA_NXZ 006a ??1?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAA@XZ 0076 ?get@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBAPAU__crt_multibyte_data@@XZ 0088 memcpy 00a6 _setmbcp_nolock 00b8 _errno 00de __acrt_set_locale_changed 011c _free_dbg 0130 ?detach@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAAPAU__crt_multibyte_data@@XZ 016e ??0<lambda_6c10a39a819b864ce80acc26b314dcd3>@@QAA@ABQAU__acrt_ptd@@ABQAPAU__crt_multibyte_data@@@Z 0178 ??$__acrt_lock_and_call@V<lambda_6c10a39a819b864ce80acc26b314dcd3>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_6c10a39a819b864ce80acc26b314dcd3>@@@Z 01a8 __acrt_initial_locale_pointers 01ac __globallocalestatus 01b0 __acrt_initial_multibyte_data 01b4 ??_C@_0DE@HGDKNBFD@minkernel?2crts?2ucrt?2src?2appcrt?2m@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 1B 9B 19 68 1A 98 ?? ?? ?? ?? 18 98 ?? ?? ?? ?? 05 90 05 9B 04 93 1A 9B 48 33 1B 68 1B 1D 04 9A 1B 68 9A 42 02 D1 00 23 02 93 B1 E0 4F F4 0F 73 5E 4A 02 21 4F F4 08 70 ?? ?? ?? ?? 06 90 06 99 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 00 2B 08 D1 6F F0 00 03 07 93 68 46 ?? ?? ?? ?? 07 9B 02 93 92 E0 68 46 ?? ?? ?? ?? 08 90 1A 9B 48 33 19 68 08 98 4F F4 08 72 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 09 90 09 9A 00 23 13 60 68 46 ?? ?? ?? ?? 0A 90 0A 99 04 98 ?? ?? ?? ?? 0B 90 0B 9B 03 93 03 9B B3 F1 FF 3F 0E D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 6F F0 00 03 0D 93 68 46 ?? ?? ?? ?? 0D 9B 02 93 61 E0 9D F8 64 30 00 2B 01 D1 ?? ?? ?? ?? BF F3 5B 8F 1A 9B 48 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 0E 93 BF F3 5B 8F 0E 9B 00 2B 0B D1 1A 9B 48 33 1A 68 28 4B 9A 42 05 D0 02 21 1A 9B 48 33 18 68 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 0F 90 0F 9A 01 23 13 60 68 46 ?? ?? ?? ?? 10 90 1A 9B 03 F1 48 02 10 9B 13 60 1A 9B 03 F5 54 73 1B 68 13 F0 02 0F 04 D1 17 4B 1B 68 13 F0 01 0F 07 D0 03 9B 11 93 68 46 ?? ?? ?? ?? 11 9B 02 93 18 E0 1B AA 1A A9 14 A8 ?? ?? ?? ?? 12 90 12 99 05 20 ?? ?? ?? ?? 9D F8 64 30 00 2B 03 D0 1B 9B 1A 68 07 4B 5A 60 03 9B 13 93 68 46 ?? ?? ?? ?? 13 9B 02 93 02 98 16 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_31_0 {
	meta:
		name = "?update_thread_multibyte_data_internal@@YAPAU__crt_multibyte_data@@QAU__acrt_ptd@@QAU1@@Z"
		size = 212
		refs = "0030 __acrt_lock 0078 _free_dbg 00a4 __acrt_unlock 00b8 abort 00cc __acrt_initial_multibyte_data 00d0 __globallocalestatus"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 00 23 3B 60 BB 69 03 F5 54 73 1A 68 2D 4B 1B 68 13 40 00 2B 04 D0 BB 69 4C 33 1B 68 00 2B 3D D1 05 20 ?? ?? ?? ?? BB 69 48 33 1B 68 3B 60 3A 68 FB 69 9A 42 2E D0 3B 68 00 2B 18 D0 BF F3 5B 8F 39 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 7B 60 BF F3 5B 8F 7B 68 00 2B 07 D1 3A 68 17 4B 9A 42 03 D0 02 21 38 68 ?? ?? ?? ?? BB 69 03 F1 48 02 FB 69 13 60 FB 69 3B 60 BF F3 5B 8F 39 68 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 05 20 ?? ?? ?? ?? 03 E0 BB 69 48 33 1B 68 3B 60 3B 68 00 2B 01 D1 ?? ?? ?? ?? 3B 68 BB 60 B8 68 03 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_33_0 {
	meta:
		name = "?value@?$dual_state_global@PAE@__crt_state_management@@QAAAAPAEXZ"
		size = 42
		refs = "000a ?get_current_state_index@__crt_state_management@@YAIXZ"
		altNames = "?value@?$dual_state_global@H@__crt_state_management@@QAAAAHXZ ?value@?$dual_state_global@J@__crt_state_management@@QAAAAJXZ ?value@?$dual_state_global@P6AHI@Z@__crt_state_management@@QAAAAP6AHI@ZXZ ?value@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAAAAP6AHPAU_exception@@@ZXZ ?value@?$dual_state_global@P6AXH@Z@__crt_state_management@@QAAAAP6AXH@ZXZ ?value@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAAAAP6AXPB_W00II@ZXZ ?value@?$dual_state_global@PAPAD@__crt_state_management@@QAAAAPAPADXZ ?value@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAAAAPAU__crt_locale_data@@XZ ?value@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAAAAPAU__crt_multibyte_data@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 04 99 00 9A 04 23 02 FB 03 F3 0B 44 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_2_35_0 {
	meta:
		name = "__acrt_initialize_multibyte"
		size = 164
		refs = "0014 ?initialize@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAAXQAU__crt_multibyte_data@@@Z 001c ??$initialize_from_array@$$BY10BAA@E@?$dual_state_global@PAE@__crt_state_management@@QAAXAAY10BAA@E@Z 0024 ??$initialize_from_array@$$BY10BAB@E@?$dual_state_global@PAE@__crt_state_management@@QAAXAAY10BAB@E@Z 0028 __acrt_getptd_head 0046 ?dangerous_get_state_array@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAAPAPAU__crt_multibyte_data@@XZ 006c ?setmbcp_internal@@YAHH_NQAU__acrt_ptd@@QAPAU__crt_multibyte_data@@@Z 0088 ?initialized@?1??__acrt_initialize_multibyte@@9@4_NA 008c __acrt_current_multibyte_data 0090 _mbctype 0094 _mbctypes 0098 _mbcasemap 009c _mbcasemaps 00a0 __acrt_initial_multibyte_data"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 1F 4B 1B 78 00 2B 33 D1 23 49 1E 48 ?? ?? ?? ?? 20 49 1F 48 ?? ?? ?? ?? 1C 49 1B 48 ?? ?? ?? ?? ?? ?? ?? ?? 01 90 01 9B 03 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 01 2B 16 D0 11 48 ?? ?? ?? ?? 02 90 00 9A 04 23 02 FB 03 F2 02 9B 13 44 00 99 4F F4 59 72 01 FB 02 F1 03 9A 0A 44 01 21 6F F0 02 00 ?? ?? ?? ?? E2 E7 05 4A 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 06 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_36_0 {
	meta:
		name = "__acrt_locale_changed"
		size = 48
		refs = "002c __acrt_locale_changed_data"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 08 4B 1B 68 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_37_0 {
	meta:
		name = "__acrt_update_thread_multibyte_data"
		size = 52
		refs = "000a ?value@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAAAAPAU__crt_multibyte_data@@XZ 0010 __acrt_getptd 001c ?update_thread_multibyte_data_internal@@YAPAU__crt_multibyte_data@@QAU__acrt_ptd@@QAU1@@Z 0030 __acrt_current_multibyte_data"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 09 48 ?? ?? ?? ?? 00 90 ?? ?? ?? ?? 01 90 00 9B 19 68 01 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_38_0 {
	meta:
		name = "__p__mbcasemap"
		size = 36
		refs = "000a ?value@?$dual_state_global@PAE@__crt_state_management@@QAAAAPAEXZ 0020 _mbcasemap"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 05 48 ?? ?? ?? ?? 00 90 00 9B 1B 68 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_39_0 {
	meta:
		name = "__p__mbctype"
		size = 36
		refs = "000a ?value@?$dual_state_global@PAE@__crt_state_management@@QAAAAPAEXZ 0020 _mbctype"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 05 48 ?? ?? ?? ?? 00 90 00 9B 1B 68 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_236_11_0 {
	meta:
		name = "__tzname"
		size = 36
		refs = "000a ?value@?$dual_state_global@PAPAD@__crt_state_management@@QAAAAPAPADXZ 0020 ?_tzname@@3V?$dual_state_global@PAPAD@__crt_state_management@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 05 48 ?? ?? ?? ?? 00 90 00 9B 1B 68 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_40_0 {
	meta:
		name = "_getmbcp"
		size = 106
		refs = "0010 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0040 ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 00 23 01 93 01 99 06 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 02 90 02 9B 1B 1D 1B 68 08 33 1B 68 00 2B 10 D0 06 A8 ?? ?? ?? ?? 03 90 03 9B 1B 1D 1B 68 1B 1D 1B 68 04 93 06 A8 ?? ?? ?? ?? 04 9B 00 93 0B E0 07 E0 00 23 05 93 06 A8 ?? ?? ?? ?? 05 9B 00 93 02 E0 06 A8 ?? ?? ?? ?? 00 98 0A B0 BD E8 00 88 }
	condition:
		$1
}

rule file_2_41_0 {
	meta:
		name = "_setmbcp"
		size = 60
		refs = "000c ?value@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAAAAPAU__crt_multibyte_data@@XZ 0012 __acrt_getptd 0020 ?setmbcp_internal@@YAHH_NQAU__acrt_ptd@@QAPAU__crt_multibyte_data@@@Z 0038 __acrt_current_multibyte_data"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 0B 48 ?? ?? ?? ?? 00 90 ?? ?? ?? ?? 01 90 00 9B 01 9A 00 21 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_42_0 {
	meta:
		name = "_setmbcp_nolock"
		size = 888
		refs = "0008 __security_push_cookie 0010 ?getSystemCP@@YAHH@Z 0022 ?setSBCS@@YAXPAU__crt_multibyte_data@@@Z 0146 ?CPtoLocaleName@@YAPB_WH@Z 0198 ?setSBUpLow@@YAXPAU__crt_multibyte_data@@@Z 0358 __security_pop_cookie 0364 ?fSystemSet@@3HA 0368 __imp_GetCPInfo 036c __imp_IsValidCodePage 0370 ?__rgcode_page_info@@3PAUcode_page_info@@A 0374 ?__rgctypeflag@@3PADA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 91 B0 14 98 ?? ?? ?? ?? 06 90 06 9B 14 93 14 9B 00 2B 05 D1 15 98 ?? ?? ?? ?? 00 23 05 93 93 E1 00 23 03 93 02 E0 03 9B 5B 1C 03 93 03 9B 05 2B 80 F0 B2 80 03 9A 30 23 02 FB 03 F2 C9 4B 13 44 1A 68 14 9B 9A 42 40 F0 A6 80 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 40 F2 01 13 9A 42 0A D2 15 9B 03 F1 18 01 00 9A 01 23 02 FB 03 F3 CA 18 00 23 13 70 EC E7 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 04 2B 4C D2 03 9A 30 23 02 FB 03 F2 B4 4B 13 44 03 F1 10 01 01 9A 08 23 02 FB 03 F3 0B 44 02 93 02 E0 02 9B 9B 1C 02 93 02 9B 1B 78 00 2B 35 D0 02 9B 5B 1C 1B 78 00 2B 30 D0 02 9B 1B 78 00 93 02 E0 00 9B 5B 1C 00 93 02 9B 5B 1C 1A 78 00 9B 93 42 22 D8 00 9B B3 F5 80 7F 1E D2 15 9B 03 F1 18 01 00 9B 5A 1C 01 23 02 FB 03 F3 19 44 01 9A 01 23 02 FB 03 F2 9B 4B 13 44 93 F9 00 20 0B 78 43 EA 02 01 00 9B 5A 1C 01 23 02 FB 03 F2 15 9B 18 33 1A 44 CB B2 13 70 D3 E7 C2 E7 AC E7 15 9B 1A 1D 14 9B 13 60 15 9B 03 F1 08 02 01 23 13 60 15 9B 1B 1D 18 68 ?? ?? ?? ?? 07 90 15 9B 03 F5 07 72 07 9B 13 60 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 06 2B 16 D2 03 9A 30 23 02 FB 03 F2 7F 4B 13 44 19 1D 01 9A 02 23 02 FB 03 F3 C8 18 15 9B 03 F1 0C 01 01 9A 02 23 02 FB 03 F3 CA 18 03 88 13 80 E2 E7 15 98 ?? ?? ?? ?? 00 23 05 93 D8 E0 46 E7 14 9B 00 2B 12 D0 14 9A 4F F6 E8 53 9A 42 0D D0 14 9A 4F F6 E9 53 9A 42 08 D0 14 9B 98 B2 6A 4B 1B 68 98 47 08 90 08 9B 00 2B 03 D1 6F F0 00 03 05 93 BD E0 0C A9 14 98 62 4B 1B 68 98 47 09 90 09 9B 00 2B 00 F0 A7 80 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 40 F2 01 13 9A 42 0A D2 15 9B 03 F1 18 01 00 9A 01 23 02 FB 03 F3 CA 18 00 23 13 70 EC E7 15 9B 1A 1D 14 9B 13 60 15 9B 03 F5 07 72 00 23 13 60 0C 9B 01 2B 65 D9 0D F1 36 03 04 93 02 E0 04 9B 9B 1C 04 93 04 9B 1B 78 00 2B 29 D0 04 9B 5B 1C 1B 78 00 2B 24 D0 04 9B 1B 78 00 93 02 E0 00 9B 5B 1C 00 93 04 9B 5B 1C 1A 78 00 9B 93 42 16 D8 15 9B 03 F1 18 01 00 9B 5A 1C 01 23 02 FB 03 F3 0B 44 1B 78 43 F0 04 01 00 9B 5A 1C 01 23 02 FB 03 F2 15 9B 18 33 1A 44 CB B2 13 70 DF E7 CE E7 01 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B FF 2B 16 D2 15 9B 03 F1 18 01 00 9B 5A 1C 01 23 02 FB 03 F3 0B 44 1B 78 43 F0 08 01 00 9B 5A 1C 01 23 02 FB 03 F2 15 9B 18 33 1A 44 CB B2 13 70 E2 E7 15 9B 1B 1D 18 68 ?? ?? ?? ?? 0A 90 15 9B 03 F5 07 72 0A 9B 13 60 15 9B 03 F1 08 02 01 23 13 60 04 E0 15 9B 03 F1 08 02 00 23 13 60 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 06 2B 0A D2 15 9B 03 F1 0C 01 01 9A 02 23 02 FB 03 F3 CA 18 00 23 13 80 EE E7 15 98 ?? ?? ?? ?? 00 23 05 93 0C E0 0A 4B 1B 68 00 2B 05 D0 15 98 ?? ?? ?? ?? 00 23 05 93 02 E0 6F F0 00 03 05 93 05 98 11 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_2_43_0 {
	meta:
		name = "memcpy_s"
		size = 224
		refs = "0030 _errno 003c _invalid_parameter_noinfo 005a memset 00cc memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0F 9B 00 2B 02 D1 00 23 00 93 5E E0 0C 9B 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 01 9B 04 93 04 9B 00 2B 0A D1 ?? ?? ?? ?? 05 90 05 9A 16 23 13 60 ?? ?? ?? ?? 16 23 00 93 46 E0 0E 9B 00 2B 03 D0 0D 9A 0F 9B 9A 42 38 D2 0D 9A 00 21 0C 98 ?? ?? ?? ?? 0E 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 06 93 06 9B 00 2B 0A D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 ?? ?? ?? ?? 16 23 00 93 22 E0 0D 9A 0F 9B 9A 42 02 D3 01 23 03 93 01 E0 00 23 03 93 03 9B 08 93 08 9B 00 2B 0A D1 ?? ?? ?? ?? 09 90 09 9A 22 23 13 60 ?? ?? ?? ?? 22 23 00 93 09 E0 16 23 00 93 06 E0 0F 9A 0E 99 0C 98 ?? ?? ?? ?? 00 23 00 93 00 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_3_4_0 {
	meta:
		name = "_chvalidator"
		size = 96
		refs = "0028 _CrtDbgReportW 003c _chvalidator_l 0054 ??_C@_1GG@KPBGDFHJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1CI@JELMFMDH@?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?9?$AA1?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAc?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA5?$AA5?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B B3 F1 FF 3F 02 DB 08 9B FF 2B 0E DD 10 4B 01 93 0E 4B 00 93 00 23 24 22 0B 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 09 9A 08 99 00 20 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_5_0 {
	meta:
		name = "_chvalidator_l"
		size = 160
		refs = "0028 _CrtDbgReportW 003a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 005e ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 007e ??1_LocaleUpdate@@QAA@XZ 0094 ??_C@_1GG@KPBGDFHJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1CI@JELMFMDH@?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?9?$AA1?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAc?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA5?$AA5?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0F 9B B3 F1 FF 3F 02 DB 0F 9B FF 2B 0E DD 20 4B 01 93 1E 4B 00 93 00 23 2A 22 1B 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 0E 99 08 A8 ?? ?? ?? ?? 0F 9B B3 F1 FF 3F 05 DB 0F 9B FF 2B 02 DC 0F 9B 02 93 02 E0 6F F0 00 03 02 93 02 9B 05 93 08 A8 ?? ?? ?? ?? 04 90 04 9B 19 68 05 9A 02 23 02 FB 03 F2 0B 68 13 44 1A 88 10 9B 13 40 06 93 08 A8 ?? ?? ?? ?? 06 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_6_0 {
	meta:
		name = "_isctype"
		size = 84
		refs = "000a __acrt_locale_changed 003a _isctype_l 0050 __acrt_initial_locale_data"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0C D1 06 9A 02 23 02 FB 03 F2 0B 4B 1B 68 13 44 1A 88 07 9B 13 40 01 93 08 E0 07 E0 00 22 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_7_0 {
	meta:
		name = "_isctype_l"
		size = 320
		refs = "0008 __security_push_cookie 0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0026 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0046 ??1_LocaleUpdate@@QAA@XZ 0064 _isleadbyte_l 0092 __report_rangecheckfailure 00d2 memset 0100 __acrt_GetStringTypeA 0134 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 20 99 12 A8 ?? ?? ?? ?? 1E 9B B3 F1 FF 3F 18 DB 1E 9B FF 2B 15 DC 12 A8 ?? ?? ?? ?? 09 90 09 9B 19 68 1E 9A 02 23 02 FB 03 F2 0B 68 13 44 1A 88 1F 9B 13 40 0A 93 12 A8 ?? ?? ?? ?? 0A 9B 05 93 6F E0 03 23 16 93 12 A8 ?? ?? ?? ?? 0B 90 0B 99 1E 9B 1B 12 D8 B2 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 1A D0 1E 9B 1B 12 DB B2 5A B2 04 AB 1A 70 1E 9B 5A B2 04 AB 5B 1C 1A 70 02 23 06 93 06 9B 03 2B 00 D2 01 E0 ?? ?? ?? ?? 04 AA 06 9B 1A 44 00 23 13 70 02 23 08 93 12 E0 1E 9B 5A B2 04 AB 1A 70 01 23 07 93 07 9B 03 2B 00 D2 01 E0 ?? ?? ?? ?? 04 AA 07 9B 1A 44 00 23 13 70 01 23 08 93 06 22 00 21 18 A8 ?? ?? ?? ?? 12 A8 ?? ?? ?? ?? 0D 90 12 A8 ?? ?? ?? ?? 0E 90 01 23 02 93 0D 9B 1B 68 08 33 1B 68 01 93 18 AB 00 93 08 9B 04 AA 01 21 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 07 D1 00 23 10 93 12 A8 ?? ?? ?? ?? 10 9B 05 93 09 E0 18 AB 1A 88 1F 9B 13 40 11 93 12 A8 ?? ?? ?? ?? 11 9B 05 93 05 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_4_3_0 {
	meta:
		name = "??$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z"
		size = 560
		refs = "0048 _CrtDbgReportW 005c _errno 0076 _invalid_parameter 0082 ?do_locale_initialization@@YAXD@Z 0096 ??$get_module_file_name@$$TAAY0BAF@DH@?$__crt_char_traits@D@@SAK$$QA$$TAAY0BAF@D$$QAH@Z 00a0 ??$set_program_name@PAD@?$__crt_char_traits@D@@SAX$$QAPAD@Z 00a6 ?get_command_line@@YAPADD@Z 00e2 ??$parse_command_line@D@@YAXPADPAPAD0PAI2@Z 00ec __acrt_allocate_buffer_for_argv 00f6 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@QAE@Z 00fc ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBA_NXZ 011e ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@XZ 012a ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBAPAEXZ 016a ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAPAEXZ 0172 ?get_argv@@YAAAPAPADD@Z 0192 ??0?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAA@QAPAD@Z 0198 ?get_address_of@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAAPAPAPADXZ 01a2 ?expand_argv_wildcards@@YAHQAPADQAPAPAD@Z 01b8 ??1?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAA@XZ 01cc ??0<lambda_df1553121bfa390f1154bd84936f2730>@@QAA@AAV?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@@Z 01d4 ??R<lambda_df1553121bfa390f1154bd84936f2730>@@QBAHXZ 01e2 ?detach@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAAPAPADXZ 0218 __argc 021c ?program_name@?1???$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z@4PADA 0220 ??_C@_1JO@PGBIJBAM@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAc?$AAr?$AAt?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AAe?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm@ 0224 ??_C@_1CM@LHOJELIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAu?$AAr?$AAe?$AA_?$AAa?$AAr?$AAg?$AAv?$AA?$AA@ 0228 ??_C@_1HA@JMLCANEE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 022c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 A8 B0 2A 9B 00 2B 02 D1 00 23 04 93 F9 E0 2A 9B 02 2B 05 D0 2A 9B 01 2B 02 D0 00 23 09 93 01 E0 01 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 7A 4B 01 93 7C 4B 00 93 00 23 40 F2 43 12 78 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 43 13 6D 4A 6C 49 6A 48 ?? ?? ?? ?? 16 23 04 93 C4 E0 00 20 ?? ?? ?? ?? 4F F4 82 73 11 93 00 23 12 93 11 AA 62 49 12 A8 ?? ?? ?? ?? 60 4B 13 93 13 A8 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 14 90 14 9B 07 93 07 9B 00 2B 07 D0 07 9B 93 F9 00 30 00 2B 02 D0 07 9B 0B 93 01 E0 55 4B 0B 93 0B 9B 0C 93 00 23 05 93 00 23 08 93 08 AB 00 93 05 AB 00 22 00 21 0C 98 ?? ?? ?? ?? 01 22 08 99 05 98 ?? ?? ?? ?? 15 90 15 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 0D D1 ?? ?? ?? ?? 16 90 16 9A 0C 23 13 60 0C 23 17 93 02 A8 ?? ?? ?? ?? 17 9B 04 93 70 E0 02 A8 ?? ?? ?? ?? 18 90 18 9B 0D 93 02 A8 ?? ?? ?? ?? 19 90 05 9A 04 23 02 FB 03 F2 19 9B 13 44 1A 93 08 AB 00 93 05 AB 1A 9A 0D 99 0C 98 ?? ?? ?? ?? 2A 9B 01 2B 16 D1 05 9B 5A 1E 2C 4B 1A 60 02 A8 ?? ?? ?? ?? 1B 90 00 20 ?? ?? ?? ?? 1C 90 1B 9A 1C 9B 1A 60 00 23 1D 93 02 A8 ?? ?? ?? ?? 1D 9B 04 93 3D E0 00 21 06 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 1E 90 1E 99 0D 98 ?? ?? ?? ?? 1F 90 1F 9B 0E 93 0E 9B 00 2B 0A D0 0E 9B 20 93 06 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 20 9B 04 93 20 E0 06 A9 26 A8 ?? ?? ?? ?? 21 90 21 98 ?? ?? ?? ?? 22 90 22 9A 0E 4B 1A 60 06 A8 ?? ?? ?? ?? 23 90 00 20 ?? ?? ?? ?? 24 90 23 9A 24 9B 1A 60 00 23 25 93 06 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 25 9B 04 93 04 98 28 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_4_0 {
	meta:
		name = "??$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z"
		size = 556
		refs = "0048 _CrtDbgReportW 005c _errno 0076 _invalid_parameter 0082 ?do_locale_initialization@@YAX_W@Z 0096 ??$get_module_file_name@$$TAAY0BAF@_WH@?$__crt_char_traits@_W@@SAK$$QA$$TAAY0BAF@_W$$QAH@Z 00a0 ??$set_program_name@PA_W@?$__crt_char_traits@_W@@SAX$$QAPA_W@Z 00a6 ?get_command_line@@YAPA_W_W@Z 00e0 ??$parse_command_line@_W@@YAXPA_WPAPA_W0PAI2@Z 00ea __acrt_allocate_buffer_for_argv 00f4 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@QAE@Z 00fa ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBA_NXZ 011c ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@XZ 0128 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBAPAEXZ 0168 ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAPAEXZ 0170 ?get_argv@@YAAAPAPA_W_W@Z 0190 ??0?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAA@QAPA_W@Z 0196 ?get_address_of@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAAPAPAPA_WXZ 01a0 ?expand_argv_wildcards@@YAHQAPA_WQAPAPA_W@Z 01b6 ??1?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAA@XZ 01ca ??0<lambda_a36aafc41185bea294aaaa3896c79ecc>@@QAA@AAV?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@@Z 01d2 ??R<lambda_a36aafc41185bea294aaaa3896c79ecc>@@QBAHXZ 01e0 ?detach@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0214 __argc 0218 ?program_name@?1???$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z@4PA_WA 021c ??_C@_1JO@PGBIJBAM@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAc?$AAr?$AAt?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AAe?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm@ 0220 ??_C@_1CM@LHOJELIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAu?$AAr?$AAe?$AA_?$AAa?$AAr?$AAg?$AAv?$AA?$AA@ 0224 ??_C@_1HA@JMLCANEE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0228 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 A8 B0 2A 9B 00 2B 02 D1 00 23 04 93 F8 E0 2A 9B 02 2B 05 D0 2A 9B 01 2B 02 D0 00 23 09 93 01 E0 01 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 79 4B 01 93 7B 4B 00 93 00 23 40 F2 43 12 77 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 43 13 6C 4A 6B 49 69 48 ?? ?? ?? ?? 16 23 04 93 C3 E0 00 20 ?? ?? ?? ?? 4F F4 82 73 11 93 00 23 12 93 11 AA 61 49 12 A8 ?? ?? ?? ?? 5F 4B 13 93 13 A8 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 14 90 14 9B 07 93 07 9B 00 2B 06 D0 07 9B 1B 88 00 2B 02 D0 07 9B 0B 93 01 E0 54 4B 0B 93 0B 9B 0C 93 00 23 05 93 00 23 08 93 08 AB 00 93 05 AB 00 22 00 21 0C 98 ?? ?? ?? ?? 02 22 08 99 05 98 ?? ?? ?? ?? 15 90 15 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 0D D1 ?? ?? ?? ?? 16 90 16 9A 0C 23 13 60 0C 23 17 93 02 A8 ?? ?? ?? ?? 17 9B 04 93 70 E0 02 A8 ?? ?? ?? ?? 18 90 18 9B 0D 93 02 A8 ?? ?? ?? ?? 19 90 05 9A 04 23 02 FB 03 F2 19 9B 13 44 1A 93 08 AB 00 93 05 AB 1A 9A 0D 99 0C 98 ?? ?? ?? ?? 2A 9B 01 2B 16 D1 05 9B 5A 1E 2C 4B 1A 60 02 A8 ?? ?? ?? ?? 1B 90 00 20 ?? ?? ?? ?? 1C 90 1B 9A 1C 9B 1A 60 00 23 1D 93 02 A8 ?? ?? ?? ?? 1D 9B 04 93 3D E0 00 21 06 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 1E 90 1E 99 0D 98 ?? ?? ?? ?? 1F 90 1F 9B 0E 93 0E 9B 00 2B 0A D0 0E 9B 20 93 06 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 20 9B 04 93 20 E0 06 A9 26 A8 ?? ?? ?? ?? 21 90 21 98 ?? ?? ?? ?? 22 90 22 9A 0E 4B 1A 60 06 A8 ?? ?? ?? ?? 23 90 00 20 ?? ?? ?? ?? 24 90 23 9A 24 9B 1A 60 00 23 25 93 06 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 25 9B 04 93 04 98 28 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_5_0 {
	meta:
		name = "??$get_module_file_name@$$TAAY0BAF@DH@?$__crt_char_traits@D@@SAK$$QA$$TAAY0BAF@D$$QAH@Z"
		size = 48
		refs = "002c __imp_GetModuleFileNameA"
		altNames = "??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@DK@?$__crt_char_traits@D@@SAKAAPAUHINSTANCE__@@AAY0BAF@D$$QAK@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 99 04 9B 18 68 05 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_6_0 {
	meta:
		name = "??$get_module_file_name@$$TAAY0BAF@_WH@?$__crt_char_traits@_W@@SAK$$QA$$TAAY0BAF@_W$$QAH@Z"
		size = 48
		refs = "002c __imp_GetModuleFileNameW"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 99 04 9B 18 68 05 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_14_0 {
	meta:
		name = "??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@_WK@?$__crt_char_traits@_W@@SAKAAPAUHINSTANCE__@@AAY0BAF@_W$$QAK@Z"
		size = 48
		refs = "002c __imp_GetModuleFileNameW"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 99 04 9B 18 68 05 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_7_0 {
	meta:
		name = "??$parse_command_line@D@@YAXPADPAPAD0PAI2@Z"
		size = 734
		refs = "009c ?should_copy_another_character@@YA_ND@Z 0192 __rt_udiv"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0C 9A 00 23 13 60 0B 9A 01 23 13 60 08 9B 01 93 09 9B 00 2B 05 D0 0A 9A 09 9B 1A 60 09 9B 1B 1D 09 93 00 23 8D F8 00 30 01 9B 93 F9 00 30 22 2B 15 D1 9D F8 00 30 00 2B 02 D1 01 23 03 93 01 E0 00 23 03 93 03 9B DB B2 8D F8 00 30 01 9B 93 F9 00 30 8D F8 01 30 01 9B 5B 1C 01 93 34 E0 0C 9B 1B 68 5A 1C 0C 9B 1A 60 0A 9B 00 2B 07 D0 01 9B 93 F9 00 20 0A 9B 1A 70 0A 9B 5B 1C 0A 93 01 9B 93 F9 00 30 8D F8 01 30 01 9B 5B 1C 01 93 9D F9 01 00 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 12 D0 0C 9B 1B 68 5A 1C 0C 9B 1A 60 0A 9B 00 2B 07 D0 01 9B 93 F9 00 20 0A 9B 1A 70 0A 9B 5B 1C 0A 93 01 9B 5B 1C 01 93 9D F9 01 30 00 2B 0B D0 9D F8 00 30 00 2B A7 D1 9D F9 01 30 20 2B 03 D0 9D F9 01 30 09 2B 9F D1 9D F9 01 30 00 2B 03 D1 01 9B 5B 1E 01 93 06 E0 0A 9B 00 2B 03 D0 0A 9B 5A 1E 00 23 13 70 00 23 8D F8 00 30 01 9B 93 F9 00 30 00 2B 0D D0 01 9B 93 F9 00 30 20 2B 04 D0 01 9B 93 F9 00 30 09 2B 03 D1 01 9B 5B 1C 01 93 F1 E7 01 9B 93 F9 00 30 00 2B 00 D1 B7 E0 09 9B 00 2B 05 D0 0A 9A 09 9B 1A 60 09 9B 1B 1D 09 93 0B 9B 1B 68 5A 1C 0B 9B 1A 60 01 23 05 93 00 23 02 93 01 9B 93 F9 00 30 5C 2B 06 D1 01 9B 5B 1C 01 93 02 9B 5B 1C 02 93 F3 E7 01 9B 93 F9 00 30 22 2B 27 D1 02 99 02 20 ?? ?? ?? ?? 00 29 1C D1 9D F8 00 30 00 2B 09 D0 01 9B 5B 1C 93 F9 00 30 22 2B 03 D1 01 9B 5B 1C 01 93 0E E0 00 23 05 93 9D F8 00 30 00 2B 02 D1 01 23 04 93 01 E0 00 23 04 93 04 9B DB B2 8D F8 00 30 02 99 02 20 ?? ?? ?? ?? 02 90 02 9A 02 9B 5B 1E 02 93 00 2A 0E D0 0A 9B 00 2B 05 D0 0A 9A 5C 23 13 70 0A 9B 5B 1C 0A 93 0C 9B 1B 68 5A 1C 0C 9B 1A 60 EA E7 01 9B 93 F9 00 30 00 2B 0D D0 9D F8 00 30 00 2B 0A D1 01 9B 93 F9 00 30 20 2B 04 D0 01 9B 93 F9 00 30 09 2B 00 D1 34 E0 05 9B 00 2B 2D D0 0A 9B 00 2B 07 D0 01 9B 93 F9 00 20 0A 9B 1A 70 0A 9B 5B 1C 0A 93 01 9B 93 F9 00 00 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 12 D0 01 9B 5B 1C 01 93 0C 9B 1B 68 5A 1C 0C 9B 1A 60 0A 9B 00 2B 07 D0 01 9B 93 F9 00 20 0A 9B 1A 70 0A 9B 5B 1C 0A 93 0C 9B 1B 68 5A 1C 0C 9B 1A 60 01 9B 5B 1C 01 93 64 E7 0A 9B 00 2B 05 D0 0A 9A 00 23 13 70 0A 9B 5B 1C 0A 93 0C 9B 1B 68 5A 1C 0C 9B 1A 60 2E E7 09 9B 00 2B 05 D0 09 9A 00 23 13 60 09 9B 1B 1D 09 93 0B 9B 1B 68 5A 1C 0B 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_4_8_0 {
	meta:
		name = "??$parse_command_line@_W@@YAXPA_WPAPA_W0PAI2@Z"
		size = 698
		refs = "0094 ?should_copy_another_character@@YA_N_W@Z 017c __rt_udiv"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0E 9A 00 23 13 60 0D 9A 01 23 13 60 0A 9B 02 93 0B 9B 00 2B 05 D0 0C 9A 0B 9B 1A 60 0B 9B 1B 1D 0B 93 00 23 8D F8 00 30 02 9B 1B 88 22 2B 14 D1 9D F8 00 30 00 2B 02 D1 01 23 04 93 01 E0 00 23 04 93 04 9B DB B2 8D F8 00 30 02 9B 1B 88 AD F8 04 30 02 9B 9B 1C 02 93 31 E0 0E 9B 1B 68 5A 1C 0E 9B 1A 60 0C 9B 00 2B 06 D0 02 9B 1A 88 0C 9B 1A 80 0C 9B 9B 1C 0C 93 02 9B 1B 88 AD F8 04 30 02 9B 9B 1C 02 93 BD F8 04 00 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 11 D0 0E 9B 1B 68 5A 1C 0E 9B 1A 60 0C 9B 00 2B 06 D0 02 9B 1A 88 0C 9B 1A 80 0C 9B 9B 1C 0C 93 02 9B 9B 1C 02 93 BD F8 04 30 00 2B 0B D0 9D F8 00 30 00 2B AC D1 BD F8 04 30 20 2B 03 D0 BD F8 04 30 09 2B A4 D1 BD F8 04 30 00 2B 03 D1 02 9B 9B 1E 02 93 06 E0 0C 9B 00 2B 03 D0 0C 9B 9A 1E 00 23 13 80 00 23 8D F8 00 30 02 9B 1B 88 00 2B 0B D0 02 9B 1B 88 20 2B 03 D0 02 9B 1B 88 09 2B 03 D1 02 9B 9B 1C 02 93 F3 E7 02 9B 1B 88 00 2B 00 D1 AE E0 0B 9B 00 2B 05 D0 0C 9A 0B 9B 1A 60 0B 9B 1B 1D 0B 93 0D 9B 1B 68 5A 1C 0D 9B 1A 60 01 23 06 93 00 23 03 93 02 9B 1B 88 5C 2B 06 D1 02 9B 9B 1C 02 93 03 9B 5B 1C 03 93 F4 E7 02 9B 1B 88 22 2B 26 D1 03 99 02 20 ?? ?? ?? ?? 00 29 1B D1 9D F8 00 30 00 2B 08 D0 02 9B 9B 1C 1B 88 22 2B 03 D1 02 9B 9B 1C 02 93 0E E0 00 23 06 93 9D F8 00 30 00 2B 02 D1 01 23 05 93 01 E0 00 23 05 93 05 9B DB B2 8D F8 00 30 03 99 02 20 ?? ?? ?? ?? 03 90 03 9A 03 9B 5B 1E 03 93 00 2A 0E D0 0C 9B 00 2B 05 D0 0C 9A 5C 23 13 80 0C 9B 9B 1C 0C 93 0E 9B 1B 68 5A 1C 0E 9B 1A 60 EA E7 02 9B 1B 88 00 2B 0B D0 9D F8 00 30 00 2B 08 D1 02 9B 1B 88 20 2B 03 D0 02 9B 1B 88 09 2B 00 D1 31 E0 06 9B 00 2B 2A D0 0C 9B 00 2B 06 D0 02 9B 1A 88 0C 9B 1A 80 0C 9B 9B 1C 0C 93 02 9B 18 88 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 11 D0 02 9B 9B 1C 02 93 0E 9B 1B 68 5A 1C 0E 9B 1A 60 0C 9B 00 2B 06 D0 02 9B 1A 88 0C 9B 1A 80 0C 9B 9B 1C 0C 93 0E 9B 1B 68 5A 1C 0E 9B 1A 60 02 9B 9B 1C 02 93 6D E7 0C 9B 00 2B 05 D0 0C 9A 00 23 13 80 0C 9B 9B 1C 0C 93 0E 9B 1B 68 5A 1C 0E 9B 1A 60 3B E7 0B 9B 00 2B 05 D0 0B 9A 00 23 13 60 0B 9B 1B 1D 0B 93 0D 9B 1B 68 5A 1C 0D 9B 1A 60 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_4_9_0 {
	meta:
		name = "??$set_program_name@PAD@?$__crt_char_traits@D@@SAX$$QAPAD@Z"
		size = 24
		refs = "000c _set_pgmptr"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_10_0 {
	meta:
		name = "??$set_program_name@PA_W@?$__crt_char_traits@_W@@SAX$$QAPA_W@Z"
		size = 24
		refs = "000c _set_wpgmptr"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_695_3_4 {
	meta:
		name = "??1?$__crt_scoped_stack_ptr@D@@QAA@XZ"
		size = 24
		refs = "000c _freea_crt"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_326_7_3 {
	meta:
		name = "??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ"
		size = 24
		refs = "000c _freea_crt"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_25_0 {
	meta:
		name = "?do_locale_initialization@@YAXD@Z"
		size = 20
		refs = "0008 __acrt_initialize_multibyte"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_26_0 {
	meta:
		name = "?do_locale_initialization@@YAX_W@Z"
		size = 16
		altNames = "??1scoped_global_state_reset@__crt_state_management@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_27_0 {
	meta:
		name = "?expand_argv_wildcards@@YAHQAPADQAPAPAD@Z"
		size = 36
		refs = "000e __acrt_expand_narrow_argv_wildcards"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_0_2 {
	meta:
		name = "??$common_strnlen@$00G@@YAIQBGI@Z"
		size = 36
		refs = "000e ??$common_strnlen_c@$00G@@YAIQBGI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_1_0 {
	meta:
		name = "??$common_strnlen@$0A@E@@YAIQBEI@Z"
		size = 36
		refs = "000e ??$common_strnlen_c@$0A@E@@YAIQBEI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_2_0 {
	meta:
		name = "??$common_strnlen@$0A@G@@YAIQBGI@Z"
		size = 36
		refs = "000e ??$common_strnlen_c@$0A@G@@YAIQBGI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_28_0 {
	meta:
		name = "?expand_argv_wildcards@@YAHQAPA_WQAPAPA_W@Z"
		size = 36
		refs = "000e __acrt_expand_wide_argv_wildcards"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_3_4 {
	meta:
		name = "?fast_check@@YAHHH@Z"
		size = 36
		refs = "000e _chvalidator"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_77_2 {
	meta:
		name = "?previous_character@@YAPADQAD0@Z"
		size = 36
		refs = "000e _mbsdec"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_461_4_2 {
	meta:
		name = "?previous_character@@YAPBDQBD0@Z"
		size = 36
		refs = "000e _mbsdec"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_86_4 {
	meta:
		name = "?strpbrk@@YAPADQADQBD@Z"
		size = 36
		refs = "000e strpbrk"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_278_14_3 {
	meta:
		name = "?strrchr@@YAPADQADH@Z"
		size = 36
		refs = "000e strrchr"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_87_3 {
	meta:
		name = "?wcspbrk@@YAPA_WPA_WPB_W@Z"
		size = 36
		refs = "000e wcspbrk"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_553_56_0 {
	meta:
		name = "_CrtSetReportHook2"
		size = 36
		refs = "000e ??$common_set_report_hook@DP6AHHPADPAH@Z@@YAHHQ6AHHPADPAH@Z@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_553_57_0 {
	meta:
		name = "_CrtSetReportHookW2"
		size = 36
		refs = "000e ??$common_set_report_hook@_WP6AHHPA_WPAH@Z@@YAHHQ6AHHPA_WPAH@Z@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_88_2 {
	meta:
		name = "__acrt_expand_narrow_argv_wildcards"
		size = 36
		refs = "000e ??$common_expand_argv_wildcards@D@@YAHQAPADQAPAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_89_4 {
	meta:
		name = "__acrt_expand_wide_argv_wildcards"
		size = 36
		refs = "000e ??$common_expand_argv_wildcards@_W@@YAHQAPA_WQAPAPA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_4_4 {
	meta:
		name = "_creat"
		size = 36
		refs = "000e ??$common_creat@D@@YAHQBDH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_333_29_2 {
	meta:
		name = "_fdopen"
		size = 36
		refs = "000e ??$common_fdopen@D@@YAPAU_iobuf@@HQBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_33_3 {
	meta:
		name = "_findfirst32"
		size = 36
		refs = "000e ??$common_find_first_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YAHQBDQAU_finddata32_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_34_2 {
	meta:
		name = "_findfirst32i64"
		size = 36
		refs = "000e ??$common_find_first_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YAHQBDQAU_finddata32i64_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_35_3 {
	meta:
		name = "_findfirst64"
		size = 36
		refs = "000e ??$common_find_first_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YAHQBDQAU__finddata64_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_36_0 {
	meta:
		name = "_findfirst64i32"
		size = 36
		refs = "000e ??$common_find_first_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YAHQBDQAU_finddata64i32_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_37_0 {
	meta:
		name = "_findnext32"
		size = 36
		refs = "000e ??$common_find_next_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YAHHQAU_finddata32_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_38_4 {
	meta:
		name = "_findnext32i64"
		size = 36
		refs = "000e ??$common_find_next_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YAHHQAU_finddata32i64_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_39_2 {
	meta:
		name = "_findnext64"
		size = 36
		refs = "000e ??$common_find_next_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YAHHQAU__finddata64_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_40_0 {
	meta:
		name = "_findnext64i32"
		size = 36
		refs = "000e ??$common_find_next_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YAHHQAU_finddata64i32_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_91_4 {
	meta:
		name = "_fstat32"
		size = 36
		refs = "000e ??$common_fstat@U_stat32@@@@YAHHQAU_stat32@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_92_4 {
	meta:
		name = "_fstat32i64"
		size = 36
		refs = "000e ??$common_fstat@U_stat32i64@@@@YAHHQAU_stat32i64@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_93_4 {
	meta:
		name = "_fstat64"
		size = 36
		refs = "000e ??$common_fstat@U_stat64@@@@YAHHQAU_stat64@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_94_3 {
	meta:
		name = "_fstat64i32"
		size = 36
		refs = "000e ??$common_fstat@U_stat64i32@@@@YAHHQAU_stat64i32@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_691_14_3 {
	meta:
		name = "_futime32"
		size = 36
		refs = "000e ??$common_futime@JU__utimbuf32@@@@YAHHPAU__utimbuf32@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_691_15_4 {
	meta:
		name = "_futime64"
		size = 36
		refs = "000e ??$common_futime@_JU__utimbuf64@@@@YAHHPAU__utimbuf64@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_140_15_4 {
	meta:
		name = "_gmtime32_s"
		size = 36
		refs = "000e ??$common_gmtime_s@J@@YAHQAUtm@@QBJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_140_17_0 {
	meta:
		name = "_gmtime64_s"
		size = 36
		refs = "000e ??$common_gmtime_s@_J@@YAHQAUtm@@QB_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_216_12_0 {
	meta:
		name = "_localtime32_s"
		size = 36
		refs = "000e ??$common_localtime_s@J@@YAHQAUtm@@QBJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_216_14_0 {
	meta:
		name = "_localtime64_s"
		size = 36
		refs = "000e ??$common_localtime_s@_J@@YAHQAUtm@@QB_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_324_13_2 {
	meta:
		name = "_mktemp_s"
		size = 36
		refs = "000e ??$common_mktemp_s@D@@YAHQADI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_219_9_4 {
	meta:
		name = "_putc_nolock"
		size = 36
		refs = "000e _fputc_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_95_3 {
	meta:
		name = "_stat32"
		size = 36
		refs = "000e ??$common_stat@U_stat32@@@@YAHQBDQAU_stat32@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_96_3 {
	meta:
		name = "_stat32i64"
		size = 36
		refs = "000e ??$common_stat@U_stat32i64@@@@YAHQBDQAU_stat32i64@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_97_3 {
	meta:
		name = "_stat64"
		size = 36
		refs = "000e ??$common_stat@U_stat64@@@@YAHQBDQAU_stat64@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_98_3 {
	meta:
		name = "_stat64i32"
		size = 36
		refs = "000e ??$common_stat@U_stat64i32@@@@YAHQBDQAU_stat64i32@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_294_5_0 {
	meta:
		name = "_strdate_s"
		size = 36
		refs = "000e ??$common_strdate_s@D@@YAHQADI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_473_5_0 {
	meta:
		name = "_strtime_s"
		size = 36
		refs = "000e ??$common_strtime_s@D@@YAHQADI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_595_6_2 {
	meta:
		name = "_timespec32_get"
		size = 36
		refs = "000e ??$common_timespec_get@U_timespec32@@@@YAHQAU_timespec32@@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_595_7_2 {
	meta:
		name = "_timespec64_get"
		size = 36
		refs = "000e ??$common_timespec_get@U_timespec64@@@@YAHQAU_timespec64@@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_691_16_3 {
	meta:
		name = "_utime32"
		size = 36
		refs = "000e ??$common_utime@JDU__utimbuf32@@@@YAHQBDQAU__utimbuf32@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_691_17_4 {
	meta:
		name = "_utime64"
		size = 36
		refs = "000e ??$common_utime@_JDU__utimbuf64@@@@YAHQBDQAU__utimbuf64@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_5_3 {
	meta:
		name = "_wcreat"
		size = 36
		refs = "000e ??$common_creat@_W@@YAHQB_WH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_333_30_4 {
	meta:
		name = "_wfdopen"
		size = 36
		refs = "000e ??$common_fdopen@_W@@YAPAU_iobuf@@HQB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_42_0 {
	meta:
		name = "_wfindfirst32"
		size = 36
		refs = "000e ??$common_find_first_wide@U_wfinddata32_t@@@@YAHQB_WQAU_wfinddata32_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_43_0 {
	meta:
		name = "_wfindfirst32i64"
		size = 36
		refs = "000e ??$common_find_first_wide@U_wfinddata32i64_t@@@@YAHQB_WQAU_wfinddata32i64_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_44_0 {
	meta:
		name = "_wfindfirst64"
		size = 36
		refs = "000e ??$common_find_first_wide@U_wfinddata64_t@@@@YAHQB_WQAU_wfinddata64_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_45_4 {
	meta:
		name = "_wfindfirst64i32"
		size = 36
		refs = "000e ??$common_find_first_wide@U_wfinddata64i32_t@@@@YAHQB_WQAU_wfinddata64i32_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_46_3 {
	meta:
		name = "_wfindnext32"
		size = 36
		refs = "000e ??$common_find_next_wide@U_wfinddata32_t@@@@YAHHQAU_wfinddata32_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_47_3 {
	meta:
		name = "_wfindnext32i64"
		size = 36
		refs = "000e ??$common_find_next_wide@U_wfinddata32i64_t@@@@YAHHQAU_wfinddata32i64_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_48_3 {
	meta:
		name = "_wfindnext64"
		size = 36
		refs = "000e ??$common_find_next_wide@U_wfinddata64_t@@@@YAHHQAU_wfinddata64_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_49_4 {
	meta:
		name = "_wfindnext64i32"
		size = 36
		refs = "000e ??$common_find_next_wide@U_wfinddata64i32_t@@@@YAHHQAU_wfinddata64i32_t@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_324_15_4 {
	meta:
		name = "_wmktemp_s"
		size = 36
		refs = "000e ??$common_mktemp_s@_W@@YAHQA_WI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_99_4 {
	meta:
		name = "_wstat32"
		size = 36
		refs = "000e ??$common_stat@U_stat32@@@@YAHQB_WQAU_stat32@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_100_4 {
	meta:
		name = "_wstat32i64"
		size = 36
		refs = "000e ??$common_stat@U_stat32i64@@@@YAHQB_WQAU_stat32i64@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_101_3 {
	meta:
		name = "_wstat64"
		size = 36
		refs = "000e ??$common_stat@U_stat64@@@@YAHQB_WQAU_stat64@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_102_0 {
	meta:
		name = "_wstat64i32"
		size = 36
		refs = "000e ??$common_stat@U_stat64i32@@@@YAHQB_WQAU_stat64i32@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_294_7_0 {
	meta:
		name = "_wstrdate_s"
		size = 36
		refs = "000e ??$common_strdate_s@_W@@YAHQA_WI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_473_7_4 {
	meta:
		name = "_wstrtime_s"
		size = 36
		refs = "000e ??$common_strtime_s@_W@@YAHQA_WI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_691_18_4 {
	meta:
		name = "_wutime32"
		size = 36
		refs = "000e ??$common_utime@J_WU__utimbuf32@@@@YAHQB_WQAU__utimbuf32@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_691_19_3 {
	meta:
		name = "_wutime64"
		size = 36
		refs = "000e ??$common_utime@_J_WU__utimbuf64@@@@YAHQB_WQAU__utimbuf64@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_219_12_0 {
	meta:
		name = "putc"
		size = 36
		refs = "000e fputc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_8_4 {
	meta:
		name = "strnlen"
		size = 36
		refs = "000e ??$common_strnlen@$0A@E@@YAIQBEI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_10_4 {
	meta:
		name = "wcsnlen"
		size = 36
		refs = "000e ??$common_strnlen@$0A@G@@YAIQBGI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_34_0 {
	meta:
		name = "?get_argv@@YAAAPAPADD@Z"
		size = 32
		refs = "001c __argv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_35_4 {
	meta:
		name = "?get_argv@@YAAAPAPA_W_W@Z"
		size = 32
		refs = "001c __wargv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_45_0 {
	meta:
		name = "?get_assert_format@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_0CK@CFPGFGGO@Assertion?5failed?3?5?$CFTs?0?5file?5?$CFTs?0@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_46_0 {
	meta:
		name = "?get_assert_format@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_1FE@LHBLIKM@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?3?$AA?5?$AA?$CF?$AAT?$AAs?$AA?0?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AA?$CF?$AAT?$AAs?$AA?0@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_47_0 {
	meta:
		name = "?get_banner_text@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_0CF@GOGNBNAK@Microsoft?5Visual?5C?$CL?$CL?5Runtime?5Lib@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_48_0 {
	meta:
		name = "?get_banner_text@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_49_4 {
	meta:
		name = "?get_box_intro@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_0BC@LAIDCHCH@Assertion?5failed?$CB?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_50_4 {
	meta:
		name = "?get_box_intro@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_1CE@OJBNHDMO@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?$CB?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_51_3 {
	meta:
		name = "?get_dot_dot_dot@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_03KHICJKCI@?4?4?4?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_52_3 {
	meta:
		name = "?get_dot_dot_dot@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_53_0 {
	meta:
		name = "?get_double_newline@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_02PHMGELLB@?6?6?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_54_4 {
	meta:
		name = "?get_double_newline@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_55_0 {
	meta:
		name = "?get_expression_intro@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_0N@MEECIJGN@Expression?3?5?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_56_4 {
	meta:
		name = "?get_expression_intro@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_161_14_4 {
	meta:
		name = "?get_failure_string@@YAPADD@Z"
		size = 32
		refs = "001c ??_C@_0EA@FCLIIPNN@Visual?5C?$CL?$CL?5CRT?3?5Not?5enough?5memor@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_161_15_3 {
	meta:
		name = "?get_failure_string@@YAPA_W_W@Z"
		size = 32
		refs = "001c ??_C@_1IA@JENHHBGD@?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAC?$AAR?$AAT?$AA?3?$AA?5?$AAN?$AAo?$AAt?$AA?5?$AAe?$AAn?$AAo?$AAu?$AAg?$AAh?$AA?5?$AAm?$AAe?$AAm?$AAo?$AAr@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_57_0 {
	meta:
		name = "?get_file_intro@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_06IGPBOHMJ@File?3?5?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_58_3 {
	meta:
		name = "?get_file_intro@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_1O@HEMHKNDC@?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_60_4 {
	meta:
		name = "?get_help_intro@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_0DN@EBBNMLME@?$CIPress?5Retry?5to?5debug?5the?5applic@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_61_2 {
	meta:
		name = "?get_help_intro@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_1HK@POCJMFGK@?$AA?$CI?$AAP?$AAr?$AAe?$AAs?$AAs?$AA?5?$AAR?$AAe?$AAt?$AAr?$AAy?$AA?5?$AAt?$AAo?$AA?5?$AAd?$AAe?$AAb?$AAu?$AAg?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAa?$AAp?$AAp?$AAl?$AAi?$AAc@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_62_2 {
	meta:
		name = "?get_info_intro@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_0HA@OJHAGA@For?5information?5on?5how?5your?5prog@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_63_0 {
	meta:
		name = "?get_info_intro@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_1OA@EGMLFBHJ@?$AAF?$AAo?$AAr?$AA?5?$AAi?$AAn?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAo?$AAn?$AA?5?$AAh?$AAo?$AAw?$AA?5?$AAy?$AAo?$AAu?$AAr?$AA?5?$AAp?$AAr?$AAo?$AAg@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_64_2 {
	meta:
		name = "?get_line_intro@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_06FIEBOLOH@Line?3?5?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_65_0 {
	meta:
		name = "?get_line_intro@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_1O@KCAFKHJE@?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_66_0 {
	meta:
		name = "?get_newline@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_01EEMJAFIK@?6?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_67_0 {
	meta:
		name = "?get_newline@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_553_44_3 {
	meta:
		name = "?get_output_message_format@@YAPB_WD@Z"
		size = 32
		refs = "001c ??_C@_1MG@LJLILFFD@?$AAD?$AAe?$AAb?$AAu?$AAg?$AA?5?$AA?$CF?$AAl?$AAs?$AA?$CB?$AA?6?$AA?6?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$CF?$AAh?$AAs?$AA?$CF?$AAl?$AAs?$AA?$CF?$AAl?$AAs?$AA?$CF?$AAh@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_553_45_3 {
	meta:
		name = "?get_output_message_format@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_1MG@OODCADGL@?$AAD?$AAe?$AAb?$AAu?$AAg?$AA?5?$AA?$CF?$AAl?$AAs?$AA?$CB?$AA?6?$AA?6?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$CF?$AAl?$AAs?$AA?$CF?$AAl?$AAs?$AA?$CF?$AAl?$AAs?$AA?$CF?$AAl@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_68_4 {
	meta:
		name = "?get_program_intro@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_09KLGCKDOD@Program?3?5?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_69_0 {
	meta:
		name = "?get_program_intro@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_1BE@PHKBBGE@?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_553_46_4 {
	meta:
		name = "?get_program_name_unknown_text@@YAPBDD@Z"
		size = 32
		refs = "001c ??_C@_0BH@DNAGHKFM@?$DMprogram?5name?5unknown?$DO?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_553_47_4 {
	meta:
		name = "?get_program_name_unknown_text@@YAPB_W_W@Z"
		size = 32
		refs = "001c ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_553_48_0 {
	meta:
		name = "?get_report_hook_list@@YAAAPAU?$__crt_report_hook_node@D@@D@Z"
		size = 32
		refs = "001c _pReportHookList"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_553_49_0 {
	meta:
		name = "?get_report_hook_list@@YAAAPAU?$__crt_report_hook_node@_W@@_W@Z"
		size = 32
		refs = "001c _pReportHookListW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_36_0 {
	meta:
		name = "?get_command_line@@YAPADD@Z"
		size = 32
		refs = "001c _acmdln"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_37_0 {
	meta:
		name = "?get_command_line@@YAPA_W_W@Z"
		size = 32
		refs = "001c _wcmdln"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_564_0_0 {
	meta:
		name = "?select_heap@@YAPAXQAX@Z"
		size = 32
		refs = "001c __acrt_heap"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 4B 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_42_0 {
	meta:
		name = "?should_copy_another_character@@YA_ND@Z"
		size = 58
		refs = "000e _ismbblead"
		altNames = "?is_lead_byte@@YA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 9D F9 18 00 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_43_0 {
	meta:
		name = "?should_copy_another_character@@YA_N_W@Z"
		size = 30
		altNames = "??$last_reached@$00@@YA_NQBX0@Z ?is_lead_byte@@YA_N_W@Z ?should_skip_normal_state_processing@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?should_skip_normal_state_processing@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?should_skip_normal_state_processing@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?should_skip_normal_state_processing@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?should_skip_type_state_output@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?should_skip_type_state_output@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?should_skip_type_state_output@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?should_skip_type_state_output@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_4_44_0 {
	meta:
		name = "__acrt_allocate_buffer_for_argv"
		size = 200
		refs = "0026 __rt_udiv 0072 _calloc_dbg 007c ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@QAE@Z 0082 ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBA_NXZ 0098 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@XZ 00a4 ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAPAEXZ 00c4 ??_C@_0DI@KNDIGDEP@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9A 6F F0 40 43 9A 42 02 D3 00 23 03 93 4E E0 10 98 6F F0 00 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 0F 9B 83 42 02 D3 00 23 03 93 40 E0 0E 9A 04 23 02 FB 03 F3 05 93 0F 9A 10 9B 02 FB 03 F3 06 93 05 9B C3 F1 FF 32 06 9B 9A 42 02 D8 00 23 03 93 2D E0 05 9A 06 9B 13 44 07 93 4F F4 8B 73 00 93 16 4B 02 22 01 21 07 98 ?? ?? ?? ?? 08 90 08 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 07 D1 00 23 09 93 04 A8 ?? ?? ?? ?? 09 9B 03 93 0A E0 04 A8 ?? ?? ?? ?? 0A 90 0A 9B 0B 93 04 A8 ?? ?? ?? ?? 0B 9B 03 93 03 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_47_0 {
	meta:
		name = "_set_pgmptr"
		size = 28
		refs = "0018 _pgmptr"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 03 4B 1A 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_649_34_0 {
	meta:
		name = "__acrt_initialize_thread_local_exit_callback"
		size = 28
		refs = "0018 ?thread_local_exit_callback_func@@3P6AXPAXK0@ZA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 03 4B 1A 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_6_0 {
	meta:
		name = "_set_app_type"
		size = 28
		refs = "0018 ?__acrt_app_type@@3W4_crt_app_type@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 03 4B 1A 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_48_0 {
	meta:
		name = "_set_wpgmptr"
		size = 28
		refs = "0018 _wpgmptr"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 03 4B 1A 60 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_5_0_0 {
	meta:
		name = "_ldquad"
		size = 1072
		refs = "0008 __security_push_cookie 008c _ld_int 013c _ldunscale 0150 _ldxp_setw 016e _ldscale 0192 memcpy 01a0 _ldxp_mulh 01e6 _ldxp_addx 0290 get_acsize 038a _ldxp_getw 03c8 fmodl 03ee __security_pop_cookie 041c __c 0420 twobypi 0424 inv2pi 0428 huge_rad 042c __b"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? C5 B0 48 9B 93 ED 00 0B 8D ED 04 0B DF F8 0C 34 93 ED 00 0B B1 EE 40 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 7C D2 9D ED 04 1B FC 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 72 D2 9D ED 04 1B F5 4B 93 ED 00 0B 21 EE 00 0B 8D ED 02 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 08 DB 9D ED 02 1B B6 EE 00 0B 31 EE 00 0B 8D ED 02 0B 07 E0 9D ED 02 1B B6 EE 00 0B 31 EE 40 0B 8D ED 02 0B 00 21 02 A8 ?? ?? ?? ?? 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 40 D0 9D ED 02 1B B5 EE 00 0B 21 EE 00 1B 9F ED DA 0B 81 EE 00 0B 8D ED 06 0B D9 4B 9D ED 06 1B 93 ED 00 0B 21 EE 00 1B 9D ED 04 0B 30 EE 41 2B D3 4B 08 33 9D ED 06 1B 93 ED 00 0B 21 EE 00 0B 32 EE 40 2B CE 4B 10 33 9D ED 06 1B 93 ED 00 0B 21 EE 00 0B 32 EE 40 2B C9 4B 18 33 9D ED 06 1B 93 ED 00 0B 21 EE 00 0B 32 EE 40 2B C4 4B 20 33 9D ED 06 1B 93 ED 00 0B 21 EE 00 0B 32 EE 40 0B 8D ED 04 0B 9D ED 04 0B 48 9B 83 ED 00 0B 37 E1 06 23 00 93 9D ED 04 0B 8D ED 02 0B 02 A9 01 A8 ?? ?? ?? ?? BD F9 04 30 56 2B 06 DA 9D ED 04 0B 00 99 14 A8 ?? ?? ?? ?? 49 E0 BD F9 04 30 36 3B 5B 11 1B B2 AD F8 04 30 BD F9 04 30 5B 01 59 42 04 A8 ?? ?? ?? ?? 9D ED 04 0B 02 21 0C A8 ?? ?? ?? ?? 30 22 BD F9 04 30 59 1E 30 23 01 FB 03 F1 A7 4B 19 44 14 A8 ?? ?? ?? ?? 0C AB 93 ED 00 0B 00 99 14 A8 ?? ?? ?? ?? 0C AB 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 19 D0 30 22 BD F9 04 30 59 1E 30 23 01 FB 03 F1 99 4B 19 44 20 A8 ?? ?? ?? ?? 0C AB 08 33 93 ED 00 0B 00 99 20 A8 ?? ?? ?? ?? 00 9B 20 AA 00 99 14 A8 ?? ?? ?? ?? 14 AA 8E 4B 93 ED 00 0B B1 EE 40 1B 92 ED 00 0B B4 EE C1 0B F1 EE 10 FA 0A D3 14 AA 88 4B 93 ED 00 1B 92 ED 00 0B B4 EE C0 1B F1 EE 10 FA 5C D2 14 AA 14 AB 08 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 1B 7D 4B 93 ED 00 0B 21 EE 00 0B 8D ED 02 0B 00 21 02 A8 ?? ?? ?? ?? 9D ED 02 0B B1 EE 40 1B 9F ED 72 0B 81 EE 00 0B 02 21 0C A8 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 6E 49 20 A8 ?? ?? ?? ?? 0C AB 93 ED 00 0B 00 99 20 A8 ?? ?? ?? ?? 0C AB 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 1D D0 14 AB 93 ED 00 0B ?? ?? ?? ?? 08 90 08 9B 00 93 00 9A 08 23 02 FB 03 F2 5E 49 2C A8 ?? ?? ?? ?? 0C AB 08 33 93 ED 00 0B 00 99 2C A8 ?? ?? ?? ?? 00 9B 2C AA 00 99 20 A8 ?? ?? ?? ?? 00 9B 20 AA 00 99 14 A8 ?? ?? ?? ?? 8A E7 14 AA 14 AB 08 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 1B 4E 4B 93 ED 00 0B 21 EE 00 0B 8D ED 02 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 08 DB 9D ED 02 1B B6 EE 00 0B 31 EE 00 0B 8D ED 02 0B 07 E0 9D ED 02 1B B6 EE 00 0B 31 EE 40 0B 8D ED 02 0B 00 21 02 A8 ?? ?? ?? ?? 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 25 D0 14 AB 93 ED 00 0B ?? ?? ?? ?? 09 90 09 9B 00 93 00 9A 08 23 02 FB 03 F2 32 49 38 A8 ?? ?? ?? ?? 9D ED 02 0B B1 EE 40 1B B5 EE 00 0B 21 EE 00 1B 9F ED 2A 0B 81 EE 00 0B 00 99 38 A8 ?? ?? ?? ?? 00 9B 38 AA 00 99 14 A8 ?? ?? ?? ?? 00 99 14 A8 ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 0B 48 9B 83 ED 00 0B 9D ED 02 1B 9F ED 1A 0B B4 EE C0 1B F1 EE 10 FA 08 D3 9F ED 15 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 0B D2 9F ED 0E 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 02 0B 9D ED 02 0B BD EE C0 0B 10 EE 10 3A 03 F0 03 03 0A 93 0A 98 45 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 E0 41 00 00 C0 FF FF FF DF 41 00 00 C0 FF FF FF DF C1 00 00 00 00 00 00 90 41 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_105_0_0 {
	meta:
		name = "_dquad"
		size = 1072
		refs = "0008 __security_push_cookie 008c _d_int 013c _dunscale 0150 _dxp_setw 016e _dscale 0192 memcpy 01a0 _dxp_mulh 01e6 _dxp_addx 0290 get_acsize 038a _dxp_getw 03c8 fmod 03ee __security_pop_cookie 041c __c 0420 twobypi 0424 inv2pi 0428 huge_rad 042c __b"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? C5 B0 48 9B 93 ED 00 0B 8D ED 04 0B DF F8 0C 34 93 ED 00 0B B1 EE 40 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 7C D2 9D ED 04 1B FC 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 72 D2 9D ED 04 1B F5 4B 93 ED 00 0B 21 EE 00 0B 8D ED 02 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 08 DB 9D ED 02 1B B6 EE 00 0B 31 EE 00 0B 8D ED 02 0B 07 E0 9D ED 02 1B B6 EE 00 0B 31 EE 40 0B 8D ED 02 0B 00 21 02 A8 ?? ?? ?? ?? 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 40 D0 9D ED 02 1B B5 EE 00 0B 21 EE 00 1B 9F ED DA 0B 81 EE 00 0B 8D ED 06 0B D9 4B 9D ED 06 1B 93 ED 00 0B 21 EE 00 1B 9D ED 04 0B 30 EE 41 2B D3 4B 08 33 9D ED 06 1B 93 ED 00 0B 21 EE 00 0B 32 EE 40 2B CE 4B 10 33 9D ED 06 1B 93 ED 00 0B 21 EE 00 0B 32 EE 40 2B C9 4B 18 33 9D ED 06 1B 93 ED 00 0B 21 EE 00 0B 32 EE 40 2B C4 4B 20 33 9D ED 06 1B 93 ED 00 0B 21 EE 00 0B 32 EE 40 0B 8D ED 04 0B 9D ED 04 0B 48 9B 83 ED 00 0B 37 E1 06 23 00 93 9D ED 04 0B 8D ED 02 0B 02 A9 01 A8 ?? ?? ?? ?? BD F9 04 30 56 2B 06 DA 9D ED 04 0B 00 99 14 A8 ?? ?? ?? ?? 49 E0 BD F9 04 30 36 3B 5B 11 1B B2 AD F8 04 30 BD F9 04 30 5B 01 59 42 04 A8 ?? ?? ?? ?? 9D ED 04 0B 02 21 0C A8 ?? ?? ?? ?? 30 22 BD F9 04 30 59 1E 30 23 01 FB 03 F1 A7 4B 19 44 14 A8 ?? ?? ?? ?? 0C AB 93 ED 00 0B 00 99 14 A8 ?? ?? ?? ?? 0C AB 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 19 D0 30 22 BD F9 04 30 59 1E 30 23 01 FB 03 F1 99 4B 19 44 20 A8 ?? ?? ?? ?? 0C AB 08 33 93 ED 00 0B 00 99 20 A8 ?? ?? ?? ?? 00 9B 20 AA 00 99 14 A8 ?? ?? ?? ?? 14 AA 8E 4B 93 ED 00 0B B1 EE 40 1B 92 ED 00 0B B4 EE C1 0B F1 EE 10 FA 0A D3 14 AA 88 4B 93 ED 00 1B 92 ED 00 0B B4 EE C0 1B F1 EE 10 FA 5C D2 14 AA 14 AB 08 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 1B 7D 4B 93 ED 00 0B 21 EE 00 0B 8D ED 02 0B 00 21 02 A8 ?? ?? ?? ?? 9D ED 02 0B B1 EE 40 1B 9F ED 72 0B 81 EE 00 0B 02 21 0C A8 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 6E 49 20 A8 ?? ?? ?? ?? 0C AB 93 ED 00 0B 00 99 20 A8 ?? ?? ?? ?? 0C AB 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 1D D0 14 AB 93 ED 00 0B ?? ?? ?? ?? 08 90 08 9B 00 93 00 9A 08 23 02 FB 03 F2 5E 49 2C A8 ?? ?? ?? ?? 0C AB 08 33 93 ED 00 0B 00 99 2C A8 ?? ?? ?? ?? 00 9B 2C AA 00 99 20 A8 ?? ?? ?? ?? 00 9B 20 AA 00 99 14 A8 ?? ?? ?? ?? 8A E7 14 AA 14 AB 08 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 1B 4E 4B 93 ED 00 0B 21 EE 00 0B 8D ED 02 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 08 DB 9D ED 02 1B B6 EE 00 0B 31 EE 00 0B 8D ED 02 0B 07 E0 9D ED 02 1B B6 EE 00 0B 31 EE 40 0B 8D ED 02 0B 00 21 02 A8 ?? ?? ?? ?? 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 25 D0 14 AB 93 ED 00 0B ?? ?? ?? ?? 09 90 09 9B 00 93 00 9A 08 23 02 FB 03 F2 32 49 38 A8 ?? ?? ?? ?? 9D ED 02 0B B1 EE 40 1B B5 EE 00 0B 21 EE 00 1B 9F ED 2A 0B 81 EE 00 0B 00 99 38 A8 ?? ?? ?? ?? 00 9B 38 AA 00 99 14 A8 ?? ?? ?? ?? 00 99 14 A8 ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 0B 48 9B 83 ED 00 0B 9D ED 02 1B 9F ED 1A 0B B4 EE C0 1B F1 EE 10 FA 08 D3 9F ED 15 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 0B D2 9F ED 0E 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 02 0B 9D ED 02 0B BD EE C0 0B 10 EE 10 3A 03 F0 03 03 0A 93 0A 98 45 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 E0 41 00 00 C0 FF FF FF DF 41 00 00 C0 FF FF FF DF C1 00 00 00 00 00 00 90 41 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_5_1_0 {
	meta:
		name = "_ldquadph"
		size = 388
		refs = "0010 _ldquad 0026 _ld_int 0066 fmodl 0164 __pi 0168 __piby4"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 8D ED 04 0B 0E 98 ?? ?? ?? ?? 01 90 01 9B 00 93 9D ED 04 0B 8D ED 06 0B 01 21 06 A8 ?? ?? ?? ?? 9D ED 04 1B 9D ED 06 0B 31 EE 40 0B 8D ED 04 0B 9D ED 06 1B 9F ED 4F 0B B4 EE C0 1B F1 EE 10 FA 08 D3 9F ED 49 1B 9D ED 06 0B B4 EE C0 1B F1 EE 10 FA 0B D2 9F ED 43 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 06 0B 9D ED 06 1B B0 EE 00 0B 21 EE 00 0B BD EE C0 0B 10 EE 10 3A 03 F0 03 02 00 9B 13 44 00 93 9D ED 04 1B 32 4B 93 ED 00 0B 21 EE 00 1B 0E 9B 93 ED 00 0B 30 EE 01 0B 8D ED 08 0B 2D 4B 93 ED 00 1B 9D ED 08 0B B4 EE C0 1B F1 EE 10 FA 1A D8 9D ED 04 1B B6 EE 00 0B 31 EE 40 0B 8D ED 04 0B 00 9B 5B 1C 00 93 9D ED 04 1B 21 4B 93 ED 00 0B 21 EE 00 1B 0E 9B 93 ED 00 0B 30 EE 01 0B 0E 9B 83 ED 00 0B 2B E0 1B 4B 93 ED 00 0B B1 EE 40 1B 9D ED 08 0B B4 EE C1 0B F1 EE 10 FA 1A D8 9D ED 04 1B B6 EE 00 0B 31 EE 00 0B 8D ED 04 0B 00 9B 5B 1E 00 93 9D ED 04 1B 0D 4B 93 ED 00 0B 21 EE 00 1B 0E 9B 93 ED 00 0B 30 EE 01 0B 0E 9B 83 ED 00 0B 04 E0 9D ED 08 0B 0E 9B 83 ED 00 0B 00 9B 02 93 02 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 D0 41 00 00 80 FF FF FF CF 41 00 00 80 FF FF FF CF C1 }
	condition:
		$1
}

rule file_105_1_0 {
	meta:
		name = "_dquadph"
		size = 388
		refs = "0010 _dquad 0026 _d_int 0066 fmod 0164 __pi 0168 __piby4"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 8D ED 04 0B 0E 98 ?? ?? ?? ?? 01 90 01 9B 00 93 9D ED 04 0B 8D ED 06 0B 01 21 06 A8 ?? ?? ?? ?? 9D ED 04 1B 9D ED 06 0B 31 EE 40 0B 8D ED 04 0B 9D ED 06 1B 9F ED 4F 0B B4 EE C0 1B F1 EE 10 FA 08 D3 9F ED 49 1B 9D ED 06 0B B4 EE C0 1B F1 EE 10 FA 0B D2 9F ED 43 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 06 0B 9D ED 06 1B B0 EE 00 0B 21 EE 00 0B BD EE C0 0B 10 EE 10 3A 03 F0 03 02 00 9B 13 44 00 93 9D ED 04 1B 32 4B 93 ED 00 0B 21 EE 00 1B 0E 9B 93 ED 00 0B 30 EE 01 0B 8D ED 08 0B 2D 4B 93 ED 00 1B 9D ED 08 0B B4 EE C0 1B F1 EE 10 FA 1A D8 9D ED 04 1B B6 EE 00 0B 31 EE 40 0B 8D ED 04 0B 00 9B 5B 1C 00 93 9D ED 04 1B 21 4B 93 ED 00 0B 21 EE 00 1B 0E 9B 93 ED 00 0B 30 EE 01 0B 0E 9B 83 ED 00 0B 2B E0 1B 4B 93 ED 00 0B B1 EE 40 1B 9D ED 08 0B B4 EE C1 0B F1 EE 10 FA 1A D8 9D ED 04 1B B6 EE 00 0B 31 EE 00 0B 8D ED 04 0B 00 9B 5B 1E 00 93 9D ED 04 1B 0D 4B 93 ED 00 0B 21 EE 00 1B 0E 9B 93 ED 00 0B 30 EE 01 0B 0E 9B 83 ED 00 0B 04 E0 9D ED 08 0B 0E 9B 83 ED 00 0B 00 9B 02 93 02 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 D0 41 00 00 80 FF FF FF CF 41 00 00 80 FF FF FF CF C1 }
	condition:
		$1
}

rule file_5_2_0 {
	meta:
		name = "_ldsin"
		size = 568
		refs = "0010 _ldtest 0076 _fperrraise 0088 _ldquad 0228 _s 022c _c 0230 _LRteps_C 0234 _LNan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 0B D0 01 9B 01 2B 24 D0 01 9B 02 2B 00 D0 29 E0 9D ED 04 0B 8D ED 08 0B ED E0 10 9B 13 F0 01 0F 03 D0 B7 EE 00 0B 8D ED 04 0B 10 9B 13 F0 02 0F 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 0A 0B 03 E0 9D ED 04 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B D1 E0 01 20 ?? ?? ?? ?? 6E 4B 93 ED 00 0B 8D ED 08 0B C8 E0 04 A8 ?? ?? ?? ?? 02 90 10 9A 02 9B 13 44 10 93 66 4B 93 ED 00 0B B1 EE 40 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 12 D2 9D ED 04 1B 5F 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 08 D2 10 9B 13 F0 01 0F 03 D0 B7 EE 00 0B 8D ED 04 0B 8E E0 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B 8D ED 06 0B 10 9B 13 F0 01 0F 3F D0 4F 4B 93 ED 00 1B 9D ED 06 0B 21 EE 00 1B 4C 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 47 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 42 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 3D 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 38 4B 28 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 20 EE 01 1B B7 EE 00 0B 30 EE 01 0B 8D ED 04 0B 42 E0 9D ED 04 1B 9D ED 06 0B 21 EE 00 2B 2B 4B 93 ED 00 1B 9D ED 06 0B 21 EE 00 1B 28 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 23 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 1E 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 19 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 14 4B 28 33 93 ED 00 0B 31 EE 00 0B 22 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B 10 9B 13 F0 02 0F 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9D ED 04 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B 9D ED 08 0B 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_105_2_0 {
	meta:
		name = "_dsin"
		size = 568
		refs = "0010 _dtest 0076 _fperrraise 0088 _dquad 0228 _s 022c _c 0230 _Rteps_C 0234 _Nan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 0B D0 01 9B 01 2B 24 D0 01 9B 02 2B 00 D0 29 E0 9D ED 04 0B 8D ED 08 0B ED E0 10 9B 13 F0 01 0F 03 D0 B7 EE 00 0B 8D ED 04 0B 10 9B 13 F0 02 0F 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 0A 0B 03 E0 9D ED 04 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B D1 E0 01 20 ?? ?? ?? ?? 6E 4B 93 ED 00 0B 8D ED 08 0B C8 E0 04 A8 ?? ?? ?? ?? 02 90 10 9A 02 9B 13 44 10 93 66 4B 93 ED 00 0B B1 EE 40 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 12 D2 9D ED 04 1B 5F 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 08 D2 10 9B 13 F0 01 0F 03 D0 B7 EE 00 0B 8D ED 04 0B 8E E0 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B 8D ED 06 0B 10 9B 13 F0 01 0F 3F D0 4F 4B 93 ED 00 1B 9D ED 06 0B 21 EE 00 1B 4C 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 47 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 42 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 3D 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 38 4B 28 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 20 EE 01 1B B7 EE 00 0B 30 EE 01 0B 8D ED 04 0B 42 E0 9D ED 04 1B 9D ED 06 0B 21 EE 00 2B 2B 4B 93 ED 00 1B 9D ED 06 0B 21 EE 00 1B 28 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 23 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 1E 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 19 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 14 4B 28 33 93 ED 00 0B 31 EE 00 0B 22 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B 10 9B 13 F0 02 0F 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9D ED 04 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B 9D ED 08 0B 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_5_3_0 {
	meta:
		name = "fmodl"
		size = 50
		refs = "0018 fmod"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 00 1B 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_252_2_2 {
	meta:
		name = "_nextafter"
		size = 50
		refs = "0018 nextafter"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 00 1B 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_642_0_3 {
	meta:
		name = "atan2l"
		size = 50
		refs = "0018 atan2"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 00 1B 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_422_1_2 {
	meta:
		name = "hypot"
		size = 50
		refs = "0018 _hypot"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 00 1B 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_539_1_3 {
	meta:
		name = "hypotl"
		size = 50
		refs = "0018 _hypot"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 00 1B 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_472_0_3 {
	meta:
		name = "nextafter"
		size = 50
		refs = "0018 nexttoward"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 00 1B 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_609_0_0 {
	meta:
		name = "nextafterl"
		size = 50
		refs = "0018 nexttowardl"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 00 1B 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_370_3_4 {
	meta:
		name = "powl"
		size = 50
		refs = "0018 pow"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 00 1B 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_5_4_0 {
	meta:
		name = "get_acsize"
		size = 68
		refs = "0010 _ldunscale 001a __rt_sdiv"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 04 0B 04 A9 68 46 ?? ?? ?? ?? BD F9 00 10 35 20 ?? ?? ?? ?? 02 23 00 FB 03 F3 5B 1D 01 93 01 9B 06 2B 02 D8 01 9B 02 93 01 E0 06 23 02 93 02 9B 03 93 03 98 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_105_3_0 {
	meta:
		name = "get_acsize"
		size = 68
		refs = "0010 _dunscale 001a __rt_sdiv"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 04 0B 04 A9 68 46 ?? ?? ?? ?? BD F9 00 10 35 20 ?? ?? ?? ?? 02 23 00 FB 03 F3 5B 1D 01 93 01 9B 06 2B 02 D8 01 9B 02 93 01 E0 06 23 02 93 02 9B 03 93 03 98 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_5_5_0 {
	meta:
		name = "lgamma_big"
		size = 248
		refs = "0022 _ldlog 005e _ldunscale 0078 _ldscale 00d8 _fperrraise 00f0 half_ln2pim1 00f4 c"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 04 0B B7 EE 00 1B 9D ED 04 0B 81 EE 00 0B 8D ED 06 0B 00 20 9D ED 04 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 1B B7 EE 00 0B 31 EE 40 0B 8D ED 0C 0B 9D ED 04 1B B6 EE 00 0B 31 EE 40 0B 8D ED 02 0B 9D ED 06 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B 02 A9 68 46 ?? ?? ?? ?? 9D ED 02 1B 9D ED 0C 0B 21 EE 00 0B 8D ED 02 0B BD F9 00 10 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 00 2B 26 DA 1A 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 1B 17 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 08 0B 21 EE 00 1B 12 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 0C 4B 93 ED 00 0B 30 EE 01 1B 9D ED 02 0B 30 EE 01 0B 8D ED 02 0B 02 E0 08 20 ?? ?? ?? ?? 9D ED 02 0B 8D ED 0E 0B 9D ED 0E 0B 10 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_105_5_0 {
	meta:
		name = "lgamma_big"
		size = 248
		refs = "0022 _dlog 005e _dunscale 0078 _dscale 00d8 _fperrraise 00f0 half_ln2pim1 00f4 c"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 04 0B B7 EE 00 1B 9D ED 04 0B 81 EE 00 0B 8D ED 06 0B 00 20 9D ED 04 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 1B B7 EE 00 0B 31 EE 40 0B 8D ED 0C 0B 9D ED 04 1B B6 EE 00 0B 31 EE 40 0B 8D ED 02 0B 9D ED 06 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B 02 A9 68 46 ?? ?? ?? ?? 9D ED 02 1B 9D ED 0C 0B 21 EE 00 0B 8D ED 02 0B BD F9 00 10 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 00 2B 26 DA 1A 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 1B 17 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 08 0B 21 EE 00 1B 12 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 0C 4B 93 ED 00 0B 30 EE 01 1B 9D ED 02 0B 30 EE 01 0B 8D ED 02 0B 02 E0 08 20 ?? ?? ?? ?? 9D ED 02 0B 8D ED 0E 0B 9D ED 0E 0B 10 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_5_6_0 {
	meta:
		name = "lgammal"
		size = 964
		refs = "0018 _ld_int 0060 _fperrraise 00a0 _ldsin 00c0 _ldlog 00d0 lgamma_big 01d2 _ldpoly 02de _ldtgamma 0376 log1pl 03a0 loge2hi 03a4 loge2lo 03a8 approx 03b4 rootapprox 03b8 _ldgamma_big 03bc pi 03c0 _LInf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 A4 B0 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 00 21 04 A8 ?? ?? ?? ?? AD F8 20 00 BD F9 20 30 09 93 09 9B 00 2B 11 D0 09 9B 01 2B 08 D0 09 9B 02 2B 00 D0 1A E0 9D ED 02 0B 8D ED 06 0B A8 E1 DE 4B 93 ED 00 0B 8D ED 06 0B A2 E1 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 08 D8 04 20 ?? ?? ?? ?? D6 4B 93 ED 00 0B 8D ED 06 0B 92 E1 D1 4B 93 ED 00 0B B1 EE 40 1B 9D ED 02 0B B4 EE C1 0B F1 EE 10 FA 31 D2 00 20 9D ED 02 1B 9D ED 04 0B 31 EE 40 1B C9 4B 93 ED 00 0B 20 EE 01 0B ?? ?? ?? ?? 8D ED 0E 0B 00 20 9D ED 02 1B 9D ED 0E 0B 21 EE 00 1B C1 4B 93 ED 00 0B 80 EE 01 0B ?? ?? ?? ?? 8D ED 10 0B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 10 1B 9D ED 12 0B 31 EE 40 0B 8D ED 06 0B 55 E1 54 E1 B2 4B 93 ED 00 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 0B D8 9D ED 02 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 06 0B 3F E1 3E E1 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 0B 2B 20 D2 00 9A 28 23 02 FB 03 F2 A0 4B 13 44 93 ED 00 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 10 D2 00 9A 28 23 02 FB 03 F2 98 4B 13 44 08 33 9D ED 02 1B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 00 D2 00 E0 D8 E7 00 9B 0B 2B 39 D2 9D ED 02 0B 8D ED 04 0B 00 9A 28 23 02 FB 03 F2 8C 4B 13 44 10 33 9D ED 04 1B 93 ED 00 0B 31 EE 40 1B 00 9A 28 23 02 FB 03 F2 85 4B 13 44 18 33 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B 00 9A 28 23 02 FB 03 F2 7F 4B 13 44 24 33 19 68 00 9A 28 23 02 FB 03 F2 7B 4B 13 44 20 33 18 68 9D ED 04 0B ?? ?? ?? ?? 8D ED 16 0B 9D ED 16 0B 8D ED 06 0B D8 E0 D7 E0 9F ED 71 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 6F D2 9D ED 02 1B B7 EE 08 0B B4 EE C0 1B F1 EE 10 FA 66 D2 9D ED 02 0B 8D ED 04 0B 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 01 2B 10 D2 00 9A 20 23 02 FB 03 F2 5E 4B 13 44 9D ED 04 1B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 00 D2 00 E0 E8 E7 00 9A 20 23 02 FB 03 F2 56 4B 13 44 08 33 9D ED 04 1B 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B 00 9A 20 23 02 FB 03 F2 4E 4B 13 44 14 33 19 68 00 9A 20 23 02 FB 03 F2 4A 4B 13 44 10 33 18 68 9D ED 04 0B ?? ?? ?? ?? 8D ED 18 0B 00 9A 20 23 02 FB 03 F2 43 4B 13 44 1C 33 19 68 00 9A 20 23 02 FB 03 F2 3F 4B 13 44 18 33 18 68 9D ED 04 0B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 18 1B 9D ED 1A 0B 81 EE 00 0B 8D ED 1C 0B 9D ED 1C 0B 8D ED 06 0B 5F E0 5E E0 0D F1 22 01 02 A8 ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1E 0B 8D ED 04 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 02 0B B1 EE 40 0B 8D ED 0A 0B 03 E0 9D ED 02 0B 8D ED 0A 0B 00 20 9D ED 0A 0B ?? ?? ?? ?? 8D ED 20 0B 9D ED 20 0B B1 EE 40 0B 8D ED 02 0B BD F9 22 30 5B 42 00 EE 10 3A B8 EE C0 0B 8D ED 0C 0B 19 4B 93 ED 00 1B 9D ED 0C 0B 21 EE 00 1B 9D ED 02 0B 30 EE 01 0B 8D ED 02 0B 11 4B 93 ED 00 1B 9D ED 0C 0B 21 EE 00 1B 9D ED 02 0B 30 EE 01 0B 8D ED 02 0B 9D ED 04 0B ?? ?? ?? ?? 8D ED 22 0B 9D ED 02 1B 9D ED 22 0B 31 EE 00 0B 8D ED 02 0B 9D ED 02 0B 8D ED 06 0B 9D ED 06 0B 24 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 33 33 33 33 33 F3 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_105_4_0 {
	meta:
		name = "lgamma"
		size = 964
		refs = "0018 _d_int 0060 _fperrraise 00a0 _dsin 00c0 _dlog 00d0 lgamma_big 01d2 _dpoly 02de _dtgamma 0376 log1p 03a0 loge2hi 03a4 loge2lo 03a8 approx 03b4 rootapprox 03b8 _dgamma_big 03bc pi 03c0 _Inf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 A4 B0 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 00 21 04 A8 ?? ?? ?? ?? AD F8 20 00 BD F9 20 30 09 93 09 9B 00 2B 11 D0 09 9B 01 2B 08 D0 09 9B 02 2B 00 D0 1A E0 9D ED 02 0B 8D ED 06 0B A8 E1 DE 4B 93 ED 00 0B 8D ED 06 0B A2 E1 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 08 D8 04 20 ?? ?? ?? ?? D6 4B 93 ED 00 0B 8D ED 06 0B 92 E1 D1 4B 93 ED 00 0B B1 EE 40 1B 9D ED 02 0B B4 EE C1 0B F1 EE 10 FA 31 D2 00 20 9D ED 02 1B 9D ED 04 0B 31 EE 40 1B C9 4B 93 ED 00 0B 20 EE 01 0B ?? ?? ?? ?? 8D ED 0E 0B 00 20 9D ED 02 1B 9D ED 0E 0B 21 EE 00 1B C1 4B 93 ED 00 0B 80 EE 01 0B ?? ?? ?? ?? 8D ED 10 0B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 10 1B 9D ED 12 0B 31 EE 40 0B 8D ED 06 0B 55 E1 54 E1 B2 4B 93 ED 00 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 0B D8 9D ED 02 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 06 0B 3F E1 3E E1 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 0B 2B 20 D2 00 9A 28 23 02 FB 03 F2 A0 4B 13 44 93 ED 00 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 10 D2 00 9A 28 23 02 FB 03 F2 98 4B 13 44 08 33 9D ED 02 1B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 00 D2 00 E0 D8 E7 00 9B 0B 2B 39 D2 9D ED 02 0B 8D ED 04 0B 00 9A 28 23 02 FB 03 F2 8C 4B 13 44 10 33 9D ED 04 1B 93 ED 00 0B 31 EE 40 1B 00 9A 28 23 02 FB 03 F2 85 4B 13 44 18 33 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B 00 9A 28 23 02 FB 03 F2 7F 4B 13 44 24 33 19 68 00 9A 28 23 02 FB 03 F2 7B 4B 13 44 20 33 18 68 9D ED 04 0B ?? ?? ?? ?? 8D ED 16 0B 9D ED 16 0B 8D ED 06 0B D8 E0 D7 E0 9F ED 71 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 6F D2 9D ED 02 1B B7 EE 08 0B B4 EE C0 1B F1 EE 10 FA 66 D2 9D ED 02 0B 8D ED 04 0B 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 01 2B 10 D2 00 9A 20 23 02 FB 03 F2 5E 4B 13 44 9D ED 04 1B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 00 D2 00 E0 E8 E7 00 9A 20 23 02 FB 03 F2 56 4B 13 44 08 33 9D ED 04 1B 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B 00 9A 20 23 02 FB 03 F2 4E 4B 13 44 14 33 19 68 00 9A 20 23 02 FB 03 F2 4A 4B 13 44 10 33 18 68 9D ED 04 0B ?? ?? ?? ?? 8D ED 18 0B 00 9A 20 23 02 FB 03 F2 43 4B 13 44 1C 33 19 68 00 9A 20 23 02 FB 03 F2 3F 4B 13 44 18 33 18 68 9D ED 04 0B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 18 1B 9D ED 1A 0B 81 EE 00 0B 8D ED 1C 0B 9D ED 1C 0B 8D ED 06 0B 5F E0 5E E0 0D F1 22 01 02 A8 ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1E 0B 8D ED 04 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 02 0B B1 EE 40 0B 8D ED 0A 0B 03 E0 9D ED 02 0B 8D ED 0A 0B 00 20 9D ED 0A 0B ?? ?? ?? ?? 8D ED 20 0B 9D ED 20 0B B1 EE 40 0B 8D ED 02 0B BD F9 22 30 5B 42 00 EE 10 3A B8 EE C0 0B 8D ED 0C 0B 19 4B 93 ED 00 1B 9D ED 0C 0B 21 EE 00 1B 9D ED 02 0B 30 EE 01 0B 8D ED 02 0B 11 4B 93 ED 00 1B 9D ED 0C 0B 21 EE 00 1B 9D ED 02 0B 30 EE 01 0B 8D ED 02 0B 9D ED 04 0B ?? ?? ?? ?? 8D ED 22 0B 9D ED 02 1B 9D ED 22 0B 31 EE 00 0B 8D ED 02 0B 9D ED 02 0B 8D ED 06 0B 9D ED 06 0B 24 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 33 33 33 33 33 33 F3 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_6_0_0 {
	meta:
		name = "normf"
		size = 106
		refs = "0018 crealf 0030 cimagf"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 CD ED 07 0A 8D ED 06 0A 9D ED 06 0A DD ED 07 0A ?? ?? ?? ?? 8D ED 02 0A 9D ED 02 0A 8D ED 00 0A 9D ED 06 0A DD ED 07 0A ?? ?? ?? ?? 8D ED 03 0A 9D ED 03 0A 8D ED 01 0A DD ED 00 0A 9D ED 00 0A 20 EE 80 1A DD ED 01 0A 9D ED 01 0A 20 EE 80 0A 31 EE 00 0A 8D ED 04 0A 9D ED 04 0A 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_7_0_0 {
	meta:
		name = "??$common_creat@D@@YAHQBDH@Z"
		size = 86
		refs = "002a ??$tsopen_s@PAHABQBDHHABH@?$__crt_char_traits@D@@SAH$$QAPAHABQBD$$QAH2ABH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 6F F0 00 03 02 93 40 23 04 93 40 F2 02 33 05 93 02 AB 06 93 0D AB 00 93 04 AB 05 AA 0C A9 06 A8 ?? ?? ?? ?? 07 90 07 9B 08 93 08 9B 00 2B 02 D1 02 9B 03 93 02 E0 6F F0 00 03 03 93 03 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_1_0 {
	meta:
		name = "??$common_creat@_W@@YAHQB_WH@Z"
		size = 86
		refs = "002a ??$tsopen_s@PAHABQB_WHHABH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_W$$QAH2ABH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 6F F0 00 03 02 93 40 23 04 93 40 F2 02 33 05 93 02 AB 06 93 0D AB 00 93 04 AB 05 AA 0C A9 06 A8 ?? ?? ?? ?? 07 90 07 9B 08 93 08 9B 00 2B 02 D1 02 9B 03 93 02 E0 6F F0 00 03 03 93 03 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_7_2_0 {
	meta:
		name = "??$tsopen_s@PAHABQBDHHABH@?$__crt_char_traits@D@@SAH$$QAPAHABQBD$$QAH2ABH@Z"
		size = 54
		refs = "0020 _sopen_s"
		altNames = "??$tsopen_s@PAHABQBDABHABHH@?$__crt_char_traits@D@@SAH$$QAPAHABQBDABH2$$QAH@Z ??$tsopen_s@PAHABQBDHHH@?$__crt_char_traits@D@@SAH$$QAPAHABQBD$$QAH22@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 1B 68 00 93 09 9B 1B 68 08 9A 12 68 07 99 09 68 06 98 00 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_11_0 {
	meta:
		name = "??$ftprintf@PAU_iobuf@@PBDABQBDABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@$$QAPBDABQBD2ABI@Z"
		size = 54
		refs = "0020 fprintf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 1B 68 00 93 09 9B 1B 68 08 9A 12 68 07 99 09 68 06 98 00 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_12_0 {
	meta:
		name = "??$ftprintf@PAU_iobuf@@PB_WABQB_WABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPAU_iobuf@@$$QAPB_WABQB_W2ABI@Z"
		size = 54
		refs = "0020 fwprintf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 1B 68 00 93 09 9B 1B 68 08 9A 12 68 07 99 09 68 06 98 00 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_544_13_0 {
	meta:
		name = "??$tsopen_s@PAHABQB_WABHABHH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_WABH2$$QAH@Z"
		size = 54
		refs = "0020 _wsopen_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 1B 68 00 93 09 9B 1B 68 08 9A 12 68 07 99 09 68 06 98 00 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_7_3_3 {
	meta:
		name = "??$tsopen_s@PAHABQB_WHHABH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_W$$QAH2ABH@Z"
		size = 54
		refs = "0020 _wsopen_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 1B 68 00 93 09 9B 1B 68 08 9A 12 68 07 99 09 68 06 98 00 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_691_13_3 {
	meta:
		name = "??$tsopen_s@PAHABQB_WHHH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_W$$QAH22@Z"
		size = 54
		refs = "0020 _wsopen_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 1B 68 00 93 09 9B 1B 68 08 9A 12 68 07 99 09 68 06 98 00 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_8_3_0 {
	meta:
		name = "??$common_strnlen_c@$00G@@YAIQBGI@Z"
		size = 88
		refs = "0028 ??$last_reached@$00@@YA_NQBX0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9A 02 23 02 FB 03 F2 06 9B 13 44 02 93 06 9B 01 93 02 E0 01 9B 9B 1C 01 93 02 99 01 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 04 D1 01 9B 1B 88 00 2B 00 D0 ED E7 01 9A 06 9B D3 1A 5B 10 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_5_0 {
	meta:
		name = "??$common_strnlen_c@$0A@G@@YAIQBGI@Z"
		size = 88
		refs = "0028 ??$last_reached@$0A@@@YA_NQBX0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9A 02 23 02 FB 03 F2 06 9B 13 44 02 93 06 9B 01 93 02 E0 01 9B 9B 1C 01 93 02 99 01 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 04 D1 01 9B 1B 88 00 2B 00 D0 ED E7 01 9A 06 9B D3 1A 5B 10 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_4_0 {
	meta:
		name = "??$common_strnlen_c@$0A@E@@YAIQBEI@Z"
		size = 80
		refs = "0022 ??$last_reached@$0A@@@YA_NQBX0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9A 07 9B 13 44 02 93 06 9B 01 93 02 E0 01 9B 5B 1C 01 93 02 99 01 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 04 D1 01 9B 1B 78 00 2B 00 D0 ED E7 01 9A 06 9B D3 1A 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_7_0 {
	meta:
		name = "??$last_reached@$0A@@@YA_NQBX0@Z"
		size = 50
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_8_9_0 {
	meta:
		name = "wcslen"
		size = 38
		refs = "0010 ??$common_strnlen@$00G@@YAIQBGI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 6F F0 00 01 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_9_0_0 {
	meta:
		name = "_FSinh"
		size = 616
		refs = "0012 _fdtest 0092 _fperrraise 01ea _fdexp 0250 _FXbig_C 0254 s 0258 c 025c ln3by2 0260 _FRteps_C 0264 _FNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 CD ED 04 0A 8D ED 03 0A 03 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 AD F8 00 30 04 A8 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 AD F8 02 30 BD F9 00 30 00 2B 03 DA BD F9 02 30 00 2B 55 DB BD F9 00 30 02 2B 05 D1 9D ED 03 0A 8D ED 05 0A F6 E0 4A E0 BD F9 02 30 02 2B 05 D1 9D ED 04 0A 8D ED 05 0A EC E0 40 E0 BD F9 00 30 01 2B 17 D1 BD F9 02 30 00 2B 09 D0 DD ED 03 0A 9D ED 04 0A 20 EE 80 0A 8D ED 05 0A DA E0 08 E0 01 20 ?? ?? ?? ?? 73 4B 93 ED 00 0A 8D ED 05 0A D0 E0 24 E0 BD F9 00 30 00 2B 17 D1 BD F9 02 30 01 2B 09 D0 DD ED 03 0A 9D ED 04 0A 20 EE 80 0A 8D ED 05 0A BE E0 08 E0 01 20 ?? ?? ?? ?? 65 4B 93 ED 00 0A 8D ED 05 0A B4 E0 08 E0 DD ED 03 0A 9D ED 04 0A 20 EE 80 0A 8D ED 05 0A AA E0 A9 E0 9D ED 03 0A B5 EE C0 0A F1 EE 10 FA 09 D2 9D ED 03 0A B1 EE 40 0A 8D ED 03 0A 01 23 AD F8 04 30 02 E0 00 23 AD F8 04 30 DD ED 03 0A 50 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 08 D2 DD ED 03 0A 9D ED 04 0A 20 EE 80 0A 8D ED 03 0A 6F E0 DD ED 03 0A 46 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 3C D2 DD ED 03 0A 9D ED 03 0A 20 EE 80 0A 8D ED 06 0A 3D 4B D3 ED 00 0A 9D ED 06 0A 60 EE 80 0A 39 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 06 0A 60 EE 20 0A B7 EE 00 0A 30 EE 20 0A 8D ED 08 0A DD ED 03 0A 9D ED 06 0A 60 EE 80 0A 2D 4B 93 ED 00 0A 60 EE 80 0A 9D ED 03 0A 30 EE 20 0A 8D ED 03 0A DD ED 03 0A 9D ED 08 0A C0 EE 80 0A 9D ED 04 0A 20 EE 20 0A 8D ED 03 0A 28 E0 DD ED 03 0A 1F 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 17 D2 6F F0 00 01 B7 EE 00 0A 03 A8 ?? ?? ?? ?? F5 EE 00 0A 9D ED 03 0A C0 EE 80 0A 9D ED 03 0A 70 EE 60 0A 9D ED 04 0A 20 EE 20 0A 8D ED 03 0A 06 E0 6F F0 00 01 9D ED 04 0A 03 A8 ?? ?? ?? ?? BD F9 04 30 00 2B 06 D0 9D ED 03 0A B1 EE 40 0A 8D ED 07 0A 03 E0 9D ED 03 0A 8D ED 07 0A 9D ED 07 0A 8D ED 05 0A 9D ED 05 0A 0A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_9_1_0 {
	meta:
		name = "csinhf"
		size = 680
		refs = "0018 crealf 0030 cimagf 0042 _fdtest 007e _FCbuild 00d4 _fperrraise 01e8 sinf 01f4 cosf 024a _FCosh 0266 _FSinh 02a0 _FInf_C 02a4 _FNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 A4 B0 CD ED 09 0A 8D ED 08 0A 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 0A 0A 9D ED 0A 0A 8D ED 05 0A 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 0B 0A 9D ED 0B 0A 8D ED 04 0A 05 A8 ?? ?? ?? ?? AD F8 18 00 BD F9 18 30 AD F8 00 30 04 A8 ?? ?? ?? ?? AD F8 1A 00 BD F9 1A 30 AD F8 02 30 BD F9 00 30 02 2B 2E D1 BD F9 02 30 00 2B 14 D1 DD ED 04 0A 8A 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 13 0A 8D ED 12 0A 9D ED 12 0A 8D ED 02 0A 9D ED 13 0A 8D ED 03 0A FA E0 14 E0 81 4B D3 ED 00 0A 7F 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 15 0A 8D ED 14 0A 9D ED 14 0A 8D ED 02 0A 9D ED 15 0A 8D ED 03 0A E4 E0 E3 E0 BD F9 02 30 01 2B 35 D1 01 20 ?? ?? ?? ?? BD F9 00 30 00 2B 03 D0 BD F9 00 30 01 2B 14 D1 6E 4B D3 ED 00 0A 9D ED 05 0A ?? ?? ?? ?? CD ED 17 0A 8D ED 16 0A 9D ED 16 0A 8D ED 02 0A 9D ED 17 0A 8D ED 03 0A C0 E0 14 E0 64 4B D3 ED 00 0A 62 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 19 0A 8D ED 18 0A 9D ED 18 0A 8D ED 02 0A 9D ED 19 0A 8D ED 03 0A AA E0 A9 E0 BD F9 02 30 02 2B 32 D1 BD F9 00 30 00 2B 03 D0 BD F9 00 30 01 2B 14 D1 53 4B D3 ED 00 0A 9D ED 05 0A ?? ?? ?? ?? CD ED 1B 0A 8D ED 1A 0A 9D ED 1A 0A 8D ED 02 0A 9D ED 1B 0A 8D ED 03 0A 89 E0 14 E0 48 4B D3 ED 00 0A 47 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 1D 0A 8D ED 1C 0A 9D ED 1C 0A 8D ED 02 0A 9D ED 1D 0A 8D ED 03 0A 73 E0 72 E0 BD F9 00 30 01 2B 40 D1 BD F9 02 30 00 2B 13 D1 DD ED 04 0A 9D ED 05 0A ?? ?? ?? ?? CD ED 1F 0A 8D ED 1E 0A 9D ED 1E 0A 8D ED 02 0A 9D ED 1F 0A 8D ED 03 0A 57 E0 27 E0 9D ED 04 0A ?? ?? ?? ?? 8D ED 0C 0A 9D ED 04 0A ?? ?? ?? ?? 8D ED 0D 0A 28 4B D3 ED 00 0A 9D ED 0C 0A 60 EE 80 0A 9D ED 05 1A 9D ED 0D 0A 21 EE 00 0A ?? ?? ?? ?? CD ED 21 0A 8D ED 20 0A 9D ED 20 0A 8D ED 02 0A 9D ED 21 0A 8D ED 03 0A 2E E0 2D E0 9D ED 04 0A ?? ?? ?? ?? 8D ED 0E 0A DD ED 0E 0A 9D ED 05 0A ?? ?? ?? ?? 8D ED 10 0A 9D ED 04 0A ?? ?? ?? ?? 8D ED 0F 0A DD ED 0F 0A 9D ED 05 0A ?? ?? ?? ?? 8D ED 11 0A DD ED 10 0A 9D ED 11 0A ?? ?? ?? ?? CD ED 23 0A 8D ED 22 0A 9D ED 22 0A 8D ED 02 0A 9D ED 23 0A 8D ED 03 0A 9D ED 02 0A DD ED 03 0A 24 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_5_0 {
	meta:
		name = "?has_all_of@__crt_stdio_stream@@QBA_NJ@Z"
		size = 62
		refs = "000c ?get_flags@__crt_stdio_stream@@QBAJXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9A 07 9B 1A 40 07 9B 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_6_0 {
	meta:
		name = "?is_string_backed@__crt_stdio_stream@@QBA_NXZ"
		size = 58
		refs = "000c ?get_flags@__crt_stdio_stream@@QBAJXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 13 F4 80 5F 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_8_0 {
	meta:
		name = "?set_flags@__crt_stdio_stream@@QBA_NJ@Z"
		size = 92
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 BF F3 5B 8F 06 9B 1B 68 03 F1 0C 04 07 98 54 E8 00 2F 42 EA 00 01 44 E8 00 13 00 2B F7 D1 13 46 01 93 BF F3 5B 8F 01 9A 07 9B 13 40 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_9_0 {
	meta:
		name = "?ungetwc_binary_mode_nolock@@YAGGV__crt_stdio_stream@@@Z"
		size = 292
		refs = "0014 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0094 ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 0102 ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 010a ?set_flags@__crt_stdio_stream@@QBA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 BD F8 38 30 AD F8 02 30 0F A8 ?? ?? ?? ?? 04 90 0F A8 ?? ?? ?? ?? 05 90 04 99 05 9B 1B 1D 1B 68 9A 1C 0B 68 93 42 29 D2 0F A8 ?? ?? ?? ?? 06 90 06 9B 08 33 1B 68 00 2B 04 D0 4F F6 FF 73 AD F8 08 30 63 E0 0F A8 ?? ?? ?? ?? 07 90 07 9B 18 33 1B 68 02 2B 04 D2 4F F6 FF 73 AD F8 08 30 55 E0 0F A8 ?? ?? ?? ?? 08 90 0F A8 ?? ?? ?? ?? 09 90 08 9B 1B 1D 1B 68 9A 1C 09 9B 1A 60 0F A8 ?? ?? ?? ?? 0A 90 0A 9B 01 93 0F A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 16 D0 01 9B 1B 68 9A 1E 01 9B 1A 60 01 9B 1B 68 1A 88 BD F8 02 30 9A 42 09 D0 01 9B 1B 68 9A 1C 01 9B 1A 60 4F F6 FF 73 AD F8 08 30 22 E0 09 E0 01 9B 1B 68 9A 1E 01 9B 1A 60 01 9B 1A 68 BD F8 02 30 13 80 0F A8 ?? ?? ?? ?? 0B 90 0B 9B 08 33 03 93 03 9B 1B 68 9A 1C 03 9B 1A 60 08 21 0F A8 ?? ?? ?? ?? 01 21 0F A8 ?? ?? ?? ?? BD F8 02 30 AD F8 08 30 BD F8 08 00 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_10_10_0 {
	meta:
		name = "?ungetwc_text_mode_nolock@@YAGGV__crt_stdio_stream@@@Z"
		size = 508
		refs = "0008 __security_push_cookie 0010 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0018 _fileno 00a2 memset 00b8 wctomb_s 00f2 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 01ca ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 01d2 ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 01e8 __security_pop_cookie 01f4 __badioinfo 01f8 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9D B0 21 A8 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 09 90 09 9B B3 F1 FF 3F 2C D0 21 A8 ?? ?? ?? ?? 0A 90 0A 98 ?? ?? ?? ?? 0B 90 0B 9B 13 F1 02 0F 20 D0 21 A8 ?? ?? ?? ?? 0C 90 0C 98 ?? ?? ?? ?? 0E 90 21 A8 ?? ?? ?? ?? 0D 90 0D 98 ?? ?? ?? ?? 0F 90 0E 9B 9A 11 04 23 02 FB 03 F2 63 4B 99 18 0F 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 05 93 01 E0 5C 4B 05 93 05 9B 29 33 93 F9 00 30 8D F8 00 30 00 23 01 93 00 23 8D F8 68 30 04 22 00 21 0D F1 69 00 ?? ?? ?? ?? 9D F9 00 30 00 2B 10 D1 BD F8 80 30 05 22 1A A9 01 A8 ?? ?? ?? ?? 10 90 10 9B 00 2B 04 D0 4F F6 FF 73 AD F8 0C 30 89 E0 0F E0 20 AB 06 93 06 9B 1A AA 93 F9 00 30 13 70 06 9B 59 1C 1A AB 5A 1C 91 F9 00 30 13 70 02 23 01 93 21 A8 ?? ?? ?? ?? 11 90 21 A8 ?? ?? ?? ?? 12 90 11 99 12 9B 1B 1D 1A 68 01 9B 1A 44 0B 68 93 42 2B D2 21 A8 ?? ?? ?? ?? 13 90 13 9B 08 33 1B 68 00 2B 04 D0 4F F6 FF 73 AD F8 0C 30 59 E0 21 A8 ?? ?? ?? ?? 14 90 14 9B 18 33 01 9A 1B 68 9A 42 04 DD 4F F6 FF 73 AD F8 0C 30 4A E0 21 A8 ?? ?? ?? ?? 15 90 21 A8 ?? ?? ?? ?? 16 90 15 9B 1B 1D 1A 68 01 9B 1A 44 16 9B 1A 60 01 9B 5B 1E 02 93 02 E0 02 9B 5B 1E 02 93 02 9B 00 2B 16 DB 21 A8 ?? ?? ?? ?? 17 90 17 9B 04 93 04 9B 1B 68 5A 1E 04 9B 1A 60 04 9B 19 68 02 9A 01 23 02 FB 03 F2 1A AB 13 44 93 F9 00 30 0B 70 E2 E7 21 A8 ?? ?? ?? ?? 18 90 18 9B 08 33 07 93 07 9B 1A 68 01 9B 1A 44 07 9B 1A 60 08 21 21 A8 ?? ?? ?? ?? 01 21 21 A8 ?? ?? ?? ?? BD F8 80 30 9B B2 9B B2 AD F8 0C 30 BD F8 0C 00 1D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_11_0 {
	meta:
		name = "?unset_flags@__crt_stdio_stream@@QBA_NJ@Z"
		size = 94
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 BF F3 5B 8F 07 9B DC 43 06 9B 1B 68 03 F1 0C 00 50 E8 00 2F 02 EA 04 01 40 E8 00 13 00 2B F7 D1 13 46 01 93 BF F3 5B 8F 01 9A 07 9B 13 40 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_10_12_0 {
	meta:
		name = "_ungetwc_nolock"
		size = 384
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 002c ?has_all_of@__crt_stdio_stream@@QBA_NJ@Z 0088 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 009a ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 00a2 __acrt_stdio_allocate_buffer_nolock 00a8 ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 00c2 _fileno 0140 ?ungetwc_text_mode_nolock@@YAGGV__crt_stdio_stream@@@Z 0158 ?ungetwc_binary_mode_nolock@@YAGGV__crt_stdio_stream@@@Z 0178 __badioinfo 017c __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 13 99 68 46 ?? ?? ?? ?? BD F8 48 20 4F F6 FF 73 9A 42 04 D1 4F F6 FF 73 AD F8 0C 30 9F E0 01 21 68 46 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 8D F8 07 30 04 21 68 46 ?? ?? ?? ?? 8D F8 05 00 9D F8 05 30 8D F8 08 30 02 21 68 46 ?? ?? ?? ?? 8D F8 06 00 9D F8 06 30 8D F8 09 30 9D F8 07 30 00 2B 0C D1 9D F8 08 30 00 2B 03 D0 9D F8 09 30 00 2B 04 D0 4F F6 FF 73 AD F8 0C 30 70 E0 68 46 ?? ?? ?? ?? 06 90 06 9B 1B 1D 1B 68 00 2B 06 D1 68 46 ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 4C D1 68 46 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 09 90 09 9B B3 F1 FF 3F 2C D0 68 46 ?? ?? ?? ?? 0A 90 0A 98 ?? ?? ?? ?? 0B 90 0B 9B 13 F1 02 0F 20 D0 68 46 ?? ?? ?? ?? 0C 90 0C 98 ?? ?? ?? ?? 0E 90 68 46 ?? ?? ?? ?? 0D 90 0D 98 ?? ?? ?? ?? 0F 90 0E 9B 9A 11 04 23 02 FB 03 F2 1A 4B 99 18 0F 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 05 93 01 E0 13 4B 05 93 05 9B 28 33 1B 78 13 F0 80 0F 0B D0 00 99 BD F8 48 00 ?? ?? ?? ?? AD F8 10 00 BD F8 10 30 AD F8 0C 30 0A E0 00 99 BD F8 48 00 ?? ?? ?? ?? AD F8 12 00 BD F8 12 30 AD F8 0C 30 BD F8 0C 00 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_13_0 {
	meta:
		name = "ungetwc"
		size = 180
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 007a _lock_file 0082 _ungetwc_nolock 008e _unlock_file 00a4 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a8 ??_C@_1BA@INJHLAEB@?$AAu?$AAn?$AAg?$AAe?$AAt?$AAw?$AAc?$AA?$AA@ 00ac ??_C@_1GC@KHPDKBHB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 82 B0 FB 6A 00 2B 02 D0 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 12 22 1D 49 02 20 ?? ?? ?? ?? 38 61 3B 69 01 2B 00 D1 FE DE BB 68 00 2B 11 D1 ?? ?? ?? ?? 78 61 7A 69 16 23 13 60 00 23 00 93 12 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 4F F6 FF 73 BB 81 11 E0 4F F6 FF 73 3B 80 F8 6A ?? ?? ?? ?? F9 6A 38 8D ?? ?? ?? ?? 78 80 7B 88 3B 80 F8 6A ?? ?? ?? ?? 3B 88 BB 81 B8 89 09 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_10_14_0 {
	meta:
		name = "ungetwc$fin$0"
		size = 16
		refs = "0006 _unlock_file"
		altNames = "fputwc$fin$0 ungetc$fin$0"
	strings:
		$1 = { 10 B5 82 B0 F8 6A ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_11_15_0 {
	meta:
		name = "___lc_codepage_func"
		size = 50
		refs = "0008 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 4C 33 1B 68 01 93 01 A9 00 98 ?? ?? ?? ?? 01 9B 08 33 1B 68 03 93 03 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_11_16_0 {
	meta:
		name = "___lc_collate_cp_func"
		size = 50
		refs = "0008 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 4C 33 1B 68 01 93 01 A9 00 98 ?? ?? ?? ?? 01 9B 10 33 1B 68 03 93 03 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_11_17_0 {
	meta:
		name = "___lc_locale_name_func"
		size = 48
		refs = "0008 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 4C 33 1B 68 01 93 01 A9 00 98 ?? ?? ?? ?? 01 9B A0 33 03 93 03 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_11_18_0 {
	meta:
		name = "___mb_cur_max_func"
		size = 50
		refs = "0008 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 4C 33 1B 68 01 93 01 A9 00 98 ?? ?? ?? ?? 01 9B 1B 1D 1B 68 03 93 03 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_11_19_0 {
	meta:
		name = "___mb_cur_max_l_func"
		size = 54
		refs = "0010 ___mb_cur_max_func"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 05 D1 ?? ?? ?? ?? 01 90 01 9B 00 93 04 E0 06 9B 1B 68 1B 1D 1B 68 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_11_20_0 {
	meta:
		name = "__acrt_locale_initialize_ctype"
		size = 1384
		refs = "0008 __security_push_cookie 0058 __acrt_GetLocaleInfoA 0074 _calloc_dbg 007e ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAA@QAJ@Z 008a ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAAPAJXZ 0096 ??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAA@XZ 00b4 ??0?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAA@QAG@Z 00c0 ?detach@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAAPAGXZ 00cc ??1?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAA@XZ 00ea ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@QAE@Z 00f6 ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAPAEXZ 0102 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@XZ 020c __acrt_LCMapStringA 02c6 __acrt_GetStringTypeA 036c memcpy 03d0 _CrtDbgReportW 03ea _free_dbg 053c __security_pop_cookie 0548 __newcumap 054c __newclmap 0550 __newctype 0554 ??_C@_1GI@DPHPBMAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0558 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 055c ??_C@_1DG@NMBGBDM@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAc?$AAt?$AAy?$AAp?$AAe?$AA1?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0560 __imp_GetCPInfo 0564 ??_C@_0DE@PKCHMIOF@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? B9 B0 00 23 08 93 00 23 09 93 00 23 0A 93 00 23 0B 93 3C 9B 32 93 00 23 33 93 3C 9B A0 33 08 33 1B 68 00 2B 00 F0 35 82 00 23 0C 93 3C 9B 08 33 1B 68 00 2B 11 D1 3C 9B 08 33 00 93 41 F2 04 03 3C 9A A0 32 08 32 12 68 00 21 32 A8 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 00 D0 03 E2 57 23 00 93 DF F8 F8 34 02 22 04 21 01 20 ?? ?? ?? ?? 10 90 10 99 14 A8 ?? ?? ?? ?? 11 90 11 9B 12 93 12 98 ?? ?? ?? ?? 13 90 13 9B 0C 93 14 A8 ?? ?? ?? ?? 5A 23 00 93 DF F8 C4 34 02 22 02 21 4F F4 C0 70 ?? ?? ?? ?? 15 90 15 99 19 A8 ?? ?? ?? ?? 16 90 16 9B 17 93 17 98 ?? ?? ?? ?? 18 90 18 9B 08 93 19 A8 ?? ?? ?? ?? 5B 23 00 93 DF F8 8C 34 02 22 01 21 4F F4 C0 70 ?? ?? ?? ?? 1A 90 1A 99 1E A8 ?? ?? ?? ?? 1B 90 1B 9B 1C 93 1C 98 ?? ?? ?? ?? 1D 90 1D 9B 09 93 1E A8 ?? ?? ?? ?? 5C 23 00 93 DF F8 58 34 02 22 01 21 4F F4 C0 70 ?? ?? ?? ?? 1F 90 1F 99 23 A8 ?? ?? ?? ?? 20 90 20 9B 21 93 21 98 ?? ?? ?? ?? 22 90 22 9B 0A 93 23 A8 ?? ?? ?? ?? 5D 23 00 93 DF F8 20 34 02 22 01 21 40 F2 01 10 ?? ?? ?? ?? 24 90 24 99 28 A8 ?? ?? ?? ?? 25 90 25 9B 26 93 26 98 ?? ?? ?? ?? 27 90 27 9B 0B 93 28 A8 ?? ?? ?? ?? 0C 9B 00 2B 0B D0 08 9B 00 2B 08 D0 0B 9B 00 2B 05 D0 09 9B 00 2B 02 D0 0A 9B 00 2B 00 D1 6D E1 0B 9B 06 93 00 23 07 93 02 E0 07 9B 5B 1C 07 93 07 9B B3 F5 80 7F 07 DA 07 9B DA B2 06 9B 1A 70 06 9B 5B 1C 06 93 F0 E7 34 A9 3C 9B 08 33 18 68 E7 4B 1B 68 98 47 29 90 29 9B 00 2B 00 D1 4D E1 34 9B 05 2B 00 D9 49 E1 34 9B 9B B2 0D 93 00 23 04 93 3C 9B 08 33 1B 68 03 93 FF 23 02 93 09 9B 81 33 01 93 FF 23 00 93 0B 9B 5B 1C 4F F4 80 72 3C 99 A0 31 08 31 09 68 00 20 ?? ?? ?? ?? 2A 90 2A 9B 00 2B 00 D1 29 E1 00 23 04 93 3C 9B 08 33 1B 68 03 93 FF 23 02 93 0A 9B 81 33 01 93 FF 23 00 93 0B 9B 5B 1C 4F F4 00 72 3C 99 A0 31 08 31 09 68 00 20 ?? ?? ?? ?? 2B 90 2B 9B 00 2B 00 D1 0C E1 0D 9B 01 2B 26 DD 0D F1 D6 03 06 93 02 E0 06 9B 9B 1C 06 93 06 9B 1B 78 00 2B 1B D0 06 9B 5B 1C 1B 78 00 2B 16 D0 06 9B 1B 78 07 93 02 E0 07 9B 5B 1C 07 93 06 9B 5B 1C 1A 78 07 9B 93 42 08 DC 07 9A 01 23 02 FB 03 F2 0B 9B 1A 44 20 23 13 70 ED E7 DC E7 00 23 02 93 3C 9B 08 33 1B 68 01 93 08 9B 03 F5 80 73 00 93 4F F4 80 73 0B 9A 01 21 00 20 ?? ?? ?? ?? 2C 90 2C 9B 00 2B 00 D1 CC E0 08 9B 03 F1 FE 02 00 23 13 80 09 9B 03 F1 7F 02 00 23 13 70 0A 9B 03 F1 7F 02 00 23 13 70 09 9B 03 F1 80 02 00 23 13 70 0A 9B 03 F1 80 02 00 23 13 70 0D 9B 01 2B 29 DD 0D F1 D6 03 06 93 02 E0 06 9B 9B 1C 06 93 06 9B 1B 78 00 2B 1E D0 06 9B 5B 1C 1B 78 00 2B 19 D0 06 9B 1B 78 07 93 02 E0 07 9B 5B 1C 07 93 06 9B 5B 1C 1A 78 07 9B 93 42 0B DC 07 9B 7F 33 5A 1C 02 23 02 FB 03 F2 08 9B 1A 44 4F F4 00 43 13 80 EA E7 D9 E7 FE 22 08 9B 03 F2 02 23 99 1E 08 98 ?? ?? ?? ?? 7F 22 09 9B 03 F2 01 13 59 1E 09 98 ?? ?? ?? ?? 7F 22 0A 9B 03 F2 01 13 59 1E 0A 98 ?? ?? ?? ?? 3C 9B 8C 33 1B 68 00 2B 3F D0 BF F3 5B 8F 3C 9B 8C 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 2D 93 BF F3 5B 8F 2D 9B 00 2B 2C D1 00 23 01 93 64 4B 00 93 00 23 B8 22 61 49 02 20 ?? ?? ?? ?? 2E 90 2E 9B 01 2B 00 D1 FE DE 02 21 3C 9B 90 33 1B 68 A3 F1 FE 00 ?? ?? ?? ?? 02 21 3C 9B 94 33 1B 68 7F 3B 58 1E ?? ?? ?? ?? 02 21 3C 9B 98 33 1B 68 7F 3B 58 1E ?? ?? ?? ?? 02 21 3C 9B 8C 33 18 68 ?? ?? ?? ?? 0C 9A 01 23 13 60 3C 9B 03 F1 8C 02 0C 9B 13 60 08 9B 03 F5 80 72 3C 9B 1A 60 08 9B 03 F1 FE 02 3C 9B 90 33 1A 60 09 9B 03 F1 80 02 3C 9B 94 33 1A 60 0A 9B 03 F1 80 02 3C 9B 98 33 1A 60 3C 9B 1A 1D 0D 9B 13 60 02 21 0B 98 ?? ?? ?? ?? 00 23 0E 93 64 E0 02 21 0C 98 ?? ?? ?? ?? 02 21 08 98 ?? ?? ?? ?? 02 21 09 98 ?? ?? ?? ?? 02 21 0A 98 ?? ?? ?? ?? 02 21 0B 98 ?? ?? ?? ?? 01 23 0E 93 4D E0 4C E0 3C 9B 8C 33 1B 68 00 2B 26 D0 BF F3 5B 8F 3C 9B 8C 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 2F 93 BF F3 5B 8F 2F 9B 00 2B 13 D1 3C 9B 8C 33 1B 68 00 2B 0E D8 20 4B 01 93 1E 4B 00 93 00 23 D8 22 1B 49 02 20 ?? ?? ?? ?? 30 90 30 9B 01 2B 00 D1 FE DE 3C 9B 03 F1 8C 02 00 23 13 60 3C 9B 03 F1 90 02 00 23 13 60 11 4B 03 F5 80 72 3C 9B 1A 60 0D 4B 03 F1 80 02 3C 9B 94 33 1A 60 09 4B 03 F1 80 02 3C 9B 98 33 1A 60 3C 9B 1A 1D 01 23 13 60 00 23 0E 93 0E 98 39 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_0_0 {
	meta:
		name = "ceilf"
		size = 278
		refs = "0050 _handle_nanf"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 04 0A 9D ED 04 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 01 93 01 9B 23 F0 00 43 02 93 01 9A 02 9B 9A 42 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 02 9B B3 F1 97 4F 15 D3 02 9B B3 F1 FF 4F 0B D9 01 98 00 21 ?? ?? ?? ?? 8D ED 08 0A 9D ED 08 0A 8D ED 00 0A 54 E0 04 E0 9D ED 04 0A 8D ED 00 0A 4E E0 4D E0 02 9B B3 F1 7E 5F 1D D2 02 9B 00 2B 05 D1 9D ED 04 0A 8D ED 00 0A 41 E0 13 E0 06 9B 00 2B 0B D0 4F F0 00 43 00 EE 10 3A 8D ED 03 0A 9D ED 03 0A 8D ED 00 0A 32 E0 04 E0 B7 EE 00 0A 8D ED 00 0A 2C E0 2B E0 01 9B 03 F0 FF 43 DB 0D 7F 3B 09 93 09 9B C3 F1 17 02 01 23 93 40 5B 1E 0A 93 0A 9B DA 43 01 9B 13 40 07 93 07 9B 00 EE 10 3A 8D ED 03 0A 06 9B 00 2B 03 D1 01 9A 07 9B 9A 42 05 D1 9D ED 03 0A 8D ED 00 0A 08 E0 07 E0 DD ED 03 0A B7 EE 00 0A 30 EE 80 0A 8D ED 00 0A 9D ED 00 0A 0C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_13_3_0 {
	meta:
		name = "?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z"
		size = 64
		refs = "000c ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 A8 ?? ?? ?? ?? 00 90 06 A8 ?? ?? ?? ?? 01 90 00 9B 1B 1D 01 9A 1B 68 13 60 06 A8 ?? ?? ?? ?? 02 90 02 9B 03 F1 08 02 00 23 13 60 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_13_6_0 {
	meta:
		name = "?has_any_buffer@__crt_stdio_stream@@QBA_NXZ"
		size = 46
		refs = "0010 ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 4F F4 98 61 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_13_11_0 {
	meta:
		name = "_fread_nolock"
		size = 46
		refs = "0018 _fread_nolock_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 00 93 08 9B 07 9A 6F F0 00 01 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_13_13_0 {
	meta:
		name = "fread"
		size = 46
		refs = "0018 fread_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 00 93 08 9B 07 9A 6F F0 00 01 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_13_12_0 {
	meta:
		name = "_fread_nolock_s"
		size = 1508
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0054 _CrtDbgReportW 0068 _errno 0086 _invalid_parameter 0092 ?valid@__crt_stdio_stream@@QBA_NXZ 00ae __rt_udiv 00c8 memset 01c2 ?has_any_buffer@__crt_stdio_stream@@QBA_NXZ 01d4 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 027a ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 034a memcpy_s 045a ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 0460 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0468 _fileno 0474 _read_nolock 04ec __acrt_stdio_refill_and_read_narrow_nolock 05c4 ??_C@_1DA@DKEFLDMG@?$AA?$CI?$AA?$CC?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 05c8 ??_C@_1CA@IDPOGFL@?$AA_?$AAf?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA_?$AAs?$AA?$AA@ 05cc ??_C@_1FO@CIJKACCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 05d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 05d4 ??_C@_1LG@DCNDJCHK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AAC?$AAo?$AAu?$AAn?$AAt?$AA?4?$AA?5?$AAF?$AAl?$AAu@ 05d8 ??_C@_1FG@KLKDPCLL@?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA?$CI?$AAS?$AAI?$AAZ?$AAE?$AA_?$AAM?$AAA?$AAX?$AA?5?$AA?1?$AA?5?$AAe?$AAl?$AAe@ 05dc ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 05e0 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 BE B0 44 99 02 A8 ?? ?? ?? ?? 42 9B 00 2B 02 D0 43 9B 00 2B 02 D1 00 23 04 93 C9 E2 40 9B 00 2B 02 D0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 11 D1 DF F8 A0 35 01 93 DF F8 88 35 00 93 00 23 51 22 DF F8 7C 15 02 20 ?? ?? ?? ?? 21 90 21 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 13 D1 ?? ?? ?? ?? 22 90 22 9A 16 23 13 60 00 23 00 93 51 23 DF F8 50 25 DF F8 48 15 DF F8 5C 05 ?? ?? ?? ?? 00 23 04 93 93 E2 02 A8 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 00 2B 0B D0 42 98 6F F0 00 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 43 9B 83 42 40 F2 83 80 41 9B B3 F1 FF 3F 04 D0 41 9A FE 21 40 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 11 D1 DF F8 E8 34 01 93 DF F8 D4 34 00 93 00 23 57 22 DF F8 C8 14 02 20 ?? ?? ?? ?? 23 90 23 9B 01 2B 00 D1 FE DE 10 9B 00 2B 13 D1 ?? ?? ?? ?? 24 90 24 9A 16 23 13 60 00 23 00 93 57 23 DF F8 9C 24 DF F8 94 14 DF F8 A4 04 ?? ?? ?? ?? 00 23 04 93 39 E2 42 98 6F F0 00 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 43 9B 83 42 02 D8 01 23 11 93 01 E0 00 23 11 93 11 9B 12 93 12 9B 00 2B 11 D1 DF F8 68 34 01 93 DF F8 58 34 00 93 00 23 58 22 DF F8 4C 14 02 20 ?? ?? ?? ?? 25 90 25 9B 01 2B 00 D1 FE DE 12 9B 00 2B 13 D1 ?? ?? ?? ?? 26 90 26 9A 16 23 13 60 00 23 00 93 58 23 DF F8 20 24 DF F8 18 14 DF F8 24 04 ?? ?? ?? ?? 00 23 04 93 FB E1 02 A8 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 00 2B 08 D0 02 A8 ?? ?? ?? ?? 27 90 27 9B 18 33 1B 68 13 93 02 E0 4F F4 80 53 13 93 13 9B 0B 93 42 9A 43 9B 02 FB 03 F3 0A 93 40 9B 06 93 0A 9B 03 93 41 9B 05 93 03 9B 00 2B 00 F0 D4 81 02 A8 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 00 2B 00 F0 BD 80 02 A8 ?? ?? ?? ?? 28 90 28 9B 08 33 1B 68 00 2B 00 F0 B3 80 02 A8 ?? ?? ?? ?? 29 90 29 9B 08 33 1B 68 00 2B 26 DA 02 A8 ?? ?? ?? ?? 2A 90 2A 9B 08 33 1B 68 00 2B 0E DA DE 4B 01 93 DC 4B 00 93 00 23 72 22 D9 49 02 20 ?? ?? ?? ?? 2B 90 2B 9B 01 2B 00 D1 FE DE 10 21 02 A8 ?? ?? ?? ?? 0A 9A 03 9B D1 1A 42 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 04 90 91 E1 02 A8 ?? ?? ?? ?? 2C 90 2C 9B 08 33 03 9A 1B 68 9A 42 02 D2 03 9B 14 93 07 E0 02 A8 ?? ?? ?? ?? 2D 90 2D 9B 08 33 1B 68 14 93 14 9B 08 93 08 9A 05 9B 9A 42 36 D9 41 9B B3 F1 FF 3F 04 D0 41 9A FE 21 40 98 ?? ?? ?? ?? 02 E0 01 23 15 93 01 E0 00 23 15 93 15 9B 16 93 16 9B 00 2B 0E D1 B4 4B 01 93 B6 4B 00 93 00 23 80 22 B3 49 02 20 ?? ?? ?? ?? 2E 90 2E 9B 01 2B 00 D1 FE DE 16 9B 00 2B 10 D1 ?? ?? ?? ?? 2F 90 2F 9A 22 23 13 60 00 23 00 93 80 23 A8 4A A7 49 A5 48 ?? ?? ?? ?? 00 23 04 93 3F E1 02 A8 ?? ?? ?? ?? 30 90 08 9B 30 9A 12 68 05 99 06 98 ?? ?? ?? ?? 03 9A 08 9B D3 1A 03 93 02 A8 ?? ?? ?? ?? 31 90 31 9B 08 33 17 93 17 9B 1A 68 08 9B D2 1A 17 9B 1A 60 02 A8 ?? ?? ?? ?? 32 90 32 9B 18 93 18 9B 1A 68 08 9B 1A 44 18 9B 1A 60 06 9A 08 9B 13 44 06 93 05 9A 08 9B D3 1A 05 93 0B E1 03 9A 0B 9B 9A 42 C0 F0 9F 80 03 9A 6F F0 00 43 9A 42 03 D9 6F F0 00 43 19 93 01 E0 03 9B 19 93 19 9B 0C 93 0B 9B 00 2B 0A D0 0C 99 0B 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 0C 9B 5B 1A 1A 93 01 E0 0C 9B 1A 93 1A 9B 1D 93 1D 9A 05 9B 9A 42 36 D9 41 9B B3 F1 FF 3F 04 D0 41 9A FE 21 40 98 ?? ?? ?? ?? 02 E0 01 23 1B 93 01 E0 00 23 1B 93 1B 9B 1C 93 1C 9B 00 2B 0E D1 6C 4B 01 93 6E 4B 00 93 00 23 A7 22 6B 49 02 20 ?? ?? ?? ?? 33 90 33 9B 01 2B 00 D1 FE DE 1C 9B 00 2B 10 D1 ?? ?? ?? ?? 34 90 34 9A 22 23 13 60 00 23 00 93 A7 23 60 4A 5F 49 5D 48 ?? ?? ?? ?? 00 23 04 93 AF E0 02 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 35 90 35 98 ?? ?? ?? ?? 36 90 1D 9A 06 99 36 98 ?? ?? ?? ?? 37 90 37 9B 09 93 09 9B 00 2B 0F D1 08 21 02 A8 ?? ?? ?? ?? 0A 9A 03 9B D1 1A 42 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 04 90 8A E0 11 E0 09 9B 00 2B 0E DA 10 21 02 A8 ?? ?? ?? ?? 0A 9A 03 9B D1 1A 42 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 04 90 77 E0 03 9A 09 9B D3 1A 03 93 06 9A 09 9B 13 44 06 93 05 9A 09 9B D3 1A 05 93 67 E0 02 A8 ?? ?? ?? ?? 38 90 38 98 ?? ?? ?? ?? 39 90 39 9B 20 93 20 9B B3 F1 FF 3F 0A D1 0A 9A 03 9B D1 1A 42 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 04 90 51 E0 05 9B 00 2B 36 D1 41 9B B3 F1 FF 3F 04 D0 41 9A FE 21 40 98 ?? ?? ?? ?? 02 E0 01 23 1E 93 01 E0 00 23 1E 93 1E 9B 1F 93 1F 9B 00 2B 0E D1 20 4B 01 93 22 4B 00 93 00 23 D6 22 1F 49 02 20 ?? ?? ?? ?? 3A 90 3A 9B 01 2B 00 D1 FE DE 1F 9B 00 2B 10 D1 ?? ?? ?? ?? 3B 90 3B 9A 22 23 13 60 00 23 00 93 D6 23 14 4A 13 49 11 48 ?? ?? ?? ?? 00 23 04 93 17 E0 20 9B 5A B2 06 9B 1A 70 06 9B 5B 1C 06 93 03 9B 5B 1E 03 93 05 9B 5B 1E 05 93 02 A8 ?? ?? ?? ?? 3C 90 3C 9B 18 33 1B 68 0B 93 27 E6 43 9B 04 93 04 98 3E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_14_0 {
	meta:
		name = "fread_s"
		size = 224
		refs = "0036 memset 0064 _CrtDbgReportW 0078 _errno 0090 _invalid_parameter 00a0 _lock_file 00b0 _fread_nolock_s 00bc _unlock_file 00d0 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00d4 ??_C@_1BA@CMLCEIGG@?$AAf?$AAr?$AAe?$AAa?$AAd?$AA_?$AAs?$AA?$AA@ 00d8 ??_C@_1FO@CIJKACCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 82 B0 3B 6B 00 2B 02 D0 7B 6B 00 2B 02 D1 00 23 3B 60 50 E0 BB 6B 00 2B 38 D1 FB 6A B3 F1 FF 3F 04 D0 FA 6A FE 21 B8 6A ?? ?? ?? ?? BB 6B 00 2B 02 D0 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 30 22 1D 49 02 20 ?? ?? ?? ?? 38 61 3B 69 01 2B 00 D1 FE DE BB 68 00 2B 10 D1 ?? ?? ?? ?? 78 61 7A 69 16 23 13 60 00 23 00 93 30 23 13 4A 11 49 10 48 ?? ?? ?? ?? 00 23 3B 60 14 E0 00 23 FB 60 B8 6B ?? ?? ?? ?? BB 6B 00 93 7B 6B 3A 6B F9 6A B8 6A ?? ?? ?? ?? B8 61 BB 69 FB 60 B8 6B ?? ?? ?? ?? FB 68 3B 60 38 68 09 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_13_15_0 {
	meta:
		name = "fread_s$fin$0"
		size = 16
		refs = "0006 _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 B8 6B ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_14_0_0 {
	meta:
		name = "??0?$__crt_scoped_stack_ptr@U_INPUT_RECORD@@@@QAA@U?$__crt_scoped_stack_ptr_tag@U_INPUT_RECORD@@@@@Z"
		size = 18
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 01 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_14_2_0 {
	meta:
		name = "??1?$__crt_scoped_stack_ptr@U_INPUT_RECORD@@@@QAA@XZ"
		size = 16
		refs = "000c _freea_crt"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_24_0 {
	meta:
		name = "??$tcslen@AAPAD@?$__crt_char_traits@D@@SAIAAPAD@Z"
		size = 16
		refs = "000c strlen"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_25_3 {
	meta:
		name = "??$tcslen@AAPA_W@?$__crt_char_traits@_W@@SAIAAPA_W@Z"
		size = 16
		refs = "000c wcslen"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_26_0 {
	meta:
		name = "??$tcslen@AAPBD@?$__crt_char_traits@D@@SAIAAPBD@Z"
		size = 16
		refs = "000c strlen"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_27_2 {
	meta:
		name = "??$tcslen@AAPB_W@?$__crt_char_traits@_W@@SAIAAPB_W@Z"
		size = 16
		refs = "000c wcslen"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_14_3 {
	meta:
		name = "??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z"
		size = 16
		refs = "000c strlen"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_15_3 {
	meta:
		name = "??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z"
		size = 16
		refs = "000c wcslen"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_22_0 {
	meta:
		name = "??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z"
		size = 16
		refs = "000c strlen"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_23_2 {
	meta:
		name = "??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z"
		size = 16
		refs = "000c wcslen"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_30_3 {
	meta:
		name = "??$tcslen@PAD@?$__crt_char_traits@D@@SAI$$QAPAD@Z"
		size = 16
		refs = "000c strlen"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_31_3 {
	meta:
		name = "??$tcslen@PA_W@?$__crt_char_traits@_W@@SAI$$QAPA_W@Z"
		size = 16
		refs = "000c wcslen"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_67_4 {
	meta:
		name = "??$ungettch_nolock@ABH@?$__crt_char_traits@D@@SAHABH@Z"
		size = 16
		refs = "000c _ungetch_nolock"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_235_8_2 {
	meta:
		name = "__acrt_uninitialize_tmpfile"
		size = 18
		refs = "0006 __acrt_stdio_free_tmpfile_name_buffers_nolock 000a _rmtmp"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_14_4_0 {
	meta:
		name = "_MallocaComputeSize"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 00 F1 08 03 83 42 98 BF 00 23 18 46 BD E8 00 88 }
	condition:
		$1
}

rule file_14_5_0 {
	meta:
		name = "_MarkAllocaS"
		size = 16
	strings:
		$1 = { 2D E9 00 48 EB 46 08 B1 01 60 08 30 BD E8 00 88 }
	condition:
		$1
}

rule file_14_6_0 {
	meta:
		name = "_freea_crt"
		size = 84
		refs = "0018 _free_dbg 0038 _CrtDbgReportW 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1HG@NGPLHMCI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAd?$AAe?$AAv?$AAd?$AAi?$AAv?$AA?2?$AAv?$AAc?$AAr?$AAu?$AAn@ 0050 ??_C@_1FE@KNPCCODH@?$AA?$CI?$AA?$CC?$AAC?$AAo?$AAr?$AAr?$AAu?$AAp?$AAt?$AAe?$AAd?$AA?5?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AA_?$AAf@"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B D8 B1 50 F8 08 2D 4D F6 DD 53 9A 42 03 D1 02 21 ?? ?? ?? ?? 11 E0 4C F6 CC 43 9A 42 0D D0 0A 4B 08 49 4F F4 98 72 01 93 05 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE BD E8 0C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_7_0 {
	meta:
		name = "_getch"
		size = 38
		refs = "000c __acrt_lock 0014 _getch_nolock 001c __acrt_unlock"
	strings:
		$1 = { 2D E9 88 48 0D F1 08 0B 6F 46 09 20 ?? ?? ?? ?? 00 23 3B 60 ?? ?? ?? ?? 38 60 09 20 ?? ?? ?? ?? 38 68 BD E8 88 88 }
	condition:
		$1
}

rule file_14_11_0 {
	meta:
		name = "_getche"
		size = 38
		refs = "000c __acrt_lock 0014 _getche_nolock 001c __acrt_unlock"
	strings:
		$1 = { 2D E9 88 48 0D F1 08 0B 6F 46 09 20 ?? ?? ?? ?? 00 23 3B 60 ?? ?? ?? ?? 38 60 09 20 ?? ?? ?? ?? 38 68 BD E8 88 88 }
	condition:
		$1
}

rule file_14_15_0 {
	meta:
		name = "_kbhit"
		size = 38
		refs = "000c __acrt_lock 0014 _kbhit_nolock 001c __acrt_unlock"
	strings:
		$1 = { 2D E9 88 48 0D F1 08 0B 6F 46 09 20 ?? ?? ?? ?? 00 23 3B 60 ?? ?? ?? ?? 38 60 09 20 ?? ?? ?? ?? 38 68 BD E8 88 88 }
	condition:
		$1
}

rule file_14_9_0 {
	meta:
		name = "_getch_nolock"
		size = 204
		refs = "0008 __security_push_cookie 002e __dcrt_lowio_initialize_console_input 0086 _getextendedkeycode 00ae __security_pop_cookie 00b8 __imp_SetConsoleMode 00bc __imp_ReadConsoleInputA 00c0 __imp_GetConsoleMode 00c4 __dcrt_lowio_console_input_handle 00c8 ?chbuf@@3HA"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 8A B0 6F 46 2D 4E 33 68 6F F0 00 08 43 45 03 D0 DB B2 C6 F8 00 80 41 E0 27 4C 25 68 15 F1 02 0F 02 D1 ?? ?? ?? ?? 25 68 45 45 02 D1 C7 F8 00 80 35 E0 BD 60 39 46 28 46 1E 4B 1B 68 98 47 00 21 28 46 1A 4B 1B 68 98 47 00 23 7B 60 17 F1 0C 03 01 22 17 F1 10 01 28 46 15 4C 24 68 A0 47 A8 B1 FB 68 9B B1 3B 8A 01 2B 0A D1 7B 69 43 B1 BB 7F 0B B1 7B 60 0C E0 17 F1 14 00 ?? ?? ?? ?? 00 B9 E4 E7 43 78 33 60 03 78 7B 60 01 E0 C7 F8 04 80 39 68 B8 68 05 4B 1B 68 98 47 7B 68 3B 60 38 68 0A B0 ?? ?? ?? ?? BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_10_0 {
	meta:
		name = "_getch_nolock$fin$0"
		size = 20
		refs = "0010 __imp_SetConsoleMode"
	strings:
		$1 = { 10 B5 39 68 B8 68 02 4B 1B 68 98 47 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_13_0 {
	meta:
		name = "_getche_nolock"
		size = 56
		refs = "001a _getch_nolock 0024 _putch_nolock 0034 ?chbuf@@3HA"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0A 4B 6F F0 00 05 1A 68 AA 42 02 D0 D4 B2 1D 60 09 E0 ?? ?? ?? ?? 04 46 AC 42 03 D0 ?? ?? ?? ?? A8 42 00 D1 2C 46 20 46 BD E8 30 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_14_0 {
	meta:
		name = "_getextendedkeycode"
		size = 152
		refs = "0090 ?NormalKeys@@3QBUNormKeyVals@?A0x85a4bdeb@@B 0094 ?EnhancedKeys@@3QBUEnhKeyVals@?A0x85a4bdeb@@B"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B C2 68 12 F4 80 7F 23 D0 05 89 20 48 00 21 04 46 34 F8 0A 3B AB 42 03 D0 49 1C 0C 29 F8 D3 2F E0 12 F0 03 0F 06 D0 00 F1 08 03 01 EB 81 02 03 EB 42 00 26 E0 12 F0 0C 0F 01 D0 83 1D F5 E7 12 F0 10 0F 01 EB 81 02 01 D0 03 1D F0 E7 83 1C EE E7 0D 4B 12 F0 03 0F 18 BF 9B 1D 08 D1 12 F0 0C 0F 18 BF 1B 1D 03 D1 12 F0 10 0F 18 BF 9B 1C 02 89 03 EB C2 00 03 78 0B B1 E0 2B 01 D1 43 78 03 B9 00 20 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_17_0 {
	meta:
		name = "_kbhit_nolock"
		size = 228
		refs = "0020 __dcrt_lowio_initialize_console_input 0068 _malloc_dbg 00ae _getextendedkeycode 00c2 _freea_crt 00d0 __imp_PeekConsoleInputA 00d4 ??_C@_0DD@IFKELNOL@minkernel?2crts?2ucrt?2src?2desktopc@ 00d8 __imp_GetNumberOfConsoleInputEvents 00dc __dcrt_lowio_console_input_handle 00e0 ?chbuf@@3HA"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 35 4B 1B 68 B3 F1 FF 3F 18 BF 01 24 57 D1 31 4D 2C 68 14 F1 02 0F 02 D1 ?? ?? ?? ?? 2C 68 B4 F1 FF 3F 01 D1 00 24 4A E0 29 4B 69 46 20 46 1B 68 98 47 00 28 F6 D0 00 9A 00 2A F3 D0 02 EB 82 03 9B 00 03 F1 08 01 99 42 98 BF 00 21 91 B1 03 F1 08 00 1E 4A 98 42 98 BF 00 20 02 21 4F F4 B9 73 ?? ?? ?? ?? 05 46 1D B1 4D F6 DD 53 2B 60 08 35 00 9A 00 E0 00 25 F5 B1 20 46 13 4C 01 AB 29 46 24 68 A0 47 B8 B1 01 9C AC B1 00 9B 9C 42 12 D8 2E 46 84 B1 33 88 01 2B 08 D1 73 68 33 B1 96 F9 0E 30 7B B9 30 1D ?? ?? ?? ?? 58 B9 64 1E 01 94 06 F1 14 06 EE D1 00 24 28 46 ?? ?? ?? ?? 20 46 BD E8 7E 88 01 24 F7 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_18_0 {
	meta:
		name = "_ungetch"
		size = 42
		refs = "000e __acrt_lock 0018 _ungetch_nolock 0020 __acrt_unlock"
	strings:
		$1 = { 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 09 20 ?? ?? ?? ?? 00 23 3B 60 20 46 ?? ?? ?? ?? 38 60 09 20 ?? ?? ?? ?? 38 68 BD E8 9C 88 }
	condition:
		$1
}

rule file_14_20_0 {
	meta:
		name = "_ungetch_nolock"
		size = 36
		refs = "0020 ?chbuf@@3HA"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 46 6F F0 00 00 82 42 05 D0 03 49 0B 68 83 42 01 D1 D0 B2 08 60 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_15_0_0 {
	meta:
		name = "infinityf_with_flags"
		size = 50
		refs = "000c raise_fpsw_flags"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 4F F0 FF 43 00 EE 10 3A 8D ED 00 0A 9D ED 00 0A 8D ED 01 0A 9D ED 01 0A 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_15_1_0 {
	meta:
		name = "powf"
		size = 1848
		refs = "0104 _handle_nanf 01d0 _handle_errorf 0200 infinityf_with_flags 0308 ??_C@_04MBFDLNIM@powf?$AA@ 05b8 log2 05e0 _exp2"
	strings:
		$1 = { 2D E9 00 48 EB 46 BA B0 CD ED 06 0A 8D ED 05 0A 9F ED C0 0B 8D ED 34 0B 9F ED BC 0B 8D ED 36 0B 9D ED 05 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 0A 93 0A 9B 23 F0 00 43 07 93 07 9A 0A 9B 9A 42 02 D1 01 23 11 93 01 E0 00 23 11 93 11 9B 10 93 9D ED 06 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 09 93 09 9B 23 F0 00 43 0B 93 0B 9A 09 9B 9A 42 02 D1 01 23 12 93 01 E0 00 23 12 93 12 9B 0C 93 0A 9B B3 F1 7E 5F 16 D1 DD ED 06 0A B7 EE 00 0A 70 EE 80 0A B0 EE 00 0A F4 EE 40 0A F1 EE 10 FA 03 D1 BF F3 5B 8F 01 23 29 93 B7 EE 00 0A 8D ED 04 0A 32 E3 4C E1 0B 9B 00 2B 16 D1 DD ED 05 0A B7 EE 00 0A 70 EE 80 0A B0 EE 00 0A F4 EE 40 0A F1 EE 10 FA 03 D1 BF F3 5B 8F 01 23 29 93 B7 EE 00 0A 8D ED 04 0A 18 E3 32 E1 07 9B 03 F0 FF 43 B3 F1 FF 4F 10 D1 07 9B 6F F3 DF 53 00 2B 0B D0 0A 98 00 21 ?? ?? ?? ?? 8D ED 18 0A 9D ED 18 0A 8D ED 04 0A 01 E3 1B E1 0B 9B 03 F0 FF 43 B3 F1 FF 4F 10 D1 0B 9B 6F F3 DF 53 00 2B 0B D0 09 98 00 21 ?? ?? ?? ?? 8D ED 19 0A 9D ED 19 0A 8D ED 04 0A EA E2 04 E1 09 9B B3 F1 7E 5F 05 D1 9D ED 05 0A 8D ED 04 0A E0 E2 FA E0 0B 9B 03 F0 FF 43 B3 F1 9E 4F 40 F2 F4 80 0B 9B B3 F1 FF 4F 02 D1 01 23 13 93 01 E0 00 23 13 93 13 9B 0D 93 0C 9B 00 2B 62 D0 07 9B 00 2B 05 D1 9F ED 5E 0A 8D ED 04 0A C2 E2 58 E0 07 9B B3 F1 7E 5F 22 D2 0D 9B 00 2B 05 D0 9F ED 57 0A 8D ED 04 0A B5 E2 18 E0 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 12 23 01 93 04 23 00 93 00 22 00 23 1D 21 4E 48 ?? ?? ?? ?? 8D ED 1A 0A 9D ED 1A 0A 8D ED 04 0A 9B E2 31 E0 07 9B B3 F1 7E 5F 05 D1 B7 EE 00 0A 8D ED 04 0A 91 E2 27 E0 0D 9B 00 2B 0A D0 00 20 ?? ?? ?? ?? 8D ED 1B 0A 9D ED 1B 0A 8D ED 04 0A 83 E2 19 E0 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 11 23 01 93 03 23 00 93 4F F0 FF 42 00 23 1D 21 34 48 ?? ?? ?? ?? 8D ED 1C 0A 9D ED 1C 0A 8D ED 04 0A 68 E2 82 E0 07 9B 00 2B 1A D1 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 04 23 01 93 02 23 00 93 4F F0 FF 42 00 23 1D 21 25 48 ?? ?? ?? ?? 8D ED 1D 0A 9D ED 1D 0A 8D ED 04 0A 4A E2 64 E0 07 9B B3 F1 7E 5F 28 D2 0D 9B 00 2B 0A D0 00 20 ?? ?? ?? ?? 8D ED 1E 0A 9D ED 1E 0A 8D ED 04 0A 38 E2 19 E0 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 11 23 01 93 03 23 00 93 4F F0 FF 42 00 23 1D 21 0F 48 ?? ?? ?? ?? 8D ED 1F 0A 9D ED 1F 0A 8D ED 04 0A 1D E2 37 E0 07 9B B3 F1 7E 5F 05 D1 B7 EE 00 0A 8D ED 04 0A 13 E2 2D E0 0D 9B 00 2B 11 D0 9F ED 02 0A 8D ED 04 0A 0A E2 00 00 00 00 ?? ?? ?? ?? 00 00 00 00 00 00 A0 36 00 00 00 E0 FF FF EF 47 18 E0 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 12 23 01 93 04 23 00 93 00 22 00 23 1D 21 F9 48 ?? ?? ?? ?? 8D ED 20 0A 9D ED 20 0A 8D ED 04 0A E4 E1 09 9B 03 F0 FF 43 DB 0D 7F 3B 5B 1C 0E 93 0E 9B 01 2B 02 DA 00 23 08 93 25 E0 0E 9B 18 2B 02 DD 02 23 08 93 1F E0 0E 9B C3 F1 18 02 01 23 93 40 5B 1E 14 93 09 9A 14 9B 13 40 00 2B 02 D0 00 23 08 93 10 E0 14 9B DA 43 09 9B 1A 40 0E 9B C3 F1 18 03 22 FA 03 F3 13 F0 01 0F 02 D0 01 23 08 93 01 E0 02 23 08 93 07 9B 03 F0 FF 43 B3 F1 FF 4F 34 D1 10 9B 00 2B 0E D0 0C 9B 00 2B 05 D0 9D ED 05 0A 8D ED 04 0A A0 E1 04 E0 9F ED D5 0A 8D ED 04 0A 9A E1 21 E0 08 9B 01 2B 0E D1 0C 9B 00 2B 05 D0 9D ED 05 0A 8D ED 04 0A 8E E1 04 E0 9F ED CD 0A 8D ED 04 0A 88 E1 0F E0 0C 9B 00 2B 07 D0 9D ED 05 0A B1 EE 40 0A 8D ED 04 0A 7D E1 04 E0 9F ED C3 0A 8D ED 04 0A 77 E1 77 E0 07 9B 00 2B 74 D1 10 9B 00 2B 26 D0 0C 9B 00 2B 05 D0 9D ED 05 0A 8D ED 04 0A 68 E1 1C E0 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 04 23 01 93 02 23 00 93 0A 9A 4F F0 FF 43 63 F3 1E 02 00 23 1D 21 AC 48 ?? ?? ?? ?? 8D ED 21 0A 9D ED 21 0A 8D ED 04 0A 4A E1 4A E0 0C 9B 00 2B 10 D0 08 9B 01 2B 05 D1 9D ED 05 0A 8D ED 04 0A 3E E1 06 E0 9D ED 05 0A B1 EE 40 0A 8D ED 04 0A 36 E1 36 E0 08 9B 01 2B 19 D1 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 04 23 01 93 02 23 00 93 96 4A 00 23 1D 21 94 48 ?? ?? ?? ?? 8D ED 22 0A 9D ED 22 0A 8D ED 04 0A 19 E1 19 E0 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 04 23 01 93 02 23 00 93 4F F0 FF 42 00 23 1D 21 86 48 ?? ?? ?? ?? 8D ED 23 0A 9D ED 23 0A 8D ED 04 0A FE E0 00 23 0F 93 10 9B 00 2B 2D D1 08 9B 00 2B 11 D0 07 9B 0A 93 0A 9B 00 EE 10 3A 8D ED 05 0A 08 9B 01 2B 02 D1 01 23 15 93 01 E0 00 23 15 93 15 9B 0F 93 18 E0 02 23 03 93 DD ED 06 0A 9D ED 05 0A 21 23 02 93 08 23 01 93 01 23 00 93 70 4A 00 23 1D 21 6D 48 ?? ?? ?? ?? 8D ED 24 0A 9D ED 24 0A 8D ED 04 0A CB E0 0B 9B B3 F1 3A 5F 08 D2 F7 EE 00 0A 9D ED 06 0A 30 EE 80 0A 8D ED 04 0A BE E0 9D ED 05 0A B7 EE C0 0A 8D ED 2A 0B 9D ED 06 0A B7 EE C0 0A 8D ED 38 0B 9D ED 2A 0B ?? ?? ?? ?? 8D ED 2C 0B 9D ED 2C 0B 8D ED 2E 0B 9D ED 06 0A B7 EE C0 1A 9D ED 2E 0B 21 EE 00 0B 8D ED 30 0B 9D ED 30 0B ?? ?? ?? ?? 8D ED 32 0B 9D ED 32 0B 8D ED 16 0B 9D ED 16 1B 9D ED 34 0B B4 EE C0 1B F1 EE 10 FA 37 DD 0F 9B 00 2B 19 D0 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 11 23 01 93 03 23 00 93 41 4A 00 23 1D 21 3F 48 ?? ?? ?? ?? 8D ED 25 0A 9D ED 25 0A 8D ED 04 0A 6F E0 19 E0 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 11 23 01 93 03 23 00 93 4F F0 FF 42 00 23 1D 21 31 48 ?? ?? ?? ?? 8D ED 26 0A 9D ED 26 0A 8D ED 04 0A 54 E0 53 E0 9D ED 16 1B 9D ED 36 0B B4 EE C0 1B F1 EE 10 FA 37 D2 0F 9B 00 2B 1A D0 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 12 23 01 93 04 23 00 93 4F F0 00 42 00 23 1D 21 1E 48 ?? ?? ?? ?? 8D ED 27 0A 9D ED 27 0A 8D ED 04 0A 2D E0 18 E0 02 23 03 93 DD ED 06 0A 9D ED 05 0A 22 23 02 93 12 23 01 93 04 23 00 93 00 22 00 23 1D 21 11 48 ?? ?? ?? ?? 8D ED 28 0A 9D ED 28 0A 8D ED 04 0A 13 E0 12 E0 0F 9B 00 2B 09 D0 9D ED 16 0B B1 EE 40 0B B7 EE C0 0B 8D ED 04 0A 06 E0 05 E0 9D ED 16 0B B7 EE C0 0B 8D ED 04 0A 9D ED 04 0A 3A B0 BD E8 00 88 ?? ?? ?? ?? 00 00 80 FF 00 00 C0 FF 00 00 00 00 00 00 00 80 }
	condition:
		$1
}

rule file_15_2_0 {
	meta:
		name = "raise_fpsw_flags"
		size = 34
		refs = "0014 _controlfp_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 04 9A 04 99 68 46 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_16_0_0 {
	meta:
		name = "ilogbl"
		size = 100
		refs = "0010 _ldunscale"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 04 0B 04 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 93 02 9B 00 2B 0A D0 02 9B 01 2B 0B D0 02 9B 02 2B 00 D0 0B E0 6F F0 00 43 01 93 10 E0 4F F0 00 43 01 93 0C E0 6F F0 00 43 01 93 08 E0 BD F9 00 30 5B 1E 1B B2 AD F8 00 30 BD F9 00 30 01 93 01 98 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_247_0_0 {
	meta:
		name = "ilogb"
		size = 100
		refs = "0010 _dunscale"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 04 0B 04 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 93 02 9B 00 2B 0A D0 02 9B 01 2B 0B D0 02 9B 02 2B 00 D0 0B E0 6F F0 00 43 01 93 10 E0 4F F0 00 43 01 93 0C E0 6F F0 00 43 01 93 08 E0 BD F9 00 30 5B 1E 1B B2 AD F8 00 30 BD F9 00 30 01 93 01 98 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_17_0_0 {
	meta:
		name = "_abs64"
		size = 82
		altNames = "llabs"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 04 93 0B 9B 05 93 04 9B 00 93 05 9B 00 2B 08 DB 02 DC 00 9B 00 2B 04 D3 0A 9B 02 93 0B 9B 03 93 06 E0 0A 9A 0B 99 00 23 52 42 8B 41 02 92 03 93 02 9A 03 9B 06 92 07 93 06 98 07 99 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_17_1_0 {
	meta:
		name = "abs"
		size = 44
		altNames = "labs"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 02 DB 04 9B 00 93 02 E0 04 9B 5B 42 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_18_0_0 {
	meta:
		name = "_fdpow"
		size = 2148
		refs = "0008 __security_push_cookie 002c _fdunscale 0040 _fd_int 028c _fperrraise 03b2 _fdlogpoly 04ac ?maxexp@?1??_fdpow@@9@9 04b0 ?ln2@?1??_fdpow@@9@9 04b4 ?rthalf@?1??_fdpow@@9@9 04b8 _FNan_C 04bc _FInf_C 04c4 _FZero_C 05e0 _fdxp_setw 05f8 _fdxp_addx 0620 memcpy 062e _fdxp_mulh 06b0 _fdxp_addh 0778 _fdxp_getw 07d2 _fdexp 0842 __security_pop_cookie 085c log2e"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? B5 B0 CD ED 04 0A 8D ED 00 0A 9D ED 04 0A 8D ED 06 0A 00 23 08 93 00 23 07 93 69 46 0D F1 0E 00 ?? ?? ?? ?? AD F8 2C 00 BD F9 2C 30 AD F8 04 30 00 21 06 A8 ?? ?? ?? ?? AD F8 2E 00 BD F9 2E 30 AD F8 0C 30 38 9B 00 2B 02 D0 38 9A 00 23 13 80 BD F9 0C 30 00 2B 06 D1 9D ED 04 0A B5 EE 40 0A F1 EE 10 FA 1D D0 BD F9 04 30 00 2B 1F DA BD F9 0E 30 01 2B 1B D1 DD ED 00 0A B6 EE 00 0A F4 EE 40 0A F1 EE 10 FA 0C D0 BD F9 0C 30 01 2B 0E D1 DD ED 00 0A BE EE 00 0A F4 EE 40 0A F1 EE 10 FA 05 D1 B7 EE 00 0A 8D ED 05 0A C1 E3 25 E1 BD F9 04 30 00 2B 04 DA BD F9 0C 30 00 2B 40 F3 0A 81 BD F9 04 30 02 2B 05 D1 9D ED 00 0A 8D ED 05 0A AE E3 FE E0 BD F9 0C 30 02 2B 05 D1 9D ED 04 0A 8D ED 05 0A A4 E3 F4 E0 BD F9 04 30 01 2B 67 D1 6B 46 9B 1C 1B 88 13 F4 00 4F 18 D1 04 AB 9B 1C 1B 88 13 F4 00 4F 07 D0 9F ED 02 0A 8D ED 11 0A 07 E0 FE DE 00 00 00 00 E5 4B 93 ED 00 0A 8D ED 11 0A 9D ED 11 0A 8D ED 05 0A 81 E3 47 E0 04 AB 9B 1C 1B 88 13 F4 00 4F 21 D1 BD F9 0C 30 00 2B 12 D1 6F F0 00 01 06 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 00 2B 07 DA D5 4B 93 ED 00 0A B1 EE 40 0A 8D ED 12 0A 04 E0 D1 4B 93 ED 00 0A 8D ED 12 0A 9D ED 12 0A 8D ED 05 0A 59 E3 1F E0 BD F9 0C 30 00 2B 12 D1 6F F0 00 01 06 A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 00 2B 07 DA C6 4B 93 ED 00 0A B1 EE 40 0A 8D ED 13 0A 03 E0 9F ED C1 0A 8D ED 13 0A 9D ED 13 0A 8D ED 05 0A 38 E3 88 E0 BD F9 0C 30 01 2B 2D D1 04 AB 9B 1C 1B 88 13 F4 00 4F 13 D1 BD F9 0E 30 00 2B 04 DC 9F ED B5 0A 8D ED 14 0A 04 E0 B2 4B 93 ED 00 0A 8D ED 14 0A 9D ED 14 0A 8D ED 05 0A 1A E3 12 E0 BD F9 0E 30 00 2B 05 DC AA 4B 93 ED 00 0A 8D ED 15 0A 03 E0 9F ED A8 0A 8D ED 15 0A 9D ED 15 0A 8D ED 05 0A 06 E3 56 E0 04 AB 9B 1C 1B 88 13 F4 00 4F 26 D1 BD F9 0C 30 00 2B 18 D1 6F F0 00 01 06 A8 ?? ?? ?? ?? AD F8 34 00 BD F9 34 30 00 2B 0D DA 6B 46 9B 1C 1B 88 13 F4 00 4F 07 D0 97 4B 93 ED 00 0A B1 EE 40 0A 8D ED 16 0A 03 E0 9F ED 92 0A 8D ED 16 0A 9D ED 16 0A 8D ED 05 0A D9 E2 29 E0 04 20 ?? ?? ?? ?? BD F9 0C 30 00 2B 18 D1 6F F0 00 01 06 A8 ?? ?? ?? ?? AD F8 36 00 BD F9 36 30 00 2B 0D DA 6B 46 9B 1C 1B 88 13 F4 00 4F 07 D0 80 4B 93 ED 00 0A B1 EE 40 0A 8D ED 17 0A 04 E0 7C 4B 93 ED 00 0A 8D ED 17 0A 9D ED 17 0A 8D ED 05 0A AE E2 12 E0 6B 46 9B 1C 1B 88 13 F4 00 4F 0C D0 BD F9 0C 30 00 2B 08 DA 01 20 ?? ?? ?? ?? 6F 4B 93 ED 00 0A 8D ED 05 0A 9A E2 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 03 DD 00 23 AD F8 24 30 10 E0 9D ED 00 0A B1 EE 40 0A 8D ED 00 0A 6F F0 00 01 06 A8 ?? ?? ?? ?? AD F8 38 00 BD F9 38 30 AD F8 24 30 DD ED 00 0A 5C 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 0D D2 DD ED 00 0A B0 EE 00 0A 20 EE 80 0A 8D ED 00 0A BD F9 0E 30 5B 1E 1B B2 AD F8 0E 30 DD ED 00 0A B7 EE 00 0A 30 EE C0 1A DD ED 00 0A B7 EE 00 0A 30 EE 80 0A 81 EE 00 0A 8D ED 0F 0A DD ED 0F 0A 9D ED 0F 0A 20 EE 80 0A 8D ED 18 0A DD ED 00 0A B7 EE 00 0A 30 EE C0 0A 8D ED 00 0A 9D ED 18 0A ?? ?? ?? ?? 8D ED 1C 0A DD ED 18 0A 9D ED 1C 0A 60 EE 80 0A 9D ED 00 0A 70 EE C0 0A 9D ED 0F 0A 20 EE 20 0A 8D ED 10 0A BD F9 0E 30 00 EE 10 3A B8 EE C0 1A DD ED 00 0A 9D ED 10 0A 70 EE 80 0A 2F 4B 93 ED 00 0A 80 EE 80 0A 31 EE 00 0A 8D ED 06 0A DD ED 04 0A 9D ED 06 0A 20 EE 80 0A 8D ED 02 0A 25 4B 93 ED 00 0A F1 EE 40 0A 9D ED 02 0A B4 EE E0 0A F1 EE 10 FA 03 D2 00 23 AD F8 04 30 BD E1 FA EE 08 0A 9D ED 02 0A F4 EE C0 0A F1 EE 10 FA 00 F2 BA 80 DD ED 02 0A B2 EE 08 0A F4 EE C0 0A F1 EE 10 FA 00 F2 B0 80 DF ED 12 0A 9D ED 04 0A F4 EE C0 0A F1 EE 10 FA 80 F0 A6 80 DD ED 04 0A 9F ED 0B 0A F4 EE C0 0A F1 EE 10 FA 80 F0 9C 80 9D ED 02 0A B5 EE C0 0A F1 EE 10 FA 1A D2 DD ED 02 0A B6 EE 00 0A 30 EE C0 0A 8D ED 19 0A 19 E0 00 00 20 42 00 00 20 C2 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? DD ED 02 0A B6 EE 00 0A 30 EE 80 0A 8D ED 19 0A 9D ED 19 0A BD EE C0 0A 10 EE 10 3A 07 93 DD ED 00 0A 9D ED 10 0A 70 EE 80 0A 9D ED 04 0A 20 EE 20 0A 8D ED 02 0A 08 9B 00 2B 1C D1 BD F9 0E 30 00 EE 10 3A F8 EE C0 0A 9D ED 04 0A 60 EE 20 0A 07 9B 00 EE 10 3A B8 EE C0 0A 70 EE C0 0A CC 4B 93 ED 00 0A 60 EE 80 0A 9D ED 02 0A 30 EE 20 0A 8D ED 02 0A 39 E0 08 9B 1A 1D 08 9B 08 33 D2 ED 00 0A 93 ED 00 0A 70 EE 80 0A 9D ED 04 0A 60 EE 20 0A BF 4B 93 ED 00 0A 60 EE 80 0A 9D ED 02 0A 30 EE 20 0A 8D ED 02 0A BD F9 0E 30 00 EE 10 3A F8 EE C0 0A 08 9B 93 ED 00 0A 70 EE 80 0A 9D ED 04 0A 60 EE 20 0A 07 9B 00 EE 10 3A B8 EE C0 0A 70 EE C0 0A AE 4B 93 ED 00 0A 60 EE 80 0A 9D ED 02 0A 30 EE 20 0A 8D ED 02 0A 6F F0 00 03 AD F8 04 30 F9 E0 A8 4B D3 ED 00 0A 9D ED 02 0A F4 EE C0 0A F1 EE 10 FA 03 D2 01 23 AD F8 04 30 EB E0 9D ED 00 0A 04 21 20 A8 ?? ?? ?? ?? 9D ED 10 0A 02 21 1E A8 ?? ?? ?? ?? 02 23 1E AA 04 21 20 A8 ?? ?? ?? ?? 20 AB 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 06 D1 9F ED 91 0A 04 21 28 A8 ?? ?? ?? ?? 39 E0 10 22 8F 49 28 A8 ?? ?? ?? ?? 20 AB 93 ED 00 0A 04 21 28 A8 ?? ?? ?? ?? 01 23 0A 93 02 E0 0A 9B 5B 1C 0A 93 0A 9B 04 2B 24 DA 0A 9A 04 23 02 FB 03 F2 20 AB 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 17 D0 10 22 7E 49 2C A8 ?? ?? ?? ?? 0A 9A 04 23 02 FB 03 F2 20 AB 13 44 93 ED 00 0A 04 21 2C A8 ?? ?? ?? ?? 04 23 2C AA 04 21 28 A8 ?? ?? ?? ?? D4 E7 08 9B 00 2B 05 D0 03 23 08 9A 04 21 28 A8 ?? ?? ?? ?? BD F9 0E 30 00 EE 10 3A B8 EE C0 0A 04 21 28 A8 ?? ?? ?? ?? 9D ED 04 0A 02 21 20 A8 ?? ?? ?? ?? 10 22 28 A9 24 A8 ?? ?? ?? ?? 20 AB 93 ED 00 0A 04 21 24 A8 ?? ?? ?? ?? 20 AB 1B 1D 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 12 D0 10 22 28 A9 30 A8 ?? ?? ?? ?? 20 AB 1B 1D 93 ED 00 0A 04 21 30 A8 ?? ?? ?? ?? 04 23 30 AA 04 21 24 A8 ?? ?? ?? ?? 24 AB 93 ED 00 0A 8D ED 00 0A 24 AB 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 18 D0 24 AB 1B 1D 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 0F D0 24 AB 1A 1D 24 AB 08 33 D2 ED 00 0A 93 ED 00 0A 70 EE 80 0A 9D ED 00 0A 30 EE 20 0A 8D ED 00 0A 00 21 68 46 ?? ?? ?? ?? 9D ED 00 0A B1 EE 40 0A 04 21 24 A8 ?? ?? ?? ?? 04 21 24 A8 ?? ?? ?? ?? 8D ED 1D 0A 9D ED 1D 0A 8D ED 02 0A DD ED 02 0A 32 4B 93 ED 00 0A 20 EE 80 0A 8D ED 02 0A 9D ED 00 0A BD EE C0 0A 10 EE 10 3A 07 93 6F F0 00 03 AD F8 04 30 BD F9 04 30 00 2B 14 DA 38 9B 00 2B 05 D0 07 9B 1A B2 38 9B 1A 80 00 23 07 93 07 99 B7 EE 00 0A 02 A8 ?? ?? ?? ?? AD F8 3A 00 BD F9 3A 30 AD F8 04 30 BD F9 04 30 1A 93 1A 9B 00 2B 03 D0 1A 9B 01 2B 08 D0 0F E0 9F ED 17 0A 8D ED 02 0A 10 20 ?? ?? ?? ?? 07 E0 12 4B 93 ED 00 0A 8D ED 02 0A 08 20 ?? ?? ?? ?? BD F9 24 30 00 2B 06 D0 9D ED 02 0A B1 EE 40 0A 8D ED 1B 0A 03 E0 9D ED 02 0A 8D ED 1B 0A 9D ED 1B 0A 8D ED 05 0A 9D ED 05 0A 35 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_1_0 {
	meta:
		name = "_fdtgamma"
		size = 588
		refs = "002a stirling 00a4 _fdunscale 0244 c 0248 s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 93 ED 00 0A 8D ED 00 0A F3 EE 0F 0A 9D ED 00 0A F4 EE C0 0A F1 EE 10 FA 0B D8 07 99 06 98 ?? ?? ?? ?? 8D ED 03 0A 9D ED 03 0A 8D ED 02 0A FC E0 FB E0 DD ED 00 0A BE EE 00 0A F4 EE C0 0A F1 EE 10 FA 2C D2 B7 EE 00 0A 8D ED 01 0A 07 E0 DD ED 00 0A B7 EE 00 0A 30 EE 80 0A 8D ED 00 0A DD ED 01 0A 9D ED 00 0A 20 EE 80 0A 8D ED 01 0A F6 EE 00 0A 9D ED 00 0A F4 EE C0 0A F1 EE 10 FA 00 D2 00 E0 E4 E7 DD ED 00 0A B7 EE 00 0A 30 EE C0 0A 8D ED 00 0A 01 A9 07 98 ?? ?? ?? ?? 76 E0 DD ED 00 0A B6 EE 00 0A F4 EE C0 0A F1 EE 10 FA 10 D2 F7 EE 00 0A 9D ED 00 0A 70 EE 80 0A 9D ED 00 0A 20 EE 20 0A 8D ED 01 0A 01 A9 07 98 ?? ?? ?? ?? 5C E0 DD ED 00 0A B7 EE 08 0A F4 EE C0 0A F1 EE 10 FA 0F D2 9D ED 00 0A 8D ED 01 0A DD ED 00 0A B7 EE 00 0A 30 EE C0 0A 8D ED 00 0A 07 9A 00 23 13 80 43 E0 DD ED 00 0A B0 EE 04 0A F4 EE C0 0A F1 EE 10 FA 0F D2 B7 EE 00 0A 8D ED 01 0A DD ED 00 0A B0 EE 00 0A 30 EE C0 0A 8D ED 00 0A 07 9A 00 23 13 80 2A E0 B7 EE 00 0A 8D ED 01 0A 07 E0 DD ED 01 0A 9D ED 00 0A 80 EE 80 0A 8D ED 01 0A F0 EE 04 0A 9D ED 00 0A F4 EE C0 0A F1 EE 10 FA 08 D2 DD ED 00 0A B7 EE 00 0A 30 EE C0 0A 8D ED 00 0A E5 E7 DD ED 00 0A B0 EE 00 0A 30 EE C0 0A 8D ED 00 0A 01 A9 07 98 ?? ?? ?? ?? 9D ED 01 0A 06 9B 83 ED 00 0A 29 4B D3 ED 00 0A 9D ED 00 0A 60 EE 80 0A 25 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 00 0A 60 EE 80 0A 20 4B 08 33 93 ED 00 0A 70 EE 80 0A 9D ED 00 0A 60 EE 80 0A 1B 4B 0C 33 93 ED 00 0A 30 EE 80 1A 17 4B D3 ED 00 0A 9D ED 00 0A 60 EE 80 0A 14 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 00 0A 60 EE 80 0A 0F 4B 08 33 93 ED 00 0A 70 EE 80 0A 9D ED 00 0A 60 EE 80 0A 0A 4B 0C 33 93 ED 00 0A 30 EE 80 0A C1 EE 00 0A 9D ED 00 0A 20 EE 80 0A 8D ED 02 0A 9D ED 02 0A 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_2_0 {
	meta:
		name = "stirling"
		size = 340
		refs = "0026 _fdpow 00c2 _fdpoly 0110 expf 0150 approx0"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 93 ED 00 0A 8D ED 01 0A 0D 98 DD ED 01 0A B6 EE 00 0A 70 EE C0 0A 9D ED 01 0A ?? ?? ?? ?? 8D ED 03 0A 9D ED 03 0A 8D ED 06 0A 0D 9B B3 F9 00 30 5B 42 1A B2 0D 9B 1A 80 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 00 2B 10 D2 00 9A 18 23 02 FB 03 F2 3C 4B 13 44 DD ED 01 0A 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 00 D2 00 E0 E8 E7 F7 EE 00 0A 9D ED 01 0A C0 EE 80 0A 00 9A 18 23 02 FB 03 F2 30 4B 13 44 1B 1D 93 ED 00 0A 30 EE C0 0A 8D ED 02 0A 00 9A 18 23 02 FB 03 F2 2A 4B 13 44 14 33 19 68 00 9A 18 23 02 FB 03 F2 26 4B 13 44 10 33 18 68 9D ED 02 0A ?? ?? ?? ?? 8D ED 04 0A 00 9A 18 23 02 FB 03 F2 1F 4B 13 44 0C 33 19 68 00 9A 18 23 02 FB 03 F2 1B 4B 13 44 08 33 18 68 9D ED 02 0A ?? ?? ?? ?? 8D ED 05 0A DD ED 04 0A 9D ED 05 0A 80 EE 80 0A 0C 9B 83 ED 00 0A 9D ED 01 0A B1 EE 40 0A ?? ?? ?? ?? 8D ED 07 0A DD ED 06 0A 9D ED 07 0A 60 EE 80 0A 0C 9B 93 ED 00 0A 80 EE 20 0A 0C 9B 83 ED 00 0A 9F ED 05 0A 8D ED 08 0A 9D ED 08 0A 0A B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_18_3_0 {
	meta:
		name = "tgammaf"
		size = 736
		refs = "0018 _fd_int 005e _fperrraise 017e _fdsin 01be _fdtgamma 01f4 _fdscale 02c4 _FInf_C 02cc pi 02d0 _fdgamma_big 02dc _FNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 00 0A 9D ED 00 0A 8D ED 03 0A 00 21 03 A8 ?? ?? ?? ?? AD F8 10 00 BD F9 10 30 07 93 07 9B 00 2B 20 D0 07 9B 01 2B 08 D0 07 9B 02 2B 00 D0 4C E0 9D ED 00 0A 8D ED 02 0A 39 E1 6B 46 9B 1C 1B 88 13 F4 00 4F 05 D1 9D ED 00 0A 8D ED 02 0A 2E E1 08 E0 01 20 ?? ?? ?? ?? 9E 4B 93 ED 00 0A 8D ED 02 0A 24 E1 9D ED 00 0A B5 EE 40 0A F1 EE 10 FA 1B D1 04 20 ?? ?? ?? ?? 6B 46 9B 1C 1B 88 13 F4 00 4F 07 D0 8D 4B 93 ED 00 0A B1 EE 40 0A 8D ED 08 0A 04 E0 89 4B 93 ED 00 0A 8D ED 08 0A 9D ED 08 0A 8D ED 02 0A 02 E1 0F E0 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 08 D2 01 20 ?? ?? ?? ?? 84 4B 93 ED 00 0A 8D ED 02 0A F1 E0 DD ED 00 0A 9F ED 7F 0A F4 EE C0 0A F1 EE 10 FA 08 D8 10 20 ?? ?? ?? ?? 9F ED 79 0A 8D ED 02 0A E0 E0 DF E0 75 4B 93 ED 00 0A F1 EE 40 0A 9D ED 00 0A B4 EE E0 0A F1 EE 10 FA 80 F0 8C 80 9D ED 00 0A 8D ED 01 0A 9D ED 00 0A F1 EE 40 0A B7 EE 00 0A 30 EE C0 0A 8D ED 09 0A DD ED 00 0A 9D ED 03 0A 30 EE C0 0A 8D ED 03 0A 6F F0 00 01 01 A8 ?? ?? ?? ?? DD ED 00 0A 9D ED 01 0A 70 EE C0 0A BF EE 00 0A F4 EE C0 0A F1 EE 10 FA 05 D2 9D ED 03 0A B1 EE 40 0A 8D ED 03 0A 00 20 56 4B D3 ED 00 0A 9D ED 03 0A 20 EE 80 0A ?? ?? ?? ?? 8D ED 0C 0A 9D ED 00 0A F1 EE 40 0A 9D ED 0C 0A 20 EE 80 1A 9D ED 00 0A F1 EE 40 0A B7 EE 00 0A 30 EE C0 0A 61 EE 00 0A 48 4B 93 ED 00 0A 80 EE 20 0A 8D ED 01 0A 0D F1 12 01 09 A8 ?? ?? ?? ?? 8D ED 0D 0A F7 EE 00 0A 9D ED 0D 0A 70 EE 80 0A 9D ED 01 0A 80 EE 20 0A 8D ED 01 0A DD ED 01 0A 9D ED 09 0A 20 EE 80 0A 8D ED 01 0A BD F9 12 10 01 A8 ?? ?? ?? ?? AD F8 14 00 BD F9 14 30 0A 93 0A 9B 00 2B 03 D0 0A 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 01 0A 8D ED 02 0A 47 E0 46 E0 DD ED 00 0A 9F ED 26 0A F4 EE C0 0A F1 EE 10 FA 35 D8 0D F1 16 01 68 46 ?? ?? ?? ?? 8D ED 0E 0A 9D ED 0E 0A 8D ED 03 0A F7 EE 00 0A 9D ED 03 0A 70 EE 80 0A 9D ED 00 0A 80 EE 80 0A 8D ED 00 0A BD F9 16 30 59 42 68 46 ?? ?? ?? ?? AD F8 18 00 BD F9 18 30 0B 93 0B 9B 00 2B 03 D0 0B 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 00 0A 8D ED 02 0A 08 E0 07 E0 08 20 ?? ?? ?? ?? 05 4B 93 ED 00 0A 8D ED 02 0A 9D ED 02 0A 10 B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 18 42 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 18 C2 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_0_0 {
	meta:
		name = "??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z"
		size = 112
		refs = "002a __acrt_getptd 003a __acrt_update_locale_info 0044 __acrt_update_multibyte_info 0068 __acrt_initial_locale_pointers 006c __acrt_locale_changed_data"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 00 23 23 73 19 B1 0B 68 63 60 4B 68 06 E0 14 4B 1B 68 2B B9 12 4A 13 68 63 60 53 68 A3 60 1A E0 ?? ?? ?? ?? 20 60 C3 6C 21 1D 63 60 83 6C A3 60 ?? ?? ?? ?? 20 68 04 F1 08 01 ?? ?? ?? ?? 22 68 D2 F8 50 33 13 F0 02 0F 05 D1 43 F0 02 03 C2 F8 50 33 01 23 23 73 20 46 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_1_0 {
	meta:
		name = "??1_LocaleUpdate@@QAA@XZ"
		size = 28
	strings:
		$1 = { 2D E9 00 48 EB 46 03 7B 33 B1 02 68 D2 F8 50 33 23 F0 02 03 C2 F8 50 33 BD E8 00 88 }
	condition:
		$1
}

rule file_19_3_0 {
	meta:
		name = "__acrt_locale_changed"
		size = 28
		refs = "0018 __acrt_locale_changed_data"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 1B 68 0B B1 01 20 00 E0 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_45_0 {
	meta:
		name = "?other_environment_exists@@YA_ND@Z"
		size = 28
		refs = "0018 _wenviron_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 1B 68 0B B1 01 20 00 E0 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_46_0 {
	meta:
		name = "?other_environment_exists@@YA_N_W@Z"
		size = 28
		refs = "0018 _environ_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 1B 68 0B B1 01 20 00 E0 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_4_0 {
	meta:
		name = "_mbsnset"
		size = 16
		refs = "000c _mbsnset_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_511_0_3 {
	meta:
		name = "_mbscat_s"
		size = 16
		refs = "000c _mbscat_s_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_549_0_4 {
	meta:
		name = "_mbscpy_s"
		size = 16
		refs = "000c _mbscpy_s_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_347_4_2 {
	meta:
		name = "_mbsnbcat"
		size = 16
		refs = "000c _mbsnbcat_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_399_4_0 {
	meta:
		name = "_mbsnbcmp"
		size = 16
		refs = "000c _mbsnbcmp_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_181_4_2 {
	meta:
		name = "_mbsnbcoll"
		size = 16
		refs = "000c _mbsnbcoll_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_288_4_2 {
	meta:
		name = "_mbsnbcpy"
		size = 16
		refs = "000c _mbsnbcpy_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_357_4_0 {
	meta:
		name = "_mbsnbicmp"
		size = 16
		refs = "000c _mbsnbicmp_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_403_4_3 {
	meta:
		name = "_mbsnbicoll"
		size = 16
		refs = "000c _mbsnbicoll_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_585_4_0 {
	meta:
		name = "_mbsnbset"
		size = 16
		refs = "000c _mbsnbset_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_231_4_2 {
	meta:
		name = "_mbsncat"
		size = 16
		refs = "000c _mbsncat_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_375_4_0 {
	meta:
		name = "_mbsncmp"
		size = 16
		refs = "000c _mbsncmp_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_23_4_4 {
	meta:
		name = "_mbsncoll"
		size = 16
		refs = "000c _mbsncoll_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_250_4_3 {
	meta:
		name = "_mbsncpy"
		size = 16
		refs = "000c _mbsncpy_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_663_4_0 {
	meta:
		name = "_mbsnicmp"
		size = 16
		refs = "000c _mbsnicmp_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_516_4_3 {
	meta:
		name = "_mbsnicoll"
		size = 16
		refs = "000c _mbsnicoll_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_279_0_4 {
	meta:
		name = "_mbsset_s"
		size = 16
		refs = "000c _mbsset_s_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_508_4_3 {
	meta:
		name = "_mbstok_s"
		size = 16
		refs = "000c _mbstok_s_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_80_4 {
	meta:
		name = "_spawnv"
		size = 16
		refs = "000c ??$common_spawnv@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_52_0 {
	meta:
		name = "_spawnvp"
		size = 16
		refs = "000c ??$common_spawnvp@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_84_0 {
	meta:
		name = "_wspawnv"
		size = 16
		refs = "000c ??$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_56_4 {
	meta:
		name = "_wspawnvp"
		size = 16
		refs = "000c ??$common_spawnvp@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_19_5_0 {
	meta:
		name = "_mbsnset_l"
		size = 328
		refs = "0018 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0030 _CrtDbgReportW 003a _errno 004e _invalid_parameter 0068 _strnset 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1HA@HGKCPACN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 013c ??_C@_1FE@CMFNLFJD@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@ 0140 ??_C@_1BG@OCHPEGDL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 0144 ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 86 B0 0F 46 04 46 80 46 02 A8 19 46 16 46 00 25 ?? ?? ?? ?? E4 B9 DE B1 44 4B 48 4C 44 49 00 93 00 23 46 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 3F 49 3C 4A 00 23 00 93 46 23 20 46 ?? ?? ?? ?? 4F F0 00 08 5E E0 DD F8 10 E0 DE F8 08 30 33 B9 32 46 39 46 20 46 ?? ?? ?? ?? 80 46 52 E0 3B 0A D8 B2 4F F0 20 09 B8 B3 F9 B2 A1 B9 2F 4B 2D 49 5B 22 01 93 2B 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 DD F8 10 E0 20 20 20 21 AE B3 04 22 23 78 76 1E 63 B3 2D B9 73 44 5B 7E 13 42 18 BF 01 25 00 D1 00 25 20 70 14 F8 01 3F 53 B1 2D B9 73 44 5B 7E 13 42 18 BF 01 25 00 D1 00 25 21 70 64 1C 01 E0 04 F8 01 9C 00 2E E1 D1 10 E0 A6 B1 04 22 23 78 76 1E 5B B1 2D B9 73 44 5B 7E 13 42 18 BF 01 25 00 D1 00 25 27 70 64 1C 00 2E F0 D1 1D B1 23 78 0B B1 84 F8 00 90 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 40 46 06 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_7_0 {
	meta:
		name = "?_strupr_s_l_stat@@YAHQADIQAU__crt_locale_pointers@@@Z"
		size = 1052
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006e strnlen 009e _CrtGetDebugFillThreshold 00c6 memset 01fc __acrt_LCMapStringA 02dc _MallocaComputeSize 02f8 _malloc_dbg 0304 _MarkAllocaS 0318 ??0?$__crt_scoped_stack_ptr_tag@D@@QAA@QAD@Z 0328 ??0?$__crt_scoped_stack_ptr@D@@QAA@U?$__crt_scoped_stack_ptr_tag@D@@@Z 032e ??B?$__crt_scoped_stack_ptr@D@@QBA_NXZ 0358 ??1?$__crt_scoped_stack_ptr@D@@QAA@XZ 0364 ?get@?$__crt_scoped_stack_ptr@D@@QBAPADXZ 03b2 strcpy_s 03f8 ??_C@_0DB@BMFAIMIG@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 03fc ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0400 ??_C@_1CC@NFHGNMIC@?$AA_?$AAs?$AAt?$AAr?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0404 ??_C@_1GC@FKJABIAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0408 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 040c ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0410 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0414 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0418 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B8 B0 3A 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 FC 4B 01 93 F7 4B 00 93 00 23 72 22 F4 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 72 23 EA 4A E8 49 EE 48 ?? ?? ?? ?? 16 23 06 93 C0 E1 3B 99 3A 98 ?? ?? ?? ?? 1B 90 1B 9B 0A 93 0A 9A 3B 9B 9A 42 55 D3 3A 9A 00 23 13 70 3B 9B B3 F1 FF 3F 1D D0 3B 9A 6F F0 00 43 9A 42 18 D0 3B 9B 01 2B 15 D9 ?? ?? ?? ?? 1C 90 1C 9B 0E 93 3B 9B 5A 1E 0E 9B 93 42 02 D2 0E 9B 0F 93 02 E0 3B 9B 5B 1E 0F 93 0F 9A FE 21 3A 9B 58 1C ?? ?? ?? ?? D2 4B 00 2B 03 D0 02 E0 01 23 10 93 01 E0 00 23 10 93 10 9B 11 93 11 9B 00 2B 0E D1 CA 4B 01 93 C7 4B 00 93 00 23 77 22 C4 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 11 9B 00 2B 10 D1 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 00 23 00 93 77 23 B9 4A B8 49 BB 48 ?? ?? ?? ?? 16 23 06 93 5F E1 3B 9B B3 F1 FF 3F 25 D0 3B 9A 6F F0 00 43 9A 42 20 D0 0A 9B 5A 1C 3B 9B 9A 42 1B D2 ?? ?? ?? ?? 1F 90 1F 9B 12 93 0A 9B 5A 1C 3B 9B 9A 1A 12 9B 93 42 02 D2 12 9B 13 93 04 E0 0A 9B 5A 1C 3B 9B 9B 1A 13 93 13 9A FE 21 0A 9B 58 1C 3A 9B 18 44 ?? ?? ?? ?? 3C 9B 1B 68 A0 33 08 33 1B 68 00 2B 1F D1 3A 9B 08 93 02 E0 08 9B 5B 1C 08 93 08 9B 93 F9 00 30 00 2B 11 D0 08 9B 93 F9 00 30 61 2B 0B DB 08 9B 93 F9 00 30 7A 2B 06 DC 08 9B 93 F9 00 30 20 3B 5A B2 08 9B 1A 70 E5 E7 00 23 06 93 0E E1 01 23 04 93 3C 9B 1B 68 08 33 1B 68 03 93 00 23 02 93 00 23 01 93 6F F0 00 03 00 93 3A 9B 4F F4 00 72 3C 99 09 68 A0 31 08 31 09 68 3C 98 ?? ?? ?? ?? 20 90 20 9B 0B 93 0B 9B 00 2B 0C D1 ?? ?? ?? ?? 21 90 21 9A 2A 23 13 60 ?? ?? ?? ?? 22 90 22 9B 1B 68 06 93 E2 E0 3B 9A 0B 9B 9A 42 55 D2 3A 9A 00 23 13 70 3B 9B B3 F1 FF 3F 1D D0 3B 9A 6F F0 00 43 9A 42 18 D0 3B 9B 01 2B 15 D9 ?? ?? ?? ?? 23 90 23 9B 14 93 3B 9B 5A 1E 14 9B 93 42 02 D2 14 9B 15 93 02 E0 3B 9B 5B 1E 15 93 15 9A FE 21 3A 9B 58 1C ?? ?? ?? ?? 64 4B 00 2B 03 D0 02 E0 01 23 16 93 01 E0 00 23 16 93 16 9B 17 93 17 9B 00 2B 0E D1 59 4B 01 93 5B 4B 00 93 00 23 9D 22 58 49 02 20 ?? ?? ?? ?? 24 90 24 9B 01 2B 00 D1 FE DE 17 9B 00 2B 10 D1 ?? ?? ?? ?? 25 90 25 9A 22 23 13 60 00 23 00 93 9D 23 4E 4A 4C 49 4B 48 ?? ?? ?? ?? 22 23 06 93 88 E0 0B 98 ?? ?? ?? ?? 26 90 26 9B 00 2B 13 D0 0B 98 ?? ?? ?? ?? 27 90 A1 23 41 4A 02 21 27 98 ?? ?? ?? ?? 28 90 4D F6 DD 51 28 98 ?? ?? ?? ?? 29 90 29 9B 18 93 01 E0 00 23 18 93 18 99 36 A8 ?? ?? ?? ?? 2A 90 2A 9B 2B 93 2B 9B 19 68 09 A8 ?? ?? ?? ?? 09 A8 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 00 2B 11 D1 ?? ?? ?? ?? 2C 90 2C 9A 0C 23 13 60 ?? ?? ?? ?? 2D 90 2D 9B 1B 68 2E 93 09 A8 ?? ?? ?? ?? 2E 9B 06 93 44 E0 09 A8 ?? ?? ?? ?? 2F 90 01 23 04 93 3C 9B 1B 68 08 33 1B 68 03 93 0B 9B 02 93 2F 9B 01 93 6F F0 00 03 00 93 3A 9B 4F F4 00 72 3C 99 09 68 A0 31 08 31 09 68 3C 98 ?? ?? ?? ?? 30 90 30 9B 00 2B 12 D0 09 A8 ?? ?? ?? ?? 31 90 31 9A 3B 99 3A 98 ?? ?? ?? ?? 32 90 32 9B 33 93 09 A8 ?? ?? ?? ?? 33 9B 06 93 11 E0 0D E0 ?? ?? ?? ?? 34 90 34 9A 2A 23 13 60 2A 23 35 93 09 A8 ?? ?? ?? ?? 35 9B 06 93 02 E0 09 A8 ?? ?? ?? ?? 06 98 38 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_9_0 {
	meta:
		name = "_MallocaComputeSize"
		size = 50
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 08 33 00 93 00 9A 06 9B 9A 42 02 D9 00 9B 01 93 01 E0 00 23 01 93 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_10_0 {
	meta:
		name = "_MarkAllocaS"
		size = 44
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 05 D0 05 9A 04 9B 1A 60 04 9B 08 33 04 93 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_12_0 {
	meta:
		name = "_freea_crt"
		size = 112
		refs = "002a _free_dbg 004c _CrtDbgReportW 0064 ??_C@_1HG@NGPLHMCI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAd?$AAe?$AAv?$AAd?$AAi?$AAv?$AA?2?$AAv?$AAc?$AAr?$AAu?$AAn@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1FE@KNPCCODH@?$AA?$CI?$AA?$CC?$AAC?$AAo?$AAr?$AAr?$AAu?$AAp?$AAt?$AAe?$AAd?$AA?5?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AA_?$AAf@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 24 D0 06 9B 08 3B 06 93 06 9B 1B 68 02 93 02 9A 4D F6 DD 53 9A 42 04 D1 02 21 06 98 ?? ?? ?? ?? 14 E0 02 9A 4C F6 CC 43 9A 42 0F D0 0C 4B 01 93 0A 4B 00 93 00 23 4F F4 98 72 06 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_13_0 {
	meta:
		name = "_strupr"
		size = 232
		refs = "000a __acrt_locale_changed 0044 _CrtDbgReportW 0058 _errno 0070 _invalid_parameter 00c4 _strupr_s_l 00d8 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00dc ??_C@_1BA@DIKNJIGG@?$AA_?$AAs?$AAt?$AAr?$AAu?$AAp?$AAr?$AA?$AA@ 00e0 ??_C@_1GC@FKJABIAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 50 D1 0C 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 28 4B 01 93 2A 4B 00 93 00 23 3D 22 27 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 3D 23 1D 4A 1B 49 1A 48 ?? ?? ?? ?? 00 23 04 93 28 E0 0C 9B 03 93 02 E0 03 9B 5B 1C 03 93 03 9B 93 F9 00 30 00 2B 11 D0 03 9B 93 F9 00 30 61 2B 0B DB 03 9B 93 F9 00 30 7A 2B 06 DC 03 9B 93 F9 00 30 20 3B 5A B2 03 9B 1A 70 E5 E7 0C 9B 04 93 08 E0 07 E0 00 22 6F F0 00 01 0C 98 ?? ?? ?? ?? 0C 9B 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_20_14_0 {
	meta:
		name = "_strupr_l"
		size = 38
		refs = "0012 _strupr_s_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 6F F0 00 01 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_695_14_0 {
	meta:
		name = "_strlwr_l"
		size = 38
		refs = "0012 _strlwr_s_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 6F F0 00 01 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_569_14_0 {
	meta:
		name = "_wcslwr_l"
		size = 38
		refs = "0012 _wcslwr_s_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 6F F0 00 01 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_39_13_0 {
	meta:
		name = "_wcsupr_l"
		size = 38
		refs = "0012 _wcsupr_s_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 6F F0 00 01 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_15_0 {
	meta:
		name = "_strupr_s"
		size = 38
		refs = "0010 _strupr_s_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_153_3_4 {
	meta:
		name = "_aligned_malloc_base"
		size = 38
		refs = "0010 _aligned_offset_malloc_base"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_543_115_0 {
	meta:
		name = "_atodbl"
		size = 38
		refs = "0010 ??$common_atodbl_l@ND@@YAHQANQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_543_118_0 {
	meta:
		name = "_atoflt"
		size = 38
		refs = "0010 ??$common_atodbl_l@MD@@YAHQAMQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_56_3 {
	meta:
		name = "_atoldbl"
		size = 38
		refs = "0010 _atoldbl_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_345_15_4 {
	meta:
		name = "_getws_s"
		size = 38
		refs = "0010 ??$common_gets@_W@@YAPA_WQA_WI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_63_4_3 {
	meta:
		name = "_ismbstrail"
		size = 38
		refs = "0010 _ismbstrail_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_397_7_2 {
	meta:
		name = "_mbstrnlen"
		size = 38
		refs = "0010 _mbstrnlen_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_695_15_3 {
	meta:
		name = "_strlwr_s"
		size = 38
		refs = "0010 _strlwr_s_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_569_15_4 {
	meta:
		name = "_wcslwr_s"
		size = 38
		refs = "0010 _wcslwr_s_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_39_14_2 {
	meta:
		name = "_wcsupr_s"
		size = 38
		refs = "0010 _wcsupr_s_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_345_17_2 {
	meta:
		name = "gets_s"
		size = 38
		refs = "0010 ??$common_gets@D@@YAPADQADI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_515_5_2 {
	meta:
		name = "strcoll"
		size = 38
		refs = "0010 _strcoll_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_20_16_0 {
	meta:
		name = "_strupr_s_l"
		size = 64
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0020 ?_strupr_s_l_stat@@YAHQADIQAU__crt_locale_pointers@@@Z 002c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0C 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 0B 99 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_695_16_0 {
	meta:
		name = "_strlwr_s_l"
		size = 64
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0020 ?_strlwr_s_l_stat@@YAHQADIQAU__crt_locale_pointers@@@Z 002c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0C 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 0B 99 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_569_16_0 {
	meta:
		name = "_wcslwr_s_l"
		size = 64
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0020 ?_wcslwr_s_l_stat@@YAHPA_WIPAU__crt_locale_pointers@@@Z 002c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0C 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 0B 99 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_39_15_0 {
	meta:
		name = "_wcsupr_s_l"
		size = 64
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0020 ?_wcsupr_s_l_stat@@YAHQA_WIQAU__crt_locale_pointers@@@Z 002c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0C 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 0B 99 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_21_6_0 {
	meta:
		name = "?InternalCompareStringA@@YAHPAU__crt_locale_pointers@@PB_WKPBDH2HH@Z"
		size = 988
		refs = "000a __security_push_cookie 001a __strncnt 00dc _CrtDbgReportW 01ce _MallocaComputeSize 01f0 _malloc_dbg 01fc _MarkAllocaS 0210 ??0?$__crt_scoped_stack_ptr_tag@_W@@QAA@QA_W@Z 0220 ??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 0226 ?get@?$__crt_scoped_stack_ptr@_W@@QBAPA_WXZ 0238 ??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ 0398 __acrt_CompareStringEx 03b6 __security_pop_cookie 03c4 __imp_MultiByteToWideChar 03c8 ??_C@_0DJ@MBLHFEOE@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 03cc ??_C@_1HC@NLKDIKED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 03d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 03d4 ??_C@_1HK@ELDMAMK@?$AAc?$AAc?$AAh?$AAC?$AAo?$AAu?$AAn?$AAt?$AA1?$AA?$DN?$AA?$DN?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAc?$AAc?$AAh?$AAC?$AAo?$AAu?$AAn?$AAt?$AA2?$AA?$DN?$AA?$DN?$AA1?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 03d8 __imp_GetCPInfo"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? B8 B0 40 9B 00 2B 07 DD 40 99 3F 98 ?? ?? ?? ?? 0E 90 0E 9B 40 93 06 E0 40 9B B3 F1 FF 3F 02 DA 00 23 06 93 BE E1 42 9B 00 2B 07 DD 42 99 41 98 ?? ?? ?? ?? 0F 90 0F 9B 42 93 06 E0 42 9B B3 F1 FF 3F 02 DA 00 23 06 93 AC E1 43 9B 00 2B 04 D1 3C 9B 1B 68 08 33 1B 68 43 93 40 9B 00 2B 03 D0 42 9B 00 2B 40 F0 94 80 40 9A 42 9B 9A 42 02 D1 02 23 06 93 96 E1 42 9B 01 2B 02 DD 01 23 06 93 90 E1 40 9B 01 2B 02 DD 03 23 06 93 8A E1 32 A9 43 98 CD 4B 1B 68 98 47 10 90 10 9B 00 2B 02 D1 00 23 06 93 7E E1 40 9B 00 2B 02 D1 42 9B 01 2B 14 D0 40 9B 01 2B 02 D1 42 9B 00 2B 0E D0 C1 4B 01 93 BF 4B 00 93 00 23 6C 22 BC 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 40 9B 00 2B 29 DD 32 9B 02 2B 02 D2 03 23 06 93 5A E1 0D F1 CE 03 07 93 02 E0 07 9B 9B 1C 07 93 07 9B 1B 78 00 2B 15 D0 07 9B 5B 1C 1B 78 00 2B 10 D0 3F 9B 1A 78 07 9B 1B 78 9A 42 09 DB 3F 9B 1A 78 07 9B 5B 1C 1B 78 9A 42 02 DC 02 23 06 93 3A E1 E2 E7 03 23 06 93 36 E1 42 9B 00 2B 29 DD 32 9B 02 2B 02 D2 01 23 06 93 2D E1 0D F1 CE 03 07 93 02 E0 07 9B 9B 1C 07 93 07 9B 1B 78 00 2B 15 D0 07 9B 5B 1C 1B 78 00 2B 10 D0 41 9B 1A 78 07 9B 1B 78 9A 42 09 DB 41 9B 1A 78 07 9B 5B 1C 1B 78 9A 42 02 DC 02 23 06 93 0D E1 E2 E7 01 23 06 93 09 E1 00 23 01 93 00 23 00 93 40 9B 3F 9A 09 21 43 98 85 4C 24 68 A0 47 12 90 12 9B 0B 93 0B 9B 00 2B 02 D1 00 23 06 93 F5 E0 0B 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 13 90 13 9B 00 2B 16 D0 0B 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 14 90 9E 23 77 4A 02 21 14 98 ?? ?? ?? ?? 15 90 4D F6 DD 51 15 98 ?? ?? ?? ?? 16 90 16 9B 0C 93 01 E0 00 23 0C 93 0C 99 30 A8 ?? ?? ?? ?? 17 90 17 9B 18 93 18 9B 19 68 08 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 19 90 19 9B 00 2B 07 D1 00 23 1A 93 08 A8 ?? ?? ?? ?? 1A 9B 06 93 B7 E0 08 A8 ?? ?? ?? ?? 1B 90 0B 9B 01 93 1B 9B 00 93 40 9B 3F 9A 01 21 43 98 5A 4C 24 68 A0 47 1C 90 1C 9B 00 2B 07 D1 00 23 1D 93 08 A8 ?? ?? ?? ?? 1D 9B 06 93 9C E0 00 23 01 93 00 23 00 93 42 9B 41 9A 09 21 43 98 4E 4C 24 68 A0 47 1E 90 1E 9B 0A 93 0A 9B 00 2B 07 D1 00 23 1F 93 08 A8 ?? ?? ?? ?? 1F 9B 06 93 83 E0 0A 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 20 90 20 9B 00 2B 16 D0 0A 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 21 90 B6 23 3E 4A 02 21 21 98 ?? ?? ?? ?? 22 90 4D F6 DD 51 22 98 ?? ?? ?? ?? 23 90 23 9B 0D 93 01 E0 00 23 0D 93 0D 99 31 A8 ?? ?? ?? ?? 24 90 24 9B 25 93 25 9B 19 68 09 A8 ?? ?? ?? ?? 09 A8 ?? ?? ?? ?? 26 90 26 9B 00 2B 0A D1 00 23 27 93 09 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 27 9B 06 93 42 E0 09 A8 ?? ?? ?? ?? 28 90 0A 9B 01 93 28 9B 00 93 42 9B 41 9A 01 21 43 98 1F 4C 24 68 A0 47 29 90 29 9B 2A 93 2A 9B 00 2B 0A D1 00 23 2B 93 09 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 2B 9B 06 93 22 E0 09 A8 ?? ?? ?? ?? 2C 90 08 A8 ?? ?? ?? ?? 2D 90 00 23 04 93 00 23 03 93 00 23 02 93 0A 9B 01 93 2C 9B 00 93 0B 9B 2D 9A 3E 99 3D 98 ?? ?? ?? ?? 2E 90 2E 9B 2F 93 09 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 2F 9B 06 93 06 98 38 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_21_10_0 {
	meta:
		name = "__acrt_CompareStringA"
		size = 82
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0032 ?InternalCompareStringA@@YAHPAU__crt_locale_pointers@@PB_WKPBDH2HH@Z 003e ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 99 08 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 04 90 15 9B 03 93 14 9B 02 93 13 9B 01 93 12 9B 00 93 11 9B 10 9A 0F 99 04 98 ?? ?? ?? ?? 05 90 05 9B 06 93 08 A8 ?? ?? ?? ?? 06 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_22_0_0 {
	meta:
		name = "__remainder_piby2"
		size = 4200
		refs = "000a __security_push_cookie 0012 __chkstk 00a4 __rt_sdiv 1046 __security_pop_cookie 1054 ?piby2_part3@?1??__remainder_piby2@@9@9 1058 ?piby2_lead@?1??__remainder_piby2@@9@9 105c ?piby2_part2@?1??__remainder_piby2@@9@9 1060 ?piby2_part1@?1??__remainder_piby2@@9@9 1064 ?pibits@?1??__remainder_piby2@@9@9"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 40 F2 6E 44 ?? ?? ?? ?? AD EB 04 0D 8D ED 18 0B 0A 23 00 93 9D ED 18 0B 53 EC 10 2B 06 92 07 93 07 9A 00 4B 01 E0 00 00 F0 7F 13 40 1A 0D 40 F2 FF 33 D3 1A 61 93 06 99 07 9A 01 23 63 F3 1F 52 06 91 13 46 07 93 00 23 04 93 00 23 05 93 01 23 08 93 00 23 09 93 09 9A 00 9B 02 FA 03 F1 00 9B C3 F1 20 02 08 9B D3 40 41 EA 03 00 00 9B A3 F1 20 02 08 9B 03 FA 02 F1 08 9A 00 9B 9A 40 01 43 00 23 52 1E 61 EB 03 03 08 92 09 93 61 99 00 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 6A 90 6A 9A 00 9B 02 FB 03 F2 61 9B 9B 1A 12 93 00 98 B4 21 00 28 00 D1 F9 DE ?? ?? ?? ?? 6A 9B 03 44 0C 93 86 AB 98 33 6B 93 6B 9A 00 23 13 60 6B 9A 00 23 53 60 0C 9A 08 23 02 FB 03 F2 DF F8 7C 3F 13 44 6D 93 6D 9B 1A 68 6D 9B 59 68 6E 92 06 9B 07 9A 6F 93 6E 9B 03 FB 02 F2 6F 9B 01 FB 03 F3 D1 18 6E 9A 6F 9B A2 FB 03 23 0B 44 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 90 33 70 93 70 9B 19 60 70 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B 5A 1E 08 23 02 FB 03 F2 DF F8 F4 3E 13 44 71 93 71 9B 1A 68 71 9B 59 68 1A 92 06 9B 07 9A 1B 93 1A 9B 03 FB 02 F2 1B 9B 01 FB 03 F3 D1 18 1A 9A 1B 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 88 33 1C 93 1C 9B 19 60 1C 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B 9A 1E 08 23 02 FB 03 F2 DF F8 68 3E 13 44 1D 93 1D 9B 1A 68 1D 9B 59 68 1E 92 06 9B 07 9A 1F 93 1E 9B 03 FB 02 F2 1F 9B 01 FB 03 F3 D1 18 1E 9A 1F 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 80 33 20 93 20 9B 19 60 20 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B DA 1E 08 23 02 FB 03 F2 DF F8 D8 3D 13 44 21 93 21 9B 1A 68 21 9B 59 68 22 92 06 9B 07 9A 23 93 22 9B 03 FB 02 F2 23 9B 01 FB 03 F3 D1 18 22 9A 23 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 78 33 24 93 24 9B 19 60 24 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B 1A 1F 08 23 02 FB 03 F2 DF F8 4C 3D 13 44 25 93 25 9B 1A 68 25 9B 59 68 26 92 06 9B 07 9A 27 93 26 9B 03 FB 02 F2 27 9B 01 FB 03 F3 D1 18 26 9A 27 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 70 33 28 93 28 9B 19 60 28 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B 5A 1F 08 23 02 FB 03 F2 DF F8 BC 3C 13 44 29 93 29 9B 1A 68 29 9B 59 68 2A 92 06 9B 07 9A 2B 93 2A 9B 03 FB 02 F2 2B 9B 01 FB 03 F3 D1 18 2A 9A 2B 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 68 33 2C 93 2C 9B 19 60 2C 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B 9A 1F 08 23 02 FB 03 F2 DF F8 30 3C 13 44 2D 93 2D 9B 1A 68 2D 9B 59 68 2E 92 06 9B 07 9A 2F 93 2E 9B 03 FB 02 F2 2F 9B 01 FB 03 F3 D1 18 2E 9A 2F 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 60 33 30 93 30 9B 19 60 30 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B DA 1F 08 23 02 FB 03 F2 DF F8 A0 3B 13 44 31 93 31 9B 1A 68 31 9B 59 68 32 92 06 9B 07 9A 33 93 32 9B 03 FB 02 F2 33 9B 01 FB 03 F3 D1 18 32 9A 33 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 58 33 34 93 34 9B 19 60 34 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B A3 F1 08 02 08 23 02 FB 03 F2 DF F8 10 3B 13 44 35 93 35 9B 1A 68 35 9B 59 68 36 92 06 9B 07 9A 37 93 36 9B 03 FB 02 F2 37 9B 01 FB 03 F3 D1 18 36 9A 37 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 50 33 38 93 38 9B 19 60 38 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B A3 F1 09 02 08 23 02 FB 03 F2 DF F8 80 3A 13 44 39 93 39 9B 1A 68 39 9B 59 68 3A 92 06 9B 07 9A 3B 93 3A 9B 03 FB 02 F2 3B 9B 01 FB 03 F3 D1 18 3A 9A 3B 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 48 33 3C 93 3C 9B 19 60 3C 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B A3 F1 0A 02 08 23 02 FB 03 F2 DF F8 F0 39 13 44 3D 93 3D 9B 1A 68 3D 9B 59 68 3E 92 06 9B 07 9A 3F 93 3E 9B 03 FB 02 F2 3F 9B 01 FB 03 F3 D1 18 3E 9A 3F 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 40 33 40 93 40 9B 19 60 40 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B A3 F1 0B 02 08 23 02 FB 03 F2 DF F8 60 39 13 44 41 93 41 9B 1A 68 41 9B 59 68 42 92 06 9B 07 9A 43 93 42 9B 03 FB 02 F2 43 9B 01 FB 03 F3 D1 18 42 9A 43 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 38 33 44 93 44 9B 19 60 44 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B A3 F1 0C 02 08 23 02 FB 03 F2 DF F8 D0 38 13 44 45 93 45 9B 1A 68 45 9B 59 68 46 92 06 9B 07 9A 47 93 46 9B 03 FB 02 F2 47 9B 01 FB 03 F3 D1 18 46 9A 47 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 30 33 48 93 48 9B 19 60 48 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B A3 F1 0D 02 08 23 02 FB 03 F2 DF F8 40 38 13 44 49 93 49 9B 1A 68 49 9B 59 68 4A 92 06 9B 07 9A 4B 93 4A 9B 03 FB 02 F2 4B 9B 01 FB 03 F3 D1 18 4A 9A 4B 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 28 33 4C 93 4C 9B 19 60 4C 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B A3 F1 0E 02 08 23 02 FB 03 F2 DF F8 B0 37 13 44 4D 93 4D 9B 1A 68 4D 9B 59 68 4E 92 06 9B 07 9A 4F 93 4E 9B 03 FB 02 F2 4F 9B 01 FB 03 F3 D1 18 4E 9A 4F 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 20 33 50 93 50 9B 19 60 50 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B A3 F1 0F 02 08 23 02 FB 03 F2 DF F8 20 37 13 44 51 93 51 9B 1A 68 51 9B 59 68 52 92 06 9B 07 9A 53 93 52 9B 03 FB 02 F2 53 9B 01 FB 03 F3 D1 18 52 9A 53 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 18 33 54 93 54 9B 19 60 54 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B A3 F1 10 02 08 23 02 FB 03 F2 DF F8 90 36 13 44 55 93 55 9B 1A 68 55 9B 59 68 56 92 06 9B 07 9A 57 93 56 9B 03 FB 02 F2 57 9B 01 FB 03 F3 D1 18 56 9A 57 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 10 33 58 93 58 9B 19 60 58 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B A3 F1 11 02 08 23 02 FB 03 F2 DF F8 00 36 13 44 59 93 59 9B 1A 68 59 9B 59 68 5A 92 06 9B 07 9A 5B 93 5A 9B 03 FB 02 F2 5B 9B 01 FB 03 F3 D1 18 5A 9A 5B 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 08 33 5C 93 5C 9B 19 60 5C 9B 5A 60 02 9A 00 9B 22 FA 03 F1 00 9B C3 F1 20 02 03 9B 93 40 19 43 00 9B A3 F1 20 02 03 9B D3 40 19 43 03 9A 00 9B 22 FA 03 F3 04 91 05 93 0C 9B A3 F1 12 02 08 23 02 FB 03 F2 DF F8 70 35 13 44 5D 93 5D 9B 1A 68 5D 9B 59 68 5E 92 06 9B 07 9A 5F 93 5E 9B 03 FB 02 F2 5F 9B 01 FB 03 F3 D1 18 5E 9A 5F 9B A2 FB 03 03 19 44 04 9A 05 9B 12 18 4B 41 02 92 03 93 02 9A 08 9B 02 EA 03 01 03 9A 09 9B 1A 40 86 AB 60 93 60 9B 19 60 60 9B 5A 60 86 AB 10 93 10 9B 5A 68 00 9B 02 FA 03 F1 00 9B C3 F1 20 02 10 9B 1B 68 D3 40 41 EA 03 04 00 9B A3 F1 20 02 10 9B 1B 68 03 FA 02 F0 10 9B 1A 68 00 9B 02 FA 03 F1 44 EA 00 02 86 AB 08 33 6C 93 6C 9B 1B 68 41 EA 03 04 6C 9B 5B 68 42 EA 03 00 00 9B 5A 1E 12 9B D1 1A 24 FA 01 F2 C1 F1 20 03 00 FA 03 F3 1A 43 A1 F1 20 03 20 FA 03 F3 13 43 03 F0 07 03 14 93 14 9B 03 F0 01 03 15 93 01 23 0D 93 15 9B 00 2B 00 F0 93 80 14 9B 5B 10 5B 1C 03 F0 03 02 41 F2 D8 13 5D F8 03 30 1A 60 01 23 0A 93 00 23 0B 93 86 AB 08 33 62 93 62 9B 1B 68 DE 43 62 9B 5B 68 DD 43 00 9A 12 9B D4 1A 0B 9B 03 FA 04 F1 C4 F1 20 02 0A 9B D3 40 41 EA 03 00 A4 F1 20 02 0A 9B 03 FA 02 F1 0A 9B 03 FA 04 F2 01 43 00 23 52 1E 61 EB 03 03 32 40 2B 40 0A 92 0B 93 0A 9B 76 93 0B 9B 77 93 76 9B 73 93 77 9B B3 F5 00 1F 32 D8 02 D3 73 9B 00 2B 2E D2 0D 9B 5B 1C 0D 93 0B 9A 00 9B 02 FA 03 F1 00 9B C3 F1 20 02 0A 9B D3 40 41 EA 03 00 00 9B A3 F1 20 02 0A 9B 03 FA 02 F1 0A 9A 00 9B 02 FA 03 F4 08 43 0D 9A 08 23 02 FB 03 F2 86 AB 13 44 63 93 63 9B 1B 68 DA 43 63 9B 5B 68 D9 43 08 9B 1A 40 09 9B 0B 40 22 43 03 43 0A 92 0B 93 C2 E7 0D 9B 5A 1C 08 23 02 FB 03 F2 86 AB 13 44 64 93 64 9B 1B 68 DC 43 64 9B 5B 68 DA 43 00 9B C3 F1 40 00 82 40 C0 F1 20 03 24 FA 03 F3 42 EA 03 01 A0 F1 20 03 04 FA 03 F3 04 FA 00 F2 0B 43 0E 92 0F 93 8A E0 14 9B 5A 10 41 F2 D8 13 5D F8 03 30 1A 60 01 23 0A 93 00 23 0B 93 86 AB 03 F1 08 05 00 9A 12 9B D4 1A 0B 9B 03 FA 04 F1 C4 F1 20 02 0A 9B D3 40 41 EA 03 00 A4 F1 20 02 0A 9B 03 FA 02 F1 0A 9B 03 FA 04 F2 01 43 00 23 52 1E 99 41 65 95 65 9B 1B 68 1A 40 65 9B 5B 68 0B 40 0A 92 0B 93 0A 9B 78 93 0B 9B 79 93 78 9B 74 93 79 9B B3 F5 00 1F 2D D8 02 D3 74 9B 00 2B 29 D2 0D 9B 5B 1C 0D 93 0B 9A 00 9B 02 FA 03 F1 00 9B C3 F1 20 02 0A 9B D3 40 41 EA 03 04 00 9B A3 F1 20 02 0A 9B 03 FA 02 F1 0A 9A 00 9B 02 FA 03 F0 21 43 0D 9A 08 23 02 FB 03 F2 86 AB 13 44 66 93 66 9B 1B 68 40 EA 03 02 66 9B 5B 68 0B 43 0A 92 0B 93 C7 E7 0D 9B 5A 1C 08 23 02 FB 03 F2 86 AB 1A 44 00 9B C3 F1 40 04 11 92 11 9B 5B 68 03 FA 04 F1 C4 F1 20 02 11 9B 1B 68 D3 40 41 EA 03 00 A4 F1 20 02 11 9B 1B 68 03 FA 02 F1 11 9B 1B 68 03 FA 04 F2 40 EA 01 03 0E 92 0F 93 12 9B 03 F1 34 01 0D 9A 00 9B 02 FB 03 F3 CB 1A 13 93 0A 9B 7A 93 0B 9B 7B 93 7A 9B 72 93 7B 9B B3 F5 00 1F 23 D3 02 D8 72 9B 00 2B 1F D3 13 9B 5B 1C 13 93 0E 9A 0F 9B 67 93 52 08 67 9B DB 07 43 EA 02 01 67 9B 5A 08 0A 9B 03 F0 01 03 DB 07 13 43 0E 91 0F 93 0A 9A 0B 9B 68 93 52 08 68 9B DB 07 1A 43 68 9B 5B 08 0A 92 0B 93 D1 E7 13 9A 40 F2 FF 33 13 44 1A 05 00 23 02 93 03 92 0A 9A 0B 99 6F F3 1F 51 02 9B 1A 43 03 9B 0B 43 06 92 07 93 15 9B 00 2B 05 D0 06 9A 07 9B 43 F0 00 43 06 92 07 93 06 9A 07 9B 43 EC 10 2B 8D ED 18 0B 0E 9A 0F 9B 69 93 12 0B 69 9B 1B 05 1A 43 69 9B 1B 0B 0E 92 0F 93 13 9A 40 F2 FF 33 13 44 35 3B 1A 05 00 23 02 93 03 92 02 9A 03 9B 43 EC 10 2B 8D ED 84 0B 02 9A 0E 9B 42 EA 03 01 03 9A 0F 9B 13 43 02 91 03 93 02 9A 03 9B 43 EC 10 2B 8D ED 16 0B 9D ED 16 1B 9D ED 84 0B 31 EE 40 0B 8D ED 16 0B 15 9B 00 2B 08 D0 9D ED 16 1B B8 EE 00 0B 21 EE 00 0B 8D ED 16 0B 07 E0 9D ED 16 1B B0 EE 00 0B 21 EE 00 0B 8D ED 16 0B 9D ED 18 0B 53 EC 10 2B 06 92 07 93 06 9B 03 F0 78 42 07 9B 06 92 07 93 06 9A 07 9B 43 EC 10 2B 8D ED 7C 0B 9D ED 18 1B 9D ED 7C 0B 31 EE 40 0B 8D ED 80 0B 37 4B 93 ED 00 1B 9D ED 18 0B 21 EE 00 0B 8D ED 7E 0B 34 4B 93 ED 00 1B 9D ED 7C 0B 21 EE 00 1B 9D ED 7E 0B 31 EE 40 2B 2F 4B 93 ED 00 1B 9D ED 80 0B 21 EE 00 0B 32 EE 00 2B 29 4B 93 ED 00 1B 9D ED 7C 0B 21 EE 00 0B 32 EE 00 2B 25 4B 93 ED 00 1B 9D ED 80 0B 21 EE 00 0B 32 EE 00 3B 1F 4B 93 ED 00 1B 9D ED 16 0B 21 EE 00 2B 1B 4B 93 ED 00 1B 9D ED 18 0B 21 EE 00 0B 32 EE 00 0B 33 EE 00 0B 8D ED 82 0B }
	condition:
		$1
}

rule file_23_5_0 {
	meta:
		name = "_mbsncoll_l"
		size = 336
		refs = "0016 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0036 _CrtDbgReportW 0040 _errno 0080 _invalid_parameter 00d4 _strncoll_l 00e0 _mbsnbcnt_l 0108 __acrt_CompareStringA 0138 ??_C@_1HC@DMHLCJBE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 013c ??_C@_1BI@ODKNJFNF@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0140 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0148 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 014c ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 89 B0 0F 46 80 46 04 A8 19 46 1C 46 16 46 ?? ?? ?? ?? 0E B9 00 25 7C E0 B8 F1 00 0F 14 D1 47 4B 48 4C 43 49 00 93 00 23 38 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 38 23 14 E0 DF B9 3C 4B 3C 4C 38 49 00 93 00 23 39 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 39 23 30 49 2E 4A 20 46 ?? ?? ?? ?? 6F F0 00 45 47 E0 6F F0 00 45 AE 42 19 D9 2C 4B 2A 4C 28 49 00 93 00 23 3A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 21 49 20 4A 00 23 00 93 3A 23 20 46 ?? ?? ?? ?? 29 E0 06 9B 40 46 9B 68 33 B9 23 46 32 46 39 46 ?? ?? ?? ?? 05 46 1E E0 05 AA 31 46 ?? ?? ?? ?? 04 46 38 46 05 AA 31 46 ?? ?? ?? ?? 06 9A 02 90 05 A8 53 68 D2 F8 1C 12 4F F4 80 52 03 93 43 46 01 97 00 94 ?? ?? ?? ?? 20 B9 ?? ?? ?? ?? 16 23 03 60 00 E0 85 1E 9D F8 1C 30 33 B1 04 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 28 46 09 B0 BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_24_1_0 {
	meta:
		name = "bsearch"
		size = 616
		refs = "003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0152 __rt_udiv 01aa ??1scoped_global_state_reset@__crt_state_management@@QAA@XZ 024c __guard_check_icall_fptr 0250 ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0254 ??_C@_1BA@CLPIMKHD@?$AAb?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?$AA@ 0258 ??_C@_1GE@FFLJBFNL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 025c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0264 ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B A0 B0 25 9B 00 2B 05 D1 26 9B 00 2B 02 D0 00 23 07 93 01 E0 01 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 8D 4B 01 93 8A 4B 00 93 00 23 4A 22 87 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 4A 23 7D 4A 7B 49 7F 48 ?? ?? ?? ?? 00 23 04 93 E6 E0 27 9B 00 2B 02 D9 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 74 4B 01 93 72 4B 00 93 00 23 4B 22 6F 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 10 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 4B 23 65 4A 63 49 66 48 ?? ?? ?? ?? 00 23 04 93 B6 E0 28 9B 00 2B 02 D0 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 0E D1 58 4B 01 93 5A 4B 00 93 00 23 4C 22 57 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 10 D1 ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 00 23 00 93 4C 23 4D 4A 4B 49 4A 48 ?? ?? ?? ?? 00 23 04 93 86 E0 25 9B 05 93 26 9B 5A 1E 27 9B 02 FB 03 F2 25 9B 13 44 10 93 05 9A 10 9B 9A 42 71 D8 26 99 02 20 ?? ?? ?? ?? 03 90 03 9B 00 2B 46 D0 26 9B 13 F0 01 0F 02 D0 03 9B 0D 93 02 E0 03 9B 5B 1E 0D 93 0D 9A 27 9B 02 FB 03 F2 05 9B 13 44 06 93 06 9D 24 9C 28 9B 0E 93 0E 98 30 4B 1B 68 98 47 0E 9B 20 46 29 46 98 47 1A 90 1A 9B 0F 93 0F 9B 00 2B 08 D1 06 9B 1B 93 02 A8 ?? ?? ?? ?? 1B 9B 04 93 45 E0 19 E0 0F 9B 00 2B 10 DA 06 9A 27 9B D3 1A 10 93 26 9B 13 F0 01 0F 02 D0 03 9B 11 93 02 E0 03 9B 5B 1E 11 93 11 9B 26 93 05 E0 06 9A 27 9B 13 44 05 93 03 9B 26 93 21 E0 26 9B 00 2B 1D D0 05 9D 24 9C 28 9B 12 93 12 98 13 4B 1B 68 98 47 12 9B 20 46 29 46 98 47 1C 90 1C 9B 00 2B 02 D0 00 23 13 93 01 E0 05 9B 13 93 13 9B 1D 93 02 A8 ?? ?? ?? ?? 1D 9B 04 93 09 E0 00 E0 00 E0 89 E7 00 23 1E 93 02 A8 ?? ?? ?? ?? 1E 9B 04 93 04 98 20 B0 BD E8 30 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_0_0 {
	meta:
		name = "_lfind_s"
		size = 640
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 025c __guard_check_icall_fptr 0260 ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0264 ??_C@_1BC@LKOPFLDJ@?$AA_?$AAl?$AAf?$AAi?$AAn?$AAd?$AA_?$AAs?$AA?$AA@ 0268 ??_C@_1GA@CAPCBDEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 026c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0270 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0274 ??_C@_1DK@GBFPGLPH@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0278 ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 027c ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 9D B0 22 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 95 4B 01 93 90 4B 00 93 00 23 3C 22 8D 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 3C 23 82 4A 81 49 86 48 ?? ?? ?? ?? 00 23 02 93 F0 E0 24 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 7C 4B 01 93 78 4B 00 93 00 23 3D 22 75 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 3D 23 6A 4A 69 49 6D 48 ?? ?? ?? ?? 00 23 02 93 C0 E0 23 9B 00 2B 06 D1 24 9B 1B 68 00 2B 02 D0 00 23 08 93 01 E0 01 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 61 4B 01 93 5E 4B 00 93 00 23 3E 22 5B 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 3E 23 50 4A 4F 49 52 48 ?? ?? ?? ?? 00 23 02 93 8C E0 25 9B 00 2B 02 D9 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 48 4B 01 93 46 4B 00 93 00 23 3F 22 43 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 3F 23 38 4A 37 49 39 48 ?? ?? ?? ?? 00 23 02 93 5C E0 26 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 2C 4B 01 93 2E 4B 00 93 00 23 40 22 2B 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 00 23 00 93 40 23 20 4A 1F 49 1D 48 ?? ?? ?? ?? 00 23 02 93 2C E0 23 9B 0E 93 24 9B 1A 68 25 9B 02 FB 03 F2 0E 9B 13 44 1A 93 0E 9B 03 93 03 E0 03 9A 25 9B 13 44 03 93 03 9A 1A 9B 9A 42 15 D0 03 9E 22 9D 27 9C 26 9B 0F 93 0F 98 0C 4B 1B 68 98 47 0F 9B 20 46 29 46 32 46 98 47 1B 90 1B 9B 00 2B 02 D1 03 9B 02 93 02 E0 E1 E7 00 23 02 93 02 98 1D B0 BD E8 70 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_4_0 {
	meta:
		name = "??0__crt_stdio_stream@@QAA@XZ"
		size = 32
		altNames = "??0__crt_deferred_errno_cache@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_26_7_0 {
	meta:
		name = "?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ"
		size = 180
		refs = "0010 ??0__crt_stdio_stream@@QAA@XZ 0016 __acrt_lock 001e ?find_or_allocate_unused_stream_nolock@@YA?AV__crt_stdio_stream@@XZ 002a memcpy 0030 ?valid@__crt_stdio_stream@@QBA_NXZ 0040 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0096 __acrt_unlock"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 38 1D ?? ?? ?? ?? 08 20 ?? ?? ?? ?? 17 F1 24 00 ?? ?? ?? ?? B8 60 B9 68 38 1D 04 22 ?? ?? ?? ?? 38 1D ?? ?? ?? ?? 38 70 3B 78 00 2B 00 D1 2A E0 38 1D ?? ?? ?? ?? F8 60 FB 68 03 F1 08 02 00 23 13 60 38 1D ?? ?? ?? ?? 38 61 3B 69 03 F1 1C 02 00 23 13 60 38 1D ?? ?? ?? ?? 78 61 7A 69 00 23 13 60 38 1D ?? ?? ?? ?? B8 61 BB 69 1A 1D 00 23 13 60 38 1D ?? ?? ?? ?? F8 61 FB 69 03 F1 10 02 6F F0 00 03 13 60 08 20 ?? ?? ?? ?? B8 6B 39 1D 04 22 ?? ?? ?? ?? BB 6B 3B 62 38 6A 0B B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_26_9_0 {
	meta:
		name = "?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z"
		size = 148
		refs = "000c ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0086 ?deallocate@__crt_stdio_stream@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A A8 ?? ?? ?? ?? 00 90 00 9A 00 23 13 60 0A A8 ?? ?? ?? ?? 01 90 01 9B 1A 1D 00 23 13 60 0A A8 ?? ?? ?? ?? 02 90 02 9B 03 F1 08 02 00 23 13 60 0A A8 ?? ?? ?? ?? 03 90 03 9B 03 F1 10 02 6F F0 00 03 13 60 0A A8 ?? ?? ?? ?? 04 90 04 9B 03 F1 14 02 00 23 13 60 0A A8 ?? ?? ?? ?? 05 90 05 9B 03 F1 18 02 00 23 13 60 0A A8 ?? ?? ?? ?? 06 90 06 9B 03 F1 1C 02 00 23 13 60 0A A8 ?? ?? ?? ?? 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_26_11_0 {
	meta:
		name = "?deallocate@__crt_stdio_stream@@QAAXXZ"
		size = 46
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 BF F3 5B 8F 02 9B 1B 68 03 F1 0C 00 00 21 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 BF F3 5B 8F 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_26_13_0 {
	meta:
		name = "?find_or_allocate_unused_stream_nolock@@YA?AV__crt_stdio_stream@@XZ"
		size = 320
		refs = "003e ??0__crt_stdio_stream@@QAA@QAU__crt_stdio_stream_data@@@Z 0044 ?valid@__crt_stdio_stream@@QBA_NXZ 0056 ?is_in_use@__crt_stdio_stream@@QBA_NXZ 006a ?lock@__crt_stdio_stream@@QBAXXZ 0070 ?try_allocate@__crt_stdio_stream@@QAA_NXZ 0082 ?unlock@__crt_stdio_stream@@QBAXXZ 008e memcpy 00a4 _calloc_dbg 00ae ??0?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAA@QAU__crt_stdio_stream_data@@@Z 00ba ?detach@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAAPAU__crt_stdio_stream_data@@XZ 00c8 ??1?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAA@XZ 00f2 __acrt_InitializeCriticalSectionEx 0120 ??0__crt_stdio_stream@@QAA@XZ 0134 ??_C@_0DA@OGKFKCBE@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0138 _nstream 013c __piob"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 4C 4B 1B 68 0C 33 07 93 49 4B 1A 68 04 23 02 FB 03 F2 07 9B 13 44 0C 3B 08 93 07 9B 03 93 02 E0 03 9B 1B 1D 03 93 03 9A 08 9B 9A 42 72 D0 03 9B 19 68 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 21 D0 04 A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 00 D0 E0 E7 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 03 D1 04 A8 ?? ?? ?? ?? D0 E7 10 98 04 A9 04 22 ?? ?? ?? ?? 10 9B 06 93 47 E0 29 23 00 93 25 4B 02 22 38 21 01 20 ?? ?? ?? ?? 09 90 09 99 0D A8 ?? ?? ?? ?? 0A 90 0A 9B 0B 93 0B 98 ?? ?? ?? ?? 0C 90 0C 9A 03 9B 1A 60 0D A8 ?? ?? ?? ?? 03 9B 1B 68 00 2B 00 D1 23 E0 03 9B 1B 68 03 F1 10 02 6F F0 00 03 13 60 00 22 4F F4 7A 61 03 9B 1B 68 03 F1 20 00 ?? ?? ?? ?? 03 9B 19 68 05 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 10 98 05 A9 04 22 ?? ?? ?? ?? 10 9B 06 93 05 E0 85 E7 10 98 ?? ?? ?? ?? 10 9B 06 93 06 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_15_0 {
	meta:
		name = "?is_in_use@__crt_stdio_stream@@QBA_NXZ"
		size = 58
		refs = "000c ?get_flags@__crt_stdio_stream@@QBAJXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 13 F4 00 5F 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_26_16_0 {
	meta:
		name = "?lock@__crt_stdio_stream@@QBAXXZ"
		size = 34
		refs = "000c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0014 _lock_file"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_26_20_0 {
	meta:
		name = "?unlock@__crt_stdio_stream@@QBAXXZ"
		size = 34
		refs = "000c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0014 _unlock_file"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_26_19_0 {
	meta:
		name = "?try_allocate@__crt_stdio_stream@@QAA_NXZ"
		size = 86
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 BF F3 5B 8F 06 9B 1B 68 03 F1 0C 00 50 E8 00 2F 42 F4 00 51 40 E8 00 13 00 2B F7 D1 13 46 01 93 BF F3 5B 8F 01 9B 13 F4 00 5F 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_27_0_0 {
	meta:
		name = "expm1f"
		size = 324
		refs = "000e _fdtest 0112 expf 0134 c 0138 s 013c lnone_half 0140 lnhalf"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 03 93 03 9B 00 2B 06 D0 03 9B 01 2B 08 D0 03 9B 02 2B 00 D0 18 E0 9D ED 01 0A 8D ED 02 0A 77 E0 01 AB 9B 1C 1B 88 13 F4 00 4F 04 D0 BF EE 00 0A 8D ED 04 0A 03 E0 9D ED 01 0A 8D ED 04 0A 9D ED 04 0A 8D ED 02 0A 63 E0 37 4B D3 ED 00 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 4B D2 DD ED 01 0A 30 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 41 D2 2B 4B D3 ED 00 0A 9D ED 01 0A 60 EE 80 0A 27 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 01 0A 60 EE 80 0A 22 4B 08 33 93 ED 00 0A 70 EE 80 0A 9D ED 01 0A 60 EE 80 0A 1D 4B 0C 33 93 ED 00 0A 30 EE 80 1A 19 4B D3 ED 00 0A 9D ED 01 0A 60 EE 80 0A 16 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 01 0A 60 EE 80 0A 11 4B 08 33 93 ED 00 0A 30 EE 80 0A C1 EE 00 0A 9D ED 01 0A 20 EE 80 0A 8D ED 02 0A 0E E0 0D E0 9D ED 01 0A ?? ?? ?? ?? 8D ED 05 0A DD ED 05 0A B7 EE 00 0A 30 EE C0 0A 8D ED 02 0A 9D ED 02 0A 06 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_28_0_0 {
	meta:
		name = "modf"
		size = 432
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 97 B0 8D ED 04 0B 9D ED 04 0B 53 EC 10 2B 08 92 09 93 08 9A 09 9B 23 F0 00 43 0A 92 0B 93 0A 9B 0E 93 0B 9B 0F 93 0E 9B 00 93 0F 9A 5D 4B 9A 42 33 D3 02 D8 00 9B 00 2B 2F D3 0A 9B 10 93 0B 9B 11 93 10 9B 01 93 11 9A 54 4B 9A 42 12 D3 02 D8 01 9B 00 2B 0E D9 9D ED 04 0B 1A 9B 83 ED 00 0B 9D ED 04 1B 9D ED 04 0B 31 EE 00 0B 8D ED 0C 0B 88 E0 11 E0 9D ED 04 0B 1A 9B 83 ED 00 0B 09 9B 03 F0 00 42 00 23 42 EC 10 3B 8D ED 04 0B 9D ED 04 0B 8D ED 0C 0B 75 E0 74 E0 0A 9B 12 93 0B 9B 13 93 12 9B 02 93 13 9A 3D 4B 9A 42 12 D8 02 D3 02 9B 00 2B 0E D2 09 9B 03 F0 00 42 00 23 42 EC 10 3B 1A 9B 83 ED 00 0B 9D ED 04 0B 8D ED 0C 0B 58 E0 57 E0 09 9A 30 4B 13 40 18 0D 40 F2 FF 32 00 21 00 23 82 1A 61 EB 03 03 14 92 15 93 01 23 06 93 00 23 07 93 14 9B C3 F1 34 04 07 9B 03 FA 04 F1 C4 F1 20 02 06 9B D3 40 41 EA 03 00 A4 F1 20 02 06 9B 03 FA 02 F1 06 9B 03 FA 04 F2 01 43 00 23 52 1E 61 EB 03 03 06 92 07 93 06 9B DA 43 07 9B D9 43 08 9B 1A 40 09 9B 0B 40 43 EC 10 2B 1A 9B 83 ED 00 0B 9D ED 04 1B 1A 9B 93 ED 00 0B B4 EE 40 1B F1 EE 10 FA 0B D1 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 04 D2 9F ED 0A 0B 8D ED 0C 0B 08 E0 9D ED 04 1B 1A 9B 93 ED 00 0B 31 EE 40 0B 8D ED 0C 0B 9D ED 0C 0B 17 B0 BD E8 10 08 5D F8 0C FB 00 00 00 00 00 00 00 80 00 00 F0 7F 00 00 F0 3F 00 00 40 43 }
	condition:
		$1
}

rule file_29_4_0 {
	meta:
		name = "_mbsdec"
		size = 16
		refs = "000c _mbsdec_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_187_4_3 {
	meta:
		name = "_ismbslead"
		size = 16
		refs = "000c _ismbslead_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_334_4_3 {
	meta:
		name = "_mbbtype"
		size = 16
		refs = "000c _mbbtype_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_4_4 {
	meta:
		name = "_mbsbtype"
		size = 16
		refs = "000c _mbsbtype_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_93_4_0 {
	meta:
		name = "_mbschr"
		size = 16
		refs = "000c _mbschr_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_545_4_0 {
	meta:
		name = "_mbscmp"
		size = 16
		refs = "000c _mbscmp_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_275_4_2 {
	meta:
		name = "_mbscoll"
		size = 16
		refs = "000c _mbscoll_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_4_0 {
	meta:
		name = "_mbscspn"
		size = 16
		refs = "000c _mbscspn_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_253_4_0 {
	meta:
		name = "_mbsicmp"
		size = 16
		refs = "000c _mbsicmp_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_430_4_4 {
	meta:
		name = "_mbsicoll"
		size = 16
		refs = "000c _mbsicoll_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_306_6_3 {
	meta:
		name = "_mbslwr_s"
		size = 16
		refs = "000c _mbslwr_s_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_520_4_2 {
	meta:
		name = "_mbsnbcnt"
		size = 16
		refs = "000c _mbsnbcnt_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_4_4 {
	meta:
		name = "_mbsnccnt"
		size = 16
		refs = "000c _mbsnccnt_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_565_4_4 {
	meta:
		name = "_mbsnlen"
		size = 16
		refs = "000c _mbsnlen_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_669_4_2 {
	meta:
		name = "_mbspbrk"
		size = 16
		refs = "000c _mbspbrk_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_144_4_0 {
	meta:
		name = "_mbsrchr"
		size = 16
		refs = "000c _mbsrchr_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_679_4_2 {
	meta:
		name = "_mbsset"
		size = 16
		refs = "000c _mbsset_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_690_4_0 {
	meta:
		name = "_mbsspn"
		size = 16
		refs = "000c _mbsspn_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_615_4_3 {
	meta:
		name = "_mbsspnp"
		size = 16
		refs = "000c _mbsspnp_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_458_4_2 {
	meta:
		name = "_mbsstr"
		size = 16
		refs = "000c _mbsstr_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_132_6_4 {
	meta:
		name = "_mbsupr_s"
		size = 16
		refs = "000c _mbsupr_s_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_29_5_0 {
	meta:
		name = "_mbsdec_l"
		size = 212
		refs = "0020 _CrtDbgReportW 002a _errno 003e _invalid_parameter 007a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00c0 ??_C@_1GO@DDOMFNGF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00c4 ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00cc ??_C@_1BE@KLNCOLCD@?$AA_?$AAm?$AAb?$AAs?$AAd?$AAe?$AAc?$AA_?$AAl?$AA?$AA@ 00d0 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 05 46 0C 46 D5 B9 2D 4B 2F 4C 2A 49 00 93 00 23 30 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 30 23 24 49 21 4A 20 46 ?? ?? ?? ?? 00 20 39 E0 A4 B9 1F 4B 1E 4C 1C 49 00 93 00 23 31 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 31 23 E2 E7 A5 42 E5 D2 02 A8 11 46 ?? ?? ?? ?? 04 99 8B 68 0B B9 60 1E 0E E0 62 1E 52 1E 95 42 05 D8 13 78 0B 44 5B 7E 13 F0 04 0F F6 D1 A3 1A 03 F0 01 03 E3 1A 58 1E 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 06 B0 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_30_0_0 {
	meta:
		name = "fesetexceptflag"
		size = 128
		refs = "001e _getfpstatusword 002a __acrt_fenv_get_fp_status_word_from_exception_mask 004e _setfpstatusword 0058 fetestexcept"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 00 93 09 9B 03 F0 1F 03 00 2B 02 D1 00 23 01 93 2A E0 ?? ?? ?? ?? 03 90 03 9B 00 93 09 98 ?? ?? ?? ?? 04 90 04 9B 02 93 02 9B DA 43 00 9B 13 40 00 93 08 9B 1A 68 02 9B 1A 40 00 9B 13 43 00 93 00 98 ?? ?? ?? ?? 00 9B 03 F0 1F 00 ?? ?? ?? ?? 05 90 00 9B 03 F0 1F 02 05 9B 93 42 02 D0 01 23 01 93 01 E0 00 23 01 93 01 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_31_0_0 {
	meta:
		name = "fdim"
		size = 140
		refs = "0012 _dtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 04 1B 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 05 D1 9D ED 02 0B 8D ED 06 0B 26 E0 25 E0 04 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 05 D1 9D ED 04 0B 8D ED 06 0B 17 E0 16 E0 9D ED 02 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 05 D8 9F ED 09 0B 8D ED 06 0B 08 E0 07 E0 9D ED 02 1B 9D ED 04 0B 31 EE 40 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_196_0_0 {
	meta:
		name = "fdiml"
		size = 140
		refs = "0012 _ldtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 04 1B 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 05 D1 9D ED 02 0B 8D ED 06 0B 26 E0 25 E0 04 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 05 D1 9D ED 04 0B 8D ED 06 0B 17 E0 16 E0 9D ED 02 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 05 D8 9F ED 09 0B 8D ED 06 0B 08 E0 07 E0 9D ED 02 1B 9D ED 04 0B 31 EE 40 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_32_0_0 {
	meta:
		name = "strncpy"
		size = 108
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 06 9B 00 2B 13 D0 05 9B 93 F9 00 20 04 9B 1A 70 04 9B 93 F9 00 20 04 9B 5B 1C 04 93 05 9B 5B 1C 05 93 00 2A 03 D0 06 9B 5B 1E 06 93 E8 E7 06 9B 00 2B 0C D0 06 9B 5B 1E 06 93 06 9B 00 2B 06 D0 04 9A 00 23 13 70 04 9B 5B 1C 04 93 F2 E7 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_33_0_0 {
	meta:
		name = "_hypotf"
		size = 480
		refs = "010a infinityf_with_flags 0164 sqrt 01a8 _handle_errorf 01d4 ??_C@_07HIGHJEEA@_hypotf?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 AA B0 CD ED 04 0A 8D ED 05 0A 9D ED 05 0A B7 EE C0 0A 8D ED 1E 0B 9D ED 04 0A B7 EE C0 0A 8D ED 20 0B 9F ED 6B 0B 8D ED 28 0B 9D ED 05 0A B7 EE C0 0A 53 EC 10 2B 08 92 09 93 08 9A 09 9B 23 F0 00 43 08 92 09 93 9D ED 04 0A B7 EE C0 0A 53 EC 10 2B 0A 92 0B 93 0A 9A 0B 9B 23 F0 00 43 0A 92 0B 93 09 9B 1B 0D 0C 93 00 23 0D 93 0B 9B 1B 0D 0E 93 00 23 0F 93 0C 9B 16 93 0D 9B 17 93 17 9B 10 93 16 9A 40 F2 FF 73 9A 42 02 D1 10 9B 00 2B 0D D0 0E 9B 18 93 0F 9B 19 93 19 9B 11 93 18 9A 40 F2 FF 73 9A 42 48 D1 11 9B 00 2B 45 D1 0C 9B 1A 93 0D 9B 1B 93 1B 9B 12 93 1A 9A 40 F2 FF 73 9A 42 09 D1 12 9B 00 2B 06 D1 08 9A 09 9B 6F F3 1F 53 13 43 00 2B 14 D0 0E 9B 1C 93 0F 9B 1D 93 1D 9B 13 93 1C 9A 40 F2 FF 73 9A 42 14 D1 13 9B 00 2B 11 D1 0A 9A 0B 9B 6F F3 1F 53 13 43 00 2B 0A D1 00 20 ?? ?? ?? ?? 8D ED 14 0A 9D ED 14 0A 8D ED 06 0A 55 E0 10 E0 DD ED 05 0A 9D ED 05 0A 20 EE 80 1A DD ED 04 0A 9D ED 04 0A 20 EE 80 0A 31 EE 00 0A 8D ED 06 0A 43 E0 9D ED 1E 1B 9D ED 1E 0B 21 EE 00 2B 9D ED 20 1B 9D ED 20 0B 21 EE 00 0B 32 EE 00 0B 8D ED 24 0B 9D ED 24 0B ?? ?? ?? ?? 8D ED 26 0B 9D ED 26 0B 8D ED 22 0B 9D ED 22 1B 9D ED 28 0B B4 EE C0 1B F1 EE 10 FA 1A DD 02 23 03 93 DD ED 04 0A 9D ED 05 0A 22 23 02 93 11 23 01 93 03 23 00 93 4F F0 FF 42 00 23 18 21 0B 48 ?? ?? ?? ?? 8D ED 15 0A 9D ED 15 0A 8D ED 06 0A 06 E0 05 E0 9D ED 22 0B B7 EE C0 0B 8D ED 06 0A 9D ED 06 0A 2A B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 00 E0 FF FF EF 47 }
	condition:
		$1
}

rule file_34_0_0 {
	meta:
		name = "_chgsign"
		size = 66
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 02 0B 9D ED 02 0B 53 EC 10 2B 00 92 01 93 00 9A 01 9B 83 F0 00 43 00 92 01 93 00 9A 01 9B 43 EC 10 2B 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_35_4_0 {
	meta:
		name = "__iswcsym"
		size = 64
		refs = "0012 iswctype"
		altNames = "_iswcsym_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 40 F2 07 11 BD F8 18 00 ?? ?? ?? ?? 01 90 01 9B 00 2B 06 D1 BD F8 18 30 5F 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_5_0 {
	meta:
		name = "__iswcsymf"
		size = 64
		refs = "0012 iswctype"
		altNames = "_iswcsymf_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 40 F2 03 11 BD F8 18 00 ?? ?? ?? ?? 01 90 01 9B 00 2B 06 D1 BD F8 18 30 5F 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_6_0 {
	meta:
		name = "_isleadbyte_l"
		size = 74
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0036 ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9B 19 68 0A 9B DA B2 02 23 02 FB 03 F2 0B 68 13 44 1B 88 03 F4 00 43 01 93 04 A8 ?? ?? ?? ?? 01 9B 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_7_0 {
	meta:
		name = "_iswalnum_l"
		size = 40
		refs = "0012 iswctype"
		altNames = "iswalnum"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 40 F2 07 11 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_8_0 {
	meta:
		name = "_iswalpha_l"
		size = 40
		refs = "0012 iswctype"
		altNames = "iswalpha"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 40 F2 03 11 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_9_0 {
	meta:
		name = "_iswblank_l"
		size = 56
		refs = "001e iswctype"
		altNames = "iswblank"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 BD F8 18 30 09 2B 02 D1 40 23 00 93 07 E0 40 21 BD F8 18 00 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_10_0 {
	meta:
		name = "_iswcntrl_l"
		size = 38
		refs = "0010 iswctype"
		altNames = "iswcntrl"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_13_0 {
	meta:
		name = "_iswdigit_l"
		size = 38
		refs = "0010 iswctype"
		altNames = "iswdigit"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 21 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_14_0 {
	meta:
		name = "_iswgraph_l"
		size = 40
		refs = "0012 iswctype"
		altNames = "iswgraph"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 40 F2 17 11 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_15_0 {
	meta:
		name = "_iswlower_l"
		size = 38
		refs = "0010 iswctype"
		altNames = "iswlower"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 02 21 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_16_0 {
	meta:
		name = "_iswprint_l"
		size = 40
		refs = "0012 iswctype"
		altNames = "iswprint"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 40 F2 57 11 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_17_0 {
	meta:
		name = "_iswpunct_l"
		size = 38
		refs = "0010 iswctype"
		altNames = "iswpunct"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_18_0 {
	meta:
		name = "_iswspace_l"
		size = 38
		refs = "0010 iswctype"
		altNames = "iswspace"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 08 21 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_19_0 {
	meta:
		name = "_iswupper_l"
		size = 38
		refs = "0010 iswctype"
		altNames = "iswupper"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 21 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_20_0 {
	meta:
		name = "_iswxdigit_l"
		size = 38
		refs = "0010 iswctype"
		altNames = "iswxdigit"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 80 21 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_21_0 {
	meta:
		name = "isleadbyte"
		size = 36
		refs = "000e _isleadbyte_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_678_0 {
	meta:
		name = "?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ"
		size = 36
		refs = "000e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_679_0 {
	meta:
		name = "?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ"
		size = 36
		refs = "000e ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_W_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_146_11_0 {
	meta:
		name = "_mkgmtime32"
		size = 36
		refs = "000e ??$common_mktime@J@@YAJQAUtm@@_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_35_24_0 {
	meta:
		name = "iswascii"
		size = 44
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 10 30 80 2B 02 D2 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_36_0_0 {
	meta:
		name = "??$?RD@__crt_internal_free_policy@@QBAXQBD@Z"
		size = 18
		refs = "000e _free_dbg"
		altNames = "??$?RE@__crt_internal_free_policy@@QBAXQBE@Z ??$?RPAD@__crt_internal_free_policy@@QBAXQBQAD@Z ??$?RPA_W@__crt_internal_free_policy@@QBAXQBQA_W@Z ??$?RUprocess_handle_pair@?A0xe43b7539@@@__crt_internal_free_policy@@QBAXQBUprocess_handle_pair@?A0xe43b7539@@@Z ??$?R_W@__crt_internal_free_policy@@QBAXQB_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 02 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_2_0 {
	meta:
		name = "??$common_chdir@D@@YAHQBD@Z"
		size = 324
		refs = "0008 __security_push_cookie 0020 _CrtDbgReportW 002a __doserrno 0032 _errno 0044 _invalid_parameter 005c __acrt_errno_map_os_error 0090 _calloc_dbg 009a _free_dbg 00da toupper 0118 __security_pop_cookie 0120 __imp_GetLastError 0124 __imp_SetEnvironmentVariableA 0128 ??_C@_0DC@MIGIBIJP@minkernel?2crts?2ucrt?2src?2desktopc@ 012c __imp_GetCurrentDirectoryA 0130 __imp_SetCurrentDirectoryA 0134 ??_C@_1GE@HFGGHBCA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0138 ??_C@_1BK@KFGCOIBC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAh?$AAd?$AAi?$AAr?$AA?$AA@ 013c ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? C6 B0 F0 B9 4B 4B 4A 4C 47 49 00 93 00 23 3D 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 25 05 60 ?? ?? ?? ?? 40 49 3E 4A 16 23 03 60 3D 23 20 46 00 95 ?? ?? ?? ?? 6F F0 00 04 62 E0 38 4B 1B 68 98 47 28 B9 32 4B 1B 68 98 47 ?? ?? ?? ?? F2 E7 00 23 03 93 31 4B 40 F2 05 16 04 A9 1B 68 30 46 98 47 04 46 00 2C 40 D0 2C 4F 4F F0 6C 08 B4 42 1E D3 28 4B 02 22 01 21 20 46 CD F8 00 80 ?? ?? ?? ?? 05 46 03 98 02 21 ?? ?? ?? ?? 02 21 00 20 03 95 ?? ?? ?? ?? 45 B1 3B 68 29 46 20 46 26 46 98 47 04 46 00 2C E2 D1 1F E0 6F F0 00 04 24 E0 9D F9 10 00 5C 28 01 D0 2F 28 05 D1 9D F9 11 30 98 42 01 D1 00 24 17 E0 ?? ?? ?? ?? 3D 23 8D F8 08 30 3A 23 AD F8 0A 30 0E 4B 8D F8 09 00 04 A9 1B 68 02 A8 98 47 00 28 EC D1 08 4B 1B 68 98 47 ?? ?? ?? ?? 6F F0 00 04 03 9D 02 21 28 46 ?? ?? ?? ?? 20 46 46 B0 ?? ?? ?? ?? BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_3_0 {
	meta:
		name = "??$common_chdir@_W@@YAHQB_W@Z"
		size = 328
		refs = "0008 __security_push_cookie 0022 _CrtDbgReportW 002c __doserrno 0034 _errno 0046 _invalid_parameter 005e __acrt_errno_map_os_error 0092 _calloc_dbg 009c _free_dbg 00de toupper 011c __security_pop_cookie 0124 __imp_GetLastError 0128 __imp_SetEnvironmentVariableW 012c ??_C@_0DC@MIGIBIJP@minkernel?2crts?2ucrt?2src?2desktopc@ 0130 __imp_GetCurrentDirectoryW 0134 __imp_SetCurrentDirectoryW 0138 ??_C@_1GE@HFGGHBCA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 013c ??_C@_1BK@KFGCOIBC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAh?$AAd?$AAi?$AAr?$AA?$AA@ 0140 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? AD F5 0A 7D F0 B9 4C 4B 4A 4C 48 49 00 93 00 23 3D 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 25 05 60 ?? ?? ?? ?? 40 49 3F 4A 16 23 03 60 3D 23 20 46 00 95 ?? ?? ?? ?? 6F F0 00 04 62 E0 38 4B 1B 68 98 47 28 B9 32 4B 1B 68 98 47 ?? ?? ?? ?? F2 E7 00 23 02 93 31 4B 40 F2 05 16 06 A9 1B 68 30 46 98 47 04 46 00 2C 40 D0 2C 4F 4F F0 6C 08 B4 42 1E D3 29 4B 02 22 02 21 20 46 CD F8 00 80 ?? ?? ?? ?? 05 46 02 98 02 21 ?? ?? ?? ?? 02 21 00 20 02 95 ?? ?? ?? ?? 45 B1 3B 68 29 46 20 46 26 46 98 47 04 46 00 2C E2 D1 1F E0 6F F0 00 04 24 E0 BD F8 18 20 5C 2A 01 D0 2F 2A 05 D1 BD F8 1A 30 9A 42 01 D1 00 24 17 E0 50 B2 ?? ?? ?? ?? 3D 23 AD F8 10 30 3A 23 05 93 0E 4B AD F8 12 00 06 A9 1B 68 04 A8 98 47 00 28 EC D1 09 4B 1B 68 98 47 ?? ?? ?? ?? 6F F0 00 04 02 9D 02 21 28 46 ?? ?? ?? ?? 20 46 0D F5 0A 7D ?? ?? ?? ?? BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_4_0 {
	meta:
		name = "??$get_current_directory@AAKAAPAD@?$__crt_char_traits@D@@SAKAAKAAPAD@Z"
		size = 24
		refs = "0014 __imp_GetCurrentDirectoryA"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 09 68 00 68 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_5_0 {
	meta:
		name = "??$get_current_directory@AAKAAPA_W@?$__crt_char_traits@_W@@SAKAAKAAPA_W@Z"
		size = 24
		refs = "0014 __imp_GetCurrentDirectoryW"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 09 68 00 68 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_14_0 {
	meta:
		name = "??$set_environment_variable@ABQADQAD@?$__crt_char_traits@D@@SAHABQAD$$QBQAD@Z"
		size = 24
		refs = "0014 __imp_SetEnvironmentVariableA"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 09 68 00 68 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_15_0 {
	meta:
		name = "??$set_environment_variable@ABQA_WQA_W@?$__crt_char_traits@_W@@SAHABQA_W$$QBQA_W@Z"
		size = 24
		refs = "0014 __imp_SetEnvironmentVariableW"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 09 68 00 68 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_6_0 {
	meta:
		name = "??$set_current_directory@ABQBD@?$__crt_char_traits@D@@SAHABQBD@Z"
		size = 24
		refs = "0014 __imp_SetCurrentDirectoryA"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 68 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_7_0 {
	meta:
		name = "??$set_current_directory@ABQB_W@?$__crt_char_traits@_W@@SAHABQB_W@Z"
		size = 24
		refs = "0014 __imp_SetCurrentDirectoryW"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 68 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_8_0 {
	meta:
		name = "??$set_cwd_environment_variable@D@@YAHQBD@Z"
		size = 96
		refs = "0022 toupper 004a __acrt_errno_map_os_error 0058 __imp_GetLastError 005c __imp_SetEnvironmentVariableA"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 90 F9 00 00 5C 28 01 D0 2F 28 05 D1 94 F9 01 30 98 42 01 D1 00 20 17 E0 ?? ?? ?? ?? 3D 23 8D F8 00 30 3A 23 AD F8 02 30 0A 4B 8D F8 01 00 21 46 1B 68 68 46 98 47 00 28 EC D1 04 4B 1B 68 98 47 ?? ?? ?? ?? 6F F0 00 00 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_9_0 {
	meta:
		name = "??$set_cwd_environment_variable@_W@@YAHQB_W@Z"
		size = 104
		refs = "0008 __security_push_cookie 0026 toupper 004c __acrt_errno_map_os_error 0056 __security_pop_cookie 0060 __imp_GetLastError 0064 __imp_SetEnvironmentVariableW"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 82 B0 04 46 22 88 5C 2A 01 D0 2F 2A 04 D1 63 88 9A 42 01 D1 00 20 17 E0 50 B2 ?? ?? ?? ?? 3D 23 AD F8 00 30 3A 23 01 93 0B 4B AD F8 02 00 21 46 1B 68 68 46 98 47 00 28 EC D1 06 4B 1B 68 98 47 ?? ?? ?? ?? 6F F0 00 00 02 B0 ?? ?? ?? ?? BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_10_0 {
	meta:
		name = "??$set_environment_variable@AAY03$$CBDABQBD@?$__crt_char_traits@D@@SAHAAY03$$CBDABQBD@Z"
		size = 24
		refs = "0014 __imp_SetEnvironmentVariableA"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 09 68 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_11_0 {
	meta:
		name = "??$set_environment_variable@AAY03$$CB_WABQB_W@?$__crt_char_traits@_W@@SAHAAY03$$CB_WABQB_W@Z"
		size = 24
		refs = "0014 __imp_SetEnvironmentVariableW"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 09 68 1B 68 98 47 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_14_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ"
		size = 26
		refs = "000e _free_dbg"
		altNames = "??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAA@XZ ??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAA@XZ ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@XZ ??1?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAA@XZ ??1?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAA@XZ ??1?$__crt_unique_heap_ptr@Uprocess_handle_pair@?A0xe43b7539@@U__crt_internal_free_policy@@@@QAA@XZ ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ ??1?$scanset_buffer@_W@__crt_stdio_input@@QAA@XZ ??1?$scanset_storage@$01@__crt_stdio_input@@QAA@XZ ?release@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAAXXZ ?release@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAAXXZ ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAXXZ ?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAXXZ ?release@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAAXXZ ?release@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAAXXZ ?release@?$__crt_unique_heap_ptr@Uprocess_handle_pair@?A0xe43b7539@@U__crt_internal_free_policy@@@@QAAXXZ ?release@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 02 21 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_36_16_0 {
	meta:
		name = "??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAAAV0@$$QAV0@@Z"
		size = 36
		refs = "0010 _free_dbg"
		altNames = "??4?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAAAV0@$$QAV0@@Z ??4?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAAAAV0@$$QAV0@@Z ??4?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAAAAV0@$$QAV0@@Z ??4?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAAAV0@$$QAV0@@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 28 68 0C 46 02 21 ?? ?? ?? ?? 00 22 2A 60 23 68 28 46 2B 60 22 60 BD E8 30 88 }
	condition:
		$1
}

rule file_37_0_0 {
	meta:
		name = "_mbsninc"
		size = 30
		refs = "0014 _mbsnbcnt_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 0C B9 00 20 04 E0 00 22 20 46 ?? ?? ?? ?? 20 44 BD E8 18 88 }
	condition:
		$1
}

rule file_37_1_0 {
	meta:
		name = "_mbsninc_l"
		size = 28
		refs = "0012 _mbsnbcnt_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 0C B9 00 20 03 E0 20 46 ?? ?? ?? ?? 20 44 BD E8 18 88 }
	condition:
		$1
}

rule file_38_0_0 {
	meta:
		name = "_lfind"
		size = 636
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 0258 __guard_check_icall_fptr 025c ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0260 ??_C@_1O@OHGEBJAD@?$AA_?$AAl?$AAf?$AAi?$AAn?$AAd?$AA?$AA@ 0264 ??_C@_1GA@CAPCBDEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0268 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 026c ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0270 ??_C@_1DK@GBFPGLPH@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0274 ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0278 ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 9C B0 20 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 94 4B 01 93 8F 4B 00 93 00 23 3C 22 8C 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 3C 23 81 4A 80 49 85 48 ?? ?? ?? ?? 00 23 02 93 EE E0 22 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 7B 4B 01 93 77 4B 00 93 00 23 3D 22 74 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 3D 23 69 4A 68 49 6C 48 ?? ?? ?? ?? 00 23 02 93 BE E0 21 9B 00 2B 06 D1 22 9B 1B 68 00 2B 02 D0 00 23 08 93 01 E0 01 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 60 4B 01 93 5D 4B 00 93 00 23 3E 22 5A 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 3E 23 4F 4A 4E 49 51 48 ?? ?? ?? ?? 00 23 02 93 8A E0 23 9B 00 2B 02 D9 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 47 4B 01 93 45 4B 00 93 00 23 3F 22 42 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 3F 23 37 4A 36 49 38 48 ?? ?? ?? ?? 00 23 02 93 5A E0 24 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 2B 4B 01 93 2D 4B 00 93 00 23 40 22 2A 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 00 23 00 93 40 23 1F 4A 1E 49 1C 48 ?? ?? ?? ?? 00 23 02 93 2A E0 21 9B 0E 93 22 9B 1A 68 23 9B 02 FB 03 F2 0E 9B 13 44 1A 93 0E 9B 03 93 03 E0 03 9A 23 9B 13 44 03 93 03 9A 1A 9B 9A 42 13 D0 03 9D 20 9C 24 9B 0F 93 0F 98 0B 4B 1B 68 98 47 0F 9B 20 46 29 46 98 47 1B 90 1B 9B 00 2B 02 D1 03 9B 02 93 02 E0 E3 E7 00 23 02 93 02 98 1C B0 BD E8 30 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_39_6_0 {
	meta:
		name = "?_wcsupr_s_l_stat@@YAHQA_WIQAU__crt_locale_pointers@@@Z"
		size = 1044
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006e wcsnlen 009e _CrtGetDebugFillThreshold 00cc memset 01f4 __acrt_LCMapStringW 02e0 _MallocaComputeSize 0302 _malloc_dbg 030e _MarkAllocaS 0322 ??0?$__crt_scoped_stack_ptr_tag@_W@@QAA@QA_W@Z 0332 ??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 033a ?get@?$__crt_scoped_stack_ptr@_W@@QBAPA_WXZ 0360 ??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ 03a8 wcscpy_s 03f0 ??_C@_0DB@HOIAHBNG@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 03f4 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 03f8 ??_C@_1CC@GAIHKOIP@?$AA_?$AAw?$AAc?$AAs?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 03fc ??_C@_1GC@OIOBDAFD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0400 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0404 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0408 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 040c ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0410 ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B4 B0 36 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 FA 4B 01 93 F5 4B 00 93 00 23 6A 22 F2 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 6A 23 E8 4A E6 49 EC 48 ?? ?? ?? ?? 16 23 02 93 BB E1 37 99 36 98 ?? ?? ?? ?? 16 90 16 9B 05 93 05 9A 37 9B 9A 42 58 D3 36 9A 00 23 13 80 37 9B B3 F1 FF 3F 20 D0 37 9A 6F F0 00 43 9A 42 1B D0 37 9B 01 2B 18 D9 ?? ?? ?? ?? 17 90 17 9B 09 93 37 9B 5A 1E 09 9B 93 42 02 D2 09 9B 0A 93 02 E0 37 9B 5B 1E 0A 93 0A 9A 02 23 02 FB 03 F2 FE 21 36 9B 98 1C ?? ?? ?? ?? CE 4B 00 2B 03 D0 02 E0 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 0E D1 C6 4B 01 93 C3 4B 00 93 00 23 6F 22 C0 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 10 D1 ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 00 23 00 93 6F 23 B6 4A B4 49 B8 48 ?? ?? ?? ?? 16 23 02 93 57 E1 37 9B B3 F1 FF 3F 2B D0 37 9A 6F F0 00 43 9A 42 26 D0 05 9B 5A 1C 37 9B 9A 42 21 D2 ?? ?? ?? ?? 1A 90 1A 9B 0D 93 05 9B 5A 1C 37 9B 9A 1A 0D 9B 93 42 02 D2 0D 9B 0E 93 04 E0 05 9B 5A 1C 37 9B 9B 1A 0E 93 0E 9A 02 23 02 FB 03 F2 FE 21 05 9B 58 1C 02 23 00 FB 03 F0 36 9B 18 44 ?? ?? ?? ?? 38 9B 1B 68 A0 33 08 33 1B 68 00 2B 1B D1 36 9B 03 93 02 E0 03 9B 9B 1C 03 93 03 9B 1B 88 00 2B 0E D0 03 9B 1B 88 61 2B 09 DB 03 9B 1B 88 7A 2B 05 DC 03 9B 1B 88 20 3B 9A B2 03 9B 1A 80 E9 E7 00 23 02 93 04 E1 00 23 01 93 00 23 00 93 6F F0 00 03 36 9A 4F F4 00 71 38 98 00 68 A0 30 08 30 00 68 ?? ?? ?? ?? 1B 90 1B 9B 06 93 06 9B 00 2B 0C D1 ?? ?? ?? ?? 1C 90 1C 9A 2A 23 13 60 ?? ?? ?? ?? 1D 90 1D 9B 1B 68 02 93 E1 E0 37 9A 06 9B 9A 42 58 D2 36 9A 00 23 13 80 37 9B B3 F1 FF 3F 20 D0 37 9A 6F F0 00 43 9A 42 1B D0 37 9B 01 2B 18 D9 ?? ?? ?? ?? 1E 90 1E 9B 0F 93 37 9B 5A 1E 0F 9B 93 42 02 D2 0F 9B 10 93 02 E0 37 9B 5B 1E 10 93 10 9A 02 23 02 FB 03 F2 FE 21 36 9B 98 1C ?? ?? ?? ?? 63 4B 00 2B 03 D0 02 E0 01 23 11 93 01 E0 00 23 11 93 11 9B 12 93 12 9B 00 2B 0E D1 58 4B 01 93 5A 4B 00 93 00 23 8E 22 57 49 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 12 9B 00 2B 10 D1 ?? ?? ?? ?? 20 90 20 9A 22 23 13 60 00 23 00 93 8E 23 4C 4A 4B 49 49 48 ?? ?? ?? ?? 22 23 02 93 84 E0 06 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 21 90 21 9B 00 2B 16 D0 06 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 22 90 92 23 3C 4A 02 21 22 98 ?? ?? ?? ?? 23 90 4D F6 DD 51 23 98 ?? ?? ?? ?? 24 90 24 9B 13 93 01 E0 00 23 13 93 13 99 32 A8 ?? ?? ?? ?? 25 90 25 9B 26 93 26 9B 19 68 04 A8 ?? ?? ?? ?? 33 90 04 A8 ?? ?? ?? ?? 27 90 27 9B 00 2B 11 D1 ?? ?? ?? ?? 28 90 28 9A 0C 23 13 60 ?? ?? ?? ?? 29 90 29 9B 1B 68 2A 93 04 A8 ?? ?? ?? ?? 2A 9B 02 93 3B E0 04 A8 ?? ?? ?? ?? 2B 90 06 9B 01 93 2B 9B 00 93 6F F0 00 03 36 9A 4F F4 00 71 38 98 00 68 A0 30 08 30 00 68 ?? ?? ?? ?? 2C 90 2C 9B 00 2B 12 D0 04 A8 ?? ?? ?? ?? 2D 90 2D 9A 37 99 36 98 ?? ?? ?? ?? 2E 90 2E 9B 2F 93 04 A8 ?? ?? ?? ?? 2F 9B 02 93 11 E0 0D E0 ?? ?? ?? ?? 30 90 30 9A 2A 23 13 60 2A 23 31 93 04 A8 ?? ?? ?? ?? 31 9B 02 93 02 E0 04 A8 ?? ?? ?? ?? 02 98 34 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_39_12_0 {
	meta:
		name = "_wcsupr"
		size = 228
		refs = "000a __acrt_locale_changed 0044 _CrtDbgReportW 0058 _errno 0070 _invalid_parameter 00c0 _wcsupr_s_l 00d4 ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00d8 ??_C@_1BA@LGEDHIDA@?$AA_?$AAw?$AAc?$AAs?$AAu?$AAp?$AAr?$AA?$AA@ 00dc ??_C@_1GC@OIOBDAFD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00e0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 4E D1 0C 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 27 4B 01 93 29 4B 00 93 00 23 3A 22 26 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 3A 23 1C 4A 1A 49 19 48 ?? ?? ?? ?? 00 23 04 93 26 E0 0C 9B 03 93 02 E0 03 9B 9B 1C 03 93 03 9B 1B 88 00 2B 10 D0 03 9B 1B 88 61 2B 0B DB 03 9B 1B 88 7A 2B 07 DC 03 9B 1A 88 4F F6 E0 73 13 44 9A B2 03 9B 1A 80 E7 E7 0C 9B 04 93 08 E0 07 E0 00 22 6F F0 00 01 0C 98 ?? ?? ?? ?? 0C 9B 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_40_0_0 {
	meta:
		name = "wcscspn"
		size = 100
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 02 E0 00 9B 9B 1C 00 93 00 9B 1B 88 00 2B 17 D0 07 9B 01 93 02 E0 01 9B 9B 1C 01 93 01 9B 1B 88 00 2B 0C D0 00 9B 1A 88 01 9B 1B 88 9A 42 05 D1 00 9A 06 9B D3 1A 5B 10 02 93 06 E0 EB E7 E0 E7 00 9A 06 9B D3 1A 5B 10 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_41_7_0 {
	meta:
		name = "__acrt_initialize_stdio"
		size = 396
		refs = "0036 _calloc_dbg 0040 ??0?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAA@QAPAU__crt_stdio_stream_data@@@Z 004c ?detach@?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAAPAPAU__crt_stdio_stream_data@@XZ 005a ??1?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAA@XZ 00da __acrt_InitializeCriticalSectionEx 0178 _iob 017c __pioinfo 0180 __piob 0184 _nstream 0188 ??_C@_0CP@GDJHIDC@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 5E 4B 1B 68 00 2B 04 D1 5C 4A 4F F4 00 73 13 60 06 E0 5A 4B 1B 68 03 2B 02 DA 58 4A 03 23 13 60 4E 23 00 93 56 4B 02 22 04 21 54 48 00 68 ?? ?? ?? ?? 06 90 06 99 0A A8 ?? ?? ?? ?? 07 90 07 9B 08 93 08 98 ?? ?? ?? ?? 09 90 09 9A 4A 4B 1A 60 0A A8 ?? ?? ?? ?? 48 4B 1B 68 00 2B 25 D1 47 4A 03 23 13 60 53 23 00 93 45 4B 02 22 04 21 43 48 00 68 ?? ?? ?? ?? 0B 90 0B 99 0F A8 ?? ?? ?? ?? 0C 90 0C 9B 0D 93 0D 98 ?? ?? ?? ?? 0E 90 0E 9A 39 4B 1A 60 0F A8 ?? ?? ?? ?? 37 4B 1B 68 00 2B 03 D1 6F F0 00 03 05 93 5D E0 00 23 03 93 02 E0 03 9B 5B 1C 03 93 03 9B 03 2B 52 D0 00 22 4F F4 7A 61 03 98 38 23 00 FB 03 F0 29 4B 03 44 03 F1 20 00 ?? ?? ?? ?? 03 9A 38 23 02 FB 03 F2 24 4B 99 18 03 9A 04 23 02 FB 03 F2 23 4B 1B 68 13 44 19 60 03 9B 9A 11 04 23 02 FB 03 F2 1D 4B 99 18 03 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 04 93 04 9B B3 F1 FF 3F 0A D0 04 9B 13 F1 02 0F 06 D0 04 9B 00 2B 03 D0 00 23 8D F8 08 30 02 E0 01 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 2B 0A D0 03 9A 38 23 02 FB 03 F2 07 4B 13 44 03 F1 10 02 6F F0 01 03 13 60 A6 E7 00 23 05 93 05 98 10 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_8_0 {
	meta:
		name = "__acrt_iob_func"
		size = 40
		refs = "0024 _iob"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 38 23 02 FB 03 F2 04 4B 13 44 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_9_0 {
	meta:
		name = "__acrt_uninitialize_stdio"
		size = 112
		refs = "0008 _flushall 000c _fcloseall 0032 __acrt_stdio_free_buffer_nolock 0058 _free_dbg 0068 __piob 006c __imp_DeleteCriticalSection"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? ?? ?? ?? ?? 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 03 2B 17 D0 00 9A 04 23 02 FB 03 F2 0F 4B 1B 68 13 44 18 68 ?? ?? ?? ?? 00 9A 04 23 02 FB 03 F2 0A 4B 1B 68 13 44 1B 68 03 F1 20 00 08 4B 1B 68 98 47 E1 E7 02 21 04 4B 18 68 ?? ?? ?? ?? 02 4A 00 23 13 60 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_72_0 {
	meta:
		name = "?close@stream_traits@?A0xe43b7539@@SA_NPAU_iobuf@@@Z"
		size = 16
		refs = "0006 fclose"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_41_10_0 {
	meta:
		name = "_get_stream_buffer_pointers"
		size = 212
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 007a ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 00c4 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c8 ??_C@_1DI@PJGMCDLC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AAs?$AA?$AA@ 00cc ??_C@_1FO@IEGKHABE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 27 4B 01 93 29 4B 00 93 00 23 A0 22 26 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 A0 23 1C 4A 1A 49 19 48 ?? ?? ?? ?? 16 23 05 93 26 E0 0E 99 02 A8 ?? ?? ?? ?? 0F 9B 00 2B 07 D0 02 A8 ?? ?? ?? ?? 08 90 08 9B 1A 1D 0F 9B 1A 60 10 9B 00 2B 06 D0 02 A8 ?? ?? ?? ?? 09 90 09 9A 10 9B 1A 60 11 9B 00 2B 08 D0 02 A8 ?? ?? ?? ?? 0A 90 0A 9B 03 F1 08 02 11 9B 1A 60 00 23 05 93 05 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_11_0 {
	meta:
		name = "_lock_file"
		size = 56
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0016 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0034 __imp_EnterCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 99 02 A8 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 03 F1 20 00 04 4B 1B 68 98 47 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_12_0 {
	meta:
		name = "_unlock_file"
		size = 56
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0016 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0034 __imp_LeaveCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 99 02 A8 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 03 F1 20 00 04 4B 1B 68 98 47 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_5_0 {
	meta:
		name = "clearerr_s"
		size = 344
		refs = "0014 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001a ?valid@__crt_stdio_stream@@QBA_NXZ 004a _CrtDbgReportW 005e _errno 0076 _invalid_parameter 0082 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 008a _lock_file 0092 ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 00a0 _fileno 012a _unlock_file 0140 __badioinfo 0144 __pioinfo 0148 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 014c ??_C@_1BG@GHDODAOE@?$AAc?$AAl?$AAe?$AAa?$AAr?$AAe?$AAr?$AAr?$AA_?$AAs?$AA?$AA@ 0150 ??_C@_1GE@OEIHGDIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0154 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 93 B0 6F 46 82 B0 B9 6D 38 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 38 71 3B 79 00 2B 02 D0 01 23 3B 61 01 E0 00 23 3B 61 3B 69 7B 61 7B 69 00 2B 0E D1 43 4B 01 93 45 4B 00 93 00 23 10 22 42 49 02 20 ?? ?? ?? ?? F8 61 FB 69 01 2B 00 D1 FE DE 7B 69 00 2B 10 D1 ?? ?? ?? ?? 38 62 3A 6A 16 23 13 60 00 23 00 93 10 23 37 4A 36 49 34 48 ?? ?? ?? ?? 16 23 BB 61 58 E0 38 46 ?? ?? ?? ?? 78 62 78 6A ?? ?? ?? ?? 18 21 38 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? B8 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A B3 F1 FF 3F 2C D0 38 46 ?? ?? ?? ?? 38 63 38 6B ?? ?? ?? ?? 78 63 7B 6B 13 F1 02 0F 20 D0 38 46 ?? ?? ?? ?? B8 63 B8 6B ?? ?? ?? ?? 38 64 38 46 ?? ?? ?? ?? F8 63 F8 6B ?? ?? ?? ?? 78 64 3B 6C 9A 11 04 23 02 FB 03 F2 14 4B 99 18 7B 6C 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 BB 60 01 E0 0D 4B BB 60 BB 68 28 33 1B 78 23 F0 02 01 BB 68 03 F1 28 02 CB B2 13 70 38 46 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? 00 23 BB 61 B8 69 15 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_42_6_0 {
	meta:
		name = "clearerr_s$fin$0"
		size = 24
		refs = "0006 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 000e _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 38 46 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_43_0_0 {
	meta:
		name = "??$common_dupenv_s@D@@YAHQAPADQAIQBDH2H@Z"
		size = 272
		refs = "001a __acrt_lock 0030 _CrtDbgReportW 003a _errno 004e _invalid_parameter 0092 ??$common_getenv_nolock@D@@YAPADQBD@Z 009a strlen 00ae _calloc_dbg 00c4 strcpy_s 00d6 _invoke_watson 00e6 __acrt_unlock 00f8 ??_C@_1GM@ELJFOHM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00fc ??_C@_1CO@CDOPGGMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0100 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010c ??_C@_1DE@DFBNADNF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 6F 46 82 B0 99 46 16 46 0C 46 05 46 00 23 3B 60 0B 20 ?? ?? ?? ?? D5 B9 3A 4C 01 94 37 4B 00 93 00 23 DD 22 34 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 DD 23 2C 49 2D 4A 20 46 ?? ?? ?? ?? 16 23 45 E0 4F F0 00 0A C5 F8 00 A0 0C B1 C4 F8 00 A0 A6 B9 28 4C 01 94 26 4B 00 93 00 23 E3 22 23 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 CD F8 00 A0 E3 23 DB E7 30 46 ?? ?? ?? ?? 06 46 16 B3 ?? ?? ?? ?? 00 F1 01 08 7B 6B 00 93 3B 6B 4A 46 01 21 40 46 ?? ?? ?? ?? 28 60 20 B9 ?? ?? ?? ?? 0C 23 03 60 10 E0 32 46 41 46 ?? ?? ?? ?? 38 B1 CD F8 00 A0 0C 4A 0A 49 09 48 F3 23 ?? ?? ?? ?? 0C B1 C4 F8 00 80 00 23 3B 60 0B 20 ?? ?? ?? ?? 3B 68 7B 60 78 68 05 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_2_0 {
	meta:
		name = "??$common_dupenv_s@_W@@YAHQAPA_WQAIQB_WHQBDH@Z"
		size = 272
		refs = "001a __acrt_lock 0030 _CrtDbgReportW 003a _errno 004e _invalid_parameter 0092 ??$common_getenv_nolock@_W@@YAPA_WQB_W@Z 009a wcslen 00ae _calloc_dbg 00c4 wcscpy_s 00d6 _invoke_watson 00e6 __acrt_unlock 00f8 ??_C@_1GM@ELJFOHM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00fc ??_C@_1CO@CDOPGGMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0100 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010c ??_C@_1DE@DFBNADNF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 6F 46 82 B0 99 46 16 46 0C 46 05 46 00 23 3B 60 0B 20 ?? ?? ?? ?? D5 B9 3A 4C 01 94 37 4B 00 93 00 23 DD 22 34 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 DD 23 2C 49 2D 4A 20 46 ?? ?? ?? ?? 16 23 45 E0 4F F0 00 0A C5 F8 00 A0 0C B1 C4 F8 00 A0 A6 B9 28 4C 01 94 26 4B 00 93 00 23 E3 22 23 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 CD F8 00 A0 E3 23 DB E7 30 46 ?? ?? ?? ?? 06 46 16 B3 ?? ?? ?? ?? 00 F1 01 08 7B 6B 00 93 3B 6B 4A 46 02 21 40 46 ?? ?? ?? ?? 28 60 20 B9 ?? ?? ?? ?? 0C 23 03 60 10 E0 32 46 41 46 ?? ?? ?? ?? 38 B1 CD F8 00 A0 0C 4A 0A 49 09 48 F3 23 ?? ?? ?? ?? 0C B1 C4 F8 00 80 00 23 3B 60 0B 20 ?? ?? ?? ?? 3B 68 7B 60 78 68 05 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_4_0 {
	meta:
		name = "??$common_dupenv_s_nolock@D@@YAHQAPADQAIQBDH2H@Z"
		size = 240
		refs = "0020 _CrtDbgReportW 002a _errno 003e _invalid_parameter 0082 ??$common_getenv_nolock@D@@YAPADQBD@Z 008a strlen 009c _calloc_dbg 00b4 strcpy_s 00d0 _invoke_watson 00d8 ??_C@_1GM@ELJFOHM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00dc ??_C@_1CO@CDOPGGMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00e0 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00e4 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ec ??_C@_1DE@DFBNADNF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 05 46 98 46 0C 46 D5 B9 35 4B 36 4C 32 49 00 93 00 23 DD 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 DD 23 28 49 29 4A 20 46 ?? ?? ?? ?? 16 20 3C E0 4F F0 00 09 C5 F8 00 90 0C B1 C4 F8 00 90 A2 B9 24 4B 22 4C 21 49 00 93 00 23 E3 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 E3 23 CD F8 00 90 DB E7 10 46 ?? ?? ?? ?? 06 46 CE B1 ?? ?? ?? ?? 0B 9B 47 1C 42 46 00 93 0A 9B 01 21 38 46 ?? ?? ?? ?? 28 60 28 B9 ?? ?? ?? ?? 0C 23 03 60 0C 20 07 E0 32 46 39 46 ?? ?? ?? ?? 20 B9 04 B1 27 60 00 20 BD E8 FC 8B 06 4A 05 49 03 48 F3 23 CD F8 00 90 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_5_0 {
	meta:
		name = "??$common_dupenv_s_nolock@_W@@YAHQAPA_WQAIQB_WHQBDH@Z"
		size = 240
		refs = "0020 _CrtDbgReportW 002a _errno 003e _invalid_parameter 0082 ??$common_getenv_nolock@_W@@YAPA_WQB_W@Z 008a wcslen 009c _calloc_dbg 00b4 wcscpy_s 00d0 _invoke_watson 00d8 ??_C@_1GM@ELJFOHM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00dc ??_C@_1CO@CDOPGGMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00e0 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00e4 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ec ??_C@_1DE@DFBNADNF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 05 46 98 46 0C 46 D5 B9 35 4B 36 4C 32 49 00 93 00 23 DD 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 DD 23 28 49 29 4A 20 46 ?? ?? ?? ?? 16 20 3C E0 4F F0 00 09 C5 F8 00 90 0C B1 C4 F8 00 90 A2 B9 24 4B 22 4C 21 49 00 93 00 23 E3 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 E3 23 CD F8 00 90 DB E7 10 46 ?? ?? ?? ?? 06 46 CE B1 ?? ?? ?? ?? 0B 9B 47 1C 42 46 00 93 0A 9B 02 21 38 46 ?? ?? ?? ?? 28 60 28 B9 ?? ?? ?? ?? 0C 23 03 60 0C 20 07 E0 32 46 39 46 ?? ?? ?? ?? 20 B9 04 B1 27 60 00 20 BD E8 FC 8B 06 4A 05 49 03 48 F3 23 CD F8 00 90 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_6_0 {
	meta:
		name = "??$common_getenv@D@@YAPADQBD@Z"
		size = 184
		refs = "0020 _CrtDbgReportW 002a _errno 003e _invalid_parameter 004e strnlen 0086 __acrt_lock 008c ??$common_getenv_nolock@D@@YAPADQBD@Z 0094 __acrt_unlock 00a4 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1FG@CANGEKNF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5@ 00b0 ??_C@_1BM@BLGHJIAJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$AA@ 00b4 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 82 B0 05 46 D5 B9 28 4C 01 94 24 4B 00 93 00 23 41 22 21 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 41 23 1D 49 1A 4A 20 46 ?? ?? ?? ?? 00 23 29 E0 47 F6 FF 74 21 46 28 46 ?? ?? ?? ?? A0 42 14 D3 15 4C 01 94 13 4B 00 93 00 23 42 22 10 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 42 23 DB E7 00 23 7B 60 0B 20 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? 78 60 0B 20 ?? ?? ?? ?? 7B 68 3B 60 38 68 05 B0 BD E8 B0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_8_0 {
	meta:
		name = "??$common_getenv@_W@@YAPA_WQB_W@Z"
		size = 184
		refs = "0020 _CrtDbgReportW 002a _errno 003e _invalid_parameter 004e wcsnlen 0086 __acrt_lock 008c ??$common_getenv_nolock@_W@@YAPA_WQB_W@Z 0094 __acrt_unlock 00a4 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ac ??_C@_1FG@CANGEKNF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5@ 00b0 ??_C@_1BM@BLGHJIAJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$AA@ 00b4 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 82 B0 05 46 D5 B9 28 4C 01 94 24 4B 00 93 00 23 41 22 21 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 41 23 1D 49 1A 4A 20 46 ?? ?? ?? ?? 00 23 29 E0 47 F6 FF 74 21 46 28 46 ?? ?? ?? ?? A0 42 14 D3 15 4C 01 94 13 4B 00 93 00 23 42 22 10 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 42 23 DB E7 00 23 7B 60 0B 20 ?? ?? ?? ?? 28 46 ?? ?? ?? ?? 78 60 0B 20 ?? ?? ?? ?? 7B 68 3B 60 38 68 05 B0 BD E8 B0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_10_0 {
	meta:
		name = "??$common_getenv_nolock@D@@YAPADQBD@Z"
		size = 144
		refs = "000a __dcrt_get_or_create_narrow_environment_nolock 0016 strlen 0038 _strnicoll 0058 strnlen 0070 _CrtDbgReportW 0084 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0088 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 008c ??_C@_1IC@PEEDPIJE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AA?$CK?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CL?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA_@"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 04 46 ?? ?? ?? ?? 05 46 CD B1 C4 B1 20 46 ?? ?? ?? ?? 2B 68 06 46 10 E0 2F 68 38 46 ?? ?? ?? ?? B0 42 08 D9 BB 57 3D 2B 05 D1 32 46 21 46 38 46 ?? ?? ?? ?? 30 B1 55 F8 04 3F 00 2B EC D1 00 20 BD E8 FC 88 2B 68 47 F6 FF 74 21 46 33 44 58 1C ?? ?? ?? ?? A0 42 0C D3 0A 4B 09 49 32 22 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 2B 68 33 44 58 1C E2 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_11_0 {
	meta:
		name = "??$common_getenv_nolock@_W@@YAPA_WQB_W@Z"
		size = 148
		refs = "000a __dcrt_get_or_create_wide_environment_nolock 0016 wcslen 003a _wcsnicoll 005c wcsnlen 0074 _CrtDbgReportW 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0090 ??_C@_1IC@PEEDPIJE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AA?$CK?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CL?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA_@"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 04 46 ?? ?? ?? ?? 05 46 D5 B1 CC B1 20 46 ?? ?? ?? ?? 2B 68 06 46 11 E0 2F 68 38 46 ?? ?? ?? ?? B0 42 09 D9 37 F8 16 30 3D 2B 05 D1 32 46 21 46 38 46 ?? ?? ?? ?? 30 B1 55 F8 04 3F 00 2B EB D1 00 20 BD E8 FC 88 2B 68 47 F6 FF 74 21 46 03 EB 46 03 98 1C ?? ?? ?? ?? A0 42 0C D3 0A 4B 09 49 32 22 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 2B 68 03 EB 46 03 98 1C E0 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_12_0 {
	meta:
		name = "??$common_getenv_s@D@@YAHQAIQADIQBD@Z"
		size = 272
		refs = "001a __acrt_lock 0034 _CrtDbgReportW 003e _errno 0052 _invalid_parameter 00aa ??$common_getenv_nolock@D@@YAPADQBD@Z 00b2 strlen 00cc strcpy_s 00de _invoke_watson 00e8 __acrt_unlock 00f8 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00fc ??_C@_1FM@PFPBILLI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 0100 ??_C@_1CO@JMMLKGAM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1KI@FAGLHDFF@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu@ 010c ??_C@_1DE@LLCEPHKC@?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 6F 46 82 B0 9A 46 15 46 0C 46 80 46 00 23 3B 60 0B 20 ?? ?? ?? ?? B8 F1 00 0F 1A D1 39 4C 01 94 36 4B 00 93 00 23 74 22 31 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 74 23 20 46 2A 4A 2B 49 ?? ?? ?? ?? 16 23 44 E0 00 23 C8 F8 00 30 0C B1 0D B9 14 B9 0D B9 01 26 00 E0 00 26 DF F8 98 90 BE B9 CD F8 04 90 22 4B 00 93 00 23 79 22 1D 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE 00 23 46 B9 ?? ?? ?? ?? 16 23 03 60 00 23 00 93 79 23 48 46 D4 E7 04 B1 23 70 50 46 ?? ?? ?? ?? 06 46 BE B1 ?? ?? ?? ?? 43 1C C8 F8 00 30 8D B1 AB 42 01 D9 22 23 0E E0 32 46 29 46 20 46 ?? ?? ?? ?? 38 B1 00 23 00 93 0A 49 08 48 8B 23 06 4A ?? ?? ?? ?? 00 23 3B 60 0B 20 ?? ?? ?? ?? 3B 68 7B 60 78 68 05 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_14_0 {
	meta:
		name = "??$common_getenv_s@_W@@YAHQAIQA_WIQB_W@Z"
		size = 272
		refs = "001a __acrt_lock 0034 _CrtDbgReportW 003e _errno 0052 _invalid_parameter 00aa ??$common_getenv_nolock@_W@@YAPA_WQB_W@Z 00b2 wcslen 00cc wcscpy_s 00de _invoke_watson 00e8 __acrt_unlock 00f8 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00fc ??_C@_1FM@PFPBILLI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 0100 ??_C@_1CO@JMMLKGAM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1KI@FAGLHDFF@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu@ 010c ??_C@_1DE@LLCEPHKC@?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 6F 46 82 B0 9A 46 15 46 0C 46 80 46 00 23 3B 60 0B 20 ?? ?? ?? ?? B8 F1 00 0F 1A D1 39 4C 01 94 36 4B 00 93 00 23 74 22 31 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 74 23 20 46 2A 4A 2B 49 ?? ?? ?? ?? 16 23 44 E0 00 23 C8 F8 00 30 0C B1 0D B9 14 B9 0D B9 01 26 00 E0 00 26 DF F8 98 90 BE B9 CD F8 04 90 22 4B 00 93 00 23 79 22 1D 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE 00 23 46 B9 ?? ?? ?? ?? 16 23 03 60 00 23 00 93 79 23 48 46 D4 E7 04 B1 23 80 50 46 ?? ?? ?? ?? 06 46 BE B1 ?? ?? ?? ?? 43 1C C8 F8 00 30 8D B1 AB 42 01 D9 22 23 0E E0 32 46 29 46 20 46 ?? ?? ?? ?? 38 B1 00 23 00 93 0A 49 08 48 8B 23 06 4A ?? ?? ?? ?? 00 23 3B 60 0B 20 ?? ?? ?? ?? 3B 68 7B 60 78 68 05 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_16_0 {
	meta:
		name = "??$common_getenv_s_nolock@D@@YAHQAIQADIQBD@Z"
		size = 224
		refs = "0020 _CrtDbgReportW 002a _errno 003e _invalid_parameter 005a ??$common_getenv_nolock@D@@YAPADQBD@Z 0062 strlen 00a8 strcpy_s 00c0 _invoke_watson 00c8 ??_C@_1FM@PFPBILLI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 00cc ??_C@_1CO@JMMLKGAM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00d0 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00d4 ??_C@_1KI@FAGLHDFF@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu@ 00d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1DE@LLCEPHKC@?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 06 46 14 46 0D 46 D6 B9 31 4B 32 4C 2E 49 00 93 00 23 74 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 74 23 24 49 25 4A 20 46 ?? ?? ?? ?? 16 20 34 E0 4F F0 00 08 C6 F8 00 80 8D B1 94 B1 0D B1 85 F8 00 80 18 46 ?? ?? ?? ?? 07 46 2F B3 ?? ?? ?? ?? 43 1C 33 60 04 B3 A3 42 18 D9 22 20 1D E0 00 2C EC D0 17 4B 16 4C 14 49 00 93 00 23 79 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 79 23 CD F8 00 80 CA E7 3A 46 21 46 28 46 ?? ?? ?? ?? 10 B9 00 20 BD E8 FE 89 06 4A 05 49 03 48 8B 23 CD F8 00 80 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_17_0 {
	meta:
		name = "??$common_getenv_s_nolock@_W@@YAHQAIQA_WIQB_W@Z"
		size = 224
		refs = "0020 _CrtDbgReportW 002a _errno 003e _invalid_parameter 005a ??$common_getenv_nolock@_W@@YAPA_WQB_W@Z 0062 wcslen 00a8 wcscpy_s 00c0 _invoke_watson 00c8 ??_C@_1FM@PFPBILLI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 00cc ??_C@_1CO@JMMLKGAM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00d0 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00d4 ??_C@_1KI@FAGLHDFF@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu@ 00d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1DE@LLCEPHKC@?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 06 46 14 46 0D 46 D6 B9 31 4B 32 4C 2E 49 00 93 00 23 74 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 74 23 24 49 25 4A 20 46 ?? ?? ?? ?? 16 20 34 E0 4F F0 00 08 C6 F8 00 80 8D B1 94 B1 0D B1 A5 F8 00 80 18 46 ?? ?? ?? ?? 07 46 2F B3 ?? ?? ?? ?? 43 1C 33 60 04 B3 A3 42 18 D9 22 20 1D E0 00 2C EC D0 17 4B 16 4C 14 49 00 93 00 23 79 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 79 23 CD F8 00 80 CA E7 3A 46 21 46 28 46 ?? ?? ?? ?? 10 B9 00 20 BD E8 FE 89 06 4A 05 49 03 48 8B 23 CD F8 00 80 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_20_0 {
	meta:
		name = "??$tcscpy_s@AAPADABIABQBD@?$__crt_char_traits@D@@SAHAAPADABIABQBD@Z"
		size = 20
		refs = "0010 strcpy_s"
		altNames = "??$tcscpy_s@AAPADAAIABQBD@?$__crt_char_traits@D@@SAHAAPADAAIABQBD@Z ??$tcscpy_s@AAPADABIAAPAD@?$__crt_char_traits@D@@SAHAAPADABI0@Z ??$tcscpy_s@AAPADIABQBD@?$__crt_char_traits@D@@SAHAAPAD$$QAIABQBD@Z ??$tcscpy_s@ABQADABIAAPAD@?$__crt_char_traits@D@@SAHABQADABIAAPAD@Z ??$tcscpy_s@ABQADABIABQAD@?$__crt_char_traits@D@@SAHABQADABI0@Z ??$tcscpy_s@ABQADABIABQBD@?$__crt_char_traits@D@@SAHABQADABIABQBD@Z ??$tcscpy_s@PADABIAAPAD@?$__crt_char_traits@D@@SAH$$QAPADABIAAPAD@Z ??$tcscpy_s@PADABIAAPBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAPBD@Z ??$tcscpy_s@PADABIABQBD@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD@Z ??$tcscpy_s@PADIABQBD@?$__crt_char_traits@D@@SAH$$QAPAD$$QAIABQBD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_15_2 {
	meta:
		name = "??$tcscat_s@AAPADABIPAD@?$__crt_char_traits@D@@SAHAAPADABI$$QAPAD@Z"
		size = 20
		refs = "0010 strcat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_5_0 {
	meta:
		name = "??$tcscat_s@AAPADHABQBD@?$__crt_char_traits@D@@SAHAAPAD$$QAHABQBD@Z"
		size = 20
		refs = "0010 strcat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_17_3 {
	meta:
		name = "??$tcscat_s@AAPA_WABIPA_W@?$__crt_char_traits@_W@@SAHAAPA_WABI$$QAPA_W@Z"
		size = 20
		refs = "0010 wcscat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_7_0 {
	meta:
		name = "??$tcscat_s@AAPA_WHABQB_W@?$__crt_char_traits@_W@@SAHAAPA_W$$QAHABQB_W@Z"
		size = 20
		refs = "0010 wcscat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_18_3 {
	meta:
		name = "??$tcscat_s@PADABIABQBD@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD@Z"
		size = 20
		refs = "0010 strcat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_26_2 {
	meta:
		name = "??$tcscat_s@PADHABQBD@?$__crt_char_traits@D@@SAH$$QAPAD$$QAHABQBD@Z"
		size = 20
		refs = "0010 strcat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_19_0 {
	meta:
		name = "??$tcscat_s@PA_WABIABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W@Z"
		size = 20
		refs = "0010 wcscat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_30_3 {
	meta:
		name = "??$tcscat_s@PA_WHABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAHABQB_W@Z"
		size = 20
		refs = "0010 wcscat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_21_3 {
	meta:
		name = "??$tcscpy_s@AAPA_WAAIABQB_W@?$__crt_char_traits@_W@@SAHAAPA_WAAIABQB_W@Z"
		size = 20
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_19_2 {
	meta:
		name = "??$tcscpy_s@AAPA_WABIAAPA_W@?$__crt_char_traits@_W@@SAHAAPA_WABI0@Z"
		size = 20
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_21_4 {
	meta:
		name = "??$tcscpy_s@AAPA_WABIABQB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIABQB_W@Z"
		size = 20
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_23_0 {
	meta:
		name = "??$tcscpy_s@AAPA_WIABQB_W@?$__crt_char_traits@_W@@SAHAAPA_W$$QAIABQB_W@Z"
		size = 20
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_11_4 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIAAPA_W@?$__crt_char_traits@_W@@SAHABQA_WABIAAPA_W@Z"
		size = 20
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_21_0 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIABQA_W@?$__crt_char_traits@_W@@SAHABQA_WABI0@Z"
		size = 20
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_23_0 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIABQB_W@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W@Z"
		size = 20
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_23_4 {
	meta:
		name = "??$tcscpy_s@PA_WABIAAPA_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAPA_W@Z"
		size = 20
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_24_3 {
	meta:
		name = "??$tcscpy_s@PA_WABIAAPB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAPB_W@Z"
		size = 20
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_32_2 {
	meta:
		name = "??$tcscpy_s@PA_WABIABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W@Z"
		size = 20
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_21_4 {
	meta:
		name = "??$tcscpy_s@PA_WIABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAIABQB_W@Z"
		size = 20
		refs = "0010 wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_28_3 {
	meta:
		name = "??$tcsnicoll@AAPADABQBDABI@?$__crt_char_traits@D@@SAHAAPADABQBDABI@Z"
		size = 20
		refs = "0010 _strnicoll"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_29_3 {
	meta:
		name = "??$tcsnicoll@AAPA_WABQB_WABI@?$__crt_char_traits@_W@@SAHAAPA_WABQB_WABI@Z"
		size = 20
		refs = "0010 _wcsnicoll"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_26_2 {
	meta:
		name = "??$tcsnicoll@ABQBDAAPADABI@?$__crt_char_traits@D@@SAHABQBDAAPADABI@Z"
		size = 20
		refs = "0010 _strnicoll"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_27_4 {
	meta:
		name = "??$tcsnicoll@ABQB_WAAPA_WABI@?$__crt_char_traits@_W@@SAHABQB_WAAPA_WABI@Z"
		size = 20
		refs = "0010 _wcsnicoll"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_128_0 {
	meta:
		name = "??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z"
		size = 20
		refs = "0010 strtol"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_129_2 {
	meta:
		name = "??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z"
		size = 20
		refs = "0010 wcstol"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_130_4 {
	meta:
		name = "??$tcstol@PBDPAPADH@?$__crt_char_traits@D@@SAJ$$QAPBD$$QAPAPAD$$QAH@Z"
		size = 20
		refs = "0010 strtol"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_131_0 {
	meta:
		name = "??$tcstol@PB_WPAPA_WH@?$__crt_char_traits@_W@@SAJ$$QAPB_W$$QAPAPA_W$$QAH@Z"
		size = 20
		refs = "0010 wcstol"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_64_4 {
	meta:
		name = "??$tcstoull@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SA_KAAPB_W$$QAPAPA_W$$QAH@Z"
		size = 20
		refs = "0010 wcstoull"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_65_4 {
	meta:
		name = "??$tcstoull@PBDPAPADH@?$__crt_char_traits@D@@SA_K$$QAPBD$$QAPAPAD$$QAH@Z"
		size = 20
		refs = "0010 strtoull"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_20_3 {
	meta:
		name = "??$tfullpath@ABQADABQBDABI@?$__crt_char_traits@D@@SAPADABQADABQBDABI@Z"
		size = 20
		refs = "0010 _fullpath"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_21_3 {
	meta:
		name = "??$tfullpath@ABQA_WABQB_WABI@?$__crt_char_traits@_W@@SAPA_WABQA_WABQB_WABI@Z"
		size = 20
		refs = "0010 _wfullpath"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_22_3 {
	meta:
		name = "??$tgetpath@AAPADAAPADH@?$__crt_char_traits@D@@SAPADAAPAD0$$QAH@Z"
		size = 20
		refs = "0010 __acrt_getpath"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_22_4 {
	meta:
		name = "??$tgetpath@AAPADAAPADI@?$__crt_char_traits@D@@SAPADAAPAD0$$QAI@Z"
		size = 20
		refs = "0010 __acrt_getpath"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_23_2 {
	meta:
		name = "??$tgetpath@AAPA_WAAPA_WH@?$__crt_char_traits@_W@@SAPA_WAAPA_W0$$QAH@Z"
		size = 20
		refs = "0010 __acrt_wgetpath"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_23_3 {
	meta:
		name = "??$tgetpath@AAPA_WAAPA_WI@?$__crt_char_traits@_W@@SAPA_WAAPA_W0$$QAI@Z"
		size = 20
		refs = "0010 __acrt_wgetpath"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_45_4 {
	meta:
		name = "??$tgetpath@AAPBDPADH@?$__crt_char_traits@D@@SAPADAAPBD$$QAPAD$$QAH@Z"
		size = 20
		refs = "0010 __acrt_getpath"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_46_0 {
	meta:
		name = "??$tgetpath@AAPB_WPA_WH@?$__crt_char_traits@_W@@SAPA_WAAPB_W$$QAPA_W$$QAH@Z"
		size = 20
		refs = "0010 __acrt_wgetpath"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_24_2 {
	meta:
		name = "??$tgetpath@ABQADAAPADI@?$__crt_char_traits@D@@SAPADABQADAAPAD$$QAI@Z"
		size = 20
		refs = "0010 __acrt_getpath"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_25_4 {
	meta:
		name = "??$tgetpath@ABQA_WAAPA_WI@?$__crt_char_traits@_W@@SAPA_WABQA_WAAPA_W$$QAI@Z"
		size = 20
		refs = "0010 __acrt_wgetpath"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_30_0 {
	meta:
		name = "??$tcsnlen@ABQBDH@?$__crt_char_traits@D@@SAIABQBD$$QAH@Z"
		size = 18
		refs = "000e strnlen"
		altNames = "??$tcsnlen@PADH@?$__crt_char_traits@D@@SAI$$QAPAD$$QAH@Z ??$tcsnlen@PBDH@?$__crt_char_traits@D@@SAI$$QAPBD$$QAH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_20_3 {
	meta:
		name = "??$set_variable_in_environment_nolock@PADH@?$__crt_char_traits@D@@SAH$$QAPAD$$QAH@Z"
		size = 18
		refs = "000e __dcrt_set_variable_in_narrow_environment_nolock"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_13_2 {
	meta:
		name = "??$set_variable_in_environment_nolock@PA_WH@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAH@Z"
		size = 18
		refs = "000e __dcrt_set_variable_in_wide_environment_nolock"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_4_4 {
	meta:
		name = "??$taccess_s@AAPADH@?$__crt_char_traits@D@@SAHAAPAD$$QAH@Z"
		size = 18
		refs = "000e _access_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_5_0 {
	meta:
		name = "??$taccess_s@AAPA_WH@?$__crt_char_traits@_W@@SAHAAPA_W$$QAH@Z"
		size = 18
		refs = "000e _waccess_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_14_4 {
	meta:
		name = "??$taccess_s@AAPBDH@?$__crt_char_traits@D@@SAHAAPBD$$QAH@Z"
		size = 18
		refs = "000e _access_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_15_3 {
	meta:
		name = "??$taccess_s@AAPB_WH@?$__crt_char_traits@_W@@SAHAAPB_W$$QAH@Z"
		size = 18
		refs = "000e _waccess_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_6_4 {
	meta:
		name = "??$taccess_s@ABQBDH@?$__crt_char_traits@D@@SAHABQBD$$QAH@Z"
		size = 18
		refs = "000e _access_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_20_4 {
	meta:
		name = "??$taccess_s@ABQB_WH@?$__crt_char_traits@_W@@SAHABQB_W$$QAH@Z"
		size = 18
		refs = "000e _waccess_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_364_4_2 {
	meta:
		name = "??$taccess_s@PADH@?$__crt_char_traits@D@@SAH$$QAPAD$$QAH@Z"
		size = 18
		refs = "000e _access_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_17_2 {
	meta:
		name = "??$taccess_s@PA_WH@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAH@Z"
		size = 18
		refs = "000e _waccess_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_14_3 {
	meta:
		name = "??$tcscat_s@AAPADABIAAY01$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY01$$CBD@Z"
		size = 18
		refs = "000e strcat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_4_3 {
	meta:
		name = "??$tcscat_s@AAPADHAAY01$$CBD@?$__crt_char_traits@D@@SAHAAPAD$$QAHAAY01$$CBD@Z"
		size = 18
		refs = "000e strcat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_16_3 {
	meta:
		name = "??$tcscat_s@AAPA_WABIAAY01$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY01$$CB_W@Z"
		size = 18
		refs = "000e wcscat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_6_3 {
	meta:
		name = "??$tcscat_s@AAPA_WHAAY01$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_W$$QAHAAY01$$CB_W@Z"
		size = 18
		refs = "000e wcscat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_23_4 {
	meta:
		name = "??$tcscat_s@PADABIAAY04$$CBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAY04$$CBD@Z"
		size = 18
		refs = "000e strcat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_25_3 {
	meta:
		name = "??$tcscat_s@PADHAAY01$$CBD@?$__crt_char_traits@D@@SAH$$QAPAD$$QAHAAY01$$CBD@Z"
		size = 18
		refs = "000e strcat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_27_4 {
	meta:
		name = "??$tcscat_s@PA_WABIAAY04$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAY04$$CB_W@Z"
		size = 18
		refs = "000e wcscat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_29_4 {
	meta:
		name = "??$tcscat_s@PA_WHAAY01$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAHAAY01$$CB_W@Z"
		size = 18
		refs = "000e wcscat_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_19_3 {
	meta:
		name = "??$tcscpy_s@AAPADABIAAY0L@$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY0L@$$CBD@Z"
		size = 18
		refs = "000e strcpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_20_2 {
	meta:
		name = "??$tcscpy_s@AAPADHAAY04$$CBD@?$__crt_char_traits@D@@SAHAAPAD$$QAHAAY04$$CBD@Z"
		size = 18
		refs = "000e strcpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_22_2 {
	meta:
		name = "??$tcscpy_s@AAPA_WABIAAY0L@$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY0L@$$CB_W@Z"
		size = 18
		refs = "000e wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_21_3 {
	meta:
		name = "??$tcscpy_s@AAPA_WHAAY04$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_W$$QAHAAY04$$CB_W@Z"
		size = 18
		refs = "000e wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_23_4 {
	meta:
		name = "??$tcscpy_s@PADABIAAY02$$CBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAY02$$CBD@Z"
		size = 18
		refs = "000e strcpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_25_0 {
	meta:
		name = "??$tcscpy_s@PA_WABIAAY02$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAY02$$CB_W@Z"
		size = 18
		refs = "000e wcscpy_s"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_25_4 {
	meta:
		name = "??$tcsnlen@ABQB_WH@?$__crt_char_traits@_W@@SAIABQB_W$$QAH@Z"
		size = 18
		refs = "000e wcsnlen"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_33_0 {
	meta:
		name = "??$tcsnlen@PA_WH@?$__crt_char_traits@_W@@SAI$$QAPA_W$$QAH@Z"
		size = 18
		refs = "000e wcsnlen"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_27_2 {
	meta:
		name = "??$tcsnlen@PB_WH@?$__crt_char_traits@_W@@SAI$$QAPB_W$$QAH@Z"
		size = 18
		refs = "000e wcsnlen"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_43_3 {
	meta:
		name = "??$tfdopen@AAHABQBD@?$__crt_char_traits@D@@SAPAU_iobuf@@AAHABQBD@Z"
		size = 18
		refs = "000e _fdopen"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_44_2 {
	meta:
		name = "??$tfdopen@AAHABQB_W@?$__crt_char_traits@_W@@SAPAU_iobuf@@AAHABQB_W@Z"
		size = 18
		refs = "000e _wfdopen"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_34_0 {
	meta:
		name = "_dupenv_s"
		size = 24
		refs = "0010 ??$common_dupenv_s@D@@YAHQAPADQAIQBDH2H@Z"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 00 23 01 93 00 93 01 23 ?? ?? ?? ?? BD E8 0C 88 }
	condition:
		$1
}

rule file_689_23_0 {
	meta:
		name = "_getdcwd"
		size = 24
		refs = "0010 ??$common_getdcwd@D@@YAPADHQADHHQBDH@Z"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 00 23 01 93 00 93 01 23 ?? ?? ?? ?? BD E8 0C 88 }
	condition:
		$1
}

rule file_43_37_0 {
	meta:
		name = "_wdupenv_s"
		size = 24
		refs = "0010 ??$common_dupenv_s@_W@@YAHQAPA_WQAIQB_WHQBDH@Z"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 00 23 01 93 00 93 01 23 ?? ?? ?? ?? BD E8 0C 88 }
	condition:
		$1
}

rule file_689_27_0 {
	meta:
		name = "_wgetdcwd"
		size = 24
		refs = "0010 ??$common_getdcwd@_W@@YAPA_WHQA_WHHQBDH@Z"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 00 23 01 93 00 93 01 23 ?? ?? ?? ?? BD E8 0C 88 }
	condition:
		$1
}

rule file_43_35_0 {
	meta:
		name = "_dupenv_s_dbg"
		size = 18
		refs = "000e ??$common_dupenv_s@D@@YAHQAPADQAIQBDH2H@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_24_0 {
	meta:
		name = "_getdcwd_dbg"
		size = 18
		refs = "000e ??$common_getdcwd@D@@YAPADHQADHHQBDH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_38_0 {
	meta:
		name = "_wdupenv_s_dbg"
		size = 18
		refs = "000e ??$common_dupenv_s@_W@@YAHQAPA_WQAIQB_WHQBDH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_28_0 {
	meta:
		name = "_wgetdcwd_dbg"
		size = 18
		refs = "000e ??$common_getdcwd@_W@@YAPA_WHQA_WHHQBDH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 B0 BD E8 10 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_43_36_0 {
	meta:
		name = "_invoke_watson_if_error"
		size = 38
		refs = "0020 _invoke_watson"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 1C 46 15 46 0E 46 08 B9 BD E8 7E 88 09 98 08 9B 22 46 00 90 30 46 29 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_44_0_0 {
	meta:
		name = "??$common_tcscpy_s@D@@YAHQADIQBD@Z"
		size = 668
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0094 _CrtGetDebugFillThreshold 00bc memset 0280 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0284 ??_C@_1CA@FHIAGDFH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0288 ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 028c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0290 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0294 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0298 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 00 2B 05 D0 1F 9B 00 2B 02 D9 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 9B 4B 01 93 97 4B 00 93 00 23 43 22 94 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 43 23 89 4A 88 49 8C 48 ?? ?? ?? ?? 16 23 04 93 01 E1 20 9B 00 2B 54 D1 1E 9A 00 23 13 70 1F 9B B3 F1 FF 3F 1D D0 1F 9A 6F F0 00 43 9A 42 18 D0 1F 9B 01 2B 15 D9 ?? ?? ?? ?? 14 90 14 9B 08 93 1F 9B 5A 1E 08 9B 93 42 02 D2 08 9B 09 93 02 E0 1F 9B 5B 1E 09 93 09 9A FE 21 1E 9B 58 1C ?? ?? ?? ?? 20 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 6E 4B 01 93 6B 4B 00 93 00 23 44 22 68 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 44 23 5D 4A 5C 49 5F 48 ?? ?? ?? ?? 16 23 04 93 A9 E0 1E 9B 03 93 20 9B 05 93 1F 9B 02 93 05 9B 93 F9 00 20 03 9B 1A 70 03 9B 93 F9 00 20 03 9B 5B 1C 03 93 05 9B 5B 1C 05 93 00 2A 06 D0 02 9B 5B 1E 02 93 02 9B 00 2B 00 D9 E8 E7 02 9B 00 2B 55 D1 1E 9A 00 23 13 70 1F 9B B3 F1 FF 3F 1D D0 1F 9A 6F F0 00 43 9A 42 18 D0 1F 9B 01 2B 15 D9 ?? ?? ?? ?? 17 90 17 9B 0C 93 1F 9B 5A 1E 0C 9B 93 42 02 D2 0C 9B 0D 93 02 E0 1F 9B 5B 1E 0D 93 0D 9A FE 21 1E 9B 58 1C ?? ?? ?? ?? 39 4B 00 2B 03 D0 02 E0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 2E 4B 01 93 30 4B 00 93 00 23 51 22 2D 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 10 D1 ?? ?? ?? ?? 19 90 19 9A 22 23 13 60 00 23 00 93 51 23 22 4A 21 49 1F 48 ?? ?? ?? ?? 22 23 04 93 33 E0 1F 9B B3 F1 FF 3F 2D D0 1F 9A 6F F0 00 43 9A 42 28 D0 1F 9A 02 9B D3 1A 5A 1C 1F 9B 9A 42 21 D2 ?? ?? ?? ?? 1A 90 1A 9B 10 93 1F 9A 02 9B D3 1A 5A 1C 1F 9B 9A 1A 10 9B 93 42 02 D2 10 9B 11 93 06 E0 1F 9A 02 9B D3 1A 5A 1C 1F 9B 9B 1A 11 93 11 9A FE 21 1F 98 02 9B C3 1A 58 1C 1E 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 1C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_44_1_0 {
	meta:
		name = "strcpy_s"
		size = 38
		refs = "0010 ??$common_tcscpy_s@D@@YAHQADIQBD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_410_8_2 {
	meta:
		name = "__acrt_show_narrow_message_box"
		size = 38
		refs = "0010 ??$common_show_message_box@D@@YAHQBD0I@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_410_9_2 {
	meta:
		name = "__acrt_show_wide_message_box"
		size = 38
		refs = "0010 ??$common_show_message_box@_W@@YAHQB_W0I@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_35_4 {
	meta:
		name = "__wcserror_s"
		size = 38
		refs = "0010 ??$common_strerror_s@_W@@YAHQA_WIQB_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_153_4_3 {
	meta:
		name = "_aligned_msize"
		size = 38
		refs = "0010 _aligned_msize_dbg"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_543_116_3 {
	meta:
		name = "_atodbl_l"
		size = 38
		refs = "0010 ??$common_atodbl_l@ND@@YAHQANQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_543_119_2 {
	meta:
		name = "_atoflt_l"
		size = 38
		refs = "0010 ??$common_atodbl_l@MD@@YAHQAMQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_561_15_0 {
	meta:
		name = "_ctime32_s"
		size = 38
		refs = "0010 ??$common_ctime_s@JD@@YAHQADIQBJ@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_561_17_0 {
	meta:
		name = "_ctime64_s"
		size = 38
		refs = "0010 ??$common_ctime_s@_JD@@YAHQADIQB_J@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_383_11_0 {
	meta:
		name = "_fsopen"
		size = 38
		refs = "0010 ??$common_fsopen@D@@YAPAU_iobuf@@QBD0H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_197_8_2 {
	meta:
		name = "_lseek"
		size = 38
		refs = "0010 ??$common_lseek@J@@YAJHJH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_197_9_2 {
	meta:
		name = "_lseek_nolock"
		size = 38
		refs = "0010 ??$common_lseek_nolock@J@@YAJHJH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_39_0 {
	meta:
		name = "_strerror_s"
		size = 38
		refs = "0010 ??$common_strerror_s@D@@YAHQADIQBD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_593_23_2 {
	meta:
		name = "_wasctime_s"
		size = 38
		refs = "0010 ??$common_asctime_s@_W@@YAHQA_WIQBUtm@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_161_24_2 {
	meta:
		name = "_wcserror_s"
		size = 38
		refs = "0010 ??$common_strerror_s@_W@@YAHQA_WIH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_561_19_3 {
	meta:
		name = "_wctime32_s"
		size = 38
		refs = "0010 ??$common_ctime_s@J_W@@YAHQA_WIQBJ@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_561_21_0 {
	meta:
		name = "_wctime64_s"
		size = 38
		refs = "0010 ??$common_ctime_s@_J_W@@YAHQA_WIQB_J@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_383_13_0 {
	meta:
		name = "_wfopen_s"
		size = 38
		refs = "0010 ??$common_fopen_s@_W@@YAHQAPAU_iobuf@@QB_W1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_383_14_4 {
	meta:
		name = "_wfsopen"
		size = 38
		refs = "0010 ??$common_fsopen@_W@@YAPAU_iobuf@@QB_W0H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_593_25_2 {
	meta:
		name = "asctime_s"
		size = 38
		refs = "0010 ??$common_asctime_s@D@@YAHQADIQBUtm@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_383_16_2 {
	meta:
		name = "fopen_s"
		size = 38
		refs = "0010 ??$common_fopen_s@D@@YAHQAPAU_iobuf@@QBD1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_147_1_3 {
	meta:
		name = "strcat_s"
		size = 38
		refs = "0010 ??$common_tcscat_s@D@@YAHQADIQBD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_161_26_2 {
	meta:
		name = "strerror_s"
		size = 38
		refs = "0010 ??$common_strerror_s@D@@YAHQADIH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_505_1_3 {
	meta:
		name = "wcscat_s"
		size = 38
		refs = "0010 ??$common_tcscat_s@_W@@YAHQA_WIQB_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_558_1_3 {
	meta:
		name = "wcscpy_s"
		size = 38
		refs = "0010 ??$common_tcscpy_s@_W@@YAHQA_WIQB_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_45_1_0 {
	meta:
		name = "??$common_freopen@D@@YAHQAPAU_iobuf@@QBD1V__crt_stdio_stream@@H@Z"
		size = 636
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 00f4 ?valid@__crt_stdio_stream@@QBA_NXZ 017e ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0186 _lock_file 018e ?is_in_use@__crt_stdio_stream@@QBA_NXZ 01a6 _fclose_nolock 01ae ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 01e8 ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 01f4 ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 0216 ??$open_file@ABQBDABQBDABHPAU_iobuf@@@?$__crt_char_traits@D@@SAPAU_iobuf@@ABQBD0ABH$$QAPAU1@@Z 024e _unlock_file 0264 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0268 ??_C@_1BO@DFBEFOCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAr?$AAe?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 026c ??_C@_1GC@NJJKIOIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0270 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0274 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0278 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 9B B0 6F 46 82 B0 BB 6F 00 2B 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 93 4B 01 93 90 4B 00 93 00 23 1F 22 8D 49 02 20 ?? ?? ?? ?? B8 62 BB 6A 01 2B 00 D1 FE DE 3B 69 00 2B 10 D1 ?? ?? ?? ?? F8 62 FA 6A 16 23 13 60 00 23 00 93 1F 23 82 4A 81 49 84 48 ?? ?? ?? ?? 16 23 7B 60 F2 E0 BA 6F 00 23 13 60 FB 6F 00 2B 08 D1 ?? ?? ?? ?? 38 63 3A 6B 09 23 13 60 09 23 7B 60 E3 E0 D7 F8 80 30 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 72 4B 01 93 70 4B 00 93 00 23 2D 22 6D 49 02 20 ?? ?? ?? ?? 78 63 7B 6B 01 2B 00 D1 FE DE BB 69 00 2B 10 D1 ?? ?? ?? ?? B8 63 BA 6B 16 23 13 60 00 23 00 93 2D 23 62 4A 61 49 63 48 ?? ?? ?? ?? 16 23 7B 60 B2 E0 17 F1 84 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 01 23 FB 61 01 E0 00 23 FB 61 FB 69 3B 62 3B 6A 00 2B 0E D1 53 4B 01 93 55 4B 00 93 00 23 2E 22 52 49 02 20 ?? ?? ?? ?? F8 63 FB 6B 01 2B 00 D1 FE DE 3B 6A 00 2B 10 D1 ?? ?? ?? ?? 38 64 3A 6C 16 23 13 60 00 23 00 93 2E 23 48 4A 46 49 45 48 ?? ?? ?? ?? 16 23 7B 60 7D E0 FB 6F 93 F9 00 30 00 2B 08 D1 ?? ?? ?? ?? 78 64 7A 6C 16 23 13 60 16 23 7B 60 6F E0 00 23 7B 62 17 F1 84 00 ?? ?? ?? ?? B8 64 B8 6C ?? ?? ?? ?? 17 F1 84 00 ?? ?? ?? ?? 78 70 7B 78 00 2B 07 D0 17 F1 84 00 ?? ?? ?? ?? F8 64 F8 6C ?? ?? ?? ?? 17 F1 84 00 ?? ?? ?? ?? 38 65 3A 6D 00 23 13 60 17 F1 84 00 ?? ?? ?? ?? 78 65 7B 6D 1A 1D 00 23 13 60 17 F1 84 00 ?? ?? ?? ?? B8 65 BB 6D 03 F1 08 02 00 23 13 60 6F F0 00 01 17 F1 84 00 ?? ?? ?? ?? 4F F4 00 51 17 F1 84 00 ?? ?? ?? ?? 17 F1 84 00 ?? ?? ?? ?? F8 65 FB 6D 3B 66 17 F1 60 03 17 F1 88 02 17 F1 80 01 17 F1 7C 00 ?? ?? ?? ?? 78 66 7A 6E BB 6F 1A 60 BB 6F 1B 68 00 2B 0B D1 4F F4 00 51 17 F1 84 00 ?? ?? ?? ?? ?? ?? ?? ?? B8 66 BB 6E 1B 68 7B 62 17 F1 84 00 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? 7B 6A 7B 60 78 68 1D B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_45_2_0 {
	meta:
		name = "?fin$0@?0???$common_freopen@D@@YAHQAPAU_iobuf@@QBD1V__crt_stdio_stream@@H@Z@4HA"
		size = 26
		refs = "0008 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0010 _unlock_file"
		altNames = "?fin$0@?0???$common_freopen@_W@@YAHQAPAU_iobuf@@QB_W1V__crt_stdio_stream@@H@Z@4HA"
	strings:
		$1 = { 10 B5 82 B0 17 F1 84 00 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_45_3_0 {
	meta:
		name = "??$common_freopen@_W@@YAHQAPAU_iobuf@@QB_W1V__crt_stdio_stream@@H@Z"
		size = 632
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 00f4 ?valid@__crt_stdio_stream@@QBA_NXZ 017c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0184 _lock_file 018c ?is_in_use@__crt_stdio_stream@@QBA_NXZ 01a4 _fclose_nolock 01ac ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 01e6 ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 01f2 ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 0214 ??$open_file@ABQB_WABQB_WABHPAU_iobuf@@@?$__crt_char_traits@_W@@SAPAU_iobuf@@ABQB_W0ABH$$QAPAU1@@Z 024c _unlock_file 0260 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0264 ??_C@_1BO@DFBEFOCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAr?$AAe?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0268 ??_C@_1GC@NJJKIOIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 026c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0270 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0274 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 9B B0 6F 46 82 B0 BB 6F 00 2B 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 92 4B 01 93 8F 4B 00 93 00 23 1F 22 8C 49 02 20 ?? ?? ?? ?? B8 62 BB 6A 01 2B 00 D1 FE DE 3B 69 00 2B 10 D1 ?? ?? ?? ?? F8 62 FA 6A 16 23 13 60 00 23 00 93 1F 23 81 4A 80 49 83 48 ?? ?? ?? ?? 16 23 7B 60 F1 E0 BA 6F 00 23 13 60 FB 6F 00 2B 08 D1 ?? ?? ?? ?? 38 63 3A 6B 09 23 13 60 09 23 7B 60 E2 E0 D7 F8 80 30 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 71 4B 01 93 6F 4B 00 93 00 23 2D 22 6C 49 02 20 ?? ?? ?? ?? 78 63 7B 6B 01 2B 00 D1 FE DE BB 69 00 2B 10 D1 ?? ?? ?? ?? B8 63 BA 6B 16 23 13 60 00 23 00 93 2D 23 61 4A 60 49 62 48 ?? ?? ?? ?? 16 23 7B 60 B1 E0 17 F1 84 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 01 23 FB 61 01 E0 00 23 FB 61 FB 69 3B 62 3B 6A 00 2B 0E D1 52 4B 01 93 54 4B 00 93 00 23 2E 22 51 49 02 20 ?? ?? ?? ?? F8 63 FB 6B 01 2B 00 D1 FE DE 3B 6A 00 2B 10 D1 ?? ?? ?? ?? 38 64 3A 6C 16 23 13 60 00 23 00 93 2E 23 47 4A 45 49 44 48 ?? ?? ?? ?? 16 23 7B 60 7C E0 FB 6F 1B 88 00 2B 08 D1 ?? ?? ?? ?? 78 64 7A 6C 16 23 13 60 16 23 7B 60 6F E0 00 23 7B 62 17 F1 84 00 ?? ?? ?? ?? B8 64 B8 6C ?? ?? ?? ?? 17 F1 84 00 ?? ?? ?? ?? 78 70 7B 78 00 2B 07 D0 17 F1 84 00 ?? ?? ?? ?? F8 64 F8 6C ?? ?? ?? ?? 17 F1 84 00 ?? ?? ?? ?? 38 65 3A 6D 00 23 13 60 17 F1 84 00 ?? ?? ?? ?? 78 65 7B 6D 1A 1D 00 23 13 60 17 F1 84 00 ?? ?? ?? ?? B8 65 BB 6D 03 F1 08 02 00 23 13 60 6F F0 00 01 17 F1 84 00 ?? ?? ?? ?? 4F F4 00 51 17 F1 84 00 ?? ?? ?? ?? 17 F1 84 00 ?? ?? ?? ?? F8 65 FB 6D 3B 66 17 F1 60 03 17 F1 88 02 17 F1 80 01 17 F1 7C 00 ?? ?? ?? ?? 78 66 7A 6E BB 6F 1A 60 BB 6F 1B 68 00 2B 0B D1 4F F4 00 51 17 F1 84 00 ?? ?? ?? ?? ?? ?? ?? ?? B8 66 BB 6E 1B 68 7B 62 17 F1 84 00 ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? 7B 6A 7B 60 78 68 1D B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_45_5_0 {
	meta:
		name = "??$open_file@ABQBDABQBDABHPAU_iobuf@@@?$__crt_char_traits@D@@SAPAU_iobuf@@ABQBD0ABH$$QAPAU1@@Z"
		size = 48
		refs = "001a _openfile"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_15_2 {
	meta:
		name = "??$itot_s@ABIPADIH@?$__crt_char_traits@D@@SAHABI$$QAPAD$$QAI$$QAH@Z"
		size = 48
		refs = "001a _itoa_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_16_2 {
	meta:
		name = "??$itot_s@ABIPA_WIH@?$__crt_char_traits@_W@@SAHABI$$QAPA_W$$QAI$$QAH@Z"
		size = 48
		refs = "001a _itow_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_410_2_3 {
	meta:
		name = "??$message_box@$$TABQBDABQBDK@?$__crt_char_traits@D@@SAH$$QA$$TABQBD1$$QAK@Z"
		size = 48
		refs = "001a __acrt_MessageBoxA"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_410_3_2 {
	meta:
		name = "??$message_box@$$TABQB_WABQB_WK@?$__crt_char_traits@_W@@SAH$$QA$$TABQB_W1$$QAK@Z"
		size = 48
		refs = "001a __acrt_MessageBoxW"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_410_4_2 {
	meta:
		name = "??$message_box@PAUHWND__@@ABQBDABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAUHWND__@@ABQBD1ABI@Z"
		size = 48
		refs = "001a __acrt_MessageBoxA"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_410_5_2 {
	meta:
		name = "??$message_box@PAUHWND__@@ABQB_WABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPAUHWND__@@ABQB_W1ABI@Z"
		size = 48
		refs = "001a __acrt_MessageBoxW"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_383_7_0 {
	meta:
		name = "??$open_file@ABQB_WABQB_WABHPAU_iobuf@@@?$__crt_char_traits@_W@@SAPAU_iobuf@@ABQB_W0ABH$$QAPAU1@@Z"
		size = 48
		refs = "001a _wopenfile"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_20_3 {
	meta:
		name = "??$tcsncat_s@AAPADABIABQBDI@?$__crt_char_traits@D@@SAHAAPADABIABQBD$$QAI@Z"
		size = 48
		refs = "001a strncat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_21_4 {
	meta:
		name = "??$tcsncat_s@AAPA_WABIABQB_WI@?$__crt_char_traits@_W@@SAHAAPA_WABIABQB_W$$QAI@Z"
		size = 48
		refs = "001a wcsncat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_35_0 {
	meta:
		name = "??$tcsncat_s@ABQADABIAAPBDI@?$__crt_char_traits@D@@SAHABQADABIAAPBD$$QAI@Z"
		size = 48
		refs = "001a strncat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_36_0 {
	meta:
		name = "??$tcsncat_s@ABQADABIABQBDABI@?$__crt_char_traits@D@@SAHABQADABIABQBD1@Z"
		size = 48
		refs = "001a strncat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_37_4 {
	meta:
		name = "??$tcsncat_s@ABQADABIPBDI@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD$$QAI@Z"
		size = 48
		refs = "001a strncat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_38_0 {
	meta:
		name = "??$tcsncat_s@ABQA_WABIAAPB_WI@?$__crt_char_traits@_W@@SAHABQA_WABIAAPB_W$$QAI@Z"
		size = 48
		refs = "001a wcsncat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_39_4 {
	meta:
		name = "??$tcsncat_s@ABQA_WABIABQB_WABI@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W1@Z"
		size = 48
		refs = "001a wcsncat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_40_2 {
	meta:
		name = "??$tcsncat_s@ABQA_WABIPB_WI@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W$$QAI@Z"
		size = 48
		refs = "001a wcsncat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_619_21_3 {
	meta:
		name = "??$tcsncpy_s@AAPADIAAPADABI@?$__crt_char_traits@D@@SAHAAPAD$$QAI0ABI@Z"
		size = 48
		refs = "001a strncpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_393_12_0 {
	meta:
		name = "??$tcsncpy_s@AAPADIAAPBDABI@?$__crt_char_traits@D@@SAHAAPAD$$QAIAAPBDABI@Z"
		size = 48
		refs = "001a strncpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_393_13_0 {
	meta:
		name = "??$tcsncpy_s@AAPADIAAPBDH@?$__crt_char_traits@D@@SAHAAPAD$$QAIAAPBD$$QAH@Z"
		size = 48
		refs = "001a strncpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_619_22_0 {
	meta:
		name = "??$tcsncpy_s@AAPA_WIAAPA_WABI@?$__crt_char_traits@_W@@SAHAAPA_W$$QAI0ABI@Z"
		size = 48
		refs = "001a wcsncpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_393_14_4 {
	meta:
		name = "??$tcsncpy_s@AAPA_WIAAPB_WABI@?$__crt_char_traits@_W@@SAHAAPA_W$$QAIAAPB_WABI@Z"
		size = 48
		refs = "001a wcsncpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_393_15_0 {
	meta:
		name = "??$tcsncpy_s@AAPA_WIAAPB_WH@?$__crt_char_traits@_W@@SAHAAPA_W$$QAIAAPB_W$$QAH@Z"
		size = 48
		refs = "001a wcsncpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_619_23_3 {
	meta:
		name = "??$tcsncpy_s@PADABIABQBDABI@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD1@Z"
		size = 48
		refs = "001a strncpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_619_24_3 {
	meta:
		name = "??$tcsncpy_s@PADIABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAD$$QAIABQBDABI@Z"
		size = 48
		refs = "001a strncpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_619_25_3 {
	meta:
		name = "??$tcsncpy_s@PA_WABIABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W1@Z"
		size = 48
		refs = "001a wcsncpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_619_26_2 {
	meta:
		name = "??$tcsncpy_s@PA_WIABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAIABQB_WABI@Z"
		size = 48
		refs = "001a wcsncpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_388_36_3 {
	meta:
		name = "??$ultot_s@AAIABQADABIH@?$__crt_char_traits@D@@SAHAAIABQADABI$$QAH@Z"
		size = 48
		refs = "001a _ultoa_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_388_37_0 {
	meta:
		name = "??$ultot_s@AAIABQA_WABIH@?$__crt_char_traits@_W@@SAHAAIABQA_WABI$$QAH@Z"
		size = 48
		refs = "001a _ultow_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1B 68 06 9A 12 68 05 99 09 68 04 98 00 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_45_16_0 {
	meta:
		name = "_wfreopen"
		size = 62
		refs = "0012 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 002a ??$common_freopen@_W@@YAHQAPAU_iobuf@@QB_W1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 00 23 02 93 0C 99 06 A8 ?? ?? ?? ?? 03 90 40 23 00 93 03 9B 04 93 04 9B 1B 68 0B 9A 0A 99 02 A8 ?? ?? ?? ?? 02 9B 05 93 05 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_45_18_0 {
	meta:
		name = "freopen"
		size = 62
		refs = "0012 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 002a ??$common_freopen@D@@YAHQAPAU_iobuf@@QBD1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 00 23 02 93 0C 99 06 A8 ?? ?? ?? ?? 03 90 40 23 00 93 03 9B 04 93 04 9B 1B 68 0B 9A 0A 99 02 A8 ?? ?? ?? ?? 02 9B 05 93 05 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_45_17_0 {
	meta:
		name = "_wfreopen_s"
		size = 60
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0026 ??$common_freopen@_W@@YAHQAPAU_iobuf@@QB_W1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0D 99 06 A8 ?? ?? ?? ?? 02 90 80 23 00 93 02 9B 03 93 03 9B 1B 68 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_45_19_0 {
	meta:
		name = "freopen_s"
		size = 60
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0026 ??$common_freopen@D@@YAHQAPAU_iobuf@@QBD1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0D 99 06 A8 ?? ?? ?? ?? 02 90 80 23 00 93 02 9B 03 93 03 9B 1B 68 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_46_0_0 {
	meta:
		name = "??$common_tcsncpy_s@_W@@YAHQA_WIQB_WI@Z"
		size = 916
		refs = "0052 _CrtDbgReportW 0066 _errno 007e _invalid_parameter 00ac _CrtGetDebugFillThreshold 00da memset 0378 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 037c ??_C@_1CC@CHNFGJIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0380 ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0384 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0388 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 038c ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0390 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A0 B0 25 9B 00 2B 08 D1 22 9B 00 2B 05 D1 23 9B 00 2B 02 D1 00 23 04 93 A4 E1 22 9B 00 2B 05 D0 23 9B 00 2B 02 D9 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 D3 4B 01 93 CF 4B 00 93 00 23 B3 22 CC 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 B3 23 C1 4A C0 49 C4 48 ?? ?? ?? ?? 16 23 04 93 71 E1 25 9B 00 2B 2A D1 22 9A 00 23 13 80 23 9B B3 F1 FF 3F 20 D0 23 9A 6F F0 00 43 9A 42 1B D0 23 9B 01 2B 18 D9 ?? ?? ?? ?? 17 90 17 9B 09 93 23 9B 5A 1E 09 9B 93 42 02 D2 09 9B 0A 93 02 E0 23 9B 5B 1E 0A 93 0A 9A 02 23 02 FB 03 F2 FE 21 22 9B 98 1C ?? ?? ?? ?? 00 23 04 93 43 E1 24 9B 00 2B 57 D1 22 9A 00 23 13 80 23 9B B3 F1 FF 3F 20 D0 23 9A 6F F0 00 43 9A 42 1B D0 23 9B 01 2B 18 D9 ?? ?? ?? ?? 18 90 18 9B 0B 93 23 9B 5A 1E 0B 9B 93 42 02 D2 0B 9B 0C 93 02 E0 23 9B 5B 1E 0C 93 0C 9A 02 23 02 FB 03 F2 FE 21 22 9B 98 1C ?? ?? ?? ?? 24 9B 00 2B 02 D0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0E D1 8D 4B 01 93 8A 4B 00 93 00 23 BA 22 87 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 10 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 BA 23 7D 4A 7B 49 7F 48 ?? ?? ?? ?? 16 23 04 93 E8 E0 22 9B 03 93 24 9B 05 93 23 9B 02 93 25 9B 06 93 25 9B B3 F1 FF 3F 15 D1 05 9B 1A 88 03 9B 1A 80 03 9B 1A 88 03 9B 9B 1C 03 93 05 9B 9B 1C 05 93 00 2A 06 D0 02 9B 5B 1E 02 93 02 9B 00 2B 00 D9 EA E7 20 E0 05 9B 1A 88 03 9B 1A 80 03 9B 1A 88 03 9B 9B 1C 03 93 05 9B 9B 1C 05 93 00 2A 0C D0 02 9B 5B 1E 02 93 02 9B 00 2B 06 D9 06 9B 5B 1E 06 93 06 9B 00 2B 00 D9 E4 E7 06 9B 00 2B 02 D1 03 9A 00 23 13 80 02 9B 00 2B 68 D1 25 9B B3 F1 FF 3F 0B D1 23 9B 5A 1E 02 23 02 FB 03 F2 22 9B 1A 44 00 23 13 80 50 23 04 93 92 E0 22 9A 00 23 13 80 23 9B B3 F1 FF 3F 20 D0 23 9A 6F F0 00 43 9A 42 1B D0 23 9B 01 2B 18 D9 ?? ?? ?? ?? 1B 90 1B 9B 0F 93 23 9B 5A 1E 0F 9B 93 42 02 D2 0F 9B 10 93 02 E0 23 9B 5B 1E 10 93 10 9A 02 23 02 FB 03 F2 FE 21 22 9B 98 1C ?? ?? ?? ?? 3C 4B 00 2B 03 D0 02 E0 01 23 11 93 01 E0 00 23 11 93 11 9B 12 93 12 9B 00 2B 0E D1 31 4B 01 93 33 4B 00 93 00 23 DA 22 30 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 12 9B 00 2B 10 D1 ?? ?? ?? ?? 1D 90 1D 9A 22 23 13 60 00 23 00 93 DA 23 25 4A 24 49 22 48 ?? ?? ?? ?? 22 23 04 93 39 E0 23 9B B3 F1 FF 3F 33 D0 23 9A 6F F0 00 43 9A 42 2E D0 23 9A 02 9B D3 1A 5A 1C 23 9B 9A 42 27 D2 ?? ?? ?? ?? 1E 90 1E 9B 13 93 23 9A 02 9B D3 1A 5A 1C 23 9B 9A 1A 13 9B 93 42 02 D2 13 9B 14 93 06 E0 23 9A 02 9B D3 1A 5A 1C 23 9B 9B 1A 14 93 14 9A 02 23 02 FB 03 F2 FE 21 23 98 02 9B C3 1A 58 1C 02 23 00 FB 03 F0 22 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 20 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_1_0 {
	meta:
		name = "wcsncpy_s"
		size = 40
		refs = "0012 ??$common_tcsncpy_s@_W@@YAHQA_WIQB_WI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_258_67_0 {
	meta:
		name = "_malloc_dbg"
		size = 40
		refs = "0012 ?heap_alloc_dbg@@YAPAXIHQBDH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_337_5_4 {
	meta:
		name = "_mbstowcs_l"
		size = 40
		refs = "0012 ?_mbstowcs_l_helper@@YAIPA_WPBDIPAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_49_3 {
	meta:
		name = "_strtol_l"
		size = 40
		refs = "0012 ??$parse_integer_from_string@JDPAPAD@__crt_strtox@@YAJQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_53_3 {
	meta:
		name = "_strtoul_l"
		size = 40
		refs = "0012 ??$parse_integer_from_string@KDPAPAD@__crt_strtox@@YAKQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_59_0 {
	meta:
		name = "_wcstol_l"
		size = 40
		refs = "0012 ??$parse_integer_from_string@J_WPAPA_W@__crt_strtox@@YAJQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_378_7_3 {
	meta:
		name = "_wcstombs_l"
		size = 40
		refs = "0012 ?_wcstombs_l_helper@@YAIPADPB_WIPAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_63_2 {
	meta:
		name = "_wcstoul_l"
		size = 40
		refs = "0012 ??$parse_integer_from_string@K_WPAPA_W@__crt_strtox@@YAKQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_318_9_0 {
	meta:
		name = "mbsrtowcs"
		size = 40
		refs = "0012 ?_mbsrtowcs_helper@@YAIPA_WPAPBDIPAU_Mbstatet@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_341_1_4 {
	meta:
		name = "strncat_s"
		size = 40
		refs = "0012 ??$common_tcsncat_s@D@@YAHQADIQBDI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_47_1_3 {
	meta:
		name = "strncpy_s"
		size = 40
		refs = "0012 ??$common_tcsncpy_s@D@@YAHQADIQBDI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_462_1_3 {
	meta:
		name = "wcsncat_s"
		size = 40
		refs = "0012 ??$common_tcsncat_s@_W@@YAHQA_WIQB_WI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_590_9_3 {
	meta:
		name = "wcsrtombs"
		size = 40
		refs = "0012 internal_wcsrtombs"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_47_0_0 {
	meta:
		name = "??$common_tcsncpy_s@D@@YAHQADIQBDI@Z"
		size = 896
		refs = "0052 _CrtDbgReportW 0066 _errno 007e _invalid_parameter 00ac _CrtGetDebugFillThreshold 00d4 memset 0364 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0368 ??_C@_1CC@CHNFGJIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 036c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0370 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0374 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0378 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 037c ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A0 B0 25 9B 00 2B 08 D1 22 9B 00 2B 05 D1 23 9B 00 2B 02 D1 00 23 04 93 99 E1 22 9B 00 2B 05 D0 23 9B 00 2B 02 D9 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 CE 4B 01 93 CA 4B 00 93 00 23 B3 22 C7 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 B3 23 BC 4A BB 49 BF 48 ?? ?? ?? ?? 16 23 04 93 66 E1 25 9B 00 2B 27 D1 22 9A 00 23 13 70 23 9B B3 F1 FF 3F 1D D0 23 9A 6F F0 00 43 9A 42 18 D0 23 9B 01 2B 15 D9 ?? ?? ?? ?? 17 90 17 9B 09 93 23 9B 5A 1E 09 9B 93 42 02 D2 09 9B 0A 93 02 E0 23 9B 5B 1E 0A 93 0A 9A FE 21 22 9B 58 1C ?? ?? ?? ?? 00 23 04 93 3B E1 24 9B 00 2B 54 D1 22 9A 00 23 13 70 23 9B B3 F1 FF 3F 1D D0 23 9A 6F F0 00 43 9A 42 18 D0 23 9B 01 2B 15 D9 ?? ?? ?? ?? 18 90 18 9B 0B 93 23 9B 5A 1E 0B 9B 93 42 02 D2 0B 9B 0C 93 02 E0 23 9B 5B 1E 0C 93 0C 9A FE 21 22 9B 58 1C ?? ?? ?? ?? 24 9B 00 2B 02 D0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0E D1 8B 4B 01 93 88 4B 00 93 00 23 BA 22 85 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 10 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 BA 23 7B 4A 79 49 7D 48 ?? ?? ?? ?? 16 23 04 93 E3 E0 22 9B 03 93 24 9B 05 93 23 9B 02 93 25 9B 06 93 25 9B B3 F1 FF 3F 17 D1 05 9B 93 F9 00 20 03 9B 1A 70 03 9B 93 F9 00 20 03 9B 5B 1C 03 93 05 9B 5B 1C 05 93 00 2A 06 D0 02 9B 5B 1E 02 93 02 9B 00 2B 00 D9 E8 E7 22 E0 05 9B 93 F9 00 20 03 9B 1A 70 03 9B 93 F9 00 20 03 9B 5B 1C 03 93 05 9B 5B 1C 05 93 00 2A 0C D0 02 9B 5B 1E 02 93 02 9B 00 2B 06 D9 06 9B 5B 1E 06 93 06 9B 00 2B 00 D9 E2 E7 06 9B 00 2B 02 D1 03 9A 00 23 13 70 02 9B 00 2B 65 D1 25 9B B3 F1 FF 3F 0B D1 23 9B 5A 1E 01 23 02 FB 03 F2 22 9B 1A 44 00 23 13 70 50 23 04 93 89 E0 22 9A 00 23 13 70 23 9B B3 F1 FF 3F 1D D0 23 9A 6F F0 00 43 9A 42 18 D0 23 9B 01 2B 15 D9 ?? ?? ?? ?? 1B 90 1B 9B 0F 93 23 9B 5A 1E 0F 9B 93 42 02 D2 0F 9B 10 93 02 E0 23 9B 5B 1E 10 93 10 9A FE 21 22 9B 58 1C ?? ?? ?? ?? 39 4B 00 2B 03 D0 02 E0 01 23 11 93 01 E0 00 23 11 93 11 9B 12 93 12 9B 00 2B 0E D1 2E 4B 01 93 30 4B 00 93 00 23 DA 22 2D 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 12 9B 00 2B 10 D1 ?? ?? ?? ?? 1D 90 1D 9A 22 23 13 60 00 23 00 93 DA 23 23 4A 21 49 20 48 ?? ?? ?? ?? 22 23 04 93 33 E0 23 9B B3 F1 FF 3F 2D D0 23 9A 6F F0 00 43 9A 42 28 D0 23 9A 02 9B D3 1A 5A 1C 23 9B 9A 42 21 D2 ?? ?? ?? ?? 1E 90 1E 9B 13 93 23 9A 02 9B D3 1A 5A 1C 23 9B 9A 1A 13 9B 93 42 02 D2 13 9B 14 93 06 E0 23 9A 02 9B D3 1A 5A 1C 23 9B 9B 1A 14 93 14 9A FE 21 23 98 02 9B C3 1A 58 1C 22 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 20 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_49_0_0 {
	meta:
		name = "scalblnf"
		size = 106
		refs = "0016 _fdtest 002a _fdscale 0048 _fperrraise"
		altNames = "scalbnf"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 8D ED 01 0A 06 9B 00 2B 1F D0 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 00 2B 16 DA 06 99 01 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 93 02 9B 00 2B 03 D0 02 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 01 0A 8D ED 03 0A 9D ED 03 0A 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_50_0_0 {
	meta:
		name = "_derfc"
		size = 112
		refs = "0028 _dpoly 0050 _dexp 0068 _c 006c _s"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 00 0B 9D ED 00 0B B1 EE 40 1B 9D ED 00 0B 21 EE 00 0B 8D ED 02 0B 06 21 12 48 9D ED 00 0B ?? ?? ?? ?? 8D ED 04 0B 06 21 0D 48 9D ED 00 0B ?? ?? ?? ?? 8D ED 06 0B 00 21 9D ED 04 1B 9D ED 06 0B 81 EE 00 0B 02 A8 ?? ?? ?? ?? 9D ED 02 0B 8D ED 08 0B 9D ED 08 0B 0A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_637_0_0 {
	meta:
		name = "_lderfc"
		size = 112
		refs = "0028 _ldpoly 0050 _ldexp 0068 _c 006c _s"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 00 0B 9D ED 00 0B B1 EE 40 1B 9D ED 00 0B 21 EE 00 0B 8D ED 02 0B 06 21 12 48 9D ED 00 0B ?? ?? ?? ?? 8D ED 04 0B 06 21 0D 48 9D ED 00 0B ?? ?? ?? ?? 8D ED 06 0B 00 21 9D ED 04 1B 9D ED 06 0B 81 EE 00 0B 02 A8 ?? ?? ?? ?? 9D ED 02 0B 8D ED 08 0B 9D ED 08 0B 0A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_50_1_0 {
	meta:
		name = "erf"
		size = 580
		refs = "000e _dtest 01dc _derfc 0234 _derf_one 0238 c 023c s 0240 _derf_small"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 06 D0 01 9B 01 2B 08 D0 01 9B 02 2B 00 D0 18 E0 9D ED 04 0B 8D ED 06 0B F7 E0 04 AB 9B 1D 1B 88 13 F4 00 4F 04 D0 BF EE 00 0B 8D ED 08 0B 03 E0 B7 EE 00 0B 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B E3 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 04 0B B1 EE 40 0B 8D ED 0A 0B 03 E0 9D ED 04 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 02 0B 9D ED 02 1B 6B 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 80 F0 90 80 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B 8D ED 02 0B 61 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 5E 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 59 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 54 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 4F 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 4A 4B 28 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 45 4B 30 33 93 ED 00 0B 31 EE 00 2B 41 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 3D 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 38 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 33 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 2E 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 29 4B 28 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 24 4B 30 33 93 ED 00 0B 31 EE 00 0B 82 EE 00 1B 9D ED 04 0B 21 EE 00 0B 8D ED 06 0B 33 E0 1C E0 9D ED 02 1B 1A 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0E D2 9D ED 02 0B ?? ?? ?? ?? 8D ED 0E 0B B7 EE 00 1B 9D ED 0E 0B 31 EE 40 0B 8D ED 02 0B 03 E0 B7 EE 00 0B 8D ED 02 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 02 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9D ED 02 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 06 0B 9D ED 06 0B 10 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_637_1_0 {
	meta:
		name = "erfl"
		size = 580
		refs = "000e _ldtest 01dc _lderfc 0234 _lderf_one 0238 c 023c s 0240 _lderf_small"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 06 D0 01 9B 01 2B 08 D0 01 9B 02 2B 00 D0 18 E0 9D ED 04 0B 8D ED 06 0B F7 E0 04 AB 9B 1D 1B 88 13 F4 00 4F 04 D0 BF EE 00 0B 8D ED 08 0B 03 E0 B7 EE 00 0B 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B E3 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 04 0B B1 EE 40 0B 8D ED 0A 0B 03 E0 9D ED 04 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 02 0B 9D ED 02 1B 6B 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 80 F0 90 80 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B 8D ED 02 0B 61 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 5E 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 59 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 54 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 4F 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 4A 4B 28 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 45 4B 30 33 93 ED 00 0B 31 EE 00 2B 41 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 3D 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 38 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 33 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 2E 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 29 4B 28 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 24 4B 30 33 93 ED 00 0B 31 EE 00 0B 82 EE 00 1B 9D ED 04 0B 21 EE 00 0B 8D ED 06 0B 33 E0 1C E0 9D ED 02 1B 1A 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0E D2 9D ED 02 0B ?? ?? ?? ?? 8D ED 0E 0B B7 EE 00 1B 9D ED 0E 0B 31 EE 40 0B 8D ED 02 0B 03 E0 B7 EE 00 0B 8D ED 02 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 02 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9D ED 02 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 06 0B 9D ED 06 0B 10 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_51_0_0 {
	meta:
		name = "_mbclen"
		size = 32
		refs = "000c _ismbblead"
		altNames = "_mbclen_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 78 ?? ?? ?? ?? 18 B1 63 78 0B B1 02 20 00 E0 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_52_1_0 {
	meta:
		name = "catanhl"
		size = 1244
		refs = "0018 creall 0030 cimagl 0042 _ldtest 0130 _LZero_C 0134 piby2 035c log1pl 039c atan2l 03c6 _fperrraise 03f2 sqrtl 041e logl 049a _LCbuild 04c8 _LInf_C 04cc big"
	strings:
		$1 = { 2D E9 00 48 EB 46 C4 B0 8D ED 28 1B 8D ED 26 0B 9D ED 26 0B 9D ED 28 1B ?? ?? ?? ?? 8D ED 3A 0B 9D ED 3A 0B 8D ED 04 0B 9D ED 26 0B 9D ED 28 1B ?? ?? ?? ?? 8D ED 2A 0B 9D ED 2A 0B 8D ED 00 0B 04 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 08 30 68 46 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 18 30 BD F9 08 30 02 2B 36 D1 BD F9 18 30 02 2B 08 D1 9D ED 04 0B 8D ED 0A 0B 9D ED 00 0B 8D ED 08 0B 28 E0 BD F9 18 30 01 2B 1C D1 9F ED 26 0B 8D ED 0A 0B 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 07 D2 23 4B 93 ED 00 0B B1 EE 40 0B 8D ED 14 0B 04 E0 1F 4B 93 ED 00 0B 8D ED 14 0B 9D ED 14 0B 8D ED 08 0B 07 E0 9D ED 04 0B 8D ED 0A 0B 9D ED 04 0B 8D ED 08 0B DB E1 BD F9 18 30 02 2B 33 D1 BD F9 08 30 01 2B 03 D0 BD F9 08 30 00 2B 22 D1 04 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 0C 4B 93 ED 00 0B B1 EE 40 0B 8D ED 16 0B 03 E0 9F ED 06 0B 8D ED 16 0B 9D ED 16 0B 8D ED 0A 0B 9D ED 00 0B 8D ED 08 0B 0F E0 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 9D ED 00 0B 8D ED 0A 0B 9D ED 00 0B 8D ED 08 0B A3 E1 BD F9 08 30 01 2B 2E D1 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 07 D2 DD 4B 93 ED 00 0B B1 EE 40 0B 8D ED 18 0B 03 E0 9F ED D7 0B 8D ED 18 0B 9D ED 18 0B 8D ED 0A 0B 6B 46 9B 1D 1B 88 13 F4 00 4F 07 D0 CD 4B 93 ED 00 0B B1 EE 40 0B 8D ED 1A 0B 04 E0 C9 4B 93 ED 00 0B 8D ED 1A 0B 9D ED 1A 0B 8D ED 08 0B 70 E1 6B 46 9B 1D 1B 88 13 F4 00 4F 06 D0 9D ED 00 0B B1 EE 40 0B 8D ED 1C 0B 03 E0 9D ED 00 0B 8D ED 1C 0B 9D ED 1C 0B 8D ED 0E 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 23 0D 93 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 07 E0 00 23 0D 93 9D ED 00 0B B1 EE 40 0B 8D ED 00 0B B0 4B 93 ED 00 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 34 D2 9D ED 00 1B 9D ED 04 0B 81 EE 00 0B 8D ED 1E 0B B7 EE 00 1B 9D ED 04 0B 81 EE 00 2B 9D ED 1E 1B 9D ED 1E 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 0B 82 EE 00 0B 8D ED 0A 0B 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 07 D2 97 4B 93 ED 00 0B B1 EE 40 0B 8D ED 20 0B 04 E0 93 4B 93 ED 00 0B 8D ED 20 0B 9D ED 20 0B 8D ED 08 0B F4 E0 90 4B 93 ED 00 1B 9D ED 0E 0B B4 EE C0 1B F1 EE 10 FA 34 D2 9D ED 04 1B 9D ED 00 0B 81 EE 00 0B 8D ED 10 0B 9D ED 10 1B 9D ED 00 0B 81 EE 00 2B 9D ED 10 1B 9D ED 10 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 0B 82 EE 00 0B 8D ED 0A 0B 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 07 D2 78 4B 93 ED 00 0B B1 EE 40 0B 8D ED 22 0B 04 E0 74 4B 93 ED 00 0B 8D ED 22 0B 9D ED 22 0B 8D ED 08 0B B5 E0 9D ED 04 1B B7 EE 00 0B B4 EE 40 1B F1 EE 10 FA 4E D0 B7 EE 00 1B 9D ED 04 0B 31 EE 40 0B 8D ED 12 0B 9D ED 0E 1B 9D ED 0E 0B 21 EE 00 0B 8D ED 24 0B B1 EE 00 1B 9D ED 04 0B 21 EE 00 2B 9D ED 12 1B 9D ED 12 0B 21 EE 00 1B 9D ED 24 0B 31 EE 00 0B 82 EE 00 0B ?? ?? ?? ?? 8D ED 2C 0B B5 EE 00 1B 9D ED 2C 0B 21 EE 00 0B 8D ED 0A 0B B7 EE 00 1B 9D ED 04 0B 31 EE 00 1B 9D ED 12 0B 20 EE 01 1B 9D ED 24 0B 31 EE 40 1B B0 EE 00 2B 9D ED 00 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 2E 0B B6 EE 00 1B 9D ED 2E 0B 21 EE 00 0B 8D ED 08 0B 5D E0 9D ED 00 0B B5 EE 40 0B F1 EE 10 FA 0C D1 04 20 ?? ?? ?? ?? 3F 4B 93 ED 00 0B 8D ED 0A 0B 9D ED 00 0B 8D ED 08 0B 49 E0 9D ED 00 1B 9D ED 00 0B 21 EE 00 1B B1 EE 00 0B 30 EE 01 0B ?? ?? ?? ?? 8D ED 30 0B 9D ED 30 0B ?? ?? ?? ?? 8D ED 32 0B 9D ED 0E 0B ?? ?? ?? ?? 8D ED 34 0B 9D ED 32 1B 9D ED 34 0B 81 EE 00 0B ?? ?? ?? ?? 8D ED 36 0B 9D ED 36 0B 8D ED 0A 0B B0 EE 00 1B 9D ED 0E 0B ?? ?? ?? ?? 8D ED 38 0B 21 4B 93 ED 00 1B 9D ED 38 0B 31 EE 00 1B B6 EE 00 0B 20 EE 01 0B 8D ED 08 0B 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 08 0B B1 EE 40 0B 8D ED 08 0B 0D 9B 00 2B 06 D0 9D ED 0A 0B B1 EE 40 0B 8D ED 0A 0B 05 E0 9D ED 08 0B B1 EE 40 0B 8D ED 08 0B 9D ED 08 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 3E 1B 8D ED 3C 0B 9D ED 3C 0B 8D ED 40 0B 9D ED 3E 0B 8D ED 42 0B 9D ED 40 0B 9D ED 42 1B 44 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_398_0_0 {
	meta:
		name = "catanh"
		size = 1244
		refs = "0018 creal 0030 cimag 0042 _dtest 0130 _Zero_C 0134 piby2 035c log1p 039c atan2 03c6 _fperrraise 03f2 sqrt 041e log 049a _Cbuild 04c8 _Inf_C 04cc big"
	strings:
		$1 = { 2D E9 00 48 EB 46 C4 B0 8D ED 28 1B 8D ED 26 0B 9D ED 26 0B 9D ED 28 1B ?? ?? ?? ?? 8D ED 3A 0B 9D ED 3A 0B 8D ED 04 0B 9D ED 26 0B 9D ED 28 1B ?? ?? ?? ?? 8D ED 2A 0B 9D ED 2A 0B 8D ED 00 0B 04 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 08 30 68 46 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 18 30 BD F9 08 30 02 2B 36 D1 BD F9 18 30 02 2B 08 D1 9D ED 04 0B 8D ED 0A 0B 9D ED 00 0B 8D ED 08 0B 28 E0 BD F9 18 30 01 2B 1C D1 9F ED 26 0B 8D ED 0A 0B 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 07 D2 23 4B 93 ED 00 0B B1 EE 40 0B 8D ED 14 0B 04 E0 1F 4B 93 ED 00 0B 8D ED 14 0B 9D ED 14 0B 8D ED 08 0B 07 E0 9D ED 04 0B 8D ED 0A 0B 9D ED 04 0B 8D ED 08 0B DB E1 BD F9 18 30 02 2B 33 D1 BD F9 08 30 01 2B 03 D0 BD F9 08 30 00 2B 22 D1 04 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 0C 4B 93 ED 00 0B B1 EE 40 0B 8D ED 16 0B 03 E0 9F ED 06 0B 8D ED 16 0B 9D ED 16 0B 8D ED 0A 0B 9D ED 00 0B 8D ED 08 0B 0F E0 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 9D ED 00 0B 8D ED 0A 0B 9D ED 00 0B 8D ED 08 0B A3 E1 BD F9 08 30 01 2B 2E D1 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 07 D2 DD 4B 93 ED 00 0B B1 EE 40 0B 8D ED 18 0B 03 E0 9F ED D7 0B 8D ED 18 0B 9D ED 18 0B 8D ED 0A 0B 6B 46 9B 1D 1B 88 13 F4 00 4F 07 D0 CD 4B 93 ED 00 0B B1 EE 40 0B 8D ED 1A 0B 04 E0 C9 4B 93 ED 00 0B 8D ED 1A 0B 9D ED 1A 0B 8D ED 08 0B 70 E1 6B 46 9B 1D 1B 88 13 F4 00 4F 06 D0 9D ED 00 0B B1 EE 40 0B 8D ED 1C 0B 03 E0 9D ED 00 0B 8D ED 1C 0B 9D ED 1C 0B 8D ED 0E 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 23 0D 93 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 07 E0 00 23 0D 93 9D ED 00 0B B1 EE 40 0B 8D ED 00 0B B0 4B 93 ED 00 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 34 D2 9D ED 00 1B 9D ED 04 0B 81 EE 00 0B 8D ED 1E 0B B7 EE 00 1B 9D ED 04 0B 81 EE 00 2B 9D ED 1E 1B 9D ED 1E 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 0B 82 EE 00 0B 8D ED 0A 0B 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 07 D2 97 4B 93 ED 00 0B B1 EE 40 0B 8D ED 20 0B 04 E0 93 4B 93 ED 00 0B 8D ED 20 0B 9D ED 20 0B 8D ED 08 0B F4 E0 90 4B 93 ED 00 1B 9D ED 0E 0B B4 EE C0 1B F1 EE 10 FA 34 D2 9D ED 04 1B 9D ED 00 0B 81 EE 00 0B 8D ED 10 0B 9D ED 10 1B 9D ED 00 0B 81 EE 00 2B 9D ED 10 1B 9D ED 10 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 0B 82 EE 00 0B 8D ED 0A 0B 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 07 D2 78 4B 93 ED 00 0B B1 EE 40 0B 8D ED 22 0B 04 E0 74 4B 93 ED 00 0B 8D ED 22 0B 9D ED 22 0B 8D ED 08 0B B5 E0 9D ED 04 1B B7 EE 00 0B B4 EE 40 1B F1 EE 10 FA 4E D0 B7 EE 00 1B 9D ED 04 0B 31 EE 40 0B 8D ED 12 0B 9D ED 0E 1B 9D ED 0E 0B 21 EE 00 0B 8D ED 24 0B B1 EE 00 1B 9D ED 04 0B 21 EE 00 2B 9D ED 12 1B 9D ED 12 0B 21 EE 00 1B 9D ED 24 0B 31 EE 00 0B 82 EE 00 0B ?? ?? ?? ?? 8D ED 2C 0B B5 EE 00 1B 9D ED 2C 0B 21 EE 00 0B 8D ED 0A 0B B7 EE 00 1B 9D ED 04 0B 31 EE 00 1B 9D ED 12 0B 20 EE 01 1B 9D ED 24 0B 31 EE 40 1B B0 EE 00 2B 9D ED 00 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 2E 0B B6 EE 00 1B 9D ED 2E 0B 21 EE 00 0B 8D ED 08 0B 5D E0 9D ED 00 0B B5 EE 40 0B F1 EE 10 FA 0C D1 04 20 ?? ?? ?? ?? 3F 4B 93 ED 00 0B 8D ED 0A 0B 9D ED 00 0B 8D ED 08 0B 49 E0 9D ED 00 1B 9D ED 00 0B 21 EE 00 1B B1 EE 00 0B 30 EE 01 0B ?? ?? ?? ?? 8D ED 30 0B 9D ED 30 0B ?? ?? ?? ?? 8D ED 32 0B 9D ED 0E 0B ?? ?? ?? ?? 8D ED 34 0B 9D ED 32 1B 9D ED 34 0B 81 EE 00 0B ?? ?? ?? ?? 8D ED 36 0B 9D ED 36 0B 8D ED 0A 0B B0 EE 00 1B 9D ED 0E 0B ?? ?? ?? ?? 8D ED 38 0B 21 4B 93 ED 00 1B 9D ED 38 0B 31 EE 00 1B B6 EE 00 0B 20 EE 01 0B 8D ED 08 0B 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 08 0B B1 EE 40 0B 8D ED 08 0B 0D 9B 00 2B 06 D0 9D ED 0A 0B B1 EE 40 0B 8D ED 0A 0B 05 E0 9D ED 08 0B B1 EE 40 0B 8D ED 08 0B 9D ED 08 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 3E 1B 8D ED 3C 0B 9D ED 3C 0B 8D ED 40 0B 9D ED 3E 0B 8D ED 42 0B 9D ED 40 0B 9D ED 42 1B 44 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_52_2_0 {
	meta:
		name = "logl"
		size = 42
		refs = "0010 log"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_522_1_3 {
	meta:
		name = "cosl"
		size = 42
		refs = "0010 cos"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_377_2_2 {
	meta:
		name = "expl"
		size = 42
		refs = "0010 exp"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_415_1_0 {
	meta:
		name = "fabs"
		size = 42
		refs = "0010 ?fabs_intrinsic@@YANN@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_485_1_0 {
	meta:
		name = "sinhl"
		size = 42
		refs = "0010 sinh"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_466_3_3 {
	meta:
		name = "sinl"
		size = 42
		refs = "0010 sin"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_623_13_4 {
	meta:
		name = "sqrtl"
		size = 42
		refs = "0010 sqrt"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_485_3_2 {
	meta:
		name = "tanl"
		size = 42
		refs = "0010 tan"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_53_0_0 {
	meta:
		name = "llroundf"
		size = 148
		refs = "000e _fdtest 0032 roundf 006a __stoi64 0076 _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 2B D0 02 9B 00 2B 02 DD 02 9B 02 2B 22 DD 9D ED 01 0A ?? ?? ?? ?? 8D ED 03 0A 9D ED 03 0A 8D ED 01 0A DF ED 13 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 0F D8 DD ED 01 0A 9F ED 0C 0A F4 EE C0 0A F1 EE 10 FA 06 D8 9D ED 01 0A ?? ?? ?? ?? 04 90 05 91 06 E0 01 20 ?? ?? ?? ?? 00 23 04 93 00 23 05 93 04 98 05 99 06 B0 BD E8 00 88 00 00 00 5F 00 00 00 DF }
	condition:
		$1
}

rule file_54_0_0 {
	meta:
		name = "nearbyintf"
		size = 82
		refs = "000e _fdtest 0038 _fdrint"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 08 DB 02 9B 02 2B 00 DD 04 E0 9D ED 01 0A 8D ED 03 0A 09 E0 9D ED 01 0A ?? ?? ?? ?? 8D ED 04 0A 9D ED 04 0A 8D ED 03 0A 9D ED 03 0A 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_55_0_0 {
	meta:
		name = "catan"
		size = 194
		refs = "0018 creal 0028 cimag 003c _Cbuild 0050 catanh"
	strings:
		$1 = { 2D E9 00 48 EB 46 9C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 8D ED 08 0B 9D ED 12 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 06 0B 9D ED 04 0B B1 EE 40 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 16 1B 8D ED 14 0B 9D ED 14 0B 8D ED 18 0B 9D ED 16 0B 8D ED 1A 0B 9D ED 18 0B 9D ED 1A 1B 1C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_449_0_3 {
	meta:
		name = "casin"
		size = 194
		refs = "0018 creal 0028 cimag 003c _Cbuild 0050 casinh"
	strings:
		$1 = { 2D E9 00 48 EB 46 9C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 8D ED 08 0B 9D ED 12 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 06 0B 9D ED 04 0B B1 EE 40 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 16 1B 8D ED 14 0B 9D ED 14 0B 8D ED 18 0B 9D ED 16 0B 8D ED 1A 0B 9D ED 18 0B 9D ED 1A 1B 1C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_529_0_3 {
	meta:
		name = "casinl"
		size = 194
		refs = "0018 creall 0028 cimagl 003c _LCbuild 0050 casinhl"
	strings:
		$1 = { 2D E9 00 48 EB 46 9C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 8D ED 08 0B 9D ED 12 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 06 0B 9D ED 04 0B B1 EE 40 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 16 1B 8D ED 14 0B 9D ED 14 0B 8D ED 18 0B 9D ED 16 0B 8D ED 1A 0B 9D ED 18 0B 9D ED 1A 1B 1C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_287_0_0 {
	meta:
		name = "catanl"
		size = 194
		refs = "0018 creall 0028 cimagl 003c _LCbuild 0050 catanhl"
	strings:
		$1 = { 2D E9 00 48 EB 46 9C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 8D ED 08 0B 9D ED 12 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 06 0B 9D ED 04 0B B1 EE 40 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 16 1B 8D ED 14 0B 9D ED 14 0B 8D ED 18 0B 9D ED 16 0B 8D ED 1A 0B 9D ED 18 0B 9D ED 1A 1B 1C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_160_0_4 {
	meta:
		name = "csin"
		size = 194
		refs = "0018 creal 0028 cimag 003c _Cbuild 0050 csinh"
	strings:
		$1 = { 2D E9 00 48 EB 46 9C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 8D ED 08 0B 9D ED 12 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 06 0B 9D ED 04 0B B1 EE 40 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 16 1B 8D ED 14 0B 9D ED 14 0B 8D ED 18 0B 9D ED 16 0B 8D ED 1A 0B 9D ED 18 0B 9D ED 1A 1B 1C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_199_0_2 {
	meta:
		name = "csinl"
		size = 194
		refs = "0018 creall 0028 cimagl 003c _LCbuild 0050 csinhl"
	strings:
		$1 = { 2D E9 00 48 EB 46 9C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 8D ED 08 0B 9D ED 12 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 06 0B 9D ED 04 0B B1 EE 40 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 16 1B 8D ED 14 0B 9D ED 14 0B 8D ED 18 0B 9D ED 16 0B 8D ED 1A 0B 9D ED 18 0B 9D ED 1A 1B 1C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_546_0_4 {
	meta:
		name = "ctan"
		size = 194
		refs = "0018 creal 0028 cimag 003c _Cbuild 0050 ctanh"
	strings:
		$1 = { 2D E9 00 48 EB 46 9C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 8D ED 08 0B 9D ED 12 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 06 0B 9D ED 04 0B B1 EE 40 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 16 1B 8D ED 14 0B 9D ED 14 0B 8D ED 18 0B 9D ED 16 0B 8D ED 1A 0B 9D ED 18 0B 9D ED 1A 1B 1C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_168_0_4 {
	meta:
		name = "ctanl"
		size = 194
		refs = "0018 creall 0028 cimagl 003c _LCbuild 0050 ctanhl"
	strings:
		$1 = { 2D E9 00 48 EB 46 9C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 8D ED 08 0B 9D ED 12 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 06 0B 9D ED 04 0B B1 EE 40 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 16 1B 8D ED 14 0B 9D ED 14 0B 8D ED 18 0B 9D ED 16 0B 8D ED 1A 0B 9D ED 18 0B 9D ED 1A 1B 1C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_56_0_0 {
	meta:
		name = "cimag"
		size = 38
		altNames = "cimagl"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 04 1B 8D ED 02 0B 02 AB 08 33 93 ED 00 0B 8D ED 00 0B 9D ED 00 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_57_0_0 {
	meta:
		name = "fmin"
		size = 154
		refs = "0012 _dtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 04 1B 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 05 D1 9D ED 04 0B 8D ED 06 0B 31 E0 30 E0 04 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 05 D1 9D ED 02 0B 8D ED 06 0B 22 E0 21 E0 9D ED 02 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 0E D3 9D ED 02 1B 9D ED 04 0B B4 EE 40 1B F1 EE 10 FA 0B D1 02 AB 9B 1D 1B 88 13 F4 00 4F 05 D0 9D ED 02 0B 8D ED 06 0B 04 E0 03 E0 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_554_0_0 {
	meta:
		name = "fminl"
		size = 154
		refs = "0012 _ldtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 04 1B 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 05 D1 9D ED 04 0B 8D ED 06 0B 31 E0 30 E0 04 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 05 D1 9D ED 02 0B 8D ED 06 0B 22 E0 21 E0 9D ED 02 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 0E D3 9D ED 02 1B 9D ED 04 0B B4 EE 40 1B F1 EE 10 FA 0B D1 02 AB 9B 1D 1B 88 13 F4 00 4F 05 D0 9D ED 02 0B 8D ED 06 0B 04 E0 03 E0 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_58_1_0 {
	meta:
		name = "cacosl"
		size = 1148
		refs = "0018 creall 0030 cimagl 0042 _ldtest 01bc _LCbuild 01d0 csqrtl 0298 conjl 02bc atan2l 03c2 asinhl 03f4 logl 0464 big 0468 piby2 046c _LInf_C 0470 pi 0474 piby4 0478 pi3by4"
	strings:
		$1 = { 2D E9 00 48 EB 46 D6 B0 8D ED 1E 1B 8D ED 1C 0B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 34 0B 9D ED 34 0B 8D ED 08 0B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 36 0B 9D ED 36 0B 8D ED 06 0B 08 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 02 30 06 A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 00 30 BD F9 02 30 02 2B 24 D1 BD F9 00 30 02 2B 08 D1 9D ED 08 0B 8D ED 04 0B 9D ED 06 0B 8D ED 02 0B 16 E0 BD F9 00 30 01 2B 0A D1 9D ED 08 0B 8D ED 04 0B 9D ED 06 0B B1 EE 40 0B 8D ED 02 0B 07 E0 9D ED 08 0B 8D ED 04 0B 9D ED 08 0B 8D ED 02 0B B9 E1 BD F9 00 30 02 2B 24 D1 BD F9 02 30 01 2B 09 D1 9D ED 06 0B 8D ED 04 0B E7 4B 93 ED 00 0B 8D ED 02 0B 15 E0 BD F9 02 30 00 2B 09 D1 E1 4B 93 ED 00 0B 8D ED 04 0B 9D ED 06 0B 8D ED 02 0B 07 E0 9D ED 06 0B 8D ED 04 0B 9D ED 06 0B 8D ED 02 0B 90 E1 BD F9 02 30 01 2B 3B D1 BD F9 00 30 01 2B 12 D1 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 05 D2 D4 4B 93 ED 00 0B 8D ED 04 0B 04 E0 D0 4B 93 ED 00 0B 8D ED 04 0B 10 E0 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 05 D2 C8 4B 93 ED 00 0B 8D ED 04 0B 03 E0 9F ED C0 0B 8D ED 04 0B C2 4B 93 ED 00 0B B1 EE 40 0B 8D ED 02 0B 06 AB 9B 1D 1B 88 13 F4 00 4F 05 D0 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 50 E1 BD F9 00 30 01 2B 0B D1 B5 4B 93 ED 00 0B 8D ED 04 0B 9D ED 06 0B B1 EE 40 0B 8D ED 02 0B 40 E1 9D ED 06 0B B1 EE 40 1B B7 EE 00 2B 9D ED 08 0B 32 EE 00 0B ?? ?? ?? ?? 8D ED 3C 1B 8D ED 3A 0B 9D ED 3A 0B 9D ED 3C 1B ?? ?? ?? ?? 8D ED 40 1B 8D ED 3E 0B 9D ED 3E 0B 8D ED 18 0B 9D ED 40 0B 8D ED 1A 0B 9D ED 06 0B B1 EE 40 1B B7 EE 00 2B 9D ED 08 0B 32 EE 40 0B ?? ?? ?? ?? 8D ED 44 1B 8D ED 42 0B 9D ED 42 0B 9D ED 44 1B ?? ?? ?? ?? 8D ED 48 1B 8D ED 46 0B 9D ED 46 0B 8D ED 20 0B 9D ED 48 0B 8D ED 22 0B 9D ED 18 0B 9D ED 1A 1B ?? ?? ?? ?? 8D ED 38 0B 9D ED 38 0B 8D ED 10 0B 9D ED 18 0B 9D ED 1A 1B ?? ?? ?? ?? 8D ED 24 0B 9D ED 24 0B 8D ED 0E 0B 9D ED 20 0B 9D ED 22 1B ?? ?? ?? ?? 8D ED 26 0B 9D ED 26 0B 8D ED 14 0B 9D ED 20 0B 9D ED 22 1B ?? ?? ?? ?? 8D ED 28 0B 9D ED 28 0B 8D ED 12 0B 9D ED 18 0B 9D ED 1A 1B ?? ?? ?? ?? 8D ED 4C 1B 8D ED 4A 0B 9D ED 4A 0B 9D ED 4C 1B ?? ?? ?? ?? 8D ED 2A 0B 9D ED 2A 1B 9D ED 12 0B ?? ?? ?? ?? 8D ED 2C 0B B0 EE 00 1B 9D ED 2C 0B 21 EE 00 0B 8D ED 04 0B 63 4B 93 ED 00 1B 9D ED 10 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 10 0B 8D ED 0A 0B 9D ED 12 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 0E 0B 20 EE 01 1B 9D ED 14 0B 30 EE 01 0B 8D ED 16 0B 55 E0 54 4B 93 ED 00 1B 9D ED 0E 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 0E 0B 8D ED 0A 0B 9D ED 14 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 10 0B 20 EE 01 1B 9D ED 12 0B 31 EE 00 0B 8D ED 16 0B 36 E0 9D ED 0E 0B B1 EE 40 1B 42 4B 93 ED 00 0B B4 EE C1 0B F1 EE 10 FA 16 D2 9D ED 0E 0B B1 EE 40 0B 8D ED 0A 0B 9D ED 14 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 10 0B 20 EE 01 1B 9D ED 12 0B 31 EE 00 0B 8D ED 16 0B 13 E0 9F ED 31 0B 8D ED 0A 0B 9D ED 10 1B 9D ED 14 0B 21 EE 00 2B 9D ED 0E 1B 9D ED 12 0B 21 EE 00 0B 32 EE 00 0B 8D ED 16 0B 9D ED 16 0B ?? ?? ?? ?? 8D ED 2E 0B 9D ED 2E 0B 8D ED 02 0B 9D ED 0A 0B B5 EE 40 0B F1 EE 10 FA 00 D1 23 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 0E DB 9D ED 0A 0B ?? ?? ?? ?? 8D ED 30 0B 9D ED 02 1B 9D ED 30 0B 31 EE 00 0B 8D ED 02 0B 0D E0 9D ED 0A 0B ?? ?? ?? ?? 8D ED 32 0B 9D ED 02 1B 9D ED 32 0B 31 EE 40 0B 8D ED 02 0B 9D ED 02 1B 9D ED 04 0B ?? ?? ?? ?? 8D ED 50 1B 8D ED 4E 0B 9D ED 4E 0B 8D ED 52 0B 9D ED 50 0B 8D ED 54 0B 9D ED 52 0B 9D ED 54 1B 56 B0 BD E8 00 88 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_474_0_0 {
	meta:
		name = "cacos"
		size = 1148
		refs = "0018 creal 0030 cimag 0042 _dtest 01bc _Cbuild 01d0 csqrt 0298 conj 02bc atan2 03c2 asinh 03f4 log 0464 big 0468 piby2 046c _Inf_C 0470 pi 0474 piby4 0478 pi3by4"
	strings:
		$1 = { 2D E9 00 48 EB 46 D6 B0 8D ED 1E 1B 8D ED 1C 0B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 34 0B 9D ED 34 0B 8D ED 08 0B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 36 0B 9D ED 36 0B 8D ED 06 0B 08 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 02 30 06 A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 00 30 BD F9 02 30 02 2B 24 D1 BD F9 00 30 02 2B 08 D1 9D ED 08 0B 8D ED 04 0B 9D ED 06 0B 8D ED 02 0B 16 E0 BD F9 00 30 01 2B 0A D1 9D ED 08 0B 8D ED 04 0B 9D ED 06 0B B1 EE 40 0B 8D ED 02 0B 07 E0 9D ED 08 0B 8D ED 04 0B 9D ED 08 0B 8D ED 02 0B B9 E1 BD F9 00 30 02 2B 24 D1 BD F9 02 30 01 2B 09 D1 9D ED 06 0B 8D ED 04 0B E7 4B 93 ED 00 0B 8D ED 02 0B 15 E0 BD F9 02 30 00 2B 09 D1 E1 4B 93 ED 00 0B 8D ED 04 0B 9D ED 06 0B 8D ED 02 0B 07 E0 9D ED 06 0B 8D ED 04 0B 9D ED 06 0B 8D ED 02 0B 90 E1 BD F9 02 30 01 2B 3B D1 BD F9 00 30 01 2B 12 D1 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 05 D2 D4 4B 93 ED 00 0B 8D ED 04 0B 04 E0 D0 4B 93 ED 00 0B 8D ED 04 0B 10 E0 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 05 D2 C8 4B 93 ED 00 0B 8D ED 04 0B 03 E0 9F ED C0 0B 8D ED 04 0B C2 4B 93 ED 00 0B B1 EE 40 0B 8D ED 02 0B 06 AB 9B 1D 1B 88 13 F4 00 4F 05 D0 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 50 E1 BD F9 00 30 01 2B 0B D1 B5 4B 93 ED 00 0B 8D ED 04 0B 9D ED 06 0B B1 EE 40 0B 8D ED 02 0B 40 E1 9D ED 06 0B B1 EE 40 1B B7 EE 00 2B 9D ED 08 0B 32 EE 00 0B ?? ?? ?? ?? 8D ED 3C 1B 8D ED 3A 0B 9D ED 3A 0B 9D ED 3C 1B ?? ?? ?? ?? 8D ED 40 1B 8D ED 3E 0B 9D ED 3E 0B 8D ED 18 0B 9D ED 40 0B 8D ED 1A 0B 9D ED 06 0B B1 EE 40 1B B7 EE 00 2B 9D ED 08 0B 32 EE 40 0B ?? ?? ?? ?? 8D ED 44 1B 8D ED 42 0B 9D ED 42 0B 9D ED 44 1B ?? ?? ?? ?? 8D ED 48 1B 8D ED 46 0B 9D ED 46 0B 8D ED 20 0B 9D ED 48 0B 8D ED 22 0B 9D ED 18 0B 9D ED 1A 1B ?? ?? ?? ?? 8D ED 38 0B 9D ED 38 0B 8D ED 10 0B 9D ED 18 0B 9D ED 1A 1B ?? ?? ?? ?? 8D ED 24 0B 9D ED 24 0B 8D ED 0E 0B 9D ED 20 0B 9D ED 22 1B ?? ?? ?? ?? 8D ED 26 0B 9D ED 26 0B 8D ED 14 0B 9D ED 20 0B 9D ED 22 1B ?? ?? ?? ?? 8D ED 28 0B 9D ED 28 0B 8D ED 12 0B 9D ED 18 0B 9D ED 1A 1B ?? ?? ?? ?? 8D ED 4C 1B 8D ED 4A 0B 9D ED 4A 0B 9D ED 4C 1B ?? ?? ?? ?? 8D ED 2A 0B 9D ED 2A 1B 9D ED 12 0B ?? ?? ?? ?? 8D ED 2C 0B B0 EE 00 1B 9D ED 2C 0B 21 EE 00 0B 8D ED 04 0B 63 4B 93 ED 00 1B 9D ED 10 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 10 0B 8D ED 0A 0B 9D ED 12 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 0E 0B 20 EE 01 1B 9D ED 14 0B 30 EE 01 0B 8D ED 16 0B 55 E0 54 4B 93 ED 00 1B 9D ED 0E 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 0E 0B 8D ED 0A 0B 9D ED 14 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 10 0B 20 EE 01 1B 9D ED 12 0B 31 EE 00 0B 8D ED 16 0B 36 E0 9D ED 0E 0B B1 EE 40 1B 42 4B 93 ED 00 0B B4 EE C1 0B F1 EE 10 FA 16 D2 9D ED 0E 0B B1 EE 40 0B 8D ED 0A 0B 9D ED 14 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 10 0B 20 EE 01 1B 9D ED 12 0B 31 EE 00 0B 8D ED 16 0B 13 E0 9F ED 31 0B 8D ED 0A 0B 9D ED 10 1B 9D ED 14 0B 21 EE 00 2B 9D ED 0E 1B 9D ED 12 0B 21 EE 00 0B 32 EE 00 0B 8D ED 16 0B 9D ED 16 0B ?? ?? ?? ?? 8D ED 2E 0B 9D ED 2E 0B 8D ED 02 0B 9D ED 0A 0B B5 EE 40 0B F1 EE 10 FA 00 D1 23 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 0E DB 9D ED 0A 0B ?? ?? ?? ?? 8D ED 30 0B 9D ED 02 1B 9D ED 30 0B 31 EE 00 0B 8D ED 02 0B 0D E0 9D ED 0A 0B ?? ?? ?? ?? 8D ED 32 0B 9D ED 02 1B 9D ED 32 0B 31 EE 40 0B 8D ED 02 0B 9D ED 02 1B 9D ED 04 0B ?? ?? ?? ?? 8D ED 50 1B 8D ED 4E 0B 9D ED 4E 0B 8D ED 52 0B 9D ED 50 0B 8D ED 54 0B 9D ED 52 0B 9D ED 54 1B 56 B0 BD E8 00 88 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_59_10_0 {
	meta:
		name = "__acrt_locale_free_monetary"
		size = 368
		refs = "0026 _free_dbg 016c __acrt_lconv_c"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 00 2B 00 D1 A8 E0 02 9B 0C 33 1A 68 55 4B DB 68 9A 42 05 D0 02 21 02 9B 0C 33 18 68 ?? ?? ?? ?? 02 9B 10 33 1A 68 4E 4B 1B 69 9A 42 05 D0 02 21 02 9B 10 33 18 68 ?? ?? ?? ?? 02 9B 14 33 1A 68 48 4B 5B 69 9A 42 05 D0 02 21 02 9B 14 33 18 68 ?? ?? ?? ?? 02 9B 18 33 1A 68 41 4B 9B 69 9A 42 05 D0 02 21 02 9B 18 33 18 68 ?? ?? ?? ?? 02 9B 1C 33 1A 68 3B 4B DB 69 9A 42 05 D0 02 21 02 9B 1C 33 18 68 ?? ?? ?? ?? 02 9B 20 33 1A 68 34 4B 1B 6A 9A 42 05 D0 02 21 02 9B 20 33 18 68 ?? ?? ?? ?? 02 9B 24 33 1A 68 2E 4B 5B 6A 9A 42 05 D0 02 21 02 9B 24 33 18 68 ?? ?? ?? ?? 02 9B 38 33 1A 68 27 4B 9B 6B 9A 42 05 D0 02 21 02 9B 38 33 18 68 ?? ?? ?? ?? 02 9B 3C 33 1A 68 21 4B DB 6B 9A 42 05 D0 02 21 02 9B 3C 33 18 68 ?? ?? ?? ?? 02 9B 40 33 1A 68 1A 4B 1B 6C 9A 42 05 D0 02 21 02 9B 40 33 18 68 ?? ?? ?? ?? 02 9B 44 33 1A 68 14 4B 5B 6C 9A 42 05 D0 02 21 02 9B 44 33 18 68 ?? ?? ?? ?? 02 9B 48 33 1A 68 0D 4B 9B 6C 9A 42 05 D0 02 21 02 9B 48 33 18 68 ?? ?? ?? ?? 02 9B 4C 33 1A 68 07 4B DB 6C 9A 42 05 D0 02 21 02 9B 4C 33 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_59_11_0 {
	meta:
		name = "__acrt_locale_initialize_monetary"
		size = 1476
		refs = "0040 _calloc_dbg 004a ??0?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAA@QAUlconv@@@Z 0056 ?detach@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAAPAUlconv@@XZ 007a ??1?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAA@XZ 00a4 ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAA@QAJ@Z 00b0 ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAAPAJXZ 00d4 ??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAA@XZ 00e4 _free_dbg 0182 __acrt_GetLocaleInfoA 03c8 __acrt_locale_free_monetary 03f0 fix_grouping 052c _CrtDbgReportW 05b0 ??_C@_1GE@IEFGCKMH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 05b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 05b8 ??_C@_1DM@GKAPAMDO@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AAo?$AAn?$AAv?$AA_?$AAm?$AAo?$AAn?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 05bc __acrt_lconv_c 05c0 ??_C@_0DC@GMDOHFAP@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B B8 B0 00 23 0B 93 3C 9B 08 93 00 23 09 93 3C 9B A0 33 0C 33 1B 68 00 2B 06 D1 3C 9B A0 33 10 33 1B 68 00 2B 00 F0 52 82 4E 23 00 93 DF F8 88 35 02 22 50 21 01 20 ?? ?? ?? ?? 2B 90 2B 99 14 A8 ?? ?? ?? ?? 11 90 11 9B 12 93 12 98 ?? ?? ?? ?? 13 90 13 9B 03 93 03 9B 00 2B 02 D1 01 23 0E 93 01 E0 00 23 0E 93 0E 9B DB B2 8D F8 2A 30 14 A8 ?? ?? ?? ?? 9D F8 2A 30 00 2B 02 D0 01 23 0D 93 8B E2 54 23 00 93 DF F8 2C 35 02 22 04 21 01 20 ?? ?? ?? ?? 15 90 15 99 19 A8 ?? ?? ?? ?? 16 90 16 9B 17 93 17 98 ?? ?? ?? ?? 18 90 18 9B 0C 93 0C 9B 00 2B 02 D1 01 23 0F 93 01 E0 00 23 0F 93 0F 9B DB B2 8D F8 28 30 19 A8 ?? ?? ?? ?? 9D F8 28 30 00 2B 06 D0 02 21 03 98 ?? ?? ?? ?? 01 23 0D 93 5A E2 3C 9B A0 33 0C 33 1B 68 00 2B 00 F0 7D 81 5F 23 00 93 DF F8 BC 34 02 22 04 21 01 20 ?? ?? ?? ?? 1A 90 1A 99 1E A8 ?? ?? ?? ?? 1B 90 1B 9B 1C 93 1C 98 ?? ?? ?? ?? 1D 90 1D 9B 0B 93 0B 9B 00 2B 02 D1 01 23 10 93 01 E0 00 23 10 93 10 9B DB B2 8D F8 29 30 1E A8 ?? ?? ?? ?? 9D F8 29 30 00 2B 0A D0 02 21 03 98 ?? ?? ?? ?? 02 21 0C 98 ?? ?? ?? ?? 01 23 0D 93 1E E2 3C 9B A0 33 0C 33 1B 68 04 93 00 23 02 93 03 9B 0C 33 00 93 15 23 04 9A 01 21 08 A8 ?? ?? ?? ?? 1F 90 02 9A 1F 9B 13 43 02 93 03 9B 10 33 00 93 14 23 04 9A 01 21 08 A8 ?? ?? ?? ?? 20 90 02 9A 20 9B 13 43 02 93 03 9B 14 33 00 93 16 23 04 9A 01 21 08 A8 ?? ?? ?? ?? 21 90 02 9A 21 9B 13 43 02 93 03 9B 18 33 00 93 17 23 04 9A 01 21 08 A8 ?? ?? ?? ?? 22 90 02 9A 22 9B 13 43 02 93 03 9B 1C 33 00 93 18 23 04 9A 01 21 08 A8 ?? ?? ?? ?? 23 90 02 9A 23 9B 13 43 02 93 03 9B 20 33 00 93 50 23 04 9A 01 21 08 A8 ?? ?? ?? ?? 24 90 02 9A 24 9B 13 43 02 93 03 9B 24 33 00 93 51 23 04 9A 01 21 08 A8 ?? ?? ?? ?? 25 90 02 9A 25 9B 13 43 02 93 03 9B 28 33 00 93 1A 23 04 9A 00 21 08 A8 ?? ?? ?? ?? 26 90 02 9A 26 9B 13 43 02 93 03 9B 29 33 00 93 19 23 04 9A 00 21 08 A8 ?? ?? ?? ?? 27 90 02 9A 27 9B 13 43 02 93 03 9B 2A 33 00 93 54 23 04 9A 00 21 08 A8 ?? ?? ?? ?? 28 90 02 9A 28 9B 13 43 02 93 03 9B 2B 33 00 93 55 23 04 9A 00 21 08 A8 ?? ?? ?? ?? 29 90 02 9A 29 9B 13 43 02 93 03 9B 2C 33 00 93 56 23 04 9A 00 21 08 A8 ?? ?? ?? ?? 2A 90 02 9A 2A 9B 13 43 02 93 03 9B 2D 33 00 93 57 23 04 9A 00 21 08 A8 ?? ?? ?? ?? 31 90 02 9A 31 9B 13 43 02 93 03 9B 2E 33 00 93 52 23 04 9A 00 21 08 A8 ?? ?? ?? ?? 2C 90 02 9A 2C 9B 13 43 02 93 03 9B 2F 33 00 93 53 23 04 9A 00 21 08 A8 ?? ?? ?? ?? 2D 90 02 9A 2D 9B 13 43 02 93 03 9B 38 33 00 93 15 23 04 9A 02 21 08 A8 ?? ?? ?? ?? 2E 90 02 9A 2E 9B 13 43 02 93 03 9B 3C 33 00 93 14 23 04 9A 02 21 08 A8 ?? ?? ?? ?? 2F 90 02 9A 2F 9B 13 43 02 93 03 9B 40 33 00 93 16 23 04 9A 02 21 08 A8 ?? ?? ?? ?? 30 90 02 9A 30 9B 13 43 02 93 03 9B 44 33 00 93 17 23 04 9A 02 21 08 A8 ?? ?? ?? ?? 37 90 02 9A 37 9B 13 43 02 93 03 9B 48 33 00 93 50 23 04 9A 02 21 08 A8 ?? ?? ?? ?? 32 90 02 9A 32 9B 13 43 02 93 03 9B 4C 33 00 93 51 23 04 9A 02 21 08 A8 ?? ?? ?? ?? 33 90 02 9A 33 9B 13 43 02 93 02 9B 00 2B 11 D0 03 98 ?? ?? ?? ?? 02 21 03 98 ?? ?? ?? ?? 02 21 0C 98 ?? ?? ?? ?? 02 21 0B 98 ?? ?? ?? ?? 01 23 0D 93 DC E0 03 9B 1C 33 18 68 ?? ?? ?? ?? 39 E0 03 9A 70 4B 05 92 06 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 06 9B 10 33 06 93 05 9B 10 33 05 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 06 9B 10 33 06 93 05 9B 10 33 05 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 06 9B 10 33 06 93 05 9B 10 33 05 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 06 9B 10 33 06 93 05 9B 10 33 05 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 3C 9B 88 33 1B 68 03 9A 1B 68 13 60 3C 9B 88 33 1B 68 19 1D 03 9B 1A 1D 0B 68 13 60 3C 9B 88 33 1B 68 03 F1 08 01 03 9B 03 F1 08 02 0B 68 13 60 3C 9B 88 33 1B 68 03 F1 30 01 03 9B 03 F1 30 02 0B 68 13 60 3C 9B 88 33 1B 68 03 F1 34 01 03 9B 03 F1 34 02 0B 68 13 60 0C 9A 01 23 13 60 0B 9B 00 2B 02 D0 0B 9A 01 23 13 60 05 E0 00 23 0B 93 00 23 0C 93 37 4B 03 93 3C 9B 84 33 1B 68 00 2B 26 D0 BF F3 5B 8F 3C 9B 84 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 34 93 BF F3 5B 8F 34 9B 00 2B 13 D1 3C 9B 84 33 1B 68 00 2B 0E D8 26 4B 01 93 24 4B 00 93 00 23 CD 22 21 49 02 20 ?? ?? ?? ?? 35 90 35 9B 01 2B 00 D1 FE DE 3C 9B 7C 33 1B 68 00 2B 1E D0 BF F3 5B 8F 3C 9B 7C 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 36 93 BF F3 5B 8F 36 9B 00 2B 0B D1 02 21 3C 9B 88 33 18 68 ?? ?? ?? ?? 02 21 3C 9B 7C 33 18 68 ?? ?? ?? ?? 3C 9B 03 F1 84 02 0B 9B 13 60 3C 9B 03 F1 7C 02 0C 9B 13 60 3C 9B 03 F1 88 02 03 9B 13 60 00 23 0D 93 0D 98 38 B0 BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_59_12_0 {
	meta:
		name = "fix_grouping"
		size = 124
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 93 F9 00 30 00 2B 2E D0 04 9B 93 F9 00 30 30 2B 0F DB 04 9B 93 F9 00 30 39 2B 0A DC 04 9B 93 F9 00 30 30 3B 5A B2 04 9B 1A 70 04 9B 5B 1C 04 93 18 E0 04 9B 93 F9 00 30 3B 2B 10 D1 04 9B 00 93 00 9B 5B 1C 93 F9 00 20 00 9B 1A 70 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 00 2B F1 D1 02 E0 04 9B 5B 1C 04 93 CB E7 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_60_0_0 {
	meta:
		name = "_fdclass"
		size = 40
		refs = "000e _fdtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 08 30 BD F9 08 00 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_60_1_0 {
	meta:
		name = "_fdpcomp"
		size = 124
		refs = "0012 _fdtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 CD ED 02 0A 8D ED 03 0A 03 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 08 D0 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 03 D1 00 23 01 93 1C E0 1B E0 DD ED 03 0A 9D ED 02 0A F4 EE C0 0A F1 EE 10 FA 03 D2 01 23 01 93 0F E0 0E E0 DD ED 02 0A 9D ED 03 0A F4 EE C0 0A F1 EE 10 FA 03 D2 04 23 01 93 02 E0 01 E0 02 23 01 93 01 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_60_2_0 {
	meta:
		name = "_fdsign"
		size = 32
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 8D ED 00 0A 6B 46 9B 1C 1B 88 03 F4 00 43 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_60_3_0 {
	meta:
		name = "nanf"
		size = 40
		refs = "0024 _FNan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 06 4B 93 ED 00 0A 8D ED 00 0A 9D ED 00 0A 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_61_5_0 {
	meta:
		name = "_mbsnccnt_l"
		size = 168
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002a _CrtDbgReportW 0034 _errno 0048 _invalid_parameter 0098 ??_C@_1HC@HACDKFHD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 009c ??_C@_1BI@ENAMCCPH@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAc?$AAn?$AAt?$AA_?$AAl?$AA?$AA@ 00a0 ??_C@_1DO@IBIJEOEB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 0C 46 05 46 02 A8 11 46 ?? ?? ?? ?? DD B9 D4 B1 22 4B 20 4C 1E 49 00 93 00 23 32 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 17 49 16 4A 00 23 00 93 32 23 20 46 ?? ?? ?? ?? 00 20 15 E0 00 20 9C B1 04 9A 2B 78 64 1E 7B B1 13 44 5B 7E 13 F0 04 0F 06 D0 00 2C A4 F1 01 04 06 D0 6D 1C 2B 78 1B B1 40 1C 6D 1C 00 2C EC D1 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 06 B0 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_62_0_0 {
	meta:
		name = "ctanf"
		size = 194
		refs = "0018 crealf 0028 cimagf 003c _FCbuild 0050 ctanhf"
	strings:
		$1 = { 2D E9 00 48 EB 46 8E B0 CD ED 05 0A 8D ED 04 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 00 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 01 0A DD ED 00 0A 9D ED 01 0A B1 EE 40 0A ?? ?? ?? ?? CD ED 07 0A 8D ED 06 0A 9D ED 06 0A DD ED 07 0A ?? ?? ?? ?? CD ED 09 0A 8D ED 08 0A 9D ED 08 0A 8D ED 04 0A 9D ED 09 0A 8D ED 05 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 02 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 03 0A 9D ED 02 0A F1 EE 40 0A 9D ED 03 0A ?? ?? ?? ?? CD ED 0B 0A 8D ED 0A 0A 9D ED 0A 0A 8D ED 0C 0A 9D ED 0B 0A 8D ED 0D 0A 9D ED 0C 0A DD ED 0D 0A 0E B0 BD E8 00 88 }
	condition:
		$1
}

rule file_514_0_0 {
	meta:
		name = "casinf"
		size = 194
		refs = "0018 crealf 0028 cimagf 003c _FCbuild 0050 casinhf"
	strings:
		$1 = { 2D E9 00 48 EB 46 8E B0 CD ED 05 0A 8D ED 04 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 00 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 01 0A DD ED 00 0A 9D ED 01 0A B1 EE 40 0A ?? ?? ?? ?? CD ED 07 0A 8D ED 06 0A 9D ED 06 0A DD ED 07 0A ?? ?? ?? ?? CD ED 09 0A 8D ED 08 0A 9D ED 08 0A 8D ED 04 0A 9D ED 09 0A 8D ED 05 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 02 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 03 0A 9D ED 02 0A F1 EE 40 0A 9D ED 03 0A ?? ?? ?? ?? CD ED 0B 0A 8D ED 0A 0A 9D ED 0A 0A 8D ED 0C 0A 9D ED 0B 0A 8D ED 0D 0A 9D ED 0C 0A DD ED 0D 0A 0E B0 BD E8 00 88 }
	condition:
		$1
}

rule file_645_0_0 {
	meta:
		name = "catanf"
		size = 194
		refs = "0018 crealf 0028 cimagf 003c _FCbuild 0050 catanhf"
	strings:
		$1 = { 2D E9 00 48 EB 46 8E B0 CD ED 05 0A 8D ED 04 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 00 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 01 0A DD ED 00 0A 9D ED 01 0A B1 EE 40 0A ?? ?? ?? ?? CD ED 07 0A 8D ED 06 0A 9D ED 06 0A DD ED 07 0A ?? ?? ?? ?? CD ED 09 0A 8D ED 08 0A 9D ED 08 0A 8D ED 04 0A 9D ED 09 0A 8D ED 05 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 02 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 03 0A 9D ED 02 0A F1 EE 40 0A 9D ED 03 0A ?? ?? ?? ?? CD ED 0B 0A 8D ED 0A 0A 9D ED 0A 0A 8D ED 0C 0A 9D ED 0B 0A 8D ED 0D 0A 9D ED 0C 0A DD ED 0D 0A 0E B0 BD E8 00 88 }
	condition:
		$1
}

rule file_173_0_0 {
	meta:
		name = "csinf"
		size = 194
		refs = "0018 crealf 0028 cimagf 003c _FCbuild 0050 csinhf"
	strings:
		$1 = { 2D E9 00 48 EB 46 8E B0 CD ED 05 0A 8D ED 04 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 00 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 01 0A DD ED 00 0A 9D ED 01 0A B1 EE 40 0A ?? ?? ?? ?? CD ED 07 0A 8D ED 06 0A 9D ED 06 0A DD ED 07 0A ?? ?? ?? ?? CD ED 09 0A 8D ED 08 0A 9D ED 08 0A 8D ED 04 0A 9D ED 09 0A 8D ED 05 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 02 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 03 0A 9D ED 02 0A F1 EE 40 0A 9D ED 03 0A ?? ?? ?? ?? CD ED 0B 0A 8D ED 0A 0A 9D ED 0A 0A 8D ED 0C 0A 9D ED 0B 0A 8D ED 0D 0A 9D ED 0C 0A DD ED 0D 0A 0E B0 BD E8 00 88 }
	condition:
		$1
}

rule file_63_5_0 {
	meta:
		name = "_ismbstrail_l"
		size = 412
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00ce ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00d4 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00ee ??1_LocaleUpdate@@QAA@XZ 0188 ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 018c ??_C@_1BM@OFENOEOH@?$AA_?$AAi?$AAs?$AAm?$AAb?$AAs?$AAt?$AAr?$AAa?$AAi?$AAl?$AA_?$AAl?$AA?$AA@ 0190 ??_C@_1GG@DKOKPMH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0194 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0198 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 18 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 5C 4B 01 93 5A 4B 00 93 00 23 1D 22 57 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1D 23 4D 4A 4B 49 4E 48 ?? ?? ?? ?? 00 23 02 93 88 E0 19 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 40 4B 01 93 42 4B 00 93 00 23 1E 22 3F 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 1E 23 35 4A 33 49 32 48 ?? ?? ?? ?? 00 23 02 93 58 E0 1A 99 12 A8 ?? ?? ?? ?? 12 A8 ?? ?? ?? ?? 0B 90 0B 9B 1B 1D 1B 68 08 33 1B 68 00 2B 07 D1 00 23 0C 93 12 A8 ?? ?? ?? ?? 0C 9B 02 93 41 E0 18 9A 19 9B 9A 42 36 D8 18 9B 1B 78 00 2B 32 D0 12 A8 ?? ?? ?? ?? 0D 90 0D 9B 1B 1D 1B 68 03 F1 19 01 18 9B 1A 78 01 23 02 FB 03 F3 0B 44 1B 78 13 F0 04 0F 1B D0 18 9B 5B 1C 18 93 18 9A 19 9B 9A 42 08 D1 6F F0 00 03 0E 93 12 A8 ?? ?? ?? ?? 0E 9B 02 93 16 E0 18 9B 1B 78 00 2B 07 D1 00 23 0F 93 12 A8 ?? ?? ?? ?? 0F 9B 02 93 0A E0 18 9B 5B 1C 18 93 C4 E7 00 23 10 93 12 A8 ?? ?? ?? ?? 10 9B 02 93 02 98 16 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_64_0_0 {
	meta:
		name = "creall"
		size = 36
		altNames = "creal"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 04 1B 8D ED 02 0B 02 AB 93 ED 00 0B 8D ED 00 0B 9D ED 00 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_65_0_0 {
	meta:
		name = "??$common_xtox@KD@@YAHKQADII_N@Z"
		size = 356
		refs = "0044 __rt_udiv 00d2 _CrtDbgReportW 00e6 _errno 00fe _invalid_parameter 0154 ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 0158 ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 015c ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0160 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 11 9B 03 93 00 23 04 93 10 9B 05 93 9D F8 50 30 00 2B 0B D0 03 9A 2D 23 13 70 03 9B 5B 1C 03 93 04 9B 5B 1C 04 93 05 9B 5B 42 05 93 03 9B 06 93 05 99 13 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 07 91 05 99 13 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 05 90 07 9B 09 2B 09 D9 07 9B 0A 3B 61 33 5A B2 03 9B 1A 70 03 9B 5B 1C 03 93 07 E0 07 9B 30 33 5A B2 03 9B 1A 70 03 9B 5B 1C 03 93 04 9B 5B 1C 04 93 05 9B 00 2B 03 D9 04 9A 12 9B 9A 42 D0 D3 04 9A 12 9B 9A 42 33 D3 11 9A 00 23 13 70 04 9A 12 9B 9A 42 02 D2 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 24 4B 01 93 26 4B 00 93 00 23 53 22 23 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 22 23 13 60 00 23 00 93 53 23 18 4A 17 49 15 48 ?? ?? ?? ?? 22 23 0A 93 1F E0 03 9A 00 23 13 70 03 9B 5B 1E 03 93 03 9B 93 F9 00 30 8D F8 08 30 06 9B 93 F9 00 20 03 9B 1A 70 9D F9 08 20 06 9B 1A 70 03 9B 5B 1E 03 93 06 9B 5B 1C 06 93 06 9A 03 9B 9A 42 E7 D3 00 23 0A 93 0A 98 0E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_1_0 {
	meta:
		name = "??$common_xtox@K_W@@YAHKQA_WII_N@Z"
		size = 352
		refs = "0044 __rt_udiv 00d2 _CrtDbgReportW 00e6 _errno 00fe _invalid_parameter 0150 ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 0154 ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 0158 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 015c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 11 9B 03 93 00 23 04 93 10 9B 05 93 9D F8 50 30 00 2B 0B D0 03 9A 2D 23 13 80 03 9B 9B 1C 03 93 04 9B 5B 1C 04 93 05 9B 5B 42 05 93 03 9B 06 93 05 99 13 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 07 91 05 99 13 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 05 90 07 9B 09 2B 09 D9 07 9B 0A 3B 61 33 9A B2 03 9B 1A 80 03 9B 9B 1C 03 93 07 E0 07 9B 30 33 9A B2 03 9B 1A 80 03 9B 9B 1C 03 93 04 9B 5B 1C 04 93 05 9B 00 2B 03 D9 04 9A 12 9B 9A 42 D0 D3 04 9A 12 9B 9A 42 33 D3 11 9A 00 23 13 80 04 9A 12 9B 9A 42 02 D2 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 23 4B 01 93 25 4B 00 93 00 23 53 22 22 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 22 23 13 60 00 23 00 93 53 23 17 4A 16 49 14 48 ?? ?? ?? ?? 22 23 0A 93 1D E0 03 9A 00 23 13 80 03 9B 9B 1E 03 93 03 9B 1B 88 AD F8 08 30 06 9B 1A 88 03 9B 1A 80 BD F8 08 20 06 9B 1A 80 03 9B 9B 1E 03 93 06 9B 9B 1C 06 93 06 9A 03 9B 9A 42 E9 D3 00 23 0A 93 0A 98 0E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_2_0 {
	meta:
		name = "??$common_xtox@_KD@@YAH_KQADII_N@Z"
		size = 408
		refs = "0054 __rt_udiv64 0104 _CrtDbgReportW 0118 _errno 0130 _invalid_parameter 0188 ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 018c ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 0190 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0194 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 1A 9B 03 93 00 23 04 93 18 9B 0E 93 19 9B 0F 93 9D F8 74 30 00 2B 0F D0 03 9A 2D 23 13 70 03 9B 5B 1C 03 93 04 9B 5B 1C 04 93 0E 9A 0F 99 00 23 52 42 8B 41 0E 92 0F 93 03 9B 05 93 1C 98 00 21 0E 9A 0F 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 13 91 12 90 13 46 06 93 1C 98 00 21 0E 9A 0F 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 15 93 14 92 0E 90 0F 91 06 9B 09 2B 09 D9 06 9B 0A 3B 61 33 5A B2 03 9B 1A 70 03 9B 5B 1C 03 93 07 E0 06 9B 30 33 5A B2 03 9B 1A 70 03 9B 5B 1C 03 93 04 9B 5B 1C 04 93 0E 9B 10 93 0F 9B 11 93 10 9B 0A 93 11 9B 00 2B 02 D8 0A 9B 00 2B 03 D9 04 9A 1B 9B 9A 42 BD D3 04 9A 1B 9B 9A 42 33 D3 1A 9A 00 23 13 70 04 9A 1B 9B 9A 42 02 D2 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 24 4B 01 93 26 4B 00 93 00 23 53 22 23 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 22 23 13 60 00 23 00 93 53 23 19 4A 17 49 16 48 ?? ?? ?? ?? 22 23 09 93 1F E0 03 9A 00 23 13 70 03 9B 5B 1E 03 93 03 9B 93 F9 00 30 8D F8 08 30 05 9B 93 F9 00 20 03 9B 1A 70 9D F9 08 20 05 9B 1A 70 03 9B 5B 1E 03 93 05 9B 5B 1C 05 93 05 9A 03 9B 9A 42 E7 D3 00 23 09 93 09 98 16 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_3_0 {
	meta:
		name = "??$common_xtox@_K_W@@YAH_KQA_WII_N@Z"
		size = 404
		refs = "0054 __rt_udiv64 0104 _CrtDbgReportW 0118 _errno 0130 _invalid_parameter 0184 ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 0188 ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 018c ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0190 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 1A 9B 03 93 00 23 04 93 18 9B 0E 93 19 9B 0F 93 9D F8 74 30 00 2B 0F D0 03 9A 2D 23 13 80 03 9B 9B 1C 03 93 04 9B 5B 1C 04 93 0E 9A 0F 99 00 23 52 42 8B 41 0E 92 0F 93 03 9B 05 93 1C 98 00 21 0E 9A 0F 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 13 91 12 90 13 46 06 93 1C 98 00 21 0E 9A 0F 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 15 93 14 92 0E 90 0F 91 06 9B 09 2B 09 D9 06 9B 0A 3B 61 33 9A B2 03 9B 1A 80 03 9B 9B 1C 03 93 07 E0 06 9B 30 33 9A B2 03 9B 1A 80 03 9B 9B 1C 03 93 04 9B 5B 1C 04 93 0E 9B 10 93 0F 9B 11 93 10 9B 0A 93 11 9B 00 2B 02 D8 0A 9B 00 2B 03 D9 04 9A 1B 9B 9A 42 BD D3 04 9A 1B 9B 9A 42 33 D3 1A 9A 00 23 13 80 04 9A 1B 9B 9A 42 02 D2 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 23 4B 01 93 25 4B 00 93 00 23 53 22 22 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 22 23 13 60 00 23 00 93 53 23 18 4A 16 49 15 48 ?? ?? ?? ?? 22 23 09 93 1D E0 03 9A 00 23 13 80 03 9B 9B 1E 03 93 03 9B 1B 88 AD F8 08 30 05 9B 1A 88 03 9B 1A 80 BD F8 08 20 05 9B 1A 80 03 9B 9B 1E 03 93 05 9B 9B 1C 05 93 05 9A 03 9B 9A 42 E9 D3 00 23 09 93 09 98 16 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_4_0 {
	meta:
		name = "??$common_xtox_s@KD@@YAHKQADII_N@Z"
		size = 560
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00e8 _CrtGetDebugFillThreshold 0110 memset 01fc ??$common_xtox@KD@@YAHKQADII_N@Z 0214 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 0218 ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 021c ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0220 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0224 ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 0228 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 022c ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1B 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 81 4B 01 93 7D 4B 00 93 00 23 72 22 7A 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 72 23 70 4A 6E 49 73 48 ?? ?? ?? ?? 16 23 02 93 CD E0 1C 9B 00 2B 02 D9 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 68 4B 01 93 65 4B 00 93 00 23 73 22 62 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 73 23 58 4A 56 49 5A 48 ?? ?? ?? ?? 16 23 02 93 9D E0 1B 9A 00 23 13 70 1C 9B B3 F1 FF 3F 1D D0 1C 9A 6F F0 00 43 9A 42 18 D0 1C 9B 01 2B 15 D9 ?? ?? ?? ?? 12 90 12 9B 07 93 1C 9B 5A 1E 07 9B 93 42 02 D2 07 9B 08 93 02 E0 1C 9B 5B 1E 08 93 08 9A FE 21 1B 9B 58 1C ?? ?? ?? ?? 9D F8 78 30 00 2B 02 D0 02 23 09 93 01 E0 01 23 09 93 1C 9A 09 9B 9A 42 02 D9 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 38 4B 01 93 36 4B 00 93 00 23 75 22 33 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 14 90 14 9A 22 23 13 60 00 23 00 93 75 23 28 4A 27 49 29 48 ?? ?? ?? ?? 22 23 02 93 3E E0 1D 9B 02 2B 05 D3 1D 9B 24 2B 02 D8 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 1A 4B 01 93 1C 4B 00 93 00 23 76 22 19 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 76 23 0F 4A 0D 49 0C 48 ?? ?? ?? ?? 16 23 02 93 0B E0 9D F8 78 30 00 93 1D 9B 1C 9A 1B 99 1A 98 ?? ?? ?? ?? 17 90 17 9B 02 93 02 98 18 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_5_0 {
	meta:
		name = "??$common_xtox_s@K_W@@YAHKQA_WII_N@Z"
		size = 564
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00e8 _CrtGetDebugFillThreshold 0116 memset 0202 ??$common_xtox@K_W@@YAHKQA_WII_N@Z 0218 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 021c ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 0220 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0224 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0228 ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 022c ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0230 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1B 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 82 4B 01 93 7E 4B 00 93 00 23 72 22 7B 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 72 23 71 4A 6F 49 74 48 ?? ?? ?? ?? 16 23 02 93 D0 E0 1C 9B 00 2B 02 D9 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 69 4B 01 93 66 4B 00 93 00 23 73 22 63 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 73 23 59 4A 57 49 5B 48 ?? ?? ?? ?? 16 23 02 93 A0 E0 1B 9A 00 23 13 80 1C 9B B3 F1 FF 3F 20 D0 1C 9A 6F F0 00 43 9A 42 1B D0 1C 9B 01 2B 18 D9 ?? ?? ?? ?? 12 90 12 9B 07 93 1C 9B 5A 1E 07 9B 93 42 02 D2 07 9B 08 93 02 E0 1C 9B 5B 1E 08 93 08 9A 02 23 02 FB 03 F2 FE 21 1B 9B 98 1C ?? ?? ?? ?? 9D F8 78 30 00 2B 02 D0 02 23 09 93 01 E0 01 23 09 93 1C 9A 09 9B 9A 42 02 D9 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 37 4B 01 93 35 4B 00 93 00 23 75 22 32 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 14 90 14 9A 22 23 13 60 00 23 00 93 75 23 28 4A 26 49 29 48 ?? ?? ?? ?? 22 23 02 93 3E E0 1D 9B 02 2B 05 D3 1D 9B 24 2B 02 D8 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 1A 4B 01 93 1C 4B 00 93 00 23 76 22 19 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 76 23 0E 4A 0D 49 0B 48 ?? ?? ?? ?? 16 23 02 93 0B E0 9D F8 78 30 00 93 1D 9B 1C 9A 1B 99 1A 98 ?? ?? ?? ?? 17 90 17 9B 02 93 02 98 18 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_6_0 {
	meta:
		name = "??$common_xtox_s@_KD@@YAH_KQADII_N@Z"
		size = 564
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00e8 _CrtGetDebugFillThreshold 0110 memset 0200 ??$common_xtox@_KD@@YAH_KQADII_N@Z 0218 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 021c ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 0220 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0224 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0228 ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 022c ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0230 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1C 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 82 4B 01 93 7E 4B 00 93 00 23 72 22 7B 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 72 23 71 4A 6F 49 74 48 ?? ?? ?? ?? 16 23 02 93 CF E0 1D 9B 00 2B 02 D9 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 69 4B 01 93 66 4B 00 93 00 23 73 22 63 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 73 23 59 4A 57 49 5B 48 ?? ?? ?? ?? 16 23 02 93 9F E0 1C 9A 00 23 13 70 1D 9B B3 F1 FF 3F 1D D0 1D 9A 6F F0 00 43 9A 42 18 D0 1D 9B 01 2B 15 D9 ?? ?? ?? ?? 12 90 12 9B 07 93 1D 9B 5A 1E 07 9B 93 42 02 D2 07 9B 08 93 02 E0 1D 9B 5B 1E 08 93 08 9A FE 21 1C 9B 58 1C ?? ?? ?? ?? 9D F8 7C 30 00 2B 02 D0 02 23 09 93 01 E0 01 23 09 93 1D 9A 09 9B 9A 42 02 D9 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 39 4B 01 93 37 4B 00 93 00 23 75 22 34 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 14 90 14 9A 22 23 13 60 00 23 00 93 75 23 29 4A 28 49 2A 48 ?? ?? ?? ?? 22 23 02 93 40 E0 1E 9B 02 2B 05 D3 1E 9B 24 2B 02 D8 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 76 22 1A 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 76 23 10 4A 0E 49 0D 48 ?? ?? ?? ?? 16 23 02 93 0D E0 9D F8 7C 30 01 93 1E 9B 00 93 1D 9B 1C 9A 1A 98 1B 99 ?? ?? ?? ?? 17 90 17 9B 02 93 02 98 18 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_7_0 {
	meta:
		name = "??$common_xtox_s@_K_W@@YAH_KQA_WII_N@Z"
		size = 568
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00e8 _CrtGetDebugFillThreshold 0116 memset 0206 ??$common_xtox@_K_W@@YAH_KQA_WII_N@Z 021c ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 0220 ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 0224 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0228 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 022c ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 0230 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0234 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1C 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 83 4B 01 93 7F 4B 00 93 00 23 72 22 7C 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 72 23 72 4A 70 49 75 48 ?? ?? ?? ?? 16 23 02 93 D2 E0 1D 9B 00 2B 02 D9 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 6A 4B 01 93 67 4B 00 93 00 23 73 22 64 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 73 23 5A 4A 58 49 5C 48 ?? ?? ?? ?? 16 23 02 93 A2 E0 1C 9A 00 23 13 80 1D 9B B3 F1 FF 3F 20 D0 1D 9A 6F F0 00 43 9A 42 1B D0 1D 9B 01 2B 18 D9 ?? ?? ?? ?? 12 90 12 9B 07 93 1D 9B 5A 1E 07 9B 93 42 02 D2 07 9B 08 93 02 E0 1D 9B 5B 1E 08 93 08 9A 02 23 02 FB 03 F2 FE 21 1C 9B 98 1C ?? ?? ?? ?? 9D F8 7C 30 00 2B 02 D0 02 23 09 93 01 E0 01 23 09 93 1D 9A 09 9B 9A 42 02 D9 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 38 4B 01 93 36 4B 00 93 00 23 75 22 33 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 14 90 14 9A 22 23 13 60 00 23 00 93 75 23 29 4A 27 49 2A 48 ?? ?? ?? ?? 22 23 02 93 40 E0 1E 9B 02 2B 05 D3 1E 9B 24 2B 02 D8 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 76 22 1A 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 76 23 0F 4A 0E 49 0C 48 ?? ?? ?? ?? 16 23 02 93 0D E0 9D F8 7C 30 01 93 1E 9B 00 93 1D 9B 1C 9A 1A 98 1B 99 ?? ?? ?? ?? 17 90 17 9B 02 93 02 98 18 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_65_8_0 {
	meta:
		name = "_i64toa"
		size = 104
		refs = "0054 ??$common_xtox@_KD@@YAH_KQADII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0D 9B 0A 2B 10 D1 0A 9B 06 93 0B 9B 07 93 06 9B 03 93 07 9B 00 2B 07 DC 02 DB 03 9B 00 2B 03 D2 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 01 93 0D 9B 00 93 6F F0 00 03 0C 9A 0A 98 0B 99 ?? ?? ?? ?? 0C 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_10_0 {
	meta:
		name = "_i64tow"
		size = 104
		refs = "0054 ??$common_xtox@_K_W@@YAH_KQA_WII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0D 9B 0A 2B 10 D1 0A 9B 06 93 0B 9B 07 93 06 9B 03 93 07 9B 00 2B 07 DC 02 DB 03 9B 00 2B 03 D2 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 01 93 0D 9B 00 93 6F F0 00 03 0C 9A 0A 98 0B 99 ?? ?? ?? ?? 0C 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_9_0 {
	meta:
		name = "_i64toa_s"
		size = 104
		refs = "0052 ??$common_xtox_s@_KD@@YAH_KQADII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0E 9B 0A 2B 10 D1 0A 9B 06 93 0B 9B 07 93 06 9B 03 93 07 9B 00 2B 07 DC 02 DB 03 9B 00 2B 03 D2 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 01 93 0E 9B 00 93 0D 9B 0C 9A 0A 98 0B 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_11_0 {
	meta:
		name = "_i64tow_s"
		size = 104
		refs = "0052 ??$common_xtox_s@_K_W@@YAH_KQA_WII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0E 9B 0A 2B 10 D1 0A 9B 06 93 0B 9B 07 93 06 9B 03 93 07 9B 00 2B 07 DC 02 DB 03 9B 00 2B 03 D2 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 01 93 0E 9B 00 93 0D 9B 0C 9A 0A 98 0B 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_12_0 {
	meta:
		name = "_itoa"
		size = 80
		refs = "003c ??$common_xtox@KD@@YAHKQADII_N@Z"
		altNames = "_ltoa"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 0A 2B 06 D1 06 9B 00 2B 03 DA 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 93 08 9B 6F F0 00 02 07 99 06 98 ?? ?? ?? ?? 07 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_14_0 {
	meta:
		name = "_itow"
		size = 80
		refs = "003c ??$common_xtox@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 0A 2B 06 D1 06 9B 00 2B 03 DA 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 93 08 9B 6F F0 00 02 07 99 06 98 ?? ?? ?? ?? 07 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_18_0 {
	meta:
		name = "_ltow"
		size = 80
		refs = "003c ??$common_xtox@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 0A 2B 06 D1 06 9B 00 2B 03 DA 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 93 08 9B 6F F0 00 02 07 99 06 98 ?? ?? ?? ?? 07 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_13_0 {
	meta:
		name = "_itoa_s"
		size = 80
		refs = "003a ??$common_xtox_s@KD@@YAHKQADII_N@Z"
		altNames = "_ltoa_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B 9B 0A 2B 06 D1 08 9B 00 2B 03 DA 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 93 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_15_0 {
	meta:
		name = "_itow_s"
		size = 80
		refs = "003a ??$common_xtox_s@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B 9B 0A 2B 06 D1 08 9B 00 2B 03 DA 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 93 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_19_0 {
	meta:
		name = "_ltow_s"
		size = 80
		refs = "003a ??$common_xtox_s@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B 9B 0A 2B 06 D1 08 9B 00 2B 03 DA 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 93 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_20_0 {
	meta:
		name = "_ui64toa"
		size = 48
		refs = "001c ??$common_xtox@_KD@@YAH_KQADII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 09 9B 00 93 6F F0 00 03 08 9A 06 98 07 99 ?? ?? ?? ?? 08 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_22_0 {
	meta:
		name = "_ui64tow"
		size = 48
		refs = "001c ??$common_xtox@_K_W@@YAH_KQA_WII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 09 9B 00 93 6F F0 00 03 08 9A 06 98 07 99 ?? ?? ?? ?? 08 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_21_0 {
	meta:
		name = "_ui64toa_s"
		size = 48
		refs = "001a ??$common_xtox_s@_KD@@YAH_KQADII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 0A 9B 00 93 09 9B 08 9A 06 98 07 99 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_23_0 {
	meta:
		name = "_ui64tow_s"
		size = 48
		refs = "001a ??$common_xtox_s@_K_W@@YAH_KQA_WII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 0A 9B 00 93 09 9B 08 9A 06 98 07 99 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_24_0 {
	meta:
		name = "_ultoa"
		size = 44
		refs = "0018 ??$common_xtox@KD@@YAHKQADII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 08 9B 6F F0 00 02 07 99 06 98 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_26_0 {
	meta:
		name = "_ultow"
		size = 44
		refs = "0018 ??$common_xtox@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 08 9B 6F F0 00 02 07 99 06 98 ?? ?? ?? ?? 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_25_0 {
	meta:
		name = "_ultoa_s"
		size = 44
		refs = "0016 ??$common_xtox_s@KD@@YAHKQADII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_153_15_0 {
	meta:
		name = "_aligned_recalloc_base"
		size = 44
		refs = "0016 _aligned_offset_recalloc_base"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_65_27_0 {
	meta:
		name = "_ultow_s"
		size = 44
		refs = "0016 ??$common_xtox_s@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_66_0_0 {
	meta:
		name = "_call_matherr"
		size = 108
		refs = "003a _ctrlfp 0040 __acrt_invoke_user_matherr 004e _set_errno_from_matherr"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 8D ED 06 2B 8D ED 04 1B 8D ED 02 0B 14 9B 0A 93 16 9B 0B 93 9D ED 02 0B 8D ED 0C 0B 9D ED 04 0B 8D ED 0E 0B 9D ED 06 0B 8D ED 10 0B 0C 49 17 98 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 00 90 00 9B 00 2B 02 D1 14 98 ?? ?? ?? ?? 9D ED 10 0B 8D ED 08 0B 9D ED 08 0B 12 B0 5D F8 04 BB 5D F8 14 FB 00 9F C0 03 }
	condition:
		$1
}

rule file_66_1_0 {
	meta:
		name = "_exception_enabled"
		size = 214
		refs = "0024 _set_statfp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F0 1F 03 00 93 06 9B 13 F0 08 0F 0B D0 07 9B 13 F4 80 7F 07 D0 01 20 ?? ?? ?? ?? 00 9B 23 F0 08 03 00 93 32 E0 06 9B 13 F0 04 0F 0B D0 07 9B 13 F4 00 7F 07 D0 02 20 ?? ?? ?? ?? 00 9B 23 F0 04 03 00 93 22 E0 06 9B 13 F0 01 0F 0B D0 07 9B 13 F4 80 6F 07 D0 04 20 ?? ?? ?? ?? 00 9B 23 F0 01 03 00 93 12 E0 06 9B 13 F0 02 0F 0E D0 07 9B 13 F4 00 6F 0A D0 06 9B 13 F0 10 0F 02 D0 08 20 ?? ?? ?? ?? 00 9B 23 F0 02 03 00 93 06 9B 13 F0 10 0F 0A D0 07 9B 13 F4 80 5F 06 D0 10 20 ?? ?? ?? ?? 00 9B 23 F0 10 03 00 93 00 9B 00 2B 02 D0 00 23 01 93 01 E0 01 23 01 93 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_66_2_0 {
	meta:
		name = "_handle_error"
		size = 280
		refs = "000a __security_push_cookie 0038 _ctrlfp 0052 _exception_enabled 00ac _raise_exc 00b0 __acrt_has_user_matherr 00d6 _call_matherr 00ec _set_errno_from_matherr 0108 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 90 B0 6F 46 82 B0 87 ED 08 1B 87 ED 0A 0B 5D F8 80 39 02 AB 3B 60 3B 68 0F 33 3B 60 3B 68 23 F0 0F 03 3B 60 38 49 4F F4 1F 40 ?? ?? ?? ?? F8 60 FB 68 BB 60 BA 6D FB 6D 43 EC 10 2B 87 ED 06 0B B9 68 78 6E ?? ?? ?? ?? 38 61 3B 69 00 2B 28 D1 FB 6E 02 2B 18 D1 3B 68 40 33 1B 68 43 F0 01 02 3B 68 40 33 1A 60 3B 68 40 33 19 68 01 23 63 F3 44 01 3B 68 03 F1 40 02 0B 46 13 60 3B 68 30 33 97 ED 08 0B 83 ED 00 0B 17 F1 18 03 01 93 17 F1 28 03 00 93 7B 6D 7A 6E 17 F1 08 01 38 68 ?? ?? ?? ?? ?? ?? ?? ?? 38 71 3B 79 00 2B 16 D0 3B 6E 00 2B 13 D0 BB 68 97 ED 06 2B 97 ED 08 1B 97 ED 0A 0B 3A 6D B9 6E 38 6E ?? ?? ?? ?? 87 ED 0E 0B 97 ED 0E 0B 87 ED 0C 0B 0B E0 02 E0 38 6E ?? ?? ?? ?? 08 49 B8 68 ?? ?? ?? ?? 97 ED 06 0B 87 ED 0C 0B 97 ED 0C 0B BD 46 10 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB 00 9F C0 03 }
	condition:
		$1
}

rule file_66_3_0 {
	meta:
		name = "_handle_errorf"
		size = 288
		refs = "000a __security_push_cookie 0038 _ctrlfp 0050 _exception_enabled 00a4 _raise_excf 00a8 __acrt_has_user_matherr 00da _call_matherr 00f4 _set_errno_from_matherr 0110 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 8C B0 6F 46 82 B0 C7 ED 04 0A 87 ED 05 0A 5D F8 80 39 02 AB 3B 60 3B 68 0F 33 3B 60 3B 68 23 F0 0F 03 3B 60 3A 49 4F F4 1F 40 ?? ?? ?? ?? F8 61 FB 69 BB 60 BB 6C 00 EE 10 3A 87 ED 03 0A B9 68 78 6D ?? ?? ?? ?? 38 62 3B 6A 00 2B 25 D1 FB 6D 02 2B 15 D1 3B 68 40 33 1B 68 43 F0 01 02 3B 68 40 33 1A 60 3B 68 40 33 1B 68 23 F0 1E 02 3B 68 40 33 1A 60 3B 68 30 33 97 ED 04 0A 83 ED 00 0A 17 F1 0C 03 01 93 17 F1 14 03 00 93 7B 6C 7A 6D 17 F1 08 01 38 68 ?? ?? ?? ?? ?? ?? ?? ?? 38 71 3B 79 00 2B 1E D0 3B 6D 00 2B 1B D0 BB 68 97 ED 03 0A B7 EE C0 2A 97 ED 04 0A B7 EE C0 1A 97 ED 05 0A B7 EE C0 0A 3A 6C B9 6D 38 6D ?? ?? ?? ?? 87 ED 0A 0B 97 ED 0A 0B B7 EE C0 0B 87 ED 06 0A 0B E0 02 E0 38 6D ?? ?? ?? ?? 08 49 B8 68 ?? ?? ?? ?? 97 ED 03 0A 87 ED 06 0A 97 ED 06 0A BD 46 0C B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB 00 9F C0 03 }
	condition:
		$1
}

rule file_66_4_0 {
	meta:
		name = "_handle_nan"
		size = 56
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9A 07 9B 43 F4 00 23 06 92 07 93 06 9A 07 9B 43 EC 10 2B 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_66_5_0 {
	meta:
		name = "_handle_nanf"
		size = 50
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 43 F4 80 03 04 93 04 9B 00 EE 10 3A 8D ED 00 0A 9D ED 00 0A 8D ED 01 0A 9D ED 01 0A 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_67_0_0 {
	meta:
		name = "_logbf"
		size = 292
		refs = "0054 _handle_errorf 0118 ??_C@_06NFPIKLH@_logbf?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 07 0A 9D ED 07 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 04 93 04 9B 03 F0 FF 43 DB 0D 7F 3B 05 93 04 9B 23 F0 00 43 00 2B 19 D1 01 23 03 93 DF ED 38 0A 9D ED 07 0A 22 23 02 93 04 23 01 93 02 23 00 93 34 4A 00 23 25 21 31 48 ?? ?? ?? ?? 8D ED 08 0A 9D ED 08 0A 8D ED 06 0A 53 E0 52 E0 05 9B 13 F1 7E 0F 0B DB 05 9B 7F 2B 08 DC 05 9B 00 EE 10 3A B8 EE C0 0A 8D ED 06 0A 43 E0 42 E0 05 9B 7F 2B 26 DD 04 9B 6F F3 DF 53 00 2B 05 D1 9D ED 07 0A 8D ED 06 0A 35 E0 1A E0 01 23 03 93 DF ED 1C 0A 9D ED 07 0A 21 23 02 93 00 23 01 93 01 23 00 93 04 9B 43 F4 80 02 00 23 25 21 14 48 ?? ?? ?? ?? 8D ED 09 0A 9D ED 09 0A 8D ED 06 0A 19 E0 18 E0 04 9B 6F F3 DF 53 04 93 6F F0 7D 03 05 93 04 9B B3 F5 00 0F 06 D2 04 9B 5B 00 04 93 05 9B 5B 1E 05 93 F4 E7 05 9B 00 EE 10 3A B8 EE C0 0A 8D ED 06 0A 9D ED 06 0A 0A B0 BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 80 FF }
	condition:
		$1
}

rule file_68_0_0 {
	meta:
		name = "llrintl"
		size = 180
		refs = "000e _ldtest 0032 nearbyintl 0056 _fperrraise 0082 __dtoi64"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 06 0B 06 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 37 D0 01 9B 00 2B 02 DD 01 9B 02 2B 2E DD 9D ED 06 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 04 0B 9D ED 04 1B 9D ED 06 0B B4 EE 40 1B F1 EE 10 FA 02 D0 20 20 ?? ?? ?? ?? 9F ED 14 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 0F D8 9D ED 04 1B 9F ED 0C 0B B4 EE C0 1B F1 EE 10 FA 06 D8 9D ED 04 0B ?? ?? ?? ?? 02 90 03 91 06 E0 01 20 ?? ?? ?? ?? 00 23 02 93 00 23 03 93 02 98 03 99 0A B0 BD E8 00 88 00 00 00 00 00 00 E0 43 00 00 00 00 00 00 E0 C3 }
	condition:
		$1
}

rule file_323_0_0 {
	meta:
		name = "llrint"
		size = 180
		refs = "000e _dtest 0032 nearbyint 0056 _fperrraise 0082 __dtoi64"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 06 0B 06 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 37 D0 01 9B 00 2B 02 DD 01 9B 02 2B 2E DD 9D ED 06 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 04 0B 9D ED 04 1B 9D ED 06 0B B4 EE 40 1B F1 EE 10 FA 02 D0 20 20 ?? ?? ?? ?? 9F ED 14 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 0F D8 9D ED 04 1B 9F ED 0C 0B B4 EE C0 1B F1 EE 10 FA 06 D8 9D ED 04 0B ?? ?? ?? ?? 02 90 03 91 06 E0 01 20 ?? ?? ?? ?? 00 23 02 93 00 23 03 93 02 98 03 99 0A B0 BD E8 00 88 00 00 00 00 00 00 E0 43 00 00 00 00 00 00 E0 C3 }
	condition:
		$1
}

rule file_69_4_0 {
	meta:
		name = "_get_fmode"
		size = 164
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006c ?value@?$dual_state_global@H@__crt_state_management@@QAAAAHXZ 0074 ??$__crt_interlocked_read@H@@YAHPDH@Z 0090 _fmode 0094 ??_C@_1CC@ODGEBJBO@?$AAp?$AAM?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0098 ??_C@_1BG@CKGMPOFH@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 009c ??_C@_1GC@CIJNGKLD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 72 22 1A 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 72 23 10 4A 0E 49 0D 48 ?? ?? ?? ?? 16 23 04 93 0C E0 09 48 ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? 08 90 08 9A 0C 9B 1A 60 00 23 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_69_5_0 {
	meta:
		name = "_set_fmode"
		size = 192
		refs = "0046 _CrtDbgReportW 005a _errno 0072 _invalid_parameter 007e ?value@?$dual_state_global@H@__crt_state_management@@QAAAAHXZ 00ac _fmode 00b0 ??_C@_1HC@GNDCDMJL@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAB?$AAI@ 00b4 ??_C@_1BG@IEEHLOCL@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 00b8 ??_C@_1GC@CIJNGKLD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00bc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B B3 F5 80 4F 0A D0 0A 9B B3 F5 00 4F 06 D0 0A 9B B3 F5 80 3F 02 D0 00 23 02 93 01 E0 01 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 65 22 1D 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 65 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 16 23 04 93 11 E0 0B 48 ?? ?? ?? ?? 07 90 BF F3 5B 8F 07 98 0A 99 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 BF F3 5B 8F 00 23 04 93 04 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_69_6_0 {
	meta:
		name = "_setmode"
		size = 584
		refs = "005c _CrtDbgReportW 0070 _errno 0088 _invalid_parameter 01a2 __acrt_lowio_lock_fh 0204 _setmode_nolock 0210 __acrt_lowio_unlock_fh 0224 ??_C@_1GC@CIJNGKLD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0228 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 022c ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0230 __pioinfo 0234 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0238 ??_C@_1BC@JBGGJDCM@?$AA_?$AAs?$AAe?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 023c ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0240 _nhandle 0244 ??_C@_1MI@PNMMBOIN@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAB?$AAI@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 93 B0 6F 46 82 B0 FB 6D B3 F5 80 4F 12 D0 FB 6D B3 F5 00 4F 0E D0 FB 6D B3 F5 80 3F 0A D0 FB 6D B3 F5 80 2F 06 D0 FB 6D B3 F5 00 3F 02 D0 00 23 7B 60 01 E0 01 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 7D 4B 01 93 75 4B 00 93 00 23 1A 22 72 49 02 20 ?? ?? ?? ?? 38 62 3B 6A 01 2B 00 D1 FE DE BB 68 00 2B 11 D1 ?? ?? ?? ?? 78 62 7A 6A 16 23 13 60 00 23 00 93 1A 23 68 4A 6C 49 6F 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 C1 E0 BB 6D 13 F1 02 0F 09 D1 ?? ?? ?? ?? B8 62 BA 6A 09 23 13 60 6F F0 00 03 3B 60 B3 E0 BB 6D 00 2B 07 DB BA 6D 61 4B 1B 68 9A 42 02 D2 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 59 4B 01 93 53 4B 00 93 00 23 1D 22 50 49 02 20 ?? ?? ?? ?? F8 62 FB 6A 01 2B 00 D1 FE DE 3B 69 00 2B 11 D1 ?? ?? ?? ?? 38 63 3A 6B 09 23 13 60 00 23 00 93 1D 23 46 4A 4A 49 4B 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 7D E0 BB 6D 9A 11 04 23 02 FB 03 F2 42 4B 99 18 BB 6D 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 36 4B 01 93 32 4B 00 93 00 23 1E 22 2F 49 02 20 ?? ?? ?? ?? 78 63 7B 6B 01 2B 00 D1 FE DE BB 69 00 2B 11 D1 ?? ?? ?? ?? B8 63 BA 6B 09 23 13 60 00 23 00 93 1E 23 25 4A 29 49 28 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 3B E0 B8 6D ?? ?? ?? ?? 6F F0 00 03 FB 61 BB 6D 9A 11 04 23 02 FB 03 F2 1E 4B 99 18 BB 6D 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 15 D1 ?? ?? ?? ?? F8 63 FA 6B 09 23 13 60 12 4B 01 93 10 4B 00 93 00 23 27 22 0D 49 02 20 ?? ?? ?? ?? 38 64 3B 6C 01 2B 00 D1 FE DE 06 E0 F9 6D B8 6D ?? ?? ?? ?? 78 64 7B 6C FB 61 B8 6D ?? ?? ?? ?? FB 69 3B 60 38 68 15 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_69_7_0 {
	meta:
		name = "_setmode$fin$0"
		size = 16
		refs = "0006 __acrt_lowio_unlock_fh"
		altNames = "?fin$0@?0???$common_lseek@J@@YAJHJH@Z@4HA _dup$fin$0 _write$fin$0"
	strings:
		$1 = { 10 B5 82 B0 B8 6D ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_69_8_0 {
	meta:
		name = "_setmode_nolock"
		size = 644
		refs = "0280 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 9A 11 04 23 02 FB 03 F2 9A 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 03 F0 80 03 03 93 06 9B 9A 11 04 23 02 FB 03 F2 90 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 29 33 93 F9 00 30 8D F8 00 30 07 9B 01 93 01 9B B3 F5 80 3F 0D DC 01 9B B3 F5 80 3F 00 F0 AE 80 01 9B B3 F5 80 4F 35 D0 01 9B B3 F5 00 4F 0A D0 DD E0 01 9B B3 F5 00 3F 00 F0 A0 80 01 9B B3 F5 80 2F 61 D0 D3 E0 06 9B 9A 11 04 23 02 FB 03 F2 77 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 80 00 06 9B 9A 11 04 23 02 FB 03 F2 6E 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 AC E0 06 9B 9A 11 04 23 02 FB 03 F2 64 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 43 F0 80 00 06 9B 9A 11 04 23 02 FB 03 F2 5A 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 06 9B 9A 11 04 23 02 FB 03 F2 51 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 29 02 00 23 13 70 72 E0 06 9B 9A 11 04 23 02 FB 03 F2 47 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 43 F0 80 00 06 9B 9A 11 04 23 02 FB 03 F2 3D 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 06 9B 9A 11 04 23 02 FB 03 F2 34 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 29 02 01 23 13 70 38 E0 06 9B 9A 11 04 23 02 FB 03 F2 2A 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 43 F0 80 00 06 9B 9A 11 04 23 02 FB 03 F2 20 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 06 9B 9A 11 04 23 02 FB 03 F2 17 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 29 02 02 23 13 70 03 9B 00 2B 03 D1 4F F4 00 43 02 93 13 E0 9D F9 00 30 00 2B 04 D1 4F F4 80 43 02 93 0B E0 07 E0 9D F9 00 30 01 2B 03 D1 4F F4 80 23 02 93 02 E0 4F F4 80 33 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_0_0 {
	meta:
		name = "_exp2"
		size = 992
		refs = "006e _handle_nan 00d6 _handle_error 02f8 splitexp 031c scaleDouble_1 033c scaleDouble_2 0364 ?log2@?1??_exp2@@9@9 0370 ?one_by_32_lead@?1??_exp2@@9@9 03bc ?log2_tail@?1??_exp2@@9@9 03c0 ?log2_lead@?1??_exp2@@9@9 03cc ??_C@_04HPAFEEIN@exp2?$AA@ 03d0 ?min_exp2_arg@?1??_exp2@@9@9 03d8 ?max_exp2_arg@?1??_exp2@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 B6 B0 8D ED 04 0B 9D ED 04 0B 53 EC 10 2B 0A 92 0B 93 0A 9A 0B 9B 23 F0 00 43 08 92 09 93 08 9B 1A 93 09 9B 1B 93 1A 9B 16 93 1B 9A EA 4B 9A 42 7B D3 02 D8 16 9B 00 2B 77 D3 08 9B 1C 93 09 9B 1D 93 1C 9B 17 93 1D 9A E1 4B 9A 42 26 D3 02 D8 17 9B 00 2B 22 D3 0A 9A 0B 9B 6F F3 1F 53 13 43 00 2B 0B D0 0A 98 0B 99 ?? ?? ?? ?? 8D ED 2C 0B 9D ED 2C 0B 8D ED 10 0B 69 E1 0F E0 0B 9B 03 F0 00 43 00 2B 05 D0 9F ED B9 0B 8D ED 10 0B 5E E1 04 E0 9D ED 04 0B 8D ED 10 0B 58 E1 9D ED 04 1B CC 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 19 DD 01 23 03 93 9F ED AE 1B 9D ED 04 0B 22 23 02 93 11 23 01 93 03 23 00 93 00 22 C0 4B 14 21 BD 48 ?? ?? ?? ?? 8D ED 2E 0B 9D ED 2E 0B 8D ED 10 0B 35 E1 22 E0 9D ED 04 1B B8 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 18 D2 01 23 03 93 9F ED 9C 1B 9D ED 04 0B 22 23 02 93 12 23 01 93 04 23 00 93 00 22 00 23 14 21 AB 48 ?? ?? ?? ?? 8D ED 30 0B 9D ED 30 0B 8D ED 10 0B 11 E1 08 9B 1E 93 09 9B 1F 93 1E 9B 18 93 1F 9A A2 4B 9A 42 00 F2 CA 80 04 D3 18 9A 9E 4B 9A 42 80 F0 C4 80 08 9B 20 93 09 9B 21 93 20 9B 19 93 21 9B B3 F1 70 5F 0D D8 02 D3 19 9B 00 2B 09 D2 B7 EE 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 10 0B E9 E0 AA E0 9D ED 04 0B 8D ED 14 0B 9D ED 14 0B 53 EC 10 2B 0C 92 0D 93 0C 9B 03 F0 78 42 0D 9B 0C 92 0D 93 0C 9A 0D 9B 43 EC 10 2B 8D ED 14 0B 9D ED 04 1B 9D ED 14 0B 31 EE 40 0B 8D ED 24 0B 9D ED 04 1B 7F 4B 93 ED 00 0B 21 EE 00 0B 8D ED 22 0B 9D ED 14 1B 7A 4B 93 ED 00 0B 21 EE 00 1B 9D ED 22 0B 31 EE 40 2B 9D ED 14 1B 74 4B 93 ED 00 0B 21 EE 00 0B 32 EE 00 2B 9D ED 24 1B 70 4B 93 ED 00 0B 21 EE 00 0B 32 EE 00 2B 9D ED 24 1B 6B 4B 93 ED 00 0B 21 EE 00 0B 32 EE 00 0B 8D ED 26 0B 9D ED 22 1B 9D ED 26 0B 31 EE 00 0B 8D ED 0E 0B 9F ED 60 1B 9D ED 0E 0B 21 EE 00 1B 9F ED 5B 0B 30 EE 01 1B 9D ED 0E 0B 21 EE 00 1B 9F ED 55 0B 30 EE 01 1B 9D ED 0E 0B 21 EE 00 1B 9F ED 47 0B 30 EE 01 2B 9F ED 4D 1B 9D ED 0E 0B 21 EE 00 1B 9F ED 48 0B 30 EE 01 1B 9D ED 0E 0B 21 EE 00 1B 9F ED 42 0B 30 EE 01 1B 9D ED 0E 0B 21 EE 00 1B 9F ED 3C 0B 30 EE 01 1B 9D ED 0E 0B 21 EE 00 1B 9F ED 36 0B 30 EE 01 0B 82 EE 00 0B 8D ED 12 0B 9D ED 12 1B 9D ED 22 0B 21 EE 00 2B 9D ED 12 1B 9D ED 26 0B 21 EE 00 0B 32 EE 00 1B B7 EE 00 0B 31 EE 00 0B 8D ED 12 0B 38 E0 2A AA 28 A9 06 A8 9F ED 24 4B 22 4B 93 ED 00 3B 9F ED 1F 2B 1D 4B 93 ED 00 1B 9D ED 04 0B ?? ?? ?? ?? 06 9A 18 4B 9A 42 14 DD 06 9A 40 F2 FF 33 9A 42 0F DA 06 98 9D ED 28 1B 9D ED 2A 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 32 0B 9D ED 32 0B 8D ED 12 0B 0E E0 06 98 9D ED 28 1B 9D ED 2A 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 34 0B 9D ED 34 0B 8D ED 12 0B 9D ED 12 0B 8D ED 10 0B 9D ED 10 0B 36 B0 BD E8 00 88 FE DE 02 FC FF FF ?? ?? ?? ?? 00 00 00 00 00 00 40 40 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 AD 64 21 01 6F FC EF 3F 41 CD E8 5E 2B FC DF BF EB CD D1 4B 19 6A BB 3F 41 FA CB 26 D7 5D 88 BF 02 6A A0 A3 98 7D 43 3F F3 F0 DA 25 8E E8 F0 3E 2D 97 5D 93 AF 5E 98 3F 9C 0F FA 0E A8 08 92 3E ?? ?? ?? ?? ?? ?? ?? ?? 2F 6C EE 64 47 15 B7 3F ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? 00 00 90 40 }
	condition:
		$1
}

rule file_70_1_0 {
	meta:
		name = "scaleDouble_1"
		size = 64
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 08 9A 40 F2 FF 33 13 44 1A 05 00 23 42 EC 10 3B 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B 21 EE 00 0B 8D ED 04 0B 9D ED 04 0B 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_70_2_0 {
	meta:
		name = "scaleDouble_2"
		size = 110
		refs = "0012 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 8D ED 02 0B 0C 99 02 20 ?? ?? ?? ?? 00 90 0C 9A 00 9B D3 1A 01 93 00 9A 40 F2 FF 33 13 44 1A 05 00 23 42 EC 10 3B 8D ED 04 0B 01 9A 40 F2 FF 33 13 44 1A 05 00 23 42 EC 10 3B 8D ED 06 0B 9D ED 02 1B 9D ED 04 0B 21 EE 00 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B 9D ED 08 0B 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_70_3_0 {
	meta:
		name = "splitexp"
		size = 472
		refs = "00d8 __rt_sdiv 01d0 ?two_to_jby32_trail_table@?1??splitexp@@9@9 01d4 ?two_to_jby32_lead_table@?1??splitexp@@9@9"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 8D ED 14 4B 8D ED 12 3B 8D ED 10 2B 8D ED 0A 1B 8D ED 08 0B 9D ED 08 1B 9D ED 10 0B 21 EE 00 0B 8D ED 02 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 0B DD 9D ED 02 1B B6 EE 00 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 00 93 0A E0 9D ED 02 1B B6 EE 00 0B 31 EE 40 0B BD EE C0 0B 10 EE 10 3A 00 93 00 9B 00 EE 10 3A B8 EE C0 1B 9D ED 12 0B 21 EE 00 1B 9D ED 08 0B 30 EE 41 0B 8D ED 06 0B 00 9B 5B 42 00 EE 10 3A B8 EE C0 1B 9D ED 14 0B 21 EE 00 0B 8D ED 04 0B 00 9B 03 F0 1F 03 01 93 01 9A 08 23 02 FB 03 F2 48 4B 13 44 93 ED 00 0B 8D ED 0C 0B 01 9A 08 23 02 FB 03 F2 42 4B 13 44 93 ED 00 0B 8D ED 0E 0B 00 9A 01 9B D1 1A 20 20 ?? ?? ?? ?? 1A 9B 18 60 9D ED 06 1B 9D ED 0A 0B 21 EE 00 0B 8D ED 06 0B 9D ED 04 1B 9D ED 0A 0B 21 EE 00 0B 8D ED 04 0B 9D ED 06 1B 9D ED 04 0B 31 EE 00 0B 8D ED 02 0B 9D ED 02 1B 9D ED 02 0B 21 EE 00 2B 9D ED 02 1B 9F ED 29 0B 21 EE 00 1B 9F ED 25 0B 30 EE 01 1B 9D ED 02 0B 20 EE 01 1B 9F ED 1F 0B 30 EE 01 1B 9D ED 02 0B 20 EE 01 1B 9F ED 19 0B 30 EE 01 1B 9D ED 02 0B 20 EE 01 1B B6 EE 00 0B 30 EE 01 0B 22 EE 00 1B 9D ED 04 0B 30 EE 01 1B 9D ED 06 0B 30 EE 01 0B 8D ED 16 0B 9D ED 0C 0B 1B 9B 83 ED 00 0B 9D ED 0C 1B 9D ED 0E 0B 31 EE 00 1B 9D ED 16 0B 21 EE 00 1B 9D ED 0E 0B 30 EE 01 0B 1C 9B 83 ED 00 0B 18 B0 5D F8 04 BB 5D F8 14 FB FE DE 7C 8F 54 55 55 55 C5 3F 4E 5D 54 55 55 55 A5 3F 5E 90 AA B7 15 11 81 3F 65 97 73 8D 72 C1 56 3F ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_0_0 {
	meta:
		name = "??$common_filelength@J@@YAJH@Z"
		size = 580
		refs = "0018 __doserrno 0024 _errno 006c _CrtDbgReportW 00a4 _invalid_parameter 0142 __acrt_lowio_lock_fh 01c0 ??$lseek_nolock@ABHHH@?$__crt_integer_traits@J@@SAJABH$$QAH1@Z 0208 ??$lseek_nolock@ABHABJH@?$__crt_integer_traits@J@@SAJABHABJ$$QAH@Z 020e __acrt_lowio_unlock_fh 0224 ??_C@_1GI@GPKLIJMG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0228 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 022c ??_C@_1JG@NNMLFIDG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0230 __pioinfo 0234 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0238 ??_C@_1CE@NNIMOHMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAl?$AAe?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?$AA@ 023c ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0240 _nhandle"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 82 B0 3B 6F 13 F1 02 0F 0F D1 ?? ?? ?? ?? F8 61 FA 69 00 23 13 60 ?? ?? ?? ?? 38 62 3A 6A 09 23 13 60 6F F0 00 03 3B 60 EE E0 3B 6F 00 2B 07 DB 3A 6F 7F 4B 1B 68 9A 42 02 D2 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 77 4B 01 93 71 4B 00 93 00 23 17 22 6E 49 02 20 ?? ?? ?? ?? 78 62 7B 6A 01 2B 00 D1 FE DE 3B 69 00 2B 17 D1 ?? ?? ?? ?? B8 62 BA 6A 00 23 13 60 ?? ?? ?? ?? F8 62 FA 6A 09 23 13 60 00 23 00 93 17 23 61 4A 65 49 66 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 B2 E0 3B 6F 9A 11 04 23 02 FB 03 F2 5D 4B 99 18 3B 6F 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 51 4B 01 93 4D 4B 00 93 00 23 18 22 4A 49 02 20 ?? ?? ?? ?? 38 63 3B 6B 01 2B 00 D1 FE DE BB 69 00 2B 17 D1 ?? ?? ?? ?? 78 63 7A 6B 00 23 13 60 ?? ?? ?? ?? B8 63 BA 6B 09 23 13 60 00 23 00 93 18 23 3D 4A 41 49 40 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 6A E0 38 6F ?? ?? ?? ?? 6F F0 00 03 BB 60 3B 6F 9A 11 04 23 02 FB 03 F2 36 4B 99 18 3B 6F 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 1B D1 ?? ?? ?? ?? F8 63 FA 6B 09 23 13 60 ?? ?? ?? ?? 38 64 3A 6C 00 23 13 60 27 4B 01 93 25 4B 00 93 00 23 22 22 22 49 02 20 ?? ?? ?? ?? 78 64 7B 6C 01 2B 00 D1 FE DE 2F E0 01 23 BB 64 00 23 FB 64 17 F1 48 02 17 F1 4C 01 17 F1 70 00 ?? ?? ?? ?? 38 65 3B 6D 7B 60 7B 68 B3 F1 FF 3F 00 D1 1B E0 02 23 7B 65 00 23 BB 65 17 F1 54 02 17 F1 58 01 17 F1 70 00 ?? ?? ?? ?? F8 65 FB 6D BB 60 7A 68 BB 68 9A 42 08 D0 00 23 3B 66 17 F1 60 02 39 1D 17 F1 70 00 ?? ?? ?? ?? 38 6F ?? ?? ?? ?? BB 68 3B 60 38 68 1B B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_1_0 {
	meta:
		name = "?fin$0@?0???$common_filelength@J@@YAJH@Z@4HA"
		size = 16
		refs = "0006 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 10 B5 82 B0 38 6F ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_71_2_0 {
	meta:
		name = "??$common_filelength@_J@@YA_JH@Z"
		size = 708
		refs = "001a __doserrno 0026 _errno 0078 _CrtDbgReportW 00b0 _invalid_parameter 0160 __acrt_lowio_lock_fh 01e8 ??$lseek_nolock@ABHHH@?$__crt_integer_traits@_J@@SA_JABH$$QAH1@Z 0282 ??$lseek_nolock@ABHAB_JH@?$__crt_integer_traits@_J@@SA_JABHAB_J$$QAH@Z 028a __acrt_lowio_unlock_fh 02a4 ??_C@_1GI@GPKLIJMG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 02a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02ac ??_C@_1JG@NNMLFIDG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 02b0 __pioinfo 02b4 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 02b8 ??_C@_1CE@NNIMOHMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAl?$AAe?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?$AA@ 02bc ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 02c0 _nhandle"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B A7 B0 6F 46 82 B0 D7 F8 A8 30 13 F1 02 0F 12 D1 ?? ?? ?? ?? B8 62 BA 6A 00 23 13 60 ?? ?? ?? ?? F8 62 FA 6A 09 23 13 60 6F F0 00 03 3B 60 6F F0 00 03 7B 60 2A E1 D7 F8 A8 30 00 2B 08 DB D7 F8 A8 20 9C 4B 1B 68 9A 42 02 D2 01 23 BB 61 01 E0 00 23 BB 61 BB 69 FB 61 FB 69 00 2B 0E D1 94 4B 01 93 8E 4B 00 93 00 23 17 22 8B 49 02 20 ?? ?? ?? ?? 38 63 3B 6B 01 2B 00 D1 FE DE FB 69 00 2B 1A D1 ?? ?? ?? ?? 78 63 7A 6B 00 23 13 60 ?? ?? ?? ?? B8 63 BA 6B 09 23 13 60 00 23 00 93 17 23 7E 4A 82 49 83 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 6F F0 00 03 7B 60 E9 E0 D7 F8 A8 30 9A 11 04 23 02 FB 03 F2 78 4B 99 18 D7 F8 A8 30 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 3B 62 01 E0 00 23 3B 62 3B 6A 7B 62 7B 6A 00 2B 0E D1 6C 4B 01 93 68 4B 00 93 00 23 18 22 65 49 02 20 ?? ?? ?? ?? F8 63 FB 6B 01 2B 00 D1 FE DE 7B 6A 00 2B 1A D1 ?? ?? ?? ?? 38 64 3A 6C 00 23 13 60 ?? ?? ?? ?? 78 64 7A 6C 09 23 13 60 00 23 00 93 18 23 57 4A 5C 49 5A 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 6F F0 00 03 7B 60 9C E0 D7 F8 A8 00 ?? ?? ?? ?? 6F F0 00 03 BB 60 6F F0 00 03 FB 60 D7 F8 A8 30 9A 11 04 23 02 FB 03 F2 4C 4B 99 18 D7 F8 A8 30 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 1B D1 ?? ?? ?? ?? B8 64 BA 6C 09 23 13 60 ?? ?? ?? ?? F8 64 FA 6C 00 23 13 60 3D 4B 01 93 3B 4B 00 93 00 23 22 22 38 49 02 20 ?? ?? ?? ?? 38 65 3B 6D 01 2B 00 D1 FE DE 58 E0 01 23 7B 65 00 23 BB 65 17 F1 54 02 17 F1 58 01 17 F1 A8 00 ?? ?? ?? ?? 79 67 38 67 3B 6F 3B 61 7B 6F 7B 61 3B 69 BB 67 7B 69 FB 67 FA 6F BB 6F 13 40 B3 F1 FF 3F 00 D1 3B E0 02 23 FB 65 00 23 3B 66 17 F1 5C 02 17 F1 60 01 17 F1 A8 00 ?? ?? ?? ?? C7 F8 84 10 C7 F8 80 00 D7 F8 80 30 BB 60 D7 F8 84 30 FB 60 3B 69 C7 F8 88 30 7B 69 C7 F8 8C 30 BB 68 C7 F8 90 30 FB 68 C7 F8 94 30 D7 F8 8C 30 7B 66 D7 F8 94 30 BB 66 D7 F8 88 20 D7 F8 90 30 9A 42 03 D1 7A 6E BB 6E 9A 42 09 D0 00 23 FB 66 17 F1 6C 02 17 F1 10 01 17 F1 A8 00 ?? ?? ?? ?? D7 F8 A8 00 ?? ?? ?? ?? BA 68 FB 68 3A 60 7B 60 38 68 79 68 29 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_3_0 {
	meta:
		name = "?fin$0@?0???$common_filelength@_J@@YA_JH@Z@4HA"
		size = 18
		refs = "0008 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 10 B5 82 B0 D7 F8 A8 00 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_71_4_0 {
	meta:
		name = "??$lseek_nolock@ABHABJH@?$__crt_integer_traits@J@@SAJABHABJ$$QAH@Z"
		size = 44
		refs = "0016 _lseek_nolock"
		altNames = "??$lseek_nolock@ABHHH@?$__crt_integer_traits@J@@SAJABH$$QAH1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_561_12_4 {
	meta:
		name = "??$tasctime_s@ABQADABIPAUtm@@@?$__crt_char_traits@D@@SAHABQADABI$$QAPAUtm@@@Z"
		size = 44
		refs = "0016 asctime_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_561_13_4 {
	meta:
		name = "??$tasctime_s@ABQA_WABIPAUtm@@@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPAUtm@@@Z"
		size = 44
		refs = "0016 _wasctime_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_19_0 {
	meta:
		name = "??$tcscat_s@ABQADABIAAPAD@?$__crt_char_traits@D@@SAHABQADABIAAPAD@Z"
		size = 44
		refs = "0016 strcat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_20_0 {
	meta:
		name = "??$tcscat_s@ABQADABIABQBD@?$__crt_char_traits@D@@SAHABQADABIABQBD@Z"
		size = 44
		refs = "0016 strcat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_21_2 {
	meta:
		name = "??$tcscat_s@ABQADABIPBD@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD@Z"
		size = 44
		refs = "0016 strcat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_22_0 {
	meta:
		name = "??$tcscat_s@ABQA_WABIAAPA_W@?$__crt_char_traits@_W@@SAHABQA_WABIAAPA_W@Z"
		size = 44
		refs = "0016 wcscat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_23_0 {
	meta:
		name = "??$tcscat_s@ABQA_WABIABQB_W@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W@Z"
		size = 44
		refs = "0016 wcscat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_24_0 {
	meta:
		name = "??$tcscat_s@ABQA_WABIPB_W@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W@Z"
		size = 44
		refs = "0016 wcscat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_388_22_3 {
	meta:
		name = "??$tcscat_s@PADABIAAPBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAPBD@Z"
		size = 44
		refs = "0016 strcat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_388_24_0 {
	meta:
		name = "??$tcscat_s@PADABIABQBD@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD@Z"
		size = 44
		refs = "0016 strcat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_388_25_2 {
	meta:
		name = "??$tcscat_s@PA_WABIAAPB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAPB_W@Z"
		size = 44
		refs = "0016 wcscat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_388_27_4 {
	meta:
		name = "??$tcscat_s@PA_WABIABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W@Z"
		size = 44
		refs = "0016 wcscat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_254_18_4 {
	meta:
		name = "??$tcscpy_s@AAPADABIABQAD@?$__crt_char_traits@D@@SAHAAPADABIABQAD@Z"
		size = 44
		refs = "0016 strcpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_254_19_3 {
	meta:
		name = "??$tcscpy_s@AAPA_WABIABQA_W@?$__crt_char_traits@_W@@SAHAAPA_WABIABQA_W@Z"
		size = 44
		refs = "0016 wcscpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_254_20_2 {
	meta:
		name = "??$tcscpy_s@ABQADABIABQAD@?$__crt_char_traits@D@@SAHABQADABI0@Z"
		size = 44
		refs = "0016 strcpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_12_4 {
	meta:
		name = "??$tcscpy_s@ABQADABIABQBD@?$__crt_char_traits@D@@SAHABQADABIABQBD@Z"
		size = 44
		refs = "0016 strcpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_27_4 {
	meta:
		name = "??$tcscpy_s@ABQADABIPBD@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD@Z"
		size = 44
		refs = "0016 strcpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_254_21_3 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIABQA_W@?$__crt_char_traits@_W@@SAHABQA_WABI0@Z"
		size = 44
		refs = "0016 wcscpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_13_0 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIABQB_W@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W@Z"
		size = 44
		refs = "0016 wcscpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_28_3 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIPB_W@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W@Z"
		size = 44
		refs = "0016 wcscpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_14_2 {
	meta:
		name = "??$tcserror_s@PADIABH@?$__crt_char_traits@D@@SAH$$QAPAD$$QAIABH@Z"
		size = 44
		refs = "0016 strerror_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_15_2 {
	meta:
		name = "??$tcserror_s@PA_WIABH@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAIABH@Z"
		size = 44
		refs = "0016 _wcserror_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_243_4 {
	meta:
		name = "??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z"
		size = 44
		refs = "0016 strtol"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_244_4 {
	meta:
		name = "??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z"
		size = 44
		refs = "0016 wcstol"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_245_3 {
	meta:
		name = "??$tcstol@PBDPAPADH@?$__crt_char_traits@D@@SAJ$$QAPBD$$QAPAPAD$$QAH@Z"
		size = 44
		refs = "0016 strtol"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_246_3 {
	meta:
		name = "??$tcstol@PB_WPAPA_WH@?$__crt_char_traits@_W@@SAJ$$QAPB_W$$QAPAPA_W$$QAH@Z"
		size = 44
		refs = "0016 wcstol"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_71_5_0 {
	meta:
		name = "??$lseek_nolock@ABHAB_JH@?$__crt_integer_traits@_J@@SA_JABHAB_J$$QAH@Z"
		size = 58
		refs = "001c _lseeki64_nolock"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 9B 1B 68 00 93 09 9B 1A 68 09 9B 5B 68 08 99 08 68 ?? ?? ?? ?? 03 91 02 90 02 9A 03 9B 04 92 05 93 04 98 05 99 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_71_7_0 {
	meta:
		name = "??$lseek_nolock@ABHHH@?$__crt_integer_traits@_J@@SA_JABH$$QAH1@Z"
		size = 60
		refs = "001e _lseeki64_nolock"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 9B 1B 68 00 93 09 9B 1A 68 09 9B 1B 68 DB 17 08 99 08 68 ?? ?? ?? ?? 03 91 02 90 02 9A 03 9B 04 92 05 93 04 98 05 99 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_71_9_0 {
	meta:
		name = "_filelengthi64"
		size = 42
		refs = "000c ??$common_filelength@_J@@YA_JH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_595_5_0 {
	meta:
		name = "_time64"
		size = 42
		refs = "000c ??$common_time@_J@@YA_JQA_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_73_4_0 {
	meta:
		name = "_mbctolower"
		size = 16
		refs = "000c _mbctolower_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_357_3 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 16
		refs = "000c ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_358_3 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 16
		refs = "000c ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_359_3 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 16
		refs = "000c ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_360_3 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 16
		refs = "000c ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_361_4 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 16
		refs = "000c ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_362_4 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 16
		refs = "000c ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_15_3 {
	meta:
		name = "_ismbbkana"
		size = 16
		refs = "000c _ismbbkana_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_87_5_3 {
	meta:
		name = "_ismbcalnum"
		size = 16
		refs = "000c _ismbcalnum_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_281_5_2 {
	meta:
		name = "_ismbcalpha"
		size = 16
		refs = "000c _ismbcalpha_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_151_5_3 {
	meta:
		name = "_ismbcblank"
		size = 16
		refs = "000c _ismbcblank_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_506_8_0 {
	meta:
		name = "_ismbcdigit"
		size = 16
		refs = "000c _ismbcdigit_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_487_5_2 {
	meta:
		name = "_ismbcgraph"
		size = 16
		refs = "000c _ismbcgraph_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_577_4_0 {
	meta:
		name = "_ismbchira"
		size = 16
		refs = "000c _ismbchira_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_577_6_0 {
	meta:
		name = "_ismbckata"
		size = 16
		refs = "000c _ismbckata_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_112_4_0 {
	meta:
		name = "_ismbcl0"
		size = 16
		refs = "000c _ismbcl0_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_112_6_2 {
	meta:
		name = "_ismbcl1"
		size = 16
		refs = "000c _ismbcl1_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_112_8_3 {
	meta:
		name = "_ismbcl2"
		size = 16
		refs = "000c _ismbcl2_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_602_4_2 {
	meta:
		name = "_ismbclegal"
		size = 16
		refs = "000c _ismbclegal_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_177_5_4 {
	meta:
		name = "_ismbclower"
		size = 16
		refs = "000c _ismbclower_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_308_5_2 {
	meta:
		name = "_ismbcprint"
		size = 16
		refs = "000c _ismbcprint_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_151_7_0 {
	meta:
		name = "_ismbcpunct"
		size = 16
		refs = "000c _ismbcpunct_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_611_8_3 {
	meta:
		name = "_ismbcspace"
		size = 16
		refs = "000c _ismbcspace_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_577_8_4 {
	meta:
		name = "_ismbcsymbol"
		size = 16
		refs = "000c _ismbcsymbol_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_154_5_3 {
	meta:
		name = "_ismbcupper"
		size = 16
		refs = "000c _ismbcupper_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_234_4_2 {
	meta:
		name = "_mbbtombc"
		size = 16
		refs = "000c _mbbtombc_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_170_4_4 {
	meta:
		name = "_mbcjistojms"
		size = 16
		refs = "000c _mbcjistojms_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_170_6_4 {
	meta:
		name = "_mbcjmstojis"
		size = 16
		refs = "000c _mbcjmstojis_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_0_2 {
	meta:
		name = "_mbctohira"
		size = 16
		refs = "000c _mbctohira_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_234_6_4 {
	meta:
		name = "_mbctombb"
		size = 16
		refs = "000c _mbctombb_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_225_4_3 {
	meta:
		name = "_mbctoupper"
		size = 16
		refs = "000c _mbctoupper_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_492_4_2 {
	meta:
		name = "_mbslen"
		size = 16
		refs = "000c _mbslen_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_220_4_4 {
	meta:
		name = "_mbsnextc"
		size = 16
		refs = "000c _mbsnextc_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_350_4_2 {
	meta:
		name = "_mbsrev"
		size = 16
		refs = "000c _mbsrev_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_51_3 {
	meta:
		name = "_putenv"
		size = 16
		refs = "000c ??$common_putenv@D@@YAHQBD0@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_53_0 {
	meta:
		name = "_wputenv"
		size = 16
		refs = "000c ??$common_putenv@_W@@YAHQB_W0@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_73_5_0 {
	meta:
		name = "_mbctolower_l"
		size = 138
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 004c __acrt_LCMapStringA"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 8C B0 04 46 08 A8 ?? ?? ?? ?? 02 25 FF 2C 23 D9 0A 9A 23 0A DB B2 8D F8 18 30 13 44 8D F8 19 40 5B 7E 13 F0 04 0F 1F D0 01 23 04 93 53 68 D2 F8 1C 12 09 A8 03 93 07 AB 01 93 06 AB 4F F4 80 72 02 95 00 95 ?? ?? ?? ?? 70 B1 9D F8 1C 20 9D F8 1D 30 03 EB 02 24 07 E0 0A 9B 1A 19 53 7E 13 F0 10 0F 01 D0 92 F8 19 41 9D F8 2C 30 2B B1 08 9A D2 F8 50 33 AB 43 C2 F8 50 33 20 46 0C B0 BD E8 30 88 }
	condition:
		$1
}

rule file_74_8_0 {
	meta:
		name = "__acrt_stdio_allocate_buffer_nolock"
		size = 304
		refs = "0020 _CrtDbgReportW 0032 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 004a _malloc_dbg 0054 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0060 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 0068 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0078 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 0092 ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 011c ??_C@_0DB@LKJPMJPL@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0120 _cflush 0124 ??_C@_1GC@DLDMJFMI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 00 2B 0E D1 46 4B 01 93 44 4B 00 93 00 23 12 22 41 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 14 99 02 A8 ?? ?? ?? ?? 3A 4B 1B 68 5A 1C 38 4B 1A 60 1B 23 36 4A 02 21 4F F4 80 50 ?? ?? ?? ?? 04 90 04 99 09 A8 ?? ?? ?? ?? 05 90 05 9B 06 93 06 98 ?? ?? ?? ?? 08 90 02 A8 ?? ?? ?? ?? 07 90 07 9B 1A 1D 08 9B 13 60 09 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 0A 90 0A 9B 1B 1D 1B 68 00 2B 0E D0 40 21 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 0B 90 0B 9B 03 F1 18 02 4F F4 80 53 13 60 1B E0 4F F4 80 61 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 0C 90 02 A8 ?? ?? ?? ?? 0D 90 0C 9B 03 F1 14 02 0D 9B 1B 1D 1A 60 02 A8 ?? ?? ?? ?? 0E 90 0E 9B 03 F1 18 02 02 23 13 60 02 A8 ?? ?? ?? ?? 0F 90 02 A8 ?? ?? ?? ?? 10 90 0F 9B 1B 1D 10 9A 1B 68 13 60 02 A8 ?? ?? ?? ?? 11 90 11 9B 03 F1 08 02 00 23 13 60 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_75_0_0 {
	meta:
		name = "_mbsnset_s"
		size = 20
		refs = "000c _mbsnset_s_l"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 24 00 94 ?? ?? ?? ?? BD E8 1E 88 }
	condition:
		$1
}

rule file_302_0_0 {
	meta:
		name = "_mbccpy_s"
		size = 20
		refs = "000c _mbccpy_s_l"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 24 00 94 ?? ?? ?? ?? BD E8 1E 88 }
	condition:
		$1
}

rule file_581_0_4 {
	meta:
		name = "_mbsnbcat_s"
		size = 20
		refs = "000c _mbsnbcat_s_l"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 24 00 94 ?? ?? ?? ?? BD E8 1E 88 }
	condition:
		$1
}

rule file_248_0_2 {
	meta:
		name = "_mbsnbcpy_s"
		size = 20
		refs = "000c _mbsnbcpy_s_l"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 24 00 94 ?? ?? ?? ?? BD E8 1E 88 }
	condition:
		$1
}

rule file_416_0_2 {
	meta:
		name = "_mbsnbset_s"
		size = 20
		refs = "000c _mbsnbset_s_l"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 24 00 94 ?? ?? ?? ?? BD E8 1E 88 }
	condition:
		$1
}

rule file_460_0_3 {
	meta:
		name = "_mbsncat_s"
		size = 20
		refs = "000c _mbsncat_s_l"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 24 00 94 ?? ?? ?? ?? BD E8 1E 88 }
	condition:
		$1
}

rule file_417_0_3 {
	meta:
		name = "_mbsncpy_s"
		size = 20
		refs = "000c _mbsncpy_s_l"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 24 00 94 ?? ?? ?? ?? BD E8 1E 88 }
	condition:
		$1
}

rule file_76_0_0 {
	meta:
		name = "_FCosh"
		size = 348
		refs = "0012 _fdtest 00b2 _fperrraise 0108 _fdexp 0150 _FXbig_C 0154 _FNan_C 0158 _FInf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 CD ED 04 0A 8D ED 02 0A 02 A8 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 00 30 04 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 AD F8 02 30 BD F9 00 30 00 2B 03 DA BD F9 02 30 00 2B 45 DB BD F9 00 30 02 2B 05 D1 9D ED 02 0A 8D ED 03 0A 77 E0 3A E0 BD F9 02 30 02 2B 05 D1 9D ED 04 0A 8D ED 03 0A 6D E0 30 E0 BD F9 00 30 01 2B 27 D1 BD F9 02 30 00 2B 19 D0 9D ED 04 0A B5 EE C0 0A F1 EE 10 FA 07 D2 33 4B 93 ED 00 0A B1 EE 40 0A 8D ED 05 0A 04 E0 2F 4B 93 ED 00 0A 8D ED 05 0A 9D ED 05 0A 8D ED 03 0A 4B E0 08 E0 01 20 ?? ?? ?? ?? 27 4B 93 ED 00 0A 8D ED 03 0A 41 E0 04 E0 9D ED 04 0A 8D ED 03 0A 3B E0 3A E0 9D ED 02 0A B5 EE C0 0A F1 EE 10 FA 05 D2 9D ED 02 0A B1 EE 40 0A 8D ED 02 0A DD ED 02 0A 18 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 18 D2 6F F0 00 01 B7 EE 00 0A 02 A8 ?? ?? ?? ?? F5 EE 00 0A 9D ED 02 0A C0 EE 80 0A 9D ED 02 0A 70 EE 20 0A 9D ED 04 0A 20 EE 20 0A 8D ED 03 0A 0B E0 0A E0 6F F0 00 01 9D ED 04 0A 02 A8 ?? ?? ?? ?? 9D ED 02 0A 8D ED 03 0A 9D ED 03 0A 06 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_76_1_0 {
	meta:
		name = "ccoshf"
		size = 856
		refs = "0018 crealf 0030 cimagf 0042 _fdtest 007e _FCbuild 00d4 _fperrraise 028c sinf 0298 cosf 02f0 _FSinh 030c _FCosh 0348 _FInf_C 034c _FNan_C 0354 _FZero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 AA B0 CD ED 0B 0A 8D ED 0A 0A 9D ED 0A 0A DD ED 0B 0A ?? ?? ?? ?? 8D ED 0C 0A 9D ED 0C 0A 8D ED 06 0A 9D ED 0A 0A DD ED 0B 0A ?? ?? ?? ?? 8D ED 0D 0A 9D ED 0D 0A 8D ED 05 0A 06 A8 ?? ?? ?? ?? AD F8 1C 00 BD F9 1C 30 AD F8 00 30 05 A8 ?? ?? ?? ?? AD F8 1E 00 BD F9 1E 30 AD F8 10 30 BD F9 00 30 02 2B 2E D1 BD F9 10 30 00 2B 14 D1 DD ED 05 0A B4 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 15 0A 8D ED 14 0A 9D ED 14 0A 8D ED 02 0A 9D ED 15 0A 8D ED 03 0A 4D E1 14 E0 AB 4B D3 ED 00 0A A9 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 17 0A 8D ED 16 0A 9D ED 16 0A 8D ED 02 0A 9D ED 17 0A 8D ED 03 0A 37 E1 36 E1 BD F9 10 30 01 2B 5E D1 01 20 ?? ?? ?? ?? BD F9 00 30 00 2B 27 D1 9D ED 05 0A B5 EE C0 0A F1 EE 10 FA 07 D2 99 4B 93 ED 00 0A B1 EE 40 0A 8D ED 08 0A 03 E0 9F ED 94 0A 8D ED 08 0A DD ED 08 0A 90 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 19 0A 8D ED 18 0A 9D ED 18 0A 8D ED 02 0A 9D ED 19 0A 8D ED 03 0A 04 E1 2E E0 BD F9 00 30 01 2B 15 D1 84 4B D3 ED 00 0A 82 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 1B 0A 8D ED 1A 0A 9D ED 1A 0A 8D ED 02 0A 9D ED 1B 0A 8D ED 03 0A EA E0 14 E0 79 4B D3 ED 00 0A 78 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 1D 0A 8D ED 1C 0A 9D ED 1C 0A 8D ED 02 0A 9D ED 1D 0A 8D ED 03 0A D4 E0 D3 E0 BD F9 10 30 02 2B 48 D1 BD F9 00 30 00 2B 14 D1 DD ED 06 0A 69 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 1F 0A 8D ED 1E 0A 9D ED 1E 0A 8D ED 02 0A 9D ED 1F 0A 8D ED 03 0A B7 E0 2E E0 BD F9 00 30 01 2B 15 D1 5E 4B D3 ED 00 0A 5B 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 21 0A 8D ED 20 0A 9D ED 20 0A 8D ED 02 0A 9D ED 21 0A 8D ED 03 0A 9D E0 14 E0 53 4B D3 ED 00 0A 51 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 23 0A 8D ED 22 0A 9D ED 22 0A 8D ED 02 0A 9D ED 23 0A 8D ED 03 0A 87 E0 86 E0 BD F9 00 30 01 2B 54 D1 BD F9 10 30 00 2B 26 D1 9D ED 06 0A B5 EE C0 0A F1 EE 10 FA 06 D2 9D ED 05 0A B1 EE 40 0A 8D ED 09 0A 03 E0 9D ED 05 0A 8D ED 09 0A DD ED 09 0A 39 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 25 0A 8D ED 24 0A 9D ED 24 0A 8D ED 02 0A 9D ED 25 0A 8D ED 03 0A 58 E0 28 E0 9D ED 05 0A ?? ?? ?? ?? 8D ED 0E 0A 9D ED 05 0A ?? ?? ?? ?? 8D ED 0F 0A 29 4B D3 ED 00 0A 9D ED 0E 0A 60 EE 80 0A 26 4B 93 ED 00 1A 9D ED 0F 0A 21 EE 00 0A ?? ?? ?? ?? CD ED 27 0A 8D ED 26 0A 9D ED 26 0A 8D ED 02 0A 9D ED 27 0A 8D ED 03 0A 2E E0 2D E0 9D ED 05 0A ?? ?? ?? ?? 8D ED 10 0A DD ED 10 0A 9D ED 06 0A ?? ?? ?? ?? 8D ED 12 0A 9D ED 05 0A ?? ?? ?? ?? 8D ED 11 0A DD ED 11 0A 9D ED 06 0A ?? ?? ?? ?? 8D ED 13 0A DD ED 12 0A 9D ED 13 0A ?? ?? ?? ?? CD ED 29 0A 8D ED 28 0A 9D ED 28 0A 8D ED 02 0A 9D ED 29 0A 8D ED 03 0A 9D ED 02 0A DD ED 03 0A 2A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_77_9_0 {
	meta:
		name = "_putch"
		size = 42
		refs = "001c ??$?RV<lambda_718595207ec424e9a6d9aa18830c2193>@@AAV<lambda_76b7ce3881063c72d9d9c3f590a24f96>@@V<lambda_694f9f455742c444214f491732eaaf37>@@@?$__crt_seh_guarded_call@H@@QAAH$$QAV<lambda_718595207ec424e9a6d9aa18830c2193>@@AAV<lambda_76b7ce3881063c72d9d9c3f590a24f96>@@$$QAV<lambda_694f9f455742c444214f491732eaaf37>@@@Z"
	strings:
		$1 = { 03 B4 2D E9 0F 48 0D F1 10 0B 06 AB 02 93 09 23 01 93 03 93 01 AB 02 AA 03 A9 68 46 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_640_9_0 {
	meta:
		name = "_putwch"
		size = 42
		refs = "001c ??$?RV<lambda_f828341fbe69b7c0d4c527b01f22877f>@@AAV<lambda_9e0b6ab72a5b3ae37ad997d08b519f50>@@V<lambda_f01deac0a8d65d6e0411edf7e0af5775>@@@?$__crt_seh_guarded_call@G@@QAAG$$QAV<lambda_f828341fbe69b7c0d4c527b01f22877f>@@AAV<lambda_9e0b6ab72a5b3ae37ad997d08b519f50>@@$$QAV<lambda_f01deac0a8d65d6e0411edf7e0af5775>@@@Z"
	strings:
		$1 = { 03 B4 2D E9 0F 48 0D F1 10 0B 06 AB 02 93 09 23 01 93 03 93 01 AB 02 AA 03 A9 68 46 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_77_10_0 {
	meta:
		name = "_putch_nolock"
		size = 176
		refs = "000a __acrt_getptd 0018 __pctype_func 003a _CrtDbgReportW 0076 mbtowc 0084 _putwch_nolock 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a8 ??_C@_1GG@GBBCPJPN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00ac ??_C@_1DG@NCPKEAM@?$AAi?$AAs?$AAl?$AAe?$AAa?$AAd?$AAb?$AAy?$AAt?$AAe?$AA?$CI?$AAc?$AAh?$AA_?$AAb?$AAu?$AAf?$AA?$FL?$AA0?$AA?$FN?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 05 46 ?? ?? ?? ?? B0 F8 5A 33 04 46 01 2B 18 D1 ?? ?? ?? ?? 94 F8 54 33 30 F8 13 30 13 F4 00 4F 0C D1 20 4B 1E 49 33 22 01 93 1C 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 84 F8 55 53 01 E0 84 F8 54 53 B4 F8 5A 33 53 B9 ?? ?? ?? ?? 94 F8 54 33 30 F8 13 30 13 F4 00 4F 18 BF 01 23 15 D1 B4 F8 5A 33 02 A8 04 F5 55 71 5A 1C ?? ?? ?? ?? 10 F1 01 0F 07 D0 BD F8 08 00 ?? ?? ?? ?? 4F F6 FF 73 98 42 01 D1 6F F0 00 05 00 23 A4 F8 5A 33 28 46 04 B0 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_78_0_0 {
	meta:
		name = "nexttowardf"
		size = 442
		refs = "0016 _fdtest 0032 _ldtest 015c _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 08 1B 8D ED 04 0A 04 AB 03 93 04 A8 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 AD F8 00 30 BD F9 00 30 02 2B 00 D1 B1 E0 08 A8 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 02 2B 0A D0 9D ED 04 0A B7 EE C0 1A 9D ED 08 0B B4 EE 40 1B F1 EE 10 FA 06 D1 9D ED 08 0B B7 EE C0 0B 8D ED 04 0A 96 E0 BD F9 00 30 01 2B 11 D1 03 9B 9B 1C 1B 88 03 F4 00 42 47 F6 7F 73 42 EA 03 01 03 9B 9A 1C 8B B2 13 80 03 9A 4F F6 FF 73 13 80 80 E0 BD F9 00 30 00 2B 19 D1 9D ED 04 0A B7 EE C0 1A 9D ED 08 0B B4 EE C0 1B F1 EE 10 FA 02 D2 00 23 05 93 02 E0 4F F4 00 43 05 93 03 9B 9A 1C 05 9B 9B B2 13 80 03 9A 01 23 13 80 62 E0 9D ED 04 0A B7 EE C0 1A 9D ED 08 0B B4 EE C0 1B F1 EE 10 FA 06 D2 9D ED 04 0A B5 EE C0 0A F1 EE 10 FA 11 DC 9D ED 04 0A B7 EE C0 1A 9D ED 08 0B B4 EE C1 0B F1 EE 10 FA 2C D2 9D ED 04 0A B5 EE C0 0A F1 EE 10 FA 25 D2 03 9B 1B 88 5B 1C 9B B2 AD F8 02 30 03 9A BD F8 02 30 13 80 BD F8 02 30 9B B2 00 2B 15 D1 03 9B 9B 1C 1B 88 5B 1C 9B B2 AD F8 04 30 03 9B 9A 1C BD F8 04 30 13 80 BD F8 04 30 23 F4 00 43 B3 F5 FF 4F 02 D1 08 20 ?? ?? ?? ?? 18 E0 03 9B 1B 88 5B 1E 9B B2 AD F8 06 30 03 9A BD F8 06 30 13 80 BD F8 06 30 9A B2 4F F6 FF 73 9A 42 07 D1 03 9B 9B 1C 1B 88 5B 1E 9A B2 03 9B 9B 1C 1A 80 03 9B 9B 1C 1B 88 03 F4 FF 43 00 2B 02 D1 10 20 ?? ?? ?? ?? 9D ED 04 0A 8D ED 06 0A 9D ED 06 0A 0A B0 BD E8 00 88 }
	condition:
		$1
}

rule file_79_1_0 {
	meta:
		name = "?shortsort@@YAXPAD0IP6AHPBX1@Z@Z"
		size = 140
		refs = "0068 ?swap@@YAXPAD0I@Z 0078 ??1scoped_global_state_reset@__crt_state_management@@QAA@XZ 0088 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 B0 48 0D F1 0C 0B 89 B0 6F 46 6F F0 01 03 C7 E9 06 33 FA 6B BB 6B 9A 42 2B D9 BB 6B BB 60 BA 6B 3B 6C 13 44 7B 60 03 E0 7A 68 3B 6C 13 44 7B 60 7A 68 FB 6B 9A 42 12 D8 BD 68 7C 68 7B 6C FB 60 F8 68 10 4B 1B 68 98 47 FB 68 20 46 29 46 98 47 38 61 3B 69 00 2B 01 DD 7B 68 BB 60 E4 E7 3A 6C F9 6B B8 68 ?? ?? ?? ?? FA 6B 3B 6C D3 1A FB 63 CF E7 38 46 ?? ?? ?? ?? 09 B0 BD E8 B0 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_79_3_0 {
	meta:
		name = "?swap@@YAXPAD0I@Z"
		size = 82
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 9A 42 1A D0 06 9A 06 9B 5B 1E 06 93 00 2A 14 D0 04 9B 93 F9 00 30 8D F8 00 30 05 9B 93 F9 00 20 04 9B 1A 70 04 9B 5B 1C 04 93 9D F9 00 20 05 9B 1A 70 05 9B 5B 1C 05 93 E4 E7 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_79_4_0 {
	meta:
		name = "qsort"
		size = 1068
		refs = "000a __security_push_cookie 0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 0158 __rt_udiv 016e ?shortsort@@YAXPAD0IP6AHPBX1@Z@Z 01ae ?swap@@YAXPAD0I@Z 0402 __security_pop_cookie 0410 __guard_check_icall_fptr 0414 ??_C@_1CA@LIDFOMIN@?$AAc?$AAo?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0418 ??_C@_1M@INMHODIG@?$AAq?$AAs?$AAo?$AAr?$AAt?$AA?$AA@ 041c ??_C@_1GA@KPPCKKGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0420 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0424 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0428 ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? E3 B0 68 9B 00 2B 05 D1 69 9B 00 2B 02 D0 00 23 08 93 01 E0 01 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 FD 4B 01 93 FA 4B 00 93 00 23 AC 22 F7 49 02 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 09 9B 00 2B 0E D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 00 23 00 93 AC 23 ED 4A EB 49 EF 48 ?? ?? ?? ?? C6 E1 6A 9B 00 2B 02 D9 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 E5 4B 01 93 E3 4B 00 93 00 23 AD 22 E0 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 0E D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 AD 23 D6 4A D4 49 D7 48 ?? ?? ?? ?? 98 E1 6B 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 CA 4B 01 93 CC 4B 00 93 00 23 AE 22 C9 49 02 20 ?? ?? ?? ?? 1B 90 1B 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 0E D1 ?? ?? ?? ?? 1C 90 1C 9A 16 23 13 60 00 23 00 93 AE 23 BF 4A BD 49 BC 48 ?? ?? ?? ?? 6A E1 00 23 07 93 69 9B 02 2B 00 D2 64 E1 68 9B 05 93 69 9B 5A 1E 6A 9B 03 FB 02 F2 68 9B 13 44 06 93 06 9A 05 9B D1 1A 6A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 43 1C 0E 93 0E 9B 08 2B 06 D8 6B 9B 6A 9A 06 99 05 98 ?? ?? ?? ?? 2E E1 0E 99 02 20 ?? ?? ?? ?? 6A 9B 00 FB 03 F2 05 9B 13 44 03 93 03 9D 05 9C 6B 9B 0F 93 0F 98 9F 4B 1B 68 98 47 0F 9B 20 46 29 46 98 47 1D 90 1D 9B 00 2B 04 DD 6A 9A 03 99 05 98 ?? ?? ?? ?? 06 9D 05 9C 6B 9B 10 93 10 98 94 4B 1B 68 98 47 10 9B 20 46 29 46 98 47 1E 90 1E 9B 00 2B 04 DD 6A 9A 06 99 05 98 ?? ?? ?? ?? 06 9D 03 9C 6B 9B 11 93 11 98 8A 4B 1B 68 98 47 11 9B 20 46 29 46 98 47 1F 90 1F 9B 00 2B 04 DD 6A 9A 06 99 03 98 ?? ?? ?? ?? 05 9B 04 93 06 9B 02 93 03 9A 04 9B 9A 42 17 D9 04 9A 6A 9B 13 44 04 93 04 9A 03 9B 9A 42 0F D2 03 9D 04 9C 6B 9B 12 93 12 98 77 4B 1B 68 98 47 12 9B 20 46 29 46 98 47 20 90 20 9B 00 2B E7 DD 03 9A 04 9B 9A 42 17 D8 04 9A 6A 9B 13 44 04 93 04 9A 06 9B 9A 42 0F D8 03 9D 04 9C 6B 9B 13 93 13 98 69 4B 1B 68 98 47 13 9B 20 46 29 46 98 47 21 90 21 9B 00 2B E7 DD 02 9A 6A 9B D3 1A 02 93 02 9A 03 9B 9A 42 0F D9 03 9D 02 9C 6B 9B 14 93 14 98 5D 4B 1B 68 98 47 14 9B 20 46 29 46 98 47 22 90 22 9B 00 2B E7 DC 02 9A 04 9B 9A 42 00 D2 0B E0 6A 9A 02 99 04 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 01 D1 04 9B 03 93 9E E7 02 9A 6A 9B 13 44 02 93 03 9A 02 9B 9A 42 17 D2 02 9A 6A 9B D3 1A 02 93 02 9A 03 9B 9A 42 0F D9 03 9D 02 9C 6B 9B 15 93 15 98 45 4B 1B 68 98 47 15 9B 20 46 29 46 98 47 23 90 23 9B 00 2B E7 D0 03 9A 02 9B 9A 42 17 D3 02 9A 6A 9B D3 1A 02 93 02 9A 05 9B 9A 42 0F D9 03 9D 02 9C 6B 9B 16 93 16 98 37 4B 1B 68 98 47 16 9B 20 46 29 46 98 47 24 90 24 9B 00 2B E7 D0 02 9A 05 9B D1 1A 06 9A 04 9B D3 1A 99 42 1E DB 05 9A 02 9B 9A 42 12 D2 07 9A 04 23 02 FB 03 F2 26 AB 1A 44 05 9B 13 60 07 9A 04 23 02 FB 03 F2 44 AB 1A 44 02 9B 13 60 07 9B 5B 1C 07 93 04 9A 06 9B 9A 42 02 D2 04 9B 05 93 DA E6 1D E0 04 9A 06 9B 9A 42 12 D2 07 9A 04 23 02 FB 03 F2 26 AB 1A 44 04 9B 13 60 07 9A 04 23 02 FB 03 F2 44 AB 1A 44 06 9B 13 60 07 9B 5B 1C 07 93 05 9A 02 9B 9A 42 02 D2 02 9B 06 93 BB E6 07 9B 5B 1E 07 93 07 9B 00 2B 10 DB 07 9A 04 23 02 FB 03 F2 26 AB 13 44 1B 68 05 93 07 9A 04 23 02 FB 03 F2 44 AB 13 44 1B 68 06 93 A4 E6 63 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_26_0 {
	meta:
		name = "??0__crt_scoped_get_last_error_reset@@QAA@XZ"
		size = 44
		refs = "0028 __imp_GetLastError"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 98 47 00 90 04 9A 00 9B 13 60 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_28_0 {
	meta:
		name = "??1__crt_scoped_get_last_error_reset@@QAA@XZ"
		size = 32
		refs = "001c __imp_SetLastError"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 68 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_410_6_0 {
	meta:
		name = "??$output_debug_string@ABQBD@?$__crt_char_traits@D@@SAXABQBD@Z"
		size = 32
		refs = "001c __imp_OutputDebugStringA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 68 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_410_7_0 {
	meta:
		name = "??$output_debug_string@ABQB_W@?$__crt_char_traits@_W@@SAXABQB_W@Z"
		size = 32
		refs = "001c __imp_OutputDebugStringW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 18 68 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_42_0 {
	meta:
		name = "?construct_ptd@@YAXQAU__acrt_ptd@@QAPAU__crt_locale_data@@@Z"
		size = 136
		refs = "0054 ??0<lambda_da44e0f8b0f19ba52fefafb335991732>@@QAA@ABQAU__acrt_ptd@@@Z 005e ??$__acrt_lock_and_call@V<lambda_da44e0f8b0f19ba52fefafb335991732>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_da44e0f8b0f19ba52fefafb335991732>@@@Z 0068 ??0<lambda_46720907175c18b6c9d2717bc0d2d362>@@QAA@ABQAU__acrt_ptd@@ABQAPAU__crt_locale_data@@@Z 0072 ??$__acrt_lock_and_call@V<lambda_46720907175c18b6c9d2717bc0d2d362>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_46720907175c18b6c9d2717bc0d2d362>@@@Z 0080 __acrt_initial_multibyte_data 0084 __acrt_exception_action_table"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 18 02 01 23 13 60 08 9A 1B 4B 13 60 08 9B 03 F5 54 72 01 23 13 60 08 9B 03 F1 48 02 15 4B 13 60 08 9B 50 33 03 F1 1C 02 43 23 13 80 08 9B 50 33 03 F5 91 72 43 23 13 80 08 9B 03 F5 53 72 00 23 13 60 08 A9 02 A8 ?? ?? ?? ?? 00 90 00 99 05 20 ?? ?? ?? ?? 09 AA 08 A9 04 A8 ?? ?? ?? ?? 01 90 01 99 04 20 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_43_0 {
	meta:
		name = "?construct_ptd_array@@YAXQAU__acrt_ptd@@@Z"
		size = 84
		refs = "001e ?dangerous_get_state_array@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAAPAPAU__crt_locale_data@@XZ 003e ?construct_ptd@@YAXQAU__acrt_ptd@@QAPAU__crt_locale_data@@@Z 0050 __acrt_current_locale_data"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 01 2B 13 D0 0C 48 ?? ?? ?? ?? 01 90 00 9A 04 23 02 FB 03 F2 01 9B 99 18 00 9A 4F F4 59 73 02 FB 03 F2 04 9B 98 18 ?? ?? ?? ?? E5 E7 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_45_0 {
	meta:
		name = "?destroy_fls@@YAXPAX@Z"
		size = 38
		refs = "0012 ?destroy_ptd_array@@YAXQAU__acrt_ptd@@@Z 001a _free_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 00 2B 00 D1 06 E0 02 98 ?? ?? ?? ?? 02 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_80_46_0 {
	meta:
		name = "?destroy_ptd@@YAXQAU__acrt_ptd@@@Z"
		size = 192
		refs = "001a _free_dbg 0090 ??0<lambda_d51eb34c9f7d53dbc39f6b791b6a3e42>@@QAA@ABQAU__acrt_ptd@@@Z 009a ??$__acrt_lock_and_call@V<lambda_d51eb34c9f7d53dbc39f6b791b6a3e42>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_d51eb34c9f7d53dbc39f6b791b6a3e42>@@@Z 00a2 ??0<lambda_b8d4b9c228a6ecc3f80208dbb4b4a104>@@QAA@ABQAU__acrt_ptd@@@Z 00ac ??$__acrt_lock_and_call@V<lambda_b8d4b9c228a6ecc3f80208dbb4b4a104>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_b8d4b9c228a6ecc3f80208dbb4b4a104>@@@Z 00bc __acrt_exception_action_table"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1A 68 2B 4B 9A 42 04 D0 02 21 06 9B 18 68 ?? ?? ?? ?? 02 21 06 9B 3C 33 18 68 ?? ?? ?? ?? 02 21 06 9B 30 33 18 68 ?? ?? ?? ?? 02 21 06 9B 34 33 18 68 ?? ?? ?? ?? 02 21 06 9B 38 33 18 68 ?? ?? ?? ?? 02 21 06 9B 28 33 18 68 ?? ?? ?? ?? 02 21 06 9B 2C 33 18 68 ?? ?? ?? ?? 02 21 06 9B 40 33 18 68 ?? ?? ?? ?? 02 21 06 9B 44 33 18 68 ?? ?? ?? ?? 02 21 06 9B 03 F5 58 73 18 68 ?? ?? ?? ?? 06 A9 02 A8 ?? ?? ?? ?? 00 90 00 99 05 20 ?? ?? ?? ?? 06 A9 03 A8 ?? ?? ?? ?? 01 90 01 99 04 20 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_47_0 {
	meta:
		name = "?destroy_ptd_array@@YAXQAU__acrt_ptd@@@Z"
		size = 58
		refs = "002a ?destroy_ptd@@YAXQAU__acrt_ptd@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 01 2B 09 D0 00 9A 4F F4 59 73 02 FB 03 F2 04 9B 98 18 ?? ?? ?? ?? EF E7 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_80_51_0 {
	meta:
		name = "?internal_get_ptd_head@@YAPAU__acrt_ptd@@XZ"
		size = 248
		refs = "0008 ?try_get_ptd_head@@YAPAU__acrt_ptd@@XZ 0036 __acrt_FlsSetValue 0056 _calloc_dbg 0060 ??0?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAA@QAU__acrt_ptd@@@Z 0066 ??B?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBA_NXZ 0086 ??1?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAA@XZ 0092 ?get@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBAPAU__acrt_ptd@@XZ 00ce ?construct_ptd_array@@YAXQAU__acrt_ptd@@@Z 00d4 ?detach@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAAPAU__acrt_ptd@@XZ 00f0 ?__acrt_flsindex@@3KA 00f4 ??_C@_0DM@DKIFNNOL@minkernel?2crts?2ucrt?2src?2appcrt?2i@"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 ?? ?? ?? ?? 06 90 06 9B 05 93 05 9B B3 F1 FF 3F 03 D1 00 23 04 93 63 E0 05 E0 05 9B 00 2B 02 D0 05 9B 04 93 5C E0 6F F0 00 01 2F 4B 18 68 ?? ?? ?? ?? 07 90 07 9B 00 2B 02 D1 00 23 04 93 4F E0 F2 23 00 93 29 4B 02 22 4F F4 59 71 01 20 ?? ?? ?? ?? 08 90 08 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0C D1 00 21 1D 4B 18 68 ?? ?? ?? ?? 00 23 09 93 03 A8 ?? ?? ?? ?? 09 9B 04 93 2B E0 03 A8 ?? ?? ?? ?? 0A 90 0A 99 15 4B 18 68 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 0C D1 00 21 10 4B 18 68 ?? ?? ?? ?? 00 23 0C 93 03 A8 ?? ?? ?? ?? 0C 9B 04 93 11 E0 03 A8 ?? ?? ?? ?? 0D 90 0D 98 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 03 A8 ?? ?? ?? ?? 0F 9B 04 93 04 98 10 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_52_0 {
	meta:
		name = "?internal_getptd_noexit@@YAPAU__acrt_ptd@@XZ"
		size = 86
		refs = "000a ??0__crt_scoped_get_last_error_reset@@QAA@XZ 000e ?internal_get_ptd_head@@YAPAU__acrt_ptd@@XZ 0024 ??1__crt_scoped_get_last_error_reset@@QAA@XZ 002e ?get_current_state_index@__crt_state_management@@YAIXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 01 A8 ?? ?? ?? ?? ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 07 D1 00 23 04 93 01 A8 ?? ?? ?? ?? 04 9B 02 93 0F E0 ?? ?? ?? ?? 05 90 05 9A 4F F4 59 73 02 FB 03 F2 00 9B 13 44 06 93 01 A8 ?? ?? ?? ?? 06 9B 02 93 02 98 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_80_55_0 {
	meta:
		name = "?replace_current_thread_locale_nolock@@YAXQAU__acrt_ptd@@QAU__crt_locale_data@@@Z"
		size = 136
		refs = "001a __acrt_release_locale_ref 0020 ?value@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAAAAPAU__crt_locale_data@@XZ 0054 __acrt_free_locale 0072 __acrt_add_locale_ref 0080 __acrt_initial_locale_data 0084 __acrt_current_locale_data"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 4C 33 1B 68 00 2B 21 D0 04 9B 4C 33 18 68 ?? ?? ?? ?? 19 48 ?? ?? ?? ?? 00 90 04 9B 4C 33 1A 68 00 9B 1B 68 9A 42 11 D0 04 9B 4C 33 1A 68 11 4B 9A 42 0B D0 04 9B 4C 33 1B 68 0C 33 1B 68 00 2B 04 D1 04 9B 4C 33 18 68 ?? ?? ?? ?? 04 9B 03 F1 4C 02 05 9B 13 60 04 9B 4C 33 1B 68 00 2B 04 D0 04 9B 4C 33 18 68 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_56_0 {
	meta:
		name = "?try_get_ptd_head@@YAPAU__acrt_ptd@@XZ"
		size = 68
		refs = "001c __acrt_FlsGetValue 0040 ?__acrt_flsindex@@3KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 0D 4B 1B 68 B3 F1 FF 3F 02 D1 00 23 00 93 0E E0 09 4B 18 68 ?? ?? ?? ?? 02 90 02 9B 01 93 01 9B 00 2B 02 D1 00 23 00 93 01 E0 01 9B 00 93 00 98 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_58_0 {
	meta:
		name = "__acrt_freeptd"
		size = 52
		refs = "0008 ?try_get_ptd_head@@YAPAU__acrt_ptd@@XZ 0020 __acrt_FlsSetValue 0026 ?destroy_fls@@YAXPAX@Z 0030 ?__acrt_flsindex@@3KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 00 D1 07 E0 00 21 04 4B 18 68 ?? ?? ?? ?? 00 98 ?? ?? ?? ?? 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_59_0 {
	meta:
		name = "__acrt_getptd"
		size = 40
		refs = "0008 ?internal_getptd_noexit@@YAPAU__acrt_ptd@@XZ 0018 abort"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 01 D1 ?? ?? ?? ?? 00 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_80_60_0 {
	meta:
		name = "__acrt_getptd_head"
		size = 40
		refs = "0008 ?internal_get_ptd_head@@YAPAU__acrt_ptd@@XZ 0018 abort"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 01 D1 ?? ?? ?? ?? 00 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_80_61_0 {
	meta:
		name = "__acrt_getptd_noexit"
		size = 26
		refs = "0008 ?internal_getptd_noexit@@YAPAU__acrt_ptd@@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_641_18_0 {
	meta:
		name = "_Gettnames"
		size = 26
		refs = "0008 _W_Gettnames"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_145_8_0 {
	meta:
		name = "_get_narrow_winmain_command_line"
		size = 26
		refs = "0008 ??$common_wincmdln@D@@YAPADXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_145_9_0 {
	meta:
		name = "_get_wide_winmain_command_line"
		size = 26
		refs = "0008 ??$common_wincmdln@_W@@YAPA_WXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_143_14_0 {
	meta:
		name = "getchar"
		size = 26
		refs = "0008 _fgetchar"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_80_62_0 {
	meta:
		name = "__acrt_initialize_ptd"
		size = 92
		refs = "000a __acrt_FlsAlloc 0028 __acrt_getptd_noexit 0036 __acrt_uninitialize_ptd 0054 ?__acrt_flsindex@@3KA 0058 ?destroy_fls@@YAXPAX@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 13 48 ?? ?? ?? ?? 01 90 01 9A 10 4B 1A 60 0F 4B 1B 68 B3 F1 FF 3F 03 D1 00 23 8D F8 00 30 0F E0 ?? ?? ?? ?? 02 90 02 9B 00 2B 06 D1 00 20 ?? ?? ?? ?? 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_63_0 {
	meta:
		name = "__acrt_uninitialize_ptd"
		size = 60
		refs = "0018 __acrt_FlsFree 0038 ?__acrt_flsindex@@3KA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0B 4B 1B 68 B3 F1 FF 3F 07 D0 08 4B 18 68 ?? ?? ?? ?? 06 4A 6F F0 00 03 13 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_80_64_0 {
	meta:
		name = "__threadhandle"
		size = 32
		refs = "001c __imp_GetCurrentThread"
		altNames = "__threadid"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_600_0_0 {
	meta:
		name = "_getpid"
		size = 32
		refs = "001c __imp_GetCurrentProcessId"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_1_0 {
	meta:
		name = "??$common_flush_and_write_nolock@D@@YAHHV__crt_stdio_stream@@@Z"
		size = 496
		refs = "0010 ?valid@__crt_stdio_stream@@QBA_NXZ 0030 _CrtDbgReportW 0040 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0048 _fileno 0056 ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z 0066 _errno 0076 ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 0086 ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 00c8 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 010a ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 0144 ?has_any_buffer@__crt_stdio_stream@@QBA_NXZ 015e __acrt_iob_func 0186 _isatty 019c __acrt_stdio_allocate_buffer_nolock 01b0 ??$write_buffer_nolock@D@@YA_NDV__crt_stdio_stream@@@Z 01e4 ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01ec ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 98 B0 FF 23 16 93 1B A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0E D1 72 4B 01 93 70 4B 00 93 00 23 4E 22 6D 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 1B A8 ?? ?? ?? ?? 06 90 06 98 ?? ?? ?? ?? 07 90 07 9B 12 93 06 21 1B A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 0E D1 ?? ?? ?? ?? 08 90 08 9A 09 23 13 60 10 21 1B A8 ?? ?? ?? ?? 6F F0 00 03 04 93 A9 E0 16 E0 1B A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 0D D0 ?? ?? ?? ?? 09 90 09 9A 22 23 13 60 10 21 1B A8 ?? ?? ?? ?? 6F F0 00 03 04 93 91 E0 01 21 1B A8 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 2C D0 1B A8 ?? ?? ?? ?? 0A 90 0A 9B 03 F1 08 02 00 23 13 60 08 21 1B A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 11 D0 1B A8 ?? ?? ?? ?? 0B 90 1B A8 ?? ?? ?? ?? 0C 90 0B 9B 1B 1D 0C 9A 1B 68 13 60 01 21 1B A8 ?? ?? ?? ?? 07 E0 10 21 1B A8 ?? ?? ?? ?? 6F F0 00 03 04 93 5A E0 02 21 1B A8 ?? ?? ?? ?? 08 21 1B A8 ?? ?? ?? ?? 1B A8 ?? ?? ?? ?? 0D 90 0D 9B 03 F1 08 02 00 23 13 60 1B A8 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 25 D1 1B A8 ?? ?? ?? ?? 0E 90 01 20 ?? ?? ?? ?? 0F 90 0E 9A 0F 9B 9A 42 0B D0 1B A8 ?? ?? ?? ?? 10 90 02 20 ?? ?? ?? ?? 11 90 10 9A 11 9B 9A 42 06 D1 12 98 ?? ?? ?? ?? 13 90 13 9B 00 2B 06 D1 1B A8 ?? ?? ?? ?? 14 90 14 98 ?? ?? ?? ?? 00 23 15 93 15 9B 17 93 1B 99 1A 9B DB B2 58 B2 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 07 D1 10 21 1B A8 ?? ?? ?? ?? 6F F0 00 03 04 93 02 E0 1A 9B DB B2 04 93 04 98 18 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_2_0 {
	meta:
		name = "??$common_flush_and_write_nolock@_W@@YAHHV__crt_stdio_stream@@@Z"
		size = 496
		refs = "0012 ?valid@__crt_stdio_stream@@QBA_NXZ 0032 _CrtDbgReportW 0042 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 004a _fileno 0058 ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z 0068 _errno 0078 ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 0088 ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 00ca ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 010c ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 0146 ?has_any_buffer@__crt_stdio_stream@@QBA_NXZ 0160 __acrt_iob_func 0188 _isatty 019e __acrt_stdio_allocate_buffer_nolock 01b2 ??$write_buffer_nolock@_W@@YA_N_WV__crt_stdio_stream@@@Z 01e4 ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01ec ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 98 B0 4F F6 FF 73 16 93 1B A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0E D1 72 4B 01 93 70 4B 00 93 00 23 4E 22 6D 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 1B A8 ?? ?? ?? ?? 06 90 06 98 ?? ?? ?? ?? 07 90 07 9B 12 93 06 21 1B A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 0E D1 ?? ?? ?? ?? 08 90 08 9A 09 23 13 60 10 21 1B A8 ?? ?? ?? ?? 4F F6 FF 73 04 93 A9 E0 16 E0 1B A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 0D D0 ?? ?? ?? ?? 09 90 09 9A 22 23 13 60 10 21 1B A8 ?? ?? ?? ?? 4F F6 FF 73 04 93 91 E0 01 21 1B A8 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 2C D0 1B A8 ?? ?? ?? ?? 0A 90 0A 9B 03 F1 08 02 00 23 13 60 08 21 1B A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 11 D0 1B A8 ?? ?? ?? ?? 0B 90 1B A8 ?? ?? ?? ?? 0C 90 0B 9B 1B 1D 0C 9A 1B 68 13 60 01 21 1B A8 ?? ?? ?? ?? 07 E0 10 21 1B A8 ?? ?? ?? ?? 4F F6 FF 73 04 93 5A E0 02 21 1B A8 ?? ?? ?? ?? 08 21 1B A8 ?? ?? ?? ?? 1B A8 ?? ?? ?? ?? 0D 90 0D 9B 03 F1 08 02 00 23 13 60 1B A8 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 25 D1 1B A8 ?? ?? ?? ?? 0E 90 01 20 ?? ?? ?? ?? 0F 90 0E 9A 0F 9B 9A 42 0B D0 1B A8 ?? ?? ?? ?? 10 90 02 20 ?? ?? ?? ?? 11 90 10 9A 11 9B 9A 42 06 D1 12 98 ?? ?? ?? ?? 13 90 13 9B 00 2B 06 D1 1B A8 ?? ?? ?? ?? 14 90 14 98 ?? ?? ?? ?? 00 23 15 93 15 9B 17 93 1B 99 1A 9B 9B B2 98 B2 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 07 D1 10 21 1B A8 ?? ?? ?? ?? 4F F6 FF 73 04 93 02 E0 1A 9B 9B B2 04 93 04 98 18 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_3_0 {
	meta:
		name = "??$write_buffer_nolock@D@@YA_NDV__crt_stdio_stream@@@Z"
		size = 480
		refs = "000c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0014 _fileno 0020 ?has_big_buffer@__crt_stdio_stream@@QBA_NXZ 0034 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0062 _CrtDbgReportW 00e4 _write 013c _lseeki64 015c ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 01cc __badioinfo 01d0 __pioinfo 01d4 ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01dc ??_C@_1HO@MLMGPAFH@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAI?$AAO?$AAB?$AA?5?$AAf?$AAi?$AAe?$AAl?$AAd?$AAs?$AA?$CC?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9E B0 21 A8 ?? ?? ?? ?? 0A 90 0A 98 ?? ?? ?? ?? 0B 90 0B 9B 03 93 21 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 00 F0 B4 80 21 A8 ?? ?? ?? ?? 0C 90 21 A8 ?? ?? ?? ?? 0D 90 0C 9A 0D 9B 1B 1D 12 68 1B 68 D3 1A 00 2B 0E DA 62 4B 01 93 60 4B 00 93 00 23 1A 22 5D 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 21 A8 ?? ?? ?? ?? 0F 90 21 A8 ?? ?? ?? ?? 10 90 0F 9A 10 9B 1B 1D 12 68 1B 68 D3 1A 04 93 21 A8 ?? ?? ?? ?? 11 90 21 A8 ?? ?? ?? ?? 12 90 11 9B 1B 1D 1B 68 5A 1C 12 9B 1A 60 21 A8 ?? ?? ?? ?? 13 90 21 A8 ?? ?? ?? ?? 14 90 13 9B 18 33 1B 68 5A 1E 14 9B 08 33 1A 60 00 23 07 93 04 9B 00 2B 0E DD 21 A8 ?? ?? ?? ?? 15 90 04 9A 15 9B 1B 1D 19 68 03 98 ?? ?? ?? ?? 16 90 16 9B 07 93 3B E0 03 9B B3 F1 FF 3F 14 D0 03 9B 13 F1 02 0F 10 D0 03 9B 9A 11 04 23 02 FB 03 F2 31 4B 99 18 03 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 06 93 01 E0 2A 4B 06 93 06 9B 28 33 1B 78 13 F0 20 0F 1A D0 02 23 00 93 00 22 00 23 03 98 ?? ?? ?? ?? 1B 91 1A 90 1A 9B 1C 93 1B 9B 1D 93 1D 9A 1C 9B 13 40 B3 F1 FF 3F 07 D1 10 21 21 A8 ?? ?? ?? ?? 01 23 8D F8 14 30 2A E0 21 A8 ?? ?? ?? ?? 17 90 17 9B 1B 1D 1A 68 9D F9 80 30 13 70 07 9A 04 9B 9A 42 02 D1 01 23 08 93 01 E0 00 23 08 93 08 9B DB B2 8D F8 14 30 12 E0 11 E0 01 22 20 A9 03 98 ?? ?? ?? ?? 18 90 18 9B 01 2B 02 D1 01 23 09 93 01 E0 00 23 09 93 09 9B DB B2 8D F8 14 30 9D F8 14 00 1E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_4_0 {
	meta:
		name = "??$write_buffer_nolock@_W@@YA_N_WV__crt_stdio_stream@@@Z"
		size = 480
		refs = "000c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0014 _fileno 0020 ?has_big_buffer@__crt_stdio_stream@@QBA_NXZ 0034 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0062 _CrtDbgReportW 00e4 _write 013c _lseeki64 015c ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 01cc __badioinfo 01d0 __pioinfo 01d4 ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01dc ??_C@_1HO@MLMGPAFH@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAI?$AAO?$AAB?$AA?5?$AAf?$AAi?$AAe?$AAl?$AAd?$AAs?$AA?$CC?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9E B0 21 A8 ?? ?? ?? ?? 0A 90 0A 98 ?? ?? ?? ?? 0B 90 0B 9B 03 93 21 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 00 F0 B4 80 21 A8 ?? ?? ?? ?? 0C 90 21 A8 ?? ?? ?? ?? 0D 90 0C 9A 0D 9B 1B 1D 12 68 1B 68 D3 1A 00 2B 0E DA 62 4B 01 93 60 4B 00 93 00 23 1A 22 5D 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 21 A8 ?? ?? ?? ?? 0F 90 21 A8 ?? ?? ?? ?? 10 90 0F 9A 10 9B 1B 1D 12 68 1B 68 D3 1A 04 93 21 A8 ?? ?? ?? ?? 11 90 21 A8 ?? ?? ?? ?? 12 90 11 9B 1B 1D 1B 68 9A 1C 12 9B 1A 60 21 A8 ?? ?? ?? ?? 13 90 21 A8 ?? ?? ?? ?? 14 90 13 9B 18 33 1B 68 9A 1E 14 9B 08 33 1A 60 00 23 07 93 04 9B 00 2B 0E DD 21 A8 ?? ?? ?? ?? 15 90 04 9A 15 9B 1B 1D 19 68 03 98 ?? ?? ?? ?? 16 90 16 9B 07 93 3B E0 03 9B B3 F1 FF 3F 14 D0 03 9B 13 F1 02 0F 10 D0 03 9B 9A 11 04 23 02 FB 03 F2 31 4B 99 18 03 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 06 93 01 E0 2A 4B 06 93 06 9B 28 33 1B 78 13 F0 20 0F 1A D0 02 23 00 93 00 22 00 23 03 98 ?? ?? ?? ?? 1B 91 1A 90 1A 9B 1C 93 1B 9B 1D 93 1D 9A 1C 9B 13 40 B3 F1 FF 3F 07 D1 10 21 21 A8 ?? ?? ?? ?? 01 23 8D F8 14 30 2A E0 21 A8 ?? ?? ?? ?? 17 90 17 9B 1B 1D 1A 68 BD F8 80 30 13 80 07 9A 04 9B 9A 42 02 D1 01 23 08 93 01 E0 00 23 08 93 08 9B DB B2 8D F8 14 30 12 E0 11 E0 02 22 20 A9 03 98 ?? ?? ?? ?? 18 90 18 9B 02 2B 02 D1 01 23 09 93 01 E0 00 23 09 93 09 9B DB B2 8D F8 14 30 9D F8 14 00 1E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_81_11_0 {
	meta:
		name = "?has_big_buffer@__crt_stdio_stream@@QBA_NXZ"
		size = 44
		refs = "000e ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 C0 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_81_17_0 {
	meta:
		name = "__acrt_stdio_flush_and_write_narrow_nolock"
		size = 52
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001e ??$common_flush_and_write_nolock@D@@YAHHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 19 68 08 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_81_18_0 {
	meta:
		name = "__acrt_stdio_flush_and_write_wide_nolock"
		size = 52
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001e ??$common_flush_and_write_nolock@_W@@YAHHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 19 68 08 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_82_1_0 {
	meta:
		name = "__get_machine_status"
		size = 120
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 04 9B 03 F0 1F 03 00 2B 27 D0 04 9B 13 F0 10 0F 03 D0 00 9B 43 F0 01 03 00 93 04 9B 13 F0 08 0F 03 D0 00 9B 43 F0 02 03 00 93 04 9B 13 F0 04 0F 03 D0 00 9B 43 F0 04 03 00 93 04 9B 13 F0 02 0F 03 D0 00 9B 43 F0 08 03 00 93 04 9B 13 F0 01 0F 03 D0 00 9B 43 F0 10 03 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_82_2_0 {
	meta:
		name = "_getfpcontrolword"
		size = 36
		refs = "000c _controlfp"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 21 00 20 ?? ?? ?? ?? 00 90 00 9A 40 F2 1F 33 13 40 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_82_3_0 {
	meta:
		name = "_getfpstatusword"
		size = 30
		refs = "0008 _statusfp"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 03 F0 1F 03 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_82_4_0 {
	meta:
		name = "_setfpcontrolword"
		size = 28
		refs = "000c _controlfp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 49 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB 1F 03 08 00 }
	condition:
		$1
}

rule file_82_5_0 {
	meta:
		name = "_setfpstatusword"
		size = 82
		refs = "001e __get_machine_status"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 F1 EE 10 3A 01 93 01 9B 83 F4 1F 43 00 93 1F 20 ?? ?? ?? ?? 02 90 02 9B DA 43 00 9B 13 40 00 93 06 98 ?? ?? ?? ?? 03 90 00 9A 03 9B 13 43 00 93 00 9B 83 F4 1F 43 E1 EE 10 3A 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_83_0_0 {
	meta:
		name = "??$common_ftime_s@JU__timeb32@@@@YAHQAU__timeb32@@@Z"
		size = 428
		refs = "0008 __security_push_cookie 0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 006e __tzset 0078 _get_timezone 008e _invoke_watson_if_error 0096 __rt_sdiv 00a4 __acrt_GetSystemTimePreciseAsFileTime 00b0 __rt_udiv64 016e __security_pop_cookie 0188 ?dstflag_cache@@3HA 018c ?elapsed_minutes_cache@@3JA 0190 __imp_GetTimeZoneInformation 0198 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 019c ??_C@_1BO@PPOABMOP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 01a0 ??_C@_1FM@EGILFEFE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01a4 ??_C@_1BM@MEIPFNFB@?$AAt?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? C1 B0 44 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 5E 4B 01 93 5E 4B 00 93 00 23 26 22 5A 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 26 23 50 4A 4E 49 50 48 ?? ?? ?? ?? 16 23 09 93 7D E0 ?? ?? ?? ?? 00 23 06 93 06 A8 ?? ?? ?? ?? 0C 90 00 23 01 93 2B 23 00 93 46 4B 44 4A 43 49 0C 98 ?? ?? ?? ?? 06 99 3C 20 ?? ?? ?? ?? 02 B2 44 9B 9B 1D 1A 80 02 A8 ?? ?? ?? ?? 3A 48 00 21 02 9A 03 9B ?? ?? ?? ?? 0F 93 0E 92 03 46 08 93 08 9A 33 4B 1B 68 9A 42 23 D0 16 A8 31 4B 1B 68 98 47 0D 90 0D 9B 07 93 07 9B B3 F1 FF 3F 04 D1 2A 4A 6F F0 00 03 13 60 10 E0 07 9B 02 2B 0A D1 BD F8 F2 30 00 2B 06 D0 40 9B 00 2B 03 D0 23 4A 01 23 13 60 02 E0 21 4A 00 23 13 60 08 9A 20 4B 1A 60 1E 4B 1B 68 1A B2 44 9B 08 33 1A 80 42 F2 10 70 00 21 02 9A 03 9B ?? ?? ?? ?? 11 93 10 92 0B 46 02 46 4F F4 7A 70 00 21 ?? ?? ?? ?? 13 91 12 90 92 B2 44 9B 1B 1D 1A 80 02 98 03 99 0E 4A 0C 4B 82 1A 61 EB 03 03 09 48 00 21 ?? ?? ?? ?? 15 93 14 92 02 46 44 9B 1A 60 00 23 09 93 09 98 41 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE 80 96 98 00 DE B1 9D 01 00 80 3E D5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 46 C3 23 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_1_0 {
	meta:
		name = "??$common_ftime_s@_JU__timeb64@@@@YAHQAU__timeb64@@@Z"
		size = 444
		refs = "0008 __security_push_cookie 0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 006e __tzset 0078 _get_timezone 008e _invoke_watson_if_error 0096 __rt_sdiv 00a4 __acrt_GetSystemTimePreciseAsFileTime 00b0 __rt_udiv64 017e __security_pop_cookie 0198 ?dstflag_cache@@3HA 019c ?elapsed_minutes_cache@@3JA 01a0 __imp_GetTimeZoneInformation 01a8 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 01ac ??_C@_1BO@PPOABMOP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 01b0 ??_C@_1FM@EGILFEFE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01b4 ??_C@_1BM@MEIPFNFB@?$AAt?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? C3 B0 46 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 62 4B 01 93 62 4B 00 93 00 23 26 22 5E 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 26 23 54 4A 52 49 54 48 ?? ?? ?? ?? 16 23 0B 93 85 E0 ?? ?? ?? ?? 00 23 06 93 06 A8 ?? ?? ?? ?? 0E 90 00 23 01 93 2B 23 00 93 4A 4B 48 4A 47 49 0E 98 ?? ?? ?? ?? 06 99 3C 20 ?? ?? ?? ?? 02 B2 46 9B 0A 33 1A 80 02 A8 ?? ?? ?? ?? 3E 48 00 21 02 9A 03 9B ?? ?? ?? ?? 11 93 10 92 03 46 08 93 08 9A 37 4B 1B 68 9A 42 23 D0 18 A8 35 4B 1B 68 98 47 0F 90 0F 9B 07 93 07 9B B3 F1 FF 3F 04 D1 2E 4A 6F F0 00 03 13 60 10 E0 07 9B 02 2B 0A D1 BD F8 FA 30 00 2B 06 D0 42 9B 00 2B 03 D0 27 4A 01 23 13 60 02 E0 25 4A 00 23 13 60 08 9A 24 4B 1A 60 22 4B 1B 68 1A B2 46 9B 0C 33 1A 80 42 F2 10 70 00 21 02 9A 03 9B ?? ?? ?? ?? 13 93 12 92 0B 46 02 46 4F F4 7A 70 00 21 ?? ?? ?? ?? 15 91 14 90 92 B2 46 9B 08 33 1A 80 02 98 03 99 12 4A 10 4B 82 1A 61 EB 03 03 0D 48 00 21 ?? ?? ?? ?? 17 93 16 92 03 46 09 93 09 99 09 9B DA 17 46 9B 0A 93 0A 9B 19 60 0A 9B 5A 60 00 23 0B 93 0B 98 43 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE 80 96 98 00 DE B1 9D 01 00 80 3E D5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 46 C3 23 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_6_0 {
	meta:
		name = "_invoke_watson_if_error"
		size = 44
		refs = "001e _invoke_watson"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 00 D1 07 E0 09 9B 00 93 08 9B 07 9A 06 99 05 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_84_0_0 {
	meta:
		name = "fetestexcept"
		size = 42
		refs = "0012 fegetexceptflag"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 04 99 68 46 ?? ?? ?? ?? 00 9B 03 F0 1F 03 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_85_0_0 {
	meta:
		name = "__acrt_errno_from_os_error"
		size = 132
		refs = "0080 ?errtable@@3QBUerrentry@?A0x31fdb9ec@@B"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 2C 2B 14 D2 00 9A 08 23 02 FB 03 F2 16 4B 13 44 04 9A 1B 68 9A 42 09 D1 00 9A 08 23 02 FB 03 F2 11 4B 13 44 1B 1D 1B 68 01 93 16 E0 E4 E7 04 9B 13 2B 06 D3 04 9B 24 2B 03 D8 0D 23 01 93 0C E0 0B E0 04 9B BC 2B 06 D3 04 9B CA 2B 03 D8 08 23 01 93 02 E0 01 E0 16 23 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_1_0 {
	meta:
		name = "__acrt_errno_map_os_error"
		size = 52
		refs = "000a __doserrno 0018 __acrt_errno_from_os_error 001e _errno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 00 90 06 9A 00 9B 1A 60 06 98 ?? ?? ?? ?? 01 90 ?? ?? ?? ?? 02 90 01 9A 02 9B 1A 60 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_85_2_0 {
	meta:
		name = "__doserrno"
		size = 48
		refs = "0008 __acrt_getptd_noexit 002c ?doserrno_no_memory@@3KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 04 4B 01 93 02 E0 00 9B 14 33 01 93 01 98 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_3_0 {
	meta:
		name = "_errno"
		size = 48
		refs = "0008 __acrt_getptd_noexit 002c ?errno_no_memory@@3HA"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 04 4B 01 93 02 E0 00 9B 10 33 01 93 01 98 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_4_0 {
	meta:
		name = "_get_doserrno"
		size = 140
		refs = "0034 _CrtDbgReportW 0054 _invalid_parameter 005e __doserrno 007c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0080 ??_C@_1BM@INIPHHDD@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAo?$AAs?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$AA@ 0084 ??_C@_1FM@MJJGEFKM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 15 4B 01 93 17 4B 00 93 00 23 9D 22 14 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 0A D1 00 23 00 93 9D 23 0D 4A 0B 49 0A 48 ?? ?? ?? ?? 16 23 04 93 08 E0 ?? ?? ?? ?? 06 90 06 9B 1A 68 0A 9B 1A 60 00 23 04 93 04 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_5_0 {
	meta:
		name = "_get_errno"
		size = 140
		refs = "0034 _CrtDbgReportW 0054 _invalid_parameter 005e _errno 007c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0080 ??_C@_1BG@KCMPBBDK@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$AA@ 0084 ??_C@_1FM@MJJGEFKM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 15 4B 01 93 17 4B 00 93 00 23 87 22 14 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 0A D1 00 23 00 93 87 23 0D 4A 0B 49 0A 48 ?? ?? ?? ?? 16 23 04 93 08 E0 ?? ?? ?? ?? 06 90 06 9B 1A 68 0A 9B 1A 60 00 23 04 93 04 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_6_0 {
	meta:
		name = "_set_doserrno"
		size = 60
		refs = "000a __acrt_getptd_noexit 0020 __doserrno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 02 93 02 9B 00 2B 02 D1 0C 23 00 93 07 E0 ?? ?? ?? ?? 03 90 06 9A 03 9B 1A 60 00 23 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_85_7_0 {
	meta:
		name = "_set_errno"
		size = 60
		refs = "000a __acrt_getptd_noexit 0020 _errno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 02 93 02 9B 00 2B 02 D1 0C 23 00 93 07 E0 ?? ?? ?? ?? 03 90 06 9A 03 9B 1A 60 00 23 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_86_0_0 {
	meta:
		name = "strcspn"
		size = 228
		refs = "0008 __security_push_cookie 0034 __report_rangecheckfailure 00d8 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8F B0 12 9B 02 93 13 9B 01 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 20 2B 0D DA 00 9B 03 93 03 9B 20 2B 00 D2 01 E0 ?? ?? ?? ?? 06 AA 03 9B 1A 44 00 23 13 70 EB E7 01 9B 1B 78 00 2B 1F D0 01 9B 1B 78 DA 10 01 23 02 FB 03 F2 06 AB 99 18 01 9B 1B 78 03 F0 07 02 01 23 03 FA 02 F2 0B 78 43 EA 02 01 01 9B 1B 78 DA 10 01 23 02 FB 03 F2 06 AB 1A 44 CB B2 13 70 01 9B 5B 1C 01 93 DB E7 00 23 00 93 06 AB 1B 78 43 F0 01 03 06 AA DB B2 13 70 02 9B 1B 78 DA 10 01 23 02 FB 03 F2 06 AB 13 44 19 78 02 9B 1B 78 03 F0 07 02 01 23 93 40 0B 40 00 2B 06 D1 00 9B 5B 1C 00 93 02 9B 5B 1C 02 93 E6 E7 00 9B 04 93 04 98 0F B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_87_4_0 {
	meta:
		name = "__dcrt_multibyte_check_type"
		size = 98
		refs = "0038 __acrt_GetStringTypeA"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 0F 46 1D 46 7B 68 16 46 9C 68 0C B3 5A 68 03 0A 8D F8 10 30 00 23 05 93 01 23 02 93 05 AB 00 93 8D F8 11 00 01 92 02 23 04 AA 01 21 38 46 ?? ?? ?? ?? 68 B1 BD F8 16 30 53 B9 BD F8 14 30 33 42 18 BF 01 23 08 BF 00 23 AB 42 08 BF 01 20 00 D0 00 20 06 B0 BD E8 F0 88 }
	condition:
		$1
}

rule file_87_6_0 {
	meta:
		name = "_ismbcalnum_l"
		size = 100
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0046 __dcrt_multibyte_check_type"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? FF 2C 12 D8 01 9B E1 B2 1B 68 33 F8 11 20 40 F2 07 13 1A 42 07 D1 02 9B 0B 44 5B 7E 13 F0 01 0F 08 BF 00 20 08 D0 01 20 06 E0 01 A9 01 23 40 F2 07 12 20 46 ?? ?? ?? ?? 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_88_4_0 {
	meta:
		name = "_mbccpy_s_l"
		size = 324
		refs = "003a _CrtDbgReportW 0044 _errno 0054 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00ba _invalid_parameter 012c ??_C@_1BI@BLONMAID@?$AA_?$AAm?$AAb?$AAc?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0130 ??_C@_1HG@KOPLKMJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0134 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0138 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 013c ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0140 ??_C@_1DE@MLEJGPLF@?$AA?$CI?$AAL?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 86 B0 14 46 1E 46 0F 46 05 46 4F F0 00 08 0C B1 C2 F8 00 80 00 2D 67 D0 00 2F 65 D0 A6 B9 44 4B 45 4C 41 49 00 93 00 23 19 22 02 20 85 F8 00 80 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 19 23 61 E0 0E 99 02 A8 ?? ?? ?? ?? 32 78 04 9B 4F F0 02 09 13 44 5B 7E 13 F0 04 0F 32 D0 73 78 53 B9 85 F8 00 80 0C B1 01 23 23 60 ?? ?? ?? ?? 2A 23 03 60 2A 20 2A E0 02 2F 1C D2 2B 4B 2C 4C 28 49 00 93 00 23 2D 22 02 20 85 F8 00 80 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 20 49 20 4A 22 23 03 60 2D 23 20 46 CD F8 00 80 ?? ?? ?? ?? 22 20 0B E0 2A 70 73 78 6B 70 34 B1 C4 F8 00 90 03 E0 2A 70 0C B1 01 23 23 60 00 20 9D F8 14 30 0B B3 02 9A D2 F8 50 33 23 EA 09 03 C2 F8 50 33 19 E0 11 4B 10 4C 0E 49 00 93 00 23 15 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 15 23 06 4A 05 49 20 46 CD F8 00 80 ?? ?? ?? ?? 16 20 06 B0 BD E8 F0 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_0_0 {
	meta:
		name = "_dunscale"
		size = 228
		refs = "007e _dnorm"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 01 93 01 9B 9B 1D 1A 88 47 F6 F0 73 13 40 1B 11 1B B2 AD F8 00 30 BD F9 00 20 40 F2 FF 73 9A 42 22 D1 06 9A 00 23 13 80 01 9B 9B 1D 1B 88 03 F0 0F 03 00 2B 10 D1 01 9B 1B 1D 1B 88 00 2B 0B D1 01 9B 9B 1C 1B 88 00 2B 06 D1 01 9B 1B 88 00 2B 02 D1 01 23 03 93 01 E0 02 23 03 93 03 9B 1B B2 AD F8 08 30 31 E0 30 E0 BD F9 00 30 00 2B 0C DC 01 98 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 AD F8 00 30 BD F9 00 30 00 2B 19 DC 01 9B 9B 1D 1A 88 6F F3 0E 12 43 F6 E0 73 42 EA 03 01 01 9B 9A 1D 8B B2 13 80 BD F9 00 30 A3 F2 FE 33 1A B2 06 9B 1A 80 6F F0 00 03 AD F8 08 30 06 E0 05 E0 06 9A 00 23 13 80 00 23 AD F8 08 30 BD F9 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_89_1_0 {
	meta:
		name = "_fdunscale"
		size = 196
		refs = "0064 _fdnorm"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 01 93 01 9B 9B 1C 1B 88 03 F4 FF 43 DB 11 1B B2 AD F8 00 30 BD F9 00 30 FF 2B 18 D1 06 9A 00 23 13 80 01 9B 9B 1C 1B 88 03 F0 7F 03 00 2B 06 D1 01 9B 1B 88 00 2B 02 D1 01 23 03 93 01 E0 02 23 03 93 03 9B 1B B2 AD F8 08 30 2E E0 2D E0 BD F9 00 30 00 2B 0C DC 01 98 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 AD F8 00 30 BD F9 00 30 00 2B 16 DC 01 9B 9B 1C 1B 88 23 F4 FF 43 43 F4 7C 51 01 9B 9A 1C 8B B2 13 80 BD F9 00 30 7E 3B 1A B2 06 9B 1A 80 6F F0 00 03 AD F8 08 30 06 E0 05 E0 06 9A 00 23 13 80 00 23 AD F8 08 30 BD F9 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_89_2_0 {
	meta:
		name = "_ldunscale"
		size = 44
		refs = "000e _dunscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 BD F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_148_2_0 {
	meta:
		name = "_ldscale"
		size = 44
		refs = "000e _dscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 BD F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_90_0_0 {
	meta:
		name = "?dup_nolock@@YAHH@Z"
		size = 596
		refs = "0040 _alloc_osfhnd 0052 _errno 005e __doserrno 0080 _get_osfhandle 00c0 __acrt_errno_map_os_error 00d0 __acrt_lowio_set_os_handle 0230 __acrt_lowio_unlock_fh 0244 __pioinfo 0248 __imp_GetLastError 024c __imp_DuplicateHandle 0250 __imp_GetCurrentProcess"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 8E B0 6F 46 84 B0 BB 6C 9A 11 04 23 02 FB 03 F2 8A 4B 99 18 BB 6C 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 03 D1 6F F0 00 03 BB 60 FB E0 ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 B3 F1 FF 3F 0F D1 ?? ?? ?? ?? 38 61 3A 69 18 23 13 60 ?? ?? ?? ?? 78 61 7A 69 00 23 13 60 6F F0 00 03 BB 60 E2 E0 00 23 3B 70 76 4B 1B 68 98 47 B8 61 B8 6C ?? ?? ?? ?? F8 61 72 4B 1B 68 98 47 38 62 02 23 02 93 01 23 01 93 00 23 00 93 17 F1 30 03 BA 69 F9 69 38 6A 69 4C 24 68 A0 47 78 62 7B 6A BB 62 BB 6A 00 2B 0A D1 64 4B 1B 68 98 47 F8 62 F8 6A ?? ?? ?? ?? 6F F0 00 03 7B 60 87 E0 39 6B 78 68 ?? ?? ?? ?? BB 6C 9A 11 04 23 02 FB 03 F2 59 4B 99 18 BB 6C 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 10 03 D8 B2 7B 68 9A 11 04 23 02 FB 03 F2 4F 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 18 70 BB 6C 9A 11 04 23 02 FB 03 F2 46 4B 99 18 BB 6C 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 29 00 7B 68 9A 11 04 23 02 FB 03 F2 3E 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 29 02 90 F9 00 30 13 70 BB 6C 9A 11 04 23 02 FB 03 F2 34 4B 99 18 BB 6C 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 1B 78 03 F0 01 00 7B 68 9A 11 04 23 02 FB 03 F2 2A 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 1B 78 60 F3 00 03 D8 B2 7B 68 9A 11 04 23 02 FB 03 F2 20 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 18 70 01 23 3B 70 3B 78 00 2B 25 D1 7B 68 9A 11 04 23 02 FB 03 F2 15 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 7B 68 9A 11 04 23 02 FB 03 F2 0C 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 78 68 ?? ?? ?? ?? 7B 68 BB 60 B8 68 12 B0 BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_1_0 {
	meta:
		name = "?fin$0@?0??dup_nolock@@YAHH@Z@4HA"
		size = 104
		refs = "0058 __acrt_lowio_unlock_fh 0064 __pioinfo"
	strings:
		$1 = { 10 B5 84 B0 3B 78 00 2B 25 D1 7B 68 9A 11 04 23 02 FB 03 F2 13 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 7B 68 9A 11 04 23 02 FB 03 F2 0A 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 78 68 ?? ?? ?? ?? FF E7 04 B0 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_90_2_0 {
	meta:
		name = "_dup"
		size = 496
		refs = "0018 __doserrno 0024 _errno 006c _CrtDbgReportW 00a4 _invalid_parameter 0142 __acrt_lowio_lock_fh 0176 ?dup_nolock@@YAHH@Z 01ba __acrt_lowio_unlock_fh 01d0 ??_C@_1FK@JIFNKPOK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 01d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01d8 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 01dc __pioinfo 01e0 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 01e4 ??_C@_19DABLNIOD@?$AA_?$AAd?$AAu?$AAp?$AA?$AA@ 01e8 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 01ec _nhandle"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 93 B0 6F 46 82 B0 BB 6D 13 F1 02 0F 0F D1 ?? ?? ?? ?? B8 61 BA 69 00 23 13 60 ?? ?? ?? ?? F8 61 FA 69 09 23 13 60 6F F0 00 03 3B 60 C4 E0 BB 6D 00 2B 07 DB BA 6D 6A 4B 1B 68 9A 42 02 D2 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 62 4B 01 93 5C 4B 00 93 00 23 4E 22 59 49 02 20 ?? ?? ?? ?? 38 62 3B 6A 01 2B 00 D1 FE DE BB 68 00 2B 17 D1 ?? ?? ?? ?? 78 62 7A 6A 00 23 13 60 ?? ?? ?? ?? B8 62 BA 6A 09 23 13 60 00 23 00 93 4E 23 4C 4A 50 49 51 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 88 E0 BB 6D 9A 11 04 23 02 FB 03 F2 48 4B 99 18 BB 6D 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 3C 4B 01 93 38 4B 00 93 00 23 4F 22 35 49 02 20 ?? ?? ?? ?? F8 62 FB 6A 01 2B 00 D1 FE DE 3B 69 00 2B 17 D1 ?? ?? ?? ?? 38 63 3A 6B 00 23 13 60 ?? ?? ?? ?? 78 63 7A 6B 09 23 13 60 00 23 00 93 4F 23 28 4A 2C 49 2B 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 40 E0 B8 6D ?? ?? ?? ?? 6F F0 00 03 7B 61 BB 6D 9A 11 04 23 02 FB 03 F2 21 4B 99 18 BB 6D 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 06 D0 B8 6D ?? ?? ?? ?? B8 63 BB 6B 7B 61 1A E0 ?? ?? ?? ?? F8 63 FA 6B 09 23 13 60 ?? ?? ?? ?? 38 64 3A 6C 00 23 13 60 0F 4B 01 93 0D 4B 00 93 00 23 5D 22 0A 49 02 20 ?? ?? ?? ?? 78 64 7B 6C 01 2B 00 D1 FE DE B8 6D ?? ?? ?? ?? 7B 69 3B 60 38 68 15 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_91_2_0 {
	meta:
		name = "??$common_strerror@D@@YAPADQBD@Z"
		size = 384
		refs = "000a _errno 0016 __acrt_getptd_noexit 0030 ?get_strerror_buffer@@YAAAPADQAU__acrt_ptd@@D@Z 004e _calloc_dbg 0058 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0064 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 0072 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 00ba ??$tcsncat_s@AAPADABIABQBDI@?$__crt_char_traits@D@@SAHAAPADABIABQBD$$QAI@Z 00d0 _invoke_watson_if_error 00da ??$tcscat_s@AAPADABIAAY02$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY02$$CBD@Z 00f6 _get_sys_err_msg 0108 ?append_message@@YAHQADIQBD@Z 0134 ??$tcscat_s@AAPADABIAAY01$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY01$$CBD@Z 0160 ??_C@_1HC@MGAEJPMM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@ 0164 ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0168 ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 016c strerror_buffer_count 0170 ??_C@_1HM@MKKEFBAP@?$AAa?$AAp?$AAp?$AAe?$AAn?$AAd?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_@ 0174 ??_C@_1GO@CAMIMNKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@ 0178 ??_C@_1KK@NMEEDBBF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr@ 017c ??_C@_0DA@DLHCJAPK@minkernel?2crts?2ucrt?2src?2appcrt?2m@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 98 B0 ?? ?? ?? ?? 07 90 07 9B 1B 68 12 93 ?? ?? ?? ?? 08 90 08 9B 06 93 06 9B 00 2B 02 D1 00 23 05 93 93 E0 00 21 06 98 ?? ?? ?? ?? 09 90 09 9B 02 93 02 9B 1B 68 00 2B 19 D1 5C 23 00 93 4D 4B 02 22 01 21 86 20 ?? ?? ?? ?? 0A 90 0A 99 0E A8 ?? ?? ?? ?? 0B 90 0B 9B 0C 93 0C 98 ?? ?? ?? ?? 0D 90 0D 9A 02 9B 1A 60 0E A8 ?? ?? ?? ?? 02 9B 1B 68 00 2B 02 D1 00 23 05 93 67 E0 02 9B 1A 68 00 23 13 70 1A 9B 00 2B 30 D0 1A 9B 93 F9 00 30 00 2B 2B D0 3A 23 8D F8 10 30 20 23 8D F8 11 30 00 23 8D F8 12 30 82 23 0F 93 0F AB 1A AA 2D 49 02 98 ?? ?? ?? ?? 10 90 00 23 01 93 6A 23 00 93 27 4B 26 4A 2A 49 10 98 ?? ?? ?? ?? 04 AA 25 49 02 98 ?? ?? ?? ?? 11 90 00 23 01 93 6B 23 00 93 1F 4B 1E 4A 21 49 11 98 ?? ?? ?? ?? 12 98 ?? ?? ?? ?? 13 90 13 9B 14 93 14 9A 86 21 02 9B 18 68 ?? ?? ?? ?? 15 90 00 23 01 93 6F 23 00 93 14 4B 12 4A 15 49 15 98 ?? ?? ?? ?? 0A 23 8D F8 0C 30 00 23 8D F8 0D 30 03 AA 0E 49 02 98 ?? ?? ?? ?? 16 90 00 23 01 93 72 23 00 93 09 4B 07 4A 06 49 16 98 ?? ?? ?? ?? 02 9B 1B 68 05 93 05 98 18 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_91_3_0 {
	meta:
		name = "??$common_strerror@_W@@YAPA_WQB_W@Z"
		size = 392
		refs = "0008 __security_push_cookie 000e _errno 001a __acrt_getptd_noexit 0034 ?get_strerror_buffer@@YAAAPA_WQAU__acrt_ptd@@_W@Z 0052 _calloc_dbg 005c ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0068 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ 0076 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 00bc ??$tcsncat_s@AAPA_WABIABQB_WI@?$__crt_char_traits@_W@@SAHAAPA_WABIABQB_W$$QAI@Z 00d2 _invoke_watson_if_error 00dc ??$tcscat_s@AAPA_WABIAAY02$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY02$$CB_W@Z 00f8 _get_sys_err_msg 010a ?append_message@@YAHQA_WIQBD@Z 0136 ??$tcscat_s@AAPA_WABIAAY01$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY01$$CB_W@Z 015a __security_pop_cookie 0168 ??_C@_1HC@MGAEJPMM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@ 016c ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0170 ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0174 strerror_buffer_count 0178 ??_C@_1HM@MKKEFBAP@?$AAa?$AAp?$AAp?$AAe?$AAn?$AAd?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_@ 017c ??_C@_1GO@CAMIMNKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@ 0180 ??_C@_1KK@NMEEDBBF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr@ 0184 ??_C@_0DA@DLHCJAPK@minkernel?2crts?2ucrt?2src?2appcrt?2m@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 99 B0 ?? ?? ?? ?? 06 90 06 9B 1B 68 11 93 ?? ?? ?? ?? 07 90 07 9B 04 93 04 9B 00 2B 02 D1 00 23 03 93 92 E0 00 21 04 98 ?? ?? ?? ?? 08 90 08 9B 02 93 02 9B 1B 68 00 2B 19 D1 5C 23 00 93 4E 4B 02 22 02 21 86 20 ?? ?? ?? ?? 09 90 09 99 0D A8 ?? ?? ?? ?? 0A 90 0A 9B 0B 93 0B 98 ?? ?? ?? ?? 0C 90 0C 9A 02 9B 1A 60 0D A8 ?? ?? ?? ?? 02 9B 1B 68 00 2B 02 D1 00 23 03 93 66 E0 02 9B 1A 68 00 23 13 80 1C 9B 00 2B 2F D0 1C 9B 1B 88 00 2B 2B D0 3A 23 AD F8 58 30 20 23 AD F8 5A 30 00 23 AD F8 5C 30 82 23 0E 93 0E AB 1C AA 2E 49 02 98 ?? ?? ?? ?? 0F 90 00 23 01 93 6A 23 00 93 29 4B 27 4A 2C 49 0F 98 ?? ?? ?? ?? 16 AA 26 49 02 98 ?? ?? ?? ?? 10 90 00 23 01 93 6B 23 00 93 21 4B 1F 4A 23 49 10 98 ?? ?? ?? ?? 11 98 ?? ?? ?? ?? 12 90 12 9B 13 93 13 9A 86 21 02 9B 18 68 ?? ?? ?? ?? 14 90 00 23 01 93 6F 23 00 93 15 4B 14 4A 16 49 14 98 ?? ?? ?? ?? 0A 23 AD F8 14 30 00 23 AD F8 16 30 05 AA 10 49 02 98 ?? ?? ?? ?? 15 90 00 23 01 93 72 23 00 93 0A 4B 09 4A 07 49 15 98 ?? ?? ?? ?? 02 9B 1B 68 03 93 03 98 19 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_91_4_0 {
	meta:
		name = "??$common_strerror_s@D@@YAHQADIQBD@Z"
		size = 428
		refs = "000a _errno 0040 _CrtDbgReportW 006c _invalid_parameter 00ee ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z 0118 ??$tcscpy_s@ABQADABIABQBD@?$__crt_char_traits@D@@SAHABQADABIABQBD@Z 012e _invoke_watson_if_error 0138 ??$tcscat_s@ABQADABIAAY02$$CBD@?$__crt_char_traits@D@@SAHABQADABIAAY02$$CBD@Z 0154 ??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z 0178 ??$tcserror_s@PADIABH@?$__crt_char_traits@D@@SAH$$QAPAD$$QAIABH@Z 0190 ??_C@_1FM@GONMKPNJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 0194 ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 0198 ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 019c ??_C@_1GA@JNHHAEAI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 01a0 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01a8 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 ?? ?? ?? ?? 08 90 08 9B 1B 68 12 93 18 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 5D 4B 01 93 5B 4B 00 93 00 23 A7 22 56 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 A7 23 4C 4A 4A 49 4F 48 ?? ?? ?? ?? 16 23 03 93 85 E0 19 9B 00 2B 02 D9 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 43 4B 01 93 43 4B 00 93 00 23 A8 22 3E 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 A8 23 34 4A 32 49 35 48 ?? ?? ?? ?? 16 23 03 93 55 E0 18 9A 00 23 13 70 1A 9B 00 2B 37 D0 1A 9B 93 F9 00 30 00 2B 32 D0 1A A8 ?? ?? ?? ?? 0D 90 19 9B 9B 1E 5A 1F 0D 9B 93 42 28 D2 3A 23 8D F8 08 30 20 23 8D F8 09 30 00 23 8D F8 0A 30 1A AA 19 A9 18 A8 ?? ?? ?? ?? 0E 90 00 23 01 93 B0 23 00 93 1C 4B 1A 4A 1C 49 0E 98 ?? ?? ?? ?? 02 AA 19 A9 18 A8 ?? ?? ?? ?? 0F 90 00 23 01 93 B1 23 00 93 14 4B 12 4A 11 49 0F 98 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 10 90 19 9A 10 9B D3 1A 13 93 18 A8 ?? ?? ?? ?? 11 90 18 9A 11 9B 13 44 14 93 12 AA 13 A9 14 A8 ?? ?? ?? ?? 15 90 15 9B 03 93 03 98 16 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_91_5_0 {
	meta:
		name = "??$common_strerror_s@_W@@YAHQA_WIQB_W@Z"
		size = 440
		refs = "0008 __security_push_cookie 000e _errno 0044 _CrtDbgReportW 0070 _invalid_parameter 00f0 ??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z 011a ??$tcscpy_s@ABQA_WABIABQB_W@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W@Z 0130 _invoke_watson_if_error 013a ??$tcscat_s@ABQA_WABIAAY02$$CB_W@?$__crt_char_traits@_W@@SAHABQA_WABIAAY02$$CB_W@Z 0156 ??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z 0180 ??$tcserror_s@PA_WIABH@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAIABH@Z 018e __security_pop_cookie 019c ??_C@_1FM@GONMKPNJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 01a0 ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 01a4 ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 01a8 ??_C@_1GA@JNHHAEAI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 01ac ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 99 B0 ?? ?? ?? ?? 07 90 07 9B 1B 68 11 93 1C 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 5F 4B 01 93 5D 4B 00 93 00 23 A7 22 58 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 A7 23 4E 4A 4C 49 51 48 ?? ?? ?? ?? 16 23 02 93 87 E0 1D 9B 00 2B 02 D9 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 45 4B 01 93 45 4B 00 93 00 23 A8 22 40 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 A8 23 36 4A 34 49 37 48 ?? ?? ?? ?? 16 23 02 93 57 E0 1C 9A 00 23 13 80 1E 9B 00 2B 36 D0 1E 9B 1B 88 00 2B 32 D0 1E A8 ?? ?? ?? ?? 0C 90 1D 9B 9B 1E 5A 1F 0C 9B 93 42 28 D2 3A 23 AD F8 58 30 20 23 AD F8 5A 30 00 23 AD F8 5C 30 1E AA 1D A9 1C A8 ?? ?? ?? ?? 0D 90 00 23 01 93 B0 23 00 93 1E 4B 1D 4A 1E 49 0D 98 ?? ?? ?? ?? 16 AA 1D A9 1C A8 ?? ?? ?? ?? 0E 90 00 23 01 93 B1 23 00 93 16 4B 15 4A 13 49 0E 98 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 0F 90 1D 9A 0F 9B D3 1A 12 93 1C A8 ?? ?? ?? ?? 10 90 10 9A 02 23 02 FB 03 F2 1C 9B 13 44 13 93 11 AA 12 A9 13 A8 ?? ?? ?? ?? 14 90 14 9B 02 93 02 98 19 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_91_6_0 {
	meta:
		name = "??$tcscat_s@AAPADABIAAY01$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY01$$CBD@Z"
		size = 42
		refs = "0014 strcat_s"
		altNames = "??$tcscat_s@AAPADABIAAY02$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY02$$CBD@Z ??$tcscat_s@ABQADABIAAY02$$CBD@?$__crt_char_traits@D@@SAHABQADABIAAY02$$CBD@Z ??$tcscat_s@PADABIAAY01$$CBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAY01$$CBD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_8_0 {
	meta:
		name = "??$tcscat_s@AAPA_WABIAAY01$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY01$$CB_W@Z"
		size = 42
		refs = "0014 wcscat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_9_0 {
	meta:
		name = "??$tcscat_s@AAPA_WABIAAY02$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY02$$CB_W@Z"
		size = 42
		refs = "0014 wcscat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_11_0 {
	meta:
		name = "??$tcscat_s@ABQA_WABIAAY02$$CB_W@?$__crt_char_traits@_W@@SAHABQA_WABIAAY02$$CB_W@Z"
		size = 42
		refs = "0014 wcscat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_388_26_0 {
	meta:
		name = "??$tcscat_s@PA_WABIAAY01$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAY01$$CB_W@Z"
		size = 42
		refs = "0014 wcscat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_16_0 {
	meta:
		name = "??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z"
		size = 36
		refs = "000e strlen"
		altNames = "??$tcslen@AAPAD@?$__crt_char_traits@D@@SAIAAPAD@Z ??$tcslen@AAPBD@?$__crt_char_traits@D@@SAIAAPBD@Z ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z ??$tcslen@PAD@?$__crt_char_traits@D@@SAI$$QAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_36_4 {
	meta:
		name = "??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@@Z"
		size = 36
		refs = "000e _getc_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_561_10_2 {
	meta:
		name = "??$tasctime@PAUtm@@@?$__crt_char_traits@D@@SAPAD$$QAPAUtm@@@Z"
		size = 36
		refs = "000e asctime"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_561_11_4 {
	meta:
		name = "??$tasctime@PAUtm@@@?$__crt_char_traits@_W@@SAPA_W$$QAPAUtm@@@Z"
		size = 36
		refs = "000e _wasctime"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_254_23_3 {
	meta:
		name = "??$tcslen@AAPA_W@?$__crt_char_traits@_W@@SAIAAPA_W@Z"
		size = 36
		refs = "000e wcslen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_29_3 {
	meta:
		name = "??$tcslen@AAPB_W@?$__crt_char_traits@_W@@SAIAAPB_W@Z"
		size = 36
		refs = "000e wcslen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_324_7_3 {
	meta:
		name = "??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z"
		size = 36
		refs = "000e wcslen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_408_34_4 {
	meta:
		name = "??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z"
		size = 36
		refs = "000e wcslen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_33_2 {
	meta:
		name = "??$tcslen@PA_W@?$__crt_char_traits@_W@@SAI$$QAPA_W@Z"
		size = 36
		refs = "000e wcslen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_691_10_4 {
	meta:
		name = "??$time@PAJ@?$__crt_integer_traits@J@@SAJ$$QAPAJ@Z"
		size = 36
		refs = "000e _time32"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_91_26_0 {
	meta:
		name = "?append_message@@YAHQADIQBD@Z"
		size = 54
		refs = "000c strlen 0020 strncat_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 90 07 9A 00 9B D3 1A 9B 1E 08 9A 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_27_0 {
	meta:
		name = "?append_message@@YAHQA_WIQBD@Z"
		size = 76
		refs = "000c wcslen 0036 mbstowcs_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 03 90 03 9B 02 93 09 9A 02 9B D3 1A 9B 1E 00 93 0A 9B 09 99 02 9A 8A 1A 02 98 02 21 00 FB 01 F0 08 99 01 44 00 20 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_91_30_0 {
	meta:
		name = "?get_strerror_buffer@@YAAAPADQAU__acrt_ptd@@D@Z"
		size = 28
		altNames = "?get_ptd_buffer@@YAAAPADQAU__acrt_ptd@@D@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 40 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_91_31_0 {
	meta:
		name = "?get_strerror_buffer@@YAAAPA_WQAU__acrt_ptd@@_W@Z"
		size = 28
		altNames = "?get_ptd_buffer@@YAAAPA_WQAU__acrt_ptd@@_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 44 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_91_36_0 {
	meta:
		name = "_get_sys_err_msg"
		size = 92
		refs = "000a __sys_nerr 001a __sys_errlist"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 01 90 08 9A 01 9B 1B 68 9A 42 0F D3 ?? ?? ?? ?? 03 90 ?? ?? ?? ?? 02 90 02 9B 1A 68 04 23 02 FB 03 F2 03 9B 13 44 1B 68 00 93 0A E0 ?? ?? ?? ?? 04 90 08 9A 04 23 02 FB 03 F2 04 9B 13 44 1B 68 00 93 00 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_92_0_0 {
	meta:
		name = "carg"
		size = 82
		refs = "0018 creal 0028 cimag 0038 atan2"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 0C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_237_0_0 {
	meta:
		name = "cabs"
		size = 82
		refs = "0018 cimag 0028 creal 0038 hypot"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 0C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_539_0_0 {
	meta:
		name = "cabsl"
		size = 82
		refs = "0018 cimagl 0028 creall 0038 hypotl"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 0C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_97_1_0 {
	meta:
		name = "cargl"
		size = 82
		refs = "0018 creall 0028 cimagl 0038 atan2l"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 0C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_93_5_0 {
	meta:
		name = "_mbschr_l"
		size = 188
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0028 _CrtDbgReportW 0032 _errno 0046 _invalid_parameter 0056 strchr 00ac ??_C@_1GO@OOFCHENI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00b0 ??_C@_1BE@JKKFLIKJ@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAh?$AAr?$AA_?$AAl?$AA?$AA@ 00b4 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 0D 46 04 46 02 A8 11 46 ?? ?? ?? ?? CC B9 27 4B 26 4C 23 49 00 93 00 23 36 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 1D 49 1B 4A 00 23 00 93 36 23 20 46 ?? ?? ?? ?? 1F E0 04 99 8B 68 BB B9 29 46 20 46 ?? ?? ?? ?? 04 46 17 E0 51 FA 82 F3 5B 7E 13 F0 04 0F 08 D0 64 1C 23 78 6B B1 43 EA 02 23 9D 42 03 D1 64 1E 08 E0 95 42 06 D0 64 1C 22 78 00 2A EA D1 95 42 00 D0 00 24 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 06 B0 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_94_4_0 {
	meta:
		name = "__acrt_get_locale_data_prefix"
		size = 32
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 00 9B 1B 68 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_6_0 {
	meta:
		name = "__isascii"
		size = 42
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 80 2B 02 D2 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_7_0 {
	meta:
		name = "__iscsym"
		size = 60
		refs = "000e isalnum"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B D8 B2 ?? ?? ?? ?? 01 90 01 9B 00 2B 06 D1 06 9B DB B2 5F 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_8_0 {
	meta:
		name = "__iscsymf"
		size = 56
		refs = "000c isalpha"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 05 D1 06 9B 5F 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_9_0 {
	meta:
		name = "__toascii"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F0 7F 03 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_10_0 {
	meta:
		name = "_chvalidchk_l"
		size = 38
		refs = "0010 _chvalidator_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 04 99 06 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_94_11_0 {
	meta:
		name = "_isalnum_l"
		size = 66
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0022 _ischartype_l 002e ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 40 F2 07 11 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_12_0 {
	meta:
		name = "_isalpha_l"
		size = 66
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0022 _ischartype_l 002e ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 40 F2 03 11 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_13_0 {
	meta:
		name = "_isblank_l"
		size = 80
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0020 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 002c _ischartype_l 003c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0D 99 06 A8 ?? ?? ?? ?? 0C 9B 09 2B 02 D1 40 23 00 93 0B E0 06 A8 ?? ?? ?? ?? 01 90 01 9A 40 21 0C 98 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 03 93 06 A8 ?? ?? ?? ?? 03 9B 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_14_0 {
	meta:
		name = "_ischartype_l"
		size = 80
		refs = "0012 __acrt_get_locale_data_prefix 0028 _isctype_l 003a _chvalidchk_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 2B 11 D0 08 98 ?? ?? ?? ?? 01 90 01 9B 1B 1D 1B 68 01 2B 08 DD 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 00 93 07 E0 08 9A 07 99 06 98 ?? ?? ?? ?? 03 90 03 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_94_15_0 {
	meta:
		name = "_iscntrl_l"
		size = 64
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0020 _ischartype_l 002c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 20 21 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_16_0 {
	meta:
		name = "_iscsym_l"
		size = 58
		refs = "000e _isalnum_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 05 D1 06 9B 5F 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_17_0 {
	meta:
		name = "_iscsymf_l"
		size = 58
		refs = "000e _isalpha_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 05 D1 06 9B 5F 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_18_0 {
	meta:
		name = "_isdigit_l"
		size = 64
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0020 _ischartype_l 002c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 04 21 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_19_0 {
	meta:
		name = "_isgraph_l"
		size = 66
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0022 _ischartype_l 002e ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 40 F2 17 11 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_20_0 {
	meta:
		name = "_islower_l"
		size = 64
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0020 _ischartype_l 002c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 02 21 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_21_0 {
	meta:
		name = "_isprint_l"
		size = 66
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0022 _ischartype_l 002e ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 40 F2 57 11 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_22_0 {
	meta:
		name = "_ispunct_l"
		size = 64
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0020 _ischartype_l 002c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 10 21 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_23_0 {
	meta:
		name = "_isspace_l"
		size = 64
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0020 _ischartype_l 002c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 08 21 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_24_0 {
	meta:
		name = "_isupper_l"
		size = 64
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0020 _ischartype_l 002c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 01 21 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_25_0 {
	meta:
		name = "_isxdigit_l"
		size = 64
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0020 _ischartype_l 002c ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 00 90 00 9A 80 21 0A 98 ?? ?? ?? ?? 01 90 01 9B 02 93 04 A8 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_26_0 {
	meta:
		name = "isalnum"
		size = 74
		refs = "000a __acrt_locale_changed 001e _isalnum_l 0030 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 07 E0 40 F2 07 11 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_27_0 {
	meta:
		name = "isalpha"
		size = 74
		refs = "000a __acrt_locale_changed 001e _isalpha_l 0030 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 07 E0 40 F2 03 11 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_28_0 {
	meta:
		name = "isblank"
		size = 88
		refs = "000a __acrt_locale_changed 001e _isblank_l 003a ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 03 90 03 9B 02 93 0E E0 08 9B 09 2B 02 D1 40 23 01 93 06 E0 40 21 08 98 ?? ?? ?? ?? 04 90 04 9B 01 93 01 9B 02 93 02 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_29_0 {
	meta:
		name = "iscntrl"
		size = 72
		refs = "000a __acrt_locale_changed 001e _iscntrl_l 002e ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 06 E0 20 21 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_30_0 {
	meta:
		name = "isdigit"
		size = 72
		refs = "000a __acrt_locale_changed 001e _isdigit_l 002e ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 06 E0 04 21 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_31_0 {
	meta:
		name = "isgraph"
		size = 74
		refs = "000a __acrt_locale_changed 001e _isgraph_l 0030 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 07 E0 40 F2 17 11 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_32_0 {
	meta:
		name = "islower"
		size = 72
		refs = "000a __acrt_locale_changed 001e _islower_l 002e ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 06 E0 02 21 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_33_0 {
	meta:
		name = "isprint"
		size = 74
		refs = "000a __acrt_locale_changed 001e _isprint_l 0030 ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 07 E0 40 F2 57 11 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_34_0 {
	meta:
		name = "ispunct"
		size = 72
		refs = "000a __acrt_locale_changed 001e _ispunct_l 002e ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 06 E0 10 21 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_35_0 {
	meta:
		name = "isspace"
		size = 72
		refs = "000a __acrt_locale_changed 001e _isspace_l 002e ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 06 E0 08 21 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_36_0 {
	meta:
		name = "isupper"
		size = 72
		refs = "000a __acrt_locale_changed 001e _isupper_l 002e ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 06 E0 01 21 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_94_37_0 {
	meta:
		name = "isxdigit"
		size = 72
		refs = "000a __acrt_locale_changed 001e _isxdigit_l 002e ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 06 E0 80 21 08 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_95_0_0 {
	meta:
		name = "asin"
		size = 1028
		refs = "008a _handle_nan 00ac val_with_flags 0146 _handle_error 01b8 sqrt 038c ?hpiby2_head@?1??asin@@9@9 0390 ?piby2_tail@?1??asin@@9@9 03ec ??_C@_04FIHNOPOL@asin?$AA@ 03fc ?piby2@?1??asin@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 BC B0 8D ED 0A 0B 9F ED 01 0B 04 E0 FE DE 00 00 00 00 00 00 00 00 8D ED 12 0B 00 23 07 93 9D ED 0A 0B 53 EC 10 2B 08 92 09 93 08 9A 09 9B 23 F0 00 43 1A 92 1B 93 09 9B 03 F0 00 42 00 23 14 93 15 92 1A 9B 1C 93 1B 9B 1D 93 1C 9B 18 93 1D 9A EA 4B 9A 42 06 D3 02 D8 18 9B 00 2B 02 D9 01 23 10 93 01 E0 00 23 10 93 10 9B 19 93 09 9A E2 4B 13 40 1B 0D A3 F2 FF 33 06 93 19 9B 00 2B 0B D0 08 98 09 99 ?? ?? ?? ?? 8D ED 28 0B 9D ED 28 0B 8D ED 0E 0B 72 E1 5C E0 06 9B 13 F1 1C 0F 0C DA 10 20 9D ED 0A 0B ?? ?? ?? ?? 8D ED 2A 0B 9D ED 2A 0B 8D ED 0E 0B 61 E1 4B E0 06 9B 00 2B 48 DB 9D ED 0A 1B B7 EE 00 0B B4 EE 40 1B F1 EE 10 FA 0D D1 10 20 C8 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 2C 0B 9D ED 2C 0B 8D ED 0E 0B 47 E1 31 E0 9D ED 0A 1B BF EE 00 0B B4 EE 40 1B F1 EE 10 FA 0F D1 10 20 BC 4B 93 ED 00 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 2E 0B 9D ED 2E 0B 8D ED 0E 0B 2E E1 18 E0 01 23 03 93 9F ED B2 1B 9D ED 0A 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 AB 4B 0E 21 A9 48 ?? ?? ?? ?? 8D ED 30 0B 9D ED 30 0B 8D ED 0E 0B 14 E1 14 9B 1E 93 15 9B 1F 93 1F 9A 1E 9B 13 43 00 2B 06 D0 9D ED 0A 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9D ED 0A 0B 8D ED 0C 0B 06 9B B3 F1 FF 3F 02 DB 01 23 11 93 01 E0 00 23 11 93 11 9B 07 93 07 9B 00 2B 1A D0 B7 EE 00 1B 9D ED 0C 0B 31 EE 40 1B B6 EE 00 0B 20 EE 01 0B 8D ED 04 0B 9D ED 04 0B ?? ?? ?? ?? 8D ED 32 0B 9D ED 32 0B 8D ED 12 0B 9D ED 12 0B 8D ED 0C 0B 07 E0 9D ED 0C 1B 9D ED 0C 0B 21 EE 00 0B 8D ED 04 0B 9F ED 80 1B 9D ED 04 0B 21 EE 00 1B 9F ED 7B 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 75 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 6F 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 69 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 63 0B 30 EE 01 1B 9D ED 04 0B 20 EE 01 2B 9F ED 5D 1B 9D ED 04 0B 21 EE 00 1B 9F ED 58 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 52 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 4C 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 46 0B 30 EE 01 0B 82 EE 00 0B 8D ED 26 0B 07 9B 00 2B 53 D0 9D ED 12 0B 53 EC 10 2B 24 92 25 93 25 9A 00 23 42 EC 10 3B 8D ED 16 0B 9D ED 16 1B 9D ED 16 0B 21 EE 00 1B 9D ED 04 0B 30 EE 41 2B 9D ED 12 1B 9D ED 16 0B 31 EE 00 0B 82 EE 00 0B 8D ED 34 0B B0 EE 00 1B 9D ED 12 0B 21 EE 00 1B 9D ED 26 0B 21 EE 00 2B B0 EE 00 1B 9D ED 34 0B 21 EE 00 1B 27 4B 93 ED 00 0B 30 EE 41 0B 32 EE 40 0B 8D ED 36 0B B0 EE 00 1B 9D ED 16 0B 21 EE 00 1B 1F 4B 93 ED 00 0B 30 EE 41 0B 8D ED 38 0B 9D ED 36 1B 9D ED 38 0B 31 EE 40 1B 18 4B 93 ED 00 0B 30 EE 41 0B 8D ED 22 0B 0F E0 9D ED 0C 1B 9D ED 26 0B 21 EE 00 0B 8D ED 3A 0B 9D ED 0C 1B 9D ED 3A 0B 31 EE 00 0B 8D ED 22 0B 14 9B 20 93 15 9B 21 93 21 9A 20 9B 13 43 00 2B 07 D0 9D ED 22 0B B1 EE 40 0B 8D ED 0E 0B 04 E0 03 E0 9D ED 22 0B 8D ED 0E 0B 9D ED 0E 0B 3C B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? 28 F2 01 20 B1 D6 F5 3F EA CD 03 F9 46 46 0A C0 FC CC 1D 57 21 20 06 40 8D F7 18 B4 4A 32 EE BF 76 CE 82 29 42 1A BB 3F 34 98 02 80 41 1E CD 3F AC 9E 26 7E 29 7B DC BF 59 EF B7 C1 BE A2 D1 3F 90 96 C2 90 D3 28 AC BF 35 21 A6 87 F8 E5 51 3F 61 10 32 5D 66 51 09 3F ?? ?? ?? ?? 00 00 F8 FF 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 00 00 F0 7F }
	condition:
		$1
}

rule file_95_2_0 {
	meta:
		name = "val_with_flags"
		size = 42
		refs = "0010 raise_fpsw_flags"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 8D ED 00 0B 06 98 ?? ?? ?? ?? 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_98_0_0 {
	meta:
		name = "_byteswap_uint64"
		size = 218
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 1A 06 00 23 04 93 05 92 0A 9B 1B 02 03 F4 7F 01 04 9A 05 9B 0B 44 04 92 05 93 0A 9A 0B 9B 00 92 1A 06 00 9B 1B 0A 13 43 03 F4 7F 41 04 9A 05 9B 0B 44 04 92 05 93 0A 9A 0B 9B 01 92 1A 02 01 9B 1B 0E 13 43 D9 B2 04 9A 05 9B 0B 44 04 92 05 93 0A 9A 0B 9B 02 93 12 0A 02 9B 1B 06 13 43 03 F0 7F 40 04 9A 05 99 00 23 12 18 4B 41 04 92 05 93 0A 9A 0B 9B 03 93 12 0E 03 9B 1B 02 13 43 03 F4 7F 00 04 9A 05 99 00 23 12 18 4B 41 04 92 05 93 0B 9B 1B 0A 03 F4 7F 40 04 9A 05 99 00 23 12 18 4B 41 04 92 05 93 0B 9B 18 0E 04 9A 05 99 00 23 12 18 4B 41 04 92 05 93 04 9A 05 9B 06 92 07 93 06 98 07 99 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_98_1_0 {
	meta:
		name = "_byteswap_ulong"
		size = 70
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 06 00 93 04 9B 1B 02 03 F4 7F 02 00 9B 13 44 00 93 04 9B 1B 0A 03 F4 7F 42 00 9B 13 44 00 93 04 9B 1A 0E 00 9B 13 44 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_98_2_0 {
	meta:
		name = "_byteswap_ushort"
		size = 62
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 10 30 1B 02 9B B2 AD F8 00 30 BD F8 10 30 1A 12 BD F8 00 30 13 44 9B B2 AD F8 00 30 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_99_0_0 {
	meta:
		name = "towctrans"
		size = 82
		refs = "0016 towupper 002c towlower"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 BD F8 1C 30 01 2B 0A D1 BD F8 18 00 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 00 30 09 E0 BD F8 18 00 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 00 30 BD F8 00 30 AD F8 08 30 BD F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_99_1_0 {
	meta:
		name = "wctrans"
		size = 116
		refs = "0038 strcmp 0070 ?tab@@3QBUwctab@@B"
		altNames = "wctype"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 08 23 02 FB 03 F2 14 4B 13 44 1B 68 00 2B 19 D0 06 99 00 9A 08 23 02 FB 03 F2 0F 4B 13 44 18 68 ?? ?? ?? ?? 02 90 02 9B 00 2B 0A D1 00 9A 08 23 02 FB 03 F2 08 4B 13 44 1B 1D 1B 88 AD F8 04 30 03 E0 D9 E7 00 23 AD F8 04 30 BD F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_100_4_0 {
	meta:
		name = "_strxfrm_l"
		size = 800
		refs = "0014 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0046 _CrtDbgReportW 005a _errno 0072 _invalid_parameter 007e ??1_LocaleUpdate@@QAA@XZ 017a ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 01a8 strncpy 01ae strlen 020a __acrt_LCMapStringA 0308 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 030c ??_C@_1BG@DJLLIKNC@?$AA_?$AAs?$AAt?$AAr?$AAx?$AAf?$AAr?$AAm?$AA_?$AAl?$AA?$AA@ 0310 ??_C@_1GE@IEKPOABH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0314 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0318 ??_C@_1EG@IHNOIFPP@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN@ 031c ??_C@_1CE@EOIGACOB@?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B0 B0 6F F0 00 43 06 93 35 99 08 A8 ?? ?? ?? ?? 34 9A 6F F0 00 43 9A 42 02 D8 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 B9 4B 01 93 B6 4B 00 93 00 23 43 22 B3 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 16 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 43 23 A8 4A A7 49 AA 48 ?? ?? ?? ?? 6F F0 00 43 15 93 08 A8 ?? ?? ?? ?? 15 9B 07 93 39 E1 32 9B 00 2B 05 D1 34 9B 00 2B 02 D0 00 23 0E 93 01 E0 01 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 9B 4B 01 93 99 4B 00 93 00 23 44 22 96 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 16 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 44 23 8C 4A 8A 49 8D 48 ?? ?? ?? ?? 6F F0 00 43 18 93 08 A8 ?? ?? ?? ?? 18 9B 07 93 00 E1 33 9B 00 2B 02 D0 01 23 10 93 01 E0 00 23 10 93 10 9B 11 93 11 9B 00 2B 0E D1 7C 4B 01 93 7E 4B 00 93 00 23 45 22 7B 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 11 9B 00 2B 16 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 45 23 71 4A 6F 49 6E 48 ?? ?? ?? ?? 6F F0 00 43 1B 93 08 A8 ?? ?? ?? ?? 1B 9B 07 93 CA E0 32 9B 00 2B 05 D0 34 9B 00 2B 02 D9 32 9A 00 23 13 70 08 A8 ?? ?? ?? ?? 1C 90 1C 9B 1B 68 A0 33 1B 1D 1B 68 00 2B 1A D1 08 A8 ?? ?? ?? ?? 2E 90 2E 9B 1B 68 10 33 1B 68 00 2B 10 D1 34 9A 33 99 32 98 ?? ?? ?? ?? 33 98 ?? ?? ?? ?? 1D 90 1D 9B 1E 93 08 A8 ?? ?? ?? ?? 1E 9B 07 93 9B E0 08 A8 ?? ?? ?? ?? 1F 90 08 A8 ?? ?? ?? ?? 20 90 08 A8 ?? ?? ?? ?? 21 90 01 23 04 93 1F 9B 1B 68 10 33 1B 68 03 93 00 23 02 93 00 23 01 93 6F F0 00 03 00 93 33 9B 4F F4 80 62 20 99 09 68 A0 31 09 1D 09 68 21 98 ?? ?? ?? ?? 22 90 22 9B 12 93 12 9B 00 2B 0E D1 ?? ?? ?? ?? 23 90 23 9A 2A 23 13 60 6F F0 00 43 24 93 08 A8 ?? ?? ?? ?? 24 9B 07 93 61 E0 12 9B 06 93 06 9A 34 9B 9A 42 19 D9 32 9B 00 2B 0B D0 34 9B 00 2B 08 D9 32 9A 00 23 13 70 ?? ?? ?? ?? 25 90 25 9A 22 23 13 60 06 9B 5B 1E 06 93 06 9B 26 93 08 A8 ?? ?? ?? ?? 26 9B 07 93 41 E0 08 A8 ?? ?? ?? ?? 27 90 08 A8 ?? ?? ?? ?? 28 90 08 A8 ?? ?? ?? ?? 29 90 01 23 04 93 27 9B 1B 68 10 33 1B 68 03 93 34 9B 02 93 32 9B 01 93 6F F0 00 03 00 93 33 9B 4F F4 80 62 28 99 09 68 A0 31 09 1D 09 68 29 98 ?? ?? ?? ?? 2A 90 2A 9B 00 2B 0E D1 ?? ?? ?? ?? 2B 90 2B 9A 2A 23 13 60 6F F0 00 43 2C 93 08 A8 ?? ?? ?? ?? 2C 9B 07 93 09 E0 06 9B 5B 1E 06 93 06 9B 2D 93 08 A8 ?? ?? ?? ?? 2D 9B 07 93 07 98 30 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_100_5_0 {
	meta:
		name = "strxfrm"
		size = 40
		refs = "0012 _strxfrm_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_153_13_0 {
	meta:
		name = "_aligned_realloc_base"
		size = 40
		refs = "0012 _aligned_offset_realloc_base"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_129_5_3 {
	meta:
		name = "mbtowc"
		size = 40
		refs = "0012 _mbtowc_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_67_0 {
	meta:
		name = "strtol"
		size = 40
		refs = "0012 ??$parse_integer_from_string@JDPAPAD@__crt_strtox@@YAJQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_69_2 {
	meta:
		name = "strtoul"
		size = 40
		refs = "0012 ??$parse_integer_from_string@KDPAPAD@__crt_strtox@@YAKQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_73_2 {
	meta:
		name = "wcstol"
		size = 40
		refs = "0012 ??$parse_integer_from_string@J_WPAPA_W@__crt_strtox@@YAJQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_378_9_0 {
	meta:
		name = "wcstombs"
		size = 40
		refs = "0012 ?_wcstombs_l_helper@@YAIPADPB_WIPAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_75_4 {
	meta:
		name = "wcstoul"
		size = 40
		refs = "0012 ??$parse_integer_from_string@K_WPAPA_W@__crt_strtox@@YAKQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_607_5_3 {
	meta:
		name = "wcsxfrm"
		size = 40
		refs = "0012 _wcsxfrm_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 06 9A 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_101_0_0 {
	meta:
		name = "?try_walk@@YAHQAU_PROCESS_HEAP_ENTRY@@@Z"
		size = 128
		refs = "0074 __imp_GetLastError 0078 __imp_HeapWalk 007c __acrt_heap"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 B9 6B 1A 4B 18 68 18 4B 1B 68 98 47 B8 60 BB 68 00 2B 05 D0 6F F0 01 03 FB 60 FB 68 3B 60 1C E0 11 4B 1B 68 98 47 38 61 3A 69 40 F2 03 13 9A 42 05 D1 6F F0 04 03 7B 61 7B 69 3B 60 0D E0 6F F0 03 03 BB 61 BB 69 3B 60 07 E0 06 E0 6F F0 03 03 7B 62 7B 6A 3B 60 00 E0 FF E7 38 68 0B B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_101_1_0 {
	meta:
		name = "?filt$0@?0??try_walk@@YAHQAU_PROCESS_HEAP_ENTRY@@@Z@4HA"
		size = 36
	strings:
		$1 = { F8 61 FB 69 1B 68 1B 68 3B 62 3A 6A 04 4B 9A 42 02 D1 01 23 7B 60 01 E0 00 23 7B 60 78 68 70 47 05 00 00 C0 }
	condition:
		$1
}

rule file_101_2_0 {
	meta:
		name = "_heapwalk"
		size = 360
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0076 memset 00e2 ?try_walk@@YAHQAU_PROCESS_HEAP_ENTRY@@@Z 014c __imp_HeapValidate 0150 __acrt_heap 0154 __imp_HeapWalk 0158 ??_C@_1CC@EEMDPIKB@?$AAe?$AAn?$AAt?$AAr?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 015c ??_C@_1BE@EEFEEHOB@?$AA_?$AAh?$AAe?$AAa?$AAp?$AAw?$AAa?$AAl?$AAk?$AA?$AA@ 0160 ??_C@_1GC@LNLNFIAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0164 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 18 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 4C 4B 01 93 4E 4B 00 93 00 23 30 22 4B 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 30 23 41 4A 3F 49 3E 48 ?? ?? ?? ?? 6F F0 05 03 02 93 69 E0 00 23 0E 93 18 22 00 21 0F A8 ?? ?? ?? ?? 00 23 AD F8 42 30 00 23 8D F8 41 30 18 9B 1B 68 0E 93 0E 9B 00 2B 0E D1 0E A9 2E 4B 18 68 2E 4B 1B 68 98 47 09 90 09 9B 00 2B 03 D1 6F F0 02 03 02 93 48 E0 24 E0 18 9B 08 33 1B 68 01 2B 12 D1 18 9B 1A 68 00 21 23 4B 18 68 21 4B 1B 68 98 47 0A 90 0A 9B 00 2B 03 D1 6F F0 03 03 02 93 32 E0 04 23 AD F8 42 30 0E A8 ?? ?? ?? ?? 0B 90 0B 9B 05 93 05 9B 13 F1 02 0F 02 D0 05 9B 02 93 22 E0 BD F8 42 30 13 F0 04 0F 0F D0 18 9A 0E 9B 13 60 18 9B 1A 1D 0F 9B 13 60 18 9B 03 F1 08 02 01 23 13 60 6F F0 01 03 02 93 0D E0 0E A8 ?? ?? ?? ?? 0C 90 0C 9B 06 93 06 9B 13 F1 02 0F 02 D0 06 9B 02 93 00 E0 DC E7 02 98 16 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_102_0_0 {
	meta:
		name = "__acrt_CompareStringW"
		size = 158
		refs = "0014 wcsnlen 0088 __acrt_CompareStringEx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 11 9B 00 2B 06 DD 11 99 10 98 ?? ?? ?? ?? 09 90 09 9B 11 93 13 9B 00 2B 06 DD 13 99 12 98 ?? ?? ?? ?? 0A 90 0A 9B 13 93 11 9B 00 2B 02 D0 13 9B 00 2B 16 D1 11 9A 13 9B D3 1A 00 2B 02 D1 02 23 07 93 0B E0 11 9A 13 9B D3 1A 00 2B 02 DA 01 23 06 93 01 E0 03 23 06 93 06 9B 07 93 07 9B 08 93 12 E0 00 23 04 93 00 23 03 93 00 23 02 93 13 9B 01 93 12 9B 00 93 11 9B 10 9A 0F 99 0E 98 ?? ?? ?? ?? 0B 90 0B 9B 08 93 08 98 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_103_4_0 {
	meta:
		name = "_mbsnbcat_s_l"
		size = 876
		refs = "0054 _CrtGetDebugFillThreshold 0066 memset 007a _CrtDbgReportW 0084 _errno 0096 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00ac strncat_s 011a _invalid_parameter 0350 ??_C@_1BM@BENFBNLI@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0354 ??_C@_1HE@NFPKHHNH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0358 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 035c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0360 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0364 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0368 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 89 B0 0C 46 02 94 98 46 91 46 05 46 4F F0 00 0A 2B B9 3D B9 00 2C 40 F0 79 81 00 20 90 E1 00 2D 00 F0 74 81 00 2C 00 F0 71 81 B8 F1 00 0F 2C D0 B9 F1 00 0F 29 D1 00 27 2F 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? BC 4B BE 4C B9 49 00 93 00 23 1E 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 1E 23 00 97 54 E1 12 99 04 A8 ?? ?? ?? ?? DD F8 18 E0 DE F8 08 30 33 B9 43 46 4A 46 21 46 28 46 ?? ?? ?? ?? 25 E1 2A 46 26 46 13 78 13 B1 52 1C 76 1E FA D1 7E BB 00 27 2F 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 9B 4B 9C 4C 98 49 00 93 00 23 39 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 90 49 91 4A 16 23 03 60 39 23 20 46 00 97 ?? ?? ?? ?? 16 20 ED E0 00 27 01 20 A6 42 15 D2 51 1E 08 46 A9 42 09 D3 04 24 03 78 73 44 5B 7E 23 42 02 D0 40 1E A8 42 F7 D2 02 9C 0B 1A 01 20 03 42 03 D0 0A 46 0F 70 76 1C 82 46 18 F1 01 0F 07 D1 19 F8 01 3B 02 F8 01 3B A3 B1 76 1E F8 D1 11 E0 B8 F1 00 0F 0C D0 19 F8 01 3B 02 F8 01 3B 23 B1 76 1E 02 D0 B8 F1 01 08 F5 D1 B8 F1 00 0F 01 D1 17 70 52 1C 00 2E 78 D1 99 F8 00 30 13 B1 B8 F1 01 0F 13 D1 50 1E 01 46 A8 42 08 D3 04 26 0B 78 73 44 5B 7E 33 42 02 D0 49 1E A9 42 F7 D2 43 1A 01 20 03 42 02 D0 02 F8 01 7C 93 E0 18 F1 01 0F 2C D1 BA F1 00 0F 06 D0 ?? ?? ?? ?? 2A 23 03 60 DD F8 18 E0 01 20 01 2C 1B D9 2E 19 B1 1E 0A 46 A9 42 0A D3 4F F0 04 08 13 78 73 44 5B 7E 13 EA 08 0F 02 D0 52 1E AA 42 F6 D2 8B 1A 03 42 08 D0 06 F8 02 7C ?? ?? ?? ?? 30 B1 FE 23 06 F8 01 3C 02 E0 2B 19 03 F8 01 7C 50 20 6A E0 2F 70 14 F1 01 0F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 42 4B 42 4C 3F 49 00 93 00 23 B3 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 37 49 38 4A 22 23 03 60 B3 23 20 46 00 97 ?? ?? ?? ?? 22 20 3B E0 A6 42 17 D2 90 1E 01 46 A8 42 0A D3 4F F0 04 08 0B 78 73 44 5B 7E 13 EA 08 0F 02 D0 49 1E A9 42 F6 D2 43 1A 13 F0 01 0F 04 D0 02 F8 02 7C 76 1C 4F F0 01 0A 14 F1 01 0F 14 D0 6F F0 00 43 9C 42 10 D0 A3 1B 5B 1C A3 42 0C D2 ?? ?? ?? ?? 02 46 73 1E 9A 42 28 BF 1A 46 AB 1B 23 44 58 1C FE 21 ?? ?? ?? ?? BA F1 00 0F 05 D0 ?? ?? ?? ?? 2A 23 03 60 2A 20 00 E0 00 20 9D F8 1C 30 0B B3 04 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 19 E0 11 4B 10 4C 0E 49 00 93 00 23 1B 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1B 23 05 4A 04 49 20 46 ?? ?? ?? ?? 16 20 09 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_104_0_0 {
	meta:
		name = "_fdxp_addh"
		size = 1268
		refs = "0022 _fdunscale 0044 _fdtest 008c _fperrraise 0148 _FNan_C 0332 _fd_int 033c _fdscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 8D ED 02 0A 9D ED 02 0A 8D ED 09 0A 17 9B 00 2B 00 D1 60 E2 09 A9 05 A8 ?? ?? ?? ?? AD F8 2C 00 BD F9 2C 30 AD F8 04 30 BD F9 04 30 00 2B 3A DD BD F9 04 30 02 2B 0C D0 16 98 ?? ?? ?? ?? AD F8 2E 00 BD F9 2E 30 AD F8 04 30 BD F9 04 30 00 2B 05 DC 16 9B 9D ED 02 0A 83 ED 00 0A 22 E0 BD F9 04 30 02 2B 0B D0 02 AB 9B 1C 1B 88 03 F4 00 42 16 9B 9B 1C 1B 88 03 F4 00 43 9A 42 00 D1 11 E0 01 20 ?? ?? ?? ?? 16 9A 2D 4B 93 ED 00 0A 82 ED 00 0A 17 9B 01 2B 05 DD 16 9B 1B 1D 9F ED 27 0A 83 ED 00 0A 17 E2 BD F9 04 30 00 2B 80 F2 13 82 4F F4 80 73 08 93 00 23 00 93 00 9A 17 9B 9A 42 80 F2 09 82 00 9A 04 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0A 8D ED 11 0A 0C 23 0A 93 11 A9 03 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 04 30 BD F9 04 30 00 2B 01 DD ED E1 EB E1 BD F9 04 30 00 2B 1F D1 00 9A 04 23 02 FB 03 F2 16 9B 13 44 9D ED 02 0A 83 ED 00 0A 00 9B 5A 1C 17 9B 9A 42 0A DA 00 9B 5A 1C 04 23 02 FB 03 F2 16 9B 13 44 9F ED 02 0A 83 ED 00 0A CD E1 00 00 00 00 ?? ?? ?? ?? C7 E1 BD F9 0C 20 BD F9 14 30 D3 1A 0D 93 0A 9B 5A 42 0D 9B 93 42 56 DC 9D ED 02 0A B5 EE 40 0A F1 EE 10 FA 4F D0 00 9B 04 93 04 9B 5B 1C 04 93 04 9A 17 9B 9A 42 0D DA 04 9A 04 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D0 EA E7 17 9B 5A 1E 04 9B 93 42 03 DA 04 9B 5B 1C 04 93 06 E0 04 9A 17 9B 9A 42 02 D1 04 9B 5B 1E 04 93 02 E0 04 9B 5B 1E 04 93 00 9A 04 9B 9A 42 11 DA 04 9B 5A 1E 04 23 02 FB 03 F2 16 9B 99 18 04 9A 04 23 02 FB 03 F2 16 9B 13 44 91 ED 00 0A 83 ED 00 0A E6 E7 00 9A 04 23 02 FB 03 F2 16 9B 13 44 9D ED 02 0A 83 ED 00 0A 9F ED B9 0A 8D ED 02 0A 65 E1 0A 9A 0D 9B 9A 42 0D DC 9D ED 02 0A B5 EE 40 0A F1 EE 10 FA 06 D0 BD F9 0C 30 08 93 00 9B 5B 1C 00 93 53 E1 00 9A 04 23 02 FB 03 F2 16 9B 13 44 D3 ED 00 0A 9D ED 02 0A 30 EE 80 0A 8D ED 0E 0A 00 9A 04 23 02 FB 03 F2 16 9B 13 44 9D ED 0E 0A 83 ED 00 0A 9D ED 0E 0A B5 EE 40 0A F1 EE 10 FA 41 D1 00 9B 06 93 06 9B 5B 1C 06 93 06 9A 17 9B 9A 42 1F DA 06 9A 04 23 02 FB 03 F2 16 9B 99 18 06 9B 5A 1E 04 23 02 FB 03 F2 16 9B 13 44 91 ED 00 0A 83 ED 00 0A 06 9B 5A 1E 04 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D0 D8 E7 17 9B 5A 1E 04 23 02 FB 03 F2 16 9B 13 44 9F ED 86 0A 83 ED 00 0A 00 9A 04 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D1 F3 E0 00 9A 04 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0A 8D ED 02 0A 02 A9 05 A8 ?? ?? ?? ?? 08 9A 0A 9B D2 1A BD F9 14 30 9A 42 7E DA BD F9 14 10 08 9A 0A 9B D3 1A CB 1A 19 B2 02 A8 ?? ?? ?? ?? BD F9 14 10 02 A8 ?? ?? ?? ?? 00 9A 04 23 02 FB 03 F2 16 9B 13 44 D3 ED 00 0A 9D ED 02 0A 30 EE C0 0A 8D ED 0F 0A 00 9A 04 23 02 FB 03 F2 16 9B 13 44 9D ED 0F 0A 83 ED 00 0A 9D ED 0F 0A B5 EE 40 0A F1 EE 10 FA 33 D1 00 9B 07 93 07 9B 5B 1C 07 93 07 9A 17 9B 9A 42 1F DA 07 9A 04 23 02 FB 03 F2 16 9B 99 18 07 9B 5A 1E 04 23 02 FB 03 F2 16 9B 13 44 91 ED 00 0A 83 ED 00 0A 07 9B 5A 1E 04 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D0 D8 E7 17 9B 5A 1E 04 23 02 FB 03 F2 16 9B 13 44 9F ED 44 0A 83 ED 00 0A 00 9B 5B 1E 00 93 00 9B 00 2B 03 D1 4F F4 80 73 08 93 11 E0 00 9B 5A 1E 04 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0A 8D ED 09 0A 09 A9 03 A8 ?? ?? ?? ?? BD F9 0C 30 08 93 5E E0 00 9B 5A 1C 17 9B 9A 42 01 D1 59 E0 57 E0 00 9A 04 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0A 8D ED 02 0A 00 9A 04 23 02 FB 03 F2 16 9B 99 18 03 A8 ?? ?? ?? ?? 0C 21 00 9A 04 23 02 FB 03 F2 16 9B 98 18 ?? ?? ?? ?? BD F9 0C 10 00 9A 04 23 02 FB 03 F2 16 9B 98 18 ?? ?? ?? ?? 00 9A 04 23 02 FB 03 F2 16 9B 13 44 DD ED 02 0A 93 ED 00 0A 30 EE C0 0A 8D ED 02 0A BD F9 0C 30 08 93 9D ED 02 0A B5 EE 40 0A F1 EE 10 FA 04 D0 9D ED 02 0A 8D ED 10 0A 09 E0 00 9A 04 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0A 8D ED 10 0A 9D ED 10 0A 8D ED 09 0A 09 A9 05 A8 ?? ?? ?? ?? 00 9B 5B 1C 00 93 F1 E5 16 9B 12 93 12 98 14 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 }
	condition:
		$1
}

rule file_104_1_0 {
	meta:
		name = "_fdxp_addx"
		size = 98
		refs = "004c _fdxp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 19 DA 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 0C D0 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A 05 99 04 98 ?? ?? ?? ?? DE E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_104_2_0 {
	meta:
		name = "_fdxp_getw"
		size = 172
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 2B 05 D1 9F ED 25 0A 8D ED 00 0A 3F E0 3E E0 05 9B 01 2B 13 D0 04 9B 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 0B D0 05 9B 01 2B 0F DD 04 9B 1B 1D 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 06 D1 04 9B 93 ED 00 0A 8D ED 00 0A 21 E0 20 E0 05 9B 02 2B 0C D1 04 9A 04 9B 1B 1D D2 ED 00 0A 93 ED 00 0A 30 EE 80 0A 8D ED 00 0A 11 E0 10 E0 04 99 04 9B 1A 1D 04 9B 08 33 D2 ED 00 0A 93 ED 00 0A 70 EE 80 0A 91 ED 00 0A 30 EE 20 0A 8D ED 00 0A 9D ED 00 0A 02 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 }
	condition:
		$1
}

rule file_104_3_0 {
	meta:
		name = "_fdxp_invx"
		size = 308
		refs = "0014 _fdtest 0086 _fdxp_movx 0092 _fdxp_mulh 00c0 _fdxp_setw 00ee _fdxp_mulx 00fa _fdxp_addh 0116 _fdxp_addx 012c _FInf_C"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 00 2B 00 D1 84 E0 0C 98 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 AD F8 08 30 BD F9 08 30 00 2B 14 DB BD F9 08 30 01 2B 05 D1 0C 9B 9F ED 3E 0A 83 ED 00 0A 09 E0 BD F9 08 30 00 2B 05 D1 0C 9A 38 4B 93 ED 00 0A 82 ED 00 0A 62 E0 0E 9B 03 93 0D 9A 04 23 02 FB 03 F2 0E 9B 13 44 04 93 0D 9A 04 23 02 FB 03 F2 04 9B 13 44 07 93 0C 9B 93 ED 00 0A 8D ED 05 0A 0C 9A 0D 99 04 98 ?? ?? ?? ?? BF EE 00 0A 0D 99 04 98 ?? ?? ?? ?? 0D 9B 01 2B 09 DD 0C 9B 1B 1D DD ED 05 0A 93 ED 00 0A 30 EE 80 0A 8D ED 05 0A F7 EE 00 0A 9D ED 05 0A 80 EE 80 0A 0D 99 0C 98 ?? ?? ?? ?? 01 23 06 93 02 E0 06 9B 5B 00 06 93 06 9A 0D 9B 9A 42 21 DA 0C 9A 0D 99 03 98 ?? ?? ?? ?? 07 9B 00 93 0D 9B 04 9A 0D 99 03 98 ?? ?? ?? ?? B7 EE 00 0A 0D 99 03 98 ?? ?? ?? ?? 07 9B 00 93 0D 9B 0C 9A 0D 99 03 98 ?? ?? ?? ?? 0D 9B 03 9A 0D 99 0C 98 ?? ?? ?? ?? D6 E7 0C 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_104_4_0 {
	meta:
		name = "_fdxp_ldexpx"
		size = 122
		refs = "0030 ldexpf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 25 DA 08 98 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A ?? ?? ?? ?? 8D ED 01 0A 00 9A 04 23 02 FB 03 F2 06 9B 13 44 9D ED 01 0A 83 ED 00 0A 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D1 00 E0 D2 E7 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_104_5_0 {
	meta:
		name = "_fdxp_movx"
		size = 42
		refs = "0016 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 04 23 02 FB 03 F2 06 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_104_6_0 {
	meta:
		name = "_fdxp_mulh"
		size = 528
		refs = "0008 __security_push_cookie 002e _fdtest 0050 _fperrraise 016c _fdunscale 0174 _fd_int 017e _fdscale 018a _fdxp_addh 01fe __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8D B0 8D ED 06 0A 11 9B 00 2B 38 DD 10 9B D3 ED 00 0A 9D ED 06 0A 20 EE 80 0A 08 AB 83 ED 00 0A 08 A8 ?? ?? ?? ?? AD F8 14 00 BD F9 14 30 AD F8 04 30 BD F9 04 30 00 2B 1C DB BD F9 04 30 02 2B 02 D1 01 20 ?? ?? ?? ?? 08 AA 10 9B 92 ED 00 0A 83 ED 00 0A BD F9 04 30 00 2B 08 DD 11 9B 01 2B 05 DD 10 9B 1B 1D 9F ED 66 0A 83 ED 00 0A 10 9B 07 93 BC E0 10 9B 9F ED 62 0A 83 ED 00 0A 01 23 00 93 00 23 02 93 05 E0 02 9B 5B 1C 02 93 00 9B 5B 1E 00 93 02 9A 11 9B 9A 42 80 F2 A6 80 02 E0 00 9B 5B 1C 00 93 00 9B 04 2B 45 DA 02 9A 00 9B 1A 44 11 9B 9A 42 31 DA 02 9A 00 9B 1A 44 04 23 02 FB 03 F2 10 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 22 D0 02 9A 00 9B 1A 44 04 23 02 FB 03 F2 10 9B 13 44 D3 ED 00 0A 9D ED 06 0A 20 EE 80 0A 00 9A 04 23 02 FB 03 F2 08 AB 13 44 83 ED 00 0A 02 9A 00 9B 1A 44 04 23 02 FB 03 F2 10 9B 13 44 9F ED 3B 0A 83 ED 00 0A 0C E0 00 9A 04 23 02 FB 03 F2 08 AB 13 44 9F ED 35 0A 83 ED 00 0A 08 23 00 93 00 E0 B3 E7 08 AB 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 01 D1 4F E0 4D E0 00 23 03 93 08 AB 93 ED 00 0A 8D ED 04 0A 04 A9 0D F1 16 00 ?? ?? ?? ?? 0C 21 04 A8 ?? ?? ?? ?? BD F9 16 10 04 A8 ?? ?? ?? ?? 9D ED 04 0A 11 99 10 98 ?? ?? ?? ?? 08 AB D3 ED 00 0A 9D ED 04 0A 30 EE C0 0A 11 99 10 98 ?? ?? ?? ?? 03 9B 5B 1C 03 93 03 9A 00 9B 9A 42 20 DA 03 9A 04 23 02 FB 03 F2 08 AB 99 18 03 9B 5A 1E 04 23 02 FB 03 F2 08 AB 13 44 91 ED 00 0A 83 ED 00 0A 03 9B 5A 1E 04 23 02 FB 03 F2 08 AB 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 00 D1 00 E0 D7 E7 4E E7 10 9B 07 93 07 98 0D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 }
	condition:
		$1
}

rule file_104_7_0 {
	meta:
		name = "_fdxp_mulx"
		size = 226
		refs = "0044 _fdxp_mulh 0062 _fdxp_movx 00cc _fdxp_addx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 02 D0 09 9B 00 2B 00 D1 5C E0 08 9B 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 08 D0 08 9B 1B 1D 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 07 D1 08 9B 93 ED 00 0A 07 99 06 98 ?? ?? ?? ?? 43 E0 0A 9B 02 93 07 9A 04 23 02 FB 03 F2 0A 9B 13 44 01 93 06 9A 07 99 02 98 ?? ?? ?? ?? 08 9B 93 ED 00 0A 07 99 06 98 ?? ?? ?? ?? 01 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 09 9B 9A 42 24 DA 00 9A 04 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 17 D0 02 9A 07 99 01 98 ?? ?? ?? ?? 00 9A 04 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0A 07 99 01 98 ?? ?? ?? ?? 07 9B 01 9A 07 99 06 98 ?? ?? ?? ?? D3 E7 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_104_8_0 {
	meta:
		name = "_fdxp_setw"
		size = 304
		refs = "0028 _fdunscale 0070 _fd_int 007a _fdscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 03 0A 9D ED 03 0A 8D ED 02 0A 09 9B 00 2B 00 DC 7D E0 09 9B 01 2B 0D D0 02 A9 68 46 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 02 30 BD F9 02 30 00 2B 05 D1 08 9B 9D ED 02 0A 83 ED 00 0A 66 E0 BD F9 02 30 00 2B 0B DD 08 9B 9D ED 02 0A 83 ED 00 0A 08 9B 1B 1D 9F ED 32 0A 83 ED 00 0A 56 E0 0C 21 02 A8 ?? ?? ?? ?? BD F9 00 10 02 A8 ?? ?? ?? ?? 08 9B 9D ED 02 0A 83 ED 00 0A DD ED 03 0A 9D ED 02 0A 30 EE C0 0A 08 9B 1B 1D 83 ED 00 0A 34 E0 08 9B 1B 1D 93 ED 00 0A 8D ED 03 0A 08 9B 19 1D 68 46 ?? ?? ?? ?? 0C 21 08 9B 18 1D ?? ?? ?? ?? BD F9 00 10 08 9B 18 1D ?? ?? ?? ?? 08 9B 1B 1D DD ED 03 0A 93 ED 00 0A 30 EE C0 0A 08 9B 08 33 83 ED 00 0A 09 9B 03 2B 0E DD 08 9B 08 33 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 05 D0 08 9B 0C 33 9F ED 0B 0A 83 ED 00 0A 08 E0 09 9B 02 2B 05 DD 08 9B 08 33 9F ED 06 0A 83 ED 00 0A 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 }
	condition:
		$1
}

rule file_104_9_0 {
	meta:
		name = "_fdxp_sqrtx"
		size = 328
		refs = "0014 _fdtest 0046 _fperrraise 00a0 sqrtf 00b8 _fdxp_setw 00d6 _fdxp_movx 00e2 _fdxp_mulh 00f2 _fdxp_mulx 010e _fdxp_addh 0144 _FNan_C"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 00 2B 00 D1 90 E0 0C 98 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 00 2B 07 DA 0C 9B 93 ED 00 0A B5 EE C0 0A F1 EE 10 FA 11 D2 0C 9B 93 ED 00 0A B5 EE C0 0A F1 EE 10 FA 08 D2 01 20 ?? ?? ?? ?? 0C 9A 3D 4B 93 ED 00 0A 82 ED 00 0A 6D E0 0E 9B 03 93 0D 9A 04 23 02 FB 03 F2 0E 9B 13 44 04 93 0D 9A 04 23 02 FB 03 F2 04 9B 13 44 05 93 0C 9B 93 ED 00 0A 8D ED 06 0A 0D 9B 01 2B 09 DD 0C 9B 1B 1D DD ED 06 0A 93 ED 00 0A 30 EE 80 0A 8D ED 06 0A 9D ED 06 0A ?? ?? ?? ?? 8D ED 08 0A F7 EE 00 0A 9D ED 08 0A 80 EE 80 0A 0D 99 04 98 ?? ?? ?? ?? 02 23 07 93 02 E0 07 9B 5B 00 07 93 07 9A 0D 9B 9A 42 29 DA 04 9A 0D 99 03 98 ?? ?? ?? ?? BE EE 00 0A 0D 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0D 9B 0C 9A 0D 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0D 9B 04 9A 0D 99 03 98 ?? ?? ?? ?? B7 EE 08 0A 0D 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0D 9B 03 9A 0D 99 04 98 ?? ?? ?? ?? CE E7 05 9B 00 93 0D 9B 04 9A 0D 99 0C 98 ?? ?? ?? ?? 0C 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_104_10_0 {
	meta:
		name = "_fdxp_subx"
		size = 102
		refs = "0050 _fdxp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 1B DA 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 0E D0 00 9A 04 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0A B1 EE 40 0A 05 99 04 98 ?? ?? ?? ?? DC E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_104_11_0 {
	meta:
		name = "fmaf"
		size = 664
		refs = "0006 __security_push_cookie 0036 _fdunscale 0114 _fperrraise 01e4 _fdscale 01f0 _fdxp_setw 0216 _fdxp_mulh 0250 _fdxp_addx 0264 _fdxp_getw 028a __security_pop_cookie 0294 _FNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 8D ED 03 1A CD ED 05 0A 8D ED 04 0A 9D ED 04 0A 8D ED 0A 0A 9D ED 05 0A 8D ED 0B 0A 9D ED 03 0A 8D ED 06 0A 0A A9 0D F1 22 00 ?? ?? ?? ?? AD F8 1C 00 BD F9 1C 30 AD F8 02 30 BD F9 02 30 02 2B 05 D1 9D ED 04 0A 8D ED 02 0A 15 E1 14 E1 0B A9 09 A8 ?? ?? ?? ?? AD F8 1E 00 BD F9 1E 30 AD F8 04 30 BD F9 04 30 02 2B 05 D1 9D ED 05 0A 8D ED 02 0A 01 E1 00 E1 06 A9 68 46 ?? ?? ?? ?? AD F8 20 00 BD F9 20 30 AD F8 06 30 BD F9 06 30 02 2B 05 D1 9D ED 03 0A 8D ED 02 0A ED E0 EC E0 BD F9 02 30 01 2B 03 D0 BD F9 04 30 01 2B 35 D1 BD F9 02 30 00 2B 27 D0 BD F9 04 30 00 2B 23 D0 BD F9 06 30 01 2B 11 D1 04 AB 9B 1C 1B 88 03 F4 00 42 05 AB 9B 1C 1B 88 03 F4 00 43 5A 40 03 AB 9B 1C 1B 88 03 F4 00 43 9A 42 0D D1 DD ED 04 0A 9D ED 05 0A 60 EE 80 0A 9D ED 03 0A 30 EE 80 0A 8D ED 02 0A B9 E0 08 E0 01 20 ?? ?? ?? ?? 5E 4B 93 ED 00 0A 8D ED 02 0A AF E0 AE E0 BD F9 06 30 01 2B 05 D1 9D ED 03 0A 8D ED 02 0A A5 E0 A4 E0 BD F9 02 30 00 2B 07 D0 BD F9 04 30 00 2B 03 D0 BD F9 06 30 00 2B 0D D1 DD ED 04 0A 9D ED 05 0A 60 EE 80 0A 9D ED 03 0A 30 EE 80 0A 8D ED 02 0A 8B E0 8A E0 BD F9 22 20 BD F9 24 30 13 44 0C 93 0C 9B 1A B2 BD F9 00 30 9B 1A 1B B2 AD F8 00 30 04 AB 9B 1C 1B 88 03 F4 00 42 05 AB 9B 1C 1B 88 03 F4 00 43 5A 40 03 AB 9B 1C 1B 88 03 F4 00 43 53 40 00 2B 08 D0 BD F9 00 30 13 F1 02 0F 03 DB BD F9 00 30 02 2B 0D DD DD ED 04 0A 9D ED 05 0A 60 EE 80 0A 9D ED 03 0A 30 EE 80 0A 8D ED 02 0A 53 E0 52 E0 BD F9 00 10 06 A8 ?? ?? ?? ?? 9D ED 0A 0A 04 21 12 A8 ?? ?? ?? ?? 9D ED 0B 0A 02 21 0E A8 ?? ?? ?? ?? 9D ED 06 0A 02 21 10 A8 ?? ?? ?? ?? 0E AB 93 ED 00 0A 04 21 12 A8 ?? ?? ?? ?? 0E AB 1B 1D 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 13 D0 9D ED 0A 0A 04 21 16 A8 ?? ?? ?? ?? 0E AB 1B 1D 93 ED 00 0A 04 21 16 A8 ?? ?? ?? ?? 04 23 16 AA 04 21 12 A8 ?? ?? ?? ?? 02 23 10 AA 04 21 12 A8 ?? ?? ?? ?? 04 21 12 A8 ?? ?? ?? ?? 8D ED 0D 0A 9D ED 0D 0A 8D ED 06 0A 0C 99 06 A8 ?? ?? ?? ?? 9D ED 06 0A 8D ED 02 0A 9D ED 02 0A 1B B0 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_104_12_0 {
	meta:
		name = "ldexpf"
		size = 58
		refs = "0018 ldexp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 8D ED 00 0A 06 98 9D ED 00 0A B7 EE C0 0A ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B B7 EE C0 0B 8D ED 01 0A 9D ED 01 0A 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_106_0_0 {
	meta:
		name = "logf"
		size = 728
		refs = "007e _handle_nanf 00bc _handle_errorf 02a8 ?log2@?1??logf@@9@9 02ac ?cb_1@?1??logf@@9@9 02b0 ?cb_2@?1??logf@@9@9 02bc ?ln_tail_table@?1??logf@@9@9 02c0 ?ln_lead_table@?1??logf@@9@9 02c8 ??_C@_04HIGFGEHP@logf?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 AA B0 8D ED 08 0A 9D ED 08 0A B7 EE C0 0A 8D ED 16 0B 9D ED 16 0B 53 EC 10 2B 06 92 07 93 06 9B 14 93 07 9B 15 93 15 9B 0C 93 14 9B B3 F1 00 4F 08 D1 0C 9A A6 4B 9A 42 04 D1 B7 EE 00 0A 8D ED 04 0A 28 E1 07 9A 9D 4B 13 40 0D 93 0D 9A 9B 4B 9A 42 40 D1 06 9A 07 9B 6F F3 1F 53 13 43 00 2B 14 D0 9D ED 08 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 0E 93 0E 98 00 21 ?? ?? ?? ?? 8D ED 0F 0A 9D ED 0F 0A 8D ED 04 0A 05 E1 23 E0 07 9B 03 F0 00 43 00 2B 19 D0 01 23 03 93 DF ED 84 0A 9D ED 08 0A 21 23 02 93 08 23 01 93 01 23 00 93 85 4A 00 23 1A 21 83 48 ?? ?? ?? ?? 8D ED 10 0A 9D ED 10 0A 8D ED 04 0A E6 E0 04 E0 9D ED 08 0A 8D ED 04 0A E0 E0 3E E0 06 9A 07 9B 23 F0 00 43 13 43 00 2B 19 D1 01 23 03 93 DF ED 71 0A 9D ED 08 0A 22 23 02 93 04 23 01 93 02 23 00 93 73 4A 00 23 1A 21 6F 48 ?? ?? ?? ?? 8D ED 11 0A 9D ED 11 0A 8D ED 04 0A BF E0 1D E0 07 9B 03 F0 00 43 00 2B 18 D0 01 23 03 93 DF ED 61 0A 9D ED 08 0A 21 23 02 93 08 23 01 93 01 23 00 93 62 4A 00 23 1A 21 60 48 ?? ?? ?? ?? 8D ED 12 0A 9D ED 12 0A 8D ED 04 0A A0 E0 9D ED 16 0B 8D ED 18 0B 07 9A 57 4B 13 40 1B 0D A3 F2 FF 33 13 93 06 99 07 9A 40 F2 FE 33 63 F3 1F 52 13 46 43 EC 10 1B 8D ED 18 0B 07 9B 03 F4 7C 23 43 F4 80 13 9A 0B 07 9B 03 F4 00 53 5B 0B 13 44 09 93 09 9B A3 F1 40 02 08 23 02 FB 03 F2 45 4B 13 44 93 ED 00 0B 8D ED 24 0B 09 9B A3 F1 40 02 08 23 02 FB 03 F2 3E 4B 13 44 93 ED 00 0B 8D ED 22 0B 09 9B 00 EE 10 3A B8 EE C0 1B 9F ED 36 0B 21 EE 00 0B 8D ED 1A 0B 9D ED 18 1B 9D ED 1A 0B 31 EE 40 0B 8D ED 1C 0B B6 EE 00 1B 9D ED 1C 0B 21 EE 00 1B 9D ED 1A 0B 30 EE 01 1B 9D ED 1C 0B 80 EE 01 0B 8D ED 0A 0B 9D ED 0A 1B 9D ED 0A 0B 21 EE 00 0B 8D ED 1E 0B 9D ED 1E 1B 21 4B 93 ED 00 0B 21 EE 00 1B 1E 4B 93 ED 00 0B 30 EE 01 1B 9D ED 1E 0B 20 EE 01 0B 8D ED 20 0B 9D ED 0A 1B 9D ED 20 0B 21 EE 00 1B 9D ED 0A 0B 30 EE 01 1B 9D ED 22 0B 30 EE 01 0B 8D ED 26 0B 13 9B 00 EE 10 3A B8 EE C0 1B 0D 4B 93 ED 00 0B 21 EE 00 1B 9D ED 24 0B 31 EE 00 1B 9D ED 26 0B 31 EE 00 0B 8D ED 28 0B 9D ED 28 0B B7 EE C0 0B 8D ED 04 0A 9D ED 04 0A 2A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 80 3F ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? 00 00 C0 FF 00 00 80 FF 0A BF 05 40 }
	condition:
		$1
}

rule file_107_0_0 {
	meta:
		name = "_cgetws"
		size = 172
		refs = "001c _CrtDbgReportW 0026 __doserrno 002e _errno 0040 _invalid_parameter 0086 _cgetws_s 0098 ??_C@_1GI@GFGGGLNM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 009c ??_C@_1BM@OHODNOMF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1BA@IJPIFGNE@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAw?$AAs?$AA?$AA@ 00a8 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 04 46 FC B9 24 4B 26 4C 21 49 00 93 00 23 98 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 25 05 60 ?? ?? ?? ?? 16 23 03 60 98 23 1A 49 17 4A 20 46 00 95 ?? ?? ?? ?? 00 20 04 B0 BD E8 30 88 21 88 B1 B9 13 4B 12 4C 10 49 00 93 00 23 99 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 25 05 60 ?? ?? ?? ?? 16 23 03 60 99 23 DC E7 00 23 02 AA 20 1D 02 93 ?? ?? ?? ?? 02 9B 00 28 63 80 D8 D1 20 1D D7 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_107_1_0 {
	meta:
		name = "_cgetws_s"
		size = 564
		refs = "0024 _CrtDbgReportW 002e __doserrno 0036 _errno 0048 _invalid_parameter 0096 _CrtGetDebugFillThreshold 00a8 memset 00e0 __acrt_lock 012a __dcrt_lowio_initialize_console_input 013e __acrt_errno_map_os_error 01f0 __acrt_unlock 0200 __imp_SetConsoleMode 0204 __imp_ReadConsoleW 0208 __imp_GetConsoleMode 020c __imp_GetLastError 0210 __dcrt_lowio_console_input_handle 0214 __console_wchar_buffer 0218 __console_wchar_buffer_used 021c ??_C@_1GI@GFGGGLNM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0220 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0224 ??_C@_1CK@FMNNCIHC@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAr?$AAe?$AAa?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0228 ??_C@_1CE@ILGEGJJH@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAw?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 022c ??_C@_1BE@NFEJJKN@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAw?$AAs?$AA_?$AAs?$AA?$AA@ 0230 ??_C@_1DC@MHMMOEHO@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 6F 46 82 B0 90 46 0C 46 06 46 EE B9 86 4C 01 94 81 4B 00 93 00 23 21 22 7E 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 25 05 60 ?? ?? ?? ?? 16 23 03 60 21 23 00 95 7A 49 75 4A 20 46 ?? ?? ?? ?? 16 23 D2 E0 B4 B9 75 4C 01 94 72 4B 00 93 00 23 22 22 6F 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 25 05 60 ?? ?? ?? ?? 16 23 03 60 22 23 DF E7 00 25 35 80 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 63 1E 98 42 00 D3 18 46 42 00 B0 1C FE 21 ?? ?? ?? ?? B8 F1 00 0F 15 D1 5C 4C 01 94 5A 4B 00 93 00 23 25 22 57 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 05 60 ?? ?? ?? ?? 16 23 03 60 25 23 B0 E7 09 20 ?? ?? ?? ?? 00 23 7B 60 B4 F1 01 09 C8 F8 00 50 7D D0 49 4B 1B 68 73 B1 46 4A 13 88 33 80 B6 1C A9 F1 01 09 D8 F8 00 30 5B 1C C8 F8 00 30 13 88 03 B9 A9 46 15 80 B9 F1 00 0F 68 D0 DF F8 F0 A0 DA F8 00 00 10 F1 02 0F 03 D1 ?? ?? ?? ?? DA F8 00 00 B0 F1 FF 3F 09 D1 34 4B 1B 68 98 47 ?? ?? ?? ?? ?? ?? ?? ?? 03 68 7B 60 50 E0 17 F1 08 01 2D 4B 1B 68 98 47 07 21 DA F8 00 00 28 4B 1B 68 98 47 00 95 3B 46 4A 46 31 46 DA F8 00 00 25 4C 24 68 A0 47 00 28 DF D0 3A 68 02 2A 0F D3 06 EB 42 03 33 F8 04 3C 0D 2B 09 D1 D8 F8 00 30 13 44 9B 1E C8 F8 00 30 93 1E 26 F8 13 50 21 E0 4A 45 0D D1 06 EB 42 01 31 F8 02 3C 0D 2B 07 D1 21 F8 02 5C D8 F8 00 20 3B 68 13 44 5B 1E 07 E0 01 2A 08 D1 33 88 0A 2B 05 D1 35 80 D8 F8 00 30 C8 F8 00 30 06 E0 D8 F8 00 30 13 44 C8 F8 00 30 26 F8 12 50 B9 68 DA F8 00 00 05 4B 1B 68 98 47 09 20 ?? ?? ?? ?? 7B 68 3B 60 38 68 05 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_108_0_0 {
	meta:
		name = "_FPE_Raise"
		size = 2740
		refs = "000a __security_push_cookie 018c memcpy 0a8e __security_pop_cookie 0a9c __imp_RaiseException"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B ?? ?? ?? ?? AB B0 6F 46 5D F8 80 39 6B 46 3B 60 3B 68 0F 33 3B 60 3B 68 23 F0 0F 03 3B 60 00 23 BB 60 00 23 FB 60 D7 F8 C4 30 C3 F3 04 53 7B 61 F1 EE 10 3A C7 F8 94 30 D7 F8 94 30 83 F4 1F 43 7B 60 3B 68 C7 F8 98 30 D7 F8 C4 30 13 F0 01 0F 02 D0 01 23 BB 61 01 E0 00 23 BB 61 7A 68 BB 69 13 43 7B 60 D7 F8 C4 30 13 F0 02 0F 02 D0 02 23 FB 61 01 E0 00 23 FB 61 7A 68 FB 69 13 43 7B 60 D7 F8 C4 30 13 F0 04 0F 02 D0 04 23 3B 62 01 E0 00 23 3B 62 7A 68 3B 6A 13 43 7B 60 D7 F8 C4 30 13 F0 08 0F 02 D0 08 23 7B 62 01 E0 00 23 7B 62 7A 68 7B 6A 13 43 7B 60 D7 F8 C4 30 13 F0 10 0F 02 D0 10 23 BB 62 01 E0 00 23 BB 62 7A 68 BB 6A 13 43 7B 60 7B 68 83 F4 1F 43 E1 EE 10 3A D7 F8 C4 30 13 F0 01 0F 09 D0 7B 68 13 F4 80 7F 05 D0 DF F8 B4 39 FB 60 01 23 BB 60 3A E0 D7 F8 C4 30 13 F0 02 0F 09 D0 7B 68 13 F4 00 7F 05 D0 DF F8 90 39 FB 60 01 23 BB 60 2B E0 D7 F8 C4 30 13 F0 04 0F 09 D0 7B 68 13 F4 80 6F 05 D0 DF F8 70 39 FB 60 01 23 BB 60 1C E0 D7 F8 C4 30 13 F0 08 0F 09 D0 7B 68 13 F4 00 6F 05 D0 DF F8 4C 39 FB 60 01 23 BB 60 0D E0 D7 F8 C4 30 13 F0 10 0F 08 D0 7B 68 13 F4 80 5F 04 D0 DF F8 2C 39 FB 60 01 23 BB 60 BB 68 00 2B 0C D1 D7 F8 C0 00 17 F1 D8 01 08 22 ?? ?? ?? ?? D7 F8 C0 30 C7 F8 A0 30 00 F0 75 BC 7B 68 03 F4 40 03 3B 61 3B 69 B3 F5 00 0F 0B D8 3B 69 B3 F5 00 0F 1C D0 3B 69 00 2B 22 D0 3B 69 B3 F5 80 0F 0C D0 23 E0 3B 69 B3 F5 40 0F 00 D0 1E E0 3B 68 1B 68 43 F0 03 02 3B 68 1A 60 17 E0 3B 68 19 68 02 23 63 F3 01 01 3A 68 0B 46 13 60 0E E0 3B 68 19 68 01 23 63 F3 01 01 3A 68 0B 46 13 60 05 E0 3B 68 1B 68 23 F0 03 02 3B 68 1A 60 3B 68 1B 68 23 F0 1C 02 3B 68 1A 60 7B 69 FB 62 FB 6A 1A 2B 4E D8 FA 6A DF E8 02 F0 0E 0E 32 32 17 17 20 20 3B 3B 3B 3B 3B 3B 29 29 3B 3B 3B 3B 3B 3B 3B 3B 3B 3B 44 44 3B 68 19 68 01 23 63 F3 50 11 3A 68 0B 46 13 60 34 E0 3B 68 19 68 07 23 63 F3 50 11 3A 68 0B 46 13 60 2B E0 3B 68 19 68 04 23 63 F3 50 11 3A 68 0B 46 13 60 22 E0 3B 68 19 68 03 23 63 F3 50 11 3A 68 0B 46 13 60 19 E0 3B 68 19 68 02 23 63 F3 50 11 3A 68 0B 46 13 60 10 E0 3B 68 19 68 08 23 63 F3 50 11 3A 68 0B 46 13 60 07 E0 3B 68 19 68 09 23 63 F3 50 11 3A 68 0B 46 13 60 D7 F8 C4 30 13 F0 10 0F 02 D0 01 23 3B 63 01 E0 00 23 3B 63 3B 68 1A 1D 3B 6B 11 68 63 F3 00 01 3B 68 1A 1D 0B 46 13 60 D7 F8 C4 30 13 F0 08 0F 02 D0 01 23 7B 63 01 E0 00 23 7B 63 3B 68 1A 1D 7B 6B 11 68 63 F3 41 01 3B 68 1A 1D 0B 46 13 60 D7 F8 C4 30 13 F0 04 0F 02 D0 01 23 BB 63 01 E0 00 23 BB 63 3B 68 1A 1D BB 6B 11 68 63 F3 82 01 3B 68 1A 1D 0B 46 13 60 D7 F8 C4 30 13 F0 02 0F 02 D0 01 23 FB 63 01 E0 00 23 FB 63 3B 68 1A 1D FB 6B 11 68 63 F3 C3 01 3B 68 1A 1D 0B 46 13 60 D7 F8 C4 30 13 F0 01 0F 02 D0 01 23 3B 64 01 E0 00 23 3B 64 3B 68 1A 1D 3B 6C 11 68 63 F3 04 11 3B 68 1A 1D 0B 46 13 60 7B 68 13 F4 80 5F 02 D0 01 23 7B 64 01 E0 00 23 7B 64 3B 68 03 F1 08 02 7B 6C 11 68 63 F3 00 01 3B 68 03 F1 08 02 0B 46 13 60 7B 68 13 F4 00 6F 02 D0 01 23 BB 64 01 E0 00 23 BB 64 3B 68 03 F1 08 02 BB 6C 11 68 63 F3 41 01 3B 68 03 F1 08 02 0B 46 13 60 7B 68 13 F4 80 6F 02 D0 01 23 FB 64 01 E0 00 23 FB 64 3B 68 03 F1 08 02 FB 6C 11 68 63 F3 82 01 3B 68 03 F1 08 02 0B 46 13 60 7B 68 13 F4 00 7F 02 D0 01 23 3B 65 01 E0 00 23 3B 65 3B 68 03 F1 08 02 3B 6D 11 68 63 F3 C3 01 3B 68 03 F1 08 02 0B 46 13 60 7B 68 13 F4 80 7F 02 D0 01 23 7B 65 01 E0 00 23 7B 65 3B 68 03 F1 08 02 7B 6D 11 68 63 F3 04 11 3B 68 03 F1 08 02 0B 46 13 60 7B 68 13 F0 10 0F 02 D0 01 23 BB 65 01 E0 00 23 BB 65 3B 68 03 F1 0C 02 BB 6D 11 68 63 F3 00 01 3B 68 03 F1 0C 02 0B 46 13 60 7B 68 13 F0 08 0F 02 D0 01 23 FB 65 01 E0 00 23 FB 65 3B 68 03 F1 0C 02 FB 6D 11 68 63 F3 41 01 3B 68 03 F1 0C 02 0B 46 13 60 7B 68 13 F0 04 0F 02 D0 01 23 3B 66 01 E0 00 23 3B 66 3B 68 03 F1 0C 02 3B 6E 11 68 63 F3 82 01 3B 68 03 F1 0C 02 0B 46 13 60 7B 68 13 F0 02 0F 02 D0 01 23 7B 66 01 E0 00 23 7B 66 3B 68 03 F1 0C 02 7B 6E 11 68 63 F3 C3 01 3B 68 03 F1 0C 02 0B 46 13 60 7B 68 13 F0 01 0F 02 D0 01 23 BB 66 01 E0 00 23 BB 66 3B 68 03 F1 0C 02 BB 6E 11 68 63 F3 04 11 3B 68 03 F1 0C 02 0B 46 13 60 7B 69 FB 66 FB 6E 1A 2B 00 F2 AD 80 FA 6E DF E8 02 F0 0E 28 0E 28 0E 28 0E 28 0E 0E 0E 0E 0E 3F 0E 28 28 28 28 28 28 59 73 73 8F 8F 0E 0E 3B 68 10 33 97 ED 32 0B 83 ED 00 0B 3B 68 20 33 1B 68 43 F0 01 02 3B 68 20 33 1A 60 3B 68 20 33 19 68 01 23 63 F3 44 01 3B 68 03 F1 20 02 0B 46 13 60 81 E0 3B 68 10 33 97 ED 32 0A 83 ED 00 0A 3B 68 20 33 1B 68 43 F0 01 02 3B 68 20 33 1A 60 3B 68 20 33 1B 68 23 F0 1E 02 3B 68 20 33 1A 60 6A E0 3B 68 03 F1 10 02 D7 F8 C8 30 13 60 3B 68 20 33 1B 68 43 F0 01 02 3B 68 20 33 1A 60 3B 68 20 33 19 68 05 23 63 F3 44 01 3B 68 03 F1 20 02 0B 46 13 60 50 E0 3B 68 03 F1 10 02 D7 F8 C8 30 13 60 3B 68 20 33 1B 68 43 F0 01 02 3B 68 20 33 1A 60 3B 68 20 33 19 68 08 23 63 F3 44 01 3B 68 03 F1 20 02 0B 46 13 60 36 E0 3B 68 03 F1 10 00 17 F1 C8 01 08 22 ?? ?? ?? ?? 3B 68 20 33 1B 68 43 F0 01 02 3B 68 20 33 1A 60 3B 68 20 33 19 68 06 23 63 F3 44 01 3B 68 03 F1 20 02 0B 46 13 60 1A E0 3B 68 03 F1 10 00 17 F1 C8 01 08 22 ?? ?? ?? ?? 3B 68 20 33 1B 68 43 F0 01 02 3B 68 20 33 1A 60 3B 68 20 33 19 68 09 23 63 F3 44 01 3B 68 03 F1 20 02 0B 46 13 60 7B 69 3B 67 3B 6F 1A 2B 49 D8 3A 6F DF E8 02 F0 0E 28 0E 28 0E 28 0E 28 3F 3F 3F 3F 3F 3F 0E 28 3F 3F 3F 3F 3F 3F 3F 3F 3F 3F 3F 3F 3B 68 30 33 97 ED 34 0B 83 ED 00 0B 3B 68 40 33 1B 68 43 F0 01 02 3B 68 40 33 1A 60 3B 68 40 33 19 68 01 23 63 F3 44 01 3B 68 03 F1 40 02 0B 46 13 60 1E E0 3B 68 30 33 97 ED 34 0A 83 ED 00 0A 3B 68 40 33 1B 68 43 F0 01 02 3B 68 40 33 1A 60 3B 68 40 33 1B 68 23 F0 1E 02 3B 68 40 33 1A 60 07 E0 3B 68 40 33 1B 68 23 F0 01 02 3B 68 40 33 1A 60 7B 69 7B 67 7B 6F 1A 2B 00 F2 C7 80 7A 6F DF E8 02 F0 0E 28 0E 28 AB AB 0E 28 3F 73 28 59 8F 28 0E 28 0E 3F 73 59 8F 28 0E 28 0E 28 0E 0E 3B 68 50 33 97 ED 36 0B 83 ED 00 0B 3B 68 60 33 1B 68 43 F0 01 02 3B 68 60 33 1A 60 3B 68 60 33 19 68 01 23 63 F3 44 01 3B 68 03 F1 60 02 0B 46 13 60 9B E0 3B 68 50 33 97 ED 36 0A 83 ED 00 0A 3B 68 60 33 1B 68 43 F0 01 02 3B 68 60 33 1A 60 3B 68 60 33 1B 68 23 F0 1E 02 3B 68 60 33 1A 60 84 E0 3B 68 03 F1 50 02 D7 F8 D8 30 13 60 3B 68 60 33 1B 68 43 F0 01 02 3B 68 60 33 1A 60 3B 68 60 33 19 68 05 23 63 F3 44 01 3B 68 03 F1 60 02 0B 46 13 60 6A E0 3B 68 03 F1 50 02 D7 F8 D8 30 13 60 3B 68 60 33 1B 68 43 F0 01 02 3B 68 60 33 1A 60 3B 68 60 33 19 68 08 23 63 F3 44 01 3B 68 03 F1 60 02 0B 46 13 60 50 E0 3B 68 03 F1 50 00 17 F1 D8 01 08 22 ?? ?? ?? ?? 3B 68 60 33 1B 68 43 F0 01 02 3B 68 60 33 1A 60 3B 68 60 33 19 68 06 23 63 F3 44 01 3B 68 03 F1 60 02 0B 46 13 60 34 E0 3B 68 03 F1 50 00 17 F1 D8 01 08 22 ?? ?? ?? ?? 3B 68 60 33 1B 68 43 F0 01 02 3B 68 60 33 1A 60 3B 68 60 33 19 68 09 23 63 F3 44 01 3B 68 03 F1 60 02 0B 46 13 60 18 E0 3B 68 03 F1 50 02 D7 F8 D8 30 13 60 3B 68 60 33 1B 68 43 F0 01 02 3B 68 60 33 1A 60 3B 68 60 33 19 68 0B 23 63 F3 44 01 3B 68 03 F1 60 02 0B 46 13 60 17 F1 98 03 01 22 00 21 F8 68 71 4C 24 68 A0 47 00 23 7B 60 3B 68 1B 68 03 F0 03 03 BB 67 BB 6F 03 2B 15 D8 BA 6F DF E8 02 F0 11 0C 07 02 7B 68 43 F4 40 03 7B 60 0B E0 7B 68 43 F4 80 03 7B 60 06 E0 7B 68 43 F4 00 03 7B 60 01 E0 7B 68 7B 60 3B 68 08 33 1B 68 13 F0 01 0F 03 D0 4F F4 80 53 FB 67 01 E0 00 23 FB 67 7A 68 FB 6F 13 43 7B 60 3B 68 08 33 1B 68 13 F0 02 0F 04 D0 4F F4 00 63 C7 F8 80 30 02 E0 00 23 C7 F8 80 30 7A 68 D7 F8 80 30 13 43 7B 60 3B 68 08 33 1B 68 13 F0 04 0F 04 D0 4F F4 80 63 C7 F8 84 30 02 E0 00 23 C7 F8 84 30 7A 68 D7 F8 84 30 13 43 7B 60 3B 68 08 33 1B 68 13 F0 08 0F 04 D0 4F F4 00 73 C7 F8 88 30 02 E0 00 23 C7 F8 88 30 7A 68 D7 F8 88 30 13 43 7B 60 3B 68 08 33 1B 68 13 F0 10 0F 04 D0 4F F4 80 73 C7 F8 8C 30 02 E0 00 23 C7 F8 8C 30 7A 68 D7 F8 8C 30 13 43 7B 60 7B 69 C7 F8 90 30 D7 F8 90 30 1A 2B 42 D8 D7 F8 90 20 DF E8 02 F0 0E 15 0E 15 3A 3A 0E 15 1C 28 15 22 31 15 0E 15 0E 1C 28 22 31 15 0E 15 0E 15 0E 0E 3B 68 50 33 93 ED 00 0B 87 ED 36 0B 29 E0 3B 68 50 33 93 ED 00 0A 87 ED 36 0A 22 E0 3B 68 50 33 1B 68 C7 F8 D8 30 1C E0 3B 68 50 33 1B 68 C7 F8 D8 30 16 E0 3B 68 03 F1 50 01 17 F1 D8 00 08 22 ?? ?? ?? ?? 0D E0 3B 68 03 F1 50 01 17 F1 D8 00 08 22 ?? ?? ?? ?? 04 E0 3B 68 50 33 1B 68 C7 F8 D8 30 7B 68 83 F4 1F 43 E1 EE 10 3A D7 F8 C0 00 17 F1 D8 01 08 22 ?? ?? ?? ?? D7 F8 C0 30 C7 F8 A0 30 D7 F8 A0 00 BD 46 2B B0 ?? ?? ?? ?? BD E8 90 08 5D F8 14 FB FE DE ?? ?? ?? ?? 8F 00 00 C0 93 00 00 C0 91 00 00 C0 8E 00 00 C0 90 00 00 C0 }
	condition:
		$1
}

rule file_109_5_0 {
	meta:
		name = "_fcloseall"
		size = 240
		refs = "0012 __acrt_lock 0056 ??0__crt_stdio_stream@@QAA@QAU__crt_stdio_stream_data@@@Z 005e ?is_in_use@__crt_stdio_stream@@QBA_NXZ 007a fclose 00ba _free_dbg 00d4 __acrt_unlock 00e4 __piob 00e8 __imp_DeleteCriticalSection 00ec _nstream"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 00 23 BB 60 08 20 ?? ?? ?? ?? 03 23 7B 60 02 E0 7B 68 5B 1C 7B 60 7A 68 31 4B 1B 68 9A 42 52 D0 7A 68 04 23 02 FB 03 F2 2B 4B 1B 68 13 44 1B 68 00 2B 00 D1 EC E7 7A 68 04 23 02 FB 03 F2 26 4B 1B 68 13 44 19 68 17 F1 18 00 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 11 D0 7A 68 04 23 02 FB 03 F2 1C 4B 1B 68 13 44 18 68 ?? ?? ?? ?? 38 61 3B 69 B3 F1 FF 3F 02 D0 BB 68 5B 1C BB 60 7A 68 04 23 02 FB 03 F2 13 4B 1B 68 13 44 1B 68 03 F1 20 00 11 4B 1B 68 98 47 02 21 7A 68 04 23 02 FB 03 F2 0C 4B 1B 68 13 44 18 68 ?? ?? ?? ?? 7A 68 04 23 02 FB 03 F2 07 4B 1B 68 1A 44 00 23 13 60 A4 E7 08 20 ?? ?? ?? ?? BB 68 7B 61 78 69 07 B0 BD E8 80 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_110_5_0 {
	meta:
		name = "_mbsbtype_l"
		size = 228
		refs = "0020 _CrtDbgReportW 002a _errno 003e _invalid_parameter 004c ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0070 _mbbtype_l 00d0 ??_C@_1HC@EEJIICCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00d4 ??_C@_1BI@IGAIOCOA@?$AA_?$AAm?$AAb?$AAs?$AAb?$AAt?$AAy?$AAp?$AAe?$AA_?$AAl?$AA?$AA@ 00d8 ??_C@_1CA@MCAHMKMK@?$AA?$CK?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00e0 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 04 46 0D 46 DC B9 32 4B 33 4C 2E 49 00 93 00 23 31 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 28 49 26 4A 00 23 00 93 31 23 20 46 ?? ?? ?? ?? 6F F0 00 00 3F E0 02 A8 11 46 ?? ?? ?? ?? 04 9B 9B 68 0B B9 00 20 2C E0 6F F0 00 00 0D B9 23 78 2B B3 14 F8 01 3B 4B B1 01 46 18 46 03 AA ?? ?? ?? ?? 00 2D A5 F1 01 05 F0 D1 1A E0 17 4B 15 4C 13 49 00 93 00 23 43 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 0C 49 0B 4A 00 23 00 93 43 23 20 46 ?? ?? ?? ?? 6F F0 00 00 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 06 B0 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_1_0 {
	meta:
		name = "scaleFloat_2"
		size = 98
		refs = "0012 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 02 0A 08 99 02 20 ?? ?? ?? ?? 00 90 08 9A 00 9B D3 1A 01 93 00 9B 7F 33 DB 05 00 EE 10 3A 8D ED 03 0A 01 9B 7F 33 DB 05 00 EE 10 3A 8D ED 04 0A DD ED 02 0A 9D ED 03 0A 60 EE 80 0A 9D ED 04 0A 20 EE 80 0A 8D ED 05 0A 9D ED 05 0A 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_111_2_0 {
	meta:
		name = "splitexpf"
		size = 396
		refs = "00d8 __rt_sdiv 0184 ?two_to_jby32_trail_table@?1??splitexpf@@9@9 0188 ?two_to_jby32_lead_table@?1??splitexpf@@9@9"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 8D ED 0B 2A CD ED 0A 1A 8D ED 09 1A CD ED 06 0A 8D ED 05 0A DD ED 05 0A 9D ED 09 0A 20 EE 80 0A 8D ED 00 0A 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 0B DD DD ED 00 0A B6 EE 00 0A 30 EE 80 0A BD EE C0 0A 10 EE 10 3A 01 93 0A E0 DD ED 00 0A B6 EE 00 0A 30 EE C0 0A BD EE C0 0A 10 EE 10 3A 01 93 01 9B 00 EE 10 3A F8 EE C0 0A 9D ED 0A 0A 60 EE 80 0A 9D ED 05 0A 30 EE 60 0A 8D ED 03 0A 01 9B 5B 42 00 EE 10 3A F8 EE C0 0A 9D ED 0B 0A 20 EE 80 0A 8D ED 02 0A 01 9B 03 F0 1F 03 04 93 04 9A 04 23 02 FB 03 F2 35 4B 13 44 93 ED 00 0A 8D ED 07 0A 04 9A 04 23 02 FB 03 F2 2F 4B 13 44 93 ED 00 0A 8D ED 08 0A 01 9A 04 9B D1 1A 20 20 ?? ?? ?? ?? 10 9B 18 60 DD ED 03 0A 9D ED 06 0A 20 EE 80 0A 8D ED 03 0A DD ED 02 0A 9D ED 06 0A 20 EE 80 0A 8D ED 02 0A DD ED 03 0A 9D ED 02 0A 30 EE 80 0A 8D ED 00 0A DD ED 00 0A 9D ED 00 0A 20 EE 80 1A DD ED 00 0A 9F ED 17 0A 60 EE 80 0A B6 EE 00 0A 30 EE 20 0A 61 EE 00 0A 9D ED 02 0A 70 EE 20 0A 9D ED 03 0A 30 EE 20 0A 8D ED 0C 0A 9D ED 07 0A 11 9B 83 ED 00 0A DD ED 07 0A 9D ED 08 0A 70 EE 80 0A 9D ED 0C 0A 60 EE 80 0A 9D ED 08 0A 30 EE 20 0A 12 9B 83 ED 00 0A 0E B0 5D F8 04 BB 5D F8 14 FB FE DE AB AA 2A 3E ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_3_0 {
	meta:
		name = "tanhf"
		size = 656
		refs = "0046 valf_with_flags 0078 _handle_nanf 01f8 splitexpf 020a scaleFloat_2 0254 ?thirtytwo_by_log2@?1??tanhf@@9@9 0258 ?log2_by_32_lead@?1??tanhf@@9@9 025c ?log2_by_32_tail@?1??tanhf@@9@9 028c ?large_threshold@?1??tanhf@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 92 B0 8D ED 02 0A 9D ED 02 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 06 93 06 9B 23 F0 00 43 03 93 03 9B B3 F1 64 5F 15 D2 03 9B 00 2B 05 D1 9D ED 02 0A 8D ED 05 0A 05 E1 0B E0 10 20 9D ED 02 0A ?? ?? ?? ?? 8D ED 09 0A 9D ED 09 0A 8D ED 05 0A F8 E0 17 E0 03 9B B3 F1 FF 4F 13 D9 9D ED 02 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 0A 93 0A 98 00 21 ?? ?? ?? ?? 8D ED 0B 0A 9D ED 0B 0A 8D ED 05 0A DF E0 03 9A 06 9B 9A 42 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 00 EE 10 3A F8 EE C0 0A B0 EE 00 0A 60 EE 20 0A B7 EE 00 0A 30 EE 60 0A 8D ED 08 0A DD ED 08 0A 9D ED 02 0A 20 EE 80 0A 8D ED 00 0A DD ED 00 0A 6F 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 04 DD B7 EE 00 0A 8D ED 04 0A A8 E0 DD ED 00 0A B7 EE 00 0A F4 EE C0 0A F1 EE 10 FA 6A D8 DD ED 00 0A 9D ED 00 0A 20 EE 80 0A 8D ED 01 0A DD ED 00 0A 9F ED 5E 0A F4 EE C0 0A F1 EE 10 FA 2C D2 DD ED 00 0A 9D ED 01 0A 20 EE 80 1A DF ED 56 0A 9D ED 01 0A 60 EE 80 0A 9F ED 52 0A 70 EE 20 0A 9D ED 01 0A 60 EE 80 0A 9F ED 4D 0A 30 EE 20 0A 21 EE 00 1A DF ED 49 0A 9D ED 01 0A 60 EE 80 0A 9F ED 45 0A 30 EE 20 0A C1 EE 00 0A 9D ED 00 0A 30 EE 20 0A 8D ED 04 0A 2B E0 DD ED 00 0A 9D ED 01 0A 20 EE 80 1A DF ED 3B 0A 9D ED 01 0A 60 EE 80 0A 9F ED 37 0A 70 EE 20 0A 9D ED 01 0A 60 EE 80 0A 9F ED 32 0A 30 EE 20 0A 21 EE 00 1A DF ED 2E 0A 9D ED 01 0A 60 EE 80 0A 9F ED 2A 0A 30 EE 20 0A C1 EE 00 0A 9D ED 00 0A 30 EE 20 0A 8D ED 04 0A 34 E0 0E AA 0D A9 0C A8 21 4B 93 ED 00 2A 1E 4B D3 ED 00 1A 1C 4B 93 ED 00 1A F7 EE 00 0A F0 EE 00 2A 9D ED 00 0A 22 EE 80 0A ?? ?? ?? ?? 0C 98 DD ED 0D 0A 9D ED 0E 0A 30 EE 80 0A ?? ?? ?? ?? 8D ED 0F 0A DD ED 0F 0A B7 EE 00 0A 30 EE 80 0A 8D ED 10 0A F0 EE 00 0A 9D ED 10 0A C0 EE 80 0A B7 EE 00 0A 30 EE 60 0A 8D ED 04 0A DD ED 08 0A 9D ED 04 0A 20 EE 80 0A 8D ED 05 0A 9D ED 05 0A 12 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 60 DB 38 3F 5F C6 95 3E B1 79 76 BE 00 8E A1 BA D8 89 20 38 50 85 58 3F 9C 76 AF 3E E0 58 90 BE 9E BC BF BA 7D 2B 4D 38 66 66 66 3F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_111_4_0 {
	meta:
		name = "valf_with_flags"
		size = 42
		refs = "0010 raise_fpsw_flags"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 8D ED 00 0A 04 98 ?? ?? ?? ?? 9D ED 00 0A 8D ED 01 0A 9D ED 01 0A 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_112_5_0 {
	meta:
		name = "_ismbcl0_l"
		size = 94
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? 02 9A 53 68 B3 F5 69 7F 12 D1 23 0A 52 FA 83 F3 5B 7E 13 F0 04 0F 0B D0 52 FA 84 F3 5B 7E 13 F0 08 0F 05 D0 48 F6 9F 03 9C 42 38 BF 01 20 00 D3 00 20 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_112_7_0 {
	meta:
		name = "_ismbcl1_l"
		size = 100
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? 02 9A 53 68 B3 F5 69 7F 15 D1 23 0A 52 FA 83 F3 5B 7E 13 F0 04 0F 0E D0 52 FA 84 F3 5B 7E 13 F0 08 0F 08 D0 48 F6 9F 03 E2 1A 40 F6 D3 73 9A 42 98 BF 01 20 00 D9 00 20 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_112_9_0 {
	meta:
		name = "_ismbcl2_l"
		size = 100
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? 02 9A 53 68 B3 F5 69 7F 15 D1 23 0A 52 FA 83 F3 5B 7E 13 F0 04 0F 0E D0 52 FA 84 F3 5B 7E 13 F0 08 0F 08 D0 49 F6 9F 03 E2 1A 45 F2 05 23 9A 42 98 BF 01 20 00 D9 00 20 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_113_0_0 {
	meta:
		name = "cargf"
		size = 82
		refs = "0018 crealf 0028 cimagf 0038 atan2f"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 CD ED 05 0A 8D ED 04 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 00 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 01 0A DD ED 00 0A 9D ED 01 0A ?? ?? ?? ?? 8D ED 02 0A 9D ED 02 0A 8D ED 03 0A 9D ED 03 0A 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_433_0_0 {
	meta:
		name = "cabsf"
		size = 82
		refs = "0018 cimagf 0028 crealf 0038 hypotf"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 CD ED 05 0A 8D ED 04 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 00 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 01 0A DD ED 00 0A 9D ED 01 0A ?? ?? ?? ?? 8D ED 02 0A 9D ED 02 0A 8D ED 03 0A 9D ED 03 0A 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_114_0_0 {
	meta:
		name = "ccosl"
		size = 122
		refs = "0018 creall 0028 cimagl 003c _LCbuild 0050 ccoshl"
	strings:
		$1 = { 2D E9 00 48 EB 46 94 B0 8D ED 06 1B 8D ED 04 0B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 8D ED 10 0B 9D ED 0E 0B 8D ED 12 0B 9D ED 10 0B 9D ED 12 1B 14 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_597_0_0 {
	meta:
		name = "ccos"
		size = 122
		refs = "0018 creal 0028 cimag 003c _Cbuild 0050 ccosh"
	strings:
		$1 = { 2D E9 00 48 EB 46 94 B0 8D ED 06 1B 8D ED 04 0B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 00 0B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 9D ED 0A 1B ?? ?? ?? ?? 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 8D ED 10 0B 9D ED 0E 0B 8D ED 12 0B 9D ED 10 0B 9D ED 12 1B 14 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_115_0_0 {
	meta:
		name = "log1p"
		size = 248
		refs = "000e _dtest 0064 _fperrraise 00b4 log 00f0 _Inf_C 00f4 _Nan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 06 D0 01 9B 01 2B 08 D0 01 9B 02 2B 00 D0 0F E0 9D ED 02 0B 8D ED 04 0B 54 E0 02 AB 9B 1D 1B 88 13 F4 00 4F 04 D1 9D ED 02 0B 8D ED 04 0B 49 E0 9D ED 02 1B BF EE 00 0B B4 EE C0 1B F1 EE 10 FA 09 D2 01 20 ?? ?? ?? ?? 22 4B 93 ED 00 0B 8D ED 04 0B 37 E0 36 E0 9D ED 02 1B BF EE 00 0B B4 EE 40 1B F1 EE 10 FA 0B D1 04 20 ?? ?? ?? ?? 18 4B 93 ED 00 0B B1 EE 40 0B 8D ED 04 0B 22 E0 21 E0 B7 EE 00 1B 9D ED 02 0B 31 EE 00 0B 8D ED 06 0B 9D ED 06 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 06 1B B7 EE 00 0B 31 EE 40 1B 9D ED 02 0B 31 EE 40 1B 9D ED 06 0B 81 EE 00 1B 9D ED 08 0B 30 EE 41 0B 8D ED 04 0B 9D ED 04 0B 0A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_434_0_0 {
	meta:
		name = "log1pl"
		size = 248
		refs = "000e _ldtest 0064 _fperrraise 00b4 logl 00f0 _LInf_C 00f4 _LNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 06 D0 01 9B 01 2B 08 D0 01 9B 02 2B 00 D0 0F E0 9D ED 02 0B 8D ED 04 0B 54 E0 02 AB 9B 1D 1B 88 13 F4 00 4F 04 D1 9D ED 02 0B 8D ED 04 0B 49 E0 9D ED 02 1B BF EE 00 0B B4 EE C0 1B F1 EE 10 FA 09 D2 01 20 ?? ?? ?? ?? 22 4B 93 ED 00 0B 8D ED 04 0B 37 E0 36 E0 9D ED 02 1B BF EE 00 0B B4 EE 40 1B F1 EE 10 FA 0B D1 04 20 ?? ?? ?? ?? 18 4B 93 ED 00 0B B1 EE 40 0B 8D ED 04 0B 22 E0 21 E0 B7 EE 00 1B 9D ED 02 0B 31 EE 00 0B 8D ED 06 0B 9D ED 06 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 06 1B B7 EE 00 0B 31 EE 40 1B 9D ED 02 0B 31 EE 40 1B 9D ED 06 0B 81 EE 00 1B 9D ED 08 0B 30 EE 41 0B 8D ED 04 0B 9D ED 04 0B 0A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_116_0_0 {
	meta:
		name = "strtok"
		size = 48
		refs = "000a __acrt_getptd 001a __acrt_strtok_s_novalidation"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 00 90 00 9B 03 F1 1C 02 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_117_0_0 {
	meta:
		name = "lldiv"
		size = 108
		refs = "000a __security_push_cookie 0022 __rt_sdiv64 0060 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 8D B0 16 98 17 99 14 9A 15 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 01 93 00 92 08 90 09 91 16 98 17 99 14 9A 15 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 03 91 02 90 0A 92 0B 93 12 9D 08 AC 94 E8 0F 00 85 E8 0F 00 12 9B 04 93 04 98 0D B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_118_0_0 {
	meta:
		name = "_lrotr"
		size = 58
		altNames = "_rotr"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 03 F0 1F 03 05 93 05 9B C3 F1 20 02 04 9B 03 FA 02 F1 04 9A 05 9B 22 FA 03 F3 0B 43 04 93 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_118_2_0 {
	meta:
		name = "_rotr64"
		size = 134
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 83 B0 08 9B 03 F0 3F 03 08 93 08 9B C3 F1 40 00 07 9B 03 FA 00 F1 C0 F1 20 02 06 9B D3 40 19 43 A0 F1 20 02 06 9B 03 FA 02 F2 06 9B 03 FA 00 F4 41 EA 02 00 06 9A 08 9B 22 FA 03 F1 08 9B C3 F1 20 02 07 9B 93 40 19 43 08 9B A3 F1 20 02 07 9B D3 40 19 43 07 9A 08 9B 22 FA 03 F3 44 EA 01 02 03 43 06 92 07 93 06 9A 07 9B 00 92 01 93 00 98 01 99 03 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_119_4_0 {
	meta:
		name = "_mbsnbset_s_l"
		size = 672
		refs = "0036 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0048 _strnset_s 0134 _CrtGetDebugFillThreshold 0146 memset 01d0 _CrtDbgReportW 01da _errno 01ee _invalid_parameter 028c ??_C@_1HE@DOJEALPE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0290 ??_C@_1BM@OLFOKMDN@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0294 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0298 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 029c ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 1F 46 4F F0 00 0A D1 46 90 46 0C 46 06 46 2F B9 3E B9 00 2C 40 F0 17 81 00 20 2E E1 00 2E 00 F0 12 81 00 2C 00 F0 0F 81 10 99 02 A8 ?? ?? ?? ?? 04 98 83 68 33 B9 3B 46 42 46 21 46 30 46 ?? ?? ?? ?? F5 E0 4F EA 18 23 D9 B2 00 29 32 46 25 46 5F FA 88 F8 55 D0 B8 F1 00 0F 5A D0 0B 18 5B 7E 4F F0 04 0E 13 EA 0E 0F 53 D0 17 F0 01 0F 02 D0 7F 1E 4F F0 01 0A 33 78 7F 08 23 E0 27 B3 6D 1E 22 D0 53 78 AB B3 B9 F1 00 0F 02 D0 4F F0 00 09 04 E0 13 78 03 44 5B 7E 03 EA 0E 09 11 70 52 1C 6D 1E 11 D0 B9 F1 00 0F 02 D0 4F F0 00 09 04 E0 13 78 03 44 5B 7E 03 EA 0E 09 82 F8 00 80 52 1C 13 78 7F 1E 00 2B D9 D1 4F F0 00 08 00 2F 5B D1 B9 F1 00 0F 50 D0 13 78 00 2B 4D D0 6D 1E 4B D0 53 78 4F F0 01 0A 00 2B 43 D1 82 F8 00 80 6D 1C 42 E0 4F F0 00 08 82 F8 00 80 6D 1C 4F F0 01 0A E4 E7 08 EB 00 03 5B 7E 4F F0 04 0E 13 EA 0E 0F 17 D0 00 23 33 70 B4 F1 FF 3F 00 F0 82 80 6F F0 00 43 9C 42 7D D0 01 2C 7B D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 70 1C FE 21 ?? ?? ?? ?? 6F E0 33 78 00 2B BF D0 00 2F BD D0 6D 1E BB D0 B9 F1 00 0F 02 D0 4F F0 00 09 04 E0 13 78 03 44 5B 7E 03 EA 0E 09 82 F8 00 80 52 1C 13 78 7F 1E E8 E7 20 23 13 70 52 1C 13 78 03 E0 6D 1E 03 D0 12 F8 01 3F 00 2B F9 D1 85 BB 86 F8 00 80 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 70 1C FE 21 ?? ?? ?? ?? 35 4B 36 4C 31 49 00 93 00 23 78 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 2C 49 2A 4A 16 23 03 60 78 23 20 46 CD F8 00 80 ?? ?? ?? ?? 16 20 21 E0 B4 F1 FF 3F 14 D0 6F F0 00 43 9C 42 10 D0 63 1B 5B 1C A3 42 0C D2 ?? ?? ?? ?? 02 46 6B 1E 9A 42 28 BF 1A 46 73 1B 23 44 58 1C FE 21 ?? ?? ?? ?? BA F1 00 0F 05 D0 ?? ?? ?? ?? 2A 23 03 60 2A 20 00 E0 00 20 9D F8 14 30 0B B3 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 19 E0 11 4B 10 4C 0D 49 00 93 00 23 19 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 19 23 20 46 ?? ?? ?? ?? 16 20 07 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_0_0 {
	meta:
		name = "??$convert_to_fos_high_precision@N@@YAXNIQAHQADI@Z"
		size = 992
		refs = "0008 __security_push_cookie 002c _CrtDbgReportW 00d0 log10 00dc ceil 012c ?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z 0132 ??0big_integer@__crt_strtox@@QAA@XZ 0142 ?make_big_integer_power_of_two@__crt_strtox@@YA?AUbig_integer@1@I@Z 014c ??9__crt_strtox@@YA_NABUbig_integer@0@0@Z 0162 ?shift_left@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 0178 ??4big_integer@__crt_strtox@@QAAAAU01@ABU01@@Z 0214 ?multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 022e ?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 0236 ?divide@__crt_strtox@@YA_KAAUbig_integer@1@ABU21@@Z 02e2 ?is_zero@__crt_strtox@@YA_NABUbig_integer@1@@Z 0352 __rt_udiv 03b8 __security_pop_cookie 03c4 ??_C@_1GC@DDAKNBNC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 03c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 03cc ??_C@_1FG@MLHBDPBG@?$AAq?$AAu?$AAo?$AAt?$AAi?$AAe?$AAn?$AAt?$AA?5?$AA?$DM?$AA?5?$AAd?$AAi?$AAg?$AAi?$AAt?$AAs?$AA_?$AAp?$AAe?$AAr?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_@ 03d8 ??_C@_1FI@LFKLOPAC@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?$DL?$AA?5?$AAl?$AAo?$AAg?$AA1?$AA0?$AA?5@ 03dc ??_C@_1DE@KHKADFOO@?$AAm?$AAa?$AAn?$AAt?$AAi?$AAs?$AAs?$AAa?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F6 3C 7D 8D ED 22 0B DD F8 54 3F 00 2B 0E D8 EF 4B 01 93 E9 4B 00 93 00 23 59 22 E6 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 22 AB 0A 93 0A 9B 5B 68 C3 F3 0A 53 00 2B 03 D1 01 23 8D F8 11 30 02 E0 00 23 8D F8 11 30 9D F8 11 30 8D F8 10 30 9D F8 10 30 00 2B 04 D0 00 23 12 93 00 23 13 93 04 E0 00 23 12 93 4F F4 80 13 13 93 12 9B 1E 93 13 9B 1F 93 9D F8 10 30 00 2B 02 D0 02 23 0C 93 01 E0 01 23 0C 93 0C 9B 14 93 0A 9B 0D 93 0D 9B 18 68 0D 9B 59 68 6F F3 1F 51 1E 9A 1F 9B 12 18 4B 41 20 92 21 93 0A 9B 5B 68 C3 F3 0A 53 A3 F2 FF 33 A3 F1 35 02 14 9B 13 44 06 93 9D ED 22 0B ?? ?? ?? ?? 8D ED 2A 0B 9D ED 2A 0B ?? ?? ?? ?? 8D ED 2C 0B 9D ED 2C 0B BD EE C0 0B 10 EE 10 3A 03 93 03 9A 6F F0 00 43 9A 42 03 D0 03 9B B3 F1 00 4F 10 D1 B4 4B 01 93 AF 4B 00 93 00 23 7E 22 AC 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 00 23 03 93 20 9A 21 9B 2E A8 ?? ?? ?? ?? A2 A8 ?? ?? ?? ?? 06 9B 00 2B 31 DB 34 21 0D F5 8B 60 ?? ?? ?? ?? 16 90 16 99 2E A8 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 00 2B 10 D0 06 9B 59 1C 2E A8 ?? ?? ?? ?? 02 22 00 23 0D F5 C5 60 ?? ?? ?? ?? 17 90 17 99 A2 A8 ?? ?? ?? ?? 0F E0 06 9B 99 1C 2E A8 ?? ?? ?? ?? 04 22 00 23 0D F5 FF 60 ?? ?? ?? ?? 18 90 18 99 A2 A8 ?? ?? ?? ?? 34 E0 06 9A 8C 4B 9A 42 0F D0 34 21 0D F6 C8 10 ?? ?? ?? ?? 19 90 19 99 2E A8 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 10 D0 01 21 2E A8 ?? ?? ?? ?? 06 9B 5B 42 59 1C 0D F6 98 30 ?? ?? ?? ?? 1A 90 1A 99 A2 A8 ?? ?? ?? ?? 0F E0 02 21 2E A8 ?? ?? ?? ?? 06 9B 5B 42 99 1C 0D F6 68 50 ?? ?? ?? ?? 1B 90 1B 99 A2 A8 ?? ?? ?? ?? 03 9B 00 2B 04 DB 03 99 A2 A8 ?? ?? ?? ?? 04 E0 03 9B 59 42 2E A8 ?? ?? ?? ?? DD F8 50 3F 02 93 0A 21 2E A8 ?? ?? ?? ?? A2 A9 2E A8 ?? ?? ?? ?? 25 91 24 90 24 9B 0B 93 0B 9B 0A 2B 0D D1 03 9B 5B 1C 03 93 02 9A 31 23 13 70 02 9B 5B 1C 02 93 0A 21 A2 A8 ?? ?? ?? ?? 0E E0 0B 9B 00 2B 03 D1 03 9B 5B 1E 03 93 07 E0 0B 9B 30 33 5A B2 02 9B 1A 70 02 9B 5B 1C 02 93 03 9A DD F8 4C 3F 1A 60 03 9B 00 2B 0B DB DD F8 48 2F 6F F0 00 43 9A 42 05 D8 03 9A DD F8 48 3F 13 44 0E 93 02 E0 DD F8 48 3F 0E 93 0E 9B 0F 93 DD F8 54 3F 5A 1E 0F 9B 9A 42 04 D2 DD F8 54 3F 5B 1E 10 93 01 E0 0F 9B 10 93 DD F8 50 2F 10 9B 13 44 09 93 02 9A 09 9B 9A 42 00 D1 66 E0 2E A8 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 00 D0 5C E0 09 23 29 93 35 4B 28 93 34 49 2E A8 ?? ?? ?? ?? A2 A9 2E A8 ?? ?? ?? ?? 27 91 26 90 26 9B 08 93 08 9A 2E 4B 9A 42 0E D3 2B 4B 01 93 29 4B 00 93 00 23 EA 22 26 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 08 23 07 93 02 E0 07 9B 5B 1E 07 93 07 9B B3 F1 FF 3F 1E D0 08 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 5B B2 8D F8 15 30 08 99 0A 20 ?? ?? ?? ?? 08 90 09 9A 02 9B D2 1A 07 9B 9A 42 00 D2 E3 E7 07 9A 01 23 02 FB 03 F2 02 9B 1A 44 9D F9 15 30 13 70 D9 E7 09 9A 02 9B D3 1A 09 2B 02 D9 09 23 11 93 03 E0 09 9A 02 9B D3 1A 11 93 02 9A 11 9B 13 44 02 93 93 E7 02 9A 00 23 13 70 0D F6 3C 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 CA 9A 3B 02 FC FF FF ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_1_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QAA@ABU01@@Z"
		size = 60
		refs = "0028 memcpy_s"
		altNames = "??4big_integer@__crt_strtox@@QAAAAU01@ABU01@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 04 9A 1B 68 13 60 05 9B 1A 68 04 23 02 FB 03 F3 05 9A 12 1D 4F F4 E6 71 04 98 00 1D ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_2_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QAA@XZ"
		size = 46
		refs = "001a memset"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 60 4F F4 E6 72 CC 21 04 9B 18 1D ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_3_0 {
	meta:
		name = "??0scoped_fp_state_reset@?A0x71ca7cfb@@QAA@XZ"
		size = 72
		refs = "000c fegetenv 002a feholdexcept"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 1B 68 03 F0 1F 03 1F 2B 05 D1 04 9B 03 F1 08 02 00 23 13 70 07 E0 04 98 ?? ?? ?? ?? 04 9B 03 F1 08 02 01 23 13 70 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_4_0 {
	meta:
		name = "??1scoped_fp_state_reset@?A0x71ca7cfb@@QAA@XZ"
		size = 32
		refs = "0014 fesetenv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 08 33 1B 78 00 2B 02 D0 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_6_0 {
	meta:
		name = "??8__crt_strtox@@YA_NABUbig_integer@0@0@Z"
		size = 118
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 12 68 1B 68 9A 42 03 D0 00 23 8D F8 04 30 24 E0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 04 9B 00 9A 1B 68 9A 42 16 D0 04 9B 19 1D 00 9A 04 23 02 FB 03 F3 C8 18 05 9B 19 1D 00 9A 04 23 02 FB 03 F3 0B 44 02 68 1B 68 9A 42 03 D0 00 23 8D F8 04 30 03 E0 E0 E7 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_7_0 {
	meta:
		name = "??9__crt_strtox@@YA_NABUbig_integer@0@0@Z"
		size = 62
		refs = "000e ??8__crt_strtox@@YA_NABUbig_integer@0@0@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 99 07 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_8_0 {
	meta:
		name = "?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@ABN@Z"
		size = 212
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 01 93 01 9B 5B 68 C3 F3 0A 52 00 23 05 93 40 F2 FF 73 9A 42 06 D1 05 9B 00 2B 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 01 30 9D F8 01 30 00 2B 03 D1 00 23 02 93 3D E0 3C E0 01 9B 03 93 03 9B 1A 68 03 9B 5B 68 6F F3 1F 53 13 43 00 2B 03 D1 01 23 02 93 2E E0 2D E0 01 9B 5B 68 C3 F3 C0 72 00 23 06 93 01 2A 15 D1 06 9B 00 2B 12 D1 01 9B 04 93 04 9B 1A 68 04 9B 5B 68 6F F3 1F 53 07 93 00 2A 07 D1 07 9B B3 F5 00 2F 03 D1 04 23 02 93 10 E0 0F E0 01 9B 08 93 08 9B 5B 68 6F F3 1F 53 03 F4 00 23 00 2B 03 D0 02 23 02 93 02 E0 01 E0 03 23 02 93 02 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_9_0 {
	meta:
		name = "?add_carry@__crt_strtox@@YAIAAIII@Z"
		size = 60
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 18 68 07 99 00 22 00 23 40 18 42 EB 03 01 08 9A 00 23 12 18 4B 41 02 92 03 93 02 9A 06 9B 1A 60 03 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_120_10_0 {
	meta:
		name = "?add_multiply_carry@__crt_strtox@@YAIAAIIII@Z"
		size = 94
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 09 9A 0A 9B 00 92 01 93 00 9A 00 23 02 FB 03 F1 01 9A 00 23 02 FB 03 F3 19 44 00 9A 01 9B A2 FB 03 03 19 44 08 9B 1A 68 00 23 80 18 59 41 0B 9A 00 23 12 18 4B 41 04 92 05 93 04 9A 08 9B 1A 60 04 AB 1B 1D 1B 68 02 93 02 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_120_11_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAII@Z"
		size = 70
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 06 9B B3 FA 83 F3 00 93 00 9B C3 F1 1F 02 01 AB 1A 60 00 9B 5A 09 01 23 9B 1A DB B2 00 2B 03 D0 01 9B 5B 1C 02 93 01 E0 00 23 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_12_0 {
	meta:
		name = "?count_sequential_high_zeroes@__crt_strtox@@YAII@Z"
		size = 72
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B B3 FA 83 F3 00 93 00 9B C3 F1 1F 02 02 AB 1A 60 00 9B 5A 09 01 23 9B 1A DB B2 00 2B 04 D0 02 9B C3 F1 1F 03 01 93 01 E0 20 23 01 93 01 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_13_0 {
	meta:
		name = "?divide@__crt_strtox@@YA_KAAUbig_integer@1@ABU21@@Z"
		size = 1868
		refs = "000a __security_push_cookie 0048 _CrtDbgReportW 0098 ??0big_integer@__crt_strtox@@QAA@XZ 00a4 ??4big_integer@__crt_strtox@@QAAAAU01@ABU01@@Z 00de __rt_udiv 016a __rt_udiv64 02c8 ?count_sequential_high_zeroes@__crt_strtox@@YAII@Z 057a ?multiply_64_32@__crt_strtox@@YA_K_KI@Z 0734 __security_pop_cookie 0740 ??_C@_1GO@BFGDDONN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0744 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0748 ??_C@_1DI@GICAMMFM@?$AA?$CI?$AA?$CC?$AAD?$AAi?$AAv?$AAi?$AAs?$AAi?$AAo?$AAn?$AA?5?$AAb?$AAy?$AA?5?$AAz?$AAe?$AAr?$AAo?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 D6 6D DD F8 C0 36 1B 68 00 2B 04 D1 00 23 08 93 00 23 09 93 82 E3 DD F8 C4 36 1B 68 00 2B 17 D1 DF F8 14 37 01 93 DF F8 0C 37 00 93 00 23 40 F2 DA 22 DF F8 FC 16 02 20 ?? ?? ?? ?? 34 90 34 9B 01 2B 00 D1 FE DE 00 23 08 93 00 23 09 93 65 E3 DD F8 C0 36 1B 68 5B 1E 07 93 DD F8 C4 36 1B 68 5B 1E 1C 93 1C 9B 00 2B 40 F0 B6 80 DD F8 C4 36 1B 1D 1B 68 1A 93 1A 9B 01 2B 12 D1 DD F8 C0 36 1B 1D 1B 68 36 93 50 A8 ?? ?? ?? ?? 35 90 35 99 DD F8 C0 06 ?? ?? ?? ?? 36 9B 08 93 00 23 09 93 3C E3 07 9B 00 2B 32 D1 DD F8 C0 36 1B 1D 1B 68 2E 93 C4 A8 ?? ?? ?? ?? 37 90 37 99 DD F8 C0 06 ?? ?? ?? ?? 2E 99 1A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? DD F8 C0 36 1B 1D 19 60 DD F8 C0 36 1B 1D 1B 68 00 2B 02 D9 01 23 27 93 01 E0 00 23 27 93 DD F8 C0 26 27 9B 13 60 2E 99 1A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 08 90 00 23 09 93 06 E3 00 23 22 93 00 23 23 93 00 23 14 93 00 23 15 93 07 9B 1B 93 02 E0 1B 9B 5B 1E 1B 93 1B 9B B3 F1 FF 3F 28 D0 14 98 DD F8 C0 36 19 1D 1B 9A 04 23 02 FB 03 F3 0B 44 1B 68 14 93 15 90 22 9C 1A 98 00 21 14 9A 15 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 49 93 48 92 03 46 22 93 23 94 1A 98 00 21 14 9A 15 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 4B 91 4A 90 14 92 15 93 CF E7 0D F5 9C 60 ?? ?? ?? ?? 38 90 38 99 DD F8 C0 06 ?? ?? ?? ?? 15 9A DD F8 C0 36 1B 1D 1B 1D 1A 60 14 9A DD F8 C0 36 1B 1D 1A 60 DD F8 C0 36 1B 1D 1B 1D 1B 68 00 2B 02 D9 02 23 28 93 01 E0 01 23 28 93 DD F8 C0 26 28 9B 13 60 22 9A 23 9B 08 92 09 93 A1 E2 1C 9A 07 9B 9A 42 04 D9 00 23 08 93 00 23 09 93 98 E2 1C 9B 5B 1C 03 93 07 9A 1C 9B D3 1A 1D 93 1D 9B 10 93 07 9B 0A 93 02 E0 0A 9B 5B 1E 0A 93 0A 9A 1D 9B 9A 42 03 DA 10 9B 5B 1C 10 93 30 E0 DD F8 C4 36 19 1D 0A 9A 1D 9B D2 1A 04 23 02 FB 03 F3 C8 18 DD F8 C0 36 19 1D 0A 9A 04 23 02 FB 03 F3 0B 44 02 68 1B 68 9A 42 19 D0 DD F8 C4 36 19 1D 0A 9A 1D 9B D2 1A 04 23 02 FB 03 F3 C8 18 DD F8 C0 36 19 1D 0A 9A 04 23 02 FB 03 F3 0B 44 02 68 1B 68 9A 42 02 D2 10 9B 5B 1C 10 93 00 E0 C3 E7 10 9B 00 2B 04 D1 00 23 08 93 00 23 09 93 48 E2 DD F8 C4 36 19 1D 03 9B 5A 1E 04 23 02 FB 03 F3 0B 44 1B 68 0B 93 DD F8 C4 36 19 1D 03 9B 9A 1E 04 23 02 FB 03 F3 0B 44 1B 68 11 93 0B 98 ?? ?? ?? ?? 39 90 39 9B 06 93 06 9B C3 F1 20 03 1E 93 06 9B 00 2B 20 D9 0B 9A 06 9B 02 FA 03 F1 11 9A 1E 9B 22 FA 03 F3 0B 43 0B 93 11 9A 06 9B 02 FA 03 F3 11 93 03 9B 02 2B 0E D9 DD F8 C4 36 19 1D 03 9B DA 1E 04 23 02 FB 03 F3 0B 44 1A 68 1E 9B DA 40 11 9B 13 43 11 93 00 23 20 93 00 23 21 93 10 9B 02 93 02 9B 5B 1E 02 93 02 9B 00 2B C0 F2 BC 81 02 9A 03 9B 1A 44 07 9B 9A 42 0C D8 DD F8 C0 36 19 1D 02 9A 03 9B 1A 44 04 23 02 FB 03 F3 0B 44 1B 68 29 93 01 E0 00 23 29 93 29 9B 25 93 DD F8 C0 36 19 1D 02 9A 03 9B 13 44 5A 1E 04 23 02 FB 03 F3 0B 44 1B 68 16 93 00 23 17 93 16 AB 1A 1D 25 9B 13 60 DD F8 C0 36 19 1D 02 9A 03 9B 13 44 9A 1E 04 23 02 FB 03 F3 0B 44 1B 68 12 93 06 9B 00 2B 37 D9 17 9A 06 9B 02 FA 03 F1 06 9B C3 F1 20 02 16 9B D3 40 41 EA 03 04 06 9B A3 F1 20 02 16 9B 03 FA 02 F1 16 9A 06 9B 02 FA 03 F0 21 43 12 9A 1E 9B 22 FA 03 F3 03 43 16 93 17 91 12 9A 06 9B 02 FA 03 F3 12 93 02 9A 03 9B 13 44 03 2B 10 D3 DD F8 C0 36 19 1D 02 9A 03 9B 13 44 DA 1E 04 23 02 FB 03 F3 0B 44 1A 68 1E 9B DA 40 12 9B 13 43 12 93 0B 98 00 21 16 9A 17 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 4D 93 4C 92 04 90 05 91 0B 98 00 21 16 9A 17 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 4F 91 4E 90 13 46 18 93 00 23 19 93 04 9B 3C 93 05 9B 3D 93 3C 9B 3A 93 3D 9B 00 2B 03 D8 3A 9B B3 F1 FF 3F 21 D9 0B 98 04 9B 05 99 00 22 B3 F1 FF 33 61 EB 02 02 2A 90 2B 93 2A 9B 03 FB 02 F1 2B 9A 00 23 02 FB 03 F3 19 44 2A 9A 2B 9B A2 FB 03 03 19 44 18 9A 19 9B 12 18 4B 41 18 92 19 93 6F F0 00 03 04 93 00 23 05 93 18 9B 3E 93 19 9B 3F 93 3E 9B 3B 93 3F 9B 00 2B 32 D8 03 D3 3B 9B B3 F1 FF 3F 2D D8 11 9A 04 9B 05 99 2C 93 2D 92 2C 9A 00 23 02 FB 03 F2 2D 9B 01 FB 03 F3 D1 18 2C 9A 2D 9B A2 FB 03 03 19 44 18 9A 12 9B 2F 90 30 93 91 42 15 D3 03 D8 2F 9A 30 9B 9A 42 10 D9 04 9A 05 99 00 23 52 1E 61 EB 03 03 04 92 05 93 0B 98 18 9A 19 99 00 23 12 18 4B 41 18 92 19 93 C3 E7 04 9B 40 93 05 9B 41 93 40 9B 31 93 41 9B 00 2B 03 D8 31 9B 00 2B 40 F2 B1 80 00 23 0E 93 00 23 0F 93 00 23 0C 93 02 E0 0C 9B 5B 1C 0C 93 0C 9A 03 9B 9A 42 4A D2 DD F8 C4 36 19 1D 0C 9A 04 23 02 FB 03 F3 0B 44 1A 68 04 98 05 99 ?? ?? ?? ?? 43 91 42 90 0E 98 0F 99 42 9A 43 9B 12 18 4B 41 0E 92 0F 93 0E 9B 24 93 0F 9B 0E 93 00 23 0F 93 DD F8 C0 36 19 1D 02 9A 0C 9B 1A 44 04 23 02 FB 03 F3 0B 44 1A 68 24 9B 9A 42 06 D2 0E 9A 0F 99 00 23 52 1C 4B 41 0E 92 0F 93 DD F8 C0 36 19 1D 02 9A 0C 9B 1A 44 04 23 02 FB 03 F3 0B 44 1A 68 24 9B D1 1A 02 9A 0C 9B 1A 44 04 23 02 FB 03 F2 DD F8 C0 36 1B 1D 13 44 19 60 AD E7 25 9A 0E 9B 44 93 0F 9B 45 93 32 92 44 9B 33 93 45 9A 00 23 93 42 46 D8 03 D3 32 9A 33 9B 9A 42 41 D2 00 23 26 93 00 23 13 93 02 E0 13 9B 5B 1C 13 93 13 9A 03 9B 9A 42 2D D2 DD F8 C0 36 19 1D 02 9A 13 9B 1A 44 04 23 02 FB 03 F3 0B 44 18 68 DD F8 C4 36 19 1D 13 9A 04 23 02 FB 03 F3 0B 44 19 68 00 22 00 23 40 18 42 EB 03 01 26 9A 00 23 12 18 4B 41 46 92 47 93 46 98 DD F8 C0 36 19 1D 02 9A 13 9B 1A 44 04 23 02 FB 03 F3 0B 44 18 60 47 9B 26 93 CA E7 04 9A 05 99 00 23 52 1E 61 EB 03 03 04 92 05 93 02 9A 03 9B 13 44 5B 1E 07 93 20 9A 04 9B 20 93 21 92 3C E6 07 9B 5B 1C 1F 93 02 E0 1F 9B 5B 1C 1F 93 DD F8 C0 36 1F 9A 1B 68 9A 42 0A D2 DD F8 C0 36 19 1D 1F 9A 04 23 02 FB 03 F3 CA 18 00 23 13 60 EB E7 07 9B 5A 1C DD F8 C0 36 1A 60 DD F8 C0 36 1B 68 00 2B 15 D0 DD F8 C0 36 19 1D DD F8 C0 36 1B 68 5A 1E 04 23 02 FB 03 F3 0B 44 1B 68 00 2B 07 D1 DD F8 C0 36 1B 68 5A 1E DD F8 C0 36 1A 60 E4 E7 20 9A 21 9B 08 92 09 93 08 98 09 99 0D F5 D6 6D ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_14_0 {
	meta:
		name = "?is_zero@__crt_strtox@@YA_NABUbig_integer@1@@Z"
		size = 50
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_15_0 {
	meta:
		name = "?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z"
		size = 86
		refs = "0008 __security_push_cookie 0010 ??0big_integer@__crt_strtox@@QAA@XZ 003e ??0big_integer@__crt_strtox@@QAA@ABU01@@Z 004a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? F7 B0 02 A8 ?? ?? ?? ?? 7C 9A 03 AB 1A 60 7D 9A 03 AB 1B 1D 1A 60 03 AB 1B 1D 1B 68 00 2B 02 D1 01 23 00 93 01 E0 02 23 00 93 00 9B 02 93 02 A9 7A 98 ?? ?? ?? ?? 7A 9B 01 93 01 98 77 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_120_16_0 {
	meta:
		name = "?make_big_integer_power_of_two@__crt_strtox@@YA?AUbig_integer@1@I@Z"
		size = 116
		refs = "0008 __security_push_cookie 0014 ??0big_integer@__crt_strtox@@QAA@XZ 001c __rt_udiv 0038 memset 005c ??0big_integer@__crt_strtox@@QAA@ABU01@@Z 0068 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? F9 B0 01 23 03 93 04 A8 ?? ?? ?? ?? 7D 99 20 20 ?? ?? ?? ?? 00 90 7D 99 20 20 ?? ?? ?? ?? 01 91 00 9A 04 23 02 FB 03 F2 00 21 05 A8 ?? ?? ?? ?? 01 9A 01 23 03 FA 02 F1 00 9A 04 23 02 FB 03 F2 05 AB 13 44 19 60 00 9B 5B 1C 04 93 04 A9 7C 98 ?? ?? ?? ?? 7C 9B 02 93 02 98 79 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_17_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAAUbig_integer@1@ABU21@@Z"
		size = 616
		refs = "000a __security_push_cookie 0028 ?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 0056 ??4big_integer@__crt_strtox@@QAAAAU01@ABU01@@Z 0112 ??0big_integer@__crt_strtox@@QAA@XZ 01c6 ?add_multiply_carry@__crt_strtox@@YAIAAIIII@Z 0210 ?add_carry@__crt_strtox@@YAIAAIII@Z 025c __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 7E 7D DD F8 0C 34 1B 68 01 2B 0E D8 DD F8 0C 34 1B 1D 19 68 DD F8 08 04 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 1C 30 0C E1 DD F8 08 34 1B 68 01 2B 16 D8 DD F8 08 34 1B 1D 1B 68 0D 93 DD F8 0C 14 DD F8 08 04 ?? ?? ?? ?? 0D 99 DD F8 08 04 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 1C 30 F0 E0 DD F8 0C 24 DD F8 08 34 12 68 1B 68 9A 42 03 D2 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 00 30 9D F8 00 30 00 2B 04 D0 DD F8 0C 34 1B 1D 08 93 03 E0 DD F8 08 34 1B 1D 08 93 08 9B 0F 93 9D F8 00 30 00 2B 04 D0 DD F8 08 34 1B 1D 09 93 03 E0 DD F8 0C 34 1B 1D 09 93 09 9B 11 93 9D F8 00 30 00 2B 04 D0 DD F8 0C 34 1B 68 0A 93 03 E0 DD F8 08 34 1B 68 0A 93 0A 9B 0E 93 9D F8 00 30 00 2B 04 D0 DD F8 08 34 1B 68 0B 93 03 E0 DD F8 0C 34 1B 68 0B 93 0B 9B 10 93 16 A8 ?? ?? ?? ?? 00 23 03 93 02 E0 03 9B 5B 1C 03 93 03 9A 0E 9B 9A 42 00 F0 8C 80 03 9A 04 23 02 FB 03 F2 0F 9B 13 44 1B 68 0C 93 0C 9B 00 2B 0F D1 03 9A 16 9B 9A 42 0A D1 03 9A 04 23 02 FB 03 F2 17 AB 1A 44 00 23 13 60 03 9B 5B 1C 16 93 DC E7 00 23 05 93 03 9B 01 93 00 23 06 93 05 E0 06 9B 5B 1C 06 93 01 9B 5B 1C 01 93 06 9A 10 9B 9A 42 26 D0 01 9B 73 2B 23 D0 01 9A 16 9B 9A 42 0A D1 01 9A 04 23 02 FB 03 F2 17 AB 1A 44 00 23 13 60 01 9B 5B 1C 16 93 05 9B 06 99 04 22 01 FB 02 F1 11 9A 0A 44 12 68 0C 99 01 9C 04 20 04 FB 00 F4 17 A8 20 44 ?? ?? ?? ?? 12 90 12 9B 05 93 CE E7 05 9B 00 2B 24 D0 01 9B 73 2B 21 D0 01 9A 16 9B 9A 42 0A D1 01 9A 04 23 02 FB 03 F2 17 AB 1A 44 00 23 13 60 01 9B 5B 1C 16 93 01 9A 04 23 02 FB 03 F2 17 AB 13 44 13 93 05 9A 00 21 13 98 ?? ?? ?? ?? 14 90 14 9B 05 93 01 9B 5B 1C 01 93 D7 E7 01 9B 73 2B 0C D1 8A A8 ?? ?? ?? ?? 15 90 15 99 DD F8 08 04 ?? ?? ?? ?? 00 23 8D F8 1C 30 08 E0 6B E7 16 A9 DD F8 08 04 ?? ?? ?? ?? 01 23 8D F8 1C 30 9D F8 1C 00 0D F5 7E 7D ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_120_18_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 192
		refs = "0008 __security_push_cookie 0018 ??0big_integer@__crt_strtox@@QAA@XZ 0022 ??4big_integer@__crt_strtox@@QAAAAU01@ABU01@@Z 0056 ?multiply_core@__crt_strtox@@YAIQAIII@Z 00b4 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 6F 7D F3 9B 00 2B 0B D1 06 A8 ?? ?? ?? ?? 02 90 02 99 F2 98 ?? ?? ?? ?? 01 23 8D F8 00 30 3E E0 F3 9B 01 2B 03 D1 01 23 8D F8 00 30 37 E0 F2 9B 1B 68 00 2B 03 D1 01 23 8D F8 00 30 2F E0 F3 9A F2 9B 19 68 F2 9B 18 1D ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 00 2B 1F D0 F2 9B 1B 68 73 2B 0F D2 F2 9B 19 1D F2 9B 1A 68 04 23 02 FB 03 F3 CA 18 01 9B 13 60 F2 9B 1B 68 5A 1C F2 9B 1A 60 0B E0 7A A8 ?? ?? ?? ?? 04 90 04 99 F2 98 ?? ?? ?? ?? 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 0D F5 6F 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_19_0 {
	meta:
		name = "?multiply_64_32@__crt_strtox@@YA_K_KI@Z"
		size = 64
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9A 06 9B 07 99 00 93 01 92 00 9A 00 23 02 FB 03 F2 01 9B 01 FB 03 F3 D1 18 00 9A 01 9B A2 FB 03 23 0B 44 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_120_20_0 {
	meta:
		name = "?multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 312
		refs = "0008 __security_push_cookie 0014 __rt_udiv 0046 ??0big_integer@__crt_strtox@@QAA@XZ 007a memset 009c memcpy 00a4 ?multiply@__crt_strtox@@YA_NAAUbig_integer@1@ABU21@@Z 00c0 ??4big_integer@__crt_strtox@@QAAAAU01@ABU01@@Z 00f8 ?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 011e __security_pop_cookie 012c ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 0130 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 0134 ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 73 7D F7 99 0A 20 ?? ?? ?? ?? 02 90 02 9B 00 2B 5A D0 02 9B 26 2B 02 D9 26 23 04 93 01 E0 02 9B 04 93 04 9B 05 93 05 9B 5A 1E 04 23 02 FB 03 F2 3D 4B 13 44 01 93 0A A8 ?? ?? ?? ?? 01 9B DB 1C 1A 78 01 9B 9B 1C 1B 78 13 44 0A 93 01 9B 1A 88 04 23 02 FB 03 F2 32 4B 13 44 07 93 01 9B 9B 1C 1A 78 04 23 02 FB 03 F2 00 21 0B A8 ?? ?? ?? ?? 01 9B DB 1C 1A 78 04 23 02 FB 03 F2 07 99 01 9B 9B 1C 18 78 04 23 00 FB 03 F0 0B AB 18 44 ?? ?? ?? ?? 0A A9 F6 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0B D1 7E A8 ?? ?? ?? ?? 08 90 08 99 F6 98 ?? ?? ?? ?? 00 23 8D F8 0C 30 24 E0 02 9A 05 9B D3 1A 02 93 A1 E7 F7 99 0A 20 ?? ?? ?? ?? 06 91 06 9B 00 2B 14 D0 06 9B 5A 1E 04 23 02 FB 03 F2 0E 4B 13 44 19 68 F6 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0D F5 73 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_120_21_0 {
	meta:
		name = "?multiply_core@__crt_strtox@@YAIQAIII@Z"
		size = 132
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 00 23 01 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 0B 9B 9A 42 28 D0 00 9A 04 23 02 FB 03 F2 0A 9B 13 44 1A 68 0C 9B 02 92 03 93 02 9A 00 23 02 FB 03 F1 03 9A 00 23 02 FB 03 F3 19 44 02 9A 03 9B A2 FB 03 03 19 44 01 9A 00 23 12 18 4B 41 06 92 07 93 06 99 00 9A 04 23 02 FB 03 F2 0A 9B 13 44 19 60 07 9B 01 93 CF E7 01 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_120_22_0 {
	meta:
		name = "?shift_left@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 550
		refs = "0008 __security_push_cookie 0014 __rt_udiv 005c ?bit_scan_reverse@__crt_strtox@@YAII@Z 00e2 ??0big_integer@__crt_strtox@@QAA@XZ 00ec ??4big_integer@__crt_strtox@@QAAAAU01@ABU01@@Z 021a __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 11 7D 95 99 20 20 ?? ?? ?? ?? 01 90 95 99 20 20 ?? ?? ?? ?? 06 91 01 23 1A 93 00 23 1B 93 06 9B 0D 93 0D 9B C3 F1 20 03 0E 93 0E 9A 01 23 93 40 5B 1E 0C 93 0C 9B DB 43 15 93 94 9B 19 1D 94 9B 1B 68 5A 1E 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 11 90 11 9B C3 F1 20 02 06 9B 93 42 03 D9 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 03 30 94 9B 1A 68 01 9B 13 44 73 2B 03 D9 01 23 8D F8 01 30 02 E0 00 23 8D F8 01 30 9D F8 01 30 8D F8 08 30 94 9B 1A 68 01 9B 13 44 73 2B 07 D1 9D F8 03 30 00 2B 03 D0 01 23 8D F8 02 30 02 E0 00 23 8D F8 02 30 9D F8 02 30 8D F8 09 30 9D F8 08 30 00 2B 03 D1 9D F8 09 30 00 2B 0B D0 1C A8 ?? ?? ?? ?? 12 90 12 99 94 98 ?? ?? ?? ?? 00 23 8D F8 40 30 8C E0 94 9B 1A 68 01 9B 13 44 72 2B 05 D2 94 9B 1A 68 01 9B 13 44 07 93 01 E0 72 23 07 93 07 9B 05 93 05 9B 03 93 02 E0 03 9B 5B 1E 03 93 03 9B B3 F1 FF 3F 4E D0 03 9A 01 9B 9A 42 4A D3 03 9A 01 9B D3 1A 08 93 03 9A 01 9B D3 1A 5B 1E 0A 93 94 9B 08 9A 1B 68 9A 42 09 D2 94 9B 19 1D 08 9A 04 23 02 FB 03 F3 0B 44 1B 68 09 93 01 E0 00 23 09 93 09 9B 13 93 94 9B 0A 9A 1B 68 9A 42 09 D2 94 9B 19 1D 0A 9A 04 23 02 FB 03 F3 0B 44 1B 68 0B 93 01 E0 00 23 0B 93 0B 9B 14 93 13 9A 0C 9B 1A 40 0D 9B 02 FA 03 F3 16 93 14 9A 15 9B 1A 40 0E 9B 22 FA 03 F3 17 93 16 9A 17 9B 13 43 18 93 94 9B 19 1D 03 9A 04 23 02 FB 03 F3 CA 18 18 9B 13 60 A9 E7 00 23 04 93 02 E0 04 9B 5B 1C 04 93 04 9A 01 9B 9A 42 09 D0 94 9B 19 1D 04 9A 04 23 02 FB 03 F3 CA 18 00 23 13 60 EE E7 9D F8 03 30 00 2B 03 D0 05 9B 5B 1C 0F 93 01 E0 05 9B 0F 93 94 9A 0F 9B 13 60 01 23 8D F8 40 30 9D F8 40 00 0D F5 11 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_120_23_0 {
	meta:
		name = "__acrt_fltout"
		size = 524
		refs = "0010 ??0scoped_fp_state_reset@?A0x71ca7cfb@@QAA@XZ 009c strcpy_s 00b4 _invoke_watson_if_error 00ba ??1scoped_fp_state_reset@?A0x71ca7cfb@@QAA@XZ 00c2 ?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@ABN@Z 01c8 ??$convert_to_fos_high_precision@N@@YAXNIQAHQADI@Z 01dc ??_C@_1FC@KMLHLFPC@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 01e0 ??_C@_1BM@FAAOAKKO@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAl?$AAt?$AAo?$AAu?$AAt?$AA?$AA@ 01e4 ??_C@_1GC@DDAKNBNC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 01e8 ??_C@_05PHHOCPM@1?$CDIND?$AA@ 01ec ??_C@_1FC@DEJHIMLO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 01f0 ??_C@_06PGGFOGJG@1?$CDSNAN?$AA@ 01f4 ??_C@_1FC@NFPJEIBD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 01f8 ??_C@_06IMKFLFPG@1?$CDQNAN?$AA@ 01fc ??_C@_1FC@KIECGFMP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 0200 ??_C@_05DNEBIAHO@1?$CDINF?$AA@ 0204 ??_C@_1EI@OACEJKEP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 0208 ??_C@_01GBGANLPD@0?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 8D ED 14 0B 0A A8 ?? ?? ?? ?? 14 AB 03 93 03 9B 5B 68 C3 F3 C0 72 00 23 0D 93 01 2A 06 D1 0D 9B 00 2B 03 D1 2D 23 8D F8 08 30 02 E0 20 23 8D F8 08 30 9D F9 08 20 19 9B 1A 60 19 9B 03 F1 08 02 1A 9B 13 60 03 9B 5B 68 C3 F3 0A 53 00 2B 0E D1 03 9B 05 93 05 9B 1A 68 05 9B 5B 68 6F F3 1F 53 13 43 00 2B 03 D1 01 23 8D F8 09 30 02 E0 00 23 8D F8 09 30 9D F8 09 30 8D F8 0A 30 9D F8 0A 30 00 2B 18 D0 19 9B 1A 1D 00 23 13 60 5C 4A 1B 99 1A 98 ?? ?? ?? ?? 0E 90 00 23 01 93 4F F4 8D 73 00 93 4D 4B 4C 4A 54 49 0E 98 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 88 E0 14 A8 ?? ?? ?? ?? 0F 90 0F 9B 06 93 06 9B 00 2B 03 D0 19 9B 1A 1D 01 23 13 60 06 9B 04 93 04 9B 5B 1E 04 93 04 9B 03 2B 58 D8 04 9A DF E8 02 F0 02 17 2C 41 42 4A 1B 99 1A 98 ?? ?? ?? ?? 10 90 00 23 01 93 40 F2 27 13 00 93 36 4B 34 4A 3B 49 10 98 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 59 E0 36 4A 1B 99 1A 98 ?? ?? ?? ?? 11 90 00 23 01 93 4F F4 94 73 00 93 2B 4B 2A 4A 2E 49 11 98 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 44 E0 29 4A 1B 99 1A 98 ?? ?? ?? ?? 12 90 00 23 01 93 40 F2 29 13 00 93 21 4B 1F 4A 22 49 12 98 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 2F E0 1D 4A 1B 99 1A 98 ?? ?? ?? ?? 13 90 00 23 01 93 4F F4 95 73 00 93 16 4B 15 4A 13 49 13 98 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 1A E0 03 9B 07 93 07 9B 19 68 07 9B 5B 68 23 F0 00 42 03 9B 08 93 08 9B 19 60 08 9B 5A 60 1B 9B 1A 9A 19 99 09 1D 18 98 40 1C 9D ED 14 0B ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 16 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_0_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_3_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_6_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_9_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_1_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 106
		refs = "001a ??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 06 9B 03 F5 8B 62 00 23 13 60 06 9B 03 F2 5C 42 00 23 13 60 06 9B 03 F1 10 01 06 9B 03 F5 8C 62 0B 68 13 60 06 9B 03 F6 A4 22 6F F0 00 03 13 60 06 9B 03 F6 A8 22 6F F0 00 03 13 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_4_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 106
		refs = "001a ??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 06 9B 03 F5 8B 62 00 23 13 60 06 9B 03 F2 5C 42 00 23 13 60 06 9B 03 F1 10 01 06 9B 03 F5 8C 62 0B 68 13 60 06 9B 03 F6 A4 22 6F F0 00 03 13 60 06 9B 03 F6 A8 22 6F F0 00 03 13 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_7_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 106
		refs = "001a ??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 06 9B 03 F5 8B 62 00 23 13 60 06 9B 03 F2 5C 42 00 23 13 60 06 9B 03 F1 10 01 06 9B 03 F5 8C 62 0B 68 13 60 06 9B 03 F6 A4 22 6F F0 00 03 13 60 06 9B 03 F6 A8 22 6F F0 00 03 13 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_10_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 106
		refs = "001a ??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 06 9B 03 F5 8B 62 00 23 13 60 06 9B 03 F2 5C 42 00 23 13 60 06 9B 03 F1 10 01 06 9B 03 F5 8C 62 0B 68 13 60 06 9B 03 F6 A4 22 6F F0 00 03 13 60 06 9B 03 F6 A8 22 6F F0 00 03 13 60 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_2_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 70
		refs = "0028 ??0?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0D 9B 1B 68 02 93 0C 9B 1B 68 01 93 0B 9B 1B 68 00 93 0A 9B 1A 68 0A 9B 5B 68 09 99 08 98 ?? ?? ?? ?? 08 9B 03 F5 8A 62 00 23 13 60 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_5_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 70
		refs = "0028 ??0?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0D 9B 1B 68 02 93 0C 9B 1B 68 01 93 0B 9B 1B 68 00 93 0A 9B 1A 68 0A 9B 5B 68 09 99 08 98 ?? ?? ?? ?? 08 9B 03 F5 8A 62 00 23 13 60 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_8_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 70
		refs = "0028 ??0?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0D 9B 1B 68 02 93 0C 9B 1B 68 01 93 0B 9B 1B 68 00 93 0A 9B 1A 68 0A 9B 5B 68 09 99 08 98 ?? ?? ?? ?? 08 9B 03 F5 8A 62 00 23 13 60 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_11_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 70
		refs = "0028 ??0?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0D 9B 1B 68 02 93 0C 9B 1B 68 01 93 0B 9B 1B 68 00 93 0A 9B 1A 68 0A 9B 5B 68 09 99 08 98 ?? ?? ?? ?? 08 9B 03 F5 8A 62 00 23 13 60 08 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_32_0 {
	meta:
		name = "??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
		size = 276
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00de ??0<lambda_d6a382b8dd98a6801a8abd6c28bdff2d>@@QAA@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQBDABQAD@Z 00e8 ??$__acrt_lock_stream_and_call@V<lambda_d6a382b8dd98a6801a8abd6c28bdff2d>@@@@YAHQAU_iobuf@@$$QAV<lambda_d6a382b8dd98a6801a8abd6c28bdff2d>@@@Z 0100 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0104 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0108 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 18 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 3A 4B 01 93 38 4B 00 93 00 23 1F 22 35 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1F 23 2B 4A 29 49 2C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 42 E0 19 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 20 22 1D 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 20 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 03 02 93 11 E0 1B AB 01 93 19 AB 00 93 16 AB 1A AA 18 A9 0E A8 ?? ?? ?? ?? 0B 90 0B 99 18 98 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_33_0 {
	meta:
		name = "??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 276
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00de ??0<lambda_42506531d319a600ce771deb5a236a10>@@QAA@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQB_WABQAD@Z 00e8 ??$__acrt_lock_stream_and_call@V<lambda_42506531d319a600ce771deb5a236a10>@@@@YAHQAU_iobuf@@$$QAV<lambda_42506531d319a600ce771deb5a236a10>@@@Z 0100 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0104 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0108 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 18 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 3A 4B 01 93 38 4B 00 93 00 23 1F 22 35 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1F 23 2B 4A 29 49 2C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 42 E0 19 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 20 22 1D 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 20 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 03 02 93 11 E0 1B AB 01 93 19 AB 00 93 16 AB 1A AA 18 A9 0E A8 ?? ?? ?? ?? 0B 90 0B 99 18 98 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_34_0 {
	meta:
		name = "??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
		size = 276
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00de ??0<lambda_e38011a3ba6e07c7dbcef4d549f26102>@@QAA@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQBDABQAD@Z 00e8 ??$__acrt_lock_stream_and_call@V<lambda_e38011a3ba6e07c7dbcef4d549f26102>@@@@YAHQAU_iobuf@@$$QAV<lambda_e38011a3ba6e07c7dbcef4d549f26102>@@@Z 0100 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0104 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0108 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 18 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 3A 4B 01 93 38 4B 00 93 00 23 1F 22 35 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1F 23 2B 4A 29 49 2C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 42 E0 19 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 20 22 1D 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 20 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 03 02 93 11 E0 1B AB 01 93 19 AB 00 93 16 AB 1A AA 18 A9 0E A8 ?? ?? ?? ?? 0B 90 0B 99 18 98 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_35_2 {
	meta:
		name = "??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 276
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00de ??0<lambda_96392db5b14a27f72535a2156da24b09>@@QAA@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQB_WABQAD@Z 00e8 ??$__acrt_lock_stream_and_call@V<lambda_96392db5b14a27f72535a2156da24b09>@@@@YAHQAU_iobuf@@$$QAV<lambda_96392db5b14a27f72535a2156da24b09>@@@Z 0100 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0104 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0108 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 18 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 3A 4B 01 93 38 4B 00 93 00 23 1F 22 35 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1F 23 2B 4A 29 49 2C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 42 E0 19 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 20 22 1D 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 20 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 03 02 93 11 E0 1B AB 01 93 19 AB 00 93 16 AB 1A AA 18 A9 0E A8 ?? ?? ?? ?? 0B 90 0B 99 18 98 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_36_2 {
	meta:
		name = "??$common_vfprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
		size = 276
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00de ??0<lambda_df52180bf14694d51fdefd82613e8f07>@@QAA@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQBDABQAD@Z 00e8 ??$__acrt_lock_stream_and_call@V<lambda_df52180bf14694d51fdefd82613e8f07>@@@@YAHQAU_iobuf@@$$QAV<lambda_df52180bf14694d51fdefd82613e8f07>@@@Z 0100 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0104 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0108 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 18 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 3A 4B 01 93 38 4B 00 93 00 23 1F 22 35 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1F 23 2B 4A 29 49 2C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 42 E0 19 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 20 22 1D 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 20 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 03 02 93 11 E0 1B AB 01 93 19 AB 00 93 16 AB 1A AA 18 A9 0E A8 ?? ?? ?? ?? 0B 90 0B 99 18 98 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_37_2 {
	meta:
		name = "??$common_vfprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 276
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00de ??0<lambda_c4f131f91cb4ec00a5b0a26aa161b8b4>@@QAA@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQB_WABQAD@Z 00e8 ??$__acrt_lock_stream_and_call@V<lambda_c4f131f91cb4ec00a5b0a26aa161b8b4>@@@@YAHQAU_iobuf@@$$QAV<lambda_c4f131f91cb4ec00a5b0a26aa161b8b4>@@@Z 0100 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0104 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0108 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 18 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 3A 4B 01 93 38 4B 00 93 00 23 1F 22 35 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1F 23 2B 4A 29 49 2C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 42 E0 19 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 20 22 1D 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 20 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 03 02 93 11 E0 1B AB 01 93 19 AB 00 93 16 AB 1A AA 18 A9 0E A8 ?? ?? ?? ?? 0B 90 0B 99 18 98 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_38_0 {
	meta:
		name = "??$common_vsnprintf_s@D@@YAH_KQADIIQBDQAU__crt_locale_pointers@@1@Z"
		size = 876
		refs = "0036 _CrtDbgReportW 004a _errno 0064 _invalid_parameter 0124 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z 0152 _CrtGetDebugFillThreshold 0186 memset 0354 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0358 ??_C@_1CG@LHFJHFBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAn?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 035c ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0360 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0364 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 0368 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A6 B0 2D 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 D0 4B 01 93 CD 4B 00 93 00 23 40 F2 3F 12 CA 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F2 3F 13 BF 4A BD 49 C1 48 ?? ?? ?? ?? 6F F0 00 03 05 93 6B E1 2C 9B 00 2B 08 D1 2A 9B 00 2B 05 D1 2B 9B 00 2B 02 D1 00 23 05 93 5F E1 2A 9B 00 2B 05 D0 2B 9B 00 2B 02 D9 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0F D1 AE 4B 01 93 AC 4B 00 93 00 23 4F F4 A2 72 A9 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 09 9B 00 2B 12 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 4F F4 A2 73 9E 4A 9C 49 9F 48 ?? ?? ?? ?? 6F F0 00 03 05 93 29 E1 6F F0 00 03 04 93 2B 9A 2C 9B 9A 42 55 D9 ?? ?? ?? ?? 17 90 17 9B 1B 68 1B 93 2F 9B 02 93 2E 9B 01 93 2D 9B 00 93 2C 9B 5B 1C 2A 9A 28 98 29 99 ?? ?? ?? ?? 18 90 18 9B 04 93 04 9B 13 F1 02 0F 3A D1 2B 9B B3 F1 FF 3F 25 D0 2B 9A 6F F0 00 43 9A 42 20 D0 2C 9B 5A 1C 2B 9B 9A 42 1B D2 ?? ?? ?? ?? 19 90 19 9B 0A 93 2C 9B 5A 1C 2B 9B 9A 1A 0A 9B 93 42 02 D2 0A 9B 0B 93 04 E0 2C 9B 5A 1C 2B 9B 9B 1A 0B 93 0B 9A FE 21 2C 9B 58 1C 2A 9B 18 44 ?? ?? ?? ?? ?? ?? ?? ?? 1A 90 1A 9B 1B 68 22 2B 05 D1 ?? ?? ?? ?? 1C 90 1B 9A 1C 9B 1A 60 6F F0 00 03 05 93 CD E0 36 E0 ?? ?? ?? ?? 1D 90 1D 9B 1B 68 20 93 2F 9B 02 93 2E 9B 01 93 2D 9B 00 93 2B 9B 2A 9A 28 98 29 99 ?? ?? ?? ?? 1E 90 1E 9B 04 93 2B 9B 5A 1E 01 23 02 FB 03 F2 2A 9B 1A 44 00 23 13 70 04 9B 13 F1 02 0F 14 D1 2C 9B B3 F1 FF 3F 10 D1 ?? ?? ?? ?? 1F 90 1F 9B 1B 68 22 2B 05 D1 ?? ?? ?? ?? 21 90 20 9A 21 9B 1A 60 6F F0 00 03 05 93 95 E0 04 9B 00 2B 5D DA 2A 9A 00 23 13 70 2B 9B B3 F1 FF 3F 1D D0 2B 9A 6F F0 00 43 9A 42 18 D0 2B 9B 01 2B 15 D9 ?? ?? ?? ?? 22 90 22 9B 0C 93 2B 9B 5A 1E 0C 9B 93 42 02 D2 0C 9B 0D 93 02 E0 2B 9B 5B 1E 0D 93 0D 9A FE 21 2A 9B 58 1C ?? ?? ?? ?? 04 9B 13 F1 02 0F 30 D1 02 E0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0F D1 32 4B 01 93 34 4B 00 93 00 23 4F F4 B7 72 30 49 02 20 ?? ?? ?? ?? 23 90 23 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 12 D1 ?? ?? ?? ?? 24 90 24 9A 22 23 13 60 00 23 00 93 4F F4 B7 73 25 4A 24 49 22 48 ?? ?? ?? ?? 6F F0 00 03 05 93 38 E0 6F F0 00 03 05 93 34 E0 2B 9B B3 F1 FF 3F 25 D0 2B 9A 6F F0 00 43 9A 42 20 D0 04 9B 5A 1C 2B 9B 9A 42 1B D2 ?? ?? ?? ?? 25 90 25 9B 10 93 04 9B 5A 1C 2B 9B 9A 1A 10 9B 93 42 02 D2 10 9B 11 93 04 E0 04 9B 5A 1C 2B 9B 9B 1A 11 93 11 9A FE 21 04 9B 58 1C 2A 9B 18 44 ?? ?? ?? ?? 04 9B 00 2B 03 DA 6F F0 00 03 12 93 01 E0 04 9B 12 93 12 9B 05 93 05 98 26 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_39_0 {
	meta:
		name = "??$common_vsnprintf_s@_W@@YAH_KQA_WIIQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 908
		refs = "0036 _CrtDbgReportW 004a _errno 0064 _invalid_parameter 0124 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z 0152 _CrtGetDebugFillThreshold 0192 memset 0374 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0378 ??_C@_1CG@LHFJHFBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAn?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 037c ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0380 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0384 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 0388 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A6 B0 2D 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 D8 4B 01 93 D5 4B 00 93 00 23 40 F2 3F 12 D2 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F2 3F 13 C7 4A C5 49 C9 48 ?? ?? ?? ?? 6F F0 00 03 05 93 7A E1 2C 9B 00 2B 08 D1 2A 9B 00 2B 05 D1 2B 9B 00 2B 02 D1 00 23 05 93 6E E1 2A 9B 00 2B 05 D0 2B 9B 00 2B 02 D9 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0F D1 B6 4B 01 93 B4 4B 00 93 00 23 4F F4 A2 72 B1 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 09 9B 00 2B 12 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 4F F4 A2 73 A6 4A A4 49 A7 48 ?? ?? ?? ?? 6F F0 00 03 05 93 38 E1 6F F0 00 03 04 93 2B 9A 2C 9B 9A 42 5B D9 ?? ?? ?? ?? 17 90 17 9B 1B 68 1B 93 2F 9B 02 93 2E 9B 01 93 2D 9B 00 93 2C 9B 5B 1C 2A 9A 28 98 29 99 ?? ?? ?? ?? 18 90 18 9B 04 93 04 9B 13 F1 02 0F 40 D1 2B 9B B3 F1 FF 3F 2B D0 2B 9A 6F F0 00 43 9A 42 26 D0 2C 9B 5A 1C 2B 9B 9A 42 21 D2 ?? ?? ?? ?? 19 90 19 9B 0A 93 2C 9B 5A 1C 2B 9B 9A 1A 0A 9B 93 42 02 D2 0A 9B 0B 93 04 E0 2C 9B 5A 1C 2B 9B 9B 1A 0B 93 0B 9A 02 23 02 FB 03 F2 FE 21 2C 9B 58 1C 02 23 00 FB 03 F0 2A 9B 18 44 ?? ?? ?? ?? ?? ?? ?? ?? 1A 90 1A 9B 1B 68 22 2B 05 D1 ?? ?? ?? ?? 1C 90 1B 9A 1C 9B 1A 60 6F F0 00 03 05 93 D6 E0 36 E0 ?? ?? ?? ?? 1D 90 1D 9B 1B 68 20 93 2F 9B 02 93 2E 9B 01 93 2D 9B 00 93 2B 9B 2A 9A 28 98 29 99 ?? ?? ?? ?? 1E 90 1E 9B 04 93 2B 9B 5A 1E 02 23 02 FB 03 F2 2A 9B 1A 44 00 23 13 80 04 9B 13 F1 02 0F 14 D1 2C 9B B3 F1 FF 3F 10 D1 ?? ?? ?? ?? 1F 90 1F 9B 1B 68 22 2B 05 D1 ?? ?? ?? ?? 21 90 20 9A 21 9B 1A 60 6F F0 00 03 05 93 9E E0 04 9B 00 2B 60 DA 2A 9A 00 23 13 80 2B 9B B3 F1 FF 3F 20 D0 2B 9A 6F F0 00 43 9A 42 1B D0 2B 9B 01 2B 18 D9 ?? ?? ?? ?? 22 90 22 9B 0C 93 2B 9B 5A 1E 0C 9B 93 42 02 D2 0C 9B 0D 93 02 E0 2B 9B 5B 1E 0D 93 0D 9A 02 23 02 FB 03 F2 FE 21 2A 9B 98 1C ?? ?? ?? ?? 04 9B 13 F1 02 0F 30 D1 02 E0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0F D1 35 4B 01 93 37 4B 00 93 00 23 4F F4 B7 72 34 49 02 20 ?? ?? ?? ?? 23 90 23 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 12 D1 ?? ?? ?? ?? 24 90 24 9A 22 23 13 60 00 23 00 93 4F F4 B7 73 29 4A 27 49 26 48 ?? ?? ?? ?? 6F F0 00 03 05 93 3E E0 6F F0 00 03 05 93 3A E0 2B 9B B3 F1 FF 3F 2B D0 2B 9A 6F F0 00 43 9A 42 26 D0 04 9B 5A 1C 2B 9B 9A 42 21 D2 ?? ?? ?? ?? 25 90 25 9B 10 93 04 9B 5A 1C 2B 9B 9A 1A 10 9B 93 42 02 D2 10 9B 11 93 04 E0 04 9B 5A 1C 2B 9B 9B 1A 11 93 11 9A 02 23 02 FB 03 F2 FE 21 04 9B 58 1C 02 23 00 FB 03 F0 2A 9B 18 44 ?? ?? ?? ?? 04 9B 00 2B 03 DA 6F F0 00 03 12 93 01 E0 04 9B 12 93 12 9B 05 93 05 98 26 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_40_0 {
	meta:
		name = "??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
		size = 776
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 00e6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00f0 memset 012c ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0136 ??0?$string_output_adapter@D@__crt_stdio_output@@QAA@QAU?$string_output_adapter_context@D@1@@Z 0158 ??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 015e ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0176 ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ 017c ??1_LocaleUpdate@@QAA@XZ 02e6 __security_pop_cookie 02f4 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 02f8 ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 02fc ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0300 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0304 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F2 EC 4D DD F8 08 35 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 B5 4B 01 93 B3 4B 00 93 00 23 89 22 B0 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 89 23 A6 4A A4 49 A7 48 ?? ?? ?? ?? 6F F0 00 03 04 93 35 E1 DD F8 04 35 00 2B 06 D0 DD F8 00 35 00 2B 02 D1 00 23 08 93 01 E0 01 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 96 4B 01 93 98 4B 00 93 00 23 8A 22 95 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 8A 23 8B 4A 89 49 88 48 ?? ?? ?? ?? 6F F0 00 03 04 93 FF E0 DD F8 0C 15 1E A8 ?? ?? ?? ?? 10 22 00 21 0C A8 ?? ?? ?? ?? DD F8 00 35 0C 93 DD F8 04 35 0D 93 00 23 0E 93 DD F8 F8 34 03 F0 02 03 00 2B 06 D1 DD F8 00 35 00 2B 02 D0 00 23 0A 93 01 E0 01 23 0A 93 0A 9B DB B2 8D F8 3C 30 1E A8 ?? ?? ?? ?? 14 90 0C A9 22 A8 ?? ?? ?? ?? 15 90 DD F8 10 35 02 93 14 9B 01 93 DD F8 08 35 00 93 DD F8 F8 24 DD F8 FC 34 15 99 24 A8 ?? ?? ?? ?? 24 A8 ?? ?? ?? ?? 16 90 16 9B 05 93 DD F8 00 35 00 2B 0A D1 05 9B 17 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 17 9B 04 93 AC E0 DD F8 F8 34 03 F0 01 03 00 2B 37 D0 DD F8 04 35 00 2B 0F D1 05 9B 00 2B 0C D0 6F F0 00 03 18 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 18 9B 04 93 93 E0 22 E0 0E 9A DD F8 04 35 9A 42 09 D0 0E 9A 01 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 70 13 E0 05 9B 00 2B 10 DB 05 9A DD F8 04 35 9A 42 0B D9 6F F0 00 03 19 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 19 9B 04 93 6F E0 64 E0 DD F8 F8 34 03 F0 02 03 00 2B 27 D0 DD F8 04 35 00 2B 00 D1 21 E0 05 9B 00 2B 04 DA DD F8 00 25 00 23 13 70 19 E0 0E 9A DD F8 04 35 9A 42 0B D1 DD F8 04 35 5A 1E 01 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 70 08 E0 0E 9A 01 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 70 36 E0 DD F8 04 35 00 2B 0C D1 6F F0 00 03 1A 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1A 9B 04 93 30 E0 25 E0 0E 9A DD F8 04 35 9A 42 17 D1 DD F8 04 35 5A 1E 01 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 70 6F F0 01 03 1B 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1B 9B 04 93 13 E0 08 E0 0E 9A 01 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 70 05 9B 1C 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1C 9B 04 93 04 98 0D F2 EC 4D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_44_0 {
	meta:
		name = "??$common_vsprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
		size = 776
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 00e6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00f0 memset 012c ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0136 ??0?$string_output_adapter@D@__crt_stdio_output@@QAA@QAU?$string_output_adapter_context@D@1@@Z 0158 ??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 015e ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0176 ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ 017c ??1_LocaleUpdate@@QAA@XZ 02e6 __security_pop_cookie 02f4 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 02f8 ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 02fc ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0300 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0304 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F2 EC 4D DD F8 08 35 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 B5 4B 01 93 B3 4B 00 93 00 23 89 22 B0 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 89 23 A6 4A A4 49 A7 48 ?? ?? ?? ?? 6F F0 00 03 04 93 35 E1 DD F8 04 35 00 2B 06 D0 DD F8 00 35 00 2B 02 D1 00 23 08 93 01 E0 01 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 96 4B 01 93 98 4B 00 93 00 23 8A 22 95 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 8A 23 8B 4A 89 49 88 48 ?? ?? ?? ?? 6F F0 00 03 04 93 FF E0 DD F8 0C 15 1E A8 ?? ?? ?? ?? 10 22 00 21 0C A8 ?? ?? ?? ?? DD F8 00 35 0C 93 DD F8 04 35 0D 93 00 23 0E 93 DD F8 F8 34 03 F0 02 03 00 2B 06 D1 DD F8 00 35 00 2B 02 D0 00 23 0A 93 01 E0 01 23 0A 93 0A 9B DB B2 8D F8 3C 30 1E A8 ?? ?? ?? ?? 14 90 0C A9 22 A8 ?? ?? ?? ?? 15 90 DD F8 10 35 02 93 14 9B 01 93 DD F8 08 35 00 93 DD F8 F8 24 DD F8 FC 34 15 99 24 A8 ?? ?? ?? ?? 24 A8 ?? ?? ?? ?? 16 90 16 9B 05 93 DD F8 00 35 00 2B 0A D1 05 9B 17 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 17 9B 04 93 AC E0 DD F8 F8 34 03 F0 01 03 00 2B 37 D0 DD F8 04 35 00 2B 0F D1 05 9B 00 2B 0C D0 6F F0 00 03 18 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 18 9B 04 93 93 E0 22 E0 0E 9A DD F8 04 35 9A 42 09 D0 0E 9A 01 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 70 13 E0 05 9B 00 2B 10 DB 05 9A DD F8 04 35 9A 42 0B D9 6F F0 00 03 19 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 19 9B 04 93 6F E0 64 E0 DD F8 F8 34 03 F0 02 03 00 2B 27 D0 DD F8 04 35 00 2B 00 D1 21 E0 05 9B 00 2B 04 DA DD F8 00 25 00 23 13 70 19 E0 0E 9A DD F8 04 35 9A 42 0B D1 DD F8 04 35 5A 1E 01 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 70 08 E0 0E 9A 01 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 70 36 E0 DD F8 04 35 00 2B 0C D1 6F F0 00 03 1A 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1A 9B 04 93 30 E0 25 E0 0E 9A DD F8 04 35 9A 42 17 D1 DD F8 04 35 5A 1E 01 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 70 6F F0 01 03 1B 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1B 9B 04 93 13 E0 08 E0 0E 9A 01 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 70 05 9B 1C 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1C 9B 04 93 04 98 0D F2 EC 4D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_41_0 {
	meta:
		name = "??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 776
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 00e6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00f0 memset 012c ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0136 ??0?$string_output_adapter@_W@__crt_stdio_output@@QAA@QAU?$string_output_adapter_context@_W@1@@Z 0158 ??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 015e ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0176 ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ 017c ??1_LocaleUpdate@@QAA@XZ 02e6 __security_pop_cookie 02f4 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 02f8 ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 02fc ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0300 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0304 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F2 EC 4D DD F8 08 35 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 B5 4B 01 93 B3 4B 00 93 00 23 89 22 B0 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 89 23 A6 4A A4 49 A7 48 ?? ?? ?? ?? 6F F0 00 03 04 93 35 E1 DD F8 04 35 00 2B 06 D0 DD F8 00 35 00 2B 02 D1 00 23 08 93 01 E0 01 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 96 4B 01 93 98 4B 00 93 00 23 8A 22 95 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 8A 23 8B 4A 89 49 88 48 ?? ?? ?? ?? 6F F0 00 03 04 93 FF E0 DD F8 0C 15 1E A8 ?? ?? ?? ?? 10 22 00 21 0C A8 ?? ?? ?? ?? DD F8 00 35 0C 93 DD F8 04 35 0D 93 00 23 0E 93 DD F8 F8 34 03 F0 02 03 00 2B 06 D1 DD F8 00 35 00 2B 02 D0 00 23 0A 93 01 E0 01 23 0A 93 0A 9B DB B2 8D F8 3C 30 1E A8 ?? ?? ?? ?? 14 90 0C A9 22 A8 ?? ?? ?? ?? 15 90 DD F8 10 35 02 93 14 9B 01 93 DD F8 08 35 00 93 DD F8 F8 24 DD F8 FC 34 15 99 24 A8 ?? ?? ?? ?? 24 A8 ?? ?? ?? ?? 16 90 16 9B 05 93 DD F8 00 35 00 2B 0A D1 05 9B 17 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 17 9B 04 93 AC E0 DD F8 F8 34 03 F0 01 03 00 2B 37 D0 DD F8 04 35 00 2B 0F D1 05 9B 00 2B 0C D0 6F F0 00 03 18 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 18 9B 04 93 93 E0 22 E0 0E 9A DD F8 04 35 9A 42 09 D0 0E 9A 02 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 80 13 E0 05 9B 00 2B 10 DB 05 9A DD F8 04 35 9A 42 0B D9 6F F0 00 03 19 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 19 9B 04 93 6F E0 64 E0 DD F8 F8 34 03 F0 02 03 00 2B 27 D0 DD F8 04 35 00 2B 00 D1 21 E0 05 9B 00 2B 04 DA DD F8 00 25 00 23 13 80 19 E0 0E 9A DD F8 04 35 9A 42 0B D1 DD F8 04 35 5A 1E 02 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 80 08 E0 0E 9A 02 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 80 36 E0 DD F8 04 35 00 2B 0C D1 6F F0 00 03 1A 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1A 9B 04 93 30 E0 25 E0 0E 9A DD F8 04 35 9A 42 17 D1 DD F8 04 35 5A 1E 02 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 80 6F F0 01 03 1B 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1B 9B 04 93 13 E0 08 E0 0E 9A 02 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 80 05 9B 1C 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1C 9B 04 93 04 98 0D F2 EC 4D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_45_0 {
	meta:
		name = "??$common_vsprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 776
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 00e6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00f0 memset 012c ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0136 ??0?$string_output_adapter@_W@__crt_stdio_output@@QAA@QAU?$string_output_adapter_context@_W@1@@Z 0158 ??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 015e ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0176 ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ 017c ??1_LocaleUpdate@@QAA@XZ 02e6 __security_pop_cookie 02f4 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 02f8 ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 02fc ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0300 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0304 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F2 EC 4D DD F8 08 35 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 B5 4B 01 93 B3 4B 00 93 00 23 89 22 B0 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 89 23 A6 4A A4 49 A7 48 ?? ?? ?? ?? 6F F0 00 03 04 93 35 E1 DD F8 04 35 00 2B 06 D0 DD F8 00 35 00 2B 02 D1 00 23 08 93 01 E0 01 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 96 4B 01 93 98 4B 00 93 00 23 8A 22 95 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 8A 23 8B 4A 89 49 88 48 ?? ?? ?? ?? 6F F0 00 03 04 93 FF E0 DD F8 0C 15 1E A8 ?? ?? ?? ?? 10 22 00 21 0C A8 ?? ?? ?? ?? DD F8 00 35 0C 93 DD F8 04 35 0D 93 00 23 0E 93 DD F8 F8 34 03 F0 02 03 00 2B 06 D1 DD F8 00 35 00 2B 02 D0 00 23 0A 93 01 E0 01 23 0A 93 0A 9B DB B2 8D F8 3C 30 1E A8 ?? ?? ?? ?? 14 90 0C A9 22 A8 ?? ?? ?? ?? 15 90 DD F8 10 35 02 93 14 9B 01 93 DD F8 08 35 00 93 DD F8 F8 24 DD F8 FC 34 15 99 24 A8 ?? ?? ?? ?? 24 A8 ?? ?? ?? ?? 16 90 16 9B 05 93 DD F8 00 35 00 2B 0A D1 05 9B 17 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 17 9B 04 93 AC E0 DD F8 F8 34 03 F0 01 03 00 2B 37 D0 DD F8 04 35 00 2B 0F D1 05 9B 00 2B 0C D0 6F F0 00 03 18 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 18 9B 04 93 93 E0 22 E0 0E 9A DD F8 04 35 9A 42 09 D0 0E 9A 02 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 80 13 E0 05 9B 00 2B 10 DB 05 9A DD F8 04 35 9A 42 0B D9 6F F0 00 03 19 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 19 9B 04 93 6F E0 64 E0 DD F8 F8 34 03 F0 02 03 00 2B 27 D0 DD F8 04 35 00 2B 00 D1 21 E0 05 9B 00 2B 04 DA DD F8 00 25 00 23 13 80 19 E0 0E 9A DD F8 04 35 9A 42 0B D1 DD F8 04 35 5A 1E 02 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 80 08 E0 0E 9A 02 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 80 36 E0 DD F8 04 35 00 2B 0C D1 6F F0 00 03 1A 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1A 9B 04 93 30 E0 25 E0 0E 9A DD F8 04 35 9A 42 17 D1 DD F8 04 35 5A 1E 02 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 80 6F F0 01 03 1B 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1B 9B 04 93 13 E0 08 E0 0E 9A 02 23 02 FB 03 F2 DD F8 00 35 1A 44 00 23 13 80 05 9B 1C 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1C 9B 04 93 04 98 0D F2 EC 4D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_42_0 {
	meta:
		name = "??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
		size = 776
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 00e6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00f0 memset 012c ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0136 ??0?$string_output_adapter@D@__crt_stdio_output@@QAA@QAU?$string_output_adapter_context@D@1@@Z 0158 ??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 015e ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0176 ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ 017c ??1_LocaleUpdate@@QAA@XZ 02e6 __security_pop_cookie 02f4 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 02f8 ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 02fc ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0300 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0304 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F6 44 3D DD F8 60 3B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 B5 4B 01 93 B3 4B 00 93 00 23 89 22 B0 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 89 23 A6 4A A4 49 A7 48 ?? ?? ?? ?? 6F F0 00 03 04 93 35 E1 DD F8 5C 3B 00 2B 06 D0 DD F8 58 3B 00 2B 02 D1 00 23 08 93 01 E0 01 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 96 4B 01 93 98 4B 00 93 00 23 8A 22 95 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 8A 23 8B 4A 89 49 88 48 ?? ?? ?? ?? 6F F0 00 03 04 93 FF E0 DD F8 64 1B 1E A8 ?? ?? ?? ?? 10 22 00 21 0C A8 ?? ?? ?? ?? DD F8 58 3B 0C 93 DD F8 5C 3B 0D 93 00 23 0E 93 DD F8 50 3B 03 F0 02 03 00 2B 06 D1 DD F8 58 3B 00 2B 02 D0 00 23 0A 93 01 E0 01 23 0A 93 0A 9B DB B2 8D F8 3C 30 1E A8 ?? ?? ?? ?? 14 90 0C A9 22 A8 ?? ?? ?? ?? 15 90 DD F8 68 3B 02 93 14 9B 01 93 DD F8 60 3B 00 93 DD F8 50 2B DD F8 54 3B 15 99 24 A8 ?? ?? ?? ?? 24 A8 ?? ?? ?? ?? 16 90 16 9B 05 93 DD F8 58 3B 00 2B 0A D1 05 9B 17 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 17 9B 04 93 AC E0 DD F8 50 3B 03 F0 01 03 00 2B 37 D0 DD F8 5C 3B 00 2B 0F D1 05 9B 00 2B 0C D0 6F F0 00 03 18 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 18 9B 04 93 93 E0 22 E0 0E 9A DD F8 5C 3B 9A 42 09 D0 0E 9A 01 23 02 FB 03 F2 DD F8 58 3B 1A 44 00 23 13 70 13 E0 05 9B 00 2B 10 DB 05 9A DD F8 5C 3B 9A 42 0B D9 6F F0 00 03 19 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 19 9B 04 93 6F E0 64 E0 DD F8 50 3B 03 F0 02 03 00 2B 27 D0 DD F8 5C 3B 00 2B 00 D1 21 E0 05 9B 00 2B 04 DA DD F8 58 2B 00 23 13 70 19 E0 0E 9A DD F8 5C 3B 9A 42 0B D1 DD F8 5C 3B 5A 1E 01 23 02 FB 03 F2 DD F8 58 3B 1A 44 00 23 13 70 08 E0 0E 9A 01 23 02 FB 03 F2 DD F8 58 3B 1A 44 00 23 13 70 36 E0 DD F8 5C 3B 00 2B 0C D1 6F F0 00 03 1A 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1A 9B 04 93 30 E0 25 E0 0E 9A DD F8 5C 3B 9A 42 17 D1 DD F8 5C 3B 5A 1E 01 23 02 FB 03 F2 DD F8 58 3B 1A 44 00 23 13 70 6F F0 01 03 1B 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1B 9B 04 93 13 E0 08 E0 0E 9A 01 23 02 FB 03 F2 DD F8 58 3B 1A 44 00 23 13 70 05 9B 1C 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1C 9B 04 93 04 98 0D F6 44 3D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_43_0 {
	meta:
		name = "??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 776
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 00e6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00f0 memset 012c ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0136 ??0?$string_output_adapter@_W@__crt_stdio_output@@QAA@QAU?$string_output_adapter_context@_W@1@@Z 0158 ??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 015e ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0176 ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ 017c ??1_LocaleUpdate@@QAA@XZ 02e6 __security_pop_cookie 02f4 ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 02f8 ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 02fc ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0300 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0304 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F6 44 3D DD F8 60 3B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 B5 4B 01 93 B3 4B 00 93 00 23 89 22 B0 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 89 23 A6 4A A4 49 A7 48 ?? ?? ?? ?? 6F F0 00 03 04 93 35 E1 DD F8 5C 3B 00 2B 06 D0 DD F8 58 3B 00 2B 02 D1 00 23 08 93 01 E0 01 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 96 4B 01 93 98 4B 00 93 00 23 8A 22 95 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 8A 23 8B 4A 89 49 88 48 ?? ?? ?? ?? 6F F0 00 03 04 93 FF E0 DD F8 64 1B 1E A8 ?? ?? ?? ?? 10 22 00 21 0C A8 ?? ?? ?? ?? DD F8 58 3B 0C 93 DD F8 5C 3B 0D 93 00 23 0E 93 DD F8 50 3B 03 F0 02 03 00 2B 06 D1 DD F8 58 3B 00 2B 02 D0 00 23 0A 93 01 E0 01 23 0A 93 0A 9B DB B2 8D F8 3C 30 1E A8 ?? ?? ?? ?? 14 90 0C A9 22 A8 ?? ?? ?? ?? 15 90 DD F8 68 3B 02 93 14 9B 01 93 DD F8 60 3B 00 93 DD F8 50 2B DD F8 54 3B 15 99 24 A8 ?? ?? ?? ?? 24 A8 ?? ?? ?? ?? 16 90 16 9B 05 93 DD F8 58 3B 00 2B 0A D1 05 9B 17 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 17 9B 04 93 AC E0 DD F8 50 3B 03 F0 01 03 00 2B 37 D0 DD F8 5C 3B 00 2B 0F D1 05 9B 00 2B 0C D0 6F F0 00 03 18 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 18 9B 04 93 93 E0 22 E0 0E 9A DD F8 5C 3B 9A 42 09 D0 0E 9A 02 23 02 FB 03 F2 DD F8 58 3B 1A 44 00 23 13 80 13 E0 05 9B 00 2B 10 DB 05 9A DD F8 5C 3B 9A 42 0B D9 6F F0 00 03 19 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 19 9B 04 93 6F E0 64 E0 DD F8 50 3B 03 F0 02 03 00 2B 27 D0 DD F8 5C 3B 00 2B 00 D1 21 E0 05 9B 00 2B 04 DA DD F8 58 2B 00 23 13 80 19 E0 0E 9A DD F8 5C 3B 9A 42 0B D1 DD F8 5C 3B 5A 1E 02 23 02 FB 03 F2 DD F8 58 3B 1A 44 00 23 13 80 08 E0 0E 9A 02 23 02 FB 03 F2 DD F8 58 3B 1A 44 00 23 13 80 36 E0 DD F8 5C 3B 00 2B 0C D1 6F F0 00 03 1A 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1A 9B 04 93 30 E0 25 E0 0E 9A DD F8 5C 3B 9A 42 17 D1 DD F8 5C 3B 5A 1E 02 23 02 FB 03 F2 DD F8 58 3B 1A 44 00 23 13 80 6F F0 01 03 1B 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1B 9B 04 93 13 E0 08 E0 0E 9A 02 23 02 FB 03 F2 DD F8 58 3B 1A 44 00 23 13 80 05 9B 1C 93 24 A8 ?? ?? ?? ?? 1E A8 ?? ?? ?? ?? 1C 9B 04 93 04 98 0D F6 44 3D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_46_0 {
	meta:
		name = "??$common_vsprintf_s@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
		size = 568
		refs = "0036 _CrtDbgReportW 004a _errno 0064 _invalid_parameter 00f0 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z 011e _CrtGetDebugFillThreshold 0146 memset 0220 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0224 ??_C@_1CE@JEILLNB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 0228 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 022c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0230 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 0234 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9A B0 20 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 83 4B 01 93 80 4B 00 93 00 23 40 F2 05 12 7D 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 40 F2 05 13 72 4A 70 49 74 48 ?? ?? ?? ?? 6F F0 00 03 05 93 D1 E0 1E 9B 00 2B 05 D0 1F 9B 00 2B 02 D9 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0F D1 67 4B 01 93 65 4B 00 93 00 23 4F F4 83 72 62 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 09 9B 00 2B 12 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 4F F4 83 73 57 4A 55 49 58 48 ?? ?? ?? ?? 6F F0 00 03 05 93 9B E0 22 9B 02 93 21 9B 01 93 20 9B 00 93 1F 9B 1E 9A 1C 98 1D 99 ?? ?? ?? ?? 14 90 14 9B 04 93 04 9B 00 2B 24 DA 1E 9A 00 23 13 70 1F 9B B3 F1 FF 3F 1D D0 1F 9A 6F F0 00 43 9A 42 18 D0 1F 9B 01 2B 15 D9 ?? ?? ?? ?? 15 90 15 9B 0A 93 1F 9B 5A 1E 0A 9B 93 42 02 D2 0A 9B 0B 93 02 E0 1F 9B 5B 1E 0B 93 0B 9A FE 21 1E 9B 58 1C ?? ?? ?? ?? 04 9B 13 F1 02 0F 31 D1 02 E0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0F D1 2D 4B 01 93 2F 4B 00 93 00 23 40 F2 11 12 2C 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 12 D1 ?? ?? ?? ?? 17 90 17 9A 22 23 13 60 00 23 00 93 40 F2 11 13 21 4A 1F 49 1E 48 ?? ?? ?? ?? 6F F0 00 03 05 93 2F E0 2C E0 04 9B 00 2B 29 DB 1F 9B B3 F1 FF 3F 25 D0 1F 9A 6F F0 00 43 9A 42 20 D0 04 9B 5A 1C 1F 9B 9A 42 1B D2 ?? ?? ?? ?? 18 90 18 9B 0E 93 04 9B 5A 1C 1F 9B 9A 1A 0E 9B 93 42 02 D2 0E 9B 0F 93 04 E0 04 9B 5A 1C 1F 9B 9B 1A 0F 93 0F 9A FE 21 04 9B 58 1C 1E 9B 18 44 ?? ?? ?? ?? 04 9B 05 93 05 98 1A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_47_0 {
	meta:
		name = "??$common_vsprintf_s@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 588
		refs = "0036 _CrtDbgReportW 004a _errno 0064 _invalid_parameter 00f0 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z 011e _CrtGetDebugFillThreshold 014c memset 0234 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0238 ??_C@_1CE@JEILLNB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 023c ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0240 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0244 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 0248 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9A B0 20 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 88 4B 01 93 85 4B 00 93 00 23 40 F2 05 12 82 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 40 F2 05 13 77 4A 75 49 79 48 ?? ?? ?? ?? 6F F0 00 03 05 93 DA E0 1E 9B 00 2B 05 D0 1F 9B 00 2B 02 D9 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0F D1 6C 4B 01 93 6A 4B 00 93 00 23 4F F4 83 72 67 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 09 9B 00 2B 12 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 4F F4 83 73 5C 4A 5A 49 5D 48 ?? ?? ?? ?? 6F F0 00 03 05 93 A4 E0 22 9B 02 93 21 9B 01 93 20 9B 00 93 1F 9B 1E 9A 1C 98 1D 99 ?? ?? ?? ?? 14 90 14 9B 04 93 04 9B 00 2B 27 DA 1E 9A 00 23 13 80 1F 9B B3 F1 FF 3F 20 D0 1F 9A 6F F0 00 43 9A 42 1B D0 1F 9B 01 2B 18 D9 ?? ?? ?? ?? 15 90 15 9B 0A 93 1F 9B 5A 1E 0A 9B 93 42 02 D2 0A 9B 0B 93 02 E0 1F 9B 5B 1E 0B 93 0B 9A 02 23 02 FB 03 F2 FE 21 1E 9B 98 1C ?? ?? ?? ?? 04 9B 13 F1 02 0F 31 D1 02 E0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0F D1 31 4B 01 93 33 4B 00 93 00 23 40 F2 11 12 2F 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 12 D1 ?? ?? ?? ?? 17 90 17 9A 22 23 13 60 00 23 00 93 40 F2 11 13 24 4A 23 49 21 48 ?? ?? ?? ?? 6F F0 00 03 05 93 35 E0 32 E0 04 9B 00 2B 2F DB 1F 9B B3 F1 FF 3F 2B D0 1F 9A 6F F0 00 43 9A 42 26 D0 04 9B 5A 1C 1F 9B 9A 42 21 D2 ?? ?? ?? ?? 18 90 18 9B 0E 93 04 9B 5A 1C 1F 9B 9A 1A 0E 9B 93 42 02 D2 0E 9B 0F 93 04 E0 04 9B 5A 1C 1F 9B 9B 1A 0F 93 0F 9A 02 23 02 FB 03 F2 FE 21 04 9B 58 1C 02 23 00 FB 03 F0 1E 9B 18 44 ?? ?? ?? ?? 04 9B 05 93 05 98 1A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_48_0 {
	meta:
		name = "??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ"
		size = 68
		refs = "0010 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ 0032 __rt_udiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F2 04 40 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 4F F4 00 73 01 93 07 E0 04 9B 03 F5 80 63 19 68 02 20 ?? ?? ?? ?? 01 90 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_49_0 {
	meta:
		name = "??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ"
		size = 76
		refs = "0010 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ 0032 __rt_udiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F2 04 40 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 4F F4 80 73 01 93 0B E0 04 9B 03 F5 80 63 19 68 02 20 ?? ?? ?? ?? 01 46 02 20 ?? ?? ?? ?? 01 90 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_50_0 {
	meta:
		name = "??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ"
		size = 66
		refs = "0010 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ 002c ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ"
		altNames = "??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F2 04 40 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 06 9B 01 93 07 E0 06 9B 03 F2 04 40 ?? ?? ?? ?? 02 90 02 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_52_0 {
	meta:
		name = "??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z"
		size = 252
		refs = "0016 __rt_udiv 0026 _errno 004a ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ 008a _malloc_dbg 0094 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 00b2 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 00c8 ??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAAAV0@$$QAV0@@Z 00f8 ??_C@_0DI@KIFBHMNO@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 98 6F F0 00 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 46 02 20 ?? ?? ?? ?? 01 28 09 D2 ?? ?? ?? ?? 04 90 04 9A 0C 23 13 60 00 23 8D F8 04 30 57 E0 09 9A 02 23 02 FB 03 F3 02 93 08 9B 03 F2 04 40 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D1 02 9B B3 F5 80 6F 03 D8 01 23 8D F8 04 30 3F E0 08 9B 03 F5 80 63 02 9A 1B 68 9A 42 03 D8 01 23 8D F8 04 30 34 E0 4F F4 B2 73 1C 4A 02 21 02 98 ?? ?? ?? ?? 05 90 05 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0A D1 00 23 8D F8 02 30 03 A8 ?? ?? ?? ?? 9D F8 02 30 8D F8 04 30 14 E0 03 A9 08 9B 03 F2 04 40 ?? ?? ?? ?? 08 9B 03 F5 80 62 02 9B 13 60 01 23 8D F8 03 30 03 A8 ?? ?? ?? ?? 9D F8 03 30 8D F8 04 30 9D F8 04 00 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_53_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 340
		refs = "001c ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@C@__crt_stdio_output@@YACPAD@Z 0144 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0148 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 014c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0150 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 82 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3A 4B 01 93 3C 4B 00 93 00 23 40 F2 B7 42 38 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2D 4A 2C 49 2A 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 46 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D F8 0A 00 9D F9 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_54_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 340
		refs = "001c ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@C@__crt_stdio_output@@YACPAD@Z 0144 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0148 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 014c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0150 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 82 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3A 4B 01 93 3C 4B 00 93 00 23 40 F2 B7 42 38 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2D 4A 2C 49 2A 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 46 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D F8 0A 00 9D F9 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_55_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 336
		refs = "001c ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@C@__crt_stdio_output@@YACPAD@Z 0140 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0144 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0148 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 014c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 81 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 B7 42 37 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 45 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D F8 0A 00 9D F9 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_56_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 336
		refs = "001c ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@C@__crt_stdio_output@@YACPAD@Z 0140 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0144 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0148 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 014c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 81 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 B7 42 37 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 45 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D F8 0A 00 9D F9 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_57_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 64
		refs = "0010 ??$read_va_arg@C@__crt_stdio_output@@YACAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 14 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 01 93 01 99 01 9B DA 17 07 9B 19 60 07 9B 5A 60 01 23 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_61_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 340
		refs = "001c ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@E@__crt_stdio_output@@YAEPAD@Z 0144 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0148 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 014c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0150 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 82 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3A 4B 01 93 3C 4B 00 93 00 23 40 F2 B7 42 38 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2D 4A 2C 49 2A 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 46 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_62_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 340
		refs = "001c ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@E@__crt_stdio_output@@YAEPAD@Z 0144 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0148 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 014c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0150 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 82 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3A 4B 01 93 3C 4B 00 93 00 23 40 F2 B7 42 38 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2D 4A 2C 49 2A 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 46 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_63_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 336
		refs = "001c ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@E@__crt_stdio_output@@YAEPAD@Z 0140 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0144 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0148 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 014c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 81 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 B7 42 37 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 45 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_64_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 336
		refs = "001c ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@E@__crt_stdio_output@@YAEPAD@Z 0140 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0144 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0148 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 014c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 81 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 B7 42 37 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 45 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_65_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 64
		refs = "0010 ??$read_va_arg@E@__crt_stdio_output@@YAEAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 14 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 01 93 01 99 01 9B DA 17 07 9B 19 60 07 9B 5A 60 01 23 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_69_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 340
		refs = "001c ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@F@__crt_stdio_output@@YAFPAD@Z 0144 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0148 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 014c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0150 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 82 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3A 4B 01 93 3C 4B 00 93 00 23 40 F2 B7 42 38 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2D 4A 2C 49 2A 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 46 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_70_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 340
		refs = "001c ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@F@__crt_stdio_output@@YAFPAD@Z 0144 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0148 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 014c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0150 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 82 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3A 4B 01 93 3C 4B 00 93 00 23 40 F2 B7 42 38 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2D 4A 2C 49 2A 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 46 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_71_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 336
		refs = "001c ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@F@__crt_stdio_output@@YAFPAD@Z 0140 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0144 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0148 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 014c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 81 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 B7 42 37 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 45 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_72_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 336
		refs = "001c ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@F@__crt_stdio_output@@YAFPAD@Z 0140 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0144 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0148 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 014c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 81 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 B7 42 37 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 45 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_73_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 64
		refs = "0010 ??$read_va_arg@F@__crt_stdio_output@@YAFAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 14 00 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 99 01 9B DA 17 07 9B 19 60 07 9B 5A 60 01 23 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_77_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
		size = 328
		refs = "001c ??$extract_argument_from_va_list@GD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z 0138 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 013c ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0140 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0D 99 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7D E0 0C 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0C 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 37 4B 01 93 39 4B 00 93 00 23 40 F2 B7 42 35 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2A 4A 29 49 27 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 41 E0 0C 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0C 9B 2C 33 1B 68 00 93 0C 9B 31 33 93 F9 00 30 08 9A 0C 99 01 F2 64 44 0C 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0C 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 19 E0 18 E0 0C 9B 03 F2 64 41 0C 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F8 0A 30 5A B2 0D 9B 1A 70 01 23 8D F8 0C 30 9D F8 0C 00 09 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_78_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
		size = 328
		refs = "001c ??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z 0138 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 013c ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0140 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0D 99 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7D E0 0C 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0C 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 37 4B 01 93 39 4B 00 93 00 23 40 F2 B7 42 35 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2A 4A 29 49 27 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 41 E0 0C 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0C 9B 2C 33 1B 68 00 93 0C 9B 31 33 93 F9 00 30 08 9A 0C 99 01 F2 64 44 0C 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0C 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 19 E0 18 E0 0C 9B 03 F2 64 41 0C 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F8 0A 30 5A B2 0D 9B 1A 70 01 23 8D F8 0C 30 9D F8 0C 00 09 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_79_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
		size = 54
		refs = "0010 ??$read_va_arg@G@__crt_stdio_output@@YAGAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 5A B2 05 9B 1A 70 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_81_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 340
		refs = "001c ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z 0144 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0148 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 014c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0150 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 82 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3A 4B 01 93 3C 4B 00 93 00 23 40 F2 B7 42 38 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2D 4A 2C 49 2A 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 46 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F8 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_82_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 340
		refs = "001c ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z 0144 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0148 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 014c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0150 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 82 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3A 4B 01 93 3C 4B 00 93 00 23 40 F2 B7 42 38 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2D 4A 2C 49 2A 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 46 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F8 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_83_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 336
		refs = "001c ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z 0140 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0144 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0148 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 014c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 81 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 B7 42 37 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 45 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F8 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_84_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 336
		refs = "001c ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z 0140 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0144 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0148 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 014c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 81 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 B7 42 37 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 45 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1E E0 1D E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F8 0A 30 06 93 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_85_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 64
		refs = "0010 ??$read_va_arg@G@__crt_stdio_output@@YAGAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 14 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 01 93 01 99 01 9B DA 17 07 9B 19 60 07 9B 5A 60 01 23 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_89_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 332
		refs = "001c ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 013c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0140 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0144 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7E E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 B7 42 36 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2B 4A 2A 49 28 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 42 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 06 90 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_90_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 332
		refs = "001c ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 013c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0140 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0144 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7E E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 B7 42 36 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2B 4A 2A 49 28 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 42 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 06 90 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_91_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 328
		refs = "001c ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 0138 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 013c ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0140 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7D E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 37 4B 01 93 39 4B 00 93 00 23 40 F2 B7 42 35 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2A 4A 29 49 27 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 41 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 06 90 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_92_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 328
		refs = "001c ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 0138 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 013c ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0140 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7D E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 37 4B 01 93 39 4B 00 93 00 23 40 F2 B7 42 35 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2A 4A 29 49 27 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 41 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 09 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 09 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 06 90 06 99 06 9B DA 17 0F 9B 19 60 0F 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_93_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 56
		refs = "0010 ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 99 00 9B DA 17 05 9B 19 60 05 9B 5A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_97_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 328
		refs = "001c ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@I@__crt_stdio_output@@YAIPAD@Z 0138 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 013c ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0140 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7D E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 37 4B 01 93 39 4B 00 93 00 23 40 F2 B7 42 35 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2A 4A 29 49 27 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 41 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 19 E0 18 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 0F 9A 00 23 53 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_98_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 328
		refs = "001c ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@I@__crt_stdio_output@@YAIPAD@Z 0138 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 013c ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0140 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7D E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 37 4B 01 93 39 4B 00 93 00 23 40 F2 B7 42 35 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2A 4A 29 49 27 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 41 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 19 E0 18 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 0F 9A 00 23 53 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_99_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 328
		refs = "001c ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@I@__crt_stdio_output@@YAIPAD@Z 0138 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 013c ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0140 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7C E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 37 4B 01 93 39 4B 00 93 00 23 40 F2 B7 42 35 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2A 4A 29 49 27 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 40 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 19 E0 18 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 0F 9A 00 23 53 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_100_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 328
		refs = "001c ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@I@__crt_stdio_output@@YAIPAD@Z 0138 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 013c ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0140 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7C E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 37 4B 01 93 39 4B 00 93 00 23 40 F2 B7 42 35 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2A 4A 29 49 27 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 40 E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 19 E0 18 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 0F 9A 00 23 53 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_101_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 54
		refs = "0010 ??$read_va_arg@I@__crt_stdio_output@@YAIAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 05 9A 00 23 53 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_105_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z"
		size = 324
		refs = "001c ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@PAD@__crt_stdio_output@@YAPADPAD@Z 0134 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0138 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 013c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7A E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 36 4B 01 93 38 4B 00 93 00 23 40 F2 B7 42 34 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 29 4A 28 49 26 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_106_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z"
		size = 324
		refs = "001c ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@PAD@__crt_stdio_output@@YAPADPAD@Z 0134 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0138 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 013c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7A E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 36 4B 01 93 38 4B 00 93 00 23 40 F2 B7 42 34 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 29 4A 28 49 26 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_114_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 324
		refs = "001c ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@PAD@Z 0134 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0138 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 013c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7A E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 36 4B 01 93 38 4B 00 93 00 23 40 F2 B7 42 34 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 29 4A 28 49 26 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_118_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 324
		refs = "001c ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@PAD@Z 0134 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0138 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 013c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7A E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 36 4B 01 93 38 4B 00 93 00 23 40 F2 B7 42 34 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 29 4A 28 49 26 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_129_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z"
		size = 324
		refs = "001c ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@X@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@PAX@__crt_stdio_output@@YAPAXPAD@Z 0134 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0138 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 013c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7A E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 36 4B 01 93 38 4B 00 93 00 23 40 F2 B7 42 34 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 29 4A 28 49 26 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_130_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z"
		size = 324
		refs = "001c ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@X@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@PAX@__crt_stdio_output@@YAPAXPAD@Z 0134 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0138 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 013c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7A E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 36 4B 01 93 38 4B 00 93 00 23 40 F2 B7 42 34 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 29 4A 28 49 26 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E0 0E 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 31 33 93 F9 00 30 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_107_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z"
		size = 320
		refs = "001c ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@D@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@PAD@__crt_stdio_output@@YAPADPAD@Z 0130 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0134 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0138 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 013c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 79 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 35 4B 01 93 37 4B 00 93 00 23 40 F2 B7 42 33 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 28 4A 27 49 25 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3D E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_108_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z"
		size = 320
		refs = "001c ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@D@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@PAD@__crt_stdio_output@@YAPADPAD@Z 0130 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0134 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0138 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 013c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 79 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 35 4B 01 93 37 4B 00 93 00 23 40 F2 B7 42 33 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 28 4A 27 49 25 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3D E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_122_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 320
		refs = "001c ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@PAD@Z 0130 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0134 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0138 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 013c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 79 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 35 4B 01 93 37 4B 00 93 00 23 40 F2 B7 42 33 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 28 4A 27 49 25 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3D E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_126_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 320
		refs = "001c ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@PAD@Z 0130 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0134 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0138 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 013c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 79 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 35 4B 01 93 37 4B 00 93 00 23 40 F2 B7 42 33 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 28 4A 27 49 25 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3D E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_131_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z"
		size = 320
		refs = "001c ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@X@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@PAX@__crt_stdio_output@@YAPAXPAD@Z 0130 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0134 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0138 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 013c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 79 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 35 4B 01 93 37 4B 00 93 00 23 40 F2 B7 42 33 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 28 4A 27 49 25 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3D E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_132_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z"
		size = 320
		refs = "001c ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ??$get_parameter_type@X@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@PAX@__crt_stdio_output@@YAPAXPAD@Z 0130 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0134 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0138 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 013c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0F 99 0E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 79 E0 0E 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0E 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 35 4B 01 93 37 4B 00 93 00 23 40 F2 B7 42 33 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 28 4A 27 49 25 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3D E0 0E 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 08 90 0E 9B 2C 33 1B 68 00 93 0E 9B 32 33 1B 88 08 9A 0E 99 01 F2 64 44 0E 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0E 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 16 E0 15 E0 0E 9B 03 F2 64 41 0E 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 0B B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_109_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAD@__crt_stdio_output@@YAPADAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_113_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_115_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_116_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_117_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_119_4 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_120_4 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_121_3 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_123_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_124_3 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_125_3 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_127_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_128_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_133_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_134_4 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_135_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_136_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z"
		size = 48
		refs = "0010 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 00 9A 05 9B 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_137_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z"
		size = 356
		refs = "001c ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b8 memset 00c0 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 00f0 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 011e ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PAD@Z 0154 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0158 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 015c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0160 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 93 B0 16 9B 03 F2 5C 43 1B 68 01 2B 0A D1 17 99 16 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 8B E0 16 9B 03 F6 A8 23 1B 68 00 2B 08 DB 16 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3E 4B 01 93 40 4B 00 93 00 23 40 F2 B7 42 3C 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 31 4A 30 49 2E 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 4F E0 16 9B 03 F5 8B 63 1B 68 01 2B 28 D1 08 22 00 21 0A A8 ?? ?? ?? ?? 9D ED 0A 0B ?? ?? ?? ?? 08 90 16 9B 2C 33 1B 68 00 93 16 9B 31 33 93 F9 00 30 08 9A 16 99 01 F2 64 44 16 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 16 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 21 E0 20 E0 16 9B 03 F2 64 41 16 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 0E 0B 9D ED 0E 0B 8D ED 10 0B 17 9B 9D ED 10 0B 83 ED 00 0B 01 23 8D F8 0C 30 9D F8 0C 00 13 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_138_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z"
		size = 356
		refs = "001c ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b8 memset 00c0 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 00f0 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 011e ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PAD@Z 0154 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0158 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 015c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0160 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 93 B0 16 9B 03 F2 5C 43 1B 68 01 2B 0A D1 17 99 16 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 8B E0 16 9B 03 F6 A8 23 1B 68 00 2B 08 DB 16 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3E 4B 01 93 40 4B 00 93 00 23 40 F2 B7 42 3C 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 31 4A 30 49 2E 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 4F E0 16 9B 03 F5 8B 63 1B 68 01 2B 28 D1 08 22 00 21 0A A8 ?? ?? ?? ?? 9D ED 0A 0B ?? ?? ?? ?? 08 90 16 9B 2C 33 1B 68 00 93 16 9B 31 33 93 F9 00 30 08 9A 16 99 01 F2 64 44 16 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 16 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 21 E0 20 E0 16 9B 03 F2 64 41 16 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 0E 0B 9D ED 0E 0B 8D ED 10 0B 17 9B 9D ED 10 0B 83 ED 00 0B 01 23 8D F8 0C 30 9D F8 0C 00 13 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_139_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z"
		size = 356
		refs = "001c ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b8 memset 00c0 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 00ee ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 011c ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PAD@Z 0154 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0158 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 015c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0160 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 93 B0 16 9B 03 F2 5C 43 1B 68 01 2B 0A D1 17 99 16 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 8A E0 16 9B 03 F6 A8 23 1B 68 00 2B 08 DB 16 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3E 4B 01 93 40 4B 00 93 00 23 40 F2 B7 42 3C 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 31 4A 30 49 2E 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 4E E0 16 9B 03 F5 8B 63 1B 68 01 2B 27 D1 08 22 00 21 0A A8 ?? ?? ?? ?? 9D ED 0A 0B ?? ?? ?? ?? 08 90 16 9B 2C 33 1B 68 00 93 16 9B 32 33 1B 88 08 9A 16 99 01 F2 64 44 16 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 16 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 21 E0 20 E0 16 9B 03 F2 64 41 16 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 0E 0B 9D ED 0E 0B 8D ED 10 0B 17 9B 9D ED 10 0B 83 ED 00 0B 01 23 8D F8 0C 30 9D F8 0C 00 13 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_140_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z"
		size = 356
		refs = "001c ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b8 memset 00c0 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 00ee ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 011c ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PAD@Z 0154 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0158 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 015c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0160 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 93 B0 16 9B 03 F2 5C 43 1B 68 01 2B 0A D1 17 99 16 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 8A E0 16 9B 03 F6 A8 23 1B 68 00 2B 08 DB 16 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 3E 4B 01 93 40 4B 00 93 00 23 40 F2 B7 42 3C 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 31 4A 30 49 2E 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 4E E0 16 9B 03 F5 8B 63 1B 68 01 2B 27 D1 08 22 00 21 0A A8 ?? ?? ?? ?? 9D ED 0A 0B ?? ?? ?? ?? 08 90 16 9B 2C 33 1B 68 00 93 16 9B 32 33 1B 88 08 9A 16 99 01 F2 64 44 16 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 16 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 21 E0 20 E0 16 9B 03 F2 64 41 16 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 0E 0B 9D ED 0E 0B 8D ED 10 0B 17 9B 9D ED 10 0B 83 ED 00 0B 01 23 8D F8 0C 30 9D F8 0C 00 13 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_141_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z"
		size = 70
		refs = "0010 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z"
		altNames = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 14 00 ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 0B 9B 9D ED 06 0B 83 ED 00 0B 01 23 8D F8 00 30 9D F8 00 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_145_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 332
		refs = "001c ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b6 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 00e6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0114 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPAD@Z 013c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0140 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0144 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 10 9B 03 F2 5C 43 1B 68 01 2B 0A D1 11 99 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7F E0 10 9B 03 F6 A8 23 1B 68 00 2B 08 DB 10 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 B7 42 36 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2B 4A 2A 49 28 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 43 E0 10 9B 03 F5 8B 63 1B 68 01 2B 23 D1 00 20 00 21 ?? ?? ?? ?? 08 90 10 9B 2C 33 1B 68 00 93 10 9B 31 33 93 F9 00 30 08 9A 10 99 01 F2 64 44 10 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 10 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 10 9B 03 F2 64 41 10 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9A 11 9B 1A 60 0B 9A 11 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0D B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_146_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 332
		refs = "001c ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b6 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 00e6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0114 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPAD@Z 013c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0140 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0144 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 10 9B 03 F2 5C 43 1B 68 01 2B 0A D1 11 99 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7F E0 10 9B 03 F6 A8 23 1B 68 00 2B 08 DB 10 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 B7 42 36 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2B 4A 2A 49 28 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 43 E0 10 9B 03 F5 8B 63 1B 68 01 2B 23 D1 00 20 00 21 ?? ?? ?? ?? 08 90 10 9B 2C 33 1B 68 00 93 10 9B 31 33 93 F9 00 30 08 9A 10 99 01 F2 64 44 10 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 10 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 10 9B 03 F2 64 41 10 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9A 11 9B 1A 60 0B 9A 11 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0D B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_153_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 332
		refs = "001c ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b6 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 00e6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0114 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPAD@Z 013c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0140 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0144 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 10 9B 03 F2 5C 43 1B 68 01 2B 0A D1 11 99 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7F E0 10 9B 03 F6 A8 23 1B 68 00 2B 08 DB 10 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 B7 42 36 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2B 4A 2A 49 28 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 43 E0 10 9B 03 F5 8B 63 1B 68 01 2B 23 D1 00 20 00 21 ?? ?? ?? ?? 08 90 10 9B 2C 33 1B 68 00 93 10 9B 31 33 93 F9 00 30 08 9A 10 99 01 F2 64 44 10 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 10 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 10 9B 03 F2 64 41 10 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9A 11 9B 1A 60 0B 9A 11 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0D B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_154_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 332
		refs = "001c ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b6 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 00e6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0114 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPAD@Z 013c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0140 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0144 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 10 9B 03 F2 5C 43 1B 68 01 2B 0A D1 11 99 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7F E0 10 9B 03 F6 A8 23 1B 68 00 2B 08 DB 10 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 B7 42 36 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2B 4A 2A 49 28 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 43 E0 10 9B 03 F5 8B 63 1B 68 01 2B 23 D1 00 20 00 21 ?? ?? ?? ?? 08 90 10 9B 2C 33 1B 68 00 93 10 9B 31 33 93 F9 00 30 08 9A 10 99 01 F2 64 44 10 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 10 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 10 9B 03 F2 64 41 10 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9A 11 9B 1A 60 0B 9A 11 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0D B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_147_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 332
		refs = "001c ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b6 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0112 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPAD@Z 013c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0140 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0144 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 10 9B 03 F2 5C 43 1B 68 01 2B 0A D1 11 99 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7E E0 10 9B 03 F6 A8 23 1B 68 00 2B 08 DB 10 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 B7 42 36 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2B 4A 2A 49 28 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 42 E0 10 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 00 21 ?? ?? ?? ?? 08 90 10 9B 2C 33 1B 68 00 93 10 9B 32 33 1B 88 08 9A 10 99 01 F2 64 44 10 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 10 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 10 9B 03 F2 64 41 10 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9A 11 9B 1A 60 0B 9A 11 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0D B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_148_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 332
		refs = "001c ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b6 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0112 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPAD@Z 013c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0140 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0144 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 10 9B 03 F2 5C 43 1B 68 01 2B 0A D1 11 99 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7E E0 10 9B 03 F6 A8 23 1B 68 00 2B 08 DB 10 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 B7 42 36 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2B 4A 2A 49 28 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 42 E0 10 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 00 21 ?? ?? ?? ?? 08 90 10 9B 2C 33 1B 68 00 93 10 9B 32 33 1B 88 08 9A 10 99 01 F2 64 44 10 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 10 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 10 9B 03 F2 64 41 10 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9A 11 9B 1A 60 0B 9A 11 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0D B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_155_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 332
		refs = "001c ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b6 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0112 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPAD@Z 013c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0140 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0144 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 10 9B 03 F2 5C 43 1B 68 01 2B 0A D1 11 99 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7E E0 10 9B 03 F6 A8 23 1B 68 00 2B 08 DB 10 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 B7 42 36 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2B 4A 2A 49 28 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 42 E0 10 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 00 21 ?? ?? ?? ?? 08 90 10 9B 2C 33 1B 68 00 93 10 9B 32 33 1B 88 08 9A 10 99 01 F2 64 44 10 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 10 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 10 9B 03 F2 64 41 10 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9A 11 9B 1A 60 0B 9A 11 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0D B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_156_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 332
		refs = "001c ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b6 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0112 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPAD@Z 013c ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0140 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0144 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 10 9B 03 F2 5C 43 1B 68 01 2B 0A D1 11 99 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7E E0 10 9B 03 F6 A8 23 1B 68 00 2B 08 DB 10 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 B7 42 36 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2B 4A 2A 49 28 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 42 E0 10 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 00 21 ?? ?? ?? ?? 08 90 10 9B 2C 33 1B 68 00 93 10 9B 32 33 1B 88 08 9A 10 99 01 F2 64 44 10 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 10 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 1A E0 19 E0 10 9B 03 F2 64 41 10 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9A 11 9B 1A 60 0B 9A 11 9B 5A 60 01 23 8D F8 0C 30 9D F8 0C 00 0D B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_149_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 56
		refs = "0010 ??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 14 00 ?? ?? ?? ?? 03 91 02 90 02 9A 07 9B 1A 60 03 9A 07 9B 5A 60 01 23 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_157_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 56
		refs = "0010 ??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 14 00 ?? ?? ?? ?? 03 91 02 90 02 9A 07 9B 1A 60 03 9A 07 9B 5A 60 01 23 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_158_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 56
		refs = "0010 ??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 14 00 ?? ?? ?? ?? 03 91 02 90 02 9A 07 9B 1A 60 03 9A 07 9B 5A 60 01 23 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_159_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 56
		refs = "0010 ??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 14 00 ?? ?? ?? ?? 03 91 02 90 02 9A 07 9B 1A 60 03 9A 07 9B 5A 60 01 23 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_160_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 56
		refs = "0010 ??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 14 00 ?? ?? ?? ?? 03 91 02 90 02 9A 07 9B 1A 60 03 9A 07 9B 5A 60 01 23 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_161_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z"
		size = 328
		refs = "001c ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPAD@Z 0138 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 013c ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0140 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0D 99 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7C E0 0C 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0C 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 37 4B 01 93 39 4B 00 93 00 23 40 F2 B7 42 35 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2A 4A 29 49 27 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 40 E0 0C 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0C 9B 2C 33 1B 68 00 93 0C 9B 31 33 93 F9 00 30 08 9A 0C 99 01 F2 64 44 0C 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0C 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 18 E0 17 E0 0C 9B 03 F2 64 41 0C 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F8 0A 20 0D 9B 1A 80 01 23 8D F8 0C 30 9D F8 0C 00 09 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_162_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z"
		size = 328
		refs = "001c ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0112 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPAD@Z 0138 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 013c ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0140 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0D 99 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7C E0 0C 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0C 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 37 4B 01 93 39 4B 00 93 00 23 40 F2 B7 42 35 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 2A 4A 29 49 27 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 40 E0 0C 9B 03 F5 8B 63 1B 68 01 2B 22 D1 00 20 ?? ?? ?? ?? 08 90 0C 9B 2C 33 1B 68 00 93 0C 9B 31 33 93 F9 00 30 08 9A 0C 99 01 F2 64 44 0C 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0C 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 18 E0 17 E0 0C 9B 03 F2 64 41 0C 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F8 0A 20 0D 9B 1A 80 01 23 8D F8 0C 30 9D F8 0C 00 09 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_163_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z"
		size = 324
		refs = "001c ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPAD@Z 0134 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0138 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 013c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0D 99 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7B E0 0C 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0C 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 36 4B 01 93 38 4B 00 93 00 23 40 F2 B7 42 34 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 29 4A 28 49 26 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3F E0 0C 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 08 90 0C 9B 2C 33 1B 68 00 93 0C 9B 32 33 1B 88 08 9A 0C 99 01 F2 64 44 0C 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0C 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 18 E0 17 E0 0C 9B 03 F2 64 41 0C 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F8 0A 20 0D 9B 1A 80 01 23 8D F8 0C 30 9D F8 0C 00 09 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_164_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z"
		size = 324
		refs = "001c ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 006c _CrtDbgReportW 0080 _errno 009a _invalid_parameter 00b4 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 00e2 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0110 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPAD@Z 0134 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0138 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 013c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 03 F2 5C 43 1B 68 01 2B 0A D1 0D 99 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 7B E0 0C 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0C 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 36 4B 01 93 38 4B 00 93 00 23 40 F2 B7 42 34 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B7 43 29 4A 28 49 26 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3F E0 0C 9B 03 F5 8B 63 1B 68 01 2B 21 D1 00 20 ?? ?? ?? ?? 08 90 0C 9B 2C 33 1B 68 00 93 0C 9B 32 33 1B 88 08 9A 0C 99 01 F2 64 44 0C 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0C 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 18 E0 17 E0 0C 9B 03 F2 64 41 0C 9B 03 F6 A8 23 1A 68 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? AD F8 0A 00 BD F8 0A 20 0D 9B 1A 80 01 23 8D F8 0C 30 9D F8 0C 00 09 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_165_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z"
		size = 52
		refs = "0010 ??$read_va_arg@_W@__crt_stdio_output@@YA_WAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 05 9B 1A 80 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_169_0 {
	meta:
		name = "??$get_parameter_type@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z"
		size = 26
		altNames = "??$get_parameter_type@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z ??$get_parameter_type@D@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z ??$get_parameter_type@D@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$get_parameter_type@X@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z ??$get_parameter_type@X@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z ??$get_parameter_type@X@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z ??$get_parameter_type@X@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 03 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_181_0 {
	meta:
		name = "??$is_character_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 58
		altNames = "??$is_character_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F9 10 30 63 2B 06 D0 9D F9 10 30 43 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_183_0 {
	meta:
		name = "??$is_character_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 58
		altNames = "??$is_character_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 10 30 63 2B 06 D0 BD F8 10 30 43 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_185_0 {
	meta:
		name = "??$is_integral_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 98
		altNames = "??$is_integral_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F9 10 30 64 2B 1A D0 9D F9 10 30 69 2B 16 D0 9D F9 10 30 6F 2B 12 D0 9D F9 10 30 75 2B 0E D0 9D F9 10 30 78 2B 0A D0 9D F9 10 30 58 2B 06 D0 9D F9 10 30 2A 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_187_0 {
	meta:
		name = "??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 98
		altNames = "??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 10 30 64 2B 1A D0 BD F8 10 30 69 2B 16 D0 BD F8 10 30 6F 2B 12 D0 BD F8 10 30 75 2B 0E D0 BD F8 10 30 78 2B 0A D0 BD F8 10 30 58 2B 06 D0 BD F8 10 30 2A 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_189_0 {
	meta:
		name = "??$is_pointer_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 50
		altNames = "??$is_pointer_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F9 10 30 70 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_191_0 {
	meta:
		name = "??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 50
		altNames = "??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 10 30 70 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_193_0 {
	meta:
		name = "??$is_string_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 58
		altNames = "??$is_string_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F9 10 30 73 2B 06 D0 9D F9 10 30 53 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_195_0 {
	meta:
		name = "??$is_string_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 58
		altNames = "??$is_string_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 10 30 73 2B 06 D0 BD F8 10 30 53 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_197_0 {
	meta:
		name = "??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
		size = 156
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 02 93 02 9B 02 2B 0E D0 02 9B 03 2B 03 D0 02 9B 0C 2B 04 D0 0B E0 01 23 8D F8 04 30 31 E0 01 23 8D F8 04 30 2D E0 00 23 8D F8 04 30 29 E0 09 9B 0D 2B 03 D1 00 23 8D F8 04 30 22 E0 00 23 8D F8 02 30 9D F9 20 30 63 2B 07 D0 9D F9 20 30 73 2B 03 D0 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 30 8D F8 01 30 9D F8 01 30 00 2B 02 D1 01 23 03 93 01 E0 00 23 03 93 03 9B DB B2 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_198_0 {
	meta:
		name = "??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
		size = 186
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 02 93 02 9B 02 2B 0E D0 02 9B 03 2B 03 D0 02 9B 0C 2B 04 D0 0B E0 01 23 8D F8 04 30 40 E0 01 23 8D F8 04 30 3C E0 00 23 8D F8 04 30 38 E0 09 9B 0D 2B 03 D1 01 23 8D F8 04 30 31 E0 06 9B 03 F0 04 03 00 2B 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 02 30 BD F8 20 30 63 2B 07 D0 BD F8 20 30 73 2B 03 D0 00 23 8D F8 01 30 02 E0 01 23 8D F8 01 30 9D F8 01 30 8D F8 03 30 9D F8 02 20 9D F8 03 30 9A 42 02 D1 01 23 03 93 01 E0 00 23 03 93 03 9B DB B2 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_199_0 {
	meta:
		name = "??$peek_va_arg@C@__crt_stdio_output@@YACPAD@Z"
		size = 42
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 04 93 04 9B 1B 1F 93 F9 00 30 8D F8 00 30 9D F9 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_200_0 {
	meta:
		name = "??$peek_va_arg@E@__crt_stdio_output@@YAEPAD@Z"
		size = 40
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 04 93 04 9B 1B 1F 1B 78 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_201_0 {
	meta:
		name = "??$peek_va_arg@F@__crt_stdio_output@@YAFPAD@Z"
		size = 52
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 5B 42 03 F0 01 03 1A 1D 04 9B 13 44 04 93 04 9B 1B 1F B3 F9 00 30 AD F8 00 30 BD F9 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_202_0 {
	meta:
		name = "??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z"
		size = 50
		altNames = "??$peek_va_arg@_W@__crt_stdio_output@@YA_WPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 5B 42 03 F0 01 03 1A 1D 04 9B 13 44 04 93 04 9B 1B 1F 1B 88 AD F8 00 30 BD F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_203_0 {
	meta:
		name = "??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
		size = 46
		altNames = "??$peek_va_arg@I@__crt_stdio_output@@YAIPAD@Z ??$peek_va_arg@PAD@__crt_stdio_output@@YAPADPAD@Z ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@PAD@Z ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@PAD@Z ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@PAD@Z ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@PAD@Z ??$peek_va_arg@PAX@__crt_stdio_output@@YAPAXPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 5B 42 03 F0 03 03 1A 1D 04 9B 13 44 04 93 04 9B 1B 1F 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_211_0 {
	meta:
		name = "??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PAD@Z"
		size = 54
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 5B 42 03 F0 07 03 03 F1 08 02 04 9B 13 44 04 93 04 9B 08 3B 93 ED 00 0B 8D ED 00 0B 9D ED 00 0B 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_212_0 {
	meta:
		name = "??$peek_va_arg@_J@__crt_stdio_output@@YA_JPAD@Z"
		size = 60
		altNames = "??$peek_va_arg@_K@__crt_stdio_output@@YA_KPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 5B 42 03 F0 07 03 03 F1 08 02 06 9B 13 44 06 93 06 9B 08 3B 00 93 00 9B 1A 68 00 9B 5B 68 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_215_0 {
	meta:
		name = "??$puttc_nolock@ABDPAU_iobuf@@@?$__crt_char_traits@D@@SAHABD$$QAPAU_iobuf@@@Z"
		size = 42
		refs = "0014 _fputc_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 93 F9 00 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_216_0 {
	meta:
		name = "??$puttc_nolock@AB_WPAU_iobuf@@@?$__crt_char_traits@_W@@SAGAB_W$$QAPAU_iobuf@@@Z"
		size = 48
		refs = "0012 _fputwc_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 88 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_115_0 {
	meta:
		name = "??$ungettc_nolock@ABGPAU_iobuf@@@?$__crt_char_traits@_W@@SAGABG$$QAPAU_iobuf@@@Z"
		size = 48
		refs = "0012 _ungetwc_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 88 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_217_0 {
	meta:
		name = "??$read_va_arg@C@__crt_stdio_output@@YACAAPAD@Z"
		size = 48
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 1A 1D 04 9B 1A 60 04 9B 1B 68 1B 1F 93 F9 00 30 8D F8 00 30 9D F9 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_218_0 {
	meta:
		name = "??$read_va_arg@E@__crt_stdio_output@@YAEAAPAD@Z"
		size = 46
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 1A 1D 04 9B 1A 60 04 9B 1B 68 1B 1F 1B 78 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_219_0 {
	meta:
		name = "??$read_va_arg@F@__crt_stdio_output@@YAFAAPAD@Z"
		size = 60
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 5B 42 03 F0 01 03 1A 1D 04 9B 1B 68 1A 44 04 9B 1A 60 04 9B 1B 68 1B 1F B3 F9 00 30 AD F8 00 30 BD F9 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_220_0 {
	meta:
		name = "??$read_va_arg@G@__crt_stdio_output@@YAGAAPAD@Z"
		size = 58
		altNames = "??$read_va_arg@_W@__crt_stdio_output@@YA_WAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 5B 42 03 F0 01 03 1A 1D 04 9B 1B 68 1A 44 04 9B 1A 60 04 9B 1B 68 1B 1F 1B 88 AD F8 00 30 BD F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_221_0 {
	meta:
		name = "??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z"
		size = 54
		altNames = "??$read_va_arg@I@__crt_stdio_output@@YAIAAPAD@Z ??$read_va_arg@PAD@__crt_stdio_output@@YAPADAAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 5B 42 03 F0 03 03 1A 1D 04 9B 1B 68 1A 44 04 9B 1A 60 04 9B 1B 68 1B 1F 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_237_0 {
	meta:
		name = "??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z"
		size = 62
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 5B 42 03 F0 07 03 03 F1 08 02 04 9B 1B 68 1A 44 04 9B 1A 60 04 9B 1B 68 08 3B 93 ED 00 0B 8D ED 00 0B 9D ED 00 0B 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_238_0 {
	meta:
		name = "??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z"
		size = 68
		altNames = "??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 68 5B 42 03 F0 07 03 03 F1 08 02 06 9B 1B 68 1A 44 06 9B 1A 60 06 9B 1B 68 08 3B 00 93 00 9B 1A 68 00 9B 5B 68 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_242_0 {
	meta:
		name = "??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ"
		size = 90
		refs = "0010 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ 0022 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0038 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F2 04 40 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 08 D1 08 98 ?? ?? ?? ?? 02 90 08 9A 02 9B 13 44 01 93 0D E0 08 9B 03 F2 04 40 ?? ?? ?? ?? 03 90 08 98 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 01 93 01 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_247_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 220
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0066 __rt_udiv 0094 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 35 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 5B B2 8D F8 00 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 9D F9 00 30 39 2B 0B DD 9D F8 2C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 C1 E7 02 9A 01 9B 1B 68 D2 1A 08 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_248_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 220
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0066 __rt_udiv 0094 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 35 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 5B B2 8D F8 00 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 9D F9 00 30 39 2B 0B DD 9D F8 2C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 C1 E7 02 9A 01 9B 1B 68 D2 1A 08 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_249_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 220
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0066 __rt_udiv 0094 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 35 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 5B B2 8D F8 00 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 9D F9 00 30 39 2B 0B DD 9D F8 2C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 C1 E7 02 9A 01 9B 1B 68 D2 1A 08 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_250_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 220
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0066 __rt_udiv 0094 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 35 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 5B B2 8D F8 00 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 9D F9 00 30 39 2B 0B DD 9D F8 2C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 C1 E7 02 9A 01 9B 1B 68 D2 1A 08 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_251_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 220
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0066 __rt_udiv 0094 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 35 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 5B B2 8D F8 00 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 9D F9 00 30 39 2B 0B DD 9D F8 2C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 C1 E7 02 9A 01 9B 1B 68 D2 1A 08 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_252_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 220
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0066 __rt_udiv 0094 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 35 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 5B B2 8D F8 00 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 9D F9 00 30 39 2B 0B DD 9D F8 2C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 C1 E7 02 9A 01 9B 1B 68 D2 1A 08 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_253_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 234
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 006c __rt_udiv 009a ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 38 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 9B B2 AD F8 02 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 BD F8 02 30 39 2B 0C DD 9D F8 2C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 BE E7 02 9A 01 9B 1B 68 D3 1A 5A 10 08 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_254_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 234
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 006c __rt_udiv 009a ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 38 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 9B B2 AD F8 02 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 BD F8 02 30 39 2B 0C DD 9D F8 2C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 BE E7 02 9A 01 9B 1B 68 D3 1A 5A 10 08 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_255_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 234
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 006c __rt_udiv 009a ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 38 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 9B B2 AD F8 02 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 BD F8 02 30 39 2B 0C DD 9D F8 2C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 BE E7 02 9A 01 9B 1B 68 D3 1A 5A 10 08 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_256_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 234
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 006c __rt_udiv 009a ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 38 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 9B B2 AD F8 02 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 BD F8 02 30 39 2B 0C DD 9D F8 2C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 BE E7 02 9A 01 9B 1B 68 D3 1A 5A 10 08 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_257_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 234
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 006c __rt_udiv 009a ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 38 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 9B B2 AD F8 02 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 BD F8 02 30 39 2B 0C DD 9D F8 2C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 BE E7 02 9A 01 9B 1B 68 D3 1A 5A 10 08 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_258_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 234
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 006c __rt_udiv 009a ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 08 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 08 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 08 9B 28 33 1B 68 00 2B 02 DC 09 9B 00 2B 38 D0 08 9B 28 33 1B 68 5A 1E 08 9B 28 33 1A 60 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 F1 30 03 9B B2 AD F8 02 30 09 99 0A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 90 BD F8 02 30 39 2B 0C DD 9D F8 2C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 BE E7 02 9A 01 9B 1B 68 D3 1A 5A 10 08 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_259_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 250
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0076 __rt_udiv64 00b2 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 3E D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 5B B2 8D F8 00 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 9D F9 00 30 39 2B 0B DD 9D F8 4C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 B2 E7 02 9A 01 9B 1B 68 D2 1A 0E 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_260_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 250
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0076 __rt_udiv64 00b2 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 3E D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 5B B2 8D F8 00 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 9D F9 00 30 39 2B 0B DD 9D F8 4C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 B2 E7 02 9A 01 9B 1B 68 D2 1A 0E 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_261_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 250
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0076 __rt_udiv64 00b2 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 3E D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 5B B2 8D F8 00 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 9D F9 00 30 39 2B 0B DD 9D F8 4C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 B2 E7 02 9A 01 9B 1B 68 D2 1A 0E 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_262_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 250
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0076 __rt_udiv64 00b2 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 3E D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 5B B2 8D F8 00 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 9D F9 00 30 39 2B 0B DD 9D F8 4C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 B2 E7 02 9A 01 9B 1B 68 D2 1A 0E 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_263_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 250
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0076 __rt_udiv64 00b2 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 3E D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 5B B2 8D F8 00 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 9D F9 00 30 39 2B 0B DD 9D F8 4C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 B2 E7 02 9A 01 9B 1B 68 D2 1A 0E 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_264_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 250
		refs = "0010 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 002e ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0076 __rt_udiv64 00b2 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 03 9A 04 9B 13 44 5B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 3E D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 5B B2 8D F8 00 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 9D F9 00 30 39 2B 0B DD 9D F8 4C 10 9D F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F9 01 30 8D F8 00 30 01 9B 1A 68 9D F9 00 30 13 70 01 9B 1B 68 5A 1E 01 9B 1A 60 B2 E7 02 9A 01 9B 1B 68 D2 1A 0E 9B 38 33 1A 60 01 9B 1B 68 5A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_265_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 264
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 007c __rt_udiv64 00b8 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 41 D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 9B B2 AD F8 02 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 BD F8 02 30 39 2B 0C DD 9D F8 4C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 AF E7 02 9A 01 9B 1B 68 D3 1A 5A 10 0E 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_266_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 264
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 007c __rt_udiv64 00b8 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 41 D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 9B B2 AD F8 02 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 BD F8 02 30 39 2B 0C DD 9D F8 4C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 AF E7 02 9A 01 9B 1B 68 D3 1A 5A 10 0E 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_267_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 264
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 007c __rt_udiv64 00b8 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 41 D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 9B B2 AD F8 02 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 BD F8 02 30 39 2B 0C DD 9D F8 4C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 AF E7 02 9A 01 9B 1B 68 D3 1A 5A 10 0E 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_268_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 264
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 007c __rt_udiv64 00b8 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 41 D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 9B B2 AD F8 02 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 BD F8 02 30 39 2B 0C DD 9D F8 4C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 AF E7 02 9A 01 9B 1B 68 D3 1A 5A 10 0E 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_269_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 264
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 007c __rt_udiv64 00b8 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 41 D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 9B B2 AD F8 02 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 BD F8 02 30 39 2B 0C DD 9D F8 4C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 AF E7 02 9A 01 9B 1B 68 D3 1A 5A 10 0E 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_270_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 264
		refs = "0010 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ 0034 ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 007c __rt_udiv64 00b8 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 0E 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 03 9A 02 23 02 FB 03 F2 04 9B 13 44 9B 1E 02 93 0E 98 ?? ?? ?? ?? 05 90 05 9B 01 93 02 9A 01 9B 1A 60 0E 9B 28 33 1B 68 00 2B 08 DC 10 9B 06 93 11 9B 07 93 07 9A 06 9B 13 43 00 2B 41 D0 0E 9B 28 33 1B 68 5A 1E 0E 9B 28 33 1A 60 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 02 F1 30 03 9B B2 AD F8 02 30 12 98 00 21 10 9A 11 9B 00 28 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 10 90 11 91 BD F8 02 30 39 2B 0C DD 9D F8 4C 10 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 30 9B B2 AD F8 02 30 BD F8 02 30 5B B2 9A B2 01 9B 1B 68 1A 80 01 9B 1B 68 9A 1E 01 9B 1A 60 AF E7 02 9A 01 9B 1B 68 D3 1A 5A 10 0E 9B 38 33 1A 60 01 9B 1B 68 9A 1C 01 9B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_271_0 {
	meta:
		name = "??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@D@0@DHQAH@Z"
		size = 66
		refs = "0026 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBAXDQAH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 06 9B 9A 42 0C DA 07 9A 9D F9 14 10 04 98 ?? ?? ?? ?? 07 9B 1B 68 B3 F1 FF 3F 00 D1 00 E0 EB E7 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_273_0 {
	meta:
		name = "??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@D@0@DHQAH@Z"
		size = 66
		refs = "0026 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBA_NDQAH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 06 9B 9A 42 0C DA 07 9A 9D F9 14 10 04 98 ?? ?? ?? ?? 07 9B 1B 68 B3 F1 FF 3F 00 D1 00 E0 EB E7 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_272_0 {
	meta:
		name = "??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@_W@0@DHQAH@Z"
		size = 68
		refs = "0028 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBAX_WQAH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 06 9B 9A 42 0D DA 07 9A 9D F9 14 30 99 B2 04 98 ?? ?? ?? ?? 07 9B 1B 68 B3 F1 FF 3F 00 D1 00 E0 EA E7 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_274_0 {
	meta:
		name = "??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@_W@0@DHQAH@Z"
		size = 68
		refs = "0028 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBA_N_WQAH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 06 9B 9A 42 0D DA 07 9A 9D F9 14 30 99 B2 04 98 ?? ?? ?? ?? 07 9B 1B 68 B3 F1 FF 3F 00 D1 00 E0 EA E7 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_294_0 {
	meta:
		name = "??0?$common_data@D@__crt_stdio_output@@IAA@XZ"
		size = 184
		refs = "002a ??0__crt_deferred_errno_cache@@QAA@XZ 00a2 ??0formatting_buffer@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 9A 00 23 13 60 00 9A 00 23 53 60 06 9B 03 F1 08 02 00 23 13 60 06 9B 03 F1 0C 00 ?? ?? ?? ?? 06 9B 03 F1 10 02 00 23 13 60 06 9B 03 F1 14 02 00 23 13 60 06 9B 03 F1 18 02 00 23 13 60 06 9B 03 F1 1C 02 00 23 13 60 06 9B 03 F1 20 02 00 23 13 60 06 9B 03 F1 24 02 00 23 13 60 06 9B 03 F1 28 02 00 23 13 60 06 9B 03 F1 30 02 00 23 13 70 06 9B 03 F1 31 02 00 23 13 70 06 9B 03 F1 38 02 00 23 13 60 06 9B 03 F1 3C 02 00 23 13 70 06 9B 03 F1 40 00 ?? ?? ?? ?? 02 90 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_295_0 {
	meta:
		name = "??0?$common_data@_W@__crt_stdio_output@@IAA@XZ"
		size = 184
		refs = "002a ??0__crt_deferred_errno_cache@@QAA@XZ 00a2 ??0formatting_buffer@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 9A 00 23 13 60 00 9A 00 23 53 60 06 9B 03 F1 08 02 00 23 13 60 06 9B 03 F1 0C 00 ?? ?? ?? ?? 06 9B 03 F1 10 02 00 23 13 60 06 9B 03 F1 14 02 00 23 13 60 06 9B 03 F1 18 02 00 23 13 60 06 9B 03 F1 1C 02 00 23 13 60 06 9B 03 F1 20 02 00 23 13 60 06 9B 03 F1 24 02 00 23 13 60 06 9B 03 F1 28 02 00 23 13 60 06 9B 03 F1 30 02 00 23 13 70 06 9B 03 F1 32 02 00 23 13 80 06 9B 03 F1 38 02 00 23 13 60 06 9B 03 F1 3C 02 00 23 13 70 06 9B 03 F1 40 00 ?? ?? ?? ?? 02 90 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_296_0 {
	meta:
		name = "??0?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 88
		refs = "000c ??0?$common_data@D@__crt_stdio_output@@IAA@XZ 001a memcpy"
		altNames = "??0?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 99 04 9B 03 F5 89 60 04 22 ?? ?? ?? ?? 06 9A 04 9B 1A 60 07 9A 04 9B 5A 60 04 9B 03 F1 08 02 09 9B 13 60 04 9B 03 F1 10 02 08 9B 13 60 04 9B 03 F1 14 02 0A 9B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_298_0 {
	meta:
		name = "??0?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 88
		refs = "000c ??0?$common_data@_W@__crt_stdio_output@@IAA@XZ 001a memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 99 04 9B 03 F5 89 60 04 22 ?? ?? ?? ?? 06 9A 04 9B 1A 60 07 9A 04 9B 5A 60 04 9B 03 F1 08 02 09 9B 13 60 04 9B 03 F1 10 02 08 9B 13 60 04 9B 03 F1 14 02 0A 9B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_299_0 {
	meta:
		name = "??0?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 88
		refs = "000c ??0?$common_data@_W@__crt_stdio_output@@IAA@XZ 001a memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 99 04 9B 03 F5 89 60 04 22 ?? ?? ?? ?? 06 9A 04 9B 1A 60 07 9A 04 9B 5A 60 04 9B 03 F1 08 02 09 9B 13 60 04 9B 03 F1 10 02 08 9B 13 60 04 9B 03 F1 14 02 0A 9B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_300_0 {
	meta:
		name = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$stream_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_301_0 {
	meta:
		name = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$stream_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_302_0 {
	meta:
		name = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$stream_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_303_4 {
	meta:
		name = "??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_304_4 {
	meta:
		name = "??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_305_0 {
	meta:
		name = "??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_306_0 {
	meta:
		name = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$stream_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_307_2 {
	meta:
		name = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$stream_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_308_4 {
	meta:
		name = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$stream_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_309_0 {
	meta:
		name = "??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_310_0 {
	meta:
		name = "??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_311_3 {
	meta:
		name = "??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "001a ??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0C AB 01 93 0B AB 00 93 0A AB 08 AA 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_312_0 {
	meta:
		name = "??0?$stream_output_adapter@D@__crt_stdio_output@@QAA@QAU_iobuf@@@Z"
		size = 34
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z"
		altNames = "??0?$stream_output_adapter@_W@__crt_stdio_output@@QAA@QAU_iobuf@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 05 99 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_317_0 {
	meta:
		name = "??0__acrt_stdio_temporary_buffering_guard@@QAA@QAU_iobuf@@@Z"
		size = 52
		refs = "0012 __acrt_stdio_begin_temporary_buffering_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 05 98 ?? ?? ?? ?? 8D F8 00 00 04 9B 1A 1D 9D F8 00 30 13 70 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_319_0 {
	meta:
		name = "??0__crt_errno_guard@@QAA@QAH@Z"
		size = 48
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 04 9B 1A 1D 05 9B 1B 68 13 60 05 9A 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_321_0 {
	meta:
		name = "??0formatting_buffer@__crt_stdio_output@@QAA@XZ"
		size = 48
		refs = "001c ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F5 80 62 00 23 13 60 00 21 04 9B 03 F2 04 40 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_323_0 {
	meta:
		name = "??1?$common_data@D@__crt_stdio_output@@QAA@XZ"
		size = 26
		refs = "000e ??1formatting_buffer@__crt_stdio_output@@QAA@XZ"
		altNames = "??1?$common_data@_W@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 40 00 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_354_0 {
	meta:
		name = "??1__acrt_stdio_temporary_buffering_guard@@QAA@XZ"
		size = 30
		refs = "0012 __acrt_stdio_end_temporary_buffering_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 19 68 02 9B 1B 1D 18 78 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_355_0 {
	meta:
		name = "??1__crt_errno_guard@@QAA@XZ"
		size = 48
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1B 68 1B 68 00 2B 0A D1 02 9B 1B 1D 1B 68 00 2B 05 D0 02 9B 19 1D 02 9B 1A 68 0B 68 13 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_356_0 {
	meta:
		name = "??1formatting_buffer@__crt_stdio_output@@QAA@XZ"
		size = 26
		refs = "000e ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F2 04 40 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_357_0 {
	meta:
		name = "??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAAAV0@$$QAV0@@Z"
		size = 46
		refs = "000c ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 04 9A 1B 68 13 60 05 9A 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_179_0 {
	meta:
		name = "??4?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAAAV0@$$QAV0@@Z"
		size = 46
		refs = "000c ?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 05 9B 04 9A 1B 68 13 60 05 9A 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_380_0 {
	meta:
		name = "?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
		size = 72
		altNames = "?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 9D F8 1C 30 00 2B 03 D0 41 23 8D F8 00 30 02 E0 61 23 8D F8 00 30 9D F9 00 30 01 93 01 9B 39 3B 5B 1E 02 93 02 9A 06 9B 13 44 5B B2 8D F8 0C 30 9D F9 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_392_0 {
	meta:
		name = "?advance_to_next_pass@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 170
		altNames = "?advance_to_next_pass@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?advance_to_next_pass@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?advance_to_next_pass@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F5 8B 63 1B 68 5A 1C 04 9B 03 F5 8B 63 1A 60 04 9B 03 F5 8B 63 1B 68 03 2B 03 D1 00 23 8D F8 00 30 35 E0 04 9B 03 F5 8B 63 1B 68 02 2B 09 D1 04 9B 03 F2 5C 43 1B 68 01 2B 03 D1 00 23 8D F8 00 30 25 E0 04 9B 03 F2 5C 42 00 23 13 60 04 9B 03 F6 A4 22 6F F0 00 03 13 60 04 9B 03 F6 A8 22 6F F0 00 03 13 60 04 9B 03 F1 24 02 00 23 13 60 04 9B 03 F1 28 02 00 23 13 60 04 9B 03 F5 8C 61 04 9B 03 F1 10 02 0B 68 13 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_396_0 {
	meta:
		name = "?advance_to_next_pass@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 72
		altNames = "?advance_to_next_pass@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?advance_to_next_pass@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?advance_to_next_pass@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F5 8A 63 1B 68 5A 1C 04 9B 03 F5 8A 63 1A 60 04 9B 03 F5 8A 63 1B 68 02 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_400_0 {
	meta:
		name = "?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
		size = 206
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 1B 68 88 33 1B 68 1B 68 93 F9 00 30 8D F8 00 30 04 9B 93 F9 00 30 00 2B 0A D0 04 9B 93 F9 00 20 9D F9 00 30 9A 42 03 D0 04 9B 5B 1C 04 93 EF E7 04 9B 93 F9 00 20 04 9B 5B 1C 04 93 00 2A 3B D0 04 9B 93 F9 00 30 00 2B 0D D0 04 9B 93 F9 00 30 65 2B 08 D0 04 9B 93 F9 00 30 45 2B 03 D0 04 9B 5B 1C 04 93 EC E7 04 9B 01 93 04 9B 5B 1E 04 93 04 9B 93 F9 00 30 30 2B 03 D1 04 9B 5B 1E 04 93 F6 E7 04 9B 93 F9 00 20 9D F9 00 30 9A 42 02 D1 04 9B 5B 1E 04 93 04 9B 5B 1C 04 93 01 9B 93 F9 00 20 04 9B 1A 70 04 9B 93 F9 00 20 01 9B 5B 1C 01 93 00 2A 00 D0 EE E7 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_401_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z"
		size = 130
		refs = "000a ?state_transition_table@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004e ?state_count@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
		altNames = "?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 03 93 03 AB 01 93 9D F9 2C 30 20 2B 12 DB 9D F9 2C 30 7A 2B 0E DC 9D F9 2C 30 A3 F1 20 02 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 03 F0 0F 03 00 93 01 E0 00 23 00 93 00 9B 04 93 ?? ?? ?? ?? 05 90 04 9A 05 9B 02 FB 03 F2 0C 9B 13 44 06 93 06 9A 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 1B 11 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_403_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z"
		size = 130
		refs = "000a ?state_transition_table@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004e ?state_count@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 03 93 03 AB 01 93 9D F9 2C 30 20 2B 12 DB 9D F9 2C 30 7A 2B 0E DC 9D F9 2C 30 A3 F1 20 02 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 03 F0 0F 03 00 93 01 E0 00 23 00 93 00 9B 04 93 ?? ?? ?? ?? 05 90 04 9A 05 9B 02 FB 03 F2 0C 9B 13 44 06 93 06 9A 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 1B 11 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_404_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z"
		size = 130
		refs = "000a ?state_transition_table@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004e ?state_count@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 03 93 03 AB 01 93 9D F9 2C 30 20 2B 12 DB 9D F9 2C 30 7A 2B 0E DC 9D F9 2C 30 A3 F1 20 02 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 03 F0 0F 03 00 93 01 E0 00 23 00 93 00 9B 04 93 ?? ?? ?? ?? 05 90 04 9A 05 9B 02 FB 03 F2 0C 9B 13 44 06 93 06 9A 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 1B 11 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_405_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z"
		size = 130
		refs = "000a ?state_transition_table@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004e ?state_count@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 03 93 03 AB 01 93 9D F9 2C 30 20 2B 12 DB 9D F9 2C 30 7A 2B 0E DC 9D F9 2C 30 A3 F1 20 02 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 03 F0 0F 03 00 93 01 E0 00 23 00 93 00 9B 04 93 ?? ?? ?? ?? 05 90 04 9A 05 9B 02 FB 03 F2 0C 9B 13 44 06 93 06 9A 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 1B 11 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_406_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z"
		size = 130
		refs = "000a ?state_transition_table@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004e ?state_count@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 03 93 03 AB 01 93 9D F9 2C 30 20 2B 12 DB 9D F9 2C 30 7A 2B 0E DC 9D F9 2C 30 A3 F1 20 02 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 03 F0 0F 03 00 93 01 E0 00 23 00 93 00 9B 04 93 ?? ?? ?? ?? 05 90 04 9A 05 9B 02 FB 03 F2 0C 9B 13 44 06 93 06 9A 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 1B 11 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_407_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z"
		size = 130
		refs = "000a ?state_transition_table@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004e ?state_count@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
		altNames = "?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 03 93 03 AB 01 93 BD F8 2C 30 20 2B 12 DB BD F8 2C 30 7A 2B 0E DC BD F8 2C 30 A3 F1 20 02 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 03 F0 0F 03 00 93 01 E0 00 23 00 93 00 9B 04 93 ?? ?? ?? ?? 05 90 04 9A 05 9B 02 FB 03 F2 0C 9B 13 44 06 93 06 9A 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 1B 11 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_409_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z"
		size = 130
		refs = "000a ?state_transition_table@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004e ?state_count@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 03 93 03 AB 01 93 BD F8 2C 30 20 2B 12 DB BD F8 2C 30 7A 2B 0E DC BD F8 2C 30 A3 F1 20 02 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 03 F0 0F 03 00 93 01 E0 00 23 00 93 00 9B 04 93 ?? ?? ?? ?? 05 90 04 9A 05 9B 02 FB 03 F2 0C 9B 13 44 06 93 06 9A 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 1B 11 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_410_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z"
		size = 130
		refs = "000a ?state_transition_table@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004e ?state_count@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 03 93 03 AB 01 93 BD F8 2C 30 20 2B 12 DB BD F8 2C 30 7A 2B 0E DC BD F8 2C 30 A3 F1 20 02 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 03 F0 0F 03 00 93 01 E0 00 23 00 93 00 9B 04 93 ?? ?? ?? ?? 05 90 04 9A 05 9B 02 FB 03 F2 0C 9B 13 44 06 93 06 9A 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 1B 11 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_411_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z"
		size = 130
		refs = "000a ?state_transition_table@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004e ?state_count@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 03 93 03 AB 01 93 BD F8 2C 30 20 2B 12 DB BD F8 2C 30 7A 2B 0E DC BD F8 2C 30 A3 F1 20 02 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 03 F0 0F 03 00 93 01 E0 00 23 00 93 00 9B 04 93 ?? ?? ?? ?? 05 90 04 9A 05 9B 02 FB 03 F2 0C 9B 13 44 06 93 06 9A 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 1B 11 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_412_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z"
		size = 130
		refs = "000a ?state_transition_table@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004e ?state_count@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 03 93 03 AB 01 93 BD F8 2C 30 20 2B 12 DB BD F8 2C 30 7A 2B 0E DC BD F8 2C 30 A3 F1 20 02 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 03 F0 0F 03 00 93 01 E0 00 23 00 93 00 9B 04 93 ?? ?? ?? ?? 05 90 04 9A 05 9B 02 FB 03 F2 0C 9B 13 44 06 93 06 9A 01 23 02 FB 03 F2 01 9B 1B 68 13 44 1B 78 1B 11 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_413_0 {
	meta:
		name = "?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
		size = 164
		refs = "0010 tolower 002a isdigit"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 93 F9 00 00 ?? ?? ?? ?? 01 90 01 9B 65 2B 0C D0 06 9B 5B 1C 06 93 06 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 02 90 02 9B 00 2B F2 D1 06 9B 93 F9 00 00 ?? ?? ?? ?? 03 90 03 9B 78 2B 02 D1 06 9B 9B 1C 06 93 06 9B 93 F9 00 30 8D F8 00 30 07 9B 1B 68 88 33 1B 68 1B 68 93 F9 00 20 06 9B 1A 70 06 9B 5B 1C 06 93 06 9B 93 F9 00 30 8D F8 01 30 9D F9 00 20 06 9B 1A 70 9D F9 01 30 8D F8 00 30 06 9B 93 F9 00 20 06 9B 5B 1C 06 93 00 2A EA D1 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_415_0 {
	meta:
		name = "?get@__crt_deferred_errno_cache@@QAAAAHXZ"
		size = 48
		refs = "0012 _errno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 05 D1 ?? ?? ?? ?? 00 90 04 9A 00 9B 13 60 04 9B 1B 68 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_417_0 {
	meta:
		name = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z"
		size = 26
		altNames = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_421_0 {
	meta:
		name = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z"
		size = 24
		altNames = "?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 02 0B 04 23 00 93 00 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_121_422_0 {
	meta:
		name = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z"
		size = 26
		altNames = "?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 02 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_449_0 {
	meta:
		name = "?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z"
		size = 56
		altNames = "?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 20 33 1A 68 05 9B 13 40 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_461_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 572
		refs = "0012 ??$is_pointer_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 006e ??$is_string_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 009a ??$is_character_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 0114 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0166 ??$is_integral_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 01e8 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 11 9B 1B 1D 93 F9 00 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 00 30 9D F9 4C 00 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 01 30 9D F8 00 30 00 2B 03 D1 9D F8 01 30 00 2B 0F D0 9D F8 00 20 9D F8 01 30 9A 42 02 D1 01 23 06 93 01 E0 00 23 06 93 06 9B DB B2 8D F8 08 30 E3 E0 11 9B 1B 1D 93 F9 00 00 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 02 30 9D F9 4C 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 03 30 11 9B 1B 1D 93 F9 00 00 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 04 30 9D F9 4C 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 05 30 9D F8 02 30 00 2B 0B D1 9D F8 03 30 00 2B 07 D1 9D F8 04 30 00 2B 03 D1 9D F8 05 30 00 2B 3F D0 9D F8 02 20 9D F8 03 30 9A 42 05 D1 9D F8 04 20 9D F8 05 30 9A 42 03 D0 00 23 8D F8 08 30 97 E0 11 9B 0C 33 1B 68 11 9A 12 1D 92 F9 00 20 10 99 08 68 10 99 49 68 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 14 30 14 9B 9D F9 4C 20 10 99 08 68 10 99 49 68 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 15 30 9D F8 14 20 9D F8 15 30 9A 42 03 D0 00 23 8D F8 08 30 6B E0 01 23 8D F8 08 30 67 E0 11 9B 1B 1D 93 F9 00 00 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 8D F8 06 30 9D F9 4C 00 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 07 30 9D F8 06 30 00 2B 03 D1 9D F8 07 30 00 2B 3B D0 9D F8 06 20 9D F8 07 30 9A 42 03 D0 00 23 8D F8 08 30 3F E0 11 9B 0C 33 1B 68 09 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 14 9B 09 2B 02 D1 01 23 08 93 01 E0 00 23 08 93 07 9A 08 9B 9A 42 03 D0 00 23 8D F8 08 30 25 E0 11 9B 0C 33 18 68 ?? ?? ?? ?? 0B 90 14 98 ?? ?? ?? ?? 0C 90 0B 9A 0C 9B 9A 42 02 D1 01 23 09 93 01 E0 00 23 09 93 09 9B DB B2 8D F8 08 30 0D E0 11 9B 1A 68 12 9B 9A 42 02 D1 01 23 0A 93 01 E0 00 23 0A 93 0A 9B DB B2 8D F8 08 30 9D F8 08 00 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_462_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 572
		refs = "0012 ??$is_pointer_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 006e ??$is_string_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 009a ??$is_character_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 0114 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0166 ??$is_integral_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 01e8 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 11 9B 1B 1D 93 F9 00 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 00 30 9D F9 4C 00 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 01 30 9D F8 00 30 00 2B 03 D1 9D F8 01 30 00 2B 0F D0 9D F8 00 20 9D F8 01 30 9A 42 02 D1 01 23 06 93 01 E0 00 23 06 93 06 9B DB B2 8D F8 08 30 E3 E0 11 9B 1B 1D 93 F9 00 00 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 02 30 9D F9 4C 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 03 30 11 9B 1B 1D 93 F9 00 00 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 04 30 9D F9 4C 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 05 30 9D F8 02 30 00 2B 0B D1 9D F8 03 30 00 2B 07 D1 9D F8 04 30 00 2B 03 D1 9D F8 05 30 00 2B 3F D0 9D F8 02 20 9D F8 03 30 9A 42 05 D1 9D F8 04 20 9D F8 05 30 9A 42 03 D0 00 23 8D F8 08 30 97 E0 11 9B 0C 33 1B 68 11 9A 12 1D 92 F9 00 20 10 99 08 68 10 99 49 68 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 14 30 14 9B 9D F9 4C 20 10 99 08 68 10 99 49 68 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 15 30 9D F8 14 20 9D F8 15 30 9A 42 03 D0 00 23 8D F8 08 30 6B E0 01 23 8D F8 08 30 67 E0 11 9B 1B 1D 93 F9 00 00 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 8D F8 06 30 9D F9 4C 00 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 07 30 9D F8 06 30 00 2B 03 D1 9D F8 07 30 00 2B 3B D0 9D F8 06 20 9D F8 07 30 9A 42 03 D0 00 23 8D F8 08 30 3F E0 11 9B 0C 33 1B 68 09 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 14 9B 09 2B 02 D1 01 23 08 93 01 E0 00 23 08 93 07 9A 08 9B 9A 42 03 D0 00 23 8D F8 08 30 25 E0 11 9B 0C 33 18 68 ?? ?? ?? ?? 0B 90 14 98 ?? ?? ?? ?? 0C 90 0B 9A 0C 9B 9A 42 02 D1 01 23 09 93 01 E0 00 23 09 93 09 9B DB B2 8D F8 08 30 0D E0 11 9B 1A 68 12 9B 9A 42 02 D1 01 23 0A 93 01 E0 00 23 0A 93 0A 9B DB B2 8D F8 08 30 9D F8 08 00 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_463_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 562
		refs = "0010 ??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 006a ??$is_string_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 0094 ??$is_character_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 010c ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 015c ??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 01de ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 11 9B 1B 1D 18 88 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 00 30 BD F8 4C 00 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 01 30 9D F8 00 30 00 2B 03 D1 9D F8 01 30 00 2B 0F D0 9D F8 00 20 9D F8 01 30 9A 42 02 D1 01 23 06 93 01 E0 00 23 06 93 06 9B DB B2 8D F8 08 30 DF E0 11 9B 1B 1D 18 88 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 02 30 BD F8 4C 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 03 30 11 9B 1B 1D 18 88 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 04 30 BD F8 4C 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 05 30 9D F8 02 30 00 2B 0B D1 9D F8 03 30 00 2B 07 D1 9D F8 04 30 00 2B 03 D1 9D F8 05 30 00 2B 3E D0 9D F8 02 20 9D F8 03 30 9A 42 05 D1 9D F8 04 20 9D F8 05 30 9A 42 03 D0 00 23 8D F8 08 30 95 E0 11 9B 0C 33 1B 68 11 9A 12 1D 12 88 10 99 08 68 10 99 49 68 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 14 30 14 9B BD F8 4C 20 10 99 08 68 10 99 49 68 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 15 30 9D F8 14 20 9D F8 15 30 9A 42 03 D0 00 23 8D F8 08 30 6A E0 01 23 8D F8 08 30 66 E0 11 9B 1B 1D 18 88 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 8D F8 06 30 BD F8 4C 00 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 07 30 9D F8 06 30 00 2B 03 D1 9D F8 07 30 00 2B 3B D0 9D F8 06 20 9D F8 07 30 9A 42 03 D0 00 23 8D F8 08 30 3F E0 11 9B 0C 33 1B 68 09 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 14 9B 09 2B 02 D1 01 23 08 93 01 E0 00 23 08 93 07 9A 08 9B 9A 42 03 D0 00 23 8D F8 08 30 25 E0 11 9B 0C 33 18 68 ?? ?? ?? ?? 0B 90 14 98 ?? ?? ?? ?? 0C 90 0B 9A 0C 9B 9A 42 02 D1 01 23 09 93 01 E0 00 23 09 93 09 9B DB B2 8D F8 08 30 0D E0 11 9B 1A 68 12 9B 9A 42 02 D1 01 23 0A 93 01 E0 00 23 0A 93 0A 9B DB B2 8D F8 08 30 9D F8 08 00 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_464_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 562
		refs = "0010 ??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 006a ??$is_string_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 0094 ??$is_character_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 010c ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 015c ??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 01de ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 11 9B 1B 1D 18 88 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 00 30 BD F8 4C 00 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 01 30 9D F8 00 30 00 2B 03 D1 9D F8 01 30 00 2B 0F D0 9D F8 00 20 9D F8 01 30 9A 42 02 D1 01 23 06 93 01 E0 00 23 06 93 06 9B DB B2 8D F8 08 30 DF E0 11 9B 1B 1D 18 88 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 02 30 BD F8 4C 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 03 30 11 9B 1B 1D 18 88 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 04 30 BD F8 4C 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 05 30 9D F8 02 30 00 2B 0B D1 9D F8 03 30 00 2B 07 D1 9D F8 04 30 00 2B 03 D1 9D F8 05 30 00 2B 3E D0 9D F8 02 20 9D F8 03 30 9A 42 05 D1 9D F8 04 20 9D F8 05 30 9A 42 03 D0 00 23 8D F8 08 30 95 E0 11 9B 0C 33 1B 68 11 9A 12 1D 12 88 10 99 08 68 10 99 49 68 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 14 30 14 9B BD F8 4C 20 10 99 08 68 10 99 49 68 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 15 30 9D F8 14 20 9D F8 15 30 9A 42 03 D0 00 23 8D F8 08 30 6A E0 01 23 8D F8 08 30 66 E0 11 9B 1B 1D 18 88 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 8D F8 06 30 BD F8 4C 00 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 07 30 9D F8 06 30 00 2B 03 D1 9D F8 07 30 00 2B 3B D0 9D F8 06 20 9D F8 07 30 9A 42 03 D0 00 23 8D F8 08 30 3F E0 11 9B 0C 33 1B 68 09 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 14 9B 09 2B 02 D1 01 23 08 93 01 E0 00 23 08 93 07 9A 08 9B 9A 42 03 D0 00 23 8D F8 08 30 25 E0 11 9B 0C 33 18 68 ?? ?? ?? ?? 0B 90 14 98 ?? ?? ?? ?? 0C 90 0B 9A 0C 9B 9A 42 02 D1 01 23 09 93 01 E0 00 23 09 93 09 9B DB B2 8D F8 08 30 0D E0 11 9B 1A 68 12 9B 9A 42 02 D1 01 23 0A 93 01 E0 00 23 0A 93 0A 9B DB B2 8D F8 08 30 9D F8 08 00 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_467_0 {
	meta:
		name = "?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ"
		size = 24
		refs = "0014 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_669_0 {
	meta:
		name = "?state_transition_table@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 24
		refs = "0014 format_validation_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_670_0 {
	meta:
		name = "?state_transition_table@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 24
		refs = "0014 format_validation_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_671_2 {
	meta:
		name = "?state_transition_table@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 24
		refs = "0014 format_validation_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_672_2 {
	meta:
		name = "?state_transition_table@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 24
		refs = "0014 format_validation_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_673_2 {
	meta:
		name = "?state_transition_table@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 24
		refs = "0014 standard_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_674_3 {
	meta:
		name = "?state_transition_table@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 24
		refs = "0014 standard_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_675_0 {
	meta:
		name = "?state_transition_table@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 24
		refs = "0014 standard_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_676_3 {
	meta:
		name = "?state_transition_table@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 24
		refs = "0014 standard_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_917_2 {
	meta:
		name = "?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_918_2 {
	meta:
		name = "?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_919_4 {
	meta:
		name = "?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_920_4 {
	meta:
		name = "?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_921_4 {
	meta:
		name = "?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_922_2 {
	meta:
		name = "?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_923_3 {
	meta:
		name = "?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_924_4 {
	meta:
		name = "?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_925_0 {
	meta:
		name = "?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_926_2 {
	meta:
		name = "?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_927_2 {
	meta:
		name = "?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_928_0 {
	meta:
		name = "?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 24
		refs = "0014 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_553_60_2 {
	meta:
		name = "__local_stdio_printf_options"
		size = 24
		refs = "0014 ?_OptionsStorage@?1??__local_stdio_printf_options@@9@4_KA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_591_2_4 {
	meta:
		name = "__p___argc"
		size = 24
		refs = "0014 __argc"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_591_3_4 {
	meta:
		name = "__p___argv"
		size = 24
		refs = "0014 __argv"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_591_4_2 {
	meta:
		name = "__p___wargv"
		size = 24
		refs = "0014 __wargv"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_591_5_4 {
	meta:
		name = "__p__acmdln"
		size = 24
		refs = "0014 _acmdln"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_401_0_3 {
	meta:
		name = "__p__commode"
		size = 24
		refs = "0014 _commode"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_49_3 {
	meta:
		name = "__p__crtBreakAlloc"
		size = 24
		refs = "0014 _crtBreakAlloc"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_50_4 {
	meta:
		name = "__p__crtDbgFlag"
		size = 24
		refs = "0014 _crtDbgFlag"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_591_6_3 {
	meta:
		name = "__p__pgmptr"
		size = 24
		refs = "0014 _pgmptr"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_591_7_3 {
	meta:
		name = "__p__wcmdln"
		size = 24
		refs = "0014 _wcmdln"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_591_8_0 {
	meta:
		name = "__p__wpgmptr"
		size = 24
		refs = "0014 _wpgmptr"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_123_0_4 {
	meta:
		name = "__sys_errlist"
		size = 24
		refs = "0014 _sys_errlist"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_123_1_4 {
	meta:
		name = "__sys_nerr"
		size = 24
		refs = "0014 _sys_nerr"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 4B 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_479_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
		size = 190
		refs = "0010 ?get@__crt_deferred_errno_cache@@QAAAAHXZ 001a ??0__crt_errno_guard@@QAA@QAH@Z 003a ??$tcstol@PBDPAPADH@?$__crt_char_traits@D@@SAJ$$QAPBD$$QAPAPAD$$QAH@Z 0062 ??1__crt_errno_guard@@QAA@XZ"
		altNames = "?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 0C 00 ?? ?? ?? ?? 03 90 03 99 0A A8 ?? ?? ?? ?? 00 23 01 93 0A 23 04 93 01 AB 05 93 0E 9B 10 33 1B 68 5B 1E 06 93 04 AA 05 A9 06 A8 ?? ?? ?? ?? 07 90 07 9A 0F 9B 1A 60 0E 9B 03 F1 0C 00 ?? ?? ?? ?? 08 90 08 9B 1B 68 22 2B 0A D1 00 23 8D F8 00 30 0A A8 ?? ?? ?? ?? 9D F8 00 30 8D F8 08 30 1F E0 0E 9B 10 33 01 9A 1B 68 9A 42 0A D2 00 23 8D F8 01 30 0A A8 ?? ?? ?? ?? 9D F8 01 30 8D F8 08 30 0E E0 0E 9B 03 F1 10 02 01 9B 13 60 01 23 8D F8 02 30 0A A8 ?? ?? ?? ?? 9D F8 02 30 8D F8 08 30 9D F8 08 00 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_485_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
		size = 190
		refs = "0010 ?get@__crt_deferred_errno_cache@@QAAAAHXZ 001a ??0__crt_errno_guard@@QAA@QAH@Z 003a ??$tcstol@PB_WPAPA_WH@?$__crt_char_traits@_W@@SAJ$$QAPB_W$$QAPAPA_W$$QAH@Z 0062 ??1__crt_errno_guard@@QAA@XZ"
		altNames = "?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 0C 00 ?? ?? ?? ?? 03 90 03 99 0A A8 ?? ?? ?? ?? 00 23 01 93 0A 23 04 93 01 AB 05 93 0E 9B 10 33 1B 68 9B 1E 06 93 04 AA 05 A9 06 A8 ?? ?? ?? ?? 07 90 07 9A 0F 9B 1A 60 0E 9B 03 F1 0C 00 ?? ?? ?? ?? 08 90 08 9B 1B 68 22 2B 0A D1 00 23 8D F8 00 30 0A A8 ?? ?? ?? ?? 9D F8 00 30 8D F8 08 30 1F E0 0E 9B 10 33 01 9A 1B 68 9A 42 0A D2 00 23 8D F8 01 30 0A A8 ?? ?? ?? ?? 9D F8 01 30 8D F8 08 30 0E E0 0E 9B 03 F1 10 02 01 9B 13 60 01 23 8D F8 02 30 0A A8 ?? ?? ?? ?? 9D F8 02 30 8D F8 08 30 9D F8 08 00 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_491_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 688
		refs = "0010 ?validate@?$stream_output_adapter@D@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0104 ?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z 0116 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01be ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01d2 ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e6 ?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01fa ?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 020e ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0222 ?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0236 ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 024a ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 026e ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 029c ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 02a0 ??_C@_1BLC@PMCLHHAE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02ac ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 33 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 99 4B 01 93 97 4B 00 93 00 23 4F F4 CB 62 93 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 88 4A 87 49 89 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FE E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 F1 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 31 02 91 F9 00 30 13 70 14 9B 31 33 93 F9 00 10 14 9B 10 33 1B 68 5A 1C 14 9B 10 33 1A 60 00 29 00 F0 C2 80 14 9B 18 33 1B 68 00 2B C0 F2 BC 80 14 9B 1C 33 1A 68 14 9B 31 33 93 F9 00 10 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 51 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 46 4A 45 49 43 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 26 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 04 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_492_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 688
		refs = "0010 ?validate@?$stream_output_adapter@D@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0104 ?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z 0116 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01be ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01d2 ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e6 ?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01fa ?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 020e ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0222 ?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0236 ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 024a ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 026e ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 029c ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 02a0 ??_C@_1BLI@FOCNEPKJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02ac ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 33 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 99 4B 01 93 97 4B 00 93 00 23 4F F4 CB 62 93 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 88 4A 87 49 89 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FE E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 F1 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 31 02 91 F9 00 30 13 70 14 9B 31 33 93 F9 00 10 14 9B 10 33 1B 68 5A 1C 14 9B 10 33 1A 60 00 29 00 F0 C2 80 14 9B 18 33 1B 68 00 2B C0 F2 BC 80 14 9B 1C 33 1A 68 14 9B 31 33 93 F9 00 10 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 51 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 46 4A 45 49 43 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 26 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 04 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_493_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 688
		refs = "0010 ?validate@?$stream_output_adapter@D@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0104 ?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z 0116 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01be ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01d2 ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e6 ?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01fa ?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 020e ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0222 ?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0236 ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 024a ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 026e ?validate_and_update_state_at_end_of_format_string@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 029c ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 02a0 ??_C@_1BKA@IIAAOGBO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02ac ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 33 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 99 4B 01 93 97 4B 00 93 00 23 4F F4 CB 62 93 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 88 4A 87 49 89 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FE E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 F1 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 31 02 91 F9 00 30 13 70 14 9B 31 33 93 F9 00 10 14 9B 10 33 1B 68 5A 1C 14 9B 10 33 1A 60 00 29 00 F0 C2 80 14 9B 18 33 1B 68 00 2B C0 F2 BC 80 14 9B 1C 33 1A 68 14 9B 31 33 93 F9 00 10 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 51 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 46 4A 45 49 43 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 26 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 04 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_494_2 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 688
		refs = "0010 ?validate@?$string_output_adapter@D@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0104 ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z 0116 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01be ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01d2 ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e6 ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01fa ?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 020e ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0222 ?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0236 ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 024a ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 026e ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 029c ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 02a0 ??_C@_1BLC@INKIGOCN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02ac ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 33 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 99 4B 01 93 97 4B 00 93 00 23 4F F4 CB 62 93 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 88 4A 87 49 89 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FE E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 F1 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 31 02 91 F9 00 30 13 70 14 9B 31 33 93 F9 00 10 14 9B 10 33 1B 68 5A 1C 14 9B 10 33 1A 60 00 29 00 F0 C2 80 14 9B 18 33 1B 68 00 2B C0 F2 BC 80 14 9B 1C 33 1A 68 14 9B 31 33 93 F9 00 10 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 51 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 46 4A 45 49 43 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 26 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 04 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_495_2 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 688
		refs = "0010 ?validate@?$string_output_adapter@D@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0104 ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z 0116 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01be ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01d2 ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e6 ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01fa ?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 020e ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0222 ?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0236 ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 024a ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 026e ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 029c ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 02a0 ??_C@_1BLI@EGFICANE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02ac ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 33 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 99 4B 01 93 97 4B 00 93 00 23 4F F4 CB 62 93 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 88 4A 87 49 89 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FE E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 F1 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 31 02 91 F9 00 30 13 70 14 9B 31 33 93 F9 00 10 14 9B 10 33 1B 68 5A 1C 14 9B 10 33 1A 60 00 29 00 F0 C2 80 14 9B 18 33 1B 68 00 2B C0 F2 BC 80 14 9B 1C 33 1A 68 14 9B 31 33 93 F9 00 10 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 51 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 46 4A 45 49 43 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 26 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 04 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_496_2 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 688
		refs = "0010 ?validate@?$string_output_adapter@D@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0104 ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z 0116 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01be ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01d2 ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e6 ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01fa ?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 020e ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0222 ?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0236 ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 024a ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 026e ?validate_and_update_state_at_end_of_format_string@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 029c ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 02a0 ??_C@_1BKA@DNADAJMC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02ac ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 33 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 99 4B 01 93 97 4B 00 93 00 23 4F F4 CB 62 93 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 88 4A 87 49 89 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FE E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 F1 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 31 02 91 F9 00 30 13 70 14 9B 31 33 93 F9 00 10 14 9B 10 33 1B 68 5A 1C 14 9B 10 33 1A 60 00 29 00 F0 C2 80 14 9B 18 33 1B 68 00 2B C0 F2 BC 80 14 9B 1C 33 1A 68 14 9B 31 33 93 F9 00 10 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 51 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 46 4A 45 49 43 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 26 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 04 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_497_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 684
		refs = "0010 ?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00fe ?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z 0110 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01b8 ?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01cc ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e0 ?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01f4 ?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0208 ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 021c ?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0230 ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0244 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0268 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0298 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 029c ??_C@_1BMK@CPBKHDIH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a8 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 30 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 98 4B 01 93 96 4B 00 93 00 23 4F F4 CB 62 92 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 87 4A 86 49 88 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FB E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 EE 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 32 02 0B 88 13 80 14 9B 32 33 19 88 14 9B 10 33 1B 68 9A 1C 14 9B 10 33 1A 60 00 29 00 F0 C1 80 14 9B 18 33 1B 68 00 2B C0 F2 BB 80 14 9B 1C 33 1A 68 14 9B 32 33 19 88 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 52 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 47 4A 45 49 44 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 29 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 07 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_498_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 684
		refs = "0010 ?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00fe ?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z 0110 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01b8 ?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01cc ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e0 ?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01f4 ?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0208 ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 021c ?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0230 ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0244 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0268 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0298 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 029c ??_C@_1BNA@HGLCOOBP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a8 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 30 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 98 4B 01 93 96 4B 00 93 00 23 4F F4 CB 62 92 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 87 4A 86 49 88 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FB E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 EE 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 32 02 0B 88 13 80 14 9B 32 33 19 88 14 9B 10 33 1B 68 9A 1C 14 9B 10 33 1A 60 00 29 00 F0 C1 80 14 9B 18 33 1B 68 00 2B C0 F2 BB 80 14 9B 1C 33 1A 68 14 9B 32 33 19 88 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 52 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 47 4A 45 49 44 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 29 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 07 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_499_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 684
		refs = "0010 ?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00fe ?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z 0110 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01b8 ?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01cc ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e0 ?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01f4 ?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0208 ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 021c ?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0230 ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0244 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0268 ?validate_and_update_state_at_end_of_format_string@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0298 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 029c ??_C@_1BLI@EEAAPJD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a8 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 30 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 98 4B 01 93 96 4B 00 93 00 23 4F F4 CB 62 92 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 87 4A 86 49 88 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FB E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 EE 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 32 02 0B 88 13 80 14 9B 32 33 19 88 14 9B 10 33 1B 68 9A 1C 14 9B 10 33 1A 60 00 29 00 F0 C1 80 14 9B 18 33 1B 68 00 2B C0 F2 BB 80 14 9B 1C 33 1A 68 14 9B 32 33 19 88 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 52 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 47 4A 45 49 44 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 29 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 07 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_500_2 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 684
		refs = "0010 ?validate@?$string_output_adapter@_W@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00fe ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z 0110 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01b8 ?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01cc ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e0 ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01f4 ?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0208 ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 021c ?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0230 ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0244 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0268 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0298 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 029c ??_C@_1BMK@JGIBNIA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a8 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 30 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 98 4B 01 93 96 4B 00 93 00 23 4F F4 CB 62 92 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 87 4A 86 49 88 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FB E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 EE 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 32 02 0B 88 13 80 14 9B 32 33 19 88 14 9B 10 33 1B 68 9A 1C 14 9B 10 33 1A 60 00 29 00 F0 C1 80 14 9B 18 33 1B 68 00 2B C0 F2 BB 80 14 9B 1C 33 1A 68 14 9B 32 33 19 88 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 52 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 47 4A 45 49 44 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 29 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 07 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_501_2 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 684
		refs = "0010 ?validate@?$string_output_adapter@_W@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00fe ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z 0110 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01b8 ?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01cc ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e0 ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01f4 ?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0208 ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 021c ?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0230 ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0244 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0268 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0298 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 029c ??_C@_1BNA@OIIAGHJI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a8 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 30 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 98 4B 01 93 96 4B 00 93 00 23 4F F4 CB 62 92 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 87 4A 86 49 88 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FB E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 EE 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 32 02 0B 88 13 80 14 9B 32 33 19 88 14 9B 10 33 1B 68 9A 1C 14 9B 10 33 1A 60 00 29 00 F0 C1 80 14 9B 18 33 1B 68 00 2B C0 F2 BB 80 14 9B 1C 33 1A 68 14 9B 32 33 19 88 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 52 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 47 4A 45 49 44 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 29 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 07 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_502_2 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 684
		refs = "0010 ?validate@?$string_output_adapter@_W@__crt_stdio_output@@QBA_NXZ 0058 _CrtDbgReportW 006c _errno 0086 _invalid_parameter 0094 ?advance_to_next_pass@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00fe ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z 0110 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 01b8 ?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01cc ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01e0 ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01f4 ?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0208 ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 021c ?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0230 ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0244 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0268 ?validate_and_update_state_at_end_of_format_string@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0298 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 029c ??_C@_1BLI@IKDKMDHI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 02a0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a8 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 03 F5 89 60 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 06 93 30 E1 14 9B 10 33 1B 68 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 98 4B 01 93 96 4B 00 93 00 23 4F F4 CB 62 92 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 4F F4 CB 63 87 4A 86 49 88 48 ?? ?? ?? ?? 6F F0 00 03 06 93 FB E0 14 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 00 F0 EE 80 14 9B 03 F1 38 02 00 23 13 60 14 9B 03 F1 1C 02 00 23 13 60 14 9B 10 33 19 68 14 9B 03 F1 32 02 0B 88 13 80 14 9B 32 33 19 88 14 9B 10 33 1B 68 9A 1C 14 9B 10 33 1A 60 00 29 00 F0 C1 80 14 9B 18 33 1B 68 00 2B C0 F2 BB 80 14 9B 1C 33 1A 68 14 9B 32 33 19 88 14 98 ?? ?? ?? ?? 0E 90 14 9B 03 F1 1C 02 0E 9B 13 60 14 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 03 D1 6F F0 00 03 06 93 B0 E0 14 9B 1C 33 1B 68 08 2B 30 D1 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 53 4B 01 93 55 4B 00 93 00 23 40 F2 6C 62 52 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 6C 63 47 4A 45 49 44 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7A E0 00 23 8D F8 08 30 14 9B 1C 33 1B 68 0B 93 0B 9B 07 2B 55 D8 0B 9A DF E8 02 F0 04 0E 18 22 2C 36 40 4A 14 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 6F F0 00 03 06 93 12 E0 29 E7 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 04 E0 07 E7 14 9B 18 33 1B 68 06 93 06 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_505_0 {
	meta:
		name = "?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
		size = 32
		altNames = "?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 20 33 1A 68 03 9B 1A 43 02 9B 20 33 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_517_0 {
	meta:
		name = "?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 66
		altNames = "?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F5 8B 63 1B 68 01 2B 08 D1 04 9B 03 F2 5C 43 1B 68 01 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_521_0 {
	meta:
		name = "?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 30
		altNames = "?common_mktemp_s_continue@@YA_NQB_W0@Z ?process_literal_character_tchar@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_W@Z ?process_literal_character_tchar@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_W@Z ?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@_W@__crt_stdio_input@@AAA_N_W@Z ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?validate_and_update_state_at_end_of_format_string@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?validate_and_update_state_at_end_of_format_string@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?validate_and_update_state_at_end_of_format_string@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?validate_and_update_state_at_end_of_format_string@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?validate_state_for_type_case_a@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?validate_state_for_type_case_a@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?validate_state_for_type_case_a@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?validate_state_for_type_case_a@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQAU_iobuf@@@Z __acrt_uninitialize_command_line uninitialize_c uninitialize_global_state_isolation"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_525_0 {
	meta:
		name = "?should_skip_normal_state_processing@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 94
		altNames = "?should_skip_normal_state_processing@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F5 8B 63 1B 68 01 2B 09 D1 04 9B 03 F2 5C 43 1B 68 02 2B 03 D1 01 23 8D F8 00 30 12 E0 04 9B 03 F5 8B 63 1B 68 02 2B 09 D1 04 9B 03 F2 5C 43 1B 68 00 2B 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_533_0 {
	meta:
		name = "?should_skip_type_state_output@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ"
		size = 66
		altNames = "?should_skip_type_state_output@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?should_skip_type_state_output@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ ?should_skip_type_state_output@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F2 5C 43 1B 68 02 2B 08 D1 04 9B 03 F5 8B 63 1B 68 01 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_541_0 {
	meta:
		name = "?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 40
		altNames = "?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 00 23 13 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_553_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 124
		refs = "003c ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_554_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 124
		refs = "003c ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_555_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 124
		refs = "003c ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_556_2 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 124
		refs = "003c ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_557_2 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 124
		refs = "003c ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_558_2 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 124
		refs = "003c ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_559_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 122
		refs = "003a ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_560_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 122
		refs = "003a ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_561_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 122
		refs = "003a ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_562_2 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 122
		refs = "003a ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_563_2 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 122
		refs = "003a ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_564_2 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 122
		refs = "003a ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 00 93 00 9B 20 3B 00 93 00 9B 10 2B 23 D8 00 9A DF E8 02 F0 13 21 21 18 21 21 21 21 21 21 21 0E 21 09 21 21 1D 1D 04 21 04 98 ?? ?? ?? ?? 12 E0 01 21 04 98 ?? ?? ?? ?? 0D E0 02 21 04 98 ?? ?? ?? ?? 08 E0 20 21 04 98 ?? ?? ?? ?? 03 E0 08 21 04 98 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_565_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BMG@KOENKAMB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_566_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BMM@BLBJDDIA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_567_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BLE@PAACOKDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_568_4 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BMG@CGPDIFDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_569_4 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BMM@JGEKEBKL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_570_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BLE@LCKPBJON@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_571_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BNO@LMMLJOOJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_572_2 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BOE@NLICFINO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_573_4 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BMM@JHGFKAND@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_574_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BNO@OHFFMOOJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_575_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BOE@IPKNNOEE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_576_3 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 188
		refs = "000c ?should_skip_normal_state_processing@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0026 ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 005c _CrtDbgReportW 0070 _errno 008a _invalid_parameter 00ac ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1BMM@PGHHMNDM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00b4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 3B E0 0A 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 99 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 99 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_577_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 82
		refs = "000e ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 003a ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBAXDQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0E E0 04 9B 03 F1 18 02 04 9B 31 33 93 F9 00 10 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_578_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 82
		refs = "000e ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 003a ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBAXDQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0E E0 04 9B 03 F1 18 02 04 9B 31 33 93 F9 00 10 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_579_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 82
		refs = "000e ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 003a ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBAXDQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0E E0 04 9B 03 F1 18 02 04 9B 31 33 93 F9 00 10 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_580_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 82
		refs = "000e ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 003a ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBA_NDQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0E E0 04 9B 03 F1 18 02 04 9B 31 33 93 F9 00 10 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_581_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 82
		refs = "000e ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 003a ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBA_NDQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0E E0 04 9B 03 F1 18 02 04 9B 31 33 93 F9 00 10 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_582_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 82
		refs = "000e ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 003a ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBA_NDQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0E E0 04 9B 03 F1 18 02 04 9B 31 33 93 F9 00 10 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_583_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 80
		refs = "000e ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 0038 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBAX_WQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0D E0 04 9B 03 F1 18 02 04 9B 32 33 19 88 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_584_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 80
		refs = "000e ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 0038 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBAX_WQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0D E0 04 9B 03 F1 18 02 04 9B 32 33 19 88 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_585_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 80
		refs = "000e ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 0038 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBAX_WQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0D E0 04 9B 03 F1 18 02 04 9B 32 33 19 88 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_586_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 80
		refs = "000e ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 0038 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBA_N_WQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0D E0 04 9B 03 F1 18 02 04 9B 32 33 19 88 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_587_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 80
		refs = "000e ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 0038 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBA_N_WQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0D E0 04 9B 03 F1 18 02 04 9B 32 33 19 88 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_588_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 80
		refs = "000e ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 0038 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBA_N_WQAH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 0D E0 04 9B 03 F1 18 02 04 9B 32 33 19 88 04 9B 03 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_589_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 248
		refs = "0022 __acrt_isleadbyte_l_noupdate 0042 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBAXDQAH@Z 0098 _CrtDbgReportW 00ac _errno 00c6 _invalid_parameter 00e8 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00ec ??_C@_1BNC@BAMNIOCM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 3C 02 00 23 13 70 0A 9B 08 33 19 68 0A 9B 31 33 93 F9 00 00 ?? ?? ?? ?? 05 90 05 9B 00 2B 51 D0 0A 9B 03 F1 18 02 0A 9B 31 33 93 F9 00 10 0A 9B 03 F5 89 60 ?? ?? ?? ?? 0A 9B 10 33 19 68 0A 9B 03 F1 31 02 91 F9 00 30 13 70 0A 9B 10 33 1B 68 5A 1C 0A 9B 10 33 1A 60 0A 9B 31 33 93 F9 00 30 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 B1 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B1 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_590_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 248
		refs = "0022 __acrt_isleadbyte_l_noupdate 0042 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBAXDQAH@Z 0098 _CrtDbgReportW 00ac _errno 00c6 _invalid_parameter 00e8 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00ec ??_C@_1BNI@EJPCEBAG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 3C 02 00 23 13 70 0A 9B 08 33 19 68 0A 9B 31 33 93 F9 00 00 ?? ?? ?? ?? 05 90 05 9B 00 2B 51 D0 0A 9B 03 F1 18 02 0A 9B 31 33 93 F9 00 10 0A 9B 03 F5 89 60 ?? ?? ?? ?? 0A 9B 10 33 19 68 0A 9B 03 F1 31 02 91 F9 00 30 13 70 0A 9B 10 33 1B 68 5A 1C 0A 9B 10 33 1A 60 0A 9B 31 33 93 F9 00 30 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 B1 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B1 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_591_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 248
		refs = "0022 __acrt_isleadbyte_l_noupdate 0042 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBAXDQAH@Z 0098 _CrtDbgReportW 00ac _errno 00c6 _invalid_parameter 00e8 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00ec ??_C@_1BMA@MEBEEDJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 3C 02 00 23 13 70 0A 9B 08 33 19 68 0A 9B 31 33 93 F9 00 00 ?? ?? ?? ?? 05 90 05 9B 00 2B 51 D0 0A 9B 03 F1 18 02 0A 9B 31 33 93 F9 00 10 0A 9B 03 F5 89 60 ?? ?? ?? ?? 0A 9B 10 33 19 68 0A 9B 03 F1 31 02 91 F9 00 30 13 70 0A 9B 10 33 1B 68 5A 1C 0A 9B 10 33 1A 60 0A 9B 31 33 93 F9 00 30 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 B1 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B1 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_592_2 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 248
		refs = "0022 __acrt_isleadbyte_l_noupdate 0042 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBA_NDQAH@Z 0098 _CrtDbgReportW 00ac _errno 00c6 _invalid_parameter 00e8 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00ec ??_C@_1BNC@JPKLPOHO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 3C 02 00 23 13 70 0A 9B 08 33 19 68 0A 9B 31 33 93 F9 00 00 ?? ?? ?? ?? 05 90 05 9B 00 2B 51 D0 0A 9B 03 F1 18 02 0A 9B 31 33 93 F9 00 10 0A 9B 03 F5 89 60 ?? ?? ?? ?? 0A 9B 10 33 19 68 0A 9B 03 F1 31 02 91 F9 00 30 13 70 0A 9B 10 33 1B 68 5A 1C 0A 9B 10 33 1A 60 0A 9B 31 33 93 F9 00 30 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 B1 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B1 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_593_2 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 248
		refs = "0022 __acrt_isleadbyte_l_noupdate 0042 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBA_NDQAH@Z 0098 _CrtDbgReportW 00ac _errno 00c6 _invalid_parameter 00e8 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00ec ??_C@_1BNI@EDCGAPJB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 3C 02 00 23 13 70 0A 9B 08 33 19 68 0A 9B 31 33 93 F9 00 00 ?? ?? ?? ?? 05 90 05 9B 00 2B 51 D0 0A 9B 03 F1 18 02 0A 9B 31 33 93 F9 00 10 0A 9B 03 F5 89 60 ?? ?? ?? ?? 0A 9B 10 33 19 68 0A 9B 03 F1 31 02 91 F9 00 30 13 70 0A 9B 10 33 1B 68 5A 1C 0A 9B 10 33 1A 60 0A 9B 31 33 93 F9 00 30 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 B1 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B1 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_594_2 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 248
		refs = "0022 __acrt_isleadbyte_l_noupdate 0042 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBA_NDQAH@Z 0098 _CrtDbgReportW 00ac _errno 00c6 _invalid_parameter 00e8 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00ec ??_C@_1BMA@FANDDEHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 3C 02 00 23 13 70 0A 9B 08 33 19 68 0A 9B 31 33 93 F9 00 00 ?? ?? ?? ?? 05 90 05 9B 00 2B 51 D0 0A 9B 03 F1 18 02 0A 9B 31 33 93 F9 00 10 0A 9B 03 F5 89 60 ?? ?? ?? ?? 0A 9B 10 33 19 68 0A 9B 03 F1 31 02 91 F9 00 30 13 70 0A 9B 10 33 1B 68 5A 1C 0A 9B 10 33 1A 60 0A 9B 31 33 93 F9 00 30 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 B1 62 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 B1 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_595_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 40
		altNames = "?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 3C 02 01 23 13 70 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_601_0 {
	meta:
		name = "?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 92
		altNames = "?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 24 02 00 23 13 60 04 9B 03 F1 30 02 00 23 13 70 04 9B 03 F1 20 02 00 23 13 60 04 9B 03 F1 28 02 6F F0 00 03 13 60 04 9B 03 F1 2C 02 00 23 13 60 04 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_613_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 142
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_614_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 142
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_precision@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_615_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 142
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_616_2 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 142
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_617_2 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 142
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_precision@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_618_2 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 142
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_619_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 140
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_620_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 140
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_precision@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_621_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 140
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_622_2 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 140
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_623_2 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 140
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_precision@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_624_2 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 140
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 28 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 27 E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1A E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 0D E0 04 9B 28 33 1B 68 00 2B 05 DA 04 9B 03 F1 28 02 6F F0 00 03 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_625_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 904
		refs = "002e ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 _CrtDbgReportW 00a6 _errno 00c0 _invalid_parameter 0374 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0378 ??_C@_1BMC@DAENMDAD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 037c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0380 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0384 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 31 33 93 F9 00 30 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 91 E1 01 23 8D F8 0C 30 8D E1 10 9B 31 33 93 F9 00 30 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 C0 4B 01 93 BE 4B 00 93 00 23 40 F2 56 72 BB 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 B0 4A AE 49 B1 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 4B E1 00 23 8D F8 0C 30 47 E1 01 23 8D F8 0C 30 43 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 9E 4B 01 93 A0 4B 00 93 00 23 40 F2 5D 72 9C 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 91 4A 90 49 8E 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 0E E1 10 9B 31 33 93 F9 00 30 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 D3 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 F0 80 04 9B 49 2B 37 D0 04 9B 4C 2B 00 F0 BC 80 F0 E0 04 9B 68 2B 12 D0 EC E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 E6 80 04 9A DF E8 02 F0 90 E3 E3 E3 E3 E3 E3 E3 BF E3 E3 D1 E3 E3 C8 C8 10 9B 10 33 1B 68 93 F9 00 30 68 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 C0 E0 10 9B 10 33 1B 68 93 F9 00 30 33 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 32 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 4A E0 10 9B 10 33 1B 68 93 F9 00 30 36 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 34 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 2E E0 10 9B 10 33 1B 68 93 F9 00 30 64 2B 22 D0 10 9B 10 33 1B 68 93 F9 00 30 69 2B 1B D0 10 9B 10 33 1B 68 93 F9 00 30 6F 2B 14 D0 10 9B 10 33 1B 68 93 F9 00 30 75 2B 0D D0 10 9B 10 33 1B 68 93 F9 00 30 78 2B 06 D0 10 9B 10 33 1B 68 93 F9 00 30 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 55 E0 10 9B 10 33 1B 68 93 F9 00 30 6C 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_626_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 904
		refs = "002e ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 _CrtDbgReportW 00a6 _errno 00c0 _invalid_parameter 0374 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0378 ??_C@_1BMI@PKGBOKJK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 037c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0380 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0384 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 31 33 93 F9 00 30 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 91 E1 01 23 8D F8 0C 30 8D E1 10 9B 31 33 93 F9 00 30 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 C0 4B 01 93 BE 4B 00 93 00 23 40 F2 56 72 BB 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 B0 4A AE 49 B1 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 4B E1 00 23 8D F8 0C 30 47 E1 01 23 8D F8 0C 30 43 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 9E 4B 01 93 A0 4B 00 93 00 23 40 F2 5D 72 9C 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 91 4A 90 49 8E 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 0E E1 10 9B 31 33 93 F9 00 30 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 D3 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 F0 80 04 9B 49 2B 37 D0 04 9B 4C 2B 00 F0 BC 80 F0 E0 04 9B 68 2B 12 D0 EC E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 E6 80 04 9A DF E8 02 F0 90 E3 E3 E3 E3 E3 E3 E3 BF E3 E3 D1 E3 E3 C8 C8 10 9B 10 33 1B 68 93 F9 00 30 68 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 C0 E0 10 9B 10 33 1B 68 93 F9 00 30 33 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 32 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 4A E0 10 9B 10 33 1B 68 93 F9 00 30 36 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 34 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 2E E0 10 9B 10 33 1B 68 93 F9 00 30 64 2B 22 D0 10 9B 10 33 1B 68 93 F9 00 30 69 2B 1B D0 10 9B 10 33 1B 68 93 F9 00 30 6F 2B 14 D0 10 9B 10 33 1B 68 93 F9 00 30 75 2B 0D D0 10 9B 10 33 1B 68 93 F9 00 30 78 2B 06 D0 10 9B 10 33 1B 68 93 F9 00 30 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 55 E0 10 9B 10 33 1B 68 93 F9 00 30 6C 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_627_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 904
		refs = "002e ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 _CrtDbgReportW 00a6 _errno 00c0 _invalid_parameter 0374 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0378 ??_C@_1BLA@GJNGKGIK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 037c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0380 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0384 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 31 33 93 F9 00 30 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 91 E1 01 23 8D F8 0C 30 8D E1 10 9B 31 33 93 F9 00 30 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 C0 4B 01 93 BE 4B 00 93 00 23 40 F2 56 72 BB 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 B0 4A AE 49 B1 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 4B E1 00 23 8D F8 0C 30 47 E1 01 23 8D F8 0C 30 43 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 9E 4B 01 93 A0 4B 00 93 00 23 40 F2 5D 72 9C 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 91 4A 90 49 8E 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 0E E1 10 9B 31 33 93 F9 00 30 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 D3 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 F0 80 04 9B 49 2B 37 D0 04 9B 4C 2B 00 F0 BC 80 F0 E0 04 9B 68 2B 12 D0 EC E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 E6 80 04 9A DF E8 02 F0 90 E3 E3 E3 E3 E3 E3 E3 BF E3 E3 D1 E3 E3 C8 C8 10 9B 10 33 1B 68 93 F9 00 30 68 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 C0 E0 10 9B 10 33 1B 68 93 F9 00 30 33 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 32 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 4A E0 10 9B 10 33 1B 68 93 F9 00 30 36 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 34 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 2E E0 10 9B 10 33 1B 68 93 F9 00 30 64 2B 22 D0 10 9B 10 33 1B 68 93 F9 00 30 69 2B 1B D0 10 9B 10 33 1B 68 93 F9 00 30 6F 2B 14 D0 10 9B 10 33 1B 68 93 F9 00 30 75 2B 0D D0 10 9B 10 33 1B 68 93 F9 00 30 78 2B 06 D0 10 9B 10 33 1B 68 93 F9 00 30 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 55 E0 10 9B 10 33 1B 68 93 F9 00 30 6C 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_628_2 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 904
		refs = "002e ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 _CrtDbgReportW 00a6 _errno 00c0 _invalid_parameter 0374 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0378 ??_C@_1BMC@FAGJFBLI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 037c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0380 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0384 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 31 33 93 F9 00 30 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 91 E1 01 23 8D F8 0C 30 8D E1 10 9B 31 33 93 F9 00 30 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 C0 4B 01 93 BE 4B 00 93 00 23 40 F2 56 72 BB 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 B0 4A AE 49 B1 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 4B E1 00 23 8D F8 0C 30 47 E1 01 23 8D F8 0C 30 43 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 9E 4B 01 93 A0 4B 00 93 00 23 40 F2 5D 72 9C 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 91 4A 90 49 8E 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 0E E1 10 9B 31 33 93 F9 00 30 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 D3 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 F0 80 04 9B 49 2B 37 D0 04 9B 4C 2B 00 F0 BC 80 F0 E0 04 9B 68 2B 12 D0 EC E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 E6 80 04 9A DF E8 02 F0 90 E3 E3 E3 E3 E3 E3 E3 BF E3 E3 D1 E3 E3 C8 C8 10 9B 10 33 1B 68 93 F9 00 30 68 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 C0 E0 10 9B 10 33 1B 68 93 F9 00 30 33 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 32 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 4A E0 10 9B 10 33 1B 68 93 F9 00 30 36 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 34 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 2E E0 10 9B 10 33 1B 68 93 F9 00 30 64 2B 22 D0 10 9B 10 33 1B 68 93 F9 00 30 69 2B 1B D0 10 9B 10 33 1B 68 93 F9 00 30 6F 2B 14 D0 10 9B 10 33 1B 68 93 F9 00 30 75 2B 0D D0 10 9B 10 33 1B 68 93 F9 00 30 78 2B 06 D0 10 9B 10 33 1B 68 93 F9 00 30 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 55 E0 10 9B 10 33 1B 68 93 F9 00 30 6C 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_629_2 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 904
		refs = "002e ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 _CrtDbgReportW 00a6 _errno 00c0 _invalid_parameter 0374 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0378 ??_C@_1BMI@LKDDDFDL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 037c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0380 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0384 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 31 33 93 F9 00 30 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 91 E1 01 23 8D F8 0C 30 8D E1 10 9B 31 33 93 F9 00 30 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 C0 4B 01 93 BE 4B 00 93 00 23 40 F2 56 72 BB 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 B0 4A AE 49 B1 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 4B E1 00 23 8D F8 0C 30 47 E1 01 23 8D F8 0C 30 43 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 9E 4B 01 93 A0 4B 00 93 00 23 40 F2 5D 72 9C 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 91 4A 90 49 8E 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 0E E1 10 9B 31 33 93 F9 00 30 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 D3 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 F0 80 04 9B 49 2B 37 D0 04 9B 4C 2B 00 F0 BC 80 F0 E0 04 9B 68 2B 12 D0 EC E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 E6 80 04 9A DF E8 02 F0 90 E3 E3 E3 E3 E3 E3 E3 BF E3 E3 D1 E3 E3 C8 C8 10 9B 10 33 1B 68 93 F9 00 30 68 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 C0 E0 10 9B 10 33 1B 68 93 F9 00 30 33 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 32 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 4A E0 10 9B 10 33 1B 68 93 F9 00 30 36 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 34 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 2E E0 10 9B 10 33 1B 68 93 F9 00 30 64 2B 22 D0 10 9B 10 33 1B 68 93 F9 00 30 69 2B 1B D0 10 9B 10 33 1B 68 93 F9 00 30 6F 2B 14 D0 10 9B 10 33 1B 68 93 F9 00 30 75 2B 0D D0 10 9B 10 33 1B 68 93 F9 00 30 78 2B 06 D0 10 9B 10 33 1B 68 93 F9 00 30 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 55 E0 10 9B 10 33 1B 68 93 F9 00 30 6C 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_630_2 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 904
		refs = "002e ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 _CrtDbgReportW 00a6 _errno 00c0 _invalid_parameter 0374 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0378 ??_C@_1BLA@MEDMHIOH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 037c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0380 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0384 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 31 33 93 F9 00 30 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 91 E1 01 23 8D F8 0C 30 8D E1 10 9B 31 33 93 F9 00 30 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 C0 4B 01 93 BE 4B 00 93 00 23 40 F2 56 72 BB 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 B0 4A AE 49 B1 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 4B E1 00 23 8D F8 0C 30 47 E1 01 23 8D F8 0C 30 43 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 9E 4B 01 93 A0 4B 00 93 00 23 40 F2 5D 72 9C 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 91 4A 90 49 8E 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 0E E1 10 9B 31 33 93 F9 00 30 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 D3 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 F0 80 04 9B 49 2B 37 D0 04 9B 4C 2B 00 F0 BC 80 F0 E0 04 9B 68 2B 12 D0 EC E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 E6 80 04 9A DF E8 02 F0 90 E3 E3 E3 E3 E3 E3 E3 BF E3 E3 D1 E3 E3 C8 C8 10 9B 10 33 1B 68 93 F9 00 30 68 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 C0 E0 10 9B 10 33 1B 68 93 F9 00 30 33 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 32 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 4A E0 10 9B 10 33 1B 68 93 F9 00 30 36 2B 14 D1 10 9B 10 33 1B 68 5B 1C 93 F9 00 30 34 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 2E E0 10 9B 10 33 1B 68 93 F9 00 30 64 2B 22 D0 10 9B 10 33 1B 68 93 F9 00 30 69 2B 1B D0 10 9B 10 33 1B 68 93 F9 00 30 6F 2B 14 D0 10 9B 10 33 1B 68 93 F9 00 30 75 2B 0D D0 10 9B 10 33 1B 68 93 F9 00 30 78 2B 06 D0 10 9B 10 33 1B 68 93 F9 00 30 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 55 E0 10 9B 10 33 1B 68 93 F9 00 30 6C 2B 0C D1 10 9B 10 33 1B 68 5A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_631_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 872
		refs = "002c ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 008e _CrtDbgReportW 00a2 _errno 00bc _invalid_parameter 0354 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0358 ??_C@_1BNK@ONPHCEAM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 035c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0360 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0364 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 32 33 1B 88 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 83 E1 01 23 8D F8 0C 30 7F E1 10 9B 32 33 1B 88 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 B9 4B 01 93 B7 4B 00 93 00 23 40 F2 56 72 B4 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 A9 4A A7 49 AA 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E1 00 23 8D F8 0C 30 3A E1 01 23 8D F8 0C 30 36 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 97 4B 01 93 99 4B 00 93 00 23 40 F2 5D 72 95 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 8A 4A 89 49 87 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 01 E1 10 9B 32 33 1B 88 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 C7 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 E4 80 04 9B 49 2B 36 D0 04 9B 4C 2B 00 F0 B0 80 E4 E0 04 9B 68 2B 12 D0 E0 E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 DA 80 04 9A DF E8 02 F0 85 D7 D7 D7 D7 D7 D7 D7 B3 D7 D7 C5 D7 D7 BC BC 10 9B 10 33 1B 68 1B 88 68 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 B5 E0 10 9B 10 33 1B 68 1B 88 33 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 32 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 42 E0 10 9B 10 33 1B 68 1B 88 36 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 34 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 28 E0 10 9B 10 33 1B 68 1B 88 64 2B 1D D0 10 9B 10 33 1B 68 1B 88 69 2B 17 D0 10 9B 10 33 1B 68 1B 88 6F 2B 11 D0 10 9B 10 33 1B 68 1B 88 75 2B 0B D0 10 9B 10 33 1B 68 1B 88 78 2B 05 D0 10 9B 10 33 1B 68 1B 88 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 54 E0 10 9B 10 33 1B 68 1B 88 6C 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_632_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 872
		refs = "002c ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 008e _CrtDbgReportW 00a2 _errno 00bc _invalid_parameter 0354 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0358 ??_C@_1BOA@CBIEMBEE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 035c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0360 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0364 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 32 33 1B 88 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 83 E1 01 23 8D F8 0C 30 7F E1 10 9B 32 33 1B 88 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 B9 4B 01 93 B7 4B 00 93 00 23 40 F2 56 72 B4 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 A9 4A A7 49 AA 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E1 00 23 8D F8 0C 30 3A E1 01 23 8D F8 0C 30 36 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 97 4B 01 93 99 4B 00 93 00 23 40 F2 5D 72 95 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 8A 4A 89 49 87 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 01 E1 10 9B 32 33 1B 88 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 C7 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 E4 80 04 9B 49 2B 36 D0 04 9B 4C 2B 00 F0 B0 80 E4 E0 04 9B 68 2B 12 D0 E0 E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 DA 80 04 9A DF E8 02 F0 85 D7 D7 D7 D7 D7 D7 D7 B3 D7 D7 C5 D7 D7 BC BC 10 9B 10 33 1B 68 1B 88 68 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 B5 E0 10 9B 10 33 1B 68 1B 88 33 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 32 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 42 E0 10 9B 10 33 1B 68 1B 88 36 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 34 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 28 E0 10 9B 10 33 1B 68 1B 88 64 2B 1D D0 10 9B 10 33 1B 68 1B 88 69 2B 17 D0 10 9B 10 33 1B 68 1B 88 6F 2B 11 D0 10 9B 10 33 1B 68 1B 88 75 2B 0B D0 10 9B 10 33 1B 68 1B 88 78 2B 05 D0 10 9B 10 33 1B 68 1B 88 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 54 E0 10 9B 10 33 1B 68 1B 88 6C 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_633_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 872
		refs = "002c ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 008e _CrtDbgReportW 00a2 _errno 00bc _invalid_parameter 0354 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0358 ??_C@_1BMI@DNMDMAAN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 035c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0360 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0364 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 32 33 1B 88 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 83 E1 01 23 8D F8 0C 30 7F E1 10 9B 32 33 1B 88 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 B9 4B 01 93 B7 4B 00 93 00 23 40 F2 56 72 B4 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 A9 4A A7 49 AA 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E1 00 23 8D F8 0C 30 3A E1 01 23 8D F8 0C 30 36 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 97 4B 01 93 99 4B 00 93 00 23 40 F2 5D 72 95 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 8A 4A 89 49 87 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 01 E1 10 9B 32 33 1B 88 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 C7 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 E4 80 04 9B 49 2B 36 D0 04 9B 4C 2B 00 F0 B0 80 E4 E0 04 9B 68 2B 12 D0 E0 E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 DA 80 04 9A DF E8 02 F0 85 D7 D7 D7 D7 D7 D7 D7 B3 D7 D7 C5 D7 D7 BC BC 10 9B 10 33 1B 68 1B 88 68 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 B5 E0 10 9B 10 33 1B 68 1B 88 33 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 32 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 42 E0 10 9B 10 33 1B 68 1B 88 36 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 34 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 28 E0 10 9B 10 33 1B 68 1B 88 64 2B 1D D0 10 9B 10 33 1B 68 1B 88 69 2B 17 D0 10 9B 10 33 1B 68 1B 88 6F 2B 11 D0 10 9B 10 33 1B 68 1B 88 75 2B 0B D0 10 9B 10 33 1B 68 1B 88 78 2B 05 D0 10 9B 10 33 1B 68 1B 88 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 54 E0 10 9B 10 33 1B 68 1B 88 6C 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_634_2 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 872
		refs = "002c ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 008e _CrtDbgReportW 00a2 _errno 00bc _invalid_parameter 0354 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0358 ??_C@_1BNK@KHNJGCCP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 035c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0360 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0364 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 32 33 1B 88 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 83 E1 01 23 8D F8 0C 30 7F E1 10 9B 32 33 1B 88 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 B9 4B 01 93 B7 4B 00 93 00 23 40 F2 56 72 B4 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 A9 4A A7 49 AA 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E1 00 23 8D F8 0C 30 3A E1 01 23 8D F8 0C 30 36 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 97 4B 01 93 99 4B 00 93 00 23 40 F2 5D 72 95 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 8A 4A 89 49 87 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 01 E1 10 9B 32 33 1B 88 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 C7 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 E4 80 04 9B 49 2B 36 D0 04 9B 4C 2B 00 F0 B0 80 E4 E0 04 9B 68 2B 12 D0 E0 E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 DA 80 04 9A DF E8 02 F0 85 D7 D7 D7 D7 D7 D7 D7 B3 D7 D7 C5 D7 D7 BC BC 10 9B 10 33 1B 68 1B 88 68 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 B5 E0 10 9B 10 33 1B 68 1B 88 33 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 32 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 42 E0 10 9B 10 33 1B 68 1B 88 36 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 34 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 28 E0 10 9B 10 33 1B 68 1B 88 64 2B 1D D0 10 9B 10 33 1B 68 1B 88 69 2B 17 D0 10 9B 10 33 1B 68 1B 88 6F 2B 11 D0 10 9B 10 33 1B 68 1B 88 75 2B 0B D0 10 9B 10 33 1B 68 1B 88 78 2B 05 D0 10 9B 10 33 1B 68 1B 88 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 54 E0 10 9B 10 33 1B 68 1B 88 6C 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_635_2 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 872
		refs = "002c ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 008e _CrtDbgReportW 00a2 _errno 00bc _invalid_parameter 0354 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0358 ??_C@_1BOA@BMEGDMHF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 035c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0360 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0364 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 32 33 1B 88 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 83 E1 01 23 8D F8 0C 30 7F E1 10 9B 32 33 1B 88 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 B9 4B 01 93 B7 4B 00 93 00 23 40 F2 56 72 B4 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 A9 4A A7 49 AA 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E1 00 23 8D F8 0C 30 3A E1 01 23 8D F8 0C 30 36 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 97 4B 01 93 99 4B 00 93 00 23 40 F2 5D 72 95 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 8A 4A 89 49 87 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 01 E1 10 9B 32 33 1B 88 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 C7 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 E4 80 04 9B 49 2B 36 D0 04 9B 4C 2B 00 F0 B0 80 E4 E0 04 9B 68 2B 12 D0 E0 E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 DA 80 04 9A DF E8 02 F0 85 D7 D7 D7 D7 D7 D7 D7 B3 D7 D7 C5 D7 D7 BC BC 10 9B 10 33 1B 68 1B 88 68 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 B5 E0 10 9B 10 33 1B 68 1B 88 33 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 32 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 42 E0 10 9B 10 33 1B 68 1B 88 36 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 34 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 28 E0 10 9B 10 33 1B 68 1B 88 64 2B 1D D0 10 9B 10 33 1B 68 1B 88 69 2B 17 D0 10 9B 10 33 1B 68 1B 88 6F 2B 11 D0 10 9B 10 33 1B 68 1B 88 75 2B 0B D0 10 9B 10 33 1B 68 1B 88 78 2B 05 D0 10 9B 10 33 1B 68 1B 88 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 54 E0 10 9B 10 33 1B 68 1B 88 6C 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_636_2 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 872
		refs = "002c ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 008e _CrtDbgReportW 00a2 _errno 00bc _invalid_parameter 0354 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0358 ??_C@_1BMI@KBPJOJJI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 035c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0360 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0364 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 32 33 1B 88 46 2B 18 D1 10 9B 1B 68 03 F0 08 03 00 2B 0E D1 10 9B 03 F1 1C 02 07 23 13 60 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 83 E1 01 23 8D F8 0C 30 7F E1 10 9B 32 33 1B 88 4E 2B 43 D1 10 9B 1B 68 03 F0 08 03 00 2B 39 D1 10 9B 03 F1 1C 02 08 23 13 60 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 B9 4B 01 93 B7 4B 00 93 00 23 40 F2 56 72 B4 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 56 73 A9 4A A7 49 AA 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E1 00 23 8D F8 0C 30 3A E1 01 23 8D F8 0C 30 36 E1 10 9B 2C 33 1B 68 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 97 4B 01 93 99 4B 00 93 00 23 40 F2 5D 72 95 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 40 F2 5D 73 8A 4A 89 49 87 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 01 E1 10 9B 32 33 1B 88 04 93 04 9B 6A 2B 16 DC 04 9B 6A 2B 00 F0 C7 80 04 9B 54 2B 0B DC 04 9B 54 2B 00 F0 E4 80 04 9B 49 2B 36 D0 04 9B 4C 2B 00 F0 B0 80 E4 E0 04 9B 68 2B 12 D0 E0 E0 04 9B 6C 3B 04 93 04 9B 0E 2B 00 F2 DA 80 04 9A DF E8 02 F0 85 D7 D7 D7 D7 D7 D7 D7 B3 D7 D7 C5 D7 D7 BC BC 10 9B 10 33 1B 68 1B 88 68 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 01 23 13 60 04 E0 10 9B 03 F1 2C 02 02 23 13 60 01 23 8D F8 0C 30 B5 E0 10 9B 10 33 1B 68 1B 88 33 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 32 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0A 23 13 60 42 E0 10 9B 10 33 1B 68 1B 88 36 2B 13 D1 10 9B 10 33 1B 68 9B 1C 1B 88 34 2B 0C D1 10 9B 10 33 1B 68 1A 1D 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 0B 23 13 60 28 E0 10 9B 10 33 1B 68 1B 88 64 2B 1D D0 10 9B 10 33 1B 68 1B 88 69 2B 17 D0 10 9B 10 33 1B 68 1B 88 6F 2B 11 D0 10 9B 10 33 1B 68 1B 88 75 2B 0B D0 10 9B 10 33 1B 68 1B 88 78 2B 05 D0 10 9B 10 33 1B 68 1B 88 58 2B 04 D1 10 9B 03 F1 2C 02 09 23 13 60 01 23 8D F8 0C 30 54 E0 10 9B 10 33 1B 68 1B 88 6C 2B 0C D1 10 9B 10 33 1B 68 9A 1C 10 9B 10 33 1A 60 10 9B 03 F1 2C 02 04 23 13 60 04 E0 10 9B 03 F1 2C 02 03 23 13 60 01 23 8D F8 0C 30 38 E0 10 9B 03 F1 2C 02 08 23 13 60 01 23 8D F8 0C 30 2F E0 10 9B 03 F1 2C 02 05 23 13 60 01 23 8D F8 0C 30 26 E0 10 9B 03 F1 2C 02 07 23 13 60 01 23 8D F8 0C 30 1D E0 10 9B 03 F1 2C 02 06 23 13 60 01 23 8D F8 0C 30 14 E0 10 9B 03 F1 2C 02 0C 23 13 60 01 23 8D F8 0C 30 0B E0 10 9B 03 F1 2C 02 0D 23 13 60 01 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_637_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 988
		refs = "0068 ?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007c ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0090 ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a4 ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00b8 ?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00cc ?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e0 ?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f4 ?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0108 ?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011c ?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0130 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0152 ?should_skip_type_state_output@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0182 memset 018e ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02e2 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 033a ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@D@0@DHQAH@Z 0352 ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0394 ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 00 23 8D F8 08 30 12 9B 31 33 93 F9 00 30 0C 93 0C 9B 41 3B 0C 93 0C 9B 37 2B 00 F2 8C 80 0C 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 12 98 ?? ?? ?? ?? 8D F8 2D 00 9D F8 2D 30 8D F8 08 30 62 E0 12 98 ?? ?? ?? ?? 8D F8 2E 00 9D F8 2E 30 8D F8 08 30 58 E0 12 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 4E E0 12 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 44 E0 12 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 3A E0 12 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 30 E0 12 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 26 E0 12 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 1C E0 12 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 8D F8 08 30 12 E0 12 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 8D F8 08 30 08 E0 12 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 34 30 3E E1 12 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D0 01 23 8D F8 34 30 31 E1 12 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 34 30 28 E1 03 22 00 21 05 A8 ?? ?? ?? ?? 00 23 03 93 10 21 12 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 40 D0 40 21 12 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2D 23 13 70 03 9B 5B 1C 03 93 2A E0 01 21 12 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2B 23 13 70 03 9B 5B 1C 03 93 14 E0 02 21 12 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0A D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 20 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 78 2B 05 D0 12 9B 31 33 93 F9 00 30 58 2B 0D D1 20 21 12 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 26 30 12 9B 31 33 93 F9 00 30 61 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 27 30 9D F8 26 30 00 2B 03 D1 9D F8 27 30 00 2B 30 D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 30 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 58 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 28 00 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 9D F9 28 30 13 70 03 9B 5B 1C 03 93 12 9B 03 F1 24 02 12 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0E 93 0C 21 12 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D1 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 12 9B 0C 33 00 93 12 9B 18 33 03 9A 05 A9 12 98 00 F5 89 60 ?? ?? ?? ?? 08 21 12 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 12 D0 04 21 12 98 ?? ?? ?? ?? 8D F8 2B 00 9D F8 2B 30 00 2B 08 D1 12 9B 18 33 0E 9A 30 21 12 98 00 F5 89 60 ?? ?? ?? ?? 00 21 12 98 ?? ?? ?? ?? 12 9B 18 33 1B 68 00 2B 12 DB 04 21 12 98 ?? ?? ?? ?? 8D F8 2C 00 9D F8 2C 30 00 2B 08 D0 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 34 30 9D F8 34 00 10 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_638_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 988
		refs = "0068 ?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007c ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0090 ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a4 ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00b8 ?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00cc ?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e0 ?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f4 ?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0108 ?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011c ?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0130 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0152 ?should_skip_type_state_output@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0182 memset 018e ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02e2 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 033a ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@D@0@DHQAH@Z 0352 ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0394 ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 00 23 8D F8 08 30 12 9B 31 33 93 F9 00 30 0C 93 0C 9B 41 3B 0C 93 0C 9B 37 2B 00 F2 8C 80 0C 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 12 98 ?? ?? ?? ?? 8D F8 2D 00 9D F8 2D 30 8D F8 08 30 62 E0 12 98 ?? ?? ?? ?? 8D F8 2E 00 9D F8 2E 30 8D F8 08 30 58 E0 12 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 4E E0 12 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 44 E0 12 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 3A E0 12 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 30 E0 12 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 26 E0 12 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 1C E0 12 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 8D F8 08 30 12 E0 12 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 8D F8 08 30 08 E0 12 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 34 30 3E E1 12 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D0 01 23 8D F8 34 30 31 E1 12 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 34 30 28 E1 03 22 00 21 05 A8 ?? ?? ?? ?? 00 23 03 93 10 21 12 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 40 D0 40 21 12 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2D 23 13 70 03 9B 5B 1C 03 93 2A E0 01 21 12 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2B 23 13 70 03 9B 5B 1C 03 93 14 E0 02 21 12 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0A D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 20 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 78 2B 05 D0 12 9B 31 33 93 F9 00 30 58 2B 0D D1 20 21 12 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 26 30 12 9B 31 33 93 F9 00 30 61 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 27 30 9D F8 26 30 00 2B 03 D1 9D F8 27 30 00 2B 30 D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 30 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 58 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 28 00 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 9D F9 28 30 13 70 03 9B 5B 1C 03 93 12 9B 03 F1 24 02 12 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0E 93 0C 21 12 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D1 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 12 9B 0C 33 00 93 12 9B 18 33 03 9A 05 A9 12 98 00 F5 89 60 ?? ?? ?? ?? 08 21 12 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 12 D0 04 21 12 98 ?? ?? ?? ?? 8D F8 2B 00 9D F8 2B 30 00 2B 08 D1 12 9B 18 33 0E 9A 30 21 12 98 00 F5 89 60 ?? ?? ?? ?? 00 21 12 98 ?? ?? ?? ?? 12 9B 18 33 1B 68 00 2B 12 DB 04 21 12 98 ?? ?? ?? ?? 8D F8 2C 00 9D F8 2C 30 00 2B 08 D0 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 34 30 9D F8 34 00 10 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_639_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 988
		refs = "0068 ?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007c ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0090 ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a4 ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00b8 ?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00cc ?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e0 ?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f4 ?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0108 ?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011c ?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0130 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0152 ?should_skip_type_state_output@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0182 memset 018e ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02e2 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 033a ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@D@0@DHQAH@Z 0352 ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0394 ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 00 23 8D F8 08 30 12 9B 31 33 93 F9 00 30 0C 93 0C 9B 41 3B 0C 93 0C 9B 37 2B 00 F2 8C 80 0C 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 12 98 ?? ?? ?? ?? 8D F8 2D 00 9D F8 2D 30 8D F8 08 30 62 E0 12 98 ?? ?? ?? ?? 8D F8 2E 00 9D F8 2E 30 8D F8 08 30 58 E0 12 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 4E E0 12 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 44 E0 12 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 3A E0 12 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 30 E0 12 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 26 E0 12 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 1C E0 12 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 8D F8 08 30 12 E0 12 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 8D F8 08 30 08 E0 12 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 34 30 3E E1 12 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D0 01 23 8D F8 34 30 31 E1 12 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 34 30 28 E1 03 22 00 21 05 A8 ?? ?? ?? ?? 00 23 03 93 10 21 12 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 40 D0 40 21 12 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2D 23 13 70 03 9B 5B 1C 03 93 2A E0 01 21 12 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2B 23 13 70 03 9B 5B 1C 03 93 14 E0 02 21 12 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0A D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 20 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 78 2B 05 D0 12 9B 31 33 93 F9 00 30 58 2B 0D D1 20 21 12 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 26 30 12 9B 31 33 93 F9 00 30 61 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 27 30 9D F8 26 30 00 2B 03 D1 9D F8 27 30 00 2B 30 D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 30 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 58 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 28 00 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 9D F9 28 30 13 70 03 9B 5B 1C 03 93 12 9B 03 F1 24 02 12 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0E 93 0C 21 12 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D1 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 12 9B 0C 33 00 93 12 9B 18 33 03 9A 05 A9 12 98 00 F5 89 60 ?? ?? ?? ?? 08 21 12 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 12 D0 04 21 12 98 ?? ?? ?? ?? 8D F8 2B 00 9D F8 2B 30 00 2B 08 D1 12 9B 18 33 0E 9A 30 21 12 98 00 F5 89 60 ?? ?? ?? ?? 00 21 12 98 ?? ?? ?? ?? 12 9B 18 33 1B 68 00 2B 12 DB 04 21 12 98 ?? ?? ?? ?? 8D F8 2C 00 9D F8 2C 30 00 2B 08 D0 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 34 30 9D F8 34 00 10 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_640_2 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 988
		refs = "0068 ?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007c ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0090 ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a4 ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00b8 ?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00cc ?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e0 ?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f4 ?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0108 ?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011c ?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0130 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0152 ?should_skip_type_state_output@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0182 memset 018e ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02e2 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 033a ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@D@0@DHQAH@Z 0352 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0394 ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 00 23 8D F8 08 30 12 9B 31 33 93 F9 00 30 0C 93 0C 9B 41 3B 0C 93 0C 9B 37 2B 00 F2 8C 80 0C 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 12 98 ?? ?? ?? ?? 8D F8 2D 00 9D F8 2D 30 8D F8 08 30 62 E0 12 98 ?? ?? ?? ?? 8D F8 2E 00 9D F8 2E 30 8D F8 08 30 58 E0 12 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 4E E0 12 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 44 E0 12 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 3A E0 12 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 30 E0 12 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 26 E0 12 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 1C E0 12 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 8D F8 08 30 12 E0 12 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 8D F8 08 30 08 E0 12 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 34 30 3E E1 12 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D0 01 23 8D F8 34 30 31 E1 12 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 34 30 28 E1 03 22 00 21 05 A8 ?? ?? ?? ?? 00 23 03 93 10 21 12 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 40 D0 40 21 12 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2D 23 13 70 03 9B 5B 1C 03 93 2A E0 01 21 12 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2B 23 13 70 03 9B 5B 1C 03 93 14 E0 02 21 12 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0A D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 20 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 78 2B 05 D0 12 9B 31 33 93 F9 00 30 58 2B 0D D1 20 21 12 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 26 30 12 9B 31 33 93 F9 00 30 61 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 27 30 9D F8 26 30 00 2B 03 D1 9D F8 27 30 00 2B 30 D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 30 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 58 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 28 00 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 9D F9 28 30 13 70 03 9B 5B 1C 03 93 12 9B 03 F1 24 02 12 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0E 93 0C 21 12 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D1 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 12 9B 0C 33 00 93 12 9B 18 33 03 9A 05 A9 12 98 00 F5 89 60 ?? ?? ?? ?? 08 21 12 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 12 D0 04 21 12 98 ?? ?? ?? ?? 8D F8 2B 00 9D F8 2B 30 00 2B 08 D1 12 9B 18 33 0E 9A 30 21 12 98 00 F5 89 60 ?? ?? ?? ?? 00 21 12 98 ?? ?? ?? ?? 12 9B 18 33 1B 68 00 2B 12 DB 04 21 12 98 ?? ?? ?? ?? 8D F8 2C 00 9D F8 2C 30 00 2B 08 D0 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 34 30 9D F8 34 00 10 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_641_2 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 988
		refs = "0068 ?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007c ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0090 ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a4 ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00b8 ?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00cc ?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e0 ?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f4 ?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0108 ?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011c ?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0130 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0152 ?should_skip_type_state_output@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0182 memset 018e ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02e2 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 033a ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@D@0@DHQAH@Z 0352 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0394 ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 00 23 8D F8 08 30 12 9B 31 33 93 F9 00 30 0C 93 0C 9B 41 3B 0C 93 0C 9B 37 2B 00 F2 8C 80 0C 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 12 98 ?? ?? ?? ?? 8D F8 2D 00 9D F8 2D 30 8D F8 08 30 62 E0 12 98 ?? ?? ?? ?? 8D F8 2E 00 9D F8 2E 30 8D F8 08 30 58 E0 12 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 4E E0 12 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 44 E0 12 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 3A E0 12 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 30 E0 12 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 26 E0 12 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 1C E0 12 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 8D F8 08 30 12 E0 12 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 8D F8 08 30 08 E0 12 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 34 30 3E E1 12 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D0 01 23 8D F8 34 30 31 E1 12 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 34 30 28 E1 03 22 00 21 05 A8 ?? ?? ?? ?? 00 23 03 93 10 21 12 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 40 D0 40 21 12 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2D 23 13 70 03 9B 5B 1C 03 93 2A E0 01 21 12 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2B 23 13 70 03 9B 5B 1C 03 93 14 E0 02 21 12 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0A D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 20 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 78 2B 05 D0 12 9B 31 33 93 F9 00 30 58 2B 0D D1 20 21 12 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 26 30 12 9B 31 33 93 F9 00 30 61 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 27 30 9D F8 26 30 00 2B 03 D1 9D F8 27 30 00 2B 30 D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 30 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 58 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 28 00 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 9D F9 28 30 13 70 03 9B 5B 1C 03 93 12 9B 03 F1 24 02 12 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0E 93 0C 21 12 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D1 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 12 9B 0C 33 00 93 12 9B 18 33 03 9A 05 A9 12 98 00 F5 89 60 ?? ?? ?? ?? 08 21 12 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 12 D0 04 21 12 98 ?? ?? ?? ?? 8D F8 2B 00 9D F8 2B 30 00 2B 08 D1 12 9B 18 33 0E 9A 30 21 12 98 00 F5 89 60 ?? ?? ?? ?? 00 21 12 98 ?? ?? ?? ?? 12 9B 18 33 1B 68 00 2B 12 DB 04 21 12 98 ?? ?? ?? ?? 8D F8 2C 00 9D F8 2C 30 00 2B 08 D0 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 34 30 9D F8 34 00 10 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_642_2 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 988
		refs = "0068 ?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007c ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0090 ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a4 ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00b8 ?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00cc ?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e0 ?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f4 ?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0108 ?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011c ?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0130 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0152 ?should_skip_type_state_output@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0182 memset 018e ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02e2 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 033a ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@D@0@DHQAH@Z 0352 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0394 ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 00 23 8D F8 08 30 12 9B 31 33 93 F9 00 30 0C 93 0C 9B 41 3B 0C 93 0C 9B 37 2B 00 F2 8C 80 0C 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 12 98 ?? ?? ?? ?? 8D F8 2D 00 9D F8 2D 30 8D F8 08 30 62 E0 12 98 ?? ?? ?? ?? 8D F8 2E 00 9D F8 2E 30 8D F8 08 30 58 E0 12 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 4E E0 12 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 44 E0 12 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 3A E0 12 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 30 E0 12 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 26 E0 12 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 1C E0 12 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 8D F8 08 30 12 E0 12 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 8D F8 08 30 08 E0 12 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 34 30 3E E1 12 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D0 01 23 8D F8 34 30 31 E1 12 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 34 30 28 E1 03 22 00 21 05 A8 ?? ?? ?? ?? 00 23 03 93 10 21 12 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 40 D0 40 21 12 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2D 23 13 70 03 9B 5B 1C 03 93 2A E0 01 21 12 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 0B D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 2B 23 13 70 03 9B 5B 1C 03 93 14 E0 02 21 12 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0A D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 20 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 78 2B 05 D0 12 9B 31 33 93 F9 00 30 58 2B 0D D1 20 21 12 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 26 30 12 9B 31 33 93 F9 00 30 61 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 27 30 9D F8 26 30 00 2B 03 D1 9D F8 27 30 00 2B 30 D0 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 30 23 13 70 03 9B 5B 1C 03 93 12 9B 31 33 93 F9 00 30 58 2B 09 D0 12 9B 31 33 93 F9 00 30 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 28 00 03 9A 01 23 02 FB 03 F2 05 AB 1A 44 9D F9 28 30 13 70 03 9B 5B 1C 03 93 12 9B 03 F1 24 02 12 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0E 93 0C 21 12 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D1 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 12 9B 0C 33 00 93 12 9B 18 33 03 9A 05 A9 12 98 00 F5 89 60 ?? ?? ?? ?? 08 21 12 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 12 D0 04 21 12 98 ?? ?? ?? ?? 8D F8 2B 00 9D F8 2B 30 00 2B 08 D1 12 9B 18 33 0E 9A 30 21 12 98 00 F5 89 60 ?? ?? ?? ?? 00 21 12 98 ?? ?? ?? ?? 12 9B 18 33 1B 68 00 2B 12 DB 04 21 12 98 ?? ?? ?? ?? 8D F8 2C 00 9D F8 2C 30 00 2B 08 D0 12 9B 18 33 0E 9A 20 21 12 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 34 30 9D F8 34 00 10 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_643_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 984
		refs = "0008 __security_push_cookie 006a ?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007e ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a6 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ba ?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ce ?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e2 ?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f6 ?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 010a ?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011e ?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0132 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0154 ?should_skip_type_state_output@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0184 memset 0190 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02d8 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0332 ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@_W@0@DHQAH@Z 034a ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 038c ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 03cc __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 91 B0 00 23 8D F8 08 30 14 9B 32 33 1B 88 0B 93 0B 9B 41 3B 0B 93 0B 9B 37 2B 00 F2 8C 80 0B 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 14 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 8D F8 08 30 62 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 58 E0 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 08 30 4E E0 14 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 39 E1 14 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 00 2B 03 D0 01 23 8D F8 30 30 2C E1 14 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 30 30 23 E1 06 22 00 21 0E A8 ?? ?? ?? ?? 00 23 03 93 10 21 14 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 00 2B 40 D0 40 21 14 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2D 23 13 80 03 9B 5B 1C 03 93 2A E0 01 21 14 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2B 23 13 80 03 9B 5B 1C 03 93 14 E0 02 21 14 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 0A D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 20 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 78 2B 04 D0 14 9B 32 33 1B 88 58 2B 0D D1 20 21 14 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 23 30 14 9B 32 33 1B 88 61 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 24 30 9D F8 23 30 00 2B 03 D1 9D F8 24 30 00 2B 2F D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 30 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 58 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 25 00 9D F9 25 30 99 B2 03 9A 02 23 02 FB 03 F2 0E AB 13 44 19 80 03 9B 5B 1C 03 93 14 9B 03 F1 24 02 14 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0D 93 0C 21 14 98 ?? ?? ?? ?? 8D F8 26 00 9D F8 26 30 00 2B 08 D1 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 14 9B 0C 33 00 93 14 9B 18 33 03 9A 0E A9 14 98 00 F5 89 60 ?? ?? ?? ?? 08 21 14 98 ?? ?? ?? ?? 8D F8 27 00 9D F8 27 30 00 2B 12 D0 04 21 14 98 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 08 D1 14 9B 18 33 0D 9A 30 21 14 98 00 F5 89 60 ?? ?? ?? ?? 00 21 14 98 ?? ?? ?? ?? 14 9B 18 33 1B 68 00 2B 12 DB 04 21 14 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D0 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 30 30 9D F8 30 00 11 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_644_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 984
		refs = "0008 __security_push_cookie 006a ?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007e ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a6 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ba ?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ce ?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e2 ?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f6 ?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 010a ?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011e ?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0132 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0154 ?should_skip_type_state_output@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0184 memset 0190 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02d8 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0332 ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@_W@0@DHQAH@Z 034a ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 038c ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 03cc __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 91 B0 00 23 8D F8 08 30 14 9B 32 33 1B 88 0B 93 0B 9B 41 3B 0B 93 0B 9B 37 2B 00 F2 8C 80 0B 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 14 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 8D F8 08 30 62 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 58 E0 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 08 30 4E E0 14 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 39 E1 14 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 00 2B 03 D0 01 23 8D F8 30 30 2C E1 14 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 30 30 23 E1 06 22 00 21 0E A8 ?? ?? ?? ?? 00 23 03 93 10 21 14 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 00 2B 40 D0 40 21 14 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2D 23 13 80 03 9B 5B 1C 03 93 2A E0 01 21 14 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2B 23 13 80 03 9B 5B 1C 03 93 14 E0 02 21 14 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 0A D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 20 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 78 2B 04 D0 14 9B 32 33 1B 88 58 2B 0D D1 20 21 14 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 23 30 14 9B 32 33 1B 88 61 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 24 30 9D F8 23 30 00 2B 03 D1 9D F8 24 30 00 2B 2F D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 30 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 58 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 25 00 9D F9 25 30 99 B2 03 9A 02 23 02 FB 03 F2 0E AB 13 44 19 80 03 9B 5B 1C 03 93 14 9B 03 F1 24 02 14 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0D 93 0C 21 14 98 ?? ?? ?? ?? 8D F8 26 00 9D F8 26 30 00 2B 08 D1 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 14 9B 0C 33 00 93 14 9B 18 33 03 9A 0E A9 14 98 00 F5 89 60 ?? ?? ?? ?? 08 21 14 98 ?? ?? ?? ?? 8D F8 27 00 9D F8 27 30 00 2B 12 D0 04 21 14 98 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 08 D1 14 9B 18 33 0D 9A 30 21 14 98 00 F5 89 60 ?? ?? ?? ?? 00 21 14 98 ?? ?? ?? ?? 14 9B 18 33 1B 68 00 2B 12 DB 04 21 14 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D0 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 30 30 9D F8 30 00 11 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_645_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 984
		refs = "0008 __security_push_cookie 006a ?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007e ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a6 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ba ?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ce ?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e2 ?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f6 ?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 010a ?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011e ?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0132 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0154 ?should_skip_type_state_output@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0184 memset 0190 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02d8 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0332 ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@_W@0@DHQAH@Z 034a ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 038c ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 03cc __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 91 B0 00 23 8D F8 08 30 14 9B 32 33 1B 88 0B 93 0B 9B 41 3B 0B 93 0B 9B 37 2B 00 F2 8C 80 0B 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 14 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 8D F8 08 30 62 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 58 E0 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 08 30 4E E0 14 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 39 E1 14 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 00 2B 03 D0 01 23 8D F8 30 30 2C E1 14 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 30 30 23 E1 06 22 00 21 0E A8 ?? ?? ?? ?? 00 23 03 93 10 21 14 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 00 2B 40 D0 40 21 14 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2D 23 13 80 03 9B 5B 1C 03 93 2A E0 01 21 14 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2B 23 13 80 03 9B 5B 1C 03 93 14 E0 02 21 14 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 0A D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 20 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 78 2B 04 D0 14 9B 32 33 1B 88 58 2B 0D D1 20 21 14 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 23 30 14 9B 32 33 1B 88 61 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 24 30 9D F8 23 30 00 2B 03 D1 9D F8 24 30 00 2B 2F D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 30 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 58 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 25 00 9D F9 25 30 99 B2 03 9A 02 23 02 FB 03 F2 0E AB 13 44 19 80 03 9B 5B 1C 03 93 14 9B 03 F1 24 02 14 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0D 93 0C 21 14 98 ?? ?? ?? ?? 8D F8 26 00 9D F8 26 30 00 2B 08 D1 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 14 9B 0C 33 00 93 14 9B 18 33 03 9A 0E A9 14 98 00 F5 89 60 ?? ?? ?? ?? 08 21 14 98 ?? ?? ?? ?? 8D F8 27 00 9D F8 27 30 00 2B 12 D0 04 21 14 98 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 08 D1 14 9B 18 33 0D 9A 30 21 14 98 00 F5 89 60 ?? ?? ?? ?? 00 21 14 98 ?? ?? ?? ?? 14 9B 18 33 1B 68 00 2B 12 DB 04 21 14 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D0 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 30 30 9D F8 30 00 11 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_646_2 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 984
		refs = "0008 __security_push_cookie 006a ?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007e ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a6 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ba ?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ce ?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e2 ?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f6 ?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 010a ?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011e ?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0132 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0154 ?should_skip_type_state_output@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0184 memset 0190 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02d8 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0332 ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@_W@0@DHQAH@Z 034a ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 038c ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 03cc __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 91 B0 00 23 8D F8 08 30 14 9B 32 33 1B 88 0B 93 0B 9B 41 3B 0B 93 0B 9B 37 2B 00 F2 8C 80 0B 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 14 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 8D F8 08 30 62 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 58 E0 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 08 30 4E E0 14 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 39 E1 14 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 00 2B 03 D0 01 23 8D F8 30 30 2C E1 14 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 30 30 23 E1 06 22 00 21 0E A8 ?? ?? ?? ?? 00 23 03 93 10 21 14 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 00 2B 40 D0 40 21 14 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2D 23 13 80 03 9B 5B 1C 03 93 2A E0 01 21 14 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2B 23 13 80 03 9B 5B 1C 03 93 14 E0 02 21 14 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 0A D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 20 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 78 2B 04 D0 14 9B 32 33 1B 88 58 2B 0D D1 20 21 14 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 23 30 14 9B 32 33 1B 88 61 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 24 30 9D F8 23 30 00 2B 03 D1 9D F8 24 30 00 2B 2F D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 30 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 58 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 25 00 9D F9 25 30 99 B2 03 9A 02 23 02 FB 03 F2 0E AB 13 44 19 80 03 9B 5B 1C 03 93 14 9B 03 F1 24 02 14 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0D 93 0C 21 14 98 ?? ?? ?? ?? 8D F8 26 00 9D F8 26 30 00 2B 08 D1 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 14 9B 0C 33 00 93 14 9B 18 33 03 9A 0E A9 14 98 00 F5 89 60 ?? ?? ?? ?? 08 21 14 98 ?? ?? ?? ?? 8D F8 27 00 9D F8 27 30 00 2B 12 D0 04 21 14 98 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 08 D1 14 9B 18 33 0D 9A 30 21 14 98 00 F5 89 60 ?? ?? ?? ?? 00 21 14 98 ?? ?? ?? ?? 14 9B 18 33 1B 68 00 2B 12 DB 04 21 14 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D0 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 30 30 9D F8 30 00 11 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_647_2 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 984
		refs = "0008 __security_push_cookie 006a ?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007e ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a6 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ba ?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ce ?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e2 ?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f6 ?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 010a ?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011e ?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0132 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0154 ?should_skip_type_state_output@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0184 memset 0190 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02d8 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0332 ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@_W@0@DHQAH@Z 034a ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 038c ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 03cc __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 91 B0 00 23 8D F8 08 30 14 9B 32 33 1B 88 0B 93 0B 9B 41 3B 0B 93 0B 9B 37 2B 00 F2 8C 80 0B 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 14 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 8D F8 08 30 62 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 58 E0 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 08 30 4E E0 14 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 39 E1 14 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 00 2B 03 D0 01 23 8D F8 30 30 2C E1 14 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 30 30 23 E1 06 22 00 21 0E A8 ?? ?? ?? ?? 00 23 03 93 10 21 14 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 00 2B 40 D0 40 21 14 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2D 23 13 80 03 9B 5B 1C 03 93 2A E0 01 21 14 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2B 23 13 80 03 9B 5B 1C 03 93 14 E0 02 21 14 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 0A D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 20 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 78 2B 04 D0 14 9B 32 33 1B 88 58 2B 0D D1 20 21 14 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 23 30 14 9B 32 33 1B 88 61 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 24 30 9D F8 23 30 00 2B 03 D1 9D F8 24 30 00 2B 2F D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 30 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 58 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 25 00 9D F9 25 30 99 B2 03 9A 02 23 02 FB 03 F2 0E AB 13 44 19 80 03 9B 5B 1C 03 93 14 9B 03 F1 24 02 14 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0D 93 0C 21 14 98 ?? ?? ?? ?? 8D F8 26 00 9D F8 26 30 00 2B 08 D1 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 14 9B 0C 33 00 93 14 9B 18 33 03 9A 0E A9 14 98 00 F5 89 60 ?? ?? ?? ?? 08 21 14 98 ?? ?? ?? ?? 8D F8 27 00 9D F8 27 30 00 2B 12 D0 04 21 14 98 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 08 D1 14 9B 18 33 0D 9A 30 21 14 98 00 F5 89 60 ?? ?? ?? ?? 00 21 14 98 ?? ?? ?? ?? 14 9B 18 33 1B 68 00 2B 12 DB 04 21 14 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D0 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 30 30 9D F8 30 00 11 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_648_2 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 984
		refs = "0008 __security_push_cookie 006a ?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 007e ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0092 ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a6 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ba ?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ce ?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00e2 ?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f6 ?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 010a ?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011e ?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0132 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0154 ?should_skip_type_state_output@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0184 memset 0190 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 02d8 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 0332 ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@_W@0@DHQAH@Z 034a ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 038c ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 03cc __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 91 B0 00 23 8D F8 08 30 14 9B 32 33 1B 88 0B 93 0B 9B 41 3B 0B 93 0B 9B 37 2B 00 F2 8C 80 0B 9A DF E8 02 F0 3A 89 1C 89 3A 3A 3A 89 89 89 89 89 89 89 89 89 89 89 30 89 89 89 89 62 89 26 89 89 89 89 89 89 3A 89 1C 44 3A 3A 3A 89 44 89 89 89 89 80 58 76 89 89 30 89 4E 89 89 6C 14 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 8D F8 08 30 62 E0 14 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 8D F8 08 30 58 E0 14 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 08 30 4E E0 14 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 08 30 44 E0 14 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 8D F8 08 30 3A E0 14 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 08 30 30 E0 14 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 08 30 26 E0 14 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 8D F8 08 30 1C E0 14 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 8D F8 08 30 12 E0 14 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 08 E0 14 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 39 E1 14 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 00 2B 03 D0 01 23 8D F8 30 30 2C E1 14 9B 30 33 1B 78 00 2B 03 D0 01 23 8D F8 30 30 23 E1 06 22 00 21 0E A8 ?? ?? ?? ?? 00 23 03 93 10 21 14 98 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 00 2B 40 D0 40 21 14 98 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2D 23 13 80 03 9B 5B 1C 03 93 2A E0 01 21 14 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 0B D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 2B 23 13 80 03 9B 5B 1C 03 93 14 E0 02 21 14 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 0A D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 20 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 78 2B 04 D0 14 9B 32 33 1B 88 58 2B 0D D1 20 21 14 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 03 D0 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 23 30 14 9B 32 33 1B 88 61 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 11 30 02 E0 01 23 8D F8 11 30 9D F8 11 30 8D F8 24 30 9D F8 23 30 00 2B 03 D1 9D F8 24 30 00 2B 2F D0 03 9A 02 23 02 FB 03 F2 0E AB 1A 44 30 23 13 80 03 9B 5B 1C 03 93 14 9B 32 33 1B 88 58 2B 08 D0 14 9B 32 33 1B 88 41 2B 03 D0 00 23 8D F8 12 30 02 E0 01 23 8D F8 12 30 9D F8 12 10 51 20 ?? ?? ?? ?? 8D F8 25 00 9D F9 25 30 99 B2 03 9A 02 23 02 FB 03 F2 0E AB 13 44 19 80 03 9B 5B 1C 03 93 14 9B 03 F1 24 02 14 9B 38 33 12 68 1B 68 D2 1A 03 9B D3 1A 0D 93 0C 21 14 98 ?? ?? ?? ?? 8D F8 26 00 9D F8 26 30 00 2B 08 D1 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 14 9B 0C 33 00 93 14 9B 18 33 03 9A 0E A9 14 98 00 F5 89 60 ?? ?? ?? ?? 08 21 14 98 ?? ?? ?? ?? 8D F8 27 00 9D F8 27 30 00 2B 12 D0 04 21 14 98 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 08 D1 14 9B 18 33 0D 9A 30 21 14 98 00 F5 89 60 ?? ?? ?? ?? 00 21 14 98 ?? ?? ?? ?? 14 9B 18 33 1B 68 00 2B 12 DB 04 21 14 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 08 D0 14 9B 18 33 0D 9A 20 21 14 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 30 30 9D F8 30 00 11 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_649_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 152
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0072 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_650_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 152
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_field_width@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0072 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_651_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 152
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0072 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_652_2 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 152
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0072 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_653_2 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 152
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_field_width@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0072 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_654_2 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 152
		refs = "001e ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0032 ?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0072 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 31 33 93 F9 00 30 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_655_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 150
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0070 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_656_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 150
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_field_width@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0070 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_657_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 150
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0070 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_658_2 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 150
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0070 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_659_2 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 150
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_field_width@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0070 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_660_2 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 150
		refs = "001c ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 0030 ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 004a ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0070 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 32 33 1B 88 2A 2B 0C D0 04 9B 03 F1 24 01 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 2C E0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 04 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 04 30 12 E0 04 9B 24 33 1B 68 00 2B 0A DA 04 21 04 98 ?? ?? ?? ?? 04 9B 24 33 1B 68 5A 42 04 9B 24 33 1A 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_661_0 {
	meta:
		name = "?state_count@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
		size = 20
		altNames = "?state_count@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ ?state_count@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ ?state_count@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 09 23 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_121_665_0 {
	meta:
		name = "?state_count@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
		size = 20
		altNames = "?state_count@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ ?state_count@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ ?state_count@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 08 23 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_121_677_0 {
	meta:
		name = "?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADD@Z"
		size = 28
		altNames = "?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_W_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 34 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_681_0 {
	meta:
		name = "?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
		size = 120
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 93 01 9B 0B 2B 29 D8 01 9A DF E8 02 F0 06 09 0C 0F 12 15 18 1B 27 1E 21 24 04 23 00 93 1F E0 01 23 00 93 1C E0 02 23 00 93 19 E0 04 23 00 93 16 E0 08 23 00 93 13 E0 08 23 00 93 10 E0 04 23 00 93 0D E0 04 23 00 93 0A E0 04 23 00 93 07 E0 04 23 00 93 04 E0 08 23 00 93 01 E0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_682_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_683_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_684_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_685_4 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_686_4 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_687_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_688_0 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_689_2 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_690_4 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_691_0 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_692_0 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_693_3 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_694_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009c ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00c0 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 69 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5C E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 38 E0 08 9B 2C 33 1B 68 08 9A 31 32 92 F9 00 20 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_695_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009c ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00c0 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 69 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5C E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 38 E0 08 9B 2C 33 1B 68 08 9A 31 32 92 F9 00 20 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_696_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009c ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00c0 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 69 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5C E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 38 E0 08 9B 2C 33 1B 68 08 9A 31 32 92 F9 00 20 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_697_2 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009c ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00c0 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 69 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5C E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 38 E0 08 9B 2C 33 1B 68 08 9A 31 32 92 F9 00 20 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_698_2 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009c ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00c0 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 69 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5C E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 38 E0 08 9B 2C 33 1B 68 08 9A 31 32 92 F9 00 20 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_699_2 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009c ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 00c0 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 69 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5C E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 38 E0 08 9B 2C 33 1B 68 08 9A 31 32 92 F9 00 20 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_700_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009a ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00be __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 68 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5B E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 37 E0 08 9B 2C 33 1B 68 08 9A 32 32 12 88 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_701_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009a ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00be __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 68 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5B E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 37 E0 08 9B 2C 33 1B 68 08 9A 32 32 12 88 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_702_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009a ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00be __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 68 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5B E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 37 E0 08 9B 2C 33 1B 68 08 9A 32 32 12 88 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_703_2 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009a ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00be __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 68 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5B E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 37 E0 08 9B 2C 33 1B 68 08 9A 32 32 12 88 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_704_2 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009a ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00be __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 68 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5B E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 37 E0 08 9B 2C 33 1B 68 08 9A 32 32 12 88 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_705_2 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 002c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0054 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 006a strlen 009a ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 00be __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 A9 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 68 E0 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 5B E0 01 9B 00 2B 04 D0 01 9B 1B 1D 1B 68 00 2B 18 D1 ?? ?? ?? ?? 03 90 08 9B 03 F1 34 02 03 9B 13 60 08 9B 34 33 18 68 ?? ?? ?? ?? 04 90 08 9B 03 F1 38 02 04 9B 13 60 08 9B 03 F1 3C 02 00 23 13 70 37 E0 08 9B 2C 33 1B 68 08 9A 32 32 12 88 08 99 08 68 08 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 14 D0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 19 88 02 20 ?? ?? ?? ?? 08 9B 38 33 18 60 08 9B 03 F1 3C 02 01 23 13 70 10 E0 01 9B 19 1D 08 9B 03 F1 34 02 0B 68 13 60 01 9B 1A 88 08 9B 38 33 1A 60 08 9B 03 F1 3C 02 00 23 13 70 01 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_706_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 640
		refs = "000e ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 002e ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00bc ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00d2 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00ea ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0100 memset 0108 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 0126 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0132 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0182 __acrt_fp_format 018a ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01b0 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01ec ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 025c strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 22 E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 15 E1 16 9B 28 33 1B 68 00 2B 17 DA 16 9B 31 33 93 F9 00 30 61 2B 05 D0 16 9B 31 33 93 F9 00 30 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 15 E0 16 9B 28 33 1B 68 00 2B 10 D1 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A8 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 31 33 93 F9 00 30 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 31 02 73 23 13 70 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_707_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 640
		refs = "000e ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 002e ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00bc ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00d2 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00ea ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0100 memset 0108 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 0126 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0132 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0182 __acrt_fp_format 018a ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01b0 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01ec ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 025c strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 22 E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 15 E1 16 9B 28 33 1B 68 00 2B 17 DA 16 9B 31 33 93 F9 00 30 61 2B 05 D0 16 9B 31 33 93 F9 00 30 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 15 E0 16 9B 28 33 1B 68 00 2B 10 D1 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A8 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 31 33 93 F9 00 30 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 31 02 73 23 13 70 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_708_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 640
		refs = "000e ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 002e ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00bc ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00d2 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00ea ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0100 memset 0108 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 0126 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0132 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0182 __acrt_fp_format 018a ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01b0 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01ec ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 025c strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 22 E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 15 E1 16 9B 28 33 1B 68 00 2B 17 DA 16 9B 31 33 93 F9 00 30 61 2B 05 D0 16 9B 31 33 93 F9 00 30 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 15 E0 16 9B 28 33 1B 68 00 2B 10 D1 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A8 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 31 33 93 F9 00 30 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 31 02 73 23 13 70 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_709_2 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 640
		refs = "000e ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 002e ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00bc ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00d2 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00ea ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0100 memset 0108 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 0126 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0132 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0182 __acrt_fp_format 018a ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01b0 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01ec ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 025c strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 22 E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 15 E1 16 9B 28 33 1B 68 00 2B 17 DA 16 9B 31 33 93 F9 00 30 61 2B 05 D0 16 9B 31 33 93 F9 00 30 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 15 E0 16 9B 28 33 1B 68 00 2B 10 D1 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A8 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 31 33 93 F9 00 30 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 31 02 73 23 13 70 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_710_2 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 640
		refs = "000e ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 002e ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00bc ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00d2 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00ea ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0100 memset 0108 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 0126 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0132 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0182 __acrt_fp_format 018a ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01b0 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01ec ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 025c strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 22 E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 15 E1 16 9B 28 33 1B 68 00 2B 17 DA 16 9B 31 33 93 F9 00 30 61 2B 05 D0 16 9B 31 33 93 F9 00 30 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 15 E0 16 9B 28 33 1B 68 00 2B 10 D1 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A8 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 31 33 93 F9 00 30 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 31 02 73 23 13 70 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_711_2 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 640
		refs = "000e ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 002e ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00bc ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00d2 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00ea ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0100 memset 0108 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 0126 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0132 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0182 __acrt_fp_format 018a ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01b0 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01ec ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 025c strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 22 E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 15 E1 16 9B 28 33 1B 68 00 2B 17 DA 16 9B 31 33 93 F9 00 30 61 2B 05 D0 16 9B 31 33 93 F9 00 30 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 15 E0 16 9B 28 33 1B 68 00 2B 10 D1 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A8 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 31 33 93 F9 00 30 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 31 33 93 F9 00 30 67 2B 05 D0 16 9B 31 33 93 F9 00 30 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 31 02 73 23 13 70 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_712_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 628
		refs = "000e ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 002e ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00b4 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00ca ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00e2 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 00f8 memset 0100 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 011e ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 012a ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 017a __acrt_fp_format 0182 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01a8 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01e0 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0250 strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 1C E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 0F E1 16 9B 28 33 1B 68 00 2B 15 DA 16 9B 32 33 1B 88 61 2B 04 D0 16 9B 32 33 1B 88 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 13 E0 16 9B 28 33 1B 68 00 2B 0E D1 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A6 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 32 33 1B 88 5B B2 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 32 02 73 23 13 80 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_713_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 628
		refs = "000e ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 002e ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00b4 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00ca ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00e2 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 00f8 memset 0100 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 011e ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 012a ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 017a __acrt_fp_format 0182 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01a8 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01e0 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0250 strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 1C E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 0F E1 16 9B 28 33 1B 68 00 2B 15 DA 16 9B 32 33 1B 88 61 2B 04 D0 16 9B 32 33 1B 88 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 13 E0 16 9B 28 33 1B 68 00 2B 0E D1 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A6 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 32 33 1B 88 5B B2 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 32 02 73 23 13 80 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_714_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 628
		refs = "000e ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 002e ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00b4 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00ca ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00e2 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 00f8 memset 0100 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 011e ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 012a ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 017a __acrt_fp_format 0182 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01a8 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01e0 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0250 strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 1C E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 0F E1 16 9B 28 33 1B 68 00 2B 15 DA 16 9B 32 33 1B 88 61 2B 04 D0 16 9B 32 33 1B 88 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 13 E0 16 9B 28 33 1B 68 00 2B 0E D1 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A6 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 32 33 1B 88 5B B2 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 32 02 73 23 13 80 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_715_2 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 628
		refs = "000e ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 002e ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00b4 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00ca ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00e2 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 00f8 memset 0100 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 011e ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 012a ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 017a __acrt_fp_format 0182 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01a8 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01e0 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0250 strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 1C E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 0F E1 16 9B 28 33 1B 68 00 2B 15 DA 16 9B 32 33 1B 88 61 2B 04 D0 16 9B 32 33 1B 88 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 13 E0 16 9B 28 33 1B 68 00 2B 0E D1 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A6 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 32 33 1B 88 5B B2 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 32 02 73 23 13 80 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_716_2 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 628
		refs = "000e ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 002e ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00b4 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00ca ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00e2 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 00f8 memset 0100 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 011e ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 012a ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 017a __acrt_fp_format 0182 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01a8 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01e0 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0250 strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 1C E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 0F E1 16 9B 28 33 1B 68 00 2B 15 DA 16 9B 32 33 1B 88 61 2B 04 D0 16 9B 32 33 1B 88 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 13 E0 16 9B 28 33 1B 68 00 2B 0E D1 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A6 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 32 33 1B 88 5B B2 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 32 02 73 23 13 80 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_717_2 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 628
		refs = "000e ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0014 ?validate_state_for_type_case_a@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 002e ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00b4 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00ca ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 00e2 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 00f8 memset 0100 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 011e ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 012a ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 017a __acrt_fp_format 0182 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 01a8 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01e0 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0250 strlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 10 21 16 98 ?? ?? ?? ?? 16 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 03 D1 00 23 8D F8 28 30 1C E1 16 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 03 D1 01 23 8D F8 28 30 0F E1 16 9B 28 33 1B 68 00 2B 15 DA 16 9B 32 33 1B 88 61 2B 04 D0 16 9B 32 33 1B 88 41 2B 05 D1 16 9B 03 F1 28 02 0D 23 13 60 04 E0 16 9B 03 F1 28 02 06 23 13 60 13 E0 16 9B 28 33 1B 68 00 2B 0E D1 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 04 D1 16 9B 03 F1 28 02 01 23 13 60 16 9B 28 33 1B 68 03 F2 5D 11 16 9B 03 F1 40 00 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0B D1 16 9B 03 F1 40 00 ?? ?? ?? ?? 0B 90 0B 9B A3 F2 5D 12 16 9B 28 33 1A 60 16 9B 03 F1 40 00 ?? ?? ?? ?? 0C 90 16 9B 03 F1 34 02 0C 9B 13 60 08 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 16 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 03 D1 00 23 8D F8 28 30 A6 E0 16 9B 03 F1 40 00 ?? ?? ?? ?? 0D 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0E 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 0F 90 16 9B 03 F1 40 00 ?? ?? ?? ?? 10 90 16 9B 08 33 1B 68 06 93 16 9B 1B 68 04 93 16 9B 5B 68 05 93 16 9B 28 33 1B 68 02 93 16 9B 32 33 1B 88 5B B2 01 93 0D 9B 00 93 0E 9B 0F 9A 10 99 12 A8 ?? ?? ?? ?? 20 21 16 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0C D0 16 9B 28 33 1B 68 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 32 33 1B 88 67 2B 04 D0 16 9B 32 33 1B 88 47 2B 11 D1 20 21 16 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 07 D1 16 9B 08 33 19 68 16 9B 34 33 18 68 ?? ?? ?? ?? 16 9B 34 33 1B 68 93 F9 00 30 2D 2B 0A D1 40 21 16 98 ?? ?? ?? ?? 16 9B 34 33 1B 68 5A 1C 16 9B 34 33 1A 60 16 9B 34 33 1B 68 93 F9 00 30 69 2B 14 D0 16 9B 34 33 1B 68 93 F9 00 30 49 2B 0D D0 16 9B 34 33 1B 68 93 F9 00 30 6E 2B 06 D0 16 9B 34 33 1B 68 93 F9 00 30 4E 2B 04 D1 16 9B 03 F1 32 02 73 23 13 80 16 9B 34 33 18 68 ?? ?? ?? ?? 11 90 16 9B 03 F1 38 02 11 9B 13 60 01 23 8D F8 28 30 9D F8 28 00 14 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_718_0 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_719_0 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_720_0 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_721_4 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_722_4 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_723_0 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_724_0 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_725_2 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_726_4 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_727_0 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_728_0 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_729_3 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 44
		refs = "000e ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_730_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 292
		refs = "0020 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 003c ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 0056 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0074 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0080 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0092 wctomb_s 00be ??$extract_argument_from_va_list@GD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
		altNames = "?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 2C 33 1B 68 0C 9A 31 32 92 F9 00 20 0C 99 08 68 0C 99 49 68 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 3E D0 00 23 AD F8 06 30 0D F1 06 01 0C 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 08 30 60 E0 0C 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 08 30 53 E0 0C 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0C 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 BD F8 06 30 03 9A 04 99 0C 98 38 30 ?? ?? ?? ?? 05 90 05 9B 06 93 06 9B 00 2B 04 D0 0C 9B 03 F1 30 02 01 23 13 70 25 E0 0C 9B 03 F1 40 00 ?? ?? ?? ?? 07 90 07 99 0C 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 03 D1 00 23 8D F8 08 30 1F E0 0C 98 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 00 2B 03 D1 01 23 8D F8 08 30 12 E0 0C 9B 03 F1 38 02 01 23 13 60 0C 9B 03 F1 40 00 ?? ?? ?? ?? 08 90 0C 9B 03 F1 34 02 08 9B 13 60 01 23 8D F8 08 30 9D F8 08 00 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_731_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 292
		refs = "0020 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 003c ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 0056 ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0074 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0080 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0092 wctomb_s 00be ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 2C 33 1B 68 0C 9A 31 32 92 F9 00 20 0C 99 08 68 0C 99 49 68 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 3E D0 00 23 AD F8 06 30 0D F1 06 01 0C 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 08 30 60 E0 0C 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 08 30 53 E0 0C 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0C 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 BD F8 06 30 03 9A 04 99 0C 98 38 30 ?? ?? ?? ?? 05 90 05 9B 06 93 06 9B 00 2B 04 D0 0C 9B 03 F1 30 02 01 23 13 70 25 E0 0C 9B 03 F1 40 00 ?? ?? ?? ?? 07 90 07 99 0C 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 03 D1 00 23 8D F8 08 30 1F E0 0C 98 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 00 2B 03 D1 01 23 8D F8 08 30 12 E0 0C 9B 03 F1 38 02 01 23 13 60 0C 9B 03 F1 40 00 ?? ?? ?? ?? 08 90 0C 9B 03 F1 34 02 08 9B 13 60 01 23 8D F8 08 30 9D F8 08 00 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_733_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 292
		refs = "0020 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 003c ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 0056 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0074 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0080 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0092 wctomb_s 00be ??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 2C 33 1B 68 0C 9A 31 32 92 F9 00 20 0C 99 08 68 0C 99 49 68 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 3E D0 00 23 AD F8 06 30 0D F1 06 01 0C 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 08 30 60 E0 0C 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 08 30 53 E0 0C 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0C 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 BD F8 06 30 03 9A 04 99 0C 98 38 30 ?? ?? ?? ?? 05 90 05 9B 06 93 06 9B 00 2B 04 D0 0C 9B 03 F1 30 02 01 23 13 70 25 E0 0C 9B 03 F1 40 00 ?? ?? ?? ?? 07 90 07 99 0C 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 03 D1 00 23 8D F8 08 30 1F E0 0C 98 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 00 2B 03 D1 01 23 8D F8 08 30 12 E0 0C 9B 03 F1 38 02 01 23 13 60 0C 9B 03 F1 40 00 ?? ?? ?? ?? 08 90 0C 9B 03 F1 34 02 08 9B 13 60 01 23 8D F8 08 30 9D F8 08 00 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_734_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 292
		refs = "0020 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 003c ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 0056 ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0074 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0080 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0092 wctomb_s 00be ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 2C 33 1B 68 0C 9A 31 32 92 F9 00 20 0C 99 08 68 0C 99 49 68 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 3E D0 00 23 AD F8 06 30 0D F1 06 01 0C 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 08 30 60 E0 0C 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 08 30 53 E0 0C 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0C 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 BD F8 06 30 03 9A 04 99 0C 98 38 30 ?? ?? ?? ?? 05 90 05 9B 06 93 06 9B 00 2B 04 D0 0C 9B 03 F1 30 02 01 23 13 70 25 E0 0C 9B 03 F1 40 00 ?? ?? ?? ?? 07 90 07 99 0C 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 03 D1 00 23 8D F8 08 30 1F E0 0C 98 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 00 2B 03 D1 01 23 8D F8 08 30 12 E0 0C 9B 03 F1 38 02 01 23 13 60 0C 9B 03 F1 40 00 ?? ?? ?? ?? 08 90 0C 9B 03 F1 34 02 08 9B 13 60 01 23 8D F8 08 30 9D F8 08 00 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_735_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 292
		refs = "0020 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 003c ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 0056 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0074 ??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ 0080 ??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ 0092 wctomb_s 00be ??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 2C 33 1B 68 0C 9A 31 32 92 F9 00 20 0C 99 08 68 0C 99 49 68 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 3E D0 00 23 AD F8 06 30 0D F1 06 01 0C 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 08 30 60 E0 0C 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 01 23 8D F8 08 30 53 E0 0C 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0C 9B 03 F1 40 00 ?? ?? ?? ?? 04 90 BD F8 06 30 03 9A 04 99 0C 98 38 30 ?? ?? ?? ?? 05 90 05 9B 06 93 06 9B 00 2B 04 D0 0C 9B 03 F1 30 02 01 23 13 70 25 E0 0C 9B 03 F1 40 00 ?? ?? ?? ?? 07 90 07 99 0C 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 03 D1 00 23 8D F8 08 30 1F E0 0C 98 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 00 2B 03 D1 01 23 8D F8 08 30 12 E0 0C 9B 03 F1 38 02 01 23 13 60 0C 9B 03 F1 40 00 ?? ?? ?? ?? 08 90 0C 9B 03 F1 34 02 08 9B 13 60 01 23 8D F8 08 30 9D F8 08 00 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_736_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 266
		refs = "001e ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 0038 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0064 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 008c ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 00aa _mbtowc_l"
		altNames = "?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 3C 02 01 23 13 70 00 23 AD F8 04 30 01 A9 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 62 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 55 E0 0A 9B 2C 33 1B 68 0A 9A 32 32 12 88 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 26 D1 BD F8 04 30 DB B2 5B B2 8D F8 06 30 00 23 8D F8 07 30 0A 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0A 9B 08 33 1B 68 0A 9A 08 32 12 68 12 68 12 1D 12 68 0D F1 06 01 03 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 04 DA 0A 9B 03 F1 30 02 01 23 13 70 09 E0 0A 9B 03 F1 40 00 ?? ?? ?? ?? 05 90 05 9A BD F8 04 30 13 80 0A 9B 03 F1 40 00 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 0A 9B 03 F1 38 02 01 23 13 60 01 23 8D F8 08 30 9D F8 08 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_737_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 266
		refs = "001e ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 0038 ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0064 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 008c ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 00aa _mbtowc_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 3C 02 01 23 13 70 00 23 AD F8 04 30 01 A9 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 62 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 55 E0 0A 9B 2C 33 1B 68 0A 9A 32 32 12 88 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 26 D1 BD F8 04 30 DB B2 5B B2 8D F8 06 30 00 23 8D F8 07 30 0A 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0A 9B 08 33 1B 68 0A 9A 08 32 12 68 12 68 12 1D 12 68 0D F1 06 01 03 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 04 DA 0A 9B 03 F1 30 02 01 23 13 70 09 E0 0A 9B 03 F1 40 00 ?? ?? ?? ?? 05 90 05 9A BD F8 04 30 13 80 0A 9B 03 F1 40 00 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 0A 9B 03 F1 38 02 01 23 13 60 01 23 8D F8 08 30 9D F8 08 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_739_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 266
		refs = "001e ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 0038 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0064 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 008c ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 00aa _mbtowc_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 3C 02 01 23 13 70 00 23 AD F8 04 30 01 A9 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 62 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 55 E0 0A 9B 2C 33 1B 68 0A 9A 32 32 12 88 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 26 D1 BD F8 04 30 DB B2 5B B2 8D F8 06 30 00 23 8D F8 07 30 0A 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0A 9B 08 33 1B 68 0A 9A 08 32 12 68 12 68 12 1D 12 68 0D F1 06 01 03 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 04 DA 0A 9B 03 F1 30 02 01 23 13 70 09 E0 0A 9B 03 F1 40 00 ?? ?? ?? ?? 05 90 05 9A BD F8 04 30 13 80 0A 9B 03 F1 40 00 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 0A 9B 03 F1 38 02 01 23 13 60 01 23 8D F8 08 30 9D F8 08 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_740_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 266
		refs = "001e ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 0038 ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0064 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 008c ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 00aa _mbtowc_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 3C 02 01 23 13 70 00 23 AD F8 04 30 01 A9 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 62 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 55 E0 0A 9B 2C 33 1B 68 0A 9A 32 32 12 88 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 26 D1 BD F8 04 30 DB B2 5B B2 8D F8 06 30 00 23 8D F8 07 30 0A 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0A 9B 08 33 1B 68 0A 9A 08 32 12 68 12 68 12 1D 12 68 0D F1 06 01 03 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 04 DA 0A 9B 03 F1 30 02 01 23 13 70 09 E0 0A 9B 03 F1 40 00 ?? ?? ?? ?? 05 90 05 9A BD F8 04 30 13 80 0A 9B 03 F1 40 00 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 0A 9B 03 F1 38 02 01 23 13 60 01 23 8D F8 08 30 9D F8 08 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_741_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 266
		refs = "001e ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 0038 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0064 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 008c ??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ 00aa _mbtowc_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 3C 02 01 23 13 70 00 23 AD F8 04 30 01 A9 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 08 30 62 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 08 30 55 E0 0A 9B 2C 33 1B 68 0A 9A 32 32 12 88 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 26 D1 BD F8 04 30 DB B2 5B B2 8D F8 06 30 00 23 8D F8 07 30 0A 9B 03 F1 40 00 ?? ?? ?? ?? 03 90 0A 9B 08 33 1B 68 0A 9A 08 32 12 68 12 68 12 1D 12 68 0D F1 06 01 03 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 04 DA 0A 9B 03 F1 30 02 01 23 13 70 09 E0 0A 9B 03 F1 40 00 ?? ?? ?? ?? 05 90 05 9A BD F8 04 30 13 80 0A 9B 03 F1 40 00 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 0A 9B 03 F1 38 02 01 23 13 60 01 23 8D F8 08 30 9D F8 08 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_742_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_743_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_744_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_745_4 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_746_4 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_747_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_748_0 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_749_2 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_750_4 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_751_0 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_752_0 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_753_3 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 54
		refs = "000e ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0018 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_754_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BMG@JJPLEEHI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B3 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AB E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9E E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 00 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 24 D0 1E 9B 38 33 1B 68 00 2B 09 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 93 F9 00 30 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 5A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 70 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_755_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BMM@CMKPNHDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B3 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AB E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9E E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 00 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 24 D0 1E 9B 38 33 1B 68 00 2B 09 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 93 F9 00 30 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 5A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 70 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_756_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BLE@MHLEAOID@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B3 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AB E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9E E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 00 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 24 D0 1E 9B 38 33 1B 68 00 2B 09 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 93 F9 00 30 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 5A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 70 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_757_2 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BMG@BBEFGBID@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B3 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AB E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9E E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 00 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 24 D0 1E 9B 38 33 1B 68 00 2B 09 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 93 F9 00 30 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 5A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 70 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_758_2 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BMM@KBPMKFBC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B3 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AB E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9E E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 00 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 24 D0 1E 9B 38 33 1B 68 00 2B 09 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 93 F9 00 30 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 5A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 70 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_759_2 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@D@__crt_stdio_output@@IAAAAPADXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BLE@IFBJPNFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B3 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AB E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9E E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 00 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 24 D0 1E 9B 38 33 1B 68 00 2B 09 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 93 F9 00 30 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 5A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 70 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_760_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BNO@ILHNHKFA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B2 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AA E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9D E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 01 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 23 D0 1E 9B 38 33 1B 68 00 2B 08 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 1B 88 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 9A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 80 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_761_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BOE@OMDELMGH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B2 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AA E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9D E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 01 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 23 D0 1E 9B 38 33 1B 68 00 2B 08 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 1B 88 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 9A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 80 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_762_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BMM@KANDEEGK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B2 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AA E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9D E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 01 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 23 D0 1E 9B 38 33 1B 68 00 2B 08 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 1B 88 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 9A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 80 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_763_2 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BNO@NAODCKFA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B2 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AA E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9D E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 01 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 23 D0 1E 9B 38 33 1B 68 00 2B 08 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 1B 88 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 9A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 80 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_764_2 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BOE@LIBLDKPN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B2 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AA E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9D E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 01 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 23 D0 1E 9B 38 33 1B 68 00 2B 08 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 1B 88 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 9A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 80 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_765_2 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 848
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004c ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0060 ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a8 ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00be ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00f0 ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0106 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0138 ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 014e ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0190 _CrtDbgReportW 01a4 _errno 01be _invalid_parameter 01dc ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 023c ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 0264 ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 02ba ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 02ca ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 02ee ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAAAAPA_WXZ 0340 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0344 ??_C@_1BMM@MBMBCJIF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0348 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 034c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 2C 33 18 68 ?? ?? ?? ?? 12 90 12 9B 11 93 00 23 08 93 00 23 09 93 00 23 8D F8 08 30 11 9B 0D 93 0D 9B 5B 1E 0D 93 0D 9B 07 2B 00 F2 97 80 0D 9A DF E8 02 F0 04 28 94 4C 94 94 94 70 10 21 1E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 8D F8 09 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 8D F8 09 30 9D F8 09 30 8D F8 08 30 9C E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 0A 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 0A 30 9D F8 0A 30 8D F8 08 30 78 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 13 00 9D F8 13 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 8D F8 0B 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 8D F8 0B 30 9D F8 0B 30 8D F8 08 30 54 E0 10 21 1E 98 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 0A D0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 8D F8 0C 30 09 E0 08 A9 1E 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 8D F8 0C 30 9D F8 0C 30 8D F8 08 30 30 E0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 70 4B 01 93 72 4B 00 93 00 23 40 F6 BD 12 6E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F6 BD 13 63 4A 62 49 60 48 ?? ?? ?? ?? 00 23 8D F8 30 30 B2 E0 9D F8 08 30 00 2B 03 D1 00 23 8D F8 30 30 AA E0 1E 98 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 03 D1 01 23 8D F8 30 30 9D E0 00 23 0A 93 00 23 0B 93 10 21 1E 98 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 18 D0 08 9B 18 93 09 9B 19 93 18 9B 15 93 19 9B 00 2B 0F DC 02 DB 15 9B 00 2B 0B D2 08 9A 09 99 00 23 52 42 8B 41 0A 92 0B 93 40 21 1E 98 ?? ?? ?? ?? 03 E0 08 9B 0A 93 09 9B 0B 93 1E 9B 28 33 1B 68 00 2B 05 DA 1E 9B 03 F1 28 02 01 23 13 60 0F E0 08 21 1E 98 ?? ?? ?? ?? 1E 9B 28 33 1B 68 B3 F5 00 7F 05 DD 1E 9B 03 F1 28 02 4F F4 00 73 13 60 0A 9B 1A 93 0B 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 20 21 1E 98 ?? ?? ?? ?? 1E 9B 03 F1 3C 02 01 23 13 70 11 9B 08 2B 0A D1 9D F8 80 30 01 93 1F 9B 00 93 0A 9A 0B 9B 1E 98 ?? ?? ?? ?? 06 E0 9D F8 80 30 1F 9A 0A 99 1E 98 ?? ?? ?? ?? 80 21 1E 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 23 D0 1E 9B 38 33 1B 68 00 2B 08 D0 1E 98 ?? ?? ?? ?? 16 90 16 9B 1B 68 1B 88 30 2B 15 D0 1E 98 ?? ?? ?? ?? 17 90 17 9B 0E 93 0E 9B 1B 68 9A 1E 0E 9B 1A 60 0E 9B 1A 68 30 23 13 80 1E 9B 38 33 1B 68 5A 1C 1E 9B 38 33 1A 60 01 23 8D F8 30 30 9D F8 30 00 1C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_766_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BLK@BGFMMAPO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_767_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BMA@GACGPGHN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_768_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BKI@NDKBCDGP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_769_4 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BLK@FOLFMPJH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_770_4 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BMA@CBPCAOAB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_771_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BKI@CJEIGDAI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_772_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BNC@DONELHFF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_773_2 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BNI@IMOCDBNE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_774_4 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BMA@PGOJAHFP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_775_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BNC@OHPDPPJK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_776_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BNI@OPBGCNOB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_777_3 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 440
		refs = "0012 ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 002c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0044 _get_printf_count_output 0078 _CrtDbgReportW 008c _errno 00a6 _invalid_parameter 00c0 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 01a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01a8 ??_C@_1BMA@IHIBOLMD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b4 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 03 93 03 A9 14 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 10 30 B5 E0 14 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 01 23 8D F8 10 30 A8 E0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 34 D1 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 53 4B 01 93 51 4B 00 93 00 23 40 F6 3A 22 4D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F6 3A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 8D F8 10 30 71 E0 00 23 8D F8 10 30 6D E0 14 9B 2C 33 18 68 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 5B 1E 05 93 05 9B 07 2B 26 D8 05 9A DF E8 02 F0 04 0B 24 12 24 24 24 18 14 9B 18 33 1B 68 5A B2 03 9B 1A 70 49 E0 14 9B 18 33 1B 68 1A B2 03 9B 1A 80 42 E0 14 9B 18 33 1A 68 03 9B 1A 60 3C E0 14 9B 18 33 1B 68 08 93 08 99 08 9B DA 17 03 9B 19 60 03 9B 5A 60 30 E0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 1A 4B 01 93 1C 4B 00 93 00 23 40 F6 44 22 18 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F6 44 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 07 E0 14 9B 03 F1 30 02 01 23 13 70 01 23 8D F8 10 30 9D F8 10 00 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_778_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_779_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_780_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_781_4 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_782_4 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_783_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_784_0 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_785_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_786_4 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_787_0 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_788_0 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_789_3 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "000e ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z 0022 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z 002c ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 80 21 04 98 ?? ?? ?? ?? 00 22 08 21 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_790_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_791_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_792_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_793_4 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_794_4 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_795_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_796_0 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_797_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_798_4 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_799_0 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_800_0 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_801_3 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 66
		refs = "0024 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 28 02 08 23 13 60 04 9B 03 F1 2C 02 0A 23 13 60 01 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_802_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 007a ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0094 ?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b6 wcsnlen 00d2 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e8 ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 69 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5C E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 31 32 92 F9 00 20 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_803_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 007a ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0094 ?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b6 wcsnlen 00d2 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e8 ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 69 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5C E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 31 32 92 F9 00 20 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_804_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 007a ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0094 ?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b6 wcsnlen 00d2 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e8 ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 69 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5C E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 31 32 92 F9 00 20 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_805_2 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 007a ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0094 ?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b6 wcsnlen 00d2 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e8 ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 69 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5C E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 31 32 92 F9 00 20 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_806_2 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 007a ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0094 ?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b6 wcsnlen 00d2 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e8 ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 69 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5C E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 31 32 92 F9 00 20 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_807_2 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 268
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 007a ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0094 ?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b6 wcsnlen 00d2 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e8 ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 69 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5C E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 31 32 92 F9 00 20 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_808_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0078 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0092 ?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b4 wcsnlen 00d0 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e6 ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 68 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5B E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 32 32 12 88 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_809_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0078 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0092 ?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b4 wcsnlen 00d0 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e6 ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 68 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5B E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 32 32 12 88 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_810_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0078 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0092 ?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b4 wcsnlen 00d0 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e6 ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 68 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5B E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 32 32 12 88 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_811_2 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0078 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0092 ?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b4 wcsnlen 00d0 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e6 ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 68 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5B E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 32 32 12 88 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_812_2 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0078 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0092 ?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b4 wcsnlen 00d0 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e6 ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 68 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5B E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 32 32 12 88 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_813_2 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 266
		refs = "0012 ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 002c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0078 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0092 ?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00b4 wcsnlen 00d0 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00e6 ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F1 34 01 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 68 E0 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 01 23 8D F8 04 30 5B E0 0A 9B 28 33 1B 68 B3 F1 FF 3F 03 D1 6F F0 00 43 02 93 03 E0 0A 9B 28 33 1B 68 02 93 02 9B 03 93 0A 9B 2C 33 1B 68 0A 9A 32 32 12 88 0A 99 08 68 0A 99 49 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 1E D0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 04 90 0A 9B 03 F1 34 02 04 9B 13 60 0A 9B 03 F1 3C 02 01 23 13 70 03 99 0A 9B 34 33 18 68 ?? ?? ?? ?? 05 90 0A 9B 03 F1 38 02 05 9B 13 60 17 E0 0A 9B 34 33 1B 68 00 2B 07 D1 ?? ?? ?? ?? 06 90 0A 9B 03 F1 34 02 06 9B 13 60 00 22 03 99 0A 98 ?? ?? ?? ?? 07 90 0A 9B 03 F1 38 02 07 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_814_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z"
		size = 40
		refs = "0012 strnlen"
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 99 04 9B 34 33 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_820_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z"
		size = 104
		refs = "003e __acrt_isleadbyte_l_noupdate"
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 06 9B 34 33 1B 68 00 93 02 E0 01 9B 5B 1C 01 93 01 9A 07 9B 9A 42 18 DA 00 9B 93 F9 00 30 00 2B 13 D0 06 9B 08 33 19 68 00 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 02 90 02 9B 00 2B 02 D0 00 9B 5B 1C 00 93 00 9B 5B 1C 00 93 DF E7 01 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_826_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_827_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_828_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_829_4 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_830_4 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_831_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_832_0 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_833_2 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_834_4 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_835_0 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_836_0 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_837_3 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 0A 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_838_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_839_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_840_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_841_4 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_842_4 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_843_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_844_0 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_845_2 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_846_4 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_847_0 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_848_0 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_849_3 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 46
		refs = "0010 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 10 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_850_0 {
	meta:
		name = "?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
		size = 36
		altNames = "?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 20 01 03 9B DA 43 0B 68 1A 40 02 9B 20 33 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_862_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 388
		refs = "001a ?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0042 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00a0 _CrtDbgReportW 00b4 _errno 00ce _invalid_parameter 0126 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 014e ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 0174 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0178 ??_C@_1PO@LKIIANED@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 017c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0180 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8F B0 12 9B 03 F2 5C 43 1B 68 01 2B 09 D1 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 10 30 9B E0 00 23 05 93 0A 23 09 93 05 AB 0A 93 09 AA 0A A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0B 90 0B 9B 5B 1E 03 93 05 9B 5A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 6A D1 03 9B 00 2B 0A DB 05 9B 93 F9 00 30 24 2B 05 D1 03 9B 64 2B 02 DA 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 D4 42 37 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 D4 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 10 30 44 E0 12 9B 03 F6 A4 23 03 9A 1B 68 9A 42 02 DD 03 9B 08 93 04 E0 12 9B 03 F6 A4 23 1B 68 08 93 12 9B 03 F6 A4 22 08 9B 13 60 12 9B 2C 33 1B 68 00 93 12 9B 31 33 93 F9 00 30 01 22 12 99 01 F2 64 44 03 98 10 21 00 FB 01 F1 21 44 12 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 10 30 15 E0 11 E0 12 9B 03 F2 64 41 03 9A 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0E 90 12 9B 03 F1 24 02 0E 9B 13 60 01 23 8D F8 10 30 9D F8 10 00 0F B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_863_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 388
		refs = "001a ?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0042 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00a0 _CrtDbgReportW 00b4 _errno 00ce _invalid_parameter 0126 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 014e ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 0174 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0178 ??_C@_1PO@PODEJAGE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 017c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0180 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8F B0 12 9B 03 F2 5C 43 1B 68 01 2B 09 D1 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 10 30 9B E0 00 23 05 93 0A 23 09 93 05 AB 0A 93 09 AA 0A A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0B 90 0B 9B 5B 1E 03 93 05 9B 5A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 6A D1 03 9B 00 2B 0A DB 05 9B 93 F9 00 30 24 2B 05 D1 03 9B 64 2B 02 DA 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 D4 42 37 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 D4 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 10 30 44 E0 12 9B 03 F6 A4 23 03 9A 1B 68 9A 42 02 DD 03 9B 08 93 04 E0 12 9B 03 F6 A4 23 1B 68 08 93 12 9B 03 F6 A4 22 08 9B 13 60 12 9B 2C 33 1B 68 00 93 12 9B 31 33 93 F9 00 30 01 22 12 99 01 F2 64 44 03 98 10 21 00 FB 01 F1 21 44 12 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 10 30 15 E0 11 E0 12 9B 03 F2 64 41 03 9A 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0E 90 12 9B 03 F1 24 02 0E 9B 13 60 01 23 8D F8 10 30 9D F8 10 00 0F B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_864_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 384
		refs = "001a ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0042 ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 009e _CrtDbgReportW 00b2 _errno 00cc _invalid_parameter 0122 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 014a ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 0170 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0174 ??_C@_1BAK@DALINHHB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0178 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 017c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8F B0 12 9B 03 F2 5C 43 1B 68 01 2B 09 D1 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 10 30 99 E0 00 23 05 93 0A 23 09 93 05 AB 0A 93 09 AA 0A A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0B 90 0B 9B 5B 1E 03 93 05 9B 9A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 68 D1 03 9B 00 2B 09 DB 05 9B 1B 88 24 2B 05 D1 03 9B 64 2B 02 DA 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 D4 42 37 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 D4 43 2C 4A 2A 49 29 48 ?? ?? ?? ?? 00 23 8D F8 10 30 43 E0 12 9B 03 F6 A4 23 03 9A 1B 68 9A 42 02 DD 03 9B 08 93 04 E0 12 9B 03 F6 A4 23 1B 68 08 93 12 9B 03 F6 A4 22 08 9B 13 60 12 9B 2C 33 1B 68 00 93 12 9B 32 33 1B 88 01 22 12 99 01 F2 64 44 03 98 10 21 00 FB 01 F1 21 44 12 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 10 30 15 E0 11 E0 12 9B 03 F2 64 41 03 9A 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0E 90 12 9B 03 F1 24 02 0E 9B 13 60 01 23 8D F8 10 30 9D F8 10 00 0F B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_865_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 384
		refs = "001a ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0042 ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 009e _CrtDbgReportW 00b2 _errno 00cc _invalid_parameter 0122 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 014a ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 0170 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0174 ??_C@_1BAK@CDLANFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0178 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 017c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8F B0 12 9B 03 F2 5C 43 1B 68 01 2B 09 D1 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 10 30 99 E0 00 23 05 93 0A 23 09 93 05 AB 0A 93 09 AA 0A A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0B 90 0B 9B 5B 1E 03 93 05 9B 9A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 68 D1 03 9B 00 2B 09 DB 05 9B 1B 88 24 2B 05 D1 03 9B 64 2B 02 DA 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 D4 42 37 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 D4 43 2C 4A 2A 49 29 48 ?? ?? ?? ?? 00 23 8D F8 10 30 43 E0 12 9B 03 F6 A4 23 03 9A 1B 68 9A 42 02 DD 03 9B 08 93 04 E0 12 9B 03 F6 A4 23 1B 68 08 93 12 9B 03 F6 A4 22 08 9B 13 60 12 9B 2C 33 1B 68 00 93 12 9B 32 33 1B 88 01 22 12 99 01 F2 64 44 03 98 10 21 00 FB 01 F1 21 44 12 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 10 30 15 E0 11 E0 12 9B 03 F2 64 41 03 9A 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0E 90 12 9B 03 F1 24 02 0E 9B 13 60 01 23 8D F8 10 30 9D F8 10 00 0F B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_866_0 {
	meta:
		name = "?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 52
		refs = "0010 ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z"
		altNames = "?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 04 9B 03 F1 24 02 00 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_870_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 388
		refs = "001a ?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0042 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00a0 _CrtDbgReportW 00b4 _errno 00ce _invalid_parameter 0126 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 014e ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 0174 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 0178 ??_C@_1PK@KBJECIEM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 017c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0180 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8F B0 12 9B 03 F2 5C 43 1B 68 01 2B 09 D1 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 10 30 9B E0 00 23 05 93 0A 23 09 93 05 AB 0A 93 09 AA 0A A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0B 90 0B 9B 5B 1E 03 93 05 9B 5A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 6A D1 03 9B 00 2B 0A DB 05 9B 93 F9 00 30 24 2B 05 D1 03 9B 64 2B 02 DA 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 F4 42 37 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 F4 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 10 30 44 E0 12 9B 03 F6 A4 23 03 9A 1B 68 9A 42 02 DD 03 9B 08 93 04 E0 12 9B 03 F6 A4 23 1B 68 08 93 12 9B 03 F6 A4 22 08 9B 13 60 12 9B 2C 33 1B 68 00 93 12 9B 31 33 93 F9 00 30 01 22 12 99 01 F2 64 44 03 98 10 21 00 FB 01 F1 21 44 12 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 10 30 15 E0 11 E0 12 9B 03 F2 64 41 03 9A 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0E 90 12 9B 03 F1 28 02 0E 9B 13 60 01 23 8D F8 10 30 9D F8 10 00 0F B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_871_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 388
		refs = "001a ?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0042 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00a0 _CrtDbgReportW 00b4 _errno 00ce _invalid_parameter 0126 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 014e ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 0174 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 0178 ??_C@_1PK@KBJLALII@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 017c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0180 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8F B0 12 9B 03 F2 5C 43 1B 68 01 2B 09 D1 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 10 30 9B E0 00 23 05 93 0A 23 09 93 05 AB 0A 93 09 AA 0A A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0B 90 0B 9B 5B 1E 03 93 05 9B 5A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 6A D1 03 9B 00 2B 0A DB 05 9B 93 F9 00 30 24 2B 05 D1 03 9B 64 2B 02 DA 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 39 4B 01 93 3B 4B 00 93 00 23 40 F2 F4 42 37 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 F4 43 2C 4A 2B 49 29 48 ?? ?? ?? ?? 00 23 8D F8 10 30 44 E0 12 9B 03 F6 A4 23 03 9A 1B 68 9A 42 02 DD 03 9B 08 93 04 E0 12 9B 03 F6 A4 23 1B 68 08 93 12 9B 03 F6 A4 22 08 9B 13 60 12 9B 2C 33 1B 68 00 93 12 9B 31 33 93 F9 00 30 01 22 12 99 01 F2 64 44 03 98 10 21 00 FB 01 F1 21 44 12 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 10 30 15 E0 11 E0 12 9B 03 F2 64 41 03 9A 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0E 90 12 9B 03 F1 28 02 0E 9B 13 60 01 23 8D F8 10 30 9D F8 10 00 0F B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_872_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 384
		refs = "001a ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0042 ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 009e _CrtDbgReportW 00b2 _errno 00cc _invalid_parameter 0122 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 014a ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 0170 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 0174 ??_C@_1BAG@DOFNHDMF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0178 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 017c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8F B0 12 9B 03 F2 5C 43 1B 68 01 2B 09 D1 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 10 30 99 E0 00 23 05 93 0A 23 09 93 05 AB 0A 93 09 AA 0A A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0B 90 0B 9B 5B 1E 03 93 05 9B 9A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 68 D1 03 9B 00 2B 09 DB 05 9B 1B 88 24 2B 05 D1 03 9B 64 2B 02 DA 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 F4 42 37 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 F4 43 2C 4A 2A 49 29 48 ?? ?? ?? ?? 00 23 8D F8 10 30 43 E0 12 9B 03 F6 A4 23 03 9A 1B 68 9A 42 02 DD 03 9B 08 93 04 E0 12 9B 03 F6 A4 23 1B 68 08 93 12 9B 03 F6 A4 22 08 9B 13 60 12 9B 2C 33 1B 68 00 93 12 9B 32 33 1B 88 01 22 12 99 01 F2 64 44 03 98 10 21 00 FB 01 F1 21 44 12 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 10 30 15 E0 11 E0 12 9B 03 F2 64 41 03 9A 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0E 90 12 9B 03 F1 28 02 0E 9B 13 60 01 23 8D F8 10 30 9D F8 10 00 0F B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_873_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 384
		refs = "001a ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0042 ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 009e _CrtDbgReportW 00b2 _errno 00cc _invalid_parameter 0122 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 014a ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z 0170 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 0174 ??_C@_1BAG@GKCGGKOF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0178 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 017c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8F B0 12 9B 03 F2 5C 43 1B 68 01 2B 09 D1 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 10 30 99 E0 00 23 05 93 0A 23 09 93 05 AB 0A 93 09 AA 0A A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0B 90 0B 9B 5B 1E 03 93 05 9B 9A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 68 D1 03 9B 00 2B 09 DB 05 9B 1B 88 24 2B 05 D1 03 9B 64 2B 02 DA 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 40 F2 F4 42 37 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 F4 43 2C 4A 2A 49 29 48 ?? ?? ?? ?? 00 23 8D F8 10 30 43 E0 12 9B 03 F6 A4 23 03 9A 1B 68 9A 42 02 DD 03 9B 08 93 04 E0 12 9B 03 F6 A4 23 1B 68 08 93 12 9B 03 F6 A4 22 08 9B 13 60 12 9B 2C 33 1B 68 00 93 12 9B 32 33 1B 88 01 22 12 99 01 F2 64 44 03 98 10 21 00 FB 01 F1 21 44 12 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 10 30 15 E0 11 E0 12 9B 03 F2 64 41 03 9A 10 23 02 FB 03 F3 0B 44 08 33 18 68 ?? ?? ?? ?? 0E 90 12 9B 03 F1 28 02 0E 9B 13 60 01 23 8D F8 10 30 9D F8 10 00 0F B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_874_0 {
	meta:
		name = "?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 52
		refs = "0010 ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z"
		altNames = "?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 14 00 ?? ?? ?? ?? 00 90 04 9B 03 F1 28 02 00 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_879_0 {
	meta:
		name = "?validate@?$stream_output_adapter@D@__crt_stdio_output@@QBA_NXZ"
		size = 176
		refs = "000c ?valid@__crt_stdio_stream@@QBA_NXZ 0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 007a ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0082 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQAU_iobuf@@@Z 00a0 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 00a4 ??_C@_1HE@FGKHNBNL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 00a8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 7A 22 1A 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 7A 23 10 4A 0E 49 0D 48 ?? ?? ?? ?? 00 23 8D F8 14 30 0C E0 0C 98 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 14 30 9D F8 14 00 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_880_0 {
	meta:
		name = "?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QBA_NXZ"
		size = 176
		refs = "000c ?valid@__crt_stdio_stream@@QBA_NXZ 0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 007a ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0082 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQAU_iobuf@@@Z 00a0 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 00a4 ??_C@_1HK@MPBCDOK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 00a8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 7A 22 1A 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 7A 23 10 4A 0E 49 0D 48 ?? ?? ?? ?? 00 23 8D F8 14 30 0C E0 0C 98 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 14 30 9D F8 14 00 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_881_0 {
	meta:
		name = "?validate@?$string_output_adapter@D@__crt_stdio_output@@QBA_NXZ"
		size = 148
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 0084 ??_C@_1CI@DDKMNCPP@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0088 ??_C@_1HE@IACOMEJF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 1B 68 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 17 4B 01 93 19 4B 00 93 00 23 CE 22 16 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 11 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 CE 23 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_882_0 {
	meta:
		name = "?validate@?$string_output_adapter@_W@__crt_stdio_output@@QBA_NXZ"
		size = 148
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 0084 ??_C@_1CI@DDKMNCPP@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0088 ??_C@_1HK@IIPGOADH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 008c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 1B 68 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 17 4B 01 93 19 4B 00 93 00 23 CE 22 16 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 11 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 CE 23 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_883_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 208
		refs = "003c ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0072 _CrtDbgReportW 0086 _errno 00a0 _invalid_parameter 00c0 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 00c4 ??_C@_1BBM@LLHBCDAF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00c8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0B 9B 1B 68 00 2B 0D D1 0B 9A 0C 9B 13 60 0B 9B 1A 1D 9D F9 34 30 13 70 0B 9B 03 F1 0C 02 0E 9B 13 60 3E E0 0E 9B 00 93 9D F9 34 30 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 FF 52 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 FF 53 0B 4A 09 49 08 48 ?? ?? ?? ?? 00 23 8D F8 14 30 02 E0 01 23 8D F8 14 30 9D F8 14 00 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_884_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 208
		refs = "003c ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0072 _CrtDbgReportW 0086 _errno 00a0 _invalid_parameter 00c0 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 00c4 ??_C@_1BBM@CBBAFMPJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00c8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0B 9B 1B 68 00 2B 0D D1 0B 9A 0C 9B 13 60 0B 9B 1A 1D 9D F9 34 30 13 70 0B 9B 03 F1 0C 02 0E 9B 13 60 3E E0 0E 9B 00 93 9D F9 34 30 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 FF 52 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 FF 53 0B 4A 09 49 08 48 ?? ?? ?? ?? 00 23 8D F8 14 30 02 E0 01 23 8D F8 14 30 9D F8 14 00 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_885_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 208
		refs = "003c ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0072 _CrtDbgReportW 0086 _errno 00a0 _invalid_parameter 00c0 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 00c4 ??_C@_1BCI@ILAANKJG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00c8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0B 9B 1B 68 00 2B 0D D1 0B 9A 0C 9B 13 60 0B 9B 1A 1D BD F8 34 30 13 80 0B 9B 03 F1 0C 02 0E 9B 13 60 3E E0 0E 9B 00 93 BD F8 34 30 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 FF 52 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 FF 53 0B 4A 09 49 08 48 ?? ?? ?? ?? 00 23 8D F8 14 30 02 E0 01 23 8D F8 14 30 9D F8 14 00 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_886_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 208
		refs = "003c ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0072 _CrtDbgReportW 0086 _errno 00a0 _invalid_parameter 00c0 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 00c4 ??_C@_1BCI@OBMMNJKK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00c8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0B 9B 1B 68 00 2B 0D D1 0B 9A 0C 9B 13 60 0B 9B 1A 1D BD F8 34 30 13 80 0B 9B 03 F1 0C 02 0E 9B 13 60 3E E0 0E 9B 00 93 BD F8 34 30 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 FF 52 16 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 FF 53 0B 4A 09 49 08 48 ?? ?? ?? ?? 00 23 8D F8 14 30 02 E0 01 23 8D F8 14 30 9D F8 14 00 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_887_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 496
		refs = "0074 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00a2 memset 015e _CrtDbgReportW 0172 _errno 018c _invalid_parameter 01e0 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 01e4 ??_C@_1BEO@JEHLMMKB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 01e8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 9B 1C 33 1B 68 01 2B 06 D1 12 9B 10 33 1B 68 93 F9 00 30 25 2B 03 D1 01 23 8D F8 08 30 D3 E0 12 9B 03 F2 5C 43 1B 68 00 2B 42 D1 00 23 04 93 12 9B 10 33 1B 68 93 F9 00 30 30 2B 06 DB 12 9B 10 33 1B 68 93 F9 00 30 39 2B 05 DD 12 9B 03 F2 5C 42 01 23 13 60 2C E0 0A 23 08 93 04 AB 09 93 08 AA 09 A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 18 DD 04 9B 93 F9 00 30 24 2B 13 D1 12 9B 03 F5 8B 63 1B 68 01 2B 07 D1 4F F4 C8 62 00 21 12 9B 03 F2 64 40 ?? ?? ?? ?? 12 9B 03 F2 5C 42 02 23 13 60 04 E0 12 9B 03 F2 5C 42 01 23 13 60 12 9B 03 F2 5C 43 1B 68 02 2B 03 D0 01 23 8D F8 08 30 80 E0 00 23 03 93 0A 23 0B 93 03 AB 0C 93 0B AA 0C A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0D 90 0D 9B 5A 1E 12 9B 03 F6 A8 23 1A 60 03 9B 5A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 03 D0 01 23 8D F8 08 30 5D E0 12 9B 03 F6 A8 23 1B 68 00 2B 0D DB 03 9B 93 F9 00 30 24 2B 08 D1 12 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 24 4B 01 93 26 4B 00 93 00 23 4F F4 AB 62 23 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 4F F4 AB 63 18 4A 16 49 15 48 ?? ?? ?? ?? 00 23 8D F8 08 30 1C E0 12 9B 03 F6 A8 22 12 9B 03 F6 A4 23 12 68 1B 68 9A 42 05 DD 12 9B 03 F6 A8 23 1B 68 07 93 04 E0 12 9B 03 F6 A4 23 1B 68 07 93 12 9B 03 F6 A4 22 07 9B 13 60 01 23 8D F8 08 30 9D F8 08 00 10 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_888_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 496
		refs = "0074 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00a2 memset 015e _CrtDbgReportW 0172 _errno 018c _invalid_parameter 01e0 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 01e4 ??_C@_1BEO@ODGKIOAL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 01e8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 9B 1C 33 1B 68 01 2B 06 D1 12 9B 10 33 1B 68 93 F9 00 30 25 2B 03 D1 01 23 8D F8 08 30 D3 E0 12 9B 03 F2 5C 43 1B 68 00 2B 42 D1 00 23 04 93 12 9B 10 33 1B 68 93 F9 00 30 30 2B 06 DB 12 9B 10 33 1B 68 93 F9 00 30 39 2B 05 DD 12 9B 03 F2 5C 42 01 23 13 60 2C E0 0A 23 08 93 04 AB 09 93 08 AA 09 A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 18 DD 04 9B 93 F9 00 30 24 2B 13 D1 12 9B 03 F5 8B 63 1B 68 01 2B 07 D1 4F F4 C8 62 00 21 12 9B 03 F2 64 40 ?? ?? ?? ?? 12 9B 03 F2 5C 42 02 23 13 60 04 E0 12 9B 03 F2 5C 42 01 23 13 60 12 9B 03 F2 5C 43 1B 68 02 2B 03 D0 01 23 8D F8 08 30 80 E0 00 23 03 93 0A 23 0B 93 03 AB 0C 93 0B AA 0C A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0D 90 0D 9B 5A 1E 12 9B 03 F6 A8 23 1A 60 03 9B 5A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 03 D0 01 23 8D F8 08 30 5D E0 12 9B 03 F6 A8 23 1B 68 00 2B 0D DB 03 9B 93 F9 00 30 24 2B 08 D1 12 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 24 4B 01 93 26 4B 00 93 00 23 4F F4 AB 62 23 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 4F F4 AB 63 18 4A 16 49 15 48 ?? ?? ?? ?? 00 23 8D F8 08 30 1C E0 12 9B 03 F6 A8 22 12 9B 03 F6 A4 23 12 68 1B 68 9A 42 05 DD 12 9B 03 F6 A8 23 1B 68 07 93 04 E0 12 9B 03 F6 A4 23 1B 68 07 93 12 9B 03 F6 A4 22 07 9B 13 60 01 23 8D F8 08 30 9D F8 08 00 10 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_889_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 488
		refs = "006e ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 009a memset 0154 _CrtDbgReportW 0168 _errno 0182 _invalid_parameter 01d8 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 01dc ??_C@_1BFK@IOIDDMPJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 01e0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 9B 1C 33 1B 68 01 2B 05 D1 12 9B 10 33 1B 68 1B 88 25 2B 03 D1 01 23 8D F8 08 30 CF E0 12 9B 03 F2 5C 43 1B 68 00 2B 3F D1 00 23 04 93 12 9B 10 33 1B 68 1B 88 30 2B 05 DB 12 9B 10 33 1B 68 1B 88 39 2B 05 DD 12 9B 03 F2 5C 42 01 23 13 60 2B E0 0A 23 08 93 04 AB 09 93 08 AA 09 A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 17 DD 04 9B 1B 88 24 2B 13 D1 12 9B 03 F5 8B 63 1B 68 01 2B 07 D1 4F F4 C8 62 00 21 12 9B 03 F2 64 40 ?? ?? ?? ?? 12 9B 03 F2 5C 42 02 23 13 60 04 E0 12 9B 03 F2 5C 42 01 23 13 60 12 9B 03 F2 5C 43 1B 68 02 2B 03 D0 01 23 8D F8 08 30 7F E0 00 23 03 93 0A 23 0B 93 03 AB 0C 93 0B AA 0C A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0D 90 0D 9B 5A 1E 12 9B 03 F6 A8 23 1A 60 03 9B 9A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 03 D0 01 23 8D F8 08 30 5C E0 12 9B 03 F6 A8 23 1B 68 00 2B 0C DB 03 9B 1B 88 24 2B 08 D1 12 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 25 4B 01 93 27 4B 00 93 00 23 4F F4 AB 62 23 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 4F F4 AB 63 18 4A 17 49 15 48 ?? ?? ?? ?? 00 23 8D F8 08 30 1C E0 12 9B 03 F6 A8 22 12 9B 03 F6 A4 23 12 68 1B 68 9A 42 05 DD 12 9B 03 F6 A8 23 1B 68 07 93 04 E0 12 9B 03 F6 A4 23 1B 68 07 93 12 9B 03 F6 A4 22 07 9B 13 60 01 23 8D F8 08 30 9D F8 08 00 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_890_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 488
		refs = "006e ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 009a memset 0154 _CrtDbgReportW 0168 _errno 0182 _invalid_parameter 01d8 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 01dc ??_C@_1BFK@KNCMELHH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 01e0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 9B 1C 33 1B 68 01 2B 05 D1 12 9B 10 33 1B 68 1B 88 25 2B 03 D1 01 23 8D F8 08 30 CF E0 12 9B 03 F2 5C 43 1B 68 00 2B 3F D1 00 23 04 93 12 9B 10 33 1B 68 1B 88 30 2B 05 DB 12 9B 10 33 1B 68 1B 88 39 2B 05 DD 12 9B 03 F2 5C 42 01 23 13 60 2B E0 0A 23 08 93 04 AB 09 93 08 AA 09 A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 17 DD 04 9B 1B 88 24 2B 13 D1 12 9B 03 F5 8B 63 1B 68 01 2B 07 D1 4F F4 C8 62 00 21 12 9B 03 F2 64 40 ?? ?? ?? ?? 12 9B 03 F2 5C 42 02 23 13 60 04 E0 12 9B 03 F2 5C 42 01 23 13 60 12 9B 03 F2 5C 43 1B 68 02 2B 03 D0 01 23 8D F8 08 30 7F E0 00 23 03 93 0A 23 0B 93 03 AB 0C 93 0B AA 0C A9 12 9B 03 F1 10 00 ?? ?? ?? ?? 0D 90 0D 9B 5A 1E 12 9B 03 F6 A8 23 1A 60 03 9B 9A 1C 12 9B 10 33 1A 60 12 9B 03 F5 8B 63 1B 68 01 2B 03 D0 01 23 8D F8 08 30 5C E0 12 9B 03 F6 A8 23 1B 68 00 2B 0C DB 03 9B 1B 88 24 2B 08 D1 12 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 25 4B 01 93 27 4B 00 93 00 23 4F F4 AB 62 23 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 4F F4 AB 63 18 4A 17 49 15 48 ?? ?? ?? ?? 00 23 8D F8 08 30 1C E0 12 9B 03 F6 A8 22 12 9B 03 F6 A4 23 12 68 1B 68 9A 42 05 DD 12 9B 03 F6 A8 23 1B 68 07 93 04 E0 12 9B 03 F6 A4 23 1B 68 07 93 12 9B 03 F6 A4 22 07 9B 13 60 01 23 8D F8 08 30 9D F8 08 00 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_895_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ"
		size = 164
		refs = "0044 _CrtDbgReportW 0058 _errno 0072 _invalid_parameter 0094 ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 0098 ??_C@_1BDG@PLANJEFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 009c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 1C 33 1B 68 00 2B 07 D0 0A 9B 1C 33 1B 68 07 2B 02 D0 00 23 02 93 01 E0 01 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 3D 42 16 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 40 F2 3D 43 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_896_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ"
		size = 164
		refs = "0044 _CrtDbgReportW 0058 _errno 0072 _invalid_parameter 0094 ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 0098 ??_C@_1BDG@KOLEFKPF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 009c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 1C 33 1B 68 00 2B 07 D0 0A 9B 1C 33 1B 68 07 2B 02 D0 00 23 02 93 01 E0 01 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 3D 42 16 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 40 F2 3D 43 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_897_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ"
		size = 164
		refs = "0044 _CrtDbgReportW 0058 _errno 0072 _invalid_parameter 0094 ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 0098 ??_C@_1BEC@FNIGNBHI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 009c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 1C 33 1B 68 00 2B 07 D0 0A 9B 1C 33 1B 68 07 2B 02 D0 00 23 02 93 01 E0 01 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 3D 42 16 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 40 F2 3D 43 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_898_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ"
		size = 164
		refs = "0044 _CrtDbgReportW 0058 _errno 0072 _invalid_parameter 0094 ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 0098 ??_C@_1BEC@NDOOKIMC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 009c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 1C 33 1B 68 00 2B 07 D0 0A 9B 1C 33 1B 68 07 2B 02 D0 00 23 02 93 01 E0 01 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 3D 42 16 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 40 F2 3D 43 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_899_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 364
		refs = "000c ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 00ac ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z 00b8 ??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z 00c4 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z 00d0 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z 010a _CrtDbgReportW 011e _errno 0138 _invalid_parameter 015c ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 0160 ??_C@_1BDM@FDOLKCHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0164 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0168 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 14 30 93 E0 12 9B 03 F2 5C 43 1B 68 02 2B 05 D1 12 9B 03 F5 8B 63 1B 68 01 2B 03 D0 01 23 8D F8 14 30 83 E0 12 9B 03 F2 64 43 08 93 12 9B 03 F2 64 41 12 9B 03 F6 A4 23 1A 68 10 23 02 FB 03 F3 0B 44 10 33 09 93 08 9B 03 93 02 E0 03 9B 10 33 03 93 03 9A 09 9B 9A 42 65 D0 12 9B 03 F1 14 01 03 9B 03 F1 08 02 0B 68 13 60 03 9B 1B 68 04 93 04 9B 5B 1E 04 93 04 9B 03 2B 22 D8 04 9A DF E8 02 F0 02 08 0E 14 12 9B 03 F1 14 00 ?? ?? ?? ?? 48 E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 42 E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 3C E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 0E 0B 30 E0 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 A4 42 17 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A4 43 0C 4A 0A 49 09 48 ?? ?? ?? ?? 00 23 8D F8 14 30 03 E0 92 E7 01 23 8D F8 14 30 9D F8 14 00 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_900_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 364
		refs = "000c ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 00ac ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z 00b8 ??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z 00c4 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z 00d0 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z 010a _CrtDbgReportW 011e _errno 0138 _invalid_parameter 015c ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 0160 ??_C@_1BDM@GFCGMNL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0164 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0168 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 14 30 93 E0 12 9B 03 F2 5C 43 1B 68 02 2B 05 D1 12 9B 03 F5 8B 63 1B 68 01 2B 03 D0 01 23 8D F8 14 30 83 E0 12 9B 03 F2 64 43 08 93 12 9B 03 F2 64 41 12 9B 03 F6 A4 23 1A 68 10 23 02 FB 03 F3 0B 44 10 33 09 93 08 9B 03 93 02 E0 03 9B 10 33 03 93 03 9A 09 9B 9A 42 65 D0 12 9B 03 F1 14 01 03 9B 03 F1 08 02 0B 68 13 60 03 9B 1B 68 04 93 04 9B 5B 1E 04 93 04 9B 03 2B 22 D8 04 9A DF E8 02 F0 02 08 0E 14 12 9B 03 F1 14 00 ?? ?? ?? ?? 48 E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 42 E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 3C E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 0E 0B 30 E0 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 A4 42 17 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A4 43 0C 4A 0A 49 09 48 ?? ?? ?? ?? 00 23 8D F8 14 30 03 E0 92 E7 01 23 8D F8 14 30 9D F8 14 00 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_901_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 364
		refs = "000c ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 00ac ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z 00b8 ??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z 00c4 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z 00d0 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z 010a _CrtDbgReportW 011e _errno 0138 _invalid_parameter 015c ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 0160 ??_C@_1BEI@JNJAFAD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0164 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0168 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 14 30 93 E0 12 9B 03 F2 5C 43 1B 68 02 2B 05 D1 12 9B 03 F5 8B 63 1B 68 01 2B 03 D0 01 23 8D F8 14 30 83 E0 12 9B 03 F2 64 43 08 93 12 9B 03 F2 64 41 12 9B 03 F6 A4 23 1A 68 10 23 02 FB 03 F3 0B 44 10 33 09 93 08 9B 03 93 02 E0 03 9B 10 33 03 93 03 9A 09 9B 9A 42 65 D0 12 9B 03 F1 14 01 03 9B 03 F1 08 02 0B 68 13 60 03 9B 1B 68 04 93 04 9B 5B 1E 04 93 04 9B 03 2B 22 D8 04 9A DF E8 02 F0 02 08 0E 14 12 9B 03 F1 14 00 ?? ?? ?? ?? 48 E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 42 E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 3C E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 0E 0B 30 E0 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 A4 42 17 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A4 43 0C 4A 0A 49 09 48 ?? ?? ?? ?? 00 23 8D F8 14 30 03 E0 92 E7 01 23 8D F8 14 30 9D F8 14 00 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_902_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 364
		refs = "000c ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 00ac ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z 00b8 ??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z 00c4 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z 00d0 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z 010a _CrtDbgReportW 011e _errno 0138 _invalid_parameter 015c ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 0160 ??_C@_1BEI@IHLBHMLJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0164 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0168 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 14 30 93 E0 12 9B 03 F2 5C 43 1B 68 02 2B 05 D1 12 9B 03 F5 8B 63 1B 68 01 2B 03 D0 01 23 8D F8 14 30 83 E0 12 9B 03 F2 64 43 08 93 12 9B 03 F2 64 41 12 9B 03 F6 A4 23 1A 68 10 23 02 FB 03 F3 0B 44 10 33 09 93 08 9B 03 93 02 E0 03 9B 10 33 03 93 03 9A 09 9B 9A 42 65 D0 12 9B 03 F1 14 01 03 9B 03 F1 08 02 0B 68 13 60 03 9B 1B 68 04 93 04 9B 5B 1E 04 93 04 9B 03 2B 22 D8 04 9A DF E8 02 F0 02 08 0E 14 12 9B 03 F1 14 00 ?? ?? ?? ?? 48 E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 42 E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 3C E0 12 9B 03 F1 14 00 ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 0E 0B 30 E0 02 E0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 A4 42 17 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A4 43 0C 4A 0A 49 09 48 ?? ?? ?? ?? 00 23 8D F8 14 30 03 E0 92 E7 01 23 8D F8 14 30 9D F8 14 00 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_907_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 252
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00c6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00ec ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00f0 ??_C@_1BBG@JLLDGFML@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 03 F2 5C 43 1B 68 02 2B 5F D1 0C 9B 03 F5 8B 63 1B 68 01 2B 59 D1 0C 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0C 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 26 4B 01 93 28 4B 00 93 00 23 40 F2 0D 52 25 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 0D 53 1A 4A 18 49 17 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 20 E0 0C 9B 2C 33 1B 68 00 93 0C 9B 31 33 93 F9 00 30 04 22 0C 99 01 F2 64 44 0C 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 09 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_908_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 252
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00c6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 00ec ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00f0 ??_C@_1BBG@KIHCHFIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 03 F2 5C 43 1B 68 02 2B 5F D1 0C 9B 03 F5 8B 63 1B 68 01 2B 59 D1 0C 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0C 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 26 4B 01 93 28 4B 00 93 00 23 40 F2 0D 52 25 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 0D 53 1A 4A 18 49 17 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 20 E0 0C 9B 2C 33 1B 68 00 93 0C 9B 31 33 93 F9 00 30 04 22 0C 99 01 F2 64 44 0C 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 09 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_909_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 252
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00c4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00ec ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00f0 ??_C@_1BCC@PDNLFIHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 03 F2 5C 43 1B 68 02 2B 5E D1 0C 9B 03 F5 8B 63 1B 68 01 2B 58 D1 0C 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0C 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 26 4B 01 93 28 4B 00 93 00 23 40 F2 0D 52 25 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 0D 53 1A 4A 18 49 17 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 1F E0 0C 9B 2C 33 1B 68 00 93 0C 9B 32 33 1B 88 04 22 0C 99 01 F2 64 44 0C 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 09 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_910_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 252
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00c4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 00ec ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00f0 ??_C@_1BCC@GJLKCHIG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 03 F2 5C 43 1B 68 02 2B 5E D1 0C 9B 03 F5 8B 63 1B 68 01 2B 58 D1 0C 9B 03 F6 A8 23 1B 68 00 2B 08 DB 0C 9B 03 F6 A8 23 1B 68 64 2B 02 DA 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 26 4B 01 93 28 4B 00 93 00 23 40 F2 0D 52 25 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 0D 53 1A 4A 18 49 17 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 1F E0 0C 9B 2C 33 1B 68 00 93 0C 9B 32 33 1B 88 04 22 0C 99 01 F2 64 44 0C 99 01 F6 A8 21 08 68 10 21 00 FB 01 F1 21 44 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 09 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_915_0 {
	meta:
		name = "?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQAU_iobuf@@@Z"
		size = 332
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0014 ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 0026 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 002e _fileno 00e4 _CrtDbgReportW 00f8 _errno 0112 _invalid_parameter 0134 ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 0138 ??_C@_1II@DIIMCJOK@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAc?$AAh?$AAa?$AAr?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?$DM?$AAc?$AAh?$AAa?$AAr?$AA?$DO?$AA?3?$AA?3@ 013c ??_C@_1GC@LCDLABEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0144 __badioinfo 0148 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 4F D1 04 A8 ?? ?? ?? ?? 0A 90 0A 98 ?? ?? ?? ?? 0B 90 0B 9B 03 93 03 9B B3 F1 FF 3F 14 D0 03 9B 13 F1 02 0F 10 D0 03 9B 9A 11 04 23 02 FB 03 F2 3D 4B 99 18 03 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 05 93 01 E0 36 4B 05 93 05 9B 29 33 93 F9 00 30 00 2B 21 D1 03 9B B3 F1 FF 3F 14 D0 03 9B 13 F1 02 0F 10 D0 03 9B 9A 11 04 23 02 FB 03 F2 2C 4B 99 18 03 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 06 93 01 E0 25 4B 06 93 06 9B 2D 33 1B 78 03 F0 01 03 00 2B 02 D0 00 23 07 93 01 E0 01 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 B1 12 16 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 B1 13 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 24 30 02 E0 01 23 8D F8 24 30 9D F8 24 00 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_121_929_0 {
	meta:
		name = "?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBAXDQAH@Z"
		size = 118
		refs = "000c ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 001e ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 003c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 004a ??$puttc_nolock@ABDPAU_iobuf@@@?$__crt_char_traits@D@@SAHABD$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0E D0 08 98 ?? ?? ?? ?? 01 90 01 9B 1B 1D 1B 68 00 2B 05 D1 0A 9B 1B 68 5A 1C 0A 9B 1A 60 18 E0 08 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 A9 09 A8 ?? ?? ?? ?? 04 90 04 9B B3 F1 FF 3F 04 D1 0A 9A 6F F0 00 03 13 60 04 E0 0A 9B 1B 68 5A 1C 0A 9B 1A 60 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_930_0 {
	meta:
		name = "?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBAX_WQAH@Z"
		size = 124
		refs = "000c ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 001e ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 003c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 004a ??$puttc_nolock@AB_WPAU_iobuf@@@?$__crt_char_traits@_W@@SAGAB_W$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0E D0 06 98 ?? ?? ?? ?? 01 90 01 9B 1B 1D 1B 68 00 2B 05 D1 08 9B 1B 68 5A 1C 08 9B 1A 60 1B E0 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 A9 07 A8 ?? ?? ?? ?? AD F8 02 00 BD F8 02 20 4F F6 FF 73 9A 42 04 D1 08 9A 6F F0 00 03 13 60 04 E0 08 9B 1B 68 5A 1C 08 9B 1A 60 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_931_0 {
	meta:
		name = "?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBA_NDQAH@Z"
		size = 152
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 03 F1 08 02 04 9B 1B 68 1B 1D 12 68 1B 68 9A 42 16 D1 04 9B 1B 68 0C 33 1B 78 00 2B 05 D0 06 9B 1B 68 5A 1C 06 9B 1A 60 03 E0 06 9A 6F F0 00 03 13 60 04 9B 1B 68 0C 33 1B 78 8D F8 00 30 1D E0 06 9B 1B 68 5A 1C 06 9B 1A 60 04 9B 1B 68 08 33 1B 68 5A 1C 04 9B 1B 68 08 33 1A 60 04 9B 1B 68 1A 68 9D F9 14 30 13 70 04 9B 1B 68 1B 68 5A 1C 04 9B 1B 68 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_932_0 {
	meta:
		name = "?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBA_N_WQAH@Z"
		size = 152
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 03 F1 08 02 04 9B 1B 68 1B 1D 12 68 1B 68 9A 42 16 D1 04 9B 1B 68 0C 33 1B 78 00 2B 05 D0 06 9B 1B 68 5A 1C 06 9B 1A 60 03 E0 06 9A 6F F0 00 03 13 60 04 9B 1B 68 0C 33 1B 78 8D F8 00 30 1D E0 06 9B 1B 68 5A 1C 06 9B 1A 60 04 9B 1B 68 08 33 1B 68 5A 1C 04 9B 1B 68 08 33 1A 60 04 9B 1B 68 1A 68 BD F8 14 30 13 80 04 9B 1B 68 1B 68 9A 1C 04 9B 1B 68 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_933_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 220
		refs = "0008 __security_push_cookie 0058 wctomb_s 009c ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 00d0 __security_pop_cookie"
		altNames = "?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8D B0 10 9B 3C 33 1B 78 00 2B 45 D0 10 9B 38 33 1B 68 00 2B 40 DD 10 9B 34 33 1B 68 04 93 00 23 03 93 02 E0 03 9B 5B 1C 03 93 10 9B 38 33 03 9A 1B 68 9A 42 2F D0 00 23 05 93 04 9B 1B 88 AD F8 08 30 BD F8 08 30 06 22 0A A9 05 A8 ?? ?? ?? ?? 07 90 07 9B 08 93 04 9B 9B 1C 04 93 08 9B 00 2B 02 D1 05 9B 00 2B 09 D1 10 9B 03 F1 18 02 6F F0 00 03 13 60 01 23 8D F8 18 30 20 E0 10 9B 0C 33 00 93 10 9B 18 33 05 9A 0A A9 10 98 00 F5 89 60 ?? ?? ?? ?? C6 E7 0F E0 10 9B 0C 33 00 93 10 9B 18 33 10 9A 38 32 12 68 10 99 34 31 09 68 10 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 18 30 9D F8 18 00 0D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_936_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 220
		refs = "0008 __security_push_cookie 0058 wctomb_s 009c ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 00d0 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8D B0 10 9B 3C 33 1B 78 00 2B 45 D0 10 9B 38 33 1B 68 00 2B 40 DD 10 9B 34 33 1B 68 04 93 00 23 03 93 02 E0 03 9B 5B 1C 03 93 10 9B 38 33 03 9A 1B 68 9A 42 2F D0 00 23 05 93 04 9B 1B 88 AD F8 08 30 BD F8 08 30 06 22 0A A9 05 A8 ?? ?? ?? ?? 07 90 07 9B 08 93 04 9B 9B 1C 04 93 08 9B 00 2B 02 D1 05 9B 00 2B 09 D1 10 9B 03 F1 18 02 6F F0 00 03 13 60 01 23 8D F8 18 30 20 E0 10 9B 0C 33 00 93 10 9B 18 33 05 9A 0A A9 10 98 00 F5 89 60 ?? ?? ?? ?? C6 E7 0F E0 10 9B 0C 33 00 93 10 9B 18 33 10 9A 38 32 12 68 10 99 34 31 09 68 10 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 18 30 9D F8 18 00 0D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_937_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 220
		refs = "0008 __security_push_cookie 0058 wctomb_s 009c ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 00d0 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8D B0 10 9B 3C 33 1B 78 00 2B 45 D0 10 9B 38 33 1B 68 00 2B 40 DD 10 9B 34 33 1B 68 04 93 00 23 03 93 02 E0 03 9B 5B 1C 03 93 10 9B 38 33 03 9A 1B 68 9A 42 2F D0 00 23 05 93 04 9B 1B 88 AD F8 08 30 BD F8 08 30 06 22 0A A9 05 A8 ?? ?? ?? ?? 07 90 07 9B 08 93 04 9B 9B 1C 04 93 08 9B 00 2B 02 D1 05 9B 00 2B 09 D1 10 9B 03 F1 18 02 6F F0 00 03 13 60 01 23 8D F8 18 30 20 E0 10 9B 0C 33 00 93 10 9B 18 33 05 9A 0A A9 10 98 00 F5 89 60 ?? ?? ?? ?? C6 E7 0F E0 10 9B 0C 33 00 93 10 9B 18 33 10 9A 38 32 12 68 10 99 34 31 09 68 10 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 18 30 9D F8 18 00 0D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_938_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 220
		refs = "0008 __security_push_cookie 0058 wctomb_s 009c ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 00d0 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8D B0 10 9B 3C 33 1B 78 00 2B 45 D0 10 9B 38 33 1B 68 00 2B 40 DD 10 9B 34 33 1B 68 04 93 00 23 03 93 02 E0 03 9B 5B 1C 03 93 10 9B 38 33 03 9A 1B 68 9A 42 2F D0 00 23 05 93 04 9B 1B 88 AD F8 08 30 BD F8 08 30 06 22 0A A9 05 A8 ?? ?? ?? ?? 07 90 07 9B 08 93 04 9B 9B 1C 04 93 08 9B 00 2B 02 D1 05 9B 00 2B 09 D1 10 9B 03 F1 18 02 6F F0 00 03 13 60 01 23 8D F8 18 30 20 E0 10 9B 0C 33 00 93 10 9B 18 33 05 9A 0A A9 10 98 00 F5 89 60 ?? ?? ?? ?? C6 E7 0F E0 10 9B 0C 33 00 93 10 9B 18 33 10 9A 38 32 12 68 10 99 34 31 09 68 10 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 18 30 9D F8 18 00 0D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_939_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 210
		refs = "005a _mbtowc_l 008e ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBAX_WQAH@Z 00ba ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
		altNames = "?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 3C 33 1B 78 00 2B 44 D1 0A 9B 38 33 1B 68 00 2B 3F DD 0A 9B 34 33 1B 68 04 93 00 23 03 93 02 E0 03 9B 5B 1C 03 93 0A 9B 38 33 03 9A 1B 68 9A 42 2E D0 00 23 AD F8 08 30 0A 9B 08 33 1B 68 0A 9A 08 32 12 68 12 68 12 1D 12 68 04 99 02 A8 ?? ?? ?? ?? 07 90 07 9B 05 93 05 9B 00 2B 09 DC 0A 9B 03 F1 18 02 6F F0 00 03 13 60 01 23 8D F8 18 30 22 E0 0A 9B 03 F1 18 02 BD F8 08 10 0A 9B 03 F5 89 60 ?? ?? ?? ?? 04 9A 05 9B 13 44 04 93 C7 E7 0F E0 0A 9B 0C 33 00 93 0A 9B 18 33 0A 9A 38 32 12 68 0A 99 34 31 09 68 0A 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 18 30 9D F8 18 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_942_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 210
		refs = "005a _mbtowc_l 008e ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBA_N_WQAH@Z 00ba ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 3C 33 1B 78 00 2B 44 D1 0A 9B 38 33 1B 68 00 2B 3F DD 0A 9B 34 33 1B 68 04 93 00 23 03 93 02 E0 03 9B 5B 1C 03 93 0A 9B 38 33 03 9A 1B 68 9A 42 2E D0 00 23 AD F8 08 30 0A 9B 08 33 1B 68 0A 9A 08 32 12 68 12 68 12 1D 12 68 04 99 02 A8 ?? ?? ?? ?? 07 90 07 9B 05 93 05 9B 00 2B 09 DC 0A 9B 03 F1 18 02 6F F0 00 03 13 60 01 23 8D F8 18 30 22 E0 0A 9B 03 F1 18 02 BD F8 08 10 0A 9B 03 F5 89 60 ?? ?? ?? ?? 04 9A 05 9B 13 44 04 93 C7 E7 0F E0 0A 9B 0C 33 00 93 0A 9B 18 33 0A 9A 38 32 12 68 0A 99 34 31 09 68 0A 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 18 30 9D F8 18 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_943_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 210
		refs = "005a _mbtowc_l 008e ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBA_N_WQAH@Z 00ba ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 3C 33 1B 78 00 2B 44 D1 0A 9B 38 33 1B 68 00 2B 3F DD 0A 9B 34 33 1B 68 04 93 00 23 03 93 02 E0 03 9B 5B 1C 03 93 0A 9B 38 33 03 9A 1B 68 9A 42 2E D0 00 23 AD F8 08 30 0A 9B 08 33 1B 68 0A 9A 08 32 12 68 12 68 12 1D 12 68 04 99 02 A8 ?? ?? ?? ?? 07 90 07 9B 05 93 05 9B 00 2B 09 DC 0A 9B 03 F1 18 02 6F F0 00 03 13 60 01 23 8D F8 18 30 22 E0 0A 9B 03 F1 18 02 BD F8 08 10 0A 9B 03 F5 89 60 ?? ?? ?? ?? 04 9A 05 9B 13 44 04 93 C7 E7 0F E0 0A 9B 0C 33 00 93 0A 9B 18 33 0A 9A 38 32 12 68 0A 99 34 31 09 68 0A 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 18 30 9D F8 18 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_944_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 210
		refs = "005a _mbtowc_l 008e ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBA_N_WQAH@Z 00ba ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 3C 33 1B 78 00 2B 44 D1 0A 9B 38 33 1B 68 00 2B 3F DD 0A 9B 34 33 1B 68 04 93 00 23 03 93 02 E0 03 9B 5B 1C 03 93 0A 9B 38 33 03 9A 1B 68 9A 42 2E D0 00 23 AD F8 08 30 0A 9B 08 33 1B 68 0A 9A 08 32 12 68 12 68 12 1D 12 68 04 99 02 A8 ?? ?? ?? ?? 07 90 07 9B 05 93 05 9B 00 2B 09 DC 0A 9B 03 F1 18 02 6F F0 00 03 13 60 01 23 8D F8 18 30 22 E0 0A 9B 03 F1 18 02 BD F8 08 10 0A 9B 03 F5 89 60 ?? ?? ?? ?? 04 9A 05 9B 13 44 04 93 C7 E7 0F E0 0A 9B 0C 33 00 93 0A 9B 18 33 0A 9A 38 32 12 68 0A 99 34 31 09 68 0A 98 00 F5 89 60 ?? ?? ?? ?? 01 23 8D F8 18 30 9D F8 18 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_945_0 {
	meta:
		name = "?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 180
		refs = "000c ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 001e ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 003e ?get@__crt_deferred_errno_cache@@QAAAAHXZ 0048 ??0__crt_errno_guard@@QAA@QAH@Z 0072 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBAXDQAH@Z 0092 ??1__crt_errno_guard@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0F D0 0A 98 ?? ?? ?? ?? 02 90 02 9B 1B 1D 1B 68 00 2B 06 D1 0D 9B 1A 68 0C 9B 1A 44 0D 9B 1A 60 36 E0 0E 98 ?? ?? ?? ?? 03 90 03 99 06 A8 ?? ?? ?? ?? 0B 9A 0C 9B 13 44 04 93 0B 9B 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 04 9B 9A 42 1D D0 0D 9A 01 9B 93 F9 00 10 0A 98 ?? ?? ?? ?? 0D 9B 1B 68 B3 F1 FF 3F 10 D1 0E 98 ?? ?? ?? ?? 05 90 05 9B 1B 68 2A 2B 03 D0 06 A8 ?? ?? ?? ?? 08 E0 0D 9A 3F 21 0A 98 ?? ?? ?? ?? DA E7 06 A8 ?? ?? ?? ?? 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_946_0 {
	meta:
		name = "?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 184
		refs = "000c ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 001e ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 003e ?get@__crt_deferred_errno_cache@@QAAAAHXZ 0048 ??0__crt_errno_guard@@QAA@QAH@Z 0076 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBAX_WQAH@Z 0096 ??1__crt_errno_guard@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0F D0 0A 98 ?? ?? ?? ?? 02 90 02 9B 1B 1D 1B 68 00 2B 06 D1 0D 9B 1A 68 0C 9B 1A 44 0D 9B 1A 60 38 E0 0E 98 ?? ?? ?? ?? 03 90 03 99 06 A8 ?? ?? ?? ?? 0C 9A 02 23 02 FB 03 F2 0B 9B 13 44 04 93 0B 9B 01 93 02 E0 01 9B 9B 1C 01 93 01 9A 04 9B 9A 42 1C D0 0D 9A 01 9B 19 88 0A 98 ?? ?? ?? ?? 0D 9B 1B 68 B3 F1 FF 3F 10 D1 0E 98 ?? ?? ?? ?? 05 90 05 9B 1B 68 2A 2B 03 D0 06 A8 ?? ?? ?? ?? 08 E0 0D 9A 3F 21 0A 98 ?? ?? ?? ?? DB E7 06 A8 ?? ?? ?? ?? 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_947_0 {
	meta:
		name = "?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 234
		refs = "0080 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 2B 00 D1 66 E0 06 9B 1B 68 03 F1 08 02 06 9B 1B 68 1B 1D 12 68 1B 68 9A 42 11 D1 06 9B 1B 68 0C 33 1B 78 00 2B 06 D0 09 9B 1A 68 08 9B 1A 44 09 9B 1A 60 03 E0 09 9A 6F F0 00 03 13 60 49 E0 06 9B 1B 68 1A 1D 06 9B 1B 68 08 33 12 68 1B 68 D3 1A 01 93 01 9A 08 9B 9A 42 02 D2 01 9B 02 93 01 E0 08 9B 02 93 02 9B 00 93 00 9A 07 99 06 9B 1B 68 18 68 ?? ?? ?? ?? 06 9B 1B 68 1A 68 00 9B 1A 44 06 9B 1B 68 1A 60 06 9B 1B 68 08 33 1A 68 00 9B 1A 44 06 9B 1B 68 08 33 1A 60 06 9B 1B 68 0C 33 1B 78 00 2B 06 D0 09 9B 1A 68 08 9B 1A 44 09 9B 1A 60 0E E0 00 9A 08 9B 9A 42 04 D0 09 9A 6F F0 00 03 13 60 05 E0 09 9B 1A 68 00 9B 1A 44 09 9B 1A 60 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_948_0 {
	meta:
		name = "?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 246
		refs = "0086 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 2B 00 D1 6C E0 06 9B 1B 68 03 F1 08 02 06 9B 1B 68 1B 1D 12 68 1B 68 9A 42 11 D1 06 9B 1B 68 0C 33 1B 78 00 2B 06 D0 09 9B 1A 68 08 9B 1A 44 09 9B 1A 60 03 E0 09 9A 6F F0 00 03 13 60 4F E0 06 9B 1B 68 1A 1D 06 9B 1B 68 08 33 12 68 1B 68 D3 1A 01 93 01 9A 08 9B 9A 42 02 D2 01 9B 02 93 01 E0 08 9B 02 93 02 9B 00 93 00 9A 02 23 02 FB 03 F2 07 99 06 9B 1B 68 18 68 ?? ?? ?? ?? 06 9B 19 68 00 9A 02 23 02 FB 03 F2 0B 68 1A 44 06 9B 1B 68 1A 60 06 9B 1B 68 08 33 1A 68 00 9B 1A 44 06 9B 1B 68 08 33 1A 60 06 9B 1B 68 0C 33 1B 78 00 2B 06 D0 09 9B 1A 68 08 9B 1A 44 09 9B 1A 60 0E E0 00 9A 08 9B 9A 42 04 D0 09 9A 6F F0 00 03 13 60 05 E0 09 9B 1A 68 00 9B 1A 44 09 9B 1A 60 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_949_0 {
	meta:
		name = "__acrt_isleadbyte_l_noupdate"
		size = 48
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B DA B2 02 23 02 FB 03 F2 0B 68 13 44 1B 88 03 F4 00 43 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_121_951_0 {
	meta:
		name = "__stdio_common_vfprintf"
		size = 48
		refs = "001a ??$common_vfprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 06 98 07 99 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_952_0 {
	meta:
		name = "__stdio_common_vfprintf_p"
		size = 48
		refs = "001a ??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 06 98 07 99 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_953_0 {
	meta:
		name = "__stdio_common_vfprintf_s"
		size = 48
		refs = "001a ??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 06 98 07 99 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_411_4 {
	meta:
		name = "__stdio_common_vfscanf"
		size = 48
		refs = "001a ??$common_vfscanf@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 06 98 07 99 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_954_2 {
	meta:
		name = "__stdio_common_vfwprintf"
		size = 48
		refs = "001a ??$common_vfprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 06 98 07 99 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_955_2 {
	meta:
		name = "__stdio_common_vfwprintf_p"
		size = 48
		refs = "001a ??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 06 98 07 99 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_956_3 {
	meta:
		name = "__stdio_common_vfwprintf_s"
		size = 48
		refs = "001a ??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 06 98 07 99 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_412_3 {
	meta:
		name = "__stdio_common_vfwscanf"
		size = 48
		refs = "001a ??$common_vfscanf@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 06 98 07 99 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_957_0 {
	meta:
		name = "__stdio_common_vsnprintf_s"
		size = 56
		refs = "0022 ??$common_vsnprintf_s@D@@YAH_KQADIIQBDQAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0F 9B 03 93 0E 9B 02 93 0D 9B 01 93 0C 9B 00 93 0B 9B 0A 9A 08 98 09 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_958_0 {
	meta:
		name = "__stdio_common_vsnwprintf_s"
		size = 56
		refs = "0022 ??$common_vsnprintf_s@_W@@YAH_KQA_WIIQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0F 9B 03 93 0E 9B 02 93 0D 9B 01 93 0C 9B 00 93 0B 9B 0A 9A 08 98 09 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_959_0 {
	meta:
		name = "__stdio_common_vsprintf"
		size = 52
		refs = "001e ??$common_vsprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 02 93 0D 9B 01 93 0C 9B 00 93 0B 9B 0A 9A 08 98 09 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_960_0 {
	meta:
		name = "__stdio_common_vsprintf_p"
		size = 52
		refs = "001e ??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 02 93 0D 9B 01 93 0C 9B 00 93 0B 9B 0A 9A 08 98 09 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_961_0 {
	meta:
		name = "__stdio_common_vsprintf_s"
		size = 52
		refs = "001e ??$common_vsprintf_s@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 02 93 0D 9B 01 93 0C 9B 00 93 0B 9B 0A 9A 08 98 09 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_413_4 {
	meta:
		name = "__stdio_common_vsscanf"
		size = 52
		refs = "001e ??$common_vsscanf@D@@YAH_KQBDI1QAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 02 93 0D 9B 01 93 0C 9B 00 93 0B 9B 0A 9A 08 98 09 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_962_2 {
	meta:
		name = "__stdio_common_vswprintf"
		size = 52
		refs = "001e ??$common_vsprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 02 93 0D 9B 01 93 0C 9B 00 93 0B 9B 0A 9A 08 98 09 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_963_2 {
	meta:
		name = "__stdio_common_vswprintf_p"
		size = 52
		refs = "001e ??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 02 93 0D 9B 01 93 0C 9B 00 93 0B 9B 0A 9A 08 98 09 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_121_964_3 {
	meta:
		name = "__stdio_common_vswprintf_s"
		size = 52
		refs = "001e ??$common_vsprintf_s@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 02 93 0D 9B 01 93 0C 9B 00 93 0B 9B 0A 9A 08 98 09 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_414_3 {
	meta:
		name = "__stdio_common_vswscanf"
		size = 52
		refs = "001e ??$common_vsscanf@_W@@YAH_KQB_WI1QAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 02 93 0D 9B 01 93 0C 9B 00 93 0B 9B 0A 9A 08 98 09 99 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_122_0_0 {
	meta:
		name = "_mbctokata"
		size = 36
		refs = "000c _ismbchira_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 00 21 04 46 ?? ?? ?? ?? 28 B1 A1 34 48 F2 7F 33 9C 42 28 BF 64 1C 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_122_1_0 {
	meta:
		name = "_mbctokata_l"
		size = 34
		refs = "000a _ismbchira_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 28 B1 A1 34 48 F2 7F 33 9C 42 28 BF 64 1C 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_124_0_0 {
	meta:
		name = "_CrtGetDebugFillThreshold"
		size = 28
		refs = "0018 ?__acrt_debug_fill_threshold@@3IA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 03 4B 1B 68 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_26_0 {
	meta:
		name = "_CrtGetAllocHook"
		size = 28
		refs = "0018 _pfnAllocHook"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 03 4B 1B 68 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_27_0 {
	meta:
		name = "_CrtGetDumpClient"
		size = 28
		refs = "0018 _pfnDumpClient"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 03 4B 1B 68 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_241_2_3 {
	meta:
		name = "_CrtGetReportHook"
		size = 28
		refs = "0018 _pfnReportHook"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 03 4B 1B 68 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_468_1_2 {
	meta:
		name = "__pwctype_func"
		size = 28
		refs = "0018 _pwctype"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 03 4B 1B 68 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_5_2 {
	meta:
		name = "_query_app_type"
		size = 28
		refs = "0018 ?__acrt_app_type@@3W4_crt_app_type@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 03 4B 1B 68 00 93 00 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_124_1_0 {
	meta:
		name = "_CrtSetDebugFillThreshold"
		size = 44
		refs = "0028 ?__acrt_debug_fill_threshold@@3IA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 00 93 04 9A 05 4B 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_39_0 {
	meta:
		name = "_CrtSetAllocHook"
		size = 44
		refs = "0028 _pfnAllocHook"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 00 93 04 9A 05 4B 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_40_0 {
	meta:
		name = "_CrtSetBreakAlloc"
		size = 44
		refs = "0028 _crtBreakAlloc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 00 93 04 9A 05 4B 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_45_0 {
	meta:
		name = "_CrtSetDumpClient"
		size = 44
		refs = "0028 _pfnDumpClient"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 00 93 04 9A 05 4B 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_241_4_3 {
	meta:
		name = "_CrtSetReportHook"
		size = 44
		refs = "0028 _pfnReportHook"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 00 93 04 9A 05 4B 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_429_0_3 {
	meta:
		name = "__setfflag"
		size = 44
		refs = "0028 __fastflag"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 07 4B 1B 68 00 93 04 9A 05 4B 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_125_0_0 {
	meta:
		name = "log1pf"
		size = 248
		refs = "000e _fdtest 0064 _fperrraise 00b4 logf 00f0 _FInf_C 00f4 _FNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 03 93 03 9B 00 2B 06 D0 03 9B 01 2B 08 D0 03 9B 02 2B 00 D0 0F E0 9D ED 01 0A 8D ED 02 0A 54 E0 01 AB 9B 1C 1B 88 13 F4 00 4F 04 D1 9D ED 01 0A 8D ED 02 0A 49 E0 DD ED 01 0A BF EE 00 0A F4 EE C0 0A F1 EE 10 FA 09 D2 01 20 ?? ?? ?? ?? 22 4B 93 ED 00 0A 8D ED 02 0A 37 E0 36 E0 DD ED 01 0A BF EE 00 0A F4 EE 40 0A F1 EE 10 FA 0B D1 04 20 ?? ?? ?? ?? 18 4B 93 ED 00 0A B1 EE 40 0A 8D ED 02 0A 22 E0 21 E0 F7 EE 00 0A 9D ED 01 0A 30 EE 80 0A 8D ED 04 0A 9D ED 04 0A ?? ?? ?? ?? 8D ED 05 0A DD ED 04 0A B7 EE 00 0A 70 EE C0 0A 9D ED 01 0A 70 EE C0 0A 9D ED 04 0A C0 EE 80 0A 9D ED 05 0A 30 EE 60 0A 8D ED 02 0A 9D ED 02 0A 06 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_126_0_0 {
	meta:
		name = "fmaxf"
		size = 154
		refs = "0012 _fdtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 CD ED 02 0A 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 05 D1 9D ED 02 0A 8D ED 03 0A 31 E0 30 E0 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 05 D1 9D ED 01 0A 8D ED 03 0A 22 E0 21 E0 DD ED 01 0A 9D ED 02 0A F4 EE C0 0A F1 EE 10 FA 0E D3 DD ED 01 0A 9D ED 02 0A F4 EE 40 0A F1 EE 10 FA 0B D1 01 AB 9B 1C 1B 88 13 F4 00 4F 05 D0 9D ED 02 0A 8D ED 03 0A 04 E0 03 E0 9D ED 01 0A 8D ED 03 0A 9D ED 03 0A 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_127_4_0 {
	meta:
		name = "?internal_to_string@@YAHQADIQAU_strflt@@HQAH2@Z"
		size = 264
		refs = "004c _CrtDbgReportW 0060 _errno 0078 _invalid_parameter 00a4 __acrt_fp_strflt_to_string 00f8 ??_C@_1EK@MLDBCLCM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAm?$AAi?$AAn?$AAi?$AAm?$AAu?$AAm?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc@ 00fc ??_C@_1CG@HMPBPEAJ@?$AAi?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA_?$AAt?$AAo?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 0100 ??_C@_1GA@BEKLNMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 15 9B 00 2B 02 DD 15 9B 04 93 01 E0 00 23 04 93 04 9B 9B 1C 09 93 13 9A 09 9B 9A 42 02 D3 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 2E 4B 01 93 30 4B 00 93 00 23 32 22 2D 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0B 90 0B 9A 22 23 13 60 00 23 00 93 32 23 23 4A 21 49 20 48 ?? ?? ?? ?? 22 23 03 93 34 E0 13 9B 9A 1E 15 9B 93 42 02 DA 15 9B 07 93 02 E0 13 9B 9B 1E 07 93 07 9B 0C 93 14 9B 0C 9A 13 99 12 98 ?? ?? ?? ?? 0D 90 0D 9B 02 93 02 9B 00 2B 08 D0 ?? ?? ?? ?? 0E 90 02 9A 0E 9B 1A 60 02 9B 03 93 12 E0 14 9B 1B 68 2D 2B 02 D1 01 23 08 93 01 E0 00 23 08 93 08 9A 17 9B 1A 60 14 9B 1B 1D 1A 68 16 9B 1A 60 00 23 03 93 03 98 10 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_127_6_0 {
	meta:
		name = "?try_get_ptd_buffer@@YAPADXZ"
		size = 124
		refs = "0008 __acrt_getptd_noexit 003c _malloc_dbg 0046 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0052 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 0064 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 0078 ??_C@_0DA@BFCMAIEI@minkernel?2crts?2ucrt?2src?2appcrt?2c@"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 00 23 01 93 28 E0 00 9B 3C 33 1B 68 00 2B 04 D0 00 9B 3C 33 1B 68 01 93 1E E0 1A 23 10 4A 02 21 40 F2 5D 10 ?? ?? ?? ?? 03 90 03 99 07 A8 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 ?? ?? ?? ?? 06 90 00 9B 03 F1 3C 02 06 9B 13 60 07 A8 ?? ?? ?? ?? 00 9B 3C 33 1B 68 01 93 01 98 08 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_127_7_0 {
	meta:
		name = "_ecvt"
		size = 118
		refs = "000e ?try_get_ptd_buffer@@YAPADXZ 0050 _ecvt_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 8D ED 0A 0B ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 02 D1 00 23 03 93 22 E0 0E 9A 40 F2 5B 13 9A 42 02 DA 0E 9B 04 93 02 E0 40 F2 5B 13 04 93 04 9B 06 93 10 9B 00 93 0F 9B 06 9A 9D ED 0A 0B 40 F2 5D 11 02 98 ?? ?? ?? ?? 07 90 07 9B 08 93 08 9B 00 2B 02 D0 00 23 03 93 01 E0 02 9B 03 93 03 98 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_127_8_0 {
	meta:
		name = "_ecvt_s"
		size = 648
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 00f0 _CrtGetDebugFillThreshold 0118 memset 01f6 __acrt_fltout 020a ?internal_to_string@@YAHQADIQAU_strflt@@HQAH2@Z 0260 __security_pop_cookie 026c ??_C@_1CA@OCEPHBPD@?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0270 ??_C@_1BA@FFFKJLKN@?$AA_?$AAe?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 0274 ??_C@_1GA@BEKLNMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0278 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 027c ??_C@_1DC@GEMMMEGD@?$AAd?$AAe?$AAc?$AAi?$AAm?$AAa?$AAl?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0280 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0284 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? F9 B0 8D ED 1A 0B 7C 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 95 4B 01 93 91 4B 00 93 00 23 AB 22 8E 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 AB 23 84 4A 82 49 87 48 ?? ?? ?? ?? 16 23 02 93 F4 E0 7D 9B 00 2B 02 D9 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 7C 4B 01 93 79 4B 00 93 00 23 AC 22 76 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 AC 23 6C 4A 6A 49 6E 48 ?? ?? ?? ?? 16 23 02 93 C4 E0 7C 9A 00 23 13 70 7D 9B B3 F1 FF 3F 1D D0 7D 9A 6F F0 00 43 9A 42 18 D0 7D 9B 01 2B 15 D9 ?? ?? ?? ?? 13 90 13 9B 08 93 7D 9B 5A 1E 08 9B 93 42 02 D2 08 9B 09 93 02 E0 7D 9B 5B 1E 09 93 09 9A FE 21 7C 9B 58 1C ?? ?? ?? ?? 7F 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 51 4B 01 93 4F 4B 00 93 00 23 AE 22 4C 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 AE 23 41 4A 40 49 42 48 ?? ?? ?? ?? 16 23 02 93 6F E0 80 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 35 4B 01 93 37 4B 00 93 00 23 AF 22 34 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 AF 23 29 4A 28 49 26 48 ?? ?? ?? ?? 16 23 02 93 3F E0 0C 22 00 21 1C A8 ?? ?? ?? ?? 4F F4 AF 73 20 AA 1C A9 4F F4 AF 70 9D ED 1A 0B ?? ?? ?? ?? 80 9B 01 93 7F 9B 00 93 7E 9B 1C AA 7D 99 7C 98 ?? ?? ?? ?? 18 90 18 9B 19 93 7D 9B 9A 1E 7E 9B 93 42 02 DA 7E 9B 0E 93 02 E0 7D 9B 9B 1E 0E 93 0E 9B 03 93 03 9B 00 2B 11 DB 03 9A 01 23 02 FB 03 F2 7C 9B 13 44 93 F9 00 30 00 2B 07 D0 03 9A 01 23 02 FB 03 F2 7C 9B 1A 44 00 23 13 70 19 9B 02 93 02 98 79 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_127_9_0 {
	meta:
		name = "_fcvt"
		size = 164
		refs = "0008 __security_push_cookie 0012 ?try_get_ptd_buffer@@YAPADXZ 002e memset 0042 __acrt_fltout 007a _fcvt_s 0098 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? E9 B0 8D ED 0A 0B ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 02 D1 00 23 03 93 35 E0 0C 22 00 21 0C A8 ?? ?? ?? ?? 4F F4 AF 73 10 AA 0C A9 4F F4 AF 70 9D ED 0A 0B ?? ?? ?? ?? 0D 9A 40 F2 5B 13 9A 1A 6C 9B 93 42 02 DA 6C 9B 04 93 04 E0 0D 9A 40 F2 5B 13 9B 1A 04 93 04 9B 06 93 6E 9B 00 93 6D 9B 06 9A 9D ED 0A 0B 40 F2 5D 11 02 98 ?? ?? ?? ?? 07 90 07 9B 08 93 08 9B 00 2B 02 D0 00 23 03 93 01 E0 02 9B 03 93 03 98 69 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_127_10_0 {
	meta:
		name = "_fcvt_s"
		size = 652
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 00f0 _CrtGetDebugFillThreshold 0118 memset 01f6 __acrt_fltout 0254 ?internal_to_string@@YAHQADIQAU_strflt@@HQAH2@Z 0262 __security_pop_cookie 0270 ??_C@_1CA@OCEPHBPD@?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0274 ??_C@_1BA@CJDLLOHG@?$AA_?$AAf?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 0278 ??_C@_1GA@BEKLNMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 027c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0280 ??_C@_1DC@GEMMMEGD@?$AAd?$AAe?$AAc?$AAi?$AAm?$AAa?$AAl?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0284 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0288 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? FB B0 8D ED 20 0B 7E 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 96 4B 01 93 92 4B 00 93 00 23 57 22 8F 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 57 23 85 4A 83 49 88 48 ?? ?? ?? ?? 16 23 03 93 F5 E0 7F 9B 00 2B 02 D9 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 7D 4B 01 93 7A 4B 00 93 00 23 58 22 77 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 58 23 6D 4A 6B 49 6F 48 ?? ?? ?? ?? 16 23 03 93 C5 E0 7E 9A 00 23 13 70 7F 9B B3 F1 FF 3F 1D D0 7F 9A 6F F0 00 43 9A 42 18 D0 7F 9B 01 2B 15 D9 ?? ?? ?? ?? 14 90 14 9B 08 93 7F 9B 5A 1E 08 9B 93 42 02 D2 08 9B 09 93 02 E0 7F 9B 5B 1E 09 93 09 9A FE 21 7E 9B 58 1C ?? ?? ?? ?? 81 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 52 4B 01 93 50 4B 00 93 00 23 5A 22 4D 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 5A 23 42 4A 41 49 43 48 ?? ?? ?? ?? 16 23 03 93 70 E0 82 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 36 4B 01 93 38 4B 00 93 00 23 5B 22 35 49 02 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 00 23 00 93 5B 23 2A 4A 29 49 27 48 ?? ?? ?? ?? 16 23 03 93 40 E0 0C 22 00 21 1C A8 ?? ?? ?? ?? 4F F4 AF 73 22 AA 1C A9 4F F4 AF 70 9D ED 20 0B ?? ?? ?? ?? 1D 9A 80 9B 13 44 0E 93 80 9B 00 2B 0A DD 1D 9B 00 2B 07 DD 0E 9A 80 9B 9A 42 03 DA 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 2B 03 D0 6F F0 00 43 0F 93 01 E0 0E 9B 0F 93 0F 9B 19 93 82 9B 01 93 81 9B 00 93 19 9B 1C AA 7F 99 7E 98 ?? ?? ?? ?? 1A 90 1A 9B 03 93 03 98 7B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_128_0_0 {
	meta:
		name = "wcsncat"
		size = 112
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 9B 1B 88 00 2B 03 D0 00 9B 9B 1C 00 93 F7 E7 07 9B 02 93 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 08 9B 9A 42 11 D0 02 9B 1A 88 00 9B 1A 80 00 9B 1A 88 00 9B 9B 1C 00 93 02 9B 9B 1C 02 93 00 2A 02 D1 06 9B 03 93 05 E0 E6 E7 00 9A 00 23 13 80 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_129_4_0 {
	meta:
		name = "_mbtowc_l"
		size = 576
		refs = "003e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0044 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 007a _CrtDbgReportW 00b6 ??1_LocaleUpdate@@QAA@XZ 00d2 _isleadbyte_l 0174 _errno 0230 __imp_MultiByteToWideChar 0234 ??_C@_1GE@CGIHMDEJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0238 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 023c ??_C@_1BBC@DECGKMGJ@?$AA_?$AAl?$AAo?$AAc?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi?$AAn?$AAf@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B A1 B0 25 9B 00 2B 02 D0 26 9B 00 2B 02 D1 00 23 02 93 01 E1 25 9B 93 F9 00 30 00 2B 08 D1 24 9B 00 2B 02 D0 24 9A 00 23 13 80 00 23 02 93 F3 E0 27 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 0A 90 0A 9B 1B 68 1B 1D 1B 68 01 2B 18 D0 04 A8 ?? ?? ?? ?? 0B 90 0B 9B 1B 68 1B 1D 1B 68 02 2B 0E D0 74 4B 01 93 72 4B 00 93 00 23 3F 22 6F 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 04 A8 ?? ?? ?? ?? 0D 90 0D 9B 1B 68 A0 33 08 33 1B 68 00 2B 10 D1 24 9B 00 2B 05 D0 25 9B 93 F9 00 30 DA B2 24 9B 1A 80 01 23 0E 93 04 A8 ?? ?? ?? ?? 0E 9B 02 93 B0 E0 04 A8 ?? ?? ?? ?? 0F 90 0F 99 25 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 10 90 10 9B 00 2B 69 D0 04 A8 ?? ?? ?? ?? 11 90 11 9B 1B 68 1B 1D 1B 68 01 2B 2F DD 04 A8 ?? ?? ?? ?? 12 90 12 9B 1B 68 1B 1D 26 9A 1B 68 9A 42 24 DB 24 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 04 A8 ?? ?? ?? ?? 13 90 04 A8 ?? ?? ?? ?? 14 90 08 9B 01 93 24 9B 00 93 13 9B 1B 68 1B 1D 1B 68 25 9A 09 21 14 98 00 68 08 30 00 68 3A 4C 24 68 A0 47 15 90 15 9B 00 2B 1F D1 04 A8 ?? ?? ?? ?? 16 90 16 9B 1B 68 1B 1D 26 9A 1B 68 9A 42 05 D3 25 9B 5B 1C 93 F9 00 30 00 2B 0E D1 ?? ?? ?? ?? 17 90 17 9A 2A 23 13 60 6F F0 00 03 18 93 04 A8 ?? ?? ?? ?? 18 9B 02 93 47 E0 04 A8 ?? ?? ?? ?? 19 90 19 9B 1B 68 1B 1D 1B 68 1A 93 04 A8 ?? ?? ?? ?? 1A 9B 02 93 38 E0 34 E0 24 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 04 A8 ?? ?? ?? ?? 1B 90 09 9B 01 93 24 9B 00 93 01 23 25 9A 09 21 1B 98 00 68 08 30 00 68 13 4C 24 68 A0 47 1C 90 1C 9B 00 2B 0E D1 ?? ?? ?? ?? 1D 90 1D 9A 2A 23 13 60 6F F0 00 03 1E 93 04 A8 ?? ?? ?? ?? 1E 9B 02 93 0A E0 01 23 1F 93 04 A8 ?? ?? ?? ?? 1F 9B 02 93 02 E0 04 A8 ?? ?? ?? ?? 02 98 21 B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_130_0_0 {
	meta:
		name = "??$?B$$A6AXXZ@__crt_fast_encoded_nullptr_t@@QBAP6AXXZXZ"
		size = 34
		refs = "000c ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_200_0_0 {
	meta:
		name = "??$?B$$A6AHI@Z@__crt_fast_encoded_nullptr_t@@QBAP6AHI@ZXZ"
		size = 34
		refs = "000c ??$__crt_fast_encode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_671_1_0 {
	meta:
		name = "??$?B$$A6AHPA_WKJ@Z@__crt_fast_encoded_nullptr_t@@QBAP6AHPA_WKJ@ZXZ"
		size = 34
		refs = "000c ??$__crt_fast_encode_pointer@P6AHPA_WKJ@Z@@YAP6AHPA_WKJ@ZQ6AH0KJ@Z@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_491_0_4 {
	meta:
		name = "??$?B$$A6AXH@Z@__crt_fast_encoded_nullptr_t@@QBAP6AXH@ZXZ"
		size = 34
		refs = "000c ??$__crt_fast_encode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_649_0_0 {
	meta:
		name = "??$?B$$A6AXPAXK0@Z@__crt_fast_encoded_nullptr_t@@QBAP6AXPAXK0@ZXZ"
		size = 34
		refs = "000c ??$__crt_fast_encode_pointer@P6AXPAXK0@Z@@YAP6AXPAXK0@ZQ6AX0K0@Z@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_130_1_4 {
	meta:
		name = "??$?BP6AXXZ@__crt_fast_encoded_nullptr_t@@QBAPAP6AXXZXZ"
		size = 34
		refs = "000c ??$__crt_fast_encode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_204_11_3 {
	meta:
		name = "??$?BX@__crt_fast_encoded_nullptr_t@@QBAPAXXZ"
		size = 34
		refs = "000c ??$__crt_fast_encode_pointer@PAX@@YAPAXQAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_130_9_0 {
	meta:
		name = "??$__crt_fast_decode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z"
		size = 56
		refs = "0010 __rt_udiv 001e ?__crt_rotate_pointer_value@@YAIIH@Z 0034 __security_cookie"
		altNames = "??$__crt_fast_decode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z ??$__crt_fast_decode_pointer@P6AHPAU_exception@@@Z@@YAP6AHPAU_exception@@@ZQ6AH0@Z@Z ??$__crt_fast_decode_pointer@P6AHPA_WKJ@Z@@YAP6AHPA_WKJ@ZQ6AH0KJ@Z@Z ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z ??$__crt_fast_decode_pointer@P6AXPAXK0@Z@@YAP6AXPAXK0@ZQ6AX0K0@Z@Z ??$__crt_fast_decode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z ??$__crt_fast_decode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z ??$__crt_fast_decode_pointer@PAX@@YAPAXQAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0A 4B 19 68 20 20 ?? ?? ?? ?? 04 9A 07 4B 1B 68 82 EA 03 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_130_11_0 {
	meta:
		name = "??$__crt_fast_encode_pointer@P6AHXZ@@YAP6AHXZQ6AHXZ@Z"
		size = 60
		refs = "0010 __rt_udiv 001a ?__crt_rotate_pointer_value@@YAIIH@Z 0038 __security_cookie"
		altNames = "??$__crt_fast_encode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z ??$__crt_fast_encode_pointer@P6AHPAU_exception@@@Z@@YAP6AHPAU_exception@@@ZQ6AH0@Z@Z ??$__crt_fast_encode_pointer@P6AHPA_WKJ@Z@@YAP6AHPA_WKJ@ZQ6AH0KJ@Z@Z ??$__crt_fast_encode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z ??$__crt_fast_encode_pointer@P6AXPAXK0@Z@@YAP6AXPAXK0@ZQ6AX0K0@Z@Z ??$__crt_fast_encode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_encode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z ??$__crt_fast_encode_pointer@PAX@@YAPAXQAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0B 4B 19 68 20 20 ?? ?? ?? ?? C1 F1 20 01 04 98 ?? ?? ?? ?? 00 90 00 9A 05 4B 1B 68 53 40 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_130_30_0 {
	meta:
		name = "?__acrt_select_exit_lock@@YA?AW4__acrt_lock_id@@XZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 23 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_130_31_0 {
	meta:
		name = "?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z"
		size = 26
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_130_32_0 {
	meta:
		name = "?__crt_rotate_pointer_value@@YAIIH@Z"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 04 9B D3 41 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_130_35_0 {
	meta:
		name = "_crt_at_quick_exit"
		size = 40
		refs = "000e _register_onexit_function 0024 __acrt_at_quick_exit_table"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 99 05 48 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_130_36_0 {
	meta:
		name = "_crt_atexit"
		size = 40
		refs = "000e _register_onexit_function 0024 __acrt_atexit_table"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 99 05 48 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_130_37_0 {
	meta:
		name = "_execute_onexit_table"
		size = 52
		refs = "000e ??0<lambda_d121dba8a4adeaf3a9819e48611155df>@@QAA@ABQAU_onexit_table_t@@@Z 0014 ?__acrt_select_exit_lock@@YA?AW4__acrt_lock_id@@XZ 001e ??$__acrt_lock_and_call@V<lambda_d121dba8a4adeaf3a9819e48611155df>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_d121dba8a4adeaf3a9819e48611155df>@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 A9 04 A8 ?? ?? ?? ?? 00 90 ?? ?? ?? ?? 01 90 00 99 01 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_130_38_0 {
	meta:
		name = "_initialize_onexit_table"
		size = 114
		refs = "002e ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 003a memcpy 0040 ??$?BP6AXXZ@__crt_fast_encoded_nullptr_t@@QBAPAP6AXXZXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 00 2B 03 D1 6F F0 00 03 02 93 26 E0 08 9A 08 9B 08 33 12 68 1B 68 9A 42 02 D0 00 23 02 93 1C E0 00 20 ?? ?? ?? ?? 03 90 68 46 03 A9 01 22 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 04 90 04 9B 01 93 08 9A 01 9B 13 60 08 9B 1A 1D 01 9B 13 60 08 9B 03 F1 08 02 01 9B 13 60 00 23 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_130_39_0 {
	meta:
		name = "_register_onexit_function"
		size = 54
		refs = "0010 ??0<lambda_3b83eb014488ad801d84acef5aaf14d3>@@QAA@ABQAU_onexit_table_t@@ABQ6AHXZ@Z 0016 ?__acrt_select_exit_lock@@YA?AW4__acrt_lock_id@@XZ 0020 ??$__acrt_lock_and_call@V<lambda_3b83eb014488ad801d84acef5aaf14d3>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_3b83eb014488ad801d84acef5aaf14d3>@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 AA 08 A9 04 A8 ?? ?? ?? ?? 00 90 ?? ?? ?? ?? 01 90 00 99 01 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_131_4_0 {
	meta:
		name = "_wctomb_l"
		size = 118
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 003a _wctomb_s_l 0052 ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 12 99 0A A8 ?? ?? ?? ?? 00 23 02 93 0A A8 ?? ?? ?? ?? 04 90 0A A8 ?? ?? ?? ?? 05 90 04 9B 00 93 BD F8 44 30 05 9A 12 68 12 1D 12 68 10 99 02 A8 ?? ?? ?? ?? 06 90 06 9B 07 93 07 9B 00 2B 08 D0 6F F0 00 03 08 93 0A A8 ?? ?? ?? ?? 08 9B 03 93 06 E0 02 9B 09 93 0A A8 ?? ?? ?? ?? 09 9B 03 93 03 98 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_131_5_0 {
	meta:
		name = "_wctomb_s_l"
		size = 712
		refs = "0066 _CrtDbgReportW 007a _errno 0092 _invalid_parameter 00a0 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00a6 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00d4 memset 00ea ??1_LocaleUpdate@@QAA@XZ 02a8 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 02ac ??_C@_1BI@IEADNOHF@?$AA_?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 02b0 ??_C@_1GE@FCCEPHFG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 02b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02b8 __imp_GetLastError 02bc __imp_WideCharToMultiByte 02c0 ??_C@_1CM@ENFEGCNE@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 02c4 ??_C@_1DK@NBNOAGKB@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B A5 B0 29 9B 00 2B 0B D1 2A 9B 00 2B 08 D9 28 9B 00 2B 02 D0 28 9A 00 23 13 60 00 23 04 93 38 E1 28 9B 00 2B 03 D0 28 9A 6F F0 00 03 13 60 2A 9A 6F F0 00 43 9A 42 02 D8 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 9B 4B 01 93 96 4B 00 93 00 23 2D 22 93 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 2D 23 88 4A 87 49 8C 48 ?? ?? ?? ?? 16 23 04 93 FF E0 2C 99 0E A8 ?? ?? ?? ?? 0E A8 ?? ?? ?? ?? 14 90 14 9B 1B 68 A0 33 08 33 1B 68 00 2B 68 D1 BD F8 AC 30 FF 2B 18 DD 29 9B 00 2B 07 D0 2A 9B 00 2B 04 D9 2A 9A 00 21 29 98 ?? ?? ?? ?? ?? ?? ?? ?? 15 90 15 9A 2A 23 13 60 2A 23 16 93 0E A8 ?? ?? ?? ?? 16 9B 04 93 D3 E0 29 9B 00 2B 39 D0 2A 9B 00 2B 02 D9 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 6A 4B 01 93 66 4B 00 93 00 23 3F 22 63 49 02 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 09 9B 00 2B 15 D1 ?? ?? ?? ?? 18 90 18 9A 22 23 13 60 00 23 00 93 3F 23 59 4A 57 49 5C 48 ?? ?? ?? ?? 22 23 19 93 0E A8 ?? ?? ?? ?? 19 9B 04 93 9B E0 BD F8 AC 30 5A B2 29 9B 1A 70 28 9B 00 2B 02 D0 28 9A 01 23 13 60 00 23 1A 93 0E A8 ?? ?? ?? ?? 1A 9B 04 93 88 E0 84 E0 00 23 0A 93 0E A8 ?? ?? ?? ?? 1B 90 0A AB 03 93 00 23 02 93 2A 9B 01 93 29 9B 00 93 01 23 2B AA 00 21 1B 98 00 68 08 30 00 68 41 4C 24 68 A0 47 1C 90 1C 9B 05 93 05 9B 00 2B 02 D0 0A 9B 00 2B 55 D0 05 9B 00 2B 44 D1 38 4B 1B 68 98 47 1D 90 1D 9B 7A 2B 3D D1 29 9B 00 2B 07 D0 2A 9B 00 2B 04 D9 2A 9A 00 21 29 98 ?? ?? ?? ?? 02 E0 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 0E D1 26 4B 01 93 28 4B 00 93 00 23 60 22 25 49 02 20 ?? ?? ?? ?? 1E 90 1E 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 15 D1 ?? ?? ?? ?? 1F 90 1F 9A 22 23 13 60 00 23 00 93 60 23 1A 4A 19 49 17 48 ?? ?? ?? ?? 22 23 20 93 0E A8 ?? ?? ?? ?? 20 9B 04 93 1E E0 ?? ?? ?? ?? 21 90 21 9A 2A 23 13 60 2A 23 22 93 0E A8 ?? ?? ?? ?? 22 9B 04 93 10 E0 28 9B 00 2B 02 D0 05 9A 28 9B 1A 60 00 23 23 93 0E A8 ?? ?? ?? ?? 23 9B 04 93 02 E0 0E A8 ?? ?? ?? ?? 04 98 25 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_131_6_0 {
	meta:
		name = "wctomb"
		size = 74
		refs = "000e ___mb_cur_max_func 0022 _wctomb_s_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 00 23 02 93 ?? ?? ?? ?? 04 90 00 23 00 93 BD F8 2C 30 04 9A 0A 99 02 A8 ?? ?? ?? ?? 05 90 05 9B 06 93 06 9B 00 2B 03 D0 6F F0 00 03 03 93 01 E0 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_131_7_0 {
	meta:
		name = "wctomb_s"
		size = 46
		refs = "0018 _wctomb_s_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 BD F8 24 30 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_132_4_0 {
	meta:
		name = "_mbsupr"
		size = 36
		refs = "0016 _mbsupr_s_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 6F F0 00 01 04 B9 00 21 00 22 20 46 ?? ?? ?? ?? 00 B1 00 24 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_306_4_0 {
	meta:
		name = "_mbslwr"
		size = 36
		refs = "0016 _mbslwr_s_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 6F F0 00 01 04 B9 00 21 00 22 20 46 ?? ?? ?? ?? 00 B1 00 24 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_132_5_0 {
	meta:
		name = "_mbsupr_l"
		size = 36
		refs = "0016 _mbsupr_s_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 0A 46 6F F0 00 01 04 B9 00 21 20 46 ?? ?? ?? ?? 00 B1 00 24 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_306_5_0 {
	meta:
		name = "_mbslwr_l"
		size = 36
		refs = "0016 _mbslwr_s_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 0A 46 6F F0 00 01 04 B9 00 21 20 46 ?? ?? ?? ?? 00 B1 00 24 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_132_7_0 {
	meta:
		name = "_mbsupr_s_l"
		size = 468
		refs = "002e _CrtDbgReportW 0038 _errno 004c _invalid_parameter 0058 strnlen 0078 _CrtGetDebugFillThreshold 008a memset 00e8 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 012e __acrt_LCMapStringA 01c0 ??_C@_1GO@OAPABPI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 01c4 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 01c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01cc ??_C@_1BI@PBGKGPOP@?$AA_?$AAm?$AAb?$AAs?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 01d0 ??_C@_1KE@KOBLPBMH@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8D B0 05 46 17 46 0C 46 1D B1 24 B1 F5 B9 00 20 B3 E0 00 2C FA D0 6A 4B 6B 4C 67 49 00 93 00 23 31 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 31 23 61 49 5D 4A 20 46 ?? ?? ?? ?? 16 20 96 E0 21 46 28 46 ?? ?? ?? ?? 06 46 A6 42 29 D3 00 26 2E 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 4E 4B 4C 4C 4B 49 00 93 00 23 3D 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 3D 23 00 96 C7 E7 6F F0 00 48 14 F1 01 0F 11 D0 44 45 0F D0 73 1C A3 42 0C D2 ?? ?? ?? ?? A3 1B 5B 1E 02 46 9A 42 28 BF 1A 46 73 19 58 1C FE 21 ?? ?? ?? ?? 08 A8 39 46 ?? ?? ?? ?? 2B 78 2F 46 2E 46 4F F0 02 0A BB B3 0A 9A 4F F0 01 0E 0D F1 18 09 3B 78 99 18 48 7E 10 F0 04 0F 21 D0 53 68 D2 F8 1C 12 4F F4 00 72 03 93 3B 46 09 A8 CD F8 10 E0 CD F8 08 A0 CD F8 04 90 CD F8 00 A0 ?? ?? ?? ?? 48 B3 9D F8 18 30 0A 9A 7F 1C 06 F8 01 3B 01 28 4F F0 01 0E 0B DD 9D F8 19 30 33 70 76 1C 06 E0 10 F0 20 0F 01 D0 91 F8 19 31 06 F8 01 3B 17 F8 01 3F 00 2B CC D1 00 23 33 70 00 20 9D F8 2C 30 33 B1 08 9A D2 F8 50 33 23 EA 0A 03 C2 F8 50 33 0D B0 BD E8 F0 8F ?? ?? ?? ?? 2A 23 03 60 00 23 2B 70 14 F1 01 0F 0E D0 44 45 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 00 D3 1A 46 68 1C FE 21 ?? ?? ?? ?? ?? ?? ?? ?? 00 68 D6 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_133_0_0 {
	meta:
		name = "cacosf"
		size = 1144
		refs = "0018 crealf 0030 cimagf 0042 _fdtest 01bc _FCbuild 01d0 csqrtf 0298 conjf 02bc atan2f 03c2 asinhf 03f4 logf 0460 big 0464 piby2 0468 _FInf_C 046c pi 0470 piby4 0474 pi3by4"
	strings:
		$1 = { 2D E9 00 48 EB 46 AE B0 CD ED 11 0A 8D ED 10 0A 9D ED 10 0A DD ED 11 0A ?? ?? ?? ?? 8D ED 1C 0A 9D ED 1C 0A 8D ED 05 0A 9D ED 10 0A DD ED 11 0A ?? ?? ?? ?? 8D ED 1D 0A 9D ED 1D 0A 8D ED 03 0A 05 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 10 30 03 A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 08 30 BD F9 10 30 02 2B 24 D1 BD F9 08 30 02 2B 08 D1 9D ED 05 0A 8D ED 01 0A 9D ED 03 0A 8D ED 00 0A 16 E0 BD F9 08 30 01 2B 0A D1 9D ED 05 0A 8D ED 01 0A 9D ED 03 0A B1 EE 40 0A 8D ED 00 0A 07 E0 9D ED 05 0A 8D ED 01 0A 9D ED 05 0A 8D ED 00 0A B9 E1 BD F9 08 30 02 2B 24 D1 BD F9 10 30 01 2B 09 D1 9D ED 03 0A 8D ED 01 0A E6 4B 93 ED 00 0A 8D ED 00 0A 15 E0 BD F9 10 30 00 2B 09 D1 E0 4B 93 ED 00 0A 8D ED 01 0A 9D ED 03 0A 8D ED 00 0A 07 E0 9D ED 03 0A 8D ED 01 0A 9D ED 03 0A 8D ED 00 0A 90 E1 BD F9 10 30 01 2B 3B D1 BD F9 08 30 01 2B 12 D1 9D ED 05 0A B5 EE C0 0A F1 EE 10 FA 05 D2 D3 4B 93 ED 00 0A 8D ED 01 0A 04 E0 CF 4B 93 ED 00 0A 8D ED 01 0A 10 E0 9D ED 05 0A B5 EE C0 0A F1 EE 10 FA 05 D2 C7 4B 93 ED 00 0A 8D ED 01 0A 03 E0 9F ED C0 0A 8D ED 01 0A C1 4B 93 ED 00 0A B1 EE 40 0A 8D ED 00 0A 03 AB 9B 1C 1B 88 13 F4 00 4F 05 D0 9D ED 00 0A B1 EE 40 0A 8D ED 00 0A 50 E1 BD F9 08 30 01 2B 0B D1 B4 4B 93 ED 00 0A 8D ED 01 0A 9D ED 03 0A B1 EE 40 0A 8D ED 00 0A 40 E1 9D ED 03 0A F1 EE 40 0A B7 EE 00 1A 9D ED 05 0A 31 EE 00 0A ?? ?? ?? ?? CD ED 21 0A 8D ED 20 0A 9D ED 20 0A DD ED 21 0A ?? ?? ?? ?? CD ED 23 0A 8D ED 22 0A 9D ED 22 0A 8D ED 0E 0A 9D ED 23 0A 8D ED 0F 0A 9D ED 03 0A F1 EE 40 0A B7 EE 00 1A 9D ED 05 0A 31 EE 40 0A ?? ?? ?? ?? CD ED 25 0A 8D ED 24 0A 9D ED 24 0A DD ED 25 0A ?? ?? ?? ?? CD ED 27 0A 8D ED 26 0A 9D ED 26 0A 8D ED 12 0A 9D ED 27 0A 8D ED 13 0A 9D ED 0E 0A DD ED 0F 0A ?? ?? ?? ?? 8D ED 1E 0A 9D ED 1E 0A 8D ED 08 0A 9D ED 0E 0A DD ED 0F 0A ?? ?? ?? ?? 8D ED 14 0A 9D ED 14 0A 8D ED 07 0A 9D ED 12 0A DD ED 13 0A ?? ?? ?? ?? 8D ED 15 0A 9D ED 15 0A 8D ED 0A 0A 9D ED 12 0A DD ED 13 0A ?? ?? ?? ?? 8D ED 16 0A 9D ED 16 0A 8D ED 09 0A 9D ED 0E 0A DD ED 0F 0A ?? ?? ?? ?? CD ED 29 0A 8D ED 28 0A 9D ED 28 0A DD ED 29 0A ?? ?? ?? ?? 8D ED 17 0A DD ED 17 0A 9D ED 09 0A ?? ?? ?? ?? 8D ED 18 0A F0 EE 00 0A 9D ED 18 0A 20 EE 80 0A 8D ED 01 0A 62 4B D3 ED 00 0A 9D ED 08 0A F4 EE C0 0A F1 EE 10 FA 14 D2 9D ED 08 0A 8D ED 06 0A DD ED 09 0A 9D ED 06 0A C0 EE 80 0A 9D ED 07 0A 60 EE 20 0A 9D ED 0A 0A 30 EE 20 0A 8D ED 0B 0A 55 E0 53 4B D3 ED 00 0A 9D ED 07 0A F4 EE C0 0A F1 EE 10 FA 14 D2 9D ED 07 0A 8D ED 06 0A DD ED 0A 0A 9D ED 06 0A C0 EE 80 0A 9D ED 08 0A 60 EE 20 0A 9D ED 09 0A 30 EE 80 0A 8D ED 0B 0A 36 E0 9D ED 07 0A F1 EE 40 0A 41 4B 93 ED 00 0A B4 EE E0 0A F1 EE 10 FA 16 D2 9D ED 07 0A B1 EE 40 0A 8D ED 06 0A DD ED 0A 0A 9D ED 06 0A C0 EE 80 0A 9D ED 08 0A 60 EE 20 0A 9D ED 09 0A 30 EE 80 0A 8D ED 0B 0A 13 E0 9F ED 31 0A 8D ED 06 0A DD ED 08 0A 9D ED 0A 0A 20 EE 80 1A DD ED 07 0A 9D ED 09 0A 20 EE 80 0A 31 EE 00 0A 8D ED 0B 0A 9D ED 0B 0A ?? ?? ?? ?? 8D ED 19 0A 9D ED 19 0A 8D ED 00 0A 9D ED 06 0A B5 EE 40 0A F1 EE 10 FA 00 D1 23 E0 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 0E DB 9D ED 06 0A ?? ?? ?? ?? 8D ED 1A 0A DD ED 00 0A 9D ED 1A 0A 30 EE 80 0A 8D ED 00 0A 0D E0 9D ED 06 0A ?? ?? ?? ?? 8D ED 1B 0A DD ED 00 0A 9D ED 1B 0A 30 EE C0 0A 8D ED 00 0A DD ED 00 0A 9D ED 01 0A ?? ?? ?? ?? CD ED 2B 0A 8D ED 2A 0A 9D ED 2A 0A 8D ED 2C 0A 9D ED 2B 0A 8D ED 2D 0A 9D ED 2C 0A DD ED 2D 0A 2E B0 BD E8 00 88 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_134_1_0 {
	meta:
		name = "cacoshl"
		size = 1228
		refs = "0018 creall 0030 cimagl 0042 _ldtest 01c0 _LCbuild 01d4 csqrtl 0382 asinhl 03b4 logl 0450 atan2l 04b4 big 04b8 piby2 04bc _LInf_C 04c0 pi 04c4 piby4 04c8 pi3by4"
	strings:
		$1 = { 2D E9 00 48 EB 46 DE B0 8D ED 1E 1B 8D ED 1C 0B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 38 0B 9D ED 38 0B 8D ED 08 0B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 3A 0B 9D ED 3A 0B 8D ED 04 0B 08 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 02 30 04 A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 00 30 BD F9 02 30 02 2B 24 D1 BD F9 00 30 02 2B 08 D1 9D ED 08 0B 8D ED 06 0B 9D ED 04 0B 8D ED 02 0B 16 E0 BD F9 00 30 01 2B 0A D1 DF F8 2C 34 93 ED 00 0B 8D ED 06 0B 9D ED 08 0B 8D ED 02 0B 07 E0 9D ED 08 0B 8D ED 06 0B 9D ED 08 0B 8D ED 02 0B E1 E1 BD F9 00 30 02 2B 16 D1 BD F9 02 30 01 2B 09 D1 FD 4B 93 ED 00 0B 8D ED 06 0B 9D ED 04 0B 8D ED 02 0B 07 E0 9D ED 04 0B 8D ED 06 0B 9D ED 04 0B 8D ED 02 0B C6 E1 BD F9 02 30 01 2B 39 D1 F1 4B 93 ED 00 0B 8D ED 06 0B BD F9 00 30 01 2B 12 D1 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 05 D2 EC 4B 93 ED 00 0B 8D ED 02 0B 04 E0 E8 4B 93 ED 00 0B 8D ED 02 0B 10 E0 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 05 D2 E1 4B 93 ED 00 0B 8D ED 02 0B 03 E0 9F ED D9 0B 8D ED 02 0B 04 AB 9B 1D 1B 88 13 F4 00 4F 05 D0 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 88 E1 BD F9 00 30 01 2B 1D D1 D2 4B 93 ED 00 0B 8D ED 06 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 07 D2 CB 4B 93 ED 00 0B B1 EE 40 0B 8D ED 1A 0B 04 E0 C7 4B 93 ED 00 0B 8D ED 1A 0B 9D ED 1A 0B 8D ED 02 0B 66 E1 9D ED 04 0B B1 EE 40 1B 9D ED 08 2B B7 EE 00 0B 32 EE 40 0B ?? ?? ?? ?? 8D ED 40 1B 8D ED 3E 0B 9D ED 3E 0B 9D ED 40 1B ?? ?? ?? ?? 8D ED 44 1B 8D ED 42 0B 9D ED 42 0B 8D ED 20 0B 9D ED 44 0B 8D ED 22 0B 9D ED 04 1B 9D ED 08 2B B7 EE 00 0B 32 EE 00 0B ?? ?? ?? ?? 8D ED 48 1B 8D ED 46 0B 9D ED 46 0B 9D ED 48 1B ?? ?? ?? ?? 8D ED 4C 1B 8D ED 4A 0B 9D ED 4A 0B 8D ED 24 0B 9D ED 4C 0B 8D ED 26 0B 9D ED 20 0B 9D ED 22 1B ?? ?? ?? ?? 8D ED 3C 0B 9D ED 3C 0B 8D ED 12 0B 9D ED 20 0B 9D ED 22 1B ?? ?? ?? ?? 8D ED 28 0B 9D ED 28 0B 8D ED 0E 0B 9D ED 24 0B 9D ED 26 1B ?? ?? ?? ?? 8D ED 2A 0B 9D ED 2A 0B 8D ED 16 0B 9D ED 24 0B 9D ED 26 1B ?? ?? ?? ?? 8D ED 2C 0B 9D ED 2C 0B 8D ED 14 0B 01 23 10 93 87 4B 93 ED 00 1B 9D ED 12 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 12 0B 8D ED 0A 0B 9D ED 16 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 0E 0B 20 EE 01 1B 9D ED 14 0B 30 EE 41 0B 8D ED 18 0B 55 E0 78 4B 93 ED 00 1B 9D ED 0E 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 0E 0B 8D ED 0A 0B 9D ED 14 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 12 0B 20 EE 01 1B 9D ED 16 0B 31 EE 40 0B 8D ED 18 0B 36 E0 9D ED 0E 0B B1 EE 40 1B 66 4B 93 ED 00 0B B4 EE C1 0B F1 EE 10 FA 16 D2 9D ED 0E 0B B1 EE 40 0B 8D ED 0A 0B 9D ED 14 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 12 0B 20 EE 01 1B 9D ED 16 0B 31 EE 40 0B 8D ED 18 0B 13 E0 9F ED 55 0B 8D ED 0A 0B 9D ED 12 1B 9D ED 14 0B 21 EE 00 2B 9D ED 0E 1B 9D ED 16 0B 21 EE 00 0B 32 EE 40 0B 8D ED 18 0B 9D ED 18 0B ?? ?? ?? ?? 8D ED 2E 0B 9D ED 2E 0B 8D ED 06 0B 9D ED 0A 0B B5 EE 40 0B F1 EE 10 FA 00 D1 23 E0 9D ED 06 0B B5 EE C0 0B F1 EE 10 FA 0E DB 9D ED 0A 0B ?? ?? ?? ?? 8D ED 30 0B 9D ED 06 1B 9D ED 30 0B 31 EE 00 0B 8D ED 06 0B 0D E0 9D ED 0A 0B ?? ?? ?? ?? 8D ED 32 0B 9D ED 06 1B 9D ED 32 0B 31 EE 40 0B 8D ED 06 0B 04 AB 9B 1D 1B 88 13 F4 00 4F 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 01 E0 00 23 10 93 9D ED 04 1B 9D ED 08 2B B7 EE 00 0B 32 EE 40 0B ?? ?? ?? ?? 8D ED 50 1B 8D ED 4E 0B 9D ED 4E 0B 9D ED 50 1B ?? ?? ?? ?? 8D ED 54 1B 8D ED 52 0B 9D ED 52 0B 9D ED 54 1B ?? ?? ?? ?? 8D ED 34 0B 9D ED 14 1B 9D ED 34 0B ?? ?? ?? ?? 8D ED 36 0B B0 EE 00 1B 9D ED 36 0B 21 EE 00 0B 8D ED 02 0B 10 9B 00 2B 05 D0 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 9D ED 02 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 58 1B 8D ED 56 0B 9D ED 56 0B 8D ED 5A 0B 9D ED 58 0B 8D ED 5C 0B 9D ED 5A 0B 9D ED 5C 1B 5E B0 BD E8 00 88 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_427_0_0 {
	meta:
		name = "cacosh"
		size = 1228
		refs = "0018 creal 0030 cimag 0042 _dtest 01c0 _Cbuild 01d4 csqrt 0382 asinh 03b4 log 0450 atan2 04b4 big 04b8 piby2 04bc _Inf_C 04c0 pi 04c4 piby4 04c8 pi3by4"
	strings:
		$1 = { 2D E9 00 48 EB 46 DE B0 8D ED 1E 1B 8D ED 1C 0B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 38 0B 9D ED 38 0B 8D ED 08 0B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 3A 0B 9D ED 3A 0B 8D ED 04 0B 08 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 02 30 04 A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 00 30 BD F9 02 30 02 2B 24 D1 BD F9 00 30 02 2B 08 D1 9D ED 08 0B 8D ED 06 0B 9D ED 04 0B 8D ED 02 0B 16 E0 BD F9 00 30 01 2B 0A D1 DF F8 2C 34 93 ED 00 0B 8D ED 06 0B 9D ED 08 0B 8D ED 02 0B 07 E0 9D ED 08 0B 8D ED 06 0B 9D ED 08 0B 8D ED 02 0B E1 E1 BD F9 00 30 02 2B 16 D1 BD F9 02 30 01 2B 09 D1 FD 4B 93 ED 00 0B 8D ED 06 0B 9D ED 04 0B 8D ED 02 0B 07 E0 9D ED 04 0B 8D ED 06 0B 9D ED 04 0B 8D ED 02 0B C6 E1 BD F9 02 30 01 2B 39 D1 F1 4B 93 ED 00 0B 8D ED 06 0B BD F9 00 30 01 2B 12 D1 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 05 D2 EC 4B 93 ED 00 0B 8D ED 02 0B 04 E0 E8 4B 93 ED 00 0B 8D ED 02 0B 10 E0 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 05 D2 E1 4B 93 ED 00 0B 8D ED 02 0B 03 E0 9F ED D9 0B 8D ED 02 0B 04 AB 9B 1D 1B 88 13 F4 00 4F 05 D0 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 88 E1 BD F9 00 30 01 2B 1D D1 D2 4B 93 ED 00 0B 8D ED 06 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 07 D2 CB 4B 93 ED 00 0B B1 EE 40 0B 8D ED 1A 0B 04 E0 C7 4B 93 ED 00 0B 8D ED 1A 0B 9D ED 1A 0B 8D ED 02 0B 66 E1 9D ED 04 0B B1 EE 40 1B 9D ED 08 2B B7 EE 00 0B 32 EE 40 0B ?? ?? ?? ?? 8D ED 40 1B 8D ED 3E 0B 9D ED 3E 0B 9D ED 40 1B ?? ?? ?? ?? 8D ED 44 1B 8D ED 42 0B 9D ED 42 0B 8D ED 20 0B 9D ED 44 0B 8D ED 22 0B 9D ED 04 1B 9D ED 08 2B B7 EE 00 0B 32 EE 00 0B ?? ?? ?? ?? 8D ED 48 1B 8D ED 46 0B 9D ED 46 0B 9D ED 48 1B ?? ?? ?? ?? 8D ED 4C 1B 8D ED 4A 0B 9D ED 4A 0B 8D ED 24 0B 9D ED 4C 0B 8D ED 26 0B 9D ED 20 0B 9D ED 22 1B ?? ?? ?? ?? 8D ED 3C 0B 9D ED 3C 0B 8D ED 12 0B 9D ED 20 0B 9D ED 22 1B ?? ?? ?? ?? 8D ED 28 0B 9D ED 28 0B 8D ED 0E 0B 9D ED 24 0B 9D ED 26 1B ?? ?? ?? ?? 8D ED 2A 0B 9D ED 2A 0B 8D ED 16 0B 9D ED 24 0B 9D ED 26 1B ?? ?? ?? ?? 8D ED 2C 0B 9D ED 2C 0B 8D ED 14 0B 01 23 10 93 87 4B 93 ED 00 1B 9D ED 12 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 12 0B 8D ED 0A 0B 9D ED 16 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 0E 0B 20 EE 01 1B 9D ED 14 0B 30 EE 41 0B 8D ED 18 0B 55 E0 78 4B 93 ED 00 1B 9D ED 0E 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 0E 0B 8D ED 0A 0B 9D ED 14 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 12 0B 20 EE 01 1B 9D ED 16 0B 31 EE 40 0B 8D ED 18 0B 36 E0 9D ED 0E 0B B1 EE 40 1B 66 4B 93 ED 00 0B B4 EE C1 0B F1 EE 10 FA 16 D2 9D ED 0E 0B B1 EE 40 0B 8D ED 0A 0B 9D ED 14 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 12 0B 20 EE 01 1B 9D ED 16 0B 31 EE 40 0B 8D ED 18 0B 13 E0 9F ED 55 0B 8D ED 0A 0B 9D ED 12 1B 9D ED 14 0B 21 EE 00 2B 9D ED 0E 1B 9D ED 16 0B 21 EE 00 0B 32 EE 40 0B 8D ED 18 0B 9D ED 18 0B ?? ?? ?? ?? 8D ED 2E 0B 9D ED 2E 0B 8D ED 06 0B 9D ED 0A 0B B5 EE 40 0B F1 EE 10 FA 00 D1 23 E0 9D ED 06 0B B5 EE C0 0B F1 EE 10 FA 0E DB 9D ED 0A 0B ?? ?? ?? ?? 8D ED 30 0B 9D ED 06 1B 9D ED 30 0B 31 EE 00 0B 8D ED 06 0B 0D E0 9D ED 0A 0B ?? ?? ?? ?? 8D ED 32 0B 9D ED 06 1B 9D ED 32 0B 31 EE 40 0B 8D ED 06 0B 04 AB 9B 1D 1B 88 13 F4 00 4F 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 01 E0 00 23 10 93 9D ED 04 1B 9D ED 08 2B B7 EE 00 0B 32 EE 40 0B ?? ?? ?? ?? 8D ED 50 1B 8D ED 4E 0B 9D ED 4E 0B 9D ED 50 1B ?? ?? ?? ?? 8D ED 54 1B 8D ED 52 0B 9D ED 52 0B 9D ED 54 1B ?? ?? ?? ?? 8D ED 34 0B 9D ED 14 1B 9D ED 34 0B ?? ?? ?? ?? 8D ED 36 0B B0 EE 00 1B 9D ED 36 0B 21 EE 00 0B 8D ED 02 0B 10 9B 00 2B 05 D0 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 9D ED 02 1B 9D ED 06 0B ?? ?? ?? ?? 8D ED 58 1B 8D ED 56 0B 9D ED 56 0B 8D ED 5A 0B 9D ED 58 0B 8D ED 5C 0B 9D ED 5A 0B 9D ED 5C 1B 5E B0 BD E8 00 88 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_135_0_0 {
	meta:
		name = "_wcsnset"
		size = 74
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 23 01 93 05 E0 01 9B 5B 1C 01 93 00 9B 9B 1C 00 93 01 9A 08 9B 9A 42 08 D0 00 9B 1B 88 00 2B 04 D0 BD F8 1C 20 00 9B 1A 80 EC E7 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_136_0_0 {
	meta:
		name = "_dpow"
		size = 2324
		refs = "0008 __security_push_cookie 002a _dunscale 003e _d_int 01d0 _Zero_C 01d4 _Inf_C 029a _fperrraise 041a _dlogpoly 0548 ?maxexp@?1??_dpow@@9@9 054c ?ln2@?1??_dpow@@9@9 0550 lnbias 0554 scale 0558 ?rthalf@?1??_dpow@@9@9 055c _Nan_C 068a _dxp_setw 06a2 _dxp_addx 06ca memcpy 06d8 _dxp_mulh 075a _dxp_addh 0824 _dxp_getw 087e _dexp 08ee __security_pop_cookie 090c log2e"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? E1 B0 8D ED 08 1B 8D ED 02 0B 9D ED 08 0B 8D ED 0E 0B 00 23 06 93 00 23 07 93 02 A9 01 A8 ?? ?? ?? ?? AD F8 40 00 BD F9 40 30 AD F8 00 30 00 21 0E A8 ?? ?? ?? ?? AD F8 42 00 BD F9 42 30 AD F8 02 30 64 9B 00 2B 02 D0 64 9A 00 23 13 80 BD F9 02 30 00 2B 06 D1 9D ED 08 0B B5 EE 40 0B F1 EE 10 FA 1D D0 BD F9 00 30 00 2B 20 DA BD F9 04 30 01 2B 1C D1 9D ED 02 1B B6 EE 00 0B B4 EE 40 1B F1 EE 10 FA 0C D0 BD F9 02 30 01 2B 0F D1 9D ED 02 1B BE EE 00 0B B4 EE 40 1B F1 EE 10 FA 06 D1 B7 EE 00 0B 8D ED 0A 0B 00 F0 18 BC 2C E1 BD F9 00 30 00 2B 04 DA BD F9 02 30 00 2B 40 F3 11 81 BD F9 00 30 02 2B 06 D1 9D ED 02 0B 8D ED 0A 0B 00 F0 04 BC 04 E1 BD F9 02 30 02 2B 05 D1 9D ED 08 0B 8D ED 0A 0B F9 E3 FA E0 BD F9 00 30 01 2B 6D D1 02 AB 9B 1D 1B 88 13 F4 00 4F 15 D1 08 AB 9B 1D 1B 88 13 F4 00 4F 04 D0 9F ED 2C 0B 8D ED 1C 0B 04 E0 2C 4B 93 ED 00 0B 8D ED 1C 0B 9D ED 1C 0B 8D ED 0A 0B D9 E3 50 E0 08 AB 9B 1D 1B 88 13 F4 00 4F 21 D1 BD F9 02 30 00 2B 12 D1 6F F0 00 01 0E A8 ?? ?? ?? ?? AD F8 44 00 BD F9 44 30 00 2B 07 DA 1C 4B 93 ED 00 0B B1 EE 40 0B 8D ED 1E 0B 04 E0 18 4B 93 ED 00 0B 8D ED 1E 0B 9D ED 1E 0B 8D ED 0A 0B B1 E3 28 E0 BD F9 02 30 00 2B 12 D1 6F F0 00 01 0E A8 ?? ?? ?? ?? AD F8 46 00 BD F9 46 30 00 2B 07 DA 0A 4B 93 ED 00 0B B1 EE 40 0B 8D ED 20 0B 03 E0 9F ED 04 0B 8D ED 20 0B 9D ED 20 0B 8D ED 0A 0B 90 E3 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 88 E0 BD F9 02 30 01 2B 2D D1 08 AB 9B 1D 1B 88 13 F4 00 4F 13 D1 BD F9 04 30 00 2B 04 DC 9F ED DB 0B 8D ED 22 0B 04 E0 D7 4B 93 ED 00 0B 8D ED 22 0B 9D ED 22 0B 8D ED 0A 0B 69 E3 12 E0 BD F9 04 30 00 2B 05 DC D0 4B 93 ED 00 0B 8D ED 24 0B 03 E0 9F ED CE 0B 8D ED 24 0B 9D ED 24 0B 8D ED 0A 0B 55 E3 56 E0 08 AB 9B 1D 1B 88 13 F4 00 4F 26 D1 BD F9 02 30 00 2B 18 D1 6F F0 00 01 0E A8 ?? ?? ?? ?? AD F8 48 00 BD F9 48 30 00 2B 0D DA 02 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 BD 4B 93 ED 00 0B B1 EE 40 0B 8D ED 26 0B 03 E0 9F ED B7 0B 8D ED 26 0B 9D ED 26 0B 8D ED 0A 0B 28 E3 29 E0 04 20 ?? ?? ?? ?? BD F9 02 30 00 2B 18 D1 6F F0 00 01 0E A8 ?? ?? ?? ?? AD F8 4A 00 BD F9 4A 30 00 2B 0D DA 02 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 A5 4B 93 ED 00 0B B1 EE 40 0B 8D ED 28 0B 04 E0 A1 4B 93 ED 00 0B 8D ED 28 0B 9D ED 28 0B 8D ED 0A 0B FD E2 12 E0 02 AB 9B 1D 1B 88 13 F4 00 4F 0C D0 BD F9 02 30 00 2B 08 DA 01 20 ?? ?? ?? ?? 94 4B 93 ED 00 0B 8D ED 0A 0B E9 E2 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 03 DD 00 23 AD F8 30 30 10 E0 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 6F F0 00 01 0E A8 ?? ?? ?? ?? AD F8 4C 00 BD F9 4C 30 AD F8 30 30 BD F9 04 30 01 2B 18 D1 9D ED 02 1B 7F 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0E D2 00 23 14 93 B7 EE 00 0B 8D ED 16 0B 9D ED 02 1B B0 EE 00 0B 21 EE 00 0B 8D ED 02 0B 20 E0 9D ED 02 1B 72 4B 93 ED 00 0B 21 EE 00 1B B6 EE 00 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 20 3B 14 93 14 9B 00 EE 10 3A B8 EE C0 1B 68 4B 93 ED 00 0B 81 EE 00 1B B6 EE 00 0B 31 EE 00 0B 8D ED 16 0B 14 9A 20 23 02 FB 03 F2 5F 4B 13 44 06 93 9D ED 02 1B 9D ED 16 0B 31 EE 40 2B 9D ED 02 1B 9D ED 16 0B 31 EE 00 0B 82 EE 00 0B 8D ED 18 0B 9D ED 18 1B 9D ED 18 0B 21 EE 00 0B 8D ED 2A 0B 9D ED 02 1B 9D ED 16 0B 31 EE 40 0B 8D ED 02 0B 9D ED 2A 0B ?? ?? ?? ?? 8D ED 30 0B 9D ED 2A 1B 9D ED 30 0B 21 EE 00 1B 9D ED 02 0B 31 EE 40 2B B7 EE 00 1B 9D ED 16 0B 31 EE 40 1B B0 EE 00 0B 20 EE 01 0B 32 EE 00 1B 9D ED 18 0B 20 EE 01 0B 8D ED 1A 0B 9D ED 02 1B 9D ED 1A 0B 31 EE 00 1B 39 4B 93 ED 00 0B 81 EE 00 0B 8D ED 0E 0B 06 9A BD F9 04 30 00 EE 10 3A B8 EE C0 1B 92 ED 00 0B 30 EE 01 1B 9D ED 0E 0B 30 EE 01 0B 8D ED 0E 0B 9D ED 08 1B 9D ED 0E 0B 21 EE 00 0B 8D ED 04 0B 28 4B 93 ED 00 0B B1 EE 40 1B 9D ED 04 0B B4 EE C1 0B F1 EE 10 FA 03 D2 00 23 AD F8 00 30 CA E1 BA EE 0E 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 00 F2 C6 80 9D ED 04 1B B2 EE 0E 0B B4 EE C0 1B F1 EE 10 FA 00 F2 BC 80 9F ED 14 1B 9D ED 08 0B B4 EE C0 1B F1 EE 10 FA 80 F0 B2 80 9D ED 08 1B 9F ED 0C 0B B4 EE C0 1B F1 EE 10 FA 80 F0 A8 80 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 25 D2 9D ED 04 1B B6 EE 00 0B 31 EE 40 0B 8D ED 2C 0B 24 E0 FE DE 00 00 00 00 00 00 44 40 00 00 00 00 00 00 44 C0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 9D ED 04 1B B6 EE 00 0B 31 EE 00 0B 8D ED 2C 0B 9D ED 2C 0B BD EE C0 0B 10 EE 10 3A 07 93 9D ED 02 1B 9D ED 1A 0B 31 EE 00 1B 9D ED 08 0B 20 EE 01 0B 8D ED 04 0B 06 9B 00 2B 1C D1 BD F9 04 30 00 EE 10 3A B8 EE C0 1B 9D ED 08 0B 20 EE 01 1B 07 9B 00 EE 10 3A B8 EE C0 0B 31 EE 40 1B CE 4B 93 ED 00 0B 21 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B 3A E0 06 9B 03 F1 08 02 06 9B 10 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 1B 9D ED 08 0B 20 EE 01 1B C0 4B 93 ED 00 0B 21 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B BD F9 04 30 00 EE 10 3A B8 EE C0 1B 06 9B 93 ED 00 0B 31 EE 00 1B 9D ED 08 0B 20 EE 01 1B 07 9B 00 EE 10 3A B8 EE C0 0B 31 EE 40 1B B0 4B 93 ED 00 0B 21 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B 6F F0 00 03 AD F8 00 30 FA E0 AA 4B 93 ED 00 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 03 D2 01 23 AD F8 00 30 EC E0 9D ED 02 0B 04 21 38 A8 ?? ?? ?? ?? 9D ED 1A 0B 02 21 34 A8 ?? ?? ?? ?? 02 23 34 AA 04 21 38 A8 ?? ?? ?? ?? 38 AB 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 06 D1 9F ED 92 0B 04 21 48 A8 ?? ?? ?? ?? 39 E0 20 22 91 49 48 A8 ?? ?? ?? ?? 38 AB 93 ED 00 0B 04 21 48 A8 ?? ?? ?? ?? 01 23 0D 93 02 E0 0D 9B 5B 1C 0D 93 0D 9B 04 2B 24 DA 0D 9A 08 23 02 FB 03 F2 38 AB 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 17 D0 20 22 80 49 50 A8 ?? ?? ?? ?? 0D 9A 08 23 02 FB 03 F2 38 AB 13 44 93 ED 00 0B 04 21 50 A8 ?? ?? ?? ?? 04 23 50 AA 04 21 48 A8 ?? ?? ?? ?? D4 E7 06 9B 00 2B 05 D0 03 23 06 9A 04 21 48 A8 ?? ?? ?? ?? BD F9 04 30 00 EE 10 3A B8 EE C0 0B 04 21 48 A8 ?? ?? ?? ?? 9D ED 08 0B 02 21 38 A8 ?? ?? ?? ?? 20 22 48 A9 40 A8 ?? ?? ?? ?? 38 AB 93 ED 00 0B 04 21 40 A8 ?? ?? ?? ?? 38 AB 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 12 D0 20 22 48 A9 58 A8 ?? ?? ?? ?? 38 AB 08 33 93 ED 00 0B 04 21 58 A8 ?? ?? ?? ?? 04 23 58 AA 04 21 40 A8 ?? ?? ?? ?? 40 AB 93 ED 00 0B 8D ED 02 0B 40 AB 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 19 D0 40 AB 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 10 D0 40 AB 03 F1 08 02 40 AB 10 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 30 EE 01 0B 8D ED 02 0B 00 21 02 A8 ?? ?? ?? ?? 9D ED 02 0B B1 EE 40 0B 04 21 40 A8 ?? ?? ?? ?? 04 21 40 A8 ?? ?? ?? ?? 8D ED 32 0B 9D ED 32 0B 8D ED 04 0B 9D ED 04 1B 33 4B 93 ED 00 0B 21 EE 00 0B 8D ED 04 0B 9D ED 02 0B BD EE C0 0B 10 EE 10 3A 07 93 6F F0 00 03 AD F8 00 30 BD F9 00 30 00 2B 14 DA 64 9B 00 2B 05 D0 07 9B 1A B2 64 9B 1A 80 00 23 07 93 07 99 B7 EE 00 0B 04 A8 ?? ?? ?? ?? AD F8 4E 00 BD F9 4E 30 AD F8 00 30 BD F9 00 30 15 93 15 9B 00 2B 03 D0 15 9B 01 2B 08 D0 0F E0 9F ED 17 0B 8D ED 04 0B 10 20 ?? ?? ?? ?? 07 E0 12 4B 93 ED 00 0B 8D ED 04 0B 08 20 ?? ?? ?? ?? BD F9 30 30 00 2B 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 2E 0B 03 E0 9D ED 04 0B 8D ED 2E 0B 9D ED 2E 0B 8D ED 0A 0B 9D ED 0A 0B 61 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_377_0_0 {
	meta:
		name = "_ldpow"
		size = 2324
		refs = "0008 __security_push_cookie 002a _ldunscale 003e _ld_int 01d0 _LZero_C 01d4 _LInf_C 029a _fperrraise 041a _ldlogpoly 0548 ?maxexp@?1??_ldpow@@9@9 054c ?ln2@?1??_ldpow@@9@9 0550 lnbias 0554 scale 0558 ?rthalf@?1??_ldpow@@9@9 055c _LNan_C 068a _ldxp_setw 06a2 _ldxp_addx 06ca memcpy 06d8 _ldxp_mulh 075a _ldxp_addh 0824 _ldxp_getw 087e _ldexp 08ee __security_pop_cookie 090c log2e"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? E1 B0 8D ED 08 1B 8D ED 02 0B 9D ED 08 0B 8D ED 0E 0B 00 23 06 93 00 23 07 93 02 A9 01 A8 ?? ?? ?? ?? AD F8 40 00 BD F9 40 30 AD F8 00 30 00 21 0E A8 ?? ?? ?? ?? AD F8 42 00 BD F9 42 30 AD F8 02 30 64 9B 00 2B 02 D0 64 9A 00 23 13 80 BD F9 02 30 00 2B 06 D1 9D ED 08 0B B5 EE 40 0B F1 EE 10 FA 1D D0 BD F9 00 30 00 2B 20 DA BD F9 04 30 01 2B 1C D1 9D ED 02 1B B6 EE 00 0B B4 EE 40 1B F1 EE 10 FA 0C D0 BD F9 02 30 01 2B 0F D1 9D ED 02 1B BE EE 00 0B B4 EE 40 1B F1 EE 10 FA 06 D1 B7 EE 00 0B 8D ED 0A 0B 00 F0 18 BC 2C E1 BD F9 00 30 00 2B 04 DA BD F9 02 30 00 2B 40 F3 11 81 BD F9 00 30 02 2B 06 D1 9D ED 02 0B 8D ED 0A 0B 00 F0 04 BC 04 E1 BD F9 02 30 02 2B 05 D1 9D ED 08 0B 8D ED 0A 0B F9 E3 FA E0 BD F9 00 30 01 2B 6D D1 02 AB 9B 1D 1B 88 13 F4 00 4F 15 D1 08 AB 9B 1D 1B 88 13 F4 00 4F 04 D0 9F ED 2C 0B 8D ED 1C 0B 04 E0 2C 4B 93 ED 00 0B 8D ED 1C 0B 9D ED 1C 0B 8D ED 0A 0B D9 E3 50 E0 08 AB 9B 1D 1B 88 13 F4 00 4F 21 D1 BD F9 02 30 00 2B 12 D1 6F F0 00 01 0E A8 ?? ?? ?? ?? AD F8 44 00 BD F9 44 30 00 2B 07 DA 1C 4B 93 ED 00 0B B1 EE 40 0B 8D ED 1E 0B 04 E0 18 4B 93 ED 00 0B 8D ED 1E 0B 9D ED 1E 0B 8D ED 0A 0B B1 E3 28 E0 BD F9 02 30 00 2B 12 D1 6F F0 00 01 0E A8 ?? ?? ?? ?? AD F8 46 00 BD F9 46 30 00 2B 07 DA 0A 4B 93 ED 00 0B B1 EE 40 0B 8D ED 20 0B 03 E0 9F ED 04 0B 8D ED 20 0B 9D ED 20 0B 8D ED 0A 0B 90 E3 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 88 E0 BD F9 02 30 01 2B 2D D1 08 AB 9B 1D 1B 88 13 F4 00 4F 13 D1 BD F9 04 30 00 2B 04 DC 9F ED DB 0B 8D ED 22 0B 04 E0 D7 4B 93 ED 00 0B 8D ED 22 0B 9D ED 22 0B 8D ED 0A 0B 69 E3 12 E0 BD F9 04 30 00 2B 05 DC D0 4B 93 ED 00 0B 8D ED 24 0B 03 E0 9F ED CE 0B 8D ED 24 0B 9D ED 24 0B 8D ED 0A 0B 55 E3 56 E0 08 AB 9B 1D 1B 88 13 F4 00 4F 26 D1 BD F9 02 30 00 2B 18 D1 6F F0 00 01 0E A8 ?? ?? ?? ?? AD F8 48 00 BD F9 48 30 00 2B 0D DA 02 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 BD 4B 93 ED 00 0B B1 EE 40 0B 8D ED 26 0B 03 E0 9F ED B7 0B 8D ED 26 0B 9D ED 26 0B 8D ED 0A 0B 28 E3 29 E0 04 20 ?? ?? ?? ?? BD F9 02 30 00 2B 18 D1 6F F0 00 01 0E A8 ?? ?? ?? ?? AD F8 4A 00 BD F9 4A 30 00 2B 0D DA 02 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 A5 4B 93 ED 00 0B B1 EE 40 0B 8D ED 28 0B 04 E0 A1 4B 93 ED 00 0B 8D ED 28 0B 9D ED 28 0B 8D ED 0A 0B FD E2 12 E0 02 AB 9B 1D 1B 88 13 F4 00 4F 0C D0 BD F9 02 30 00 2B 08 DA 01 20 ?? ?? ?? ?? 94 4B 93 ED 00 0B 8D ED 0A 0B E9 E2 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 03 DD 00 23 AD F8 30 30 10 E0 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 6F F0 00 01 0E A8 ?? ?? ?? ?? AD F8 4C 00 BD F9 4C 30 AD F8 30 30 BD F9 04 30 01 2B 18 D1 9D ED 02 1B 7F 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0E D2 00 23 14 93 B7 EE 00 0B 8D ED 16 0B 9D ED 02 1B B0 EE 00 0B 21 EE 00 0B 8D ED 02 0B 20 E0 9D ED 02 1B 72 4B 93 ED 00 0B 21 EE 00 1B B6 EE 00 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 20 3B 14 93 14 9B 00 EE 10 3A B8 EE C0 1B 68 4B 93 ED 00 0B 81 EE 00 1B B6 EE 00 0B 31 EE 00 0B 8D ED 16 0B 14 9A 20 23 02 FB 03 F2 5F 4B 13 44 06 93 9D ED 02 1B 9D ED 16 0B 31 EE 40 2B 9D ED 02 1B 9D ED 16 0B 31 EE 00 0B 82 EE 00 0B 8D ED 18 0B 9D ED 18 1B 9D ED 18 0B 21 EE 00 0B 8D ED 2A 0B 9D ED 02 1B 9D ED 16 0B 31 EE 40 0B 8D ED 02 0B 9D ED 2A 0B ?? ?? ?? ?? 8D ED 30 0B 9D ED 2A 1B 9D ED 30 0B 21 EE 00 1B 9D ED 02 0B 31 EE 40 2B B7 EE 00 1B 9D ED 16 0B 31 EE 40 1B B0 EE 00 0B 20 EE 01 0B 32 EE 00 1B 9D ED 18 0B 20 EE 01 0B 8D ED 1A 0B 9D ED 02 1B 9D ED 1A 0B 31 EE 00 1B 39 4B 93 ED 00 0B 81 EE 00 0B 8D ED 0E 0B 06 9A BD F9 04 30 00 EE 10 3A B8 EE C0 1B 92 ED 00 0B 30 EE 01 1B 9D ED 0E 0B 30 EE 01 0B 8D ED 0E 0B 9D ED 08 1B 9D ED 0E 0B 21 EE 00 0B 8D ED 04 0B 28 4B 93 ED 00 0B B1 EE 40 1B 9D ED 04 0B B4 EE C1 0B F1 EE 10 FA 03 D2 00 23 AD F8 00 30 CA E1 BA EE 0E 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 00 F2 C6 80 9D ED 04 1B B2 EE 0E 0B B4 EE C0 1B F1 EE 10 FA 00 F2 BC 80 9F ED 14 1B 9D ED 08 0B B4 EE C0 1B F1 EE 10 FA 80 F0 B2 80 9D ED 08 1B 9F ED 0C 0B B4 EE C0 1B F1 EE 10 FA 80 F0 A8 80 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 25 D2 9D ED 04 1B B6 EE 00 0B 31 EE 40 0B 8D ED 2C 0B 24 E0 FE DE 00 00 00 00 00 00 44 40 00 00 00 00 00 00 44 C0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 9D ED 04 1B B6 EE 00 0B 31 EE 00 0B 8D ED 2C 0B 9D ED 2C 0B BD EE C0 0B 10 EE 10 3A 07 93 9D ED 02 1B 9D ED 1A 0B 31 EE 00 1B 9D ED 08 0B 20 EE 01 0B 8D ED 04 0B 06 9B 00 2B 1C D1 BD F9 04 30 00 EE 10 3A B8 EE C0 1B 9D ED 08 0B 20 EE 01 1B 07 9B 00 EE 10 3A B8 EE C0 0B 31 EE 40 1B CE 4B 93 ED 00 0B 21 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B 3A E0 06 9B 03 F1 08 02 06 9B 10 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 1B 9D ED 08 0B 20 EE 01 1B C0 4B 93 ED 00 0B 21 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B BD F9 04 30 00 EE 10 3A B8 EE C0 1B 06 9B 93 ED 00 0B 31 EE 00 1B 9D ED 08 0B 20 EE 01 1B 07 9B 00 EE 10 3A B8 EE C0 0B 31 EE 40 1B B0 4B 93 ED 00 0B 21 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B 6F F0 00 03 AD F8 00 30 FA E0 AA 4B 93 ED 00 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 03 D2 01 23 AD F8 00 30 EC E0 9D ED 02 0B 04 21 38 A8 ?? ?? ?? ?? 9D ED 1A 0B 02 21 34 A8 ?? ?? ?? ?? 02 23 34 AA 04 21 38 A8 ?? ?? ?? ?? 38 AB 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 06 D1 9F ED 92 0B 04 21 48 A8 ?? ?? ?? ?? 39 E0 20 22 91 49 48 A8 ?? ?? ?? ?? 38 AB 93 ED 00 0B 04 21 48 A8 ?? ?? ?? ?? 01 23 0D 93 02 E0 0D 9B 5B 1C 0D 93 0D 9B 04 2B 24 DA 0D 9A 08 23 02 FB 03 F2 38 AB 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 17 D0 20 22 80 49 50 A8 ?? ?? ?? ?? 0D 9A 08 23 02 FB 03 F2 38 AB 13 44 93 ED 00 0B 04 21 50 A8 ?? ?? ?? ?? 04 23 50 AA 04 21 48 A8 ?? ?? ?? ?? D4 E7 06 9B 00 2B 05 D0 03 23 06 9A 04 21 48 A8 ?? ?? ?? ?? BD F9 04 30 00 EE 10 3A B8 EE C0 0B 04 21 48 A8 ?? ?? ?? ?? 9D ED 08 0B 02 21 38 A8 ?? ?? ?? ?? 20 22 48 A9 40 A8 ?? ?? ?? ?? 38 AB 93 ED 00 0B 04 21 40 A8 ?? ?? ?? ?? 38 AB 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 12 D0 20 22 48 A9 58 A8 ?? ?? ?? ?? 38 AB 08 33 93 ED 00 0B 04 21 58 A8 ?? ?? ?? ?? 04 23 58 AA 04 21 40 A8 ?? ?? ?? ?? 40 AB 93 ED 00 0B 8D ED 02 0B 40 AB 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 19 D0 40 AB 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 10 D0 40 AB 03 F1 08 02 40 AB 10 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 30 EE 01 0B 8D ED 02 0B 00 21 02 A8 ?? ?? ?? ?? 9D ED 02 0B B1 EE 40 0B 04 21 40 A8 ?? ?? ?? ?? 04 21 40 A8 ?? ?? ?? ?? 8D ED 32 0B 9D ED 32 0B 8D ED 04 0B 9D ED 04 1B 33 4B 93 ED 00 0B 21 EE 00 0B 8D ED 04 0B 9D ED 02 0B BD EE C0 0B 10 EE 10 3A 07 93 6F F0 00 03 AD F8 00 30 BD F9 00 30 00 2B 14 DA 64 9B 00 2B 05 D0 07 9B 1A B2 64 9B 1A 80 00 23 07 93 07 99 B7 EE 00 0B 04 A8 ?? ?? ?? ?? AD F8 4E 00 BD F9 4E 30 AD F8 00 30 BD F9 00 30 15 93 15 9B 00 2B 03 D0 15 9B 01 2B 08 D0 0F E0 9F ED 17 0B 8D ED 04 0B 10 20 ?? ?? ?? ?? 07 E0 12 4B 93 ED 00 0B 8D ED 04 0B 08 20 ?? ?? ?? ?? BD F9 30 30 00 2B 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 2E 0B 03 E0 9D ED 04 0B 8D ED 2E 0B 9D ED 2E 0B 8D ED 0A 0B 9D ED 0A 0B 61 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_136_1_0 {
	meta:
		name = "_dtgamma"
		size = 504
		refs = "002a stirling 00a4 _dunscale 01aa _dpoly 01e8 c 01ec s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 93 ED 00 0B 8D ED 00 0B 9F ED 76 1B 9D ED 00 0B B4 EE C0 1B F1 EE 10 FA 0B D8 0F 99 0E 98 ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B CE E0 CD E0 9D ED 00 1B BE EE 00 0B B4 EE C0 1B F1 EE 10 FA 2C D2 B7 EE 00 0B 8D ED 02 0B 07 E0 9D ED 00 1B B7 EE 00 0B 31 EE 00 0B 8D ED 00 0B 9D ED 02 1B 9D ED 00 0B 21 EE 00 0B 8D ED 02 0B B6 EE 00 1B 9D ED 00 0B B4 EE C0 1B F1 EE 10 FA 00 D2 00 E0 E4 E7 9D ED 00 1B B7 EE 00 0B 31 EE 40 0B 8D ED 00 0B 02 A9 0F 98 ?? ?? ?? ?? 76 E0 9D ED 00 1B B6 EE 00 0B B4 EE C0 1B F1 EE 10 FA 10 D2 B7 EE 00 1B 9D ED 00 0B 31 EE 00 1B 9D ED 00 0B 20 EE 01 0B 8D ED 02 0B 02 A9 0F 98 ?? ?? ?? ?? 5C E0 9D ED 00 1B B7 EE 08 0B B4 EE C0 1B F1 EE 10 FA 0F D2 9D ED 00 0B 8D ED 02 0B 9D ED 00 1B B7 EE 00 0B 31 EE 40 0B 8D ED 00 0B 0F 9A 00 23 13 80 43 E0 9D ED 00 1B B0 EE 04 0B B4 EE C0 1B F1 EE 10 FA 0F D2 B7 EE 00 0B 8D ED 02 0B 9D ED 00 1B B0 EE 00 0B 31 EE 40 0B 8D ED 00 0B 0F 9A 00 23 13 80 2A E0 B7 EE 00 0B 8D ED 02 0B 07 E0 9D ED 02 1B 9D ED 00 0B 81 EE 00 0B 8D ED 02 0B B0 EE 04 1B 9D ED 00 0B B4 EE C0 1B F1 EE 10 FA 08 D2 9D ED 00 1B B7 EE 00 0B 31 EE 40 0B 8D ED 00 0B E5 E7 9D ED 00 1B B0 EE 00 0B 31 EE 40 0B 8D ED 00 0B 02 A9 0F 98 ?? ?? ?? ?? 9D ED 02 0B 0E 9B 83 ED 00 0B 07 21 11 48 9D ED 00 0B ?? ?? ?? ?? 8D ED 08 0B 06 21 0C 48 9D ED 00 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 08 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 00 0B 21 EE 00 0B 8D ED 04 0B 9D ED 04 0B 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 4B 40 }
	condition:
		$1
}

rule file_377_1_0 {
	meta:
		name = "_ldtgamma"
		size = 504
		refs = "002a stirling 00a4 _ldunscale 01aa _ldpoly 01e8 c 01ec s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 93 ED 00 0B 8D ED 00 0B 9F ED 76 1B 9D ED 00 0B B4 EE C0 1B F1 EE 10 FA 0B D8 0F 99 0E 98 ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B CE E0 CD E0 9D ED 00 1B BE EE 00 0B B4 EE C0 1B F1 EE 10 FA 2C D2 B7 EE 00 0B 8D ED 02 0B 07 E0 9D ED 00 1B B7 EE 00 0B 31 EE 00 0B 8D ED 00 0B 9D ED 02 1B 9D ED 00 0B 21 EE 00 0B 8D ED 02 0B B6 EE 00 1B 9D ED 00 0B B4 EE C0 1B F1 EE 10 FA 00 D2 00 E0 E4 E7 9D ED 00 1B B7 EE 00 0B 31 EE 40 0B 8D ED 00 0B 02 A9 0F 98 ?? ?? ?? ?? 76 E0 9D ED 00 1B B6 EE 00 0B B4 EE C0 1B F1 EE 10 FA 10 D2 B7 EE 00 1B 9D ED 00 0B 31 EE 00 1B 9D ED 00 0B 20 EE 01 0B 8D ED 02 0B 02 A9 0F 98 ?? ?? ?? ?? 5C E0 9D ED 00 1B B7 EE 08 0B B4 EE C0 1B F1 EE 10 FA 0F D2 9D ED 00 0B 8D ED 02 0B 9D ED 00 1B B7 EE 00 0B 31 EE 40 0B 8D ED 00 0B 0F 9A 00 23 13 80 43 E0 9D ED 00 1B B0 EE 04 0B B4 EE C0 1B F1 EE 10 FA 0F D2 B7 EE 00 0B 8D ED 02 0B 9D ED 00 1B B0 EE 00 0B 31 EE 40 0B 8D ED 00 0B 0F 9A 00 23 13 80 2A E0 B7 EE 00 0B 8D ED 02 0B 07 E0 9D ED 02 1B 9D ED 00 0B 81 EE 00 0B 8D ED 02 0B B0 EE 04 1B 9D ED 00 0B B4 EE C0 1B F1 EE 10 FA 08 D2 9D ED 00 1B B7 EE 00 0B 31 EE 40 0B 8D ED 00 0B E5 E7 9D ED 00 1B B0 EE 00 0B 31 EE 40 0B 8D ED 00 0B 02 A9 0F 98 ?? ?? ?? ?? 9D ED 02 0B 0E 9B 83 ED 00 0B 07 21 11 48 9D ED 00 0B ?? ?? ?? ?? 8D ED 08 0B 06 21 0C 48 9D ED 00 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 08 1B 9D ED 0A 0B 81 EE 00 1B 9D ED 00 0B 21 EE 00 0B 8D ED 04 0B 9D ED 04 0B 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 4B 40 }
	condition:
		$1
}

rule file_136_2_0 {
	meta:
		name = "stirling"
		size = 344
		refs = "0026 _dpow 00c2 _dpoly 0110 exp 0154 approx0"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 93 ED 00 0B 8D ED 02 0B 15 98 9D ED 02 1B B6 EE 00 0B 31 EE 40 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 0C 0B 15 9B B3 F9 00 30 5B 42 1A B2 15 9B 1A 80 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 00 2B 10 D2 00 9A 20 23 02 FB 03 F2 3D 4B 13 44 9D ED 02 1B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 00 D2 00 E0 E8 E7 B7 EE 00 1B 9D ED 02 0B 81 EE 00 1B 00 9A 20 23 02 FB 03 F2 31 4B 13 44 08 33 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B 00 9A 20 23 02 FB 03 F2 2B 4B 13 44 1C 33 19 68 00 9A 20 23 02 FB 03 F2 27 4B 13 44 18 33 18 68 9D ED 04 0B ?? ?? ?? ?? 8D ED 08 0B 00 9A 20 23 02 FB 03 F2 20 4B 13 44 14 33 19 68 00 9A 20 23 02 FB 03 F2 1C 4B 13 44 10 33 18 68 9D ED 04 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 08 1B 9D ED 0A 0B 81 EE 00 0B 14 9B 83 ED 00 0B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0C 1B 9D ED 0E 0B 21 EE 00 1B 14 9B 93 ED 00 0B 80 EE 01 0B 14 9B 83 ED 00 0B 9F ED 05 0B 8D ED 10 0B 9D ED 10 0B 12 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_377_3_0 {
	meta:
		name = "stirling"
		size = 344
		refs = "0026 _ldpow 00c2 _ldpoly 0110 expl 0154 approx0"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 93 ED 00 0B 8D ED 02 0B 15 98 9D ED 02 1B B6 EE 00 0B 31 EE 40 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 0C 0B 15 9B B3 F9 00 30 5B 42 1A B2 15 9B 1A 80 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 00 2B 10 D2 00 9A 20 23 02 FB 03 F2 3D 4B 13 44 9D ED 02 1B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 00 D2 00 E0 E8 E7 B7 EE 00 1B 9D ED 02 0B 81 EE 00 1B 00 9A 20 23 02 FB 03 F2 31 4B 13 44 08 33 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B 00 9A 20 23 02 FB 03 F2 2B 4B 13 44 1C 33 19 68 00 9A 20 23 02 FB 03 F2 27 4B 13 44 18 33 18 68 9D ED 04 0B ?? ?? ?? ?? 8D ED 08 0B 00 9A 20 23 02 FB 03 F2 20 4B 13 44 14 33 19 68 00 9A 20 23 02 FB 03 F2 1C 4B 13 44 10 33 18 68 9D ED 04 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 08 1B 9D ED 0A 0B 81 EE 00 0B 14 9B 83 ED 00 0B 9D ED 02 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0C 1B 9D ED 0E 0B 21 EE 00 1B 14 9B 93 ED 00 0B 80 EE 01 0B 14 9B 83 ED 00 0B 9F ED 05 0B 8D ED 10 0B 9D ED 10 0B 12 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_136_3_0 {
	meta:
		name = "tgamma"
		size = 748
		refs = "0018 _d_int 005e _fperrraise 017e _dsin 01be _dtgamma 01f4 _dscale 02c4 _Inf_C 02d0 pi 02d4 _dgamma_big 02e8 _Nan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 98 B0 8D ED 00 0B 9D ED 00 0B 8D ED 06 0B 00 21 06 A8 ?? ?? ?? ?? AD F8 20 00 BD F9 20 30 0B 93 0B 9B 00 2B 20 D0 0B 9B 01 2B 08 D0 0B 9B 02 2B 00 D0 4C E0 9D ED 00 0B 8D ED 04 0B 39 E1 6B 46 9B 1D 1B 88 13 F4 00 4F 05 D1 9D ED 00 0B 8D ED 04 0B 2E E1 08 E0 01 20 ?? ?? ?? ?? A1 4B 93 ED 00 0B 8D ED 04 0B 24 E1 9D ED 00 0B B5 EE 40 0B F1 EE 10 FA 1B D1 04 20 ?? ?? ?? ?? 6B 46 9B 1D 1B 88 13 F4 00 4F 07 D0 8D 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0E 0B 04 E0 89 4B 93 ED 00 0B 8D ED 0E 0B 9D ED 0E 0B 8D ED 04 0B 02 E1 0F E0 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 20 ?? ?? ?? ?? 87 4B 93 ED 00 0B 8D ED 04 0B F1 E0 9D ED 00 1B 9F ED 81 0B B4 EE C0 1B F1 EE 10 FA 08 D8 10 20 ?? ?? ?? ?? 9F ED 7A 0B 8D ED 04 0B E0 E0 DF E0 76 4B 93 ED 00 0B B1 EE 40 1B 9D ED 00 0B B4 EE C1 0B F1 EE 10 FA 80 F0 8C 80 9D ED 00 0B 8D ED 02 0B 9D ED 00 0B B1 EE 40 1B B7 EE 00 0B 31 EE 40 0B 8D ED 10 0B 9D ED 00 1B 9D ED 06 0B 31 EE 40 0B 8D ED 06 0B 6F F0 00 01 02 A8 ?? ?? ?? ?? 9D ED 00 1B 9D ED 02 0B 31 EE 40 1B BF EE 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 9D ED 06 0B B1 EE 40 0B 8D ED 06 0B 00 20 57 4B 93 ED 00 1B 9D ED 06 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 00 0B B1 EE 40 1B 9D ED 12 0B 21 EE 00 2B 9D ED 00 0B B1 EE 40 1B B7 EE 00 0B 31 EE 40 0B 22 EE 00 1B 49 4B 93 ED 00 0B 80 EE 01 0B 8D ED 02 0B 0D F1 22 01 10 A8 ?? ?? ?? ?? 8D ED 14 0B B7 EE 00 1B 9D ED 14 0B 31 EE 00 1B 9D ED 02 0B 80 EE 01 0B 8D ED 02 0B 9D ED 02 1B 9D ED 10 0B 21 EE 00 0B 8D ED 02 0B BD F9 22 10 02 A8 ?? ?? ?? ?? AD F8 24 00 BD F9 24 30 0C 93 0C 9B 00 2B 03 D0 0C 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 02 0B 8D ED 04 0B 47 E0 46 E0 9D ED 00 1B 9F ED 26 0B B4 EE C0 1B F1 EE 10 FA 35 D8 0D F1 26 01 68 46 ?? ?? ?? ?? 8D ED 16 0B 9D ED 16 0B 8D ED 06 0B B7 EE 00 1B 9D ED 06 0B 31 EE 00 1B 9D ED 00 0B 81 EE 00 0B 8D ED 00 0B BD F9 26 30 59 42 68 46 ?? ?? ?? ?? AD F8 28 00 BD F9 28 30 0D 93 0D 9B 00 2B 03 D0 0D 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 00 0B 8D ED 04 0B 08 E0 07 E0 08 20 ?? ?? ?? ?? 05 4B 93 ED 00 0B 8D ED 04 0B 9D ED 04 0B 18 B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 00 00 00 C0 65 40 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 65 C0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_377_4_0 {
	meta:
		name = "tgammal"
		size = 748
		refs = "0018 _ld_int 005e _fperrraise 017e _ldsin 01be _ldtgamma 01f4 _ldscale 02c4 _LInf_C 02d0 pi 02d4 _ldgamma_big 02e8 _LNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 98 B0 8D ED 00 0B 9D ED 00 0B 8D ED 06 0B 00 21 06 A8 ?? ?? ?? ?? AD F8 20 00 BD F9 20 30 0B 93 0B 9B 00 2B 20 D0 0B 9B 01 2B 08 D0 0B 9B 02 2B 00 D0 4C E0 9D ED 00 0B 8D ED 04 0B 39 E1 6B 46 9B 1D 1B 88 13 F4 00 4F 05 D1 9D ED 00 0B 8D ED 04 0B 2E E1 08 E0 01 20 ?? ?? ?? ?? A1 4B 93 ED 00 0B 8D ED 04 0B 24 E1 9D ED 00 0B B5 EE 40 0B F1 EE 10 FA 1B D1 04 20 ?? ?? ?? ?? 6B 46 9B 1D 1B 88 13 F4 00 4F 07 D0 8D 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0E 0B 04 E0 89 4B 93 ED 00 0B 8D ED 0E 0B 9D ED 0E 0B 8D ED 04 0B 02 E1 0F E0 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 20 ?? ?? ?? ?? 87 4B 93 ED 00 0B 8D ED 04 0B F1 E0 9D ED 00 1B 9F ED 81 0B B4 EE C0 1B F1 EE 10 FA 08 D8 10 20 ?? ?? ?? ?? 9F ED 7A 0B 8D ED 04 0B E0 E0 DF E0 76 4B 93 ED 00 0B B1 EE 40 1B 9D ED 00 0B B4 EE C1 0B F1 EE 10 FA 80 F0 8C 80 9D ED 00 0B 8D ED 02 0B 9D ED 00 0B B1 EE 40 1B B7 EE 00 0B 31 EE 40 0B 8D ED 10 0B 9D ED 00 1B 9D ED 06 0B 31 EE 40 0B 8D ED 06 0B 6F F0 00 01 02 A8 ?? ?? ?? ?? 9D ED 00 1B 9D ED 02 0B 31 EE 40 1B BF EE 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 9D ED 06 0B B1 EE 40 0B 8D ED 06 0B 00 20 57 4B 93 ED 00 1B 9D ED 06 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 00 0B B1 EE 40 1B 9D ED 12 0B 21 EE 00 2B 9D ED 00 0B B1 EE 40 1B B7 EE 00 0B 31 EE 40 0B 22 EE 00 1B 49 4B 93 ED 00 0B 80 EE 01 0B 8D ED 02 0B 0D F1 22 01 10 A8 ?? ?? ?? ?? 8D ED 14 0B B7 EE 00 1B 9D ED 14 0B 31 EE 00 1B 9D ED 02 0B 80 EE 01 0B 8D ED 02 0B 9D ED 02 1B 9D ED 10 0B 21 EE 00 0B 8D ED 02 0B BD F9 22 10 02 A8 ?? ?? ?? ?? AD F8 24 00 BD F9 24 30 0C 93 0C 9B 00 2B 03 D0 0C 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 02 0B 8D ED 04 0B 47 E0 46 E0 9D ED 00 1B 9F ED 26 0B B4 EE C0 1B F1 EE 10 FA 35 D8 0D F1 26 01 68 46 ?? ?? ?? ?? 8D ED 16 0B 9D ED 16 0B 8D ED 06 0B B7 EE 00 1B 9D ED 06 0B 31 EE 00 1B 9D ED 00 0B 81 EE 00 0B 8D ED 00 0B BD F9 26 30 59 42 68 46 ?? ?? ?? ?? AD F8 28 00 BD F9 28 30 0D 93 0D 9B 00 2B 03 D0 0D 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 00 0B 8D ED 04 0B 08 E0 07 E0 08 20 ?? ?? ?? ?? 05 4B 93 ED 00 0B 8D ED 04 0B 9D ED 04 0B 18 B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 00 00 00 C0 65 40 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 00 00 00 00 00 C0 65 C0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_137_0_0 {
	meta:
		name = "cexp"
		size = 664
		refs = "0018 creal 0030 cimag 0042 _dtest 0146 cos 0162 sin 0186 _fperrraise 023a _dexp 025e _Cbuild 0288 _Nan_C 0294 _Zero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 AA B0 8D ED 10 1B 8D ED 0E 0B 9D ED 0E 0B 9D ED 10 1B ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 02 0B 9D ED 0E 0B 9D ED 10 1B ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 04 0B 02 A8 ?? ?? ?? ?? AD F8 28 00 BD F9 28 30 AD F8 02 30 04 A8 ?? ?? ?? ?? AD F8 2A 00 BD F9 2A 30 AD F8 00 30 BD F9 02 30 02 2B 15 D1 BD F9 00 30 00 2B 08 D1 9D ED 02 0B 8D ED 08 0B 9D ED 04 0B 8D ED 06 0B 07 E0 9D ED 02 0B 8D ED 08 0B 9D ED 02 0B 8D ED 06 0B DE E0 BD F9 00 30 02 2B 25 D1 BD F9 02 30 01 2B 18 D1 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 08 D2 9F ED 75 0B 8D ED 08 0B 9F ED 73 0B 8D ED 06 0B 07 E0 9D ED 02 0B 8D ED 08 0B 9D ED 04 0B 8D ED 06 0B 07 E0 9D ED 04 0B 8D ED 08 0B 9D ED 04 0B 8D ED 06 0B B4 E0 BD F9 02 30 01 2B 7E D1 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 3C D2 BD F9 00 30 01 2B 1B D1 9F ED 60 0B 8D ED 08 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 07 D2 5C 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9F ED 56 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 06 0B 1B E0 9D ED 04 0B ?? ?? ?? ?? 8D ED 16 0B 9F ED 4F 1B 9D ED 16 0B 21 EE 00 0B 8D ED 08 0B 9D ED 04 0B ?? ?? ?? ?? 8D ED 18 0B 9F ED 48 1B 9D ED 18 0B 21 EE 00 0B 8D ED 06 0B 39 E0 BD F9 00 30 01 2B 0C D1 01 20 ?? ?? ?? ?? 9D ED 02 0B 8D ED 08 0B 3D 4B 93 ED 00 0B 8D ED 06 0B 28 E0 BD F9 00 30 00 2B 08 D1 9D ED 02 0B 8D ED 08 0B 9D ED 04 0B 8D ED 06 0B 1B E0 9D ED 04 0B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 02 1B 9D ED 1A 0B 21 EE 00 0B 8D ED 08 0B 9D ED 04 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 02 1B 9D ED 1C 0B 21 EE 00 0B 8D ED 06 0B 31 E0 BD F9 00 30 01 2B 0D D1 01 20 ?? ?? ?? ?? 21 4B 93 ED 00 0B 8D ED 08 0B 1F 4B 93 ED 00 0B 8D ED 06 0B 1F E0 9D ED 02 0B 8D ED 08 0B 9D ED 02 0B 8D ED 06 0B 9D ED 04 0B ?? ?? ?? ?? 8D ED 1E 0B 00 21 9D ED 1E 0B 08 A8 ?? ?? ?? ?? 9D ED 04 0B ?? ?? ?? ?? 8D ED 20 0B 00 21 9D ED 20 0B 06 A8 ?? ?? ?? ?? 9D ED 06 1B 9D ED 08 0B ?? ?? ?? ?? 8D ED 24 1B 8D ED 22 0B 9D ED 22 0B 8D ED 26 0B 9D ED 24 0B 8D ED 28 0B 9D ED 26 0B 9D ED 28 1B 2A B0 BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_441_0_0 {
	meta:
		name = "cexpl"
		size = 664
		refs = "0018 creall 0030 cimagl 0042 _ldtest 0146 cosl 0162 sinl 0186 _fperrraise 023a _ldexp 025e _LCbuild 0288 _LNan_C 0294 _LZero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 AA B0 8D ED 10 1B 8D ED 0E 0B 9D ED 0E 0B 9D ED 10 1B ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 02 0B 9D ED 0E 0B 9D ED 10 1B ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 04 0B 02 A8 ?? ?? ?? ?? AD F8 28 00 BD F9 28 30 AD F8 02 30 04 A8 ?? ?? ?? ?? AD F8 2A 00 BD F9 2A 30 AD F8 00 30 BD F9 02 30 02 2B 15 D1 BD F9 00 30 00 2B 08 D1 9D ED 02 0B 8D ED 08 0B 9D ED 04 0B 8D ED 06 0B 07 E0 9D ED 02 0B 8D ED 08 0B 9D ED 02 0B 8D ED 06 0B DE E0 BD F9 00 30 02 2B 25 D1 BD F9 02 30 01 2B 18 D1 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 08 D2 9F ED 75 0B 8D ED 08 0B 9F ED 73 0B 8D ED 06 0B 07 E0 9D ED 02 0B 8D ED 08 0B 9D ED 04 0B 8D ED 06 0B 07 E0 9D ED 04 0B 8D ED 08 0B 9D ED 04 0B 8D ED 06 0B B4 E0 BD F9 02 30 01 2B 7E D1 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 3C D2 BD F9 00 30 01 2B 1B D1 9F ED 60 0B 8D ED 08 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 07 D2 5C 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9F ED 56 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 06 0B 1B E0 9D ED 04 0B ?? ?? ?? ?? 8D ED 16 0B 9F ED 4F 1B 9D ED 16 0B 21 EE 00 0B 8D ED 08 0B 9D ED 04 0B ?? ?? ?? ?? 8D ED 18 0B 9F ED 48 1B 9D ED 18 0B 21 EE 00 0B 8D ED 06 0B 39 E0 BD F9 00 30 01 2B 0C D1 01 20 ?? ?? ?? ?? 9D ED 02 0B 8D ED 08 0B 3D 4B 93 ED 00 0B 8D ED 06 0B 28 E0 BD F9 00 30 00 2B 08 D1 9D ED 02 0B 8D ED 08 0B 9D ED 04 0B 8D ED 06 0B 1B E0 9D ED 04 0B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 02 1B 9D ED 1A 0B 21 EE 00 0B 8D ED 08 0B 9D ED 04 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 02 1B 9D ED 1C 0B 21 EE 00 0B 8D ED 06 0B 31 E0 BD F9 00 30 01 2B 0D D1 01 20 ?? ?? ?? ?? 21 4B 93 ED 00 0B 8D ED 08 0B 1F 4B 93 ED 00 0B 8D ED 06 0B 1F E0 9D ED 02 0B 8D ED 08 0B 9D ED 02 0B 8D ED 06 0B 9D ED 04 0B ?? ?? ?? ?? 8D ED 1E 0B 00 21 9D ED 1E 0B 08 A8 ?? ?? ?? ?? 9D ED 04 0B ?? ?? ?? ?? 8D ED 20 0B 00 21 9D ED 20 0B 06 A8 ?? ?? ?? ?? 9D ED 06 1B 9D ED 08 0B ?? ?? ?? ?? 8D ED 24 1B 8D ED 22 0B 9D ED 22 0B 8D ED 26 0B 9D ED 24 0B 8D ED 28 0B 9D ED 26 0B 9D ED 28 1B 2A B0 BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_138_0_0 {
	meta:
		name = "cacoshf"
		size = 1224
		refs = "0018 crealf 0030 cimagf 0042 _fdtest 01c0 _FCbuild 01d4 csqrtf 0382 asinhf 03b4 logf 0450 atan2f 04b0 big 04b4 piby2 04b8 _FInf_C 04bc pi 04c0 piby4 04c4 pi3by4"
	strings:
		$1 = { 2D E9 00 48 EB 46 B2 B0 CD ED 11 0A 8D ED 10 0A 9D ED 10 0A DD ED 11 0A ?? ?? ?? ?? 8D ED 1E 0A 9D ED 1E 0A 8D ED 04 0A 9D ED 10 0A DD ED 11 0A ?? ?? ?? ?? 8D ED 1F 0A 9D ED 1F 0A 8D ED 01 0A 04 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 18 30 01 A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 0C 30 BD F9 18 30 02 2B 24 D1 BD F9 0C 30 02 2B 08 D1 9D ED 04 0A 8D ED 02 0A 9D ED 01 0A 8D ED 00 0A 16 E0 BD F9 0C 30 01 2B 0A D1 DF F8 28 34 93 ED 00 0A 8D ED 02 0A 9D ED 04 0A 8D ED 00 0A 07 E0 9D ED 04 0A 8D ED 02 0A 9D ED 04 0A 8D ED 00 0A E1 E1 BD F9 0C 30 02 2B 16 D1 BD F9 18 30 01 2B 09 D1 FC 4B 93 ED 00 0A 8D ED 02 0A 9D ED 01 0A 8D ED 00 0A 07 E0 9D ED 01 0A 8D ED 02 0A 9D ED 01 0A 8D ED 00 0A C6 E1 BD F9 18 30 01 2B 39 D1 F0 4B 93 ED 00 0A 8D ED 02 0A BD F9 0C 30 01 2B 12 D1 9D ED 04 0A B5 EE C0 0A F1 EE 10 FA 05 D2 EB 4B 93 ED 00 0A 8D ED 00 0A 04 E0 E7 4B 93 ED 00 0A 8D ED 00 0A 10 E0 9D ED 04 0A B5 EE C0 0A F1 EE 10 FA 05 D2 E0 4B 93 ED 00 0A 8D ED 00 0A 03 E0 9F ED D9 0A 8D ED 00 0A 01 AB 9B 1C 1B 88 13 F4 00 4F 05 D0 9D ED 00 0A B1 EE 40 0A 8D ED 00 0A 88 E1 BD F9 0C 30 01 2B 1D D1 D1 4B 93 ED 00 0A 8D ED 02 0A 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 07 D2 CA 4B 93 ED 00 0A B1 EE 40 0A 8D ED 0D 0A 04 E0 C6 4B 93 ED 00 0A 8D ED 0D 0A 9D ED 0D 0A 8D ED 00 0A 66 E1 9D ED 01 0A F1 EE 40 0A 9D ED 04 1A B7 EE 00 0A 31 EE 40 0A ?? ?? ?? ?? CD ED 23 0A 8D ED 22 0A 9D ED 22 0A DD ED 23 0A ?? ?? ?? ?? CD ED 25 0A 8D ED 24 0A 9D ED 24 0A 8D ED 12 0A 9D ED 25 0A 8D ED 13 0A DD ED 01 0A 9D ED 04 1A B7 EE 00 0A 31 EE 00 0A ?? ?? ?? ?? CD ED 27 0A 8D ED 26 0A 9D ED 26 0A DD ED 27 0A ?? ?? ?? ?? CD ED 29 0A 8D ED 28 0A 9D ED 28 0A 8D ED 14 0A 9D ED 29 0A 8D ED 15 0A 9D ED 12 0A DD ED 13 0A ?? ?? ?? ?? 8D ED 20 0A 9D ED 20 0A 8D ED 08 0A 9D ED 12 0A DD ED 13 0A ?? ?? ?? ?? 8D ED 16 0A 9D ED 16 0A 8D ED 07 0A 9D ED 14 0A DD ED 15 0A ?? ?? ?? ?? 8D ED 17 0A 9D ED 17 0A 8D ED 0A 0A 9D ED 14 0A DD ED 15 0A ?? ?? ?? ?? 8D ED 18 0A 9D ED 18 0A 8D ED 09 0A 01 23 0E 93 86 4B D3 ED 00 0A 9D ED 08 0A F4 EE C0 0A F1 EE 10 FA 14 D2 9D ED 08 0A 8D ED 05 0A DD ED 0A 0A 9D ED 05 0A C0 EE 80 0A 9D ED 07 0A 60 EE 20 0A 9D ED 09 0A 30 EE 60 0A 8D ED 0B 0A 55 E0 77 4B D3 ED 00 0A 9D ED 07 0A F4 EE C0 0A F1 EE 10 FA 14 D2 9D ED 07 0A 8D ED 05 0A DD ED 09 0A 9D ED 05 0A C0 EE 80 0A 9D ED 08 0A 60 EE 20 0A 9D ED 0A 0A 30 EE C0 0A 8D ED 0B 0A 36 E0 9D ED 07 0A F1 EE 40 0A 65 4B 93 ED 00 0A B4 EE E0 0A F1 EE 10 FA 16 D2 9D ED 07 0A B1 EE 40 0A 8D ED 05 0A DD ED 09 0A 9D ED 05 0A C0 EE 80 0A 9D ED 08 0A 60 EE 20 0A 9D ED 0A 0A 30 EE C0 0A 8D ED 0B 0A 13 E0 9F ED 55 0A 8D ED 05 0A DD ED 08 0A 9D ED 09 0A 20 EE 80 1A DD ED 07 0A 9D ED 0A 0A 20 EE 80 0A 31 EE 40 0A 8D ED 0B 0A 9D ED 0B 0A ?? ?? ?? ?? 8D ED 19 0A 9D ED 19 0A 8D ED 02 0A 9D ED 05 0A B5 EE 40 0A F1 EE 10 FA 00 D1 23 E0 9D ED 02 0A B5 EE C0 0A F1 EE 10 FA 0E DB 9D ED 05 0A ?? ?? ?? ?? 8D ED 1A 0A DD ED 02 0A 9D ED 1A 0A 30 EE 80 0A 8D ED 02 0A 0D E0 9D ED 05 0A ?? ?? ?? ?? 8D ED 1B 0A DD ED 02 0A 9D ED 1B 0A 30 EE C0 0A 8D ED 02 0A 01 AB 9B 1C 1B 88 13 F4 00 4F 06 D0 9D ED 01 0A B1 EE 40 0A 8D ED 01 0A 01 E0 00 23 0E 93 DD ED 01 0A 9D ED 04 1A B7 EE 00 0A 31 EE 40 0A ?? ?? ?? ?? CD ED 2B 0A 8D ED 2A 0A 9D ED 2A 0A DD ED 2B 0A ?? ?? ?? ?? CD ED 2D 0A 8D ED 2C 0A 9D ED 2C 0A DD ED 2D 0A ?? ?? ?? ?? 8D ED 1C 0A DD ED 09 0A 9D ED 1C 0A ?? ?? ?? ?? 8D ED 1D 0A F0 EE 00 0A 9D ED 1D 0A 20 EE 80 0A 8D ED 00 0A 0E 9B 00 2B 05 D0 9D ED 00 0A B1 EE 40 0A 8D ED 00 0A DD ED 00 0A 9D ED 02 0A ?? ?? ?? ?? CD ED 2F 0A 8D ED 2E 0A 9D ED 2E 0A 8D ED 30 0A 9D ED 2F 0A 8D ED 31 0A 9D ED 30 0A DD ED 31 0A 32 B0 BD E8 00 88 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_139_0_0 {
	meta:
		name = "_LCbuild"
		size = 70
		altNames = "_Cbuild"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 02 1B 8D ED 00 0B 08 AB 9D ED 00 0B 83 ED 00 0B 08 AB 08 33 9D ED 02 0B 83 ED 00 0B 08 AB 93 ED 00 0B 8D ED 04 0B 93 ED 02 0B 8D ED 06 0B 9D ED 04 0B 9D ED 06 1B 0C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_139_1_0 {
	meta:
		name = "cprojl"
		size = 256
		refs = "0018 creall 0030 cimagl 0042 _ldtest 00b4 _LCbuild 00f0 _LInf_C 00fc _LZero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 9C B0 8D ED 04 1B 8D ED 02 0B 9D ED 02 0B 9D ED 04 1B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B 8D ED 12 0B 9D ED 02 0B 9D ED 04 1B ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 0B 8D ED 06 0B 12 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 06 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 AD F8 06 30 BD F9 04 30 01 2B 0C D0 BD F9 06 30 01 2B 08 D0 9D ED 02 0B 8D ED 0A 0B 9D ED 04 0B 8D ED 0C 0B 24 E0 06 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 1A 4B 93 ED 00 0B B1 EE 40 0B 8D ED 08 0B 03 E0 9F ED 14 0B 8D ED 08 0B 9D ED 08 1B 10 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 16 1B 8D ED 14 0B 9D ED 14 0B 8D ED 0A 0B 9D ED 16 0B 8D ED 0C 0B 9D ED 0A 0B 8D ED 18 0B 9D ED 0C 0B 8D ED 1A 0B 9D ED 18 0B 9D ED 1A 1B 1C B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_226_1_0 {
	meta:
		name = "cproj"
		size = 256
		refs = "0018 creal 0030 cimag 0042 _dtest 00b4 _Cbuild 00f0 _Inf_C 00fc _Zero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 9C B0 8D ED 04 1B 8D ED 02 0B 9D ED 02 0B 9D ED 04 1B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B 8D ED 12 0B 9D ED 02 0B 9D ED 04 1B ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 0B 8D ED 06 0B 12 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 06 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 AD F8 06 30 BD F9 04 30 01 2B 0C D0 BD F9 06 30 01 2B 08 D0 9D ED 02 0B 8D ED 0A 0B 9D ED 04 0B 8D ED 0C 0B 24 E0 06 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 1A 4B 93 ED 00 0B B1 EE 40 0B 8D ED 08 0B 03 E0 9F ED 14 0B 8D ED 08 0B 9D ED 08 1B 10 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 16 1B 8D ED 14 0B 9D ED 14 0B 8D ED 0A 0B 9D ED 16 0B 8D ED 0C 0B 9D ED 0A 0B 8D ED 18 0B 9D ED 0C 0B 8D ED 1A 0B 9D ED 18 0B 9D ED 1A 1B 1C B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_140_1_0 {
	meta:
		name = "??$__crt_time_elapsed_leap_years@H@@YAHH@Z"
		size = 72
		refs = "0012 __rt_sdiv"
		altNames = "??$__crt_time_elapsed_leap_years@J@@YAJJ@Z"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9B 59 1E 04 20 ?? ?? ?? ?? 04 46 06 9B 59 1E 64 20 ?? ?? ?? ?? 24 1A 06 9B 03 F2 2B 11 4F F4 C8 70 ?? ?? ?? ?? 23 18 00 93 00 9B 11 3B 01 93 01 98 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_140_2_0 {
	meta:
		name = "??$__crt_time_is_leap_year@H@@YA_NH@Z"
		size = 88
		refs = "000e __rt_sdiv"
		altNames = "??$__crt_time_is_leap_year@J@@YA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 99 04 20 ?? ?? ?? ?? 00 29 09 D1 04 99 64 20 ?? ?? ?? ?? 00 29 03 D0 01 23 8D F8 00 30 0F E0 04 9B 03 F2 6C 71 4F F4 C8 70 ?? ?? ?? ?? 00 29 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_140_3_0 {
	meta:
		name = "??$common_gmtime@J@@YAPAUtm@@QBJ@Z"
		size = 70
		refs = "000a __getgmtimebuf 0024 ??$common_gmtime_s@J@@YAHQAUtm@@QBJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 00 23 01 93 0C E0 06 99 00 98 ?? ?? ?? ?? 03 90 03 9B 00 2B 02 D0 00 23 01 93 01 E0 00 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_140_4_0 {
	meta:
		name = "??$common_gmtime@_J@@YAPAUtm@@QB_J@Z"
		size = 70
		refs = "000a __getgmtimebuf 0024 ??$common_gmtime_s@_J@@YAHQAUtm@@QB_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 00 23 01 93 0C E0 06 99 00 98 ?? ?? ?? ?? 03 90 03 9B 00 2B 02 D0 00 23 01 93 01 E0 00 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_140_5_0 {
	meta:
		name = "??$common_gmtime_s@J@@YAHQAUtm@@QBJ@Z"
		size = 612
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0070 memset 0126 ?compute_year@@YAHAAJAA_N@Z 013a __rt_sdiv 0240 _days 0244 _lpdays 0250 ??_C@_1CA@JELLNKMB@?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0254 ??_C@_1CA@MFJJHIBL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAm?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0258 ??_C@_1FO@DEFNKBNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 025c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 16 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 8E 4B 01 93 8C 4B 00 93 00 23 5D 22 89 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 5D 23 7F 4A 7D 49 80 48 ?? ?? ?? ?? 16 23 05 93 E2 E0 24 22 FF 21 16 98 ?? ?? ?? ?? 17 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 70 4B 01 93 72 4B 00 93 00 23 60 22 6F 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 60 23 64 4A 63 49 61 48 ?? ?? ?? ?? 16 23 05 93 AD E0 17 9B 1B 68 02 93 02 9A 5B 4B 9A 42 08 DA ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 16 23 05 93 9D E0 02 9A 02 9B DB 17 11 92 07 2B 0D DB 03 DC 11 9A 50 4B 9A 42 08 D9 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 16 23 05 93 89 E0 00 23 8D F8 0C 30 03 A9 02 A8 ?? ?? ?? ?? 13 90 16 9B 03 F1 14 02 13 9B 13 60 02 99 40 48 ?? ?? ?? ?? 16 9B 1C 33 18 60 16 9B 1C 33 1A 68 3C 4B 02 FB 03 F2 02 9B 9B 1A 02 93 9D F8 0C 30 00 2B 02 D0 39 4B 0A 93 01 E0 36 4B 0A 93 0A 9B 0B 93 00 23 04 93 01 23 04 93 02 E0 04 9B 5B 1C 04 93 04 9A 04 23 02 FB 03 F2 0B 9B 1A 44 16 9B 1C 33 12 68 1B 68 9A 42 00 DA EF E7 04 9B 5B 1E 04 93 16 9B 03 F1 10 02 04 9B 13 60 16 9B 03 F1 1C 01 04 9A 04 23 02 FB 03 F2 0B 9B 13 44 0A 68 1B 68 D2 1A 16 9B 0C 33 1A 60 17 9B 19 68 1C 48 ?? ?? ?? ?? 01 1D 07 20 ?? ?? ?? ?? 16 9B 18 33 19 60 02 99 4F F4 61 60 ?? ?? ?? ?? 16 9B 08 33 18 60 16 9B 08 33 1A 68 4F F4 61 63 02 FB 03 F2 02 9B 9B 1A 02 93 02 99 3C 20 ?? ?? ?? ?? 16 9B 1B 1D 18 60 16 9B 1B 1D 1A 68 3C 23 02 FB 03 F2 02 9B 9A 1A 16 9B 1A 60 16 9B 03 F1 20 02 00 23 13 60 00 23 05 93 05 98 14 B0 5D F8 04 BB 5D F8 0C FB 80 51 01 00 ?? ?? ?? ?? ?? ?? ?? ?? CF E1 58 93 40 57 FF FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_140_6_0 {
	meta:
		name = "??$common_gmtime_s@_J@@YAHQAUtm@@QB_J@Z"
		size = 764
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0070 memset 0148 ?compute_year@@YAHAA_JAA_N@Z 0160 __rt_sdiv64 022e __rt_sdiv 02d8 _days 02dc _lpdays 02e8 ??_C@_1CA@JELLNKMB@?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02ec ??_C@_1CA@MFJJHIBL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAm?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 02f0 ??_C@_1FO@DEFNKBNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 02f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02f8 ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 A8 B0 2A 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 B4 4B 01 93 B2 4B 00 93 00 23 5D 22 AF 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 5D 23 A5 4A A3 49 A6 48 ?? ?? ?? ?? 16 23 07 93 2D E1 24 22 FF 21 2A 98 ?? ?? ?? ?? 2B 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 96 4B 01 93 98 4B 00 93 00 23 60 22 95 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 60 23 8A 4A 89 49 87 48 ?? ?? ?? ?? 16 23 07 93 F8 E0 2B 9B 1B 68 04 93 2B 9B 5B 68 05 93 04 9B 1C 93 05 9B 1D 93 1C 9B 16 93 1D 9B B3 F1 FF 3F 0D DC 03 DB 16 9A 7A 4B 9A 42 08 D2 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 16 23 07 93 DA E0 04 9B 1E 93 05 9B 1F 93 1E 9B 18 93 1F 9B 07 2B 0D DB 03 DC 18 9A 6E 4B 9A 42 08 D9 ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 16 23 07 93 C3 E0 00 23 8D F8 08 30 02 A9 04 A8 ?? ?? ?? ?? 1A 90 2A 9B 03 F1 14 02 1A 9B 13 60 5E 48 00 21 04 9A 05 9B ?? ?? ?? ?? 21 93 20 92 02 46 2A 9B 1C 33 1A 60 2A 9B 1C 33 1B 68 0C 93 0C 9A 0C 9B D9 17 0D 92 0D 9A 00 23 02 FB 03 F2 52 4B 01 FB 03 F3 D1 18 0D 9A 50 4B A2 FB 03 03 19 44 04 9A 05 9B 12 1A 8B 41 04 92 05 93 9D F8 08 30 00 2B 02 D0 4B 4B 0E 93 01 E0 48 4B 0E 93 0E 9B 0F 93 00 23 06 93 01 23 06 93 02 E0 06 9B 5B 1C 06 93 06 9A 04 23 02 FB 03 F2 0F 9B 1A 44 2A 9B 1C 33 12 68 1B 68 9A 42 00 DA EF E7 06 9B 5B 1E 06 93 2A 9B 03 F1 10 02 06 9B 13 60 2A 9B 03 F1 1C 01 06 9A 04 23 02 FB 03 F2 0F 9B 13 44 0A 68 1B 68 D2 1A 2A 9B 0C 33 1A 60 2F 48 00 21 2B 9B 1A 68 2B 9B 5B 68 ?? ?? ?? ?? 23 93 22 92 03 46 19 1D 07 20 ?? ?? ?? ?? 2A 9B 18 33 19 60 4F F4 61 60 00 21 04 9A 05 9B ?? ?? ?? ?? 25 93 24 92 02 46 2A 9B 08 33 1A 60 2A 9B 08 33 1B 68 10 93 10 9A 10 9B D9 17 11 92 11 9A 00 23 02 FB 03 F2 4F F4 61 63 01 FB 03 F3 D1 18 11 9A 4F F4 61 63 A2 FB 03 03 19 44 04 9A 05 9B 12 1A 8B 41 04 92 05 93 3C 20 00 21 04 9A 05 9B ?? ?? ?? ?? 27 93 26 92 02 46 2A 9B 1B 1D 1A 60 2A 9B 1B 1D 1A 68 3C 23 02 FB 03 F2 04 9B 9A 1A 2A 9B 1A 60 2A 9B 03 F1 20 02 00 23 13 60 00 23 07 93 07 98 28 B0 5D F8 04 BB 5D F8 0C FB FE DE 80 51 01 00 ?? ?? ?? ?? ?? ?? ?? ?? CF E1 58 93 40 57 FF FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_140_9_0 {
	meta:
		name = "?compute_year@@YAHAAJAA_N@Z"
		size = 172
		refs = "0010 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 19 68 26 48 ?? ?? ?? ?? 00 90 00 9A 23 4B 02 FB 03 F2 04 9B 1B 68 9A 1A 04 9B 1A 60 00 9A 04 23 02 FB 03 F3 46 33 00 93 04 9B 1A 68 1A 4B 9A 42 28 DB 00 9B 5B 1C 00 93 04 9B 1A 68 16 4B D2 1A 04 9B 1A 60 04 9B 1A 68 13 4B 9A 42 1A DB 00 9B 5B 1C 00 93 04 9B 1A 68 0F 4B D2 1A 04 9B 1A 60 04 9B 1A 68 0B 4B 9A 42 09 DB 00 9B 5B 1C 00 93 04 9B 1A 68 07 4B D2 1A 04 9B 1A 60 02 E0 05 9A 01 23 13 70 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB 00 85 E2 01 80 33 E1 01 80 1F 86 07 }
	condition:
		$1
}

rule file_140_10_0 {
	meta:
		name = "?compute_year@@YAHAA_JAA_N@Z"
		size = 324
		refs = "0016 __rt_sdiv64 0064 ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 00e2 ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 4D 48 00 21 0E 9B 1A 68 0E 9B 5B 68 ?? ?? ?? ?? 0B 93 0A 92 03 46 46 33 01 93 01 9B 46 3B 02 93 02 9A 02 9B D9 17 03 92 03 9A 00 23 02 FB 03 F2 41 4B 01 FB 03 F3 D0 18 03 9A 3E 4B A2 FB 03 13 18 44 0E 9B 1A 68 0E 9B 5B 68 51 1A 63 EB 00 02 0E 9B 19 60 0E 9B 5A 60 01 98 ?? ?? ?? ?? 04 90 04 9A 04 9B D9 17 05 92 05 9A 00 23 02 FB 03 F2 30 4B 01 FB 03 F3 D0 18 05 9A 2D 4B A2 FB 03 13 18 44 0E 9B 1A 68 0E 9B 5B 68 51 1A 63 EB 00 02 0E 9B 19 60 0E 9B 5A 60 0E 9B 1B 68 08 93 0E 9B 5B 68 09 93 08 9B 06 93 09 9B 00 2B 2D DC 02 DB 06 9B 00 2B 29 D2 0E 9B 19 68 0E 9B 58 68 1D 4A 00 23 89 18 40 EB 03 02 0E 9B 19 60 0E 9B 5A 60 01 9B 5B 1E 01 93 01 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0F D0 0E 9B 19 68 0E 9B 58 68 10 4A 00 23 89 18 40 EB 03 02 0E 9B 19 60 0E 9B 5A 60 0F 9A 01 23 13 70 0B E0 01 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 02 D0 0F 9A 01 23 13 70 01 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 0C FB 80 51 01 00 80 33 E1 01 }
	condition:
		$1
}

rule file_140_13_0 {
	meta:
		name = "__getgmtimebuf"
		size = 164
		refs = "0008 __acrt_getptd_noexit 0018 _errno 0046 _malloc_dbg 0050 ??0?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAA@QAUtm@@@Z 005c ?detach@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAAPAUtm@@XZ 006e ??1?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAA@XZ 00a0 ??_C@_0CP@FHPLDAFF@minkernel?2crts?2ucrt?2src?2appcrt?2t@"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 08 D1 ?? ?? ?? ?? 03 90 03 9A 0C 23 13 60 00 23 01 93 35 E0 00 9B 38 33 1B 68 00 2B 04 D0 00 9B 38 33 1B 68 01 93 2B E0 A7 23 17 4A 02 21 24 20 ?? ?? ?? ?? 04 90 04 99 08 A8 ?? ?? ?? ?? 05 90 05 9B 06 93 06 98 ?? ?? ?? ?? 07 90 00 9B 03 F1 38 02 07 9B 13 60 08 A8 ?? ?? ?? ?? 00 9B 38 33 1B 68 00 2B 08 D1 ?? ?? ?? ?? 09 90 09 9A 0C 23 13 60 00 23 01 93 03 E0 00 9B 38 33 1B 68 01 93 01 98 0A B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_141_3_0 {
	meta:
		name = "sinh"
		size = 1384
		refs = "0064 val_with_flags 00b4 _handle_nan 0174 ?max_sinh_arg@?1??sinh@@9@9 0198 _handle_error 0214 splitexp 023e scaleDouble_1 025e scaleDouble_2 04c8 ?sinh_lead@?1??sinh@@9@9 04cc ?cosh_lead@?1??sinh@@9@9 04d0 ?sinh_tail@?1??sinh@@9@9 04d4 ?cosh_tail@?1??sinh@@9@9 0544 ?thirtytwo_by_log2@?1??sinh@@9@9 0548 ?log2_by_32_lead@?1??sinh@@9@9 054c ?log2_by_32_tail@?1??sinh@@9@9 0550 ?small_threshold@?1??sinh@@9@9 0554 ??_C@_04COOMCNPB@sinh?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 CC B0 8D ED 0E 0B 9D ED 0E 0B 53 EC 10 2B 06 92 07 93 06 9A 07 9B 23 F0 00 43 0C 92 0D 93 0C 9B 22 93 0D 9B 23 93 22 9B 1C 93 23 9A 52 4B 9A 42 1F D8 02 D3 1C 9B 00 2B 1B D2 0C 9B 24 93 0D 9B 25 93 25 9A 24 9B 13 43 00 2B 05 D1 9D ED 0E 0B 8D ED 14 0B 30 E2 0B E0 10 20 9D ED 0E 0B ?? ?? ?? ?? 8D ED 3E 0B 9D ED 3E 0B 8D ED 14 0B 23 E2 30 E0 0C 9B 26 93 0D 9B 27 93 26 9B 1D 93 27 9A 3C 4B 9A 42 26 D3 02 D8 1D 9B 00 2B 22 D3 0C 9B 28 93 0D 9B 29 93 28 9B 1E 93 29 9A 35 4B 9A 42 0F D3 02 D8 1E 9B 00 2B 0B D9 06 98 07 99 ?? ?? ?? ?? 8D ED 40 0B 9D ED 40 0B 8D ED 14 0B FB E1 08 E0 9D ED 0E 1B 9D ED 0E 0B 31 EE 00 0B 8D ED 14 0B F1 E1 0C 9B 2A 93 0D 9B 2B 93 06 9B 2C 93 07 9B 2D 93 2B 9B 1F 93 2D 9B 20 93 2A 9A 2C 9B 9A 42 03 D1 1F 9A 20 9B 9A 42 02 D0 01 23 10 93 01 E0 00 23 10 93 10 9A 10 9B DB 17 12 92 13 93 9D ED 0E 0B 8D ED 16 0B 12 9B 2E 93 13 9B 2F 93 2F 9A 2E 9B 13 43 00 2B 05 D0 9D ED 0E 0B B1 EE 40 0B 8D ED 16 0B 9D ED 16 1B 0C 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 47 DB 12 9B 30 93 13 9B 31 93 31 9A 30 9B 13 43 00 2B 24 D0 01 23 03 93 9F ED 01 1B 09 E0 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 00 00 F0 7F 00 00 30 3E 9D ED 0E 0B 22 23 02 93 01 23 01 93 03 23 00 93 00 22 F4 4B 1F 21 EF 48 ?? ?? ?? ?? 8D ED 42 0B 9D ED 42 0B 8D ED 14 0B 89 E1 18 E0 01 23 03 93 9F ED EA 1B 9D ED 0E 0B 22 23 02 93 01 23 01 93 03 23 00 93 00 22 E4 4B 1F 21 E2 48 ?? ?? ?? ?? 8D ED 44 0B 9D ED 44 0B 8D ED 14 0B 6F E1 5B E1 9D ED 16 1B DA 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 3D DB 38 AA 36 A9 0A A8 D4 4B 93 ED 00 4B D1 4B 93 ED 00 3B CF 4B 93 ED 00 2B B7 EE 00 1B 9D ED 16 0B ?? ?? ?? ?? 0A 9B 5B 1E 0A 93 0A 9A C7 4B 9A 42 14 DB 0A 9A 40 F2 FF 33 9A 42 0F DC 0A 98 9D ED 36 1B 9D ED 38 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 46 0B 9D ED 46 0B 8D ED 1A 0B 0E E0 0A 98 9D ED 36 1B 9D ED 38 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 48 0B 9D ED 48 0B 8D ED 1A 0B 13 E1 9D ED 16 0B BD EE C0 0B 10 EE 10 3A 04 93 04 9B 00 EE 10 3A B8 EE C0 1B 9D ED 16 0B 30 EE 41 0B 8D ED 18 0B 9D ED 18 1B 9D ED 18 0B 21 EE 00 0B 8D ED 08 0B 9D ED 18 1B 9D ED 08 0B 21 EE 00 2B 9F ED A1 1B 9D ED 08 0B 21 EE 00 1B 9F ED 9C 0B 30 EE 01 1B 9D ED 08 0B 21 EE 00 1B 9F ED 96 0B 30 EE 01 1B 9D ED 08 0B 21 EE 00 1B 9F ED 90 0B 30 EE 01 1B 9D ED 08 0B 21 EE 00 1B 9F ED 8A 0B 30 EE 01 1B 9D ED 08 0B 21 EE 00 1B 9F ED 84 0B 30 EE 01 1B 9D ED 08 0B 21 EE 00 1B 9F ED 7E 0B 30 EE 01 0B 22 EE 00 0B 8D ED 4A 0B 9F ED 78 1B 9D ED 08 0B 21 EE 00 1B 9F ED 73 0B 30 EE 01 1B 9D ED 08 0B 21 EE 00 1B 9F ED 6D 0B 30 EE 01 1B 9D ED 08 0B 21 EE 00 1B 9F ED 67 0B 30 EE 01 1B 9D ED 08 0B 21 EE 00 1B 9F ED 61 0B 30 EE 01 1B 9D ED 08 0B 21 EE 00 1B 9F ED 5B 0B 30 EE 01 1B 9D ED 08 0B 21 EE 00 1B B6 EE 00 0B 30 EE 01 1B 9D ED 08 0B 20 EE 01 0B 8D ED 3C 0B 9D ED 18 0B 53 EC 10 2B 06 92 07 93 06 9B 03 F0 78 42 07 9B 06 92 07 93 06 9A 07 9B 43 EC 10 2B 8D ED 32 0B 9D ED 18 1B 9D ED 32 0B 31 EE 40 1B 9D ED 4A 0B 30 EE 01 0B 8D ED 3A 0B 04 9A 08 23 02 FB 03 F2 40 4B 13 44 93 ED 00 1B 9D ED 3A 0B 21 EE 00 2B 04 9A 08 23 02 FB 03 F2 39 4B 13 44 93 ED 00 1B 9D ED 3C 0B 21 EE 00 0B 32 EE 00 2B 04 9A 08 23 02 FB 03 F2 33 4B 13 44 93 ED 00 1B 9D ED 32 0B 21 EE 00 0B 32 EE 00 1B 04 9A 08 23 02 FB 03 F2 2B 4B 13 44 93 ED 00 0B 31 EE 00 2B 04 9A 08 23 02 FB 03 F2 25 4B 13 44 93 ED 00 1B 9D ED 3A 0B 21 EE 00 0B 32 EE 00 2B 04 9A 08 23 02 FB 03 F2 1D 4B 13 44 93 ED 00 1B 9D ED 3C 0B 21 EE 00 0B 32 EE 00 2B 04 9A 08 23 02 FB 03 F2 17 4B 13 44 93 ED 00 1B 9D ED 32 0B 21 EE 00 0B 32 EE 00 1B 04 9A 08 23 02 FB 03 F2 0F 4B 13 44 93 ED 00 0B 31 EE 00 0B 8D ED 1A 0B 12 9B 34 93 13 9B 35 93 35 9A 34 9B 13 43 00 2B 05 D0 9D ED 1A 0B B1 EE 40 0B 8D ED 1A 0B 9D ED 1A 0B 8D ED 14 0B 9D ED 14 0B 4C B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 55 55 55 55 55 A5 3F E5 12 C2 16 6C C1 56 3F 11 90 07 19 A0 01 FA 3E 55 CB F1 69 50 7E 92 3E 20 7B 5B 38 56 EE 21 3E D7 FC 63 7F 4B 98 A9 3D 55 55 55 55 55 55 C5 3F FD 10 11 11 11 11 81 3F 80 EE 01 1A A0 01 2A 3F 7D 3E E1 A4 E3 1D C7 3E C0 61 BE 0F 46 E6 5A 3E BE B7 DC 2B CB 11 E6 3D 8B A0 1E 92 25 41 6B 3D 02 FC FF FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F 00 00 00 00 00 00 00 00 00 00 F0 FF }
	condition:
		$1
}

rule file_142_0_0 {
	meta:
		name = "truncf"
		size = 38
		refs = "0010 _fd_int"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 8D ED 00 0A 00 21 68 46 ?? ?? ?? ?? 9D ED 00 0A 8D ED 01 0A 9D ED 01 0A 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_143_8_0 {
	meta:
		name = "_fgetc_nolock"
		size = 272
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0014 ?valid@__crt_stdio_stream@@QBA_NXZ 0048 _CrtDbgReportW 005c _errno 0074 _invalid_parameter 0082 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 00ac ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 00b4 __acrt_stdio_refill_and_read_narrow_nolock 0100 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0104 ??_C@_1BM@ODJEACKA@?$AA_?$AAf?$AAg?$AAe?$AAt?$AAc?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0108 ??_C@_1FO@HEEKIEFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 31 4B 01 93 33 4B 00 93 00 23 12 22 30 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 12 23 26 4A 24 49 23 48 ?? ?? ?? ?? 6F F0 00 03 04 93 38 E0 03 A8 ?? ?? ?? ?? 0B 90 0B 9B 08 33 07 93 07 9B 1B 68 5A 1E 07 9B 1A 60 03 A8 ?? ?? ?? ?? 0C 90 0C 9B 08 33 1B 68 00 2B 0A DA 03 A8 ?? ?? ?? ?? 0D 90 0D 98 ?? ?? ?? ?? 0E 90 0E 9B 04 93 18 E0 03 A8 ?? ?? ?? ?? 0F 90 0F 9B 1B 68 93 F9 00 30 8D F8 09 30 03 A8 ?? ?? ?? ?? 10 90 10 9B 08 93 08 9B 1B 68 5A 1C 08 9B 1A 60 9D F9 09 30 DB B2 04 93 04 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_9_0 {
	meta:
		name = "_fgetchar"
		size = 36
		refs = "000a __acrt_iob_func 0012 fgetc"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 00 20 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_143_11_0 {
	meta:
		name = "fgetc"
		size = 536
		refs = "0016 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001e ?valid@__crt_stdio_stream@@QBA_NXZ 004e _CrtDbgReportW 0062 _errno 007a _invalid_parameter 008e ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0096 _lock_file 00a4 memcpy 00ac ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 00c4 _fileno 01b4 __jump_unwind 01c4 _fgetc_nolock 01da _unlock_file 01f8 $LN24 01fc ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 0200 ??_C@_1M@FBFFFGJE@?$AAf?$AAg?$AAe?$AAt?$AAc?$AA?$AA@ 0204 ??_C@_1FO@HEEKIEFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0208 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 020c __badioinfo 0210 __pioinfo 0214 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 97 B0 6F 46 82 B0 B9 6E 17 F1 08 00 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 38 71 3B 79 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 75 4B 01 93 71 4B 00 93 00 23 2B 22 6E 49 02 20 ?? ?? ?? ?? 78 63 7B 6B 01 2B 00 D1 FE DE BB 69 00 2B 11 D1 ?? ?? ?? ?? B8 63 BA 6B 16 23 13 60 00 23 00 93 2B 23 63 4A 62 49 66 48 ?? ?? ?? ?? 6F F0 00 03 3B 61 B2 E0 00 23 3B 63 17 F1 08 00 ?? ?? ?? ?? F8 63 F8 6B ?? ?? ?? ?? 17 F1 1C 00 17 F1 08 01 04 22 ?? ?? ?? ?? 17 F1 1C 00 ?? ?? ?? ?? 78 71 7B 79 00 2B 50 D1 17 F1 1C 00 ?? ?? ?? ?? 38 64 38 6C ?? ?? ?? ?? 78 64 7B 6C 3B 60 3B 68 B3 F1 FF 3F 14 D0 3B 68 13 F1 02 0F 10 D0 3B 68 9A 11 04 23 02 FB 03 F2 49 4B 99 18 3B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 3B 62 01 E0 42 4B 3B 62 3B 6A 29 33 93 F9 00 30 00 2B 21 D1 3B 68 B3 F1 FF 3F 14 D0 3B 68 13 F1 02 0F 10 D0 3B 68 9A 11 04 23 02 FB 03 F2 39 4B 99 18 3B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 7B 62 01 E0 32 4B 7B 62 7B 6A 2D 33 1B 78 03 F0 01 03 00 2B 02 D0 00 23 BB 62 01 E0 01 23 BB 62 BB 6A FB 62 FB 6A 00 2B 0E D1 24 4B 01 93 26 4B 00 93 00 23 32 22 23 49 02 20 ?? ?? ?? ?? B8 64 BB 6C 01 2B 00 D1 FE DE FB 6A 00 2B 15 D1 ?? ?? ?? ?? F8 64 FA 6C 16 23 13 60 00 23 00 93 32 23 19 4A 17 49 16 48 ?? ?? ?? ?? 6F F0 00 03 BB 65 12 49 07 F1 70 00 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 38 65 38 6D ?? ?? ?? ?? 78 65 7B 6D 3B 63 17 F1 08 00 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? 3B 6B 3B 61 03 E0 02 E0 00 BF BB 6D 3B 61 38 69 19 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_143_12_0 {
	meta:
		name = "fgetc$fin$0"
		size = 26
		refs = "0008 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0010 _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 17 F1 08 00 ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_144_5_0 {
	meta:
		name = "_mbsrchr_l"
		size = 196
		refs = "0014 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002a _CrtDbgReportW 0034 _errno 0048 _invalid_parameter 005a strrchr 00b4 ??_C@_1HA@PKBIDOBK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00b8 ??_C@_1BG@JBLBIELB@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAc?$AAh?$AAr?$AA_?$AAl?$AA?$AA@ 00bc ??_C@_1BO@JMOFMIDF@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 87 B0 0E 46 04 46 02 A8 11 46 00 25 ?? ?? ?? ?? D4 B9 29 4B 27 4C 25 49 00 93 00 23 35 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 1E 49 1D 4A 00 23 00 93 35 23 20 46 ?? ?? ?? ?? 00 25 22 E0 04 98 83 68 2B B9 31 46 20 46 ?? ?? ?? ?? 05 46 19 E0 22 78 50 FA 82 F3 5B 7E 11 46 13 F0 04 0F 0A D0 64 1C 22 78 2A B1 42 EA 01 23 9E 42 06 D1 65 1E 04 E0 00 2D 00 E0 96 42 08 BF 25 46 00 2A 04 F1 01 04 E5 D1 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 28 46 07 B0 BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_145_0_0 {
	meta:
		name = "??$common_wincmdln@D@@YAPADXZ"
		size = 200
		refs = "000a ?do_locale_initialization@@YAXD@Z 0010 ?get_command_line@@YAPADD@Z 007e ?should_copy_another_character@@YA_ND@Z 00c4 ?empty_string@?1???$common_wincmdln@D@@YAPADXZ@4PADA"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 00 20 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 04 90 04 9B 00 2B 02 D1 29 4B 02 93 05 E0 00 20 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 01 93 00 23 8D F8 00 30 01 9B 93 F9 00 30 20 2B 08 DC 01 9B 93 F9 00 30 00 2B 27 D0 9D F8 00 30 00 2B 23 D0 01 9B 93 F9 00 30 22 2B 0C D1 9D F8 00 30 00 2B 02 D1 01 23 03 93 01 E0 00 23 03 93 03 9B DB B2 8D F8 00 30 01 9B 93 F9 00 00 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 02 D0 01 9B 5B 1C 01 93 01 9B 5B 1C 01 93 CD E7 01 9B 93 F9 00 30 00 2B 08 D0 01 9B 93 F9 00 30 20 2B 03 DC 01 9B 5B 1C 01 93 F1 E7 01 9B 06 93 06 98 08 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_145_1_0 {
	meta:
		name = "??$common_wincmdln@_W@@YAPA_WXZ"
		size = 188
		refs = "000a ?do_locale_initialization@@YAX_W@Z 0010 ?get_command_line@@YAPA_W_W@Z 0076 ?should_copy_another_character@@YA_N_W@Z 00b8 ?empty_string@?1???$common_wincmdln@_W@@YAPA_WXZ@4PA_WA"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 00 20 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 04 90 04 9B 00 2B 02 D1 26 4B 02 93 05 E0 00 20 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 01 93 00 23 8D F8 00 30 01 9B 1B 88 20 2B 07 DC 01 9B 1B 88 00 2B 25 D0 9D F8 00 30 00 2B 21 D0 01 9B 1B 88 22 2B 0C D1 9D F8 00 30 00 2B 02 D1 01 23 03 93 01 E0 00 23 03 93 03 9B DB B2 8D F8 00 30 01 9B 18 88 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 02 D0 01 9B 9B 1C 01 93 01 9B 9B 1C 01 93 D1 E7 01 9B 1B 88 00 2B 07 D0 01 9B 1B 88 20 2B 03 DC 01 9B 9B 1C 01 93 F3 E7 01 9B 06 93 06 98 08 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_146_1_0 {
	meta:
		name = "??$__crt_time_elapsed_leap_years@_J@@YA_J_J@Z"
		size = 138
		refs = "001c __rt_sdiv64"
	strings:
		$1 = { 03 B4 2D E9 70 48 0D F1 0C 0B 8B B0 10 9A 11 99 00 23 52 1E 61 EB 03 03 04 20 00 21 ?? ?? ?? ?? 05 93 04 92 0E 46 04 46 10 9A 11 99 00 23 52 1E 61 EB 03 03 64 20 00 21 ?? ?? ?? ?? 07 93 06 92 25 1A 66 EB 01 04 10 98 11 99 40 F2 2B 12 00 23 12 18 4B 41 4F F4 C8 70 00 21 ?? ?? ?? ?? 09 93 08 92 2A 18 44 EB 01 03 00 92 01 93 00 9A 01 99 00 23 11 3A 61 EB 03 03 02 92 03 93 02 98 03 99 0B B0 BD E8 70 08 5D F8 0C FB }
	condition:
		$1
}

rule file_146_3_0 {
	meta:
		name = "??$__crt_time_is_leap_year@_J@@YA_N_J@Z"
		size = 124
		refs = "0012 __rt_sdiv64"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 04 20 00 21 0A 9A 0B 9B ?? ?? ?? ?? 03 91 02 90 13 43 00 2B 0E D1 64 20 00 21 0A 9A 0B 9B ?? ?? ?? ?? 05 91 04 90 13 43 00 2B 03 D0 01 23 8D F8 00 30 17 E0 0A 98 0B 99 40 F2 6C 72 00 23 12 18 4B 41 4F F4 C8 70 00 21 ?? ?? ?? ?? 07 91 06 90 13 43 00 2B 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_146_4_0 {
	meta:
		name = "??$common_mktime@J@@YAJQAUtm@@_N@Z"
		size = 1276
		refs = "000a __security_push_cookie 0046 _CrtDbgReportW 005a _errno 0078 _invalid_parameter 00c8 __rt_sdiv 013c ??$__crt_time_is_leap_year@J@@YA_NJ@Z 015e ??$__crt_time_elapsed_leap_years@J@@YAJJ@Z 0396 __tzset 03a4 _get_dstbias 03ba _invoke_watson_if_error 03c0 _get_timezone 03ee ??$localtime_s@PAUtm@@PAJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@$$QAPAJ@Z 046a ??$gmtime_s@PAUtm@@PAJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@$$QAPAJ@Z 04d2 __security_pop_cookie 04e0 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 04e4 ??_C@_1BM@LDPGAOBM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 04e8 ??_C@_1FO@CHGNNDIK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 04ec ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 04f0 _days 04f4 ??_C@_1BM@HLJHENEG@?$AAt?$AAb?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 04f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? B9 B0 6F F0 00 03 2E 93 3E 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 11 D1 DF F8 C0 34 01 93 DF F8 C0 34 00 93 00 23 24 22 DF F8 A4 14 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 14 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 24 23 DF F8 78 24 DF F8 70 14 DF F8 7C 04 ?? ?? ?? ?? 6F F0 00 03 05 93 24 E2 3E 9B 14 33 1B 68 02 93 02 9B 45 2B 02 DB 02 9B 8B 2B 09 D9 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 6F F0 00 03 05 93 10 E2 3E 9B 10 33 1B 68 00 2B 04 DB 3E 9B 10 33 1B 68 0B 2B 32 DD 3E 9B 10 33 19 68 0C 20 ?? ?? ?? ?? 02 9B 03 44 02 93 3E 9B 10 33 19 68 0C 20 ?? ?? ?? ?? 0B 91 3E 9B 03 F1 10 02 0B 9B 13 60 0B 9B 00 2B 0A DA 3E 9B 10 33 1B 68 03 F1 0C 02 3E 9B 10 33 1A 60 02 9B 5B 1E 02 93 02 9B 45 2B 02 DB 02 9B 8B 2B 09 D9 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 6F F0 00 03 05 93 D3 E1 3E 9B 10 33 1A 68 04 23 02 FB 03 F2 EF 4B 13 44 1B 68 03 93 02 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 07 D0 3E 9B 10 33 1B 68 01 2B 02 DD 03 9B 5B 1C 03 93 02 98 ?? ?? ?? ?? 18 90 02 9B A3 F1 46 02 40 F2 6D 13 02 FB 03 F2 18 9B 13 44 04 93 04 9A 03 9B 13 44 04 93 3E 9B 0C 33 1B 68 03 93 04 9A 03 9B 13 44 02 93 04 9B 00 2B 05 DB 03 9B 00 2B 02 DB 02 9B 00 2B 08 DB 04 9B 00 2B 0F DA 03 9B 00 2B 0C DA 02 9B 00 2B 09 DB ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 6F F0 00 03 05 93 82 E1 02 9A 18 23 02 FB 03 F3 03 93 02 9B 00 2B 10 D0 03 99 02 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 18 28 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 01 E0 00 23 0D 93 0D 9B 00 2B 09 D0 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 6F F0 00 03 05 93 5A E1 3E 9B 08 33 1B 68 04 93 03 9A 04 9B 13 44 02 93 03 9B 00 2B 05 DB 04 9B 00 2B 02 DB 02 9B 00 2B 08 DB 03 9B 00 2B 0F DA 04 9B 00 2B 0C DA 02 9B 00 2B 09 DB ?? ?? ?? ?? 1B 90 1B 9A 16 23 13 60 6F F0 00 03 05 93 36 E1 02 9A 3C 23 02 FB 03 F3 03 93 02 9B 00 2B 10 D0 03 99 02 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 3C 28 02 D0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 01 E0 00 23 0F 93 0F 9B 00 2B 09 D0 ?? ?? ?? ?? 1C 90 1C 9A 16 23 13 60 6F F0 00 03 05 93 0E E1 3E 9B 1B 1D 1B 68 04 93 03 9A 04 9B 13 44 02 93 03 9B 00 2B 05 DB 04 9B 00 2B 02 DB 02 9B 00 2B 08 DB 03 9B 00 2B 0F DA 04 9B 00 2B 0C DA 02 9B 00 2B 09 DB ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 6F F0 00 03 05 93 EA E0 02 9A 3C 23 02 FB 03 F3 03 93 02 9B 00 2B 10 D0 03 99 02 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 3C 28 02 D0 01 23 10 93 01 E0 00 23 10 93 10 9B 11 93 01 E0 00 23 11 93 11 9B 00 2B 09 D0 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 6F F0 00 03 05 93 C2 E0 3E 9B 1B 68 04 93 03 9A 04 9B 13 44 02 93 03 9B 00 2B 05 DB 04 9B 00 2B 02 DB 02 9B 00 2B 08 DB 03 9B 00 2B 0F DA 04 9B 00 2B 0C DA 02 9B 00 2B 09 DB ?? ?? ?? ?? 1F 90 1F 9A 16 23 13 60 6F F0 00 03 05 93 9F E0 9D F8 FC 30 00 2B 63 D0 ?? ?? ?? ?? 00 23 13 93 00 23 12 93 13 A8 ?? ?? ?? ?? 20 90 00 23 01 93 80 23 00 93 4D 4B 4B 4A 4D 49 20 98 ?? ?? ?? ?? 12 A8 ?? ?? ?? ?? 21 90 00 23 01 93 81 23 00 93 46 4B 44 4A 43 49 21 98 ?? ?? ?? ?? 02 9A 12 9B 13 44 02 93 02 AB 22 93 30 AB 23 93 22 A9 23 A8 ?? ?? ?? ?? 24 90 24 9B 00 2B 09 D0 ?? ?? ?? ?? 25 90 25 9A 16 23 13 60 6F F0 00 03 05 93 5F E0 3E 9B 20 33 1B 68 00 2B 07 DC 3E 9B 20 33 1B 68 00 2B 1C DA 38 9B 00 2B 19 DD 02 9A 13 9B 13 44 02 93 02 AB 26 93 30 AB 27 93 26 A9 27 A8 ?? ?? ?? ?? 28 90 28 9B 00 2B 09 D0 ?? ?? ?? ?? 29 90 29 9A 16 23 13 60 6F F0 00 03 05 93 38 E0 15 E0 02 AB 2A 93 30 AB 2B 93 2A A9 2B A8 ?? ?? ?? ?? 2C 90 2C 9B 00 2B 09 D0 ?? ?? ?? ?? 2D 90 2D 9A 16 23 13 60 6F F0 00 03 05 93 21 E0 3E 9A 30 AB 07 92 08 93 07 9D 08 9C 94 E8 0F 00 85 E8 0F 00 08 9B 10 33 08 93 07 9B 10 33 07 93 07 9D 08 9C 94 E8 0F 00 85 E8 0F 00 08 9B 10 33 08 93 07 9B 10 33 07 93 07 9A 08 9B 1B 68 13 60 02 9B 05 93 05 98 39 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_146_5_0 {
	meta:
		name = "??$common_mktime@_J@@YA_JQAUtm@@_N@Z"
		size = 2304
		refs = "000a __security_push_cookie 004e _CrtDbgReportW 0062 _errno 0080 _invalid_parameter 0112 __rt_sdiv 01dc ??$__crt_time_is_leap_year@_J@@YA_N_J@Z 0208 ??$__crt_time_elapsed_leap_years@_J@@YA_J_J@Z 0376 __rt_sdiv64 076c __tzset 077a _get_dstbias 0790 _invoke_watson_if_error 0796 _get_timezone 07ce ??$localtime_s@PAUtm@@PA_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@$$QAPA_J@Z 0860 ??$gmtime_s@PAUtm@@PA_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@$$QAPA_J@Z 08d6 __security_pop_cookie 08e4 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 08e8 ??_C@_1BM@LDPGAOBM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 08ec ??_C@_1FO@CHGNNDIK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 08f0 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 08f4 _days 08f8 ??_C@_1BM@HLJHENEG@?$AAt?$AAb?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 08fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? AD F5 2D 7D 6F F0 00 03 9C 93 6F F0 00 03 9D 93 B2 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 11 D1 DF F8 BC 38 01 93 DF F8 BC 38 00 93 00 23 24 22 DF F8 A0 18 02 20 ?? ?? ?? ?? 57 90 57 9B 01 2B 00 D1 FE DE 10 9B 00 2B 18 D1 ?? ?? ?? ?? 58 90 58 9A 16 23 13 60 00 23 00 93 24 23 DF F8 74 28 DF F8 6C 18 DF F8 78 08 ?? ?? ?? ?? 6F F0 00 03 08 93 6F F0 00 03 09 93 00 F0 1D BC B2 9B 14 33 1B 68 11 93 11 9A 11 9B DB 17 02 92 03 93 02 9B 5C 93 03 9B 5D 93 5C 9B 59 93 5D 9B 00 2B 11 DB 02 DC 59 9B 45 2B 0D D3 02 9B 5E 93 03 9B 5F 93 5E 9B 5A 93 5F 9B 00 2B 04 D8 5A 9A 40 F2 4E 43 9A 42 0C D9 ?? ?? ?? ?? 23 90 23 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 EB E3 B2 9B 10 33 1B 68 00 2B 04 DB B2 9B 10 33 1B 68 0B 2B 56 DD B2 9B 10 33 19 68 0C 20 ?? ?? ?? ?? 12 90 12 98 12 9B D9 17 02 9A 03 9B 12 18 4B 41 02 92 03 93 B2 9B 10 33 19 68 0C 20 ?? ?? ?? ?? 13 91 B2 9B 03 F1 10 02 13 9B 13 60 13 9B 00 2B 0F DA B2 9B 10 33 1B 68 03 F1 0C 02 B2 9B 10 33 1A 60 02 9A 03 99 00 23 52 1E 61 EB 03 03 02 92 03 93 02 9B 60 93 03 9B 61 93 60 9B 24 93 61 9B 00 2B 11 DB 02 DC 24 9B 45 2B 0D D3 02 9B 62 93 03 9B 63 93 62 9B 25 93 63 9B 00 2B 04 D8 25 9A 40 F2 4E 43 9A 42 0C D9 ?? ?? ?? ?? 26 90 26 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 8A E3 B2 9B 10 33 1A 68 04 23 02 FB 03 F2 DF F8 2C 37 13 44 1B 68 14 93 14 9A 14 9B DB 17 04 92 05 93 02 98 03 99 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 0B D0 B2 9B 10 33 1B 68 01 2B 06 DD 04 9A 05 99 00 23 52 1C 4B 41 04 92 05 93 02 98 03 99 ?? ?? ?? ?? 65 91 64 90 02 9B 03 99 00 22 46 3B 91 41 15 93 15 9A 00 23 02 FB 03 F2 40 F2 6D 13 01 FB 03 F3 D1 18 15 9A 40 F2 6D 13 A2 FB 03 03 19 44 64 9A 65 9B 12 18 4B 41 06 92 07 93 06 98 07 99 04 9A 05 9B 12 18 4B 41 06 92 07 93 B2 9B 0C 33 1B 68 16 93 16 9A 16 9B DB 17 04 92 05 93 06 98 07 99 04 9A 05 9B 12 18 4B 41 02 92 03 93 06 9B 66 93 07 9B 67 93 66 9B 27 93 67 9B 00 2B 1D DB 02 DC 27 9B 00 2B 19 D3 04 9B 68 93 05 9B 69 93 68 9B 28 93 69 9B 00 2B 10 DB 02 DC 28 9B 00 2B 0C D3 02 9B 6A 93 03 9B 6B 93 6A 9B 29 93 6B 9B 00 2B 2A DB 02 DC 29 9B 00 2B 26 D3 06 9B 6C 93 07 9B 6D 93 6C 9B 2A 93 6D 9B 00 2B 2A DC 02 DB 2A 9B 00 2B 26 D2 04 9B 6E 93 05 9B 6F 93 6E 9B 2B 93 6F 9B 00 2B 1D DC 02 DB 2B 9B 00 2B 19 D2 02 9B 70 93 03 9B 71 93 70 9B 2C 93 71 9B 00 2B 10 DB 02 DC 2C 9B 00 2B 0C D3 ?? ?? ?? ?? 2D 90 2D 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 CF E2 02 9B 03 99 17 93 17 9A 00 23 02 FB 03 F2 18 23 01 FB 03 F3 D1 18 17 9A 18 23 A2 FB 03 23 0B 44 04 92 05 93 02 9B 72 93 03 9B 73 93 73 9A 72 9B 13 43 00 2B 1A D0 02 98 03 99 04 9A 05 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 9F 93 9E 92 2E 91 18 28 02 D1 2E 9B 00 2B 02 D0 01 23 18 93 01 E0 00 23 18 93 18 9B 19 93 01 E0 00 23 19 93 19 9B 00 2B 0C D0 ?? ?? ?? ?? 2F 90 2F 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 87 E2 B2 9B 08 33 1B 68 1A 93 1A 9A 1A 9B DB 17 06 92 07 93 04 98 05 99 06 9A 07 9B 12 18 4B 41 02 92 03 93 04 9B 74 93 05 9B 75 93 74 9B 30 93 75 9B 00 2B 1D DB 02 DC 30 9B 00 2B 19 D3 06 9B 76 93 07 9B 77 93 76 9B 31 93 77 9B 00 2B 10 DB 02 DC 31 9B 00 2B 0C D3 02 9B 78 93 03 9B 79 93 78 9B 32 93 79 9B 00 2B 2A DB 02 DC 32 9B 00 2B 26 D3 04 9B 7A 93 05 9B 7B 93 7A 9B 33 93 7B 9B 00 2B 2A DC 02 DB 33 9B 00 2B 26 D2 06 9B 7C 93 07 9B 7D 93 7C 9B 34 93 7D 9B 00 2B 1D DC 02 DB 34 9B 00 2B 19 D2 02 9B 7E 93 03 9B 7F 93 7E 9B 35 93 7F 9B 00 2B 10 DB 02 DC 35 9B 00 2B 0C D3 ?? ?? ?? ?? 36 90 36 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 1B E2 02 9B 03 99 1B 93 1B 9A 00 23 02 FB 03 F2 3C 23 01 FB 03 F3 D1 18 1B 9A 3C 23 A2 FB 03 23 0B 44 04 92 05 93 02 9B 80 93 03 9B 81 93 81 9A 80 9B 13 43 00 2B 1A D0 02 98 03 99 04 9A 05 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? A1 93 A0 92 37 91 3C 28 02 D1 37 9B 00 2B 02 D0 01 23 1C 93 01 E0 00 23 1C 93 1C 9B 1D 93 01 E0 00 23 1D 93 1D 9B 00 2B 0C D0 ?? ?? ?? ?? 38 90 38 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 D3 E1 B2 9B 1B 1D 1B 68 1E 93 1E 9A 1E 9B DB 17 06 92 07 93 04 98 05 99 06 9A 07 9B 12 18 4B 41 02 92 03 93 04 9B 82 93 05 9B 83 93 82 9B 39 93 83 9B 00 2B 1D DB 02 DC 39 9B 00 2B 19 D3 06 9B 84 93 07 9B 85 93 84 9B 3A 93 85 9B 00 2B 10 DB 02 DC 3A 9B 00 2B 0C D3 02 9B 86 93 03 9B 87 93 86 9B 3B 93 87 9B 00 2B 2A DB 02 DC 3B 9B 00 2B 26 D3 04 9B 88 93 05 9B 89 93 88 9B 3C 93 89 9B 00 2B 2A DC 02 DB 3C 9B 00 2B 26 D2 06 9B 8A 93 07 9B 8B 93 8A 9B 3D 93 8B 9B 00 2B 1D DC 02 DB 3D 9B 00 2B 19 D2 02 9B 8C 93 03 9B 8D 93 8C 9B 3E 93 8D 9B 00 2B 10 DB 02 DC 3E 9B 00 2B 0C D3 ?? ?? ?? ?? 3F 90 3F 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 67 E1 02 9B 03 99 1F 93 1F 9A 00 23 02 FB 03 F2 3C 23 01 FB 03 F3 D1 18 1F 9A 3C 23 A2 FB 03 23 0B 44 04 92 05 93 02 9B 8E 93 03 9B 8F 93 8F 9A 8E 9B 13 43 00 2B 1A D0 02 98 03 99 04 9A 05 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? A3 93 A2 92 40 91 3C 28 02 D1 40 9B 00 2B 02 D0 01 23 20 93 01 E0 00 23 20 93 20 9B 21 93 01 E0 00 23 21 93 21 9B 00 2B 0C D0 ?? ?? ?? ?? 41 90 41 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 1F E1 B2 9B 1B 68 22 93 22 9A 22 9B DB 17 06 92 07 93 04 98 05 99 06 9A 07 9B 12 18 4B 41 02 92 03 93 04 9B 90 93 05 9B 91 93 90 9B 42 93 91 9B 00 2B 1D DB 02 DC 42 9B 00 2B 19 D3 06 9B 92 93 07 9B 93 93 92 9B 43 93 93 9B 00 2B 10 DB 02 DC 43 9B 00 2B 0C D3 02 9B 94 93 03 9B 95 93 94 9B 44 93 95 9B 00 2B 2A DB 02 DC 44 9B 00 2B 26 D3 04 9B 96 93 05 9B 97 93 96 9B 45 93 97 9B 00 2B 2A DC 02 DB 45 9B 00 2B 26 D2 06 9B 98 93 07 9B 99 93 98 9B 46 93 99 9B 00 2B 1D DC 02 DB 46 9B 00 2B 19 D2 02 9B 9A 93 03 9B 9B 93 9A 9B 47 93 9B 9B 00 2B 10 DB 02 DC 47 9B 00 2B 0C D3 ?? ?? ?? ?? 48 90 48 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 B4 E0 9D F8 CC 32 00 2B 73 D0 ?? ?? ?? ?? 00 23 0E 93 00 23 0D 93 0E A8 ?? ?? ?? ?? 49 90 00 23 01 93 80 23 00 93 58 4B 57 4A 58 49 49 98 ?? ?? ?? ?? 0D A8 ?? ?? ?? ?? 4A 90 00 23 01 93 81 23 00 93 51 4B 50 4A 4E 49 4A 98 ?? ?? ?? ?? 0D 98 0D 9B D9 17 02 9A 03 9B 12 18 4B 41 02 92 03 93 02 AB 4B 93 A4 AB 4C 93 4B A9 4C A8 ?? ?? ?? ?? 4D 90 4D 9B 00 2B 0C D0 ?? ?? ?? ?? 4E 90 4E 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 6C E0 B2 9B 20 33 1B 68 00 2B 07 DC B2 9B 20 33 1B 68 00 2B 24 DA AC 9B 00 2B 21 DD 0E 98 0E 9B D9 17 02 9A 03 9B 12 18 4B 41 02 92 03 93 02 AB 4F 93 A4 AB 50 93 4F A9 50 A8 ?? ?? ?? ?? 51 90 51 9B 00 2B 0C D0 ?? ?? ?? ?? 52 90 52 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 3D E0 18 E0 02 AB 53 93 A4 AB 54 93 53 A9 54 A8 ?? ?? ?? ?? 55 90 55 9B 00 2B 0C D0 ?? ?? ?? ?? 56 90 56 9A 16 23 13 60 6F F0 00 03 08 93 6F F0 00 03 09 93 23 E0 B2 9A A4 AB 0B 92 0C 93 0B 9D 0C 9C 94 E8 0F 00 85 E8 0F 00 0C 9B 10 33 0C 93 0B 9B 10 33 0B 93 0B 9D 0C 9C 94 E8 0F 00 85 E8 0F 00 0C 9B 10 33 0C 93 0B 9B 10 33 0B 93 0B 9A 0C 9B 1B 68 13 60 02 9A 03 9B 08 92 09 93 08 98 09 99 0D F5 2D 7D ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_146_6_0 {
	meta:
		name = "??$gmtime_s@PAUtm@@PAJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@$$QAPAJ@Z"
		size = 40
		refs = "0012 _gmtime32_s"
		altNames = "??$gmtime_s@ABQAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAHABQAUtm@@ABQBJ@Z ??$gmtime_s@ABQAUtm@@PAJ@?$__crt_integer_traits@J@@SAHABQAUtm@@$$QAPAJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_691_6_2 {
	meta:
		name = "??$futime@AAHABQAU__utimbuf32@@@?$__crt_integer_traits@J@@SAHAAHABQAU__utimbuf32@@@Z"
		size = 40
		refs = "0012 _futime32"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_691_7_0 {
	meta:
		name = "??$futime@AAHABQAU__utimbuf64@@@?$__crt_integer_traits@_J@@SAHAAHABQAU__utimbuf64@@@Z"
		size = 40
		refs = "0012 _futime64"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_254_10_3 {
	meta:
		name = "??$get_temp_path@KABQAD@?$__crt_char_traits@D@@SAK$$QAKABQAD@Z"
		size = 40
		refs = "0012 __acrt_GetTempPathA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_216_5_4 {
	meta:
		name = "??$gmtime_s@ABQAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@ABQB_J@Z"
		size = 40
		refs = "0012 _gmtime64_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_216_7_3 {
	meta:
		name = "??$gmtime_s@ABQAUtm@@PA_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@$$QAPA_J@Z"
		size = 40
		refs = "0012 _gmtime64_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_146_7_0 {
	meta:
		name = "??$gmtime_s@PAUtm@@PA_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@$$QAPA_J@Z"
		size = 40
		refs = "0012 _gmtime64_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_216_8_2 {
	meta:
		name = "??$localtime_s@ABQAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAHABQAUtm@@ABQBJ@Z"
		size = 40
		refs = "0012 _localtime32_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_216_9_2 {
	meta:
		name = "??$localtime_s@ABQAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@ABQB_J@Z"
		size = 40
		refs = "0012 _localtime64_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_561_8_2 {
	meta:
		name = "??$localtime_s@PAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@ABQBJ@Z"
		size = 40
		refs = "0012 _localtime32_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_561_9_0 {
	meta:
		name = "??$localtime_s@PAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@ABQB_J@Z"
		size = 40
		refs = "0012 _localtime64_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_691_8_3 {
	meta:
		name = "??$localtime_s@PAUtm@@PAJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@$$QAPAJ@Z"
		size = 40
		refs = "0012 _localtime32_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_691_9_4 {
	meta:
		name = "??$localtime_s@PAUtm@@PA_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@$$QAPA_J@Z"
		size = 40
		refs = "0012 _localtime64_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_254_16_4 {
	meta:
		name = "??$taccess_s@ABQADH@?$__crt_char_traits@D@@SAHABQAD$$QAH@Z"
		size = 40
		refs = "0012 _access_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_324_5_4 {
	meta:
		name = "??$taccess_s@ABQA_WH@?$__crt_char_traits@_W@@SAHABQA_W$$QAH@Z"
		size = 40
		refs = "0012 _waccess_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_18_2 {
	meta:
		name = "??$taccess_s@ABQBDH@?$__crt_char_traits@D@@SAHABQBD$$QAH@Z"
		size = 40
		refs = "0012 _access_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_19_4 {
	meta:
		name = "??$taccess_s@ABQB_WH@?$__crt_char_traits@_W@@SAHABQB_W$$QAH@Z"
		size = 40
		refs = "0012 _waccess_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_20_4 {
	meta:
		name = "??$taccess_s@PBDH@?$__crt_char_traits@D@@SAH$$QAPBD$$QAH@Z"
		size = 40
		refs = "0012 _access_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_21_2 {
	meta:
		name = "??$taccess_s@PB_WH@?$__crt_char_traits@_W@@SAH$$QAPB_W$$QAH@Z"
		size = 40
		refs = "0012 _waccess_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_324_8_0 {
	meta:
		name = "??$tcsnlen@ABQADABI@?$__crt_char_traits@D@@SAIABQADABI@Z"
		size = 40
		refs = "0012 strnlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_324_9_4 {
	meta:
		name = "??$tcsnlen@ABQA_WABI@?$__crt_char_traits@_W@@SAIABQA_WABI@Z"
		size = 40
		refs = "0012 wcsnlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_111_0 {
	meta:
		name = "??$tcsnlen@ABQBDABI@?$__crt_char_traits@D@@SAIABQBDABI@Z"
		size = 40
		refs = "0012 strnlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_112_0 {
	meta:
		name = "??$tcsnlen@ABQB_WABI@?$__crt_char_traits@_W@@SAIABQB_WABI@Z"
		size = 40
		refs = "0012 wcsnlen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_353_8_2 {
	meta:
		name = "??$tgetcwd@ABQADH@?$__crt_char_traits@D@@SAPADABQAD$$QAH@Z"
		size = 40
		refs = "0012 _getcwd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_353_9_4 {
	meta:
		name = "??$tgetcwd@ABQA_WH@?$__crt_char_traits@_W@@SAPA_WABQA_W$$QAH@Z"
		size = 40
		refs = "0012 _wgetcwd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_116_3 {
	meta:
		name = "??$ungettc_nolock@ABHPAU_iobuf@@@?$__crt_char_traits@D@@SAHABH$$QAPAU_iobuf@@@Z"
		size = 40
		refs = "0012 _ungetc_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_146_12_0 {
	meta:
		name = "_mkgmtime64"
		size = 44
		refs = "000e ??$common_mktime@_J@@YA_JQAUtm@@_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 21 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_146_13_0 {
	meta:
		name = "_mktime32"
		size = 36
		refs = "000e ??$common_mktime@J@@YAJQAUtm@@_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_270_0_0 {
	meta:
		name = "_msize"
		size = 36
		refs = "000e _msize_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_146_14_0 {
	meta:
		name = "_mktime64"
		size = 44
		refs = "000e ??$common_mktime@_J@@YA_JQAUtm@@_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 01 21 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_147_0_0 {
	meta:
		name = "??$common_tcscat_s@D@@YAHQADIQBD@Z"
		size = 884
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0094 _CrtGetDebugFillThreshold 00bc memset 0350 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0354 ??_C@_1CA@EOJJMFA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 0358 ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 035c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0360 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0364 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0368 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 036c ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0370 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A2 B0 24 9B 00 2B 05 D0 25 9B 00 2B 02 D9 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 D1 4B 01 93 CB 4B 00 93 00 23 19 22 C8 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 19 23 BD 4A BC 49 C2 48 ?? ?? ?? ?? 16 23 04 93 69 E1 26 9B 00 2B 54 D1 24 9A 00 23 13 70 25 9B B3 F1 FF 3F 1D D0 25 9A 6F F0 00 43 9A 42 18 D0 25 9B 01 2B 15 D9 ?? ?? ?? ?? 18 90 18 9B 08 93 25 9B 5A 1E 08 9B 93 42 02 D2 08 9B 09 93 02 E0 25 9B 5B 1E 09 93 09 9A FE 21 24 9B 58 1C ?? ?? ?? ?? 26 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 A4 4B 01 93 9F 4B 00 93 00 23 1A 22 9C 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 1A 23 91 4A 90 49 95 48 ?? ?? ?? ?? 16 23 04 93 11 E1 24 9B 03 93 25 9B 02 93 02 9B 00 2B 0B D9 03 9B 93 F9 00 30 00 2B 06 D0 03 9B 5B 1C 03 93 02 9B 5B 1E 02 93 F0 E7 02 9B 00 2B 55 D1 24 9A 00 23 13 70 25 9B B3 F1 FF 3F 1D D0 25 9A 6F F0 00 43 9A 42 18 D0 25 9B 01 2B 15 D9 ?? ?? ?? ?? 1B 90 1B 9B 0C 93 25 9B 5A 1E 0C 9B 93 42 02 D2 0C 9B 0D 93 02 E0 25 9B 5B 1E 0D 93 0D 9A FE 21 24 9B 58 1C ?? ?? ?? ?? 74 4B 00 2B 03 D0 02 E0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 6C 4B 01 93 69 4B 00 93 00 23 27 22 66 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 10 D1 ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 00 23 00 93 27 23 5B 4A 5A 49 5D 48 ?? ?? ?? ?? 16 23 04 93 A5 E0 26 9B 05 93 05 9B 93 F9 00 20 03 9B 1A 70 03 9B 93 F9 00 20 03 9B 5B 1C 03 93 05 9B 5B 1C 05 93 00 2A 06 D0 02 9B 5B 1E 02 93 02 9B 00 2B 00 D9 E8 E7 02 9B 00 2B 55 D1 24 9A 00 23 13 70 25 9B B3 F1 FF 3F 1D D0 25 9A 6F F0 00 43 9A 42 18 D0 25 9B 01 2B 15 D9 ?? ?? ?? ?? 1E 90 1E 9B 10 93 25 9B 5A 1E 10 9B 93 42 02 D2 10 9B 11 93 02 E0 25 9B 5B 1E 11 93 11 9A FE 21 24 9B 58 1C ?? ?? ?? ?? 39 4B 00 2B 03 D0 02 E0 01 23 12 93 01 E0 00 23 12 93 12 9B 13 93 13 9B 00 2B 0E D1 2E 4B 01 93 30 4B 00 93 00 23 32 22 2D 49 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 13 9B 00 2B 10 D1 ?? ?? ?? ?? 20 90 20 9A 22 23 13 60 00 23 00 93 32 23 22 4A 21 49 1F 48 ?? ?? ?? ?? 22 23 04 93 33 E0 25 9B B3 F1 FF 3F 2D D0 25 9A 6F F0 00 43 9A 42 28 D0 25 9A 02 9B D3 1A 5A 1C 25 9B 9A 42 21 D2 ?? ?? ?? ?? 21 90 21 9B 14 93 25 9A 02 9B D3 1A 5A 1C 25 9B 9A 1A 14 9B 93 42 02 D2 14 9B 15 93 06 E0 25 9A 02 9B D3 1A 5A 1C 25 9B 9B 1A 15 93 15 9A FE 21 25 98 02 9B C3 1A 58 1C 24 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 22 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_148_0_0 {
	meta:
		name = "_dscale"
		size = 956
		refs = "0078 _dnorm 03b8 _Inf_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 04 93 04 9B 9B 1D 1A 88 47 F6 F0 73 13 40 1B 11 1B B2 AD F8 02 30 BD F9 02 20 40 F2 FF 73 9A 42 1F D1 04 9B 9B 1D 1B 88 03 F0 0F 03 00 2B 10 D1 04 9B 1B 1D 1B 88 00 2B 0B D1 04 9B 9B 1C 1B 88 00 2B 06 D1 04 9B 1B 88 00 2B 02 D1 01 23 06 93 01 E0 02 23 06 93 06 9B 1B B2 AD F8 14 30 9E E1 14 E0 BD F9 02 30 00 2B 10 D1 04 98 ?? ?? ?? ?? AD F8 0E 00 BD F9 0E 30 AD F8 02 30 BD F9 02 30 00 2B 03 DD 00 23 AD F8 14 30 88 E1 0F 9B 00 2B 24 DD BD F9 02 20 40 F2 FF 73 9A 1A 0F 9B 9A 42 1C DC 04 9B 9B 1D 1B 88 13 F4 00 4F 07 D0 BF 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0A 0B 04 E0 BB 4B 93 ED 00 0B 8D ED 0A 0B 9D ED 0A 0B 0E 9B 83 ED 00 0B 01 23 AD F8 14 30 61 E1 60 E1 BD F9 02 30 5A 42 0F 9B 9A 42 14 DA 04 9B 9B 1D 19 88 6F F3 0E 11 BD F9 02 20 0F 9B 13 44 1B 01 0B 43 9A B2 04 9B 9B 1D 1A 80 6F F0 00 03 AD F8 14 30 46 E1 45 E1 04 9B 9B 1D 1B 88 03 F4 00 43 9B B2 AD F8 06 30 04 9B 9B 1D 1B 88 03 F0 0F 03 43 F0 10 03 9A B2 04 9B 9B 1D 1A 80 BD F9 02 30 5A 1E 0F 9B 13 44 0F 93 0F 9B 13 F1 35 0F 02 DB 0F 9B 00 2B 14 DB 04 9B 9A 1D BD F8 06 30 13 80 04 9B 1A 1D 00 23 13 80 04 9B 9A 1C 00 23 13 80 04 9A 00 23 13 80 00 23 AD F8 14 30 11 E1 10 E1 0F 9B 1B B2 AD F8 00 30 00 23 AD F8 04 30 05 E0 BD F9 00 30 10 33 1B B2 AD F8 00 30 BD F9 00 30 13 F1 10 0F 25 DC BD F8 04 30 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 04 9B 1A 88 07 9B 13 43 9B B2 AD F8 04 30 04 9B 9B 1C 04 9A 1B 88 13 80 04 9B 19 1D 04 9B 9A 1C 0B 88 13 80 04 9B 99 1D 04 9B 1A 1D 0B 88 13 80 04 9B 9A 1D 00 23 13 80 CE E7 BD F9 00 30 5B 42 1B B2 AD F8 00 30 BD F9 00 30 00 2B 5C D0 BD F8 04 30 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 04 9B 1A 88 BD F9 00 30 C3 F1 10 03 9A 40 08 9B 13 43 9B B2 AD F8 04 30 04 9B 1A 88 BD F9 00 30 42 FA 03 F1 04 9B 9B 1C 1A 88 BD F9 00 30 C3 F1 10 03 02 FA 03 F3 0B 43 9A B2 04 9B 1A 80 04 9B 9B 1C 1A 88 BD F9 00 30 42 FA 03 F1 04 9B 1B 1D 1A 88 BD F9 00 30 C3 F1 10 03 02 FA 03 F3 0B 43 9A B2 04 9B 9B 1C 1A 80 04 9B 1B 1D 1A 88 BD F9 00 30 42 FA 03 F1 04 9B 9B 1D 1A 88 BD F9 00 30 C3 F1 10 03 02 FA 03 F3 0B 43 9A B2 04 9B 1B 1D 1A 80 04 9B 99 1D BD F9 00 30 9A B2 0B 88 D3 40 9A B2 04 9B 9B 1D 1A 80 04 9B 9B 1D BD F8 06 20 1B 88 43 EA 02 01 04 9B 9A 1D 8B B2 13 80 BD F8 04 30 B3 F5 00 4F 09 DC BD F8 04 30 B3 F5 00 4F 3E D1 04 9B 1B 88 13 F0 01 0F 39 D0 04 9B 1B 88 5B 1C 9B B2 AD F8 08 30 04 9A BD F8 08 30 13 80 BD F8 08 30 9B B2 00 2B 2A D1 04 9B 9B 1C 1B 88 5B 1C 9B B2 AD F8 0A 30 04 9B 9A 1C BD F8 0A 30 13 80 BD F8 0A 30 9B B2 00 2B 19 D1 04 9B 1B 1D 1B 88 5B 1C 9B B2 AD F8 0C 30 04 9B 1A 1D BD F8 0C 30 13 80 BD F8 0C 30 9B B2 00 2B 08 D1 04 9B 9B 1D 1B 88 5B 1C 9A B2 04 9B 9B 1D 1A 80 18 E0 04 9B 9B 1D 1A 88 BD F8 06 30 9A 42 11 D1 04 9B 1B 1D 1B 88 00 2B 0C D1 04 9B 9B 1C 1B 88 00 2B 07 D1 04 9B 1B 88 00 2B 03 D1 00 23 AD F8 14 30 03 E0 6F F0 00 03 AD F8 14 30 BD F9 14 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_148_1_0 {
	meta:
		name = "_fdscale"
		size = 712
		refs = "005e _fdnorm 02c4 _FInf_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 03 93 03 9B 9B 1C 1B 88 03 F4 FF 43 DB 11 1B B2 AD F8 02 30 BD F9 02 30 FF 2B 15 D1 03 9B 9B 1C 1B 88 03 F0 7F 03 00 2B 06 D1 03 9B 1B 88 00 2B 02 D1 01 23 05 93 01 E0 02 23 05 93 05 9B 1B B2 AD F8 10 30 31 E1 14 E0 BD F9 02 30 00 2B 10 D1 03 98 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 AD F8 02 30 BD F9 02 30 00 2B 03 DD 00 23 AD F8 10 30 1B E1 0D 9B 00 2B 23 DD BD F9 02 30 C3 F1 FF 02 0D 9B 9A 42 1C DC 03 9B 9B 1C 1B 88 13 F4 00 4F 07 D0 89 4B 93 ED 00 0A B1 EE 40 0A 8D ED 06 0A 04 E0 85 4B 93 ED 00 0A 8D ED 06 0A 9D ED 06 0A 0C 9B 83 ED 00 0A 01 23 AD F8 10 30 F5 E0 F4 E0 BD F9 02 30 5A 42 0D 9B 9A 42 14 DA 03 9B 9B 1C 1B 88 23 F4 FF 41 BD F9 02 20 0D 9B 13 44 DB 01 0B 43 9A B2 03 9B 9B 1C 1A 80 6F F0 00 03 AD F8 10 30 DA E0 D9 E0 03 9B 9B 1C 1B 88 03 F4 00 43 9B B2 AD F8 06 30 03 9B 9B 1C 1B 88 03 F0 7F 03 43 F0 80 03 9A B2 03 9B 9B 1C 1A 80 BD F9 02 30 5A 1E 0D 9B 13 44 0D 93 0D 9B 13 F1 18 0F 02 DB 0D 9B 00 2B 0C DB 03 9B 9A 1C BD F8 06 30 13 80 03 9A 00 23 13 80 00 23 AD F8 10 30 AD E0 AC E0 0D 9B 1B B2 AD F8 00 30 00 23 AD F8 04 30 BD F9 00 30 13 F1 10 0F 1E DC BD F8 04 30 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 03 9B 1A 88 07 9B 13 43 9B B2 AD F8 04 30 03 9B 9B 1C 03 9A 1B 88 13 80 03 9B 9A 1C 00 23 13 80 BD F9 00 30 10 33 1B B2 AD F8 00 30 BD F9 00 30 5B 42 1B B2 AD F8 00 30 BD F9 00 30 00 2B 32 D0 BD F8 04 30 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 03 9B 1A 88 BD F9 00 30 C3 F1 10 03 9A 40 08 9B 13 43 9B B2 AD F8 04 30 03 9B 1A 88 BD F9 00 30 42 FA 03 F1 03 9B 9B 1C 1A 88 BD F9 00 30 C3 F1 10 03 02 FA 03 F3 0B 43 9A B2 03 9B 1A 80 03 9B 99 1C BD F9 00 30 9A B2 0B 88 D3 40 9A B2 03 9B 9B 1C 1A 80 03 9B 9B 1C BD F8 06 20 1B 88 43 EA 02 01 03 9B 9A 1C 8B B2 13 80 BD F8 04 30 B3 F5 00 4F 09 DC BD F8 04 30 B3 F5 00 4F 1C D1 03 9B 1B 88 13 F0 01 0F 17 D0 03 9B 1B 88 5B 1C 9B B2 AD F8 08 30 03 9A BD F8 08 30 13 80 BD F8 08 30 9B B2 00 2B 08 D1 03 9B 9B 1C 1B 88 5B 1C 9A B2 03 9B 9B 1C 1A 80 0E E0 03 9B 9B 1C 1A 88 BD F8 06 30 9A 42 07 D1 03 9B 1B 88 00 2B 03 D1 00 23 AD F8 10 30 03 E0 6F F0 00 03 AD F8 10 30 BD F9 10 00 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_149_0_0 {
	meta:
		name = "_dpoly"
		size = 92
		altNames = "_ldpoly"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 02 0B 08 9B 93 ED 00 0B 8D ED 00 0B 09 9B 5B 1E 09 93 09 9B 00 2B 10 DB 08 9B 08 33 08 93 9D ED 00 1B 9D ED 02 0B 21 EE 00 1B 08 9B 93 ED 00 0B 31 EE 00 0B 8D ED 00 0B E8 E7 9D ED 00 0B 8D ED 04 0B 9D ED 04 0B 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_149_1_0 {
	meta:
		name = "erfc"
		size = 720
		refs = "000e _dtest 0084 erf 00e0 _dpoly 021e _d_int 023e exp 0272 _dexp 0284 _fperrraise 02a4 approx 02a8 c01 02ac s01 02b0 mid01 02b4 c00 02b8 s00 02bc mid00 02c0 mid0 02cc erfc_half"
	strings:
		$1 = { 2D E9 00 48 EB 46 9E B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 0B D0 02 9B 01 2B 0D D0 02 9B 02 2B 00 D0 1D E0 9D ED 04 0B 8D ED 08 0B 2A E1 B7 EE 00 0B 8D ED 08 0B 25 E1 04 AB 9B 1D 1B 88 13 F4 00 4F 04 D0 B0 EE 00 0B 8D ED 0C 0B 03 E0 9F ED 90 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B 11 E1 9D ED 04 1B 96 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0F D2 9D ED 04 0B ?? ?? ?? ?? 8D ED 0E 0B B7 EE 00 1B 9D ED 0E 0B 31 EE 40 0B 8D ED 08 0B F8 E0 F7 E0 9D ED 04 1B 9F ED 87 0B B4 EE C0 1B F1 EE 10 FA 4F D2 9D ED 04 1B 82 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 22 D2 9D ED 04 1B 7C 4B 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B 08 21 77 48 9D ED 04 0B ?? ?? ?? ?? 8D ED 10 0B 09 21 72 48 9D ED 04 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 10 1B 9D ED 12 0B 81 EE 00 0B 8D ED 08 0B C2 E0 21 E0 9D ED 04 1B 67 4B 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B 08 21 62 48 9D ED 04 0B ?? ?? ?? ?? 8D ED 14 0B 09 21 5D 48 9D ED 04 0B ?? ?? ?? ?? 8D ED 16 0B 9D ED 14 1B 9D ED 16 0B 81 EE 00 0B 8D ED 08 0B 9F E0 9E E0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 06 2B 80 F0 8E 80 01 9A 20 23 02 FB 03 F2 4D 4B 13 44 9D ED 04 1B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 7D D2 B7 EE 00 1B 9D ED 04 0B 81 EE 00 1B 01 9A 20 23 02 FB 03 F2 42 4B 13 44 08 33 93 ED 00 0B 31 EE 40 0B 8D ED 06 0B 01 9A 20 23 02 FB 03 F2 3C 4B 13 44 14 33 19 68 01 9A 20 23 02 FB 03 F2 38 4B 13 44 10 33 18 68 9D ED 06 0B ?? ?? ?? ?? 8D ED 18 0B 01 9A 20 23 02 FB 03 F2 31 4B 13 44 1C 33 19 68 01 9A 20 23 02 FB 03 F2 2D 4B 13 44 18 33 18 68 9D ED 06 0B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 18 1B 9D ED 1A 0B 81 EE 00 0B 8D ED 0A 0B 9D ED 04 0B 8D ED 06 0B 11 21 06 A8 ?? ?? ?? ?? 9D ED 06 1B 9D ED 04 0B 31 EE 40 2B 9D ED 06 1B 9D ED 04 0B 31 EE 00 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 0A 1B 9D ED 1C 0B 21 EE 00 0B 8D ED 0A 0B 9D ED 06 0B B1 EE 40 1B 9D ED 06 0B 21 EE 00 0B 8D ED 06 0B 00 21 9D ED 0A 0B 06 A8 ?? ?? ?? ?? 9D ED 06 0B 8D ED 08 0B 07 E0 6A E7 10 20 ?? ?? ?? ?? 9F ED 04 0B 8D ED 08 0B 9D ED 08 0B 1E B0 BD E8 00 88 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 91 ED 7C 3F 35 5E F8 3F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_653_1_0 {
	meta:
		name = "erfcl"
		size = 720
		refs = "000e _ldtest 0084 erfl 00e0 _ldpoly 021e _ld_int 023e expl 0272 _ldexp 0284 _fperrraise 02a4 approx 02a8 c01 02ac s01 02b0 mid01 02b4 c00 02b8 s00 02bc mid00 02c0 mid0 02cc erfc_half"
	strings:
		$1 = { 2D E9 00 48 EB 46 9E B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 0B D0 02 9B 01 2B 0D D0 02 9B 02 2B 00 D0 1D E0 9D ED 04 0B 8D ED 08 0B 2A E1 B7 EE 00 0B 8D ED 08 0B 25 E1 04 AB 9B 1D 1B 88 13 F4 00 4F 04 D0 B0 EE 00 0B 8D ED 0C 0B 03 E0 9F ED 90 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B 11 E1 9D ED 04 1B 96 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0F D2 9D ED 04 0B ?? ?? ?? ?? 8D ED 0E 0B B7 EE 00 1B 9D ED 0E 0B 31 EE 40 0B 8D ED 08 0B F8 E0 F7 E0 9D ED 04 1B 9F ED 87 0B B4 EE C0 1B F1 EE 10 FA 4F D2 9D ED 04 1B 82 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 22 D2 9D ED 04 1B 7C 4B 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B 08 21 77 48 9D ED 04 0B ?? ?? ?? ?? 8D ED 10 0B 09 21 72 48 9D ED 04 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 10 1B 9D ED 12 0B 81 EE 00 0B 8D ED 08 0B C2 E0 21 E0 9D ED 04 1B 67 4B 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B 08 21 62 48 9D ED 04 0B ?? ?? ?? ?? 8D ED 14 0B 09 21 5D 48 9D ED 04 0B ?? ?? ?? ?? 8D ED 16 0B 9D ED 14 1B 9D ED 16 0B 81 EE 00 0B 8D ED 08 0B 9F E0 9E E0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 06 2B 80 F0 8E 80 01 9A 20 23 02 FB 03 F2 4D 4B 13 44 9D ED 04 1B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 7D D2 B7 EE 00 1B 9D ED 04 0B 81 EE 00 1B 01 9A 20 23 02 FB 03 F2 42 4B 13 44 08 33 93 ED 00 0B 31 EE 40 0B 8D ED 06 0B 01 9A 20 23 02 FB 03 F2 3C 4B 13 44 14 33 19 68 01 9A 20 23 02 FB 03 F2 38 4B 13 44 10 33 18 68 9D ED 06 0B ?? ?? ?? ?? 8D ED 18 0B 01 9A 20 23 02 FB 03 F2 31 4B 13 44 1C 33 19 68 01 9A 20 23 02 FB 03 F2 2D 4B 13 44 18 33 18 68 9D ED 06 0B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 18 1B 9D ED 1A 0B 81 EE 00 0B 8D ED 0A 0B 9D ED 04 0B 8D ED 06 0B 11 21 06 A8 ?? ?? ?? ?? 9D ED 06 1B 9D ED 04 0B 31 EE 40 2B 9D ED 06 1B 9D ED 04 0B 31 EE 00 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 0A 1B 9D ED 1C 0B 21 EE 00 0B 8D ED 0A 0B 9D ED 06 0B B1 EE 40 1B 9D ED 06 0B 21 EE 00 0B 8D ED 06 0B 00 21 9D ED 0A 0B 06 A8 ?? ?? ?? ?? 9D ED 06 0B 8D ED 08 0B 07 E0 6A E7 10 20 ?? ?? ?? ?? 9F ED 04 0B 8D ED 08 0B 9D ED 08 0B 1E B0 BD E8 00 88 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 91 ED 7C 3F 35 5E F8 3F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_150_0_0 {
	meta:
		name = "__acrt_GetTempPathA"
		size = 200
		refs = "000a __security_push_cookie 001a memset 003c __acrt_AreFileApisANSI 00b2 __security_pop_cookie 00c0 __imp_WideCharToMultiByte 00c4 __imp_GetTempPathW"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 12 7D 40 F2 0A 22 00 21 0E A8 ?? ?? ?? ?? 0E A9 40 F2 05 10 27 4B 1B 68 98 47 08 90 08 9B 09 93 09 9B 00 2B 02 D1 00 23 05 93 37 E0 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 03 D1 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 11 30 9D F8 11 30 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 0B 93 00 23 03 93 00 23 02 93 96 9B 01 93 97 9B 00 93 6F F0 00 03 0E AA 00 21 0B 98 0C 4C 24 68 A0 47 0C 90 0C 9B 07 93 07 9B 00 2B 02 D1 00 23 05 93 02 E0 07 9B 5B 1E 05 93 05 98 0D F5 12 7D ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_151_6_0 {
	meta:
		name = "_ismbcblank_l"
		size = 104
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 004a __dcrt_multibyte_check_type"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? FF 2C 15 D8 09 2C 08 BF 40 20 17 D0 01 9B E2 B2 1B 68 33 F8 12 30 13 F0 40 0F 07 D1 02 9B 13 44 5B 7E 13 F0 02 0F 08 BF 00 20 07 D0 01 20 05 E0 01 A9 01 23 40 22 20 46 ?? ?? ?? ?? 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_151_8_0 {
	meta:
		name = "_ismbcpunct_l"
		size = 96
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0042 __dcrt_multibyte_check_type"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? FF 2C 11 D8 01 9B E2 B2 1B 68 33 F8 12 30 13 F0 10 0F 07 D1 02 9B 13 44 5B 7E 13 F0 02 0F 08 BF 00 20 07 D0 01 20 05 E0 01 A9 01 23 10 22 20 46 ?? ?? ?? ?? 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_152_0_0 {
	meta:
		name = "norml"
		size = 106
		refs = "0018 creall 0030 cimagl"
	strings:
		$1 = { 2D E9 00 48 EB 46 8E B0 8D ED 0C 1B 8D ED 0A 0B 9D ED 0A 0B 9D ED 0C 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 00 0B 9D ED 0A 0B 9D ED 0C 1B ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 02 0B 9D ED 00 1B 9D ED 00 0B 21 EE 00 2B 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 32 EE 00 0B 8D ED 08 0B 9D ED 08 0B 0E B0 BD E8 00 88 }
	condition:
		$1
}

rule file_651_0_0 {
	meta:
		name = "norm"
		size = 106
		refs = "0018 creal 0030 cimag"
	strings:
		$1 = { 2D E9 00 48 EB 46 8E B0 8D ED 0C 1B 8D ED 0A 0B 9D ED 0A 0B 9D ED 0C 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 00 0B 9D ED 0A 0B 9D ED 0C 1B ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 02 0B 9D ED 00 1B 9D ED 00 0B 21 EE 00 2B 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 32 EE 00 0B 8D ED 08 0B 9D ED 08 0B 0E B0 BD E8 00 88 }
	condition:
		$1
}

rule file_153_1_0 {
	meta:
		name = "_aligned_free_base"
		size = 54
		refs = "0028 free"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 00 D1 0C E0 04 9B 00 93 00 9B 23 F0 03 03 1B 1F 00 93 00 9B 1B 68 00 93 00 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_153_2_0 {
	meta:
		name = "_aligned_malloc"
		size = 44
		refs = "0016 _aligned_offset_malloc_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 00 23 00 22 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_153_5_0 {
	meta:
		name = "_aligned_msize_base"
		size = 268
		refs = "004e _CrtDbgReportW 0062 _errno 007c _invalid_parameter 009e _msize 00fc ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0100 ??_C@_1CI@DHKEEEHJ@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 0104 ??_C@_1FM@GHAMPDNO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0108 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 00 23 03 93 00 23 09 93 00 23 08 93 00 23 0A 93 00 23 07 93 00 23 02 93 12 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 2F 4B 01 93 31 4B 00 93 00 23 40 F2 63 12 2E 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 63 13 23 4A 21 49 20 48 ?? ?? ?? ?? 6F F0 00 03 0B 93 32 E0 12 9B 02 93 02 9B 23 F0 03 03 1B 1F 02 93 02 9B 1B 68 02 93 02 98 ?? ?? ?? ?? 0E 90 0E 9B 08 93 12 9A 02 9B D3 1A 03 93 14 9B 5B 42 03 F0 03 03 07 93 13 9B 04 2B 02 D9 13 9B 06 93 01 E0 04 23 06 93 06 9B 5B 1E 13 93 07 9A 13 9B 13 44 1A 1D 03 9B D3 1A 09 93 08 9A 03 9B D2 1A 09 9B D3 1A 0A 93 0A 9B 0B 93 0B 98 10 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_6_0 {
	meta:
		name = "_aligned_offset_malloc"
		size = 44
		refs = "0016 _aligned_offset_malloc_dbg"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_153_7_0 {
	meta:
		name = "_aligned_offset_malloc_base"
		size = 396
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 012c malloc 0178 ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 017c ??_C@_1DI@LCGAEAA@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAm?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 0180 ??_C@_1FM@GHAMPDNO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0184 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0188 ??_C@_1CE@NPMGPNNP@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 17 9B 00 2B 08 D0 17 9B 5A 1E 17 9B 13 40 00 2B 02 D1 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 55 4B 01 93 53 4B 00 93 00 23 65 22 50 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 65 23 46 4A 44 49 47 48 ?? ?? ?? ?? 00 23 02 93 7A E0 18 9B 00 2B 06 D0 18 9A 16 9B 9A 42 02 D3 00 23 06 93 01 E0 01 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 37 4B 01 93 39 4B 00 93 00 23 66 22 36 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 66 23 2C 4A 2A 49 29 48 ?? ?? ?? ?? 00 23 02 93 46 E0 17 9B 04 2B 02 D9 17 9B 08 93 01 E0 04 23 08 93 08 9B 5B 1E 17 93 18 9B 5B 42 03 F0 03 03 0B 93 0B 9B 1A 1D 17 9B 13 44 0A 93 0A 9A 16 9B 13 44 09 93 16 9A 09 9B 9A 42 08 D9 ?? ?? ?? ?? 11 90 11 9A 0C 23 13 60 00 23 02 93 20 E0 09 98 ?? ?? ?? ?? 12 90 12 9B 03 93 03 9B 00 2B 02 D1 00 23 02 93 14 E0 03 9A 0A 9B 1A 44 18 9B 1A 44 17 9B DB 43 1A 40 18 9B D3 1A 0C 93 0C 9A 0B 9B D2 1A 6F F0 03 03 1A 44 03 9B 13 60 0C 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_8_0 {
	meta:
		name = "_aligned_offset_realloc"
		size = 48
		refs = "001a _aligned_offset_realloc_dbg"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 00 23 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_641_24_0 {
	meta:
		name = "strftime"
		size = 48
		refs = "001a _Strftime_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 00 23 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_625_37_0 {
	meta:
		name = "wcsftime"
		size = 48
		refs = "001a _Wcsftime_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 00 23 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_153_9_0 {
	meta:
		name = "_aligned_offset_realloc_base"
		size = 680
		refs = "001a _aligned_offset_malloc_base 002e _aligned_free_base 006e _CrtDbgReportW 0082 _errno 009a _invalid_parameter 014a _msize 01ae malloc 01da _expand 0264 memmove 0270 free 0294 ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0298 ??_C@_1DK@PBMGAKHJ@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 029c ??_C@_1FM@GHAMPDNO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 02a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a4 ??_C@_1CE@NPMGPNNP@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9E B0 00 23 08 93 20 9B 00 2B 08 D1 23 9A 22 99 21 98 ?? ?? ?? ?? 11 90 11 9B 04 93 30 E1 21 9B 00 2B 05 D1 20 98 ?? ?? ?? ?? 00 23 04 93 27 E1 22 9B 00 2B 08 D0 22 9B 5A 1E 22 9B 13 40 00 2B 02 D1 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 91 4B 01 93 8F 4B 00 93 00 23 FA 22 8C 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 FA 23 81 4A 80 49 82 48 ?? ?? ?? ?? 00 23 04 93 F1 E0 23 9B 00 2B 06 D0 23 9A 21 9B 9A 42 02 D3 00 23 0C 93 01 E0 01 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 73 4B 01 93 75 4B 00 93 00 23 FB 22 72 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 FB 23 67 4A 66 49 64 48 ?? ?? ?? ?? 00 23 04 93 BD E0 20 9B 02 93 02 9B 23 F0 03 03 1B 1F 02 93 02 9B 1B 68 02 93 22 9B 04 2B 02 D9 22 9B 0E 93 01 E0 04 23 0E 93 0E 9B 5B 1E 22 93 23 9B 5B 42 03 F0 03 03 05 93 20 9A 02 9B D3 1A 10 93 02 98 ?? ?? ?? ?? 16 90 20 9A 02 9B D2 1A 16 9B 9B 1A 07 93 07 9A 21 9B 9A 42 02 D9 21 9B 0F 93 01 E0 07 9B 0F 93 0F 9B 07 93 05 9B 1A 1D 22 9B 1A 44 21 9B 13 44 06 93 21 9A 06 9B 9A 42 08 D9 ?? ?? ?? ?? 17 90 17 9A 0C 23 13 60 00 23 04 93 76 E0 02 9A 22 9B 13 44 1A 1D 05 9B 1A 44 20 9B 9A 42 0E D2 06 98 ?? ?? ?? ?? 18 90 18 9B 03 93 03 9B 00 2B 02 D1 00 23 04 93 61 E0 01 23 08 93 26 E0 ?? ?? ?? ?? 19 90 19 9B 1B 68 1B 93 06 99 02 98 ?? ?? ?? ?? 1A 90 1A 9B 03 93 03 9B 00 2B 14 D1 ?? ?? ?? ?? 1C 90 1B 9A 1C 9B 1A 60 06 98 ?? ?? ?? ?? 1D 90 1D 9B 03 93 03 9B 00 2B 02 D1 00 23 04 93 3C E0 01 23 08 93 01 E0 03 9B 02 93 20 9A 10 9B D2 1A 03 9B 93 42 0C D1 20 9A 05 9B 1A 44 23 9B 1A 44 22 9B DB 43 13 40 00 2B 02 D1 20 9B 04 93 24 E0 03 9B 1A 1D 05 9B 1A 44 22 9B 1A 44 23 9B 1A 44 22 9B DB 43 1A 40 23 9B D3 1A 09 93 07 9A 02 99 10 9B 19 44 09 98 ?? ?? ?? ?? 08 9B 00 2B 02 D0 02 98 ?? ?? ?? ?? 09 9A 05 9B D2 1A 6F F0 03 03 1A 44 03 9B 13 60 09 9B 04 93 04 98 1E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_153_10_0 {
	meta:
		name = "_aligned_offset_recalloc"
		size = 52
		refs = "001e _aligned_offset_recalloc_dbg"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 00 23 02 93 00 23 01 93 0C 9B 00 93 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_153_11_0 {
	meta:
		name = "_aligned_offset_recalloc_base"
		size = 166
		refs = "0028 __rt_udiv 0032 _errno 005a _aligned_msize 006c _aligned_offset_realloc_base 0092 memset"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 00 23 00 93 00 23 01 93 00 23 02 93 0B 9B 00 2B 13 D9 0B 98 6F F0 1F 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 0C 9B 98 42 08 D2 ?? ?? ?? ?? 04 90 04 9A 0C 23 13 60 00 23 03 93 2A E0 0C 9A 0B 9B 02 FB 03 F3 00 93 0A 9B 00 2B 07 D0 0E 9A 0D 99 0A 98 ?? ?? ?? ?? 05 90 05 9B 01 93 0E 9B 0D 9A 00 99 0A 98 ?? ?? ?? ?? 06 90 06 9B 02 93 02 9B 00 2B 0C D0 01 9A 00 9B 9A 42 08 D2 00 9A 01 9B D2 1A 00 21 02 98 01 9B 18 44 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_153_12_0 {
	meta:
		name = "_aligned_realloc"
		size = 48
		refs = "001a _aligned_offset_realloc_dbg"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 00 23 00 93 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_153_14_0 {
	meta:
		name = "_aligned_recalloc"
		size = 52
		refs = "001e _aligned_offset_recalloc_dbg"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 00 23 02 93 00 23 01 93 00 23 00 93 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_154_6_0 {
	meta:
		name = "_ismbcupper_l"
		size = 80
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0032 __dcrt_multibyte_check_type"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? FF 2C 09 D8 02 9B 23 44 5B 7E 13 F0 10 0F 18 BF 01 20 07 D1 00 20 05 E0 01 A9 01 23 01 22 20 46 ?? ?? ?? ?? 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_155_0_0 {
	meta:
		name = "__acrt_execute_initializers"
		size = 200
		refs = "00c4 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 08 9A 09 9B 9A 42 03 D1 01 23 8D F8 08 30 4C E0 08 9B 01 93 02 E0 01 9B 08 33 01 93 01 9A 09 9B 9A 42 15 D0 01 9B 1B 68 00 2B 00 D1 F3 E7 01 9B 1B 68 03 93 03 98 20 4B 1B 68 98 47 03 9B 98 47 8D F8 00 00 9D F8 00 30 00 2B 00 D1 00 E0 E2 E7 01 9A 09 9B 9A 42 03 D1 01 23 8D F8 08 30 24 E0 02 E0 01 9B 08 3B 01 93 01 9A 08 9B 9A 42 19 D0 01 9B 08 3B 1B 68 00 2B 05 D0 01 9B 08 3B 1B 1D 1B 68 00 2B 00 D1 EC E7 00 24 01 9B 08 3B 1B 1D 1B 68 04 93 04 98 08 4B 1B 68 98 47 04 9B 20 46 98 47 DE E7 00 23 8D F8 08 30 9D F8 08 00 05 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_155_1_0 {
	meta:
		name = "__acrt_execute_uninitializers"
		size = 116
		refs = "0070 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 9A 07 9B 9A 42 03 D1 01 23 8D F8 08 30 21 E0 07 9B 00 93 02 E0 00 9B 08 3B 00 93 00 9A 06 9B 9A 42 14 D0 00 9B 08 3B 1B 1D 1B 68 00 2B 00 D1 F1 E7 00 24 00 9B 08 3B 1B 1D 1B 68 01 93 01 98 08 4B 1B 68 98 47 01 9B 20 46 98 47 E3 E7 01 23 8D F8 08 30 9D F8 08 00 03 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_156_0_0 {
	meta:
		name = "_memccpy"
		size = 98
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 00 2B 18 D0 05 9B 5B 1C 05 93 04 9B 5B 1C 04 93 04 9B 5A 1E 05 9B 5B 1E 93 F9 00 30 13 70 04 9B 5B 1E 93 F9 00 20 06 9B 5B B2 9A 42 03 D0 07 9B 5B 1E 07 93 E3 E7 07 9B 00 2B 02 D0 04 9B 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_157_0_0 {
	meta:
		name = "__wcsncnt"
		size = 66
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 00 23 00 93 05 E0 01 9B 9B 1C 01 93 00 9B 5B 1C 00 93 01 9B 1B 88 00 2B 04 D0 00 9A 07 9B 9A 42 00 D0 F0 E7 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_158_0_0 {
	meta:
		name = "strlen"
		size = 54
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 00 9B 93 F9 00 20 00 9B 5B 1C 00 93 00 2A 00 D0 F6 E7 00 9A 04 9B D3 1A 5B 1E 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_159_0_0 {
	meta:
		name = "_cgets"
		size = 176
		refs = "001c _CrtDbgReportW 0026 __doserrno 002e _errno 0040 _invalid_parameter 008a _cgets_s 009c ??_C@_1GG@DDLAFINI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00a0 ??_C@_1BM@OHODNOMF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a8 ??_C@_1O@ECBOLGNI@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 00ac ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 04 46 FC B9 25 4B 27 4C 22 49 00 93 00 23 6F 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 25 05 60 ?? ?? ?? ?? 16 23 03 60 6F 23 1B 49 18 4A 20 46 00 95 ?? ?? ?? ?? 00 20 04 B0 BD E8 30 88 94 F9 00 10 00 29 16 DC 13 4B 12 4C 10 49 00 93 00 23 70 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 25 05 60 ?? ?? ?? ?? 16 23 03 60 70 23 DA E7 00 23 02 AA A0 1C 02 93 ?? ?? ?? ?? 02 9B 00 28 63 70 D6 D1 A0 1C D5 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_159_1_0 {
	meta:
		name = "_cgets_s"
		size = 380
		refs = "0026 _CrtDbgReportW 0030 __doserrno 0038 _errno 004a _invalid_parameter 009a _CrtGetDebugFillThreshold 00ac memset 00ea __acrt_lock 00fe _cgetws_s 0112 wctomb_s 013c __acrt_unlock 015c __console_wchar_buffer_used 0160 __console_wchar_buffer 0164 ??_C@_1GG@DDLAFINI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0168 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 016c ??_C@_1CK@FMNNCIHC@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAr?$AAe?$AAa?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0170 ??_C@_1CE@KOGJHKKC@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0174 ??_C@_1BC@OKPCLJOH@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAs?$AA_?$AAs?$AA?$AA@ 0178 ??_C@_1DC@FIPIJOED@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 6F 46 82 B0 90 46 0C 46 05 46 F5 B9 58 4C 01 94 53 4B 00 93 00 23 20 22 50 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 26 06 60 ?? ?? ?? ?? 16 23 03 60 20 23 00 96 4B 49 47 4A 20 46 ?? ?? ?? ?? 16 23 3B 60 7E E0 B4 B9 46 4C 01 94 43 4B 00 93 00 23 21 22 40 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 26 06 60 ?? ?? ?? ?? 16 23 03 60 21 23 DE E7 00 26 2E 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 00 D3 1A 46 68 1C FE 21 ?? ?? ?? ?? B8 F1 00 0F 15 D1 2D 4C 01 94 2B 4B 00 93 00 23 24 22 28 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 06 60 ?? ?? ?? ?? 16 23 03 60 24 23 AF E7 00 23 FB 60 BD 60 09 20 ?? ?? ?? ?? C8 F8 00 60 64 1E 3E 61 17 F1 10 02 38 1D 02 21 ?? ?? ?? ?? F8 60 C8 B9 BB 88 BB B1 3E 60 38 46 22 46 29 46 ?? ?? ?? ?? 50 B9 3A 68 15 44 BD 60 D8 F8 00 30 13 44 C8 F8 00 30 A4 1A E3 D1 05 E0 0C 4A BB 88 13 80 09 4B 01 22 1A 60 09 20 ?? ?? ?? ?? 00 22 BB 68 1A 70 FC 68 14 B1 ?? ?? ?? ?? 04 60 3C 60 38 68 07 B0 BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_161_2_0 {
	meta:
		name = "??$common_strerror@D@@YAPADH@Z"
		size = 216
		refs = "000a __acrt_getptd_noexit 001c ?get_failure_string@@YAPADD@Z 002c ?get_ptd_buffer@@YAAAPADQAU__acrt_ptd@@D@Z 004a _calloc_dbg 0054 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0060 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 006e ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 008a _get_sys_err_msg 009a ?copy_string_into_buffer@@YAHQBDQADII@Z 00b0 _invoke_watson_if_error 00c8 ??_C@_1OE@ENJNOLJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy?$AAs@ 00cc ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 00d0 ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 00d4 ??_C@_0DB@FFNMCFIE@minkernel?2crts?2ucrt?2src?2appcrt?2m@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 ?? ?? ?? ?? 05 90 05 9B 04 93 04 9B 00 2B 06 D1 00 20 ?? ?? ?? ?? 06 90 06 9B 03 93 48 E0 00 21 04 98 ?? ?? ?? ?? 07 90 07 9B 02 93 02 9B 1B 68 00 2B 19 D1 57 23 00 93 24 4B 02 22 01 21 86 20 ?? ?? ?? ?? 08 90 08 99 0C A8 ?? ?? ?? ?? 09 90 09 9B 0A 93 0A 98 ?? ?? ?? ?? 0B 90 0B 9A 02 9B 1A 60 0C A8 ?? ?? ?? ?? 02 9B 1B 68 00 2B 06 D1 00 20 ?? ?? ?? ?? 0D 90 0D 9B 03 93 18 E0 12 98 ?? ?? ?? ?? 0E 90 85 23 86 22 02 99 09 68 0E 98 ?? ?? ?? ?? 0F 90 00 23 01 93 5C 23 00 93 09 4B 08 4A 06 49 0F 98 ?? ?? ?? ?? 02 9B 1B 68 03 93 03 98 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_161_3_0 {
	meta:
		name = "??$common_strerror@_W@@YAPA_WH@Z"
		size = 216
		refs = "000a __acrt_getptd_noexit 001c ?get_failure_string@@YAPA_W_W@Z 002c ?get_ptd_buffer@@YAAAPA_WQAU__acrt_ptd@@_W@Z 004a _calloc_dbg 0054 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0060 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ 006e ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 008a _get_sys_err_msg 009a ?copy_string_into_buffer@@YAHQBDQA_WII@Z 00b0 _invoke_watson_if_error 00c8 ??_C@_1OE@ENJNOLJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy?$AAs@ 00cc ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 00d0 ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 00d4 ??_C@_0DB@FFNMCFIE@minkernel?2crts?2ucrt?2src?2appcrt?2m@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 ?? ?? ?? ?? 05 90 05 9B 04 93 04 9B 00 2B 06 D1 00 20 ?? ?? ?? ?? 06 90 06 9B 03 93 48 E0 00 21 04 98 ?? ?? ?? ?? 07 90 07 9B 02 93 02 9B 1B 68 00 2B 19 D1 57 23 00 93 24 4B 02 22 02 21 86 20 ?? ?? ?? ?? 08 90 08 99 0C A8 ?? ?? ?? ?? 09 90 09 9B 0A 93 0A 98 ?? ?? ?? ?? 0B 90 0B 9A 02 9B 1A 60 0C A8 ?? ?? ?? ?? 02 9B 1B 68 00 2B 06 D1 00 20 ?? ?? ?? ?? 0D 90 0D 9B 03 93 18 E0 12 98 ?? ?? ?? ?? 0E 90 85 23 86 22 02 99 09 68 0E 98 ?? ?? ?? ?? 0F 90 00 23 01 93 5C 23 00 93 09 4B 08 4A 06 49 0F 98 ?? ?? ?? ?? 02 9B 1B 68 03 93 03 98 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_161_4_0 {
	meta:
		name = "??$common_strerror_s@D@@YAHQADIH@Z"
		size = 316
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00cc _get_sys_err_msg 00dc ?copy_string_into_buffer@@YAHQBDQADII@Z 00fa _invoke_watson_if_oneof 0124 ??_C@_1LK@PPKCKKMM@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA?5?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy@ 0128 ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 012c ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0130 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 14 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 44 4B 01 93 42 4B 00 93 00 23 76 22 3E 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 76 23 34 4A 32 49 36 48 ?? ?? ?? ?? 16 23 04 93 56 E0 15 9B 00 2B 02 D9 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 2A 4B 01 93 2A 4B 00 93 00 23 77 22 26 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 77 23 1C 4A 1A 49 1C 48 ?? ?? ?? ?? 16 23 04 93 26 E0 16 98 ?? ?? ?? ?? 0F 90 6F F0 00 03 15 9A 14 99 0F 98 ?? ?? ?? ?? 10 90 00 23 03 93 7D 23 02 93 10 4B 01 93 0E 4B 00 93 0C 4B 22 22 16 21 10 98 ?? ?? ?? ?? 11 90 11 9B 09 93 09 9B 50 2B 02 D1 00 23 0A 93 01 E0 09 9B 0A 93 0A 9B 04 93 04 98 12 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_161_5_0 {
	meta:
		name = "??$common_strerror_s@_W@@YAHQA_WIH@Z"
		size = 316
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00cc _get_sys_err_msg 00dc ?copy_string_into_buffer@@YAHQBDQA_WII@Z 00fa _invoke_watson_if_oneof 0124 ??_C@_1LK@PPKCKKMM@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA?5?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy@ 0128 ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 012c ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0130 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 14 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 44 4B 01 93 42 4B 00 93 00 23 76 22 3E 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 76 23 34 4A 32 49 36 48 ?? ?? ?? ?? 16 23 04 93 56 E0 15 9B 00 2B 02 D9 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 2A 4B 01 93 2A 4B 00 93 00 23 77 22 26 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 77 23 1C 4A 1A 49 1C 48 ?? ?? ?? ?? 16 23 04 93 26 E0 16 98 ?? ?? ?? ?? 0F 90 6F F0 00 03 15 9A 14 99 0F 98 ?? ?? ?? ?? 10 90 00 23 03 93 7D 23 02 93 10 4B 01 93 0E 4B 00 93 0C 4B 22 22 16 21 10 98 ?? ?? ?? ?? 11 90 11 9B 09 93 09 9B 50 2B 02 D1 00 23 0A 93 01 E0 09 9B 0A 93 0A 9B 04 93 04 98 12 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_161_10_0 {
	meta:
		name = "?copy_string_into_buffer@@YAHQBDQADII@Z"
		size = 40
		refs = "0012 strncpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 04 9A 06 99 05 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_161_11_0 {
	meta:
		name = "?copy_string_into_buffer@@YAHQBDQA_WII@Z"
		size = 44
		refs = "0016 mbstowcs_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 00 93 06 9B 08 9A 07 99 00 20 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_161_22_0 {
	meta:
		name = "_invoke_watson_if_oneof"
		size = 66
		refs = "0032 _invoke_watson"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 07 D0 06 9A 07 9B 9A 42 06 D0 06 9A 08 9B 9A 42 02 D0 06 9B 02 93 07 E0 0D 9B 00 93 0C 9B 0B 9A 0A 99 09 98 ?? ?? ?? ?? 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_162_0_0 {
	meta:
		name = "cbrtf"
		size = 352
		refs = "0010 _fdunscale 004e __rt_sdiv 0072 _fdscale"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 01 0A 01 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 04 93 04 9B 00 2B 08 DB 04 9B 02 2B 00 DD 04 E0 9D ED 01 0A 8D ED 05 0A 86 E0 00 23 03 93 05 E0 BD F9 00 30 5B 1C 1B B2 AD F8 00 30 BD F9 00 10 03 20 ?? ?? ?? ?? 03 23 00 FB 03 F2 BD F9 00 30 9A 42 03 D0 03 9B 5B 1E 03 93 E9 E7 03 9B 00 2B 03 DA 03 99 01 A8 ?? ?? ?? ?? 01 AB 9B 1C 1B 88 13 F4 00 4F 02 D1 00 23 03 93 07 E0 01 23 03 93 9D ED 01 0A B1 EE 40 0A 8D ED 01 0A DF ED 30 0A 9D ED 01 0A 60 EE 80 0A 9F ED 2C 0A 70 EE 80 0A 9D ED 01 0A 60 EE 80 0A 9F ED 27 0A 30 EE 80 1A DD ED 01 0A 9F ED 23 0A 30 EE 80 0A 81 EE 00 0A 8D ED 02 0A F7 EE 08 0A 9D ED 01 0A 60 EE 80 1A DD ED 02 0A 9D ED 02 0A 20 EE 80 1A F6 EE 00 0A 9D ED 01 0A 60 EE 80 0A 9D ED 02 0A 80 EE 80 0A 31 EE 00 0A C1 EE 80 0A 9D ED 02 0A 70 EE 20 0A B6 EE 00 0A 20 EE 20 0A 8D ED 02 0A 03 9B 00 2B 05 D0 9D ED 02 0A B1 EE 40 0A 8D ED 02 0A BD F9 00 10 03 20 ?? ?? ?? ?? 01 46 02 A8 ?? ?? ?? ?? 9D ED 02 0A 8D ED 05 0A 9D ED 05 0A 06 B0 BD E8 00 88 FE DE 5A 2A 8F 3E CF A0 A1 3D 13 44 75 3F 16 A4 79 3E }
	condition:
		$1
}

rule file_163_0_0 {
	meta:
		name = "_FCmulcc"
		size = 218
		refs = "0020 crealf 0038 cimagf 00b0 _FCbuild"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 CD ED 0B 1A 8D ED 0A 1A CD ED 09 0A 8D ED 08 0A 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 04 0A 9D ED 04 0A 8D ED 00 0A 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 05 0A 9D ED 05 0A 8D ED 02 0A 9D ED 0A 0A DD ED 0B 0A ?? ?? ?? ?? 8D ED 06 0A 9D ED 06 0A 8D ED 01 0A 9D ED 0A 0A DD ED 0B 0A ?? ?? ?? ?? 8D ED 07 0A 9D ED 07 0A 8D ED 03 0A DD ED 00 0A 9D ED 03 0A 20 EE 80 1A DD ED 02 0A 9D ED 01 0A 20 EE 80 0A 71 EE 00 0A 9D ED 00 1A 9D ED 01 0A 61 EE 00 1A 9D ED 02 1A 9D ED 03 0A 21 EE 00 0A 31 EE C0 0A ?? ?? ?? ?? CD ED 0D 0A 8D ED 0C 0A 9D ED 0C 0A 8D ED 0E 0A 9D ED 0D 0A 8D ED 0F 0A 9D ED 0E 0A DD ED 0F 0A 10 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_163_1_0 {
	meta:
		name = "_FCmulcr"
		size = 118
		refs = "001c cimagf 002c crealf 004c _FCbuild"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 00 1A CD ED 05 0A 8D ED 04 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 01 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? 8D ED 02 0A DD ED 01 0A 9D ED 00 0A 60 EE 80 0A 9D ED 02 1A 9D ED 00 0A 21 EE 00 0A ?? ?? ?? ?? CD ED 07 0A 8D ED 06 0A 9D ED 06 0A 8D ED 08 0A 9D ED 07 0A 8D ED 09 0A 9D ED 08 0A DD ED 09 0A 0A B0 BD E8 00 88 }
	condition:
		$1
}

rule file_163_2_0 {
	meta:
		name = "cpowf"
		size = 304
		refs = "0020 cimagf 003e crealf 009a powf 00aa _FCbuild 00d2 clogf 00ee _FCmulcc 0102 cexpf"
	strings:
		$1 = { 2D E9 00 48 EB 46 94 B0 CD ED 09 1A 8D ED 08 1A CD ED 07 0A 8D ED 06 0A 9D ED 06 0A DD ED 07 0A ?? ?? ?? ?? 8D ED 00 0A 9D ED 00 0A B5 EE 40 0A F1 EE 10 FA 49 D1 9D ED 06 0A DD ED 07 0A ?? ?? ?? ?? 8D ED 01 0A 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 3A DB 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 02 0A 9D ED 02 0A B5 EE 40 0A F1 EE 10 FA 2B D1 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 03 0A 9D ED 06 0A DD ED 07 0A ?? ?? ?? ?? 8D ED 04 0A DD ED 03 0A 9D ED 04 0A ?? ?? ?? ?? 8D ED 05 0A DF ED 22 0A 9D ED 05 0A ?? ?? ?? ?? CD ED 0D 0A 8D ED 0C 0A 9D ED 0C 0A 8D ED 0A 0A 9D ED 0D 0A 8D ED 0B 0A 2A E0 29 E0 9D ED 06 0A DD ED 07 0A ?? ?? ?? ?? CD ED 0F 0A 8D ED 0E 0A 9D ED 0E 1A DD ED 0F 1A 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? CD ED 11 0A 8D ED 10 0A 9D ED 10 0A DD ED 11 0A ?? ?? ?? ?? CD ED 13 0A 8D ED 12 0A 9D ED 12 0A 8D ED 0A 0A 9D ED 13 0A 8D ED 0B 0A 9D ED 0A 0A DD ED 0B 0A 14 B0 BD E8 00 88 00 00 00 00 }
	condition:
		$1
}

rule file_164_0_0 {
	meta:
		name = "_wremove"
		size = 72
		refs = "0024 __acrt_errno_map_os_error 0040 __imp_GetLastError 0044 __imp_DeleteFileW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 0D 4B 1B 68 98 47 01 90 01 9B 00 2B 0A D1 09 4B 1B 68 98 47 02 90 02 98 ?? ?? ?? ?? 6F F0 00 03 00 93 01 E0 00 23 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_560_0_0 {
	meta:
		name = "_wrmdir"
		size = 72
		refs = "0024 __acrt_errno_map_os_error 0040 __imp_GetLastError 0044 __imp_RemoveDirectoryW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 0D 4B 1B 68 98 47 01 90 01 9B 00 2B 0A D1 09 4B 1B 68 98 47 02 90 02 98 ?? ?? ?? ?? 6F F0 00 03 00 93 01 E0 00 23 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_165_17_0 {
	meta:
		name = "fputs"
		size = 564
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00d2 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 00d8 ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 00ea ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 00f2 _fileno 01e0 strlen 01f2 ??0<lambda_c24b6d9e7c4576f9a5efdbd124f9441f>@@QAA@ABQAU_iobuf@@ABQBDABI@Z 01fc ??$__acrt_lock_stream_and_call@V<lambda_c24b6d9e7c4576f9a5efdbd124f9441f>@@@@YAHQAU_iobuf@@$$QAV<lambda_c24b6d9e7c4576f9a5efdbd124f9441f>@@@Z 0214 ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 0218 ??_C@_1M@LIIFKKLB@?$AAf?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 021c ??_C@_1FO@FBPIABED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0220 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0224 __badioinfo 0228 __pioinfo 022c ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0230 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9E B0 20 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 82 4B 01 93 7D 4B 00 93 00 23 11 22 7A 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 11 23 70 4A 6E 49 74 48 ?? ?? ?? ?? 6F F0 00 03 04 93 CC E0 21 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 69 4B 01 93 65 4B 00 93 00 23 12 22 62 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 12 23 57 4A 56 49 5A 48 ?? ?? ?? ?? 6F F0 00 03 04 93 9B E0 21 99 09 A8 ?? ?? ?? ?? 09 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 4F D1 09 A8 ?? ?? ?? ?? 12 90 12 98 ?? ?? ?? ?? 13 90 13 9B 02 93 02 9B B3 F1 FF 3F 14 D0 02 9B 13 F1 02 0F 10 D0 02 9B 9A 11 04 23 02 FB 03 F2 44 4B 99 18 02 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 0A 93 01 E0 3D 4B 0A 93 0A 9B 29 33 93 F9 00 30 00 2B 21 D1 02 9B B3 F1 FF 3F 14 D0 02 9B 13 F1 02 0F 10 D0 02 9B 9A 11 04 23 02 FB 03 F2 33 4B 99 18 02 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 0B 93 01 E0 2C 4B 0B 93 0B 9B 2D 33 1B 78 03 F0 01 03 00 2B 02 D0 00 23 0C 93 01 E0 01 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 1F 4B 01 93 21 4B 00 93 00 23 13 22 1E 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 11 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 13 23 13 4A 12 49 10 48 ?? ?? ?? ?? 6F F0 00 03 04 93 13 E0 20 98 ?? ?? ?? ?? 16 90 16 9B 17 93 17 AB 20 AA 21 A9 1A A8 ?? ?? ?? ?? 18 90 18 99 21 98 ?? ?? ?? ?? 19 90 19 9B 04 93 04 98 1E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_166_6_0 {
	meta:
		name = "_access"
		size = 54
		refs = "000e _access_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 00 23 00 93 02 E0 6F F0 00 03 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_359_0_0 {
	meta:
		name = "_waccess"
		size = 54
		refs = "000e _waccess_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 00 23 00 93 02 E0 6F F0 00 03 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_166_7_0 {
	meta:
		name = "_access_s"
		size = 126
		refs = "0014 _waccess_s 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 002a ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0034 __acrt_copy_path_to_wide_string 0048 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0054 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 07 D1 0D 99 00 20 ?? ?? ?? ?? 02 90 02 9B 01 93 28 E0 00 21 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 03 90 03 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 08 D1 6F F0 00 03 05 93 68 46 ?? ?? ?? ?? 05 9B 01 93 0F E0 68 46 ?? ?? ?? ?? 06 90 0D 99 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 68 46 ?? ?? ?? ?? 08 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_18_0 {
	meta:
		name = "??$common_stat@U_stat32@@@@YAHQBDQAU_stat32@@@Z"
		size = 126
		refs = "0014 ??$common_stat@U_stat32@@@@YAHQB_WQAU_stat32@@@Z 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 002a ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0034 __acrt_copy_path_to_wide_string 0048 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0054 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 07 D1 0D 99 00 20 ?? ?? ?? ?? 02 90 02 9B 01 93 28 E0 00 21 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 03 90 03 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 08 D1 6F F0 00 03 05 93 68 46 ?? ?? ?? ?? 05 9B 01 93 0F E0 68 46 ?? ?? ?? ?? 06 90 0D 99 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 68 46 ?? ?? ?? ?? 08 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_20_0 {
	meta:
		name = "??$common_stat@U_stat32i64@@@@YAHQBDQAU_stat32i64@@@Z"
		size = 126
		refs = "0014 ??$common_stat@U_stat32i64@@@@YAHQB_WQAU_stat32i64@@@Z 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 002a ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0034 __acrt_copy_path_to_wide_string 0048 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0054 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 07 D1 0D 99 00 20 ?? ?? ?? ?? 02 90 02 9B 01 93 28 E0 00 21 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 03 90 03 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 08 D1 6F F0 00 03 05 93 68 46 ?? ?? ?? ?? 05 9B 01 93 0F E0 68 46 ?? ?? ?? ?? 06 90 0D 99 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 68 46 ?? ?? ?? ?? 08 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_22_2 {
	meta:
		name = "??$common_stat@U_stat64@@@@YAHQBDQAU_stat64@@@Z"
		size = 126
		refs = "0014 ??$common_stat@U_stat64@@@@YAHQB_WQAU_stat64@@@Z 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 002a ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0034 __acrt_copy_path_to_wide_string 0048 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0054 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 07 D1 0D 99 00 20 ?? ?? ?? ?? 02 90 02 9B 01 93 28 E0 00 21 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 03 90 03 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 08 D1 6F F0 00 03 05 93 68 46 ?? ?? ?? ?? 05 9B 01 93 0F E0 68 46 ?? ?? ?? ?? 06 90 0D 99 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 68 46 ?? ?? ?? ?? 08 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_24_2 {
	meta:
		name = "??$common_stat@U_stat64i32@@@@YAHQBDQAU_stat64i32@@@Z"
		size = 126
		refs = "0014 ??$common_stat@U_stat64i32@@@@YAHQB_WQAU_stat64i32@@@Z 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 002a ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0034 __acrt_copy_path_to_wide_string 0048 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0054 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 07 D1 0D 99 00 20 ?? ?? ?? ?? 02 90 02 9B 01 93 28 E0 00 21 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 03 90 03 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 08 D1 6F F0 00 03 05 93 68 46 ?? ?? ?? ?? 05 9B 01 93 0F E0 68 46 ?? ?? ?? ?? 06 90 0D 99 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 68 46 ?? ?? ?? ?? 08 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_457_6_2 {
	meta:
		name = "_chmod"
		size = 126
		refs = "0014 _wchmod 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 002a ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0034 __acrt_copy_path_to_wide_string 0048 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0054 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 07 D1 0D 99 00 20 ?? ?? ?? ?? 02 90 02 9B 01 93 28 E0 00 21 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 03 90 03 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 08 D1 6F F0 00 03 05 93 68 46 ?? ?? ?? ?? 05 9B 01 93 0F E0 68 46 ?? ?? ?? ?? 06 90 0D 99 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 68 46 ?? ?? ?? ?? 08 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_167_0_0 {
	meta:
		name = "fesetenv"
		size = 86
		refs = "0016 _setfpcontrolword 0020 _setfpstatusword 0026 fegetenv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 02 93 00 23 03 93 06 9B 18 68 ?? ?? ?? ?? 06 9B 1B 1D 18 68 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 06 9B 1A 68 02 9B 9A 42 05 D1 06 9B 1B 1D 1A 68 03 9B 9A 42 02 D0 01 23 00 93 01 E0 00 23 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_169_0_0 {
	meta:
		name = "__strncnt"
		size = 68
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 00 23 00 93 05 E0 01 9B 5B 1C 01 93 00 9B 5B 1C 00 93 01 9B 93 F9 00 30 00 2B 04 D0 00 9A 07 9B 9A 42 00 D0 EF E7 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_170_5_0 {
	meta:
		name = "_mbcjistojms_l"
		size = 128
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 005a _errno"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? 02 9B 5B 68 B3 F5 69 7F 23 D1 C4 F3 07 21 A1 F1 21 03 5D 2B E2 B2 17 D8 A2 F1 21 03 5D 2B 13 D8 11 F0 01 0F 05 D0 5F 2A 98 BF 1F 32 02 D9 20 32 00 E0 7E 32 A1 F1 21 03 5B 08 81 33 9F 2B 88 BF 40 33 42 EA 03 24 04 E0 ?? ?? ?? ?? 2A 23 03 60 00 24 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_170_7_0 {
	meta:
		name = "_mbcjmstojis_l"
		size = 172
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0086 _errno"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? 02 98 43 68 B3 F5 69 7F 39 D1 C4 F3 07 22 50 FA 82 F3 5B 7E E1 B2 13 F0 04 0F 2B D0 50 FA 81 F3 5B 7E 13 F0 08 0F 25 D0 A0 2A 28 BF C1 23 38 BF 81 23 D3 1A 9F 29 06 D3 03 F1 11 02 A1 F1 7E 03 43 EA 42 24 0A E0 5B 02 7E 29 03 F5 04 52 98 BF 1F 23 88 BF 20 23 CB 1A 43 EA 02 04 42 F2 21 13 E2 1A 45 F6 5D 53 9A 42 04 D8 E3 B2 7E 2B 01 D8 21 2B 04 D2 ?? ?? ?? ?? 2A 23 03 60 00 24 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_171_0_0 {
	meta:
		name = "fminf"
		size = 154
		refs = "0012 _fdtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 CD ED 02 0A 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 05 D1 9D ED 02 0A 8D ED 03 0A 31 E0 30 E0 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 05 D1 9D ED 01 0A 8D ED 03 0A 22 E0 21 E0 DD ED 01 0A 9D ED 02 0A F4 EE C0 0A F1 EE 10 FA 0E D3 DD ED 01 0A 9D ED 02 0A F4 EE 40 0A F1 EE 10 FA 0B D1 01 AB 9B 1C 1B 88 13 F4 00 4F 05 D0 9D ED 01 0A 8D ED 03 0A 04 E0 03 E0 9D ED 02 0A 8D ED 03 0A 9D ED 03 0A 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_172_0_0 {
	meta:
		name = "??$common_tcsnset_s@_W@@YAHQA_WI_WI@Z"
		size = 572
		refs = "0052 _CrtDbgReportW 0066 _errno 007e _invalid_parameter 010a _CrtGetDebugFillThreshold 0138 memset 0224 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0228 ??_C@_1CC@HBEPNLAD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 022c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0230 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0234 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0238 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 19 9B 00 2B 08 D1 16 9B 00 2B 05 D1 17 9B 00 2B 02 D1 00 23 05 93 F9 E0 16 9B 00 2B 05 D0 17 9B 00 2B 02 D9 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 7D 4B 01 93 7A 4B 00 93 00 23 F1 22 77 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 F1 23 6C 4A 6B 49 6E 48 ?? ?? ?? ?? 16 23 05 93 C6 E0 16 9B 03 93 17 9B 02 93 19 9B 04 93 03 9B 1B 88 00 2B 13 D0 04 9B 00 2B 10 D9 02 9B 5B 1E 02 93 02 9B 00 2B 0A D9 BD F8 60 20 03 9B 1A 80 03 9B 9B 1C 03 93 04 9B 5B 1E 04 93 E7 E7 04 9B 00 2B 0D D1 03 9B 1B 88 00 2B 09 D0 02 9B 5B 1E 02 93 02 9B 00 2B 03 D9 03 9B 9B 1C 03 93 F1 E7 02 9B 00 2B 5A D1 16 9A 00 23 13 80 17 9B B3 F1 FF 3F 20 D0 17 9A 6F F0 00 43 9A 42 1B D0 17 9B 01 2B 18 D9 ?? ?? ?? ?? 10 90 10 9B 08 93 17 9B 5A 1E 08 9B 93 42 02 D2 08 9B 09 93 02 E0 17 9B 5B 1E 09 93 09 9A 02 23 02 FB 03 F2 FE 21 16 9B 98 1C ?? ?? ?? ?? 3D 4B 00 2B 03 D0 02 E0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0F D1 32 4B 01 93 34 4B 00 93 00 23 40 F2 09 12 31 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 11 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 40 F2 09 13 26 4A 24 49 23 48 ?? ?? ?? ?? 16 23 05 93 39 E0 17 9B B3 F1 FF 3F 33 D0 17 9A 6F F0 00 43 9A 42 2E D0 17 9A 02 9B D3 1A 5A 1C 17 9B 9A 42 27 D2 ?? ?? ?? ?? 13 90 13 9B 0C 93 17 9A 02 9B D3 1A 5A 1C 17 9B 9A 1A 0C 9B 93 42 02 D2 0C 9B 0D 93 06 E0 17 9A 02 9B D3 1A 5A 1C 17 9B 9B 1A 0D 93 0D 9A 02 23 02 FB 03 F2 FE 21 17 98 02 9B C3 1A 58 1C 02 23 00 FB 03 F0 16 9B 18 44 ?? ?? ?? ?? 00 23 05 93 05 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_172_1_0 {
	meta:
		name = "_wcsnset_s"
		size = 42
		refs = "0014 ??$common_tcsnset_s@_W@@YAHQA_WI_WI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B BD F8 18 20 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_174_0_0 {
	meta:
		name = "remainderf"
		size = 52
		refs = "001a remquof"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 CD ED 00 0A 8D ED 01 0A 00 20 DD ED 00 0A 9D ED 01 0A ?? ?? ?? ?? 8D ED 02 0A 9D ED 02 0A 8D ED 03 0A 9D ED 03 0A 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_175_1_0 {
	meta:
		name = "_mbctohira_l"
		size = 44
		refs = "000a _ismbckata_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 50 B1 48 F2 93 33 9C 42 06 D8 48 F2 7F 33 9C 42 38 BF A1 3C 28 BF A2 3C 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_176_0_0 {
	meta:
		name = "strncmp"
		size = 350
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 01 93 06 9B 00 2B 02 D1 00 23 00 93 9B E0 06 9B 04 2B 73 D3 02 E0 01 9B 1B 1D 01 93 06 9B 1A 1F 01 9B 93 42 6A D2 04 9B 1B 1D 04 93 05 9B 1B 1D 05 93 04 9B 1B 1F 93 F9 00 30 00 2B 09 D0 04 9B 1B 1F 93 F9 00 20 05 9B 1B 1F 93 F9 00 30 9A 42 08 D0 04 9B 1B 1F 1A 78 05 9B 1B 1F 1B 78 D3 1A 00 93 70 E0 04 9B DB 1E 93 F9 00 30 00 2B 09 D0 04 9B DB 1E 93 F9 00 20 05 9B DB 1E 93 F9 00 30 9A 42 08 D0 04 9B DB 1E 1A 78 05 9B DB 1E 1B 78 D3 1A 00 93 57 E0 04 9B 9B 1E 93 F9 00 30 00 2B 09 D0 04 9B 9B 1E 93 F9 00 20 05 9B 9B 1E 93 F9 00 30 9A 42 08 D0 04 9B 9B 1E 1A 78 05 9B 9B 1E 1B 78 D3 1A 00 93 3E E0 04 9B 5B 1E 93 F9 00 30 00 2B 09 D0 04 9B 5B 1E 93 F9 00 20 05 9B 5B 1E 93 F9 00 30 9A 42 08 D0 04 9B 5B 1E 1A 78 05 9B 5B 1E 1B 78 D3 1A 00 93 25 E0 8C E7 02 E0 01 9B 5B 1C 01 93 01 9A 06 9B 9A 42 1A D2 04 9B 93 F9 00 30 00 2B 07 D0 04 9B 93 F9 00 20 05 9B 93 F9 00 30 9A 42 06 D0 04 9B 1A 78 05 9B 1B 78 D3 1A 00 93 08 E0 04 9B 5B 1C 04 93 05 9B 5B 1C 05 93 DD E7 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_177_6_0 {
	meta:
		name = "_ismbclower_l"
		size = 80
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0032 __dcrt_multibyte_check_type"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? FF 2C 09 D8 02 9B 23 44 5B 7E 13 F0 20 0F 18 BF 01 20 07 D1 00 20 05 E0 01 A9 01 23 02 22 20 46 ?? ?? ?? ?? 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_178_0_0 {
	meta:
		name = "roundf"
		size = 132
		refs = "0010 _fd_int"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 01 0A 01 21 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 04 DD 02 9B 02 2B 00 DD 00 E0 21 E0 00 21 01 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 00 2B 00 D1 16 E0 01 AB 9B 1C 1B 88 13 F4 00 4F 08 D0 DD ED 01 0A B7 EE 00 0A 30 EE C0 0A 8D ED 01 0A 07 E0 DD ED 01 0A B7 EE 00 0A 30 EE 80 0A 8D ED 01 0A 9D ED 01 0A 8D ED 03 0A 9D ED 03 0A 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_179_8_0 {
	meta:
		name = "__acrt_lowio_create_handle_array"
		size = 296
		refs = "0014 _calloc_dbg 001e ??0?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAA@QAU__crt_lowio_handle_data@@@Z 0024 ??B?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBA_NXZ 003a ??1?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAA@XZ 0046 ?get@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBAPAU__crt_lowio_handle_data@@XZ 0074 __acrt_InitializeCriticalSectionEx 0106 ?detach@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAAPAU__crt_lowio_handle_data@@XZ 0124 ??_C@_0DB@JFFPGLDM@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 2D E9 00 48 EB 46 8E B0 11 23 00 93 45 4B 02 22 30 21 40 20 ?? ?? ?? ?? 08 90 08 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 07 D1 00 23 09 93 04 A8 ?? ?? ?? ?? 09 9B 07 93 6A E0 04 A8 ?? ?? ?? ?? 0A 90 0A 9B 05 93 05 9B 03 F5 40 63 0B 93 05 9B 03 93 02 E0 03 9B 30 33 03 93 03 9A 0B 9B 9A 42 4B D0 00 22 4F F4 7A 61 03 98 ?? ?? ?? ?? 03 9B 03 F1 18 02 6F F0 00 03 13 60 03 9B 20 33 06 93 06 9A 00 23 13 60 06 9A 00 23 53 60 03 9B 03 F1 28 02 00 23 13 70 03 9B 03 F1 29 02 00 23 13 70 03 9B 03 F1 2A 02 0A 23 13 70 03 9B 2A 33 5A 1C 0A 23 13 70 03 9B 2A 33 9A 1C 0A 23 13 70 03 9B 2D 33 1B 78 03 F0 FE 02 03 9B 2D 33 1A 70 03 9B 2D 33 1B 78 03 F0 FD 02 03 9B 2D 33 1A 70 03 9B 2D 33 1B 78 03 F0 FB 02 03 9B 2D 33 1A 70 03 9B 03 F1 2E 02 00 23 13 70 AC E7 04 A8 ?? ?? ?? ?? 0C 90 0C 9B 0D 93 04 A8 ?? ?? ?? ?? 0D 9B 07 93 07 98 0E B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_179_9_0 {
	meta:
		name = "__acrt_lowio_destroy_handle_array"
		size = 84
		refs = "0040 _free_dbg 0050 __imp_DeleteCriticalSection"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 00 D1 18 E0 06 9B 01 93 01 9B 03 F5 40 63 02 93 01 9B 00 93 02 E0 00 9B 30 33 00 93 00 9A 02 9B 9A 42 04 D0 00 98 06 4B 1B 68 98 47 F3 E7 02 21 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_179_10_0 {
	meta:
		name = "__acrt_lowio_ensure_fh_exists"
		size = 272
		refs = "003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0078 __acrt_lock 00a6 __acrt_lowio_create_handle_array 00e4 __acrt_unlock 00f8 _nhandle 00fc __pioinfo 0100 ??_C@_1EM@BPODPNEJ@?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$DO?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$DM?$AA?5?$AA_?$AAN?$AAH?$AAA@ 0104 ??_C@_1DM@JELNOMLN@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAl?$AAo?$AAw?$AAi?$AAo?$AA_?$AAe?$AAn?$AAs?$AAu?$AAr?$AAe?$AA_?$AAf?$AAh?$AA_?$AAe?$AAx?$AAi?$AAs?$AAt?$AAs?$AA?$AA@ 0108 ??_C@_1GC@LDGKBAFM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 82 B0 3B 6B B3 F5 00 5F 02 D2 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 34 4B 01 93 36 4B 00 93 00 23 41 22 33 49 02 20 ?? ?? ?? ?? 78 61 7B 69 01 2B 00 D1 FE DE BB 68 00 2B 10 D1 ?? ?? ?? ?? B8 61 BA 69 09 23 13 60 00 23 00 93 41 23 29 4A 27 49 26 48 ?? ?? ?? ?? 09 23 3B 61 3C E0 00 23 FB 60 07 20 ?? ?? ?? ?? 00 23 3B 60 02 E0 3B 68 5B 1C 3B 60 3A 6B 1B 4B 1B 68 9A 42 27 DB 3A 68 04 23 02 FB 03 F2 18 4B 13 44 1B 68 00 2B 00 D0 ED E7 ?? ?? ?? ?? F8 61 3A 68 04 23 02 FB 03 F2 11 4B 1A 44 FB 69 13 60 3A 68 04 23 02 FB 03 F2 0D 4B 13 44 1B 68 00 2B 02 D1 0C 23 FB 60 06 E0 08 4B 1B 68 03 F1 40 02 06 4B 1A 60 CF E7 07 20 ?? ?? ?? ?? FB 68 3B 61 38 69 0B B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_179_11_0 {
	meta:
		name = "__acrt_lowio_ensure_fh_exists$fin$0"
		size = 16
		refs = "0006 __acrt_unlock"
	strings:
		$1 = { 10 B5 82 B0 07 20 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_179_12_0 {
	meta:
		name = "__acrt_lowio_lock_fh"
		size = 60
		refs = "0034 __imp_EnterCriticalSection 0038 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 9A 11 04 23 02 FB 03 F2 09 4B 99 18 02 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 98 18 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_179_14_0 {
	meta:
		name = "__acrt_lowio_unlock_fh"
		size = 60
		refs = "0034 __imp_LeaveCriticalSection 0038 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 9A 11 04 23 02 FB 03 F2 09 4B 99 18 02 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 98 18 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_179_13_0 {
	meta:
		name = "__acrt_lowio_set_os_handle"
		size = 248
		refs = "0042 _query_app_type 00c0 _errno 00cc __doserrno 00ec __pioinfo 00f0 __imp_SetStdHandle 00f4 _nhandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 00 2B 57 DB 08 9A 38 4B 1B 68 9A 42 52 D2 08 9B 9A 11 04 23 02 FB 03 F2 31 4B 99 18 08 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 B3 F1 FF 3F 3E D1 ?? ?? ?? ?? 03 90 03 9B 01 2B 21 D1 09 9B 01 93 08 9B 00 93 00 9B 00 2B 06 D0 00 9B 01 2B 0A D0 00 9B 02 2B 0E D0 13 E0 01 99 6F F0 09 00 1F 4B 1B 68 98 47 0C E0 01 99 6F F0 0A 00 1C 4B 1B 68 98 47 05 E0 01 99 6F F0 0B 00 18 4B 1B 68 98 47 08 9B 9A 11 04 23 02 FB 03 F2 13 4B 99 18 08 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 18 02 09 9B 13 60 00 23 02 93 0F E0 0E E0 ?? ?? ?? ?? 04 90 04 9A 09 23 13 60 ?? ?? ?? ?? 05 90 05 9A 00 23 13 60 6F F0 00 03 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_179_15_0 {
	meta:
		name = "_alloc_osfhnd"
		size = 412
		refs = "000e __acrt_lock 003e __acrt_lowio_create_handle_array 0080 __acrt_lowio_lock_fh 0118 __rt_sdiv 017a __acrt_unlock 018c __pioinfo 0190 __imp_LeaveCriticalSection 0194 __imp_EnterCriticalSection 0198 _nhandle"
	strings:
		$1 = { 2D E9 90 48 0D F1 08 0B 8A B0 6F 46 07 20 ?? ?? ?? ?? 6F F0 00 03 7B 61 00 23 3B 60 02 E0 3B 68 5B 1C 3B 60 3B 68 80 2B 80 F2 A6 80 3A 68 04 23 02 FB 03 F2 55 4B 13 44 1B 68 00 2B 38 D1 ?? ?? ?? ?? B8 61 3A 68 04 23 02 FB 03 F2 4F 4B 1A 44 BB 69 13 60 3A 68 04 23 02 FB 03 F2 4B 4B 13 44 1B 68 00 2B 00 D1 87 E0 4B 4B 1B 68 03 F1 40 02 49 4B 1A 60 3A 68 40 23 02 FB 03 F3 FB 60 F8 68 ?? ?? ?? ?? FB 68 9A 11 04 23 02 FB 03 F2 3F 4B 99 18 FB 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 01 23 13 70 FB 68 7B 61 63 E0 3A 68 04 23 02 FB 03 F2 34 4B 13 44 1B 68 3B 61 3B 69 03 F5 40 63 FB 61 3B 69 7B 60 02 E0 7B 68 30 33 7B 60 7A 68 FB 69 9A 42 4C D0 7B 68 28 33 1B 78 13 F0 01 0F 00 D0 F1 E7 78 68 29 4B 1B 68 98 47 7B 68 28 33 1B 78 13 F0 01 0F 04 D0 78 68 23 4B 1B 68 98 47 E2 E7 3A 68 40 23 02 FB 03 F4 7A 68 3B 69 D1 1A 30 20 ?? ?? ?? ?? 23 18 BB 60 BB 68 9A 11 04 23 02 FB 03 F2 18 4B 99 18 BB 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 01 23 13 70 BB 68 9A 11 04 23 02 FB 03 F2 0E 4B 99 18 BB 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 18 02 6F F0 00 03 13 60 BB 68 7B 61 01 E0 AB E7 52 E7 07 20 ?? ?? ?? ?? 7B 69 3B 62 38 6A 0A B0 BD E8 90 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_179_17_0 {
	meta:
		name = "_free_osfhnd"
		size = 284
		refs = "006a _query_app_type 00e6 _errno 00f2 __doserrno 0110 __pioinfo 0114 __imp_SetStdHandle 0118 _nhandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 00 2B 6A DB 08 9A 41 4B 1B 68 9A 42 65 D2 08 9B 9A 11 04 23 02 FB 03 F2 3A 4B 99 18 08 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 51 D0 08 9B 9A 11 04 23 02 FB 03 F2 30 4B 99 18 08 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 B3 F1 FF 3F 3D D0 ?? ?? ?? ?? 02 90 02 9B 01 2B 1F D1 08 9B 00 93 00 9B 00 2B 06 D0 00 9B 01 2B 0A D0 00 9B 02 2B 0E D0 13 E0 00 21 6F F0 09 00 1F 4B 1B 68 98 47 0C E0 00 21 6F F0 0A 00 1C 4B 1B 68 98 47 05 E0 00 21 6F F0 0B 00 18 4B 1B 68 98 47 08 9B 9A 11 04 23 02 FB 03 F2 13 4B 99 18 08 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 18 02 6F F0 00 03 13 60 00 23 01 93 0F E0 0E E0 ?? ?? ?? ?? 03 90 03 9A 09 23 13 60 ?? ?? ?? ?? 04 90 04 9A 00 23 13 60 6F F0 00 03 01 93 01 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_179_18_0 {
	meta:
		name = "_get_osfhandle"
		size = 400
		refs = "0012 __doserrno 001e _errno 0068 _CrtDbgReportW 00a2 _invalid_parameter 0174 __pioinfo 0178 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 017c ??_C@_1BO@EMBOBGKE@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAf?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0180 ??_C@_1GC@LDGKBAFM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0184 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0188 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 018c _nhandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 9B 13 F1 02 0F 0F D1 ?? ?? ?? ?? 07 90 07 9A 00 23 13 60 ?? ?? ?? ?? 08 90 08 9A 09 23 13 60 6F F0 00 03 02 93 99 E0 12 9B 00 2B 07 DB 12 9A 54 4B 1B 68 9A 42 02 D2 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 4C 4B 01 93 4A 4B 00 93 00 23 40 F2 01 12 46 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 04 9B 00 2B 18 D1 ?? ?? ?? ?? 0A 90 0A 9A 00 23 13 60 ?? ?? ?? ?? 0B 90 0B 9A 09 23 13 60 00 23 00 93 40 F2 01 13 38 4A 37 49 39 48 ?? ?? ?? ?? 6F F0 00 03 02 93 5B E0 12 9B 9A 11 04 23 02 FB 03 F2 2E 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 4F F4 81 72 21 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 06 9B 00 2B 18 D1 ?? ?? ?? ?? 0D 90 0D 9A 00 23 13 60 ?? ?? ?? ?? 0E 90 0E 9A 09 23 13 60 00 23 00 93 4F F4 81 73 13 4A 12 49 10 48 ?? ?? ?? ?? 6F F0 00 03 02 93 11 E0 12 9B 9A 11 04 23 02 FB 03 F2 09 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 02 93 02 98 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_179_19_0 {
	meta:
		name = "_open_osfhandle"
		size = 488
		refs = "0066 __acrt_errno_map_os_error 0094 _alloc_osfhnd 00a6 _errno 00b2 __doserrno 00ce __acrt_lowio_set_os_handle 01c8 __acrt_lowio_unlock_fh 01dc __pioinfo 01e0 __imp_GetLastError 01e4 __imp_GetFileType"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 00 23 3B 70 7B 6B 13 F0 08 0F 04 D0 3B 78 43 F0 20 03 DB B2 3B 70 7B 6B 13 F4 80 4F 04 D0 3B 78 43 F0 80 03 DB B2 3B 70 7B 6B 13 F0 80 0F 04 D0 3B 78 43 F0 10 03 DB B2 3B 70 38 6B 66 4B 1B 68 98 47 38 61 3B 69 BB 60 BB 68 00 2B 0A D1 60 4B 1B 68 98 47 78 61 78 69 ?? ?? ?? ?? 6F F0 00 03 FB 60 AE E0 BB 68 02 2B 05 D1 3B 78 43 F0 40 03 DB B2 3B 70 07 E0 BB 68 03 2B 04 D1 3B 78 43 F0 08 03 DB B2 3B 70 ?? ?? ?? ?? B8 61 BB 69 7B 60 7B 68 B3 F1 FF 3F 0F D1 ?? ?? ?? ?? F8 61 FA 69 18 23 13 60 ?? ?? ?? ?? 38 62 3A 6A 00 23 13 60 6F F0 00 03 FB 60 84 E0 00 23 7B 70 39 6B 78 68 ?? ?? ?? ?? 3B 78 43 F0 01 03 DB B2 3B 70 7B 68 9A 11 04 23 02 FB 03 F2 3D 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 3B 78 13 70 7B 68 9A 11 04 23 02 FB 03 F2 33 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 29 02 00 23 13 70 7B 68 9A 11 04 23 02 FB 03 F2 2A 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 1B 78 03 F0 FE 00 7B 68 9A 11 04 23 02 FB 03 F2 20 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 18 70 01 23 7B 70 7B 78 00 2B 25 D1 7B 68 9A 11 04 23 02 FB 03 F2 15 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 7B 68 9A 11 04 23 02 FB 03 F2 0C 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 78 68 ?? ?? ?? ?? 7B 68 FB 60 F8 68 09 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_179_20_0 {
	meta:
		name = "_open_osfhandle$fin$0"
		size = 100
		refs = "0056 __acrt_lowio_unlock_fh 0060 __pioinfo"
	strings:
		$1 = { 10 B5 7B 78 00 2B 25 D1 7B 68 9A 11 04 23 02 FB 03 F2 13 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 7B 68 9A 11 04 23 02 FB 03 F2 09 4B 99 18 7B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 78 68 ?? ?? ?? ?? FF E7 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_180_9_0 {
	meta:
		name = "_fclose_nolock"
		size = 320
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0014 ?valid@__crt_stdio_stream@@QBA_NXZ 0048 _CrtDbgReportW 005c _errno 0074 _invalid_parameter 0088 ?is_in_use@__crt_stdio_stream@@QBA_NXZ 009a ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 00a2 __acrt_stdio_flush_nolock 00b6 __acrt_stdio_free_buffer_nolock 00c4 _fileno 00cc _close 00e2 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0102 _free_dbg 011a ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 0130 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0134 ??_C@_1BO@JINCABEC@?$AA_?$AAf?$AAc?$AAl?$AAo?$AAs?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0138 ??_C@_1GA@DKNOMDCL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 013c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 16 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 3D 4B 01 93 3F 4B 00 93 00 23 34 22 3C 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 34 23 32 4A 30 49 2F 48 ?? ?? ?? ?? 6F F0 00 03 07 93 50 E0 6F F0 00 03 04 93 02 A8 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 3F D0 02 A8 ?? ?? ?? ?? 0A 90 0A 98 ?? ?? ?? ?? 0B 90 0B 9B 04 93 02 A8 ?? ?? ?? ?? 0C 90 0C 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 0D 90 0D 98 ?? ?? ?? ?? 0E 90 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 03 DA 6F F0 00 03 04 93 1B E0 02 A8 ?? ?? ?? ?? 10 90 10 9B 1C 33 1B 68 00 2B 12 D0 02 A8 ?? ?? ?? ?? 11 90 02 21 11 9B 1C 33 18 68 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 12 90 12 9B 03 F1 1C 02 00 23 13 60 02 98 ?? ?? ?? ?? 04 9B 07 93 07 98 14 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_180_10_0 {
	meta:
		name = "fclose"
		size = 244
		refs = "0014 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001a ?valid@__crt_stdio_stream@@QBA_NXZ 004a _CrtDbgReportW 005e _errno 0076 _invalid_parameter 0084 ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 0092 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 00a4 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 00ac _lock_file 00ba _fclose_nolock 00ce _unlock_file 00e4 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 00e8 ??_C@_1O@EGMJNCOI@?$AAf?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 00ec ??_C@_1GA@DKNOMDCL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 82 B0 39 6C 38 1D ?? ?? ?? ?? 38 1D ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 01 23 3B 61 01 E0 00 23 3B 61 3B 69 7B 61 7B 69 00 2B 0E D1 2A 4B 01 93 2C 4B 00 93 00 23 14 22 29 49 02 20 ?? ?? ?? ?? F8 61 FB 69 01 2B 00 D1 FE DE 7B 69 00 2B 11 D1 ?? ?? ?? ?? 38 62 3A 6A 16 23 13 60 00 23 00 93 14 23 1E 4A 1D 49 1B 48 ?? ?? ?? ?? 6F F0 00 03 FB 60 29 E0 38 1D ?? ?? ?? ?? 78 70 7B 78 00 2B 06 D0 78 68 ?? ?? ?? ?? 6F F0 00 03 FB 60 1B E0 00 23 BB 61 38 1D ?? ?? ?? ?? 78 62 78 6A ?? ?? ?? ?? 38 1D ?? ?? ?? ?? B8 62 B8 6A ?? ?? ?? ?? F8 62 FB 6A BB 61 38 1D ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? BB 69 FB 60 F8 68 0F B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_180_11_0 {
	meta:
		name = "fclose$fin$0"
		size = 24
		refs = "0006 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 000e _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 38 1D ?? ?? ?? ?? B8 60 B8 68 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_181_5_0 {
	meta:
		name = "_mbsnbcoll_l"
		size = 308
		refs = "002a _CrtDbgReportW 0034 _errno 0048 _invalid_parameter 00be ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00d0 _strncoll_l 00ee __acrt_CompareStringA 011c ??_C@_1HC@IGKGJOG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0120 ??_C@_1BK@HHHFAOFG@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0124 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0130 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 89 B0 15 46 98 46 0E 46 07 46 0D B9 00 24 7D E0 DF B9 43 4B 44 4C 3F 49 00 93 00 23 35 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 35 23 37 49 35 4A 20 46 ?? ?? ?? ?? 6F F0 00 44 60 E0 A6 B9 34 4B 35 4C 30 49 00 93 00 23 36 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 36 23 E1 E7 6F F0 00 44 A5 42 19 D9 28 4B 26 4D 24 49 00 93 00 23 37 22 02 20 01 95 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 1D 49 1C 4A 00 23 00 93 37 23 28 46 ?? ?? ?? ?? 2C E0 04 A8 41 46 ?? ?? ?? ?? 06 9A 93 68 3B B9 43 46 2A 46 31 46 38 46 ?? ?? ?? ?? 04 46 13 E0 53 68 D2 F8 1C 12 05 A8 03 93 3B 46 4F F4 80 52 02 95 01 96 00 95 ?? ?? ?? ?? 20 B9 ?? ?? ?? ?? 16 23 03 60 00 E0 84 1E 9D F8 1C 30 33 B1 04 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 09 B0 BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_182_0_0 {
	meta:
		name = "asinhl"
		size = 284
		refs = "000e _ldtest 0088 sqrtl 00b4 log1pl 00ca logl 0114 ln2 0118 _LEps_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 92 B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 08 DB 01 9B 02 2B 00 DD 04 E0 9D ED 04 0B 8D ED 0A 0B 69 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 23 02 93 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 01 E0 00 23 02 93 B0 EE 00 1B 2E 4B 93 ED 00 0B 81 EE 00 1B 9D ED 04 0B B4 EE C1 0B F1 EE 10 FA 28 D2 9D ED 04 1B 9D ED 04 0B 21 EE 00 1B B7 EE 00 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 04 1B 9D ED 04 0B 21 EE 00 2B B7 EE 00 1B 9D ED 0C 0B 31 EE 00 0B 82 EE 00 1B 9D ED 04 0B 30 EE 01 0B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B 8D ED 06 0B 0E E0 9D ED 04 0B ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 1B 0F 4B 93 ED 00 0B 31 EE 00 0B 8D ED 06 0B 02 9B 00 2B 06 D0 9D ED 06 0B B1 EE 40 0B 8D ED 08 0B 03 E0 9D ED 06 0B 8D ED 08 0B 9D ED 08 0B 8D ED 0A 0B 9D ED 0A 0B 12 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_189_0_0 {
	meta:
		name = "asinh"
		size = 284
		refs = "000e _dtest 0088 sqrt 00b4 log1p 00ca log 0114 ln2 0118 _Eps_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 92 B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 08 DB 01 9B 02 2B 00 DD 04 E0 9D ED 04 0B 8D ED 0A 0B 69 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 23 02 93 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 01 E0 00 23 02 93 B0 EE 00 1B 2E 4B 93 ED 00 0B 81 EE 00 1B 9D ED 04 0B B4 EE C1 0B F1 EE 10 FA 28 D2 9D ED 04 1B 9D ED 04 0B 21 EE 00 1B B7 EE 00 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 04 1B 9D ED 04 0B 21 EE 00 2B B7 EE 00 1B 9D ED 0C 0B 31 EE 00 0B 82 EE 00 1B 9D ED 04 0B 30 EE 01 0B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B 8D ED 06 0B 0E E0 9D ED 04 0B ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 1B 0F 4B 93 ED 00 0B 31 EE 00 0B 8D ED 06 0B 02 9B 00 2B 06 D0 9D ED 06 0B B1 EE 40 0B 8D ED 08 0B 03 E0 9D ED 06 0B 8D ED 08 0B 9D ED 08 0B 8D ED 0A 0B 9D ED 0A 0B 12 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_2_0 {
	meta:
		name = "??$common_searchenv_s@D@@YAHQBD0QADI@Z"
		size = 772
		refs = "0008 __security_push_cookie 0028 _CrtDbgReportW 0032 _errno 0046 _invalid_parameter 00c0 _access_s 00d4 _fullpath 00fe _dupenv_s_dbg 0118 strlen 0142 _calloc_dbg 014c _free_dbg 0188 __acrt_getpath 0216 strcpy_s 029c __security_pop_cookie 02b0 _invoke_watson 02d8 ??_C@_1HO@KLEHDNFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AA_?$AAc@ 02dc ??_C@_1CG@BFNCEPHH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 02e0 ??_C@_1GK@MKGKIFGH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 02e4 ??_C@_1HG@MHOEBCGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 02e8 ??_C@_1IG@EBGIJLIJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AAt?$AAr?$AAi@ 02ec ??_C@_0DF@DKLMPIGA@minkernel?2crts?2ucrt?2src?2desktopc@ 02f0 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 02f4 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02fc ??_C@_1CC@HDOBDHHJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0300 ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? C8 B0 16 46 98 46 89 46 07 46 D6 B9 B7 4B B9 4C B0 49 00 93 00 23 24 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 24 23 A6 49 A7 4A 20 46 ?? ?? ?? ?? 16 24 24 E1 B8 F1 00 0F 14 D1 A8 4B A9 4C A1 49 00 93 00 23 25 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 25 23 E0 E7 AF B9 9D 4B 9C 4C 96 49 00 93 00 25 00 23 29 22 02 20 35 70 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 29 23 00 95 C9 E7 97 F9 00 30 00 2B 00 F0 EA 80 ?? ?? ?? ?? 05 68 38 46 00 21 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 05 60 6C B9 42 46 39 46 30 46 ?? ?? ?? ?? 28 B9 00 23 33 70 ?? ?? ?? ?? 04 68 D8 E0 00 24 D6 E0 00 23 02 93 6A 23 01 93 7F 4B 02 A8 4A 46 00 93 02 23 00 21 ?? ?? ?? ?? 18 B1 16 28 40 F0 C0 80 CB E0 02 9D 05 95 00 2D 00 F0 BA 80 38 46 ?? ?? ?? ?? 81 46 06 AC C1 45 4F F4 84 7A 21 D3 28 46 ?? ?? ?? ?? 00 EB 09 03 03 F1 02 0A 5A 23 00 93 6C 4B 02 22 01 21 50 46 ?? ?? ?? ?? 04 46 00 20 02 21 ?? ?? ?? ?? 3C B9 00 23 33 70 ?? ?? ?? ?? 0C 23 03 60 0C 24 8E E0 06 AB 9C 42 01 D0 03 94 01 E0 00 23 03 93 ?? ?? ?? ?? 03 68 04 93 02 9D 00 2D 74 D0 AA EB 09 03 5A 1E 21 46 28 46 ?? ?? ?? ?? 02 90 58 BB 06 AB 9C 42 68 D1 ?? ?? ?? ?? 03 68 22 2B 21 D1 28 46 ?? ?? ?? ?? 00 EB 09 03 03 F1 02 0A 71 23 00 93 4E 4B 02 22 01 21 50 46 ?? ?? ?? ?? 04 46 03 98 02 21 ?? ?? ?? ?? 02 21 00 20 03 94 ?? ?? ?? ?? B4 B3 AA EB 09 02 21 46 28 46 ?? ?? ?? ?? 02 90 00 E0 02 98 F8 B3 94 F9 00 30 E3 B3 20 46 ?? ?? ?? ?? 05 46 28 19 10 F9 01 3C 2F 2B 07 D0 5C 2B 05 D0 3A 2B 03 D0 5C 23 03 70 40 1C 6D 1C AA EB 05 01 3A 46 ?? ?? ?? ?? 00 28 52 D1 00 21 20 46 ?? ?? ?? ?? 00 28 A6 D1 05 EB 09 03 5B 1C 43 45 0D D9 00 23 33 70 ?? ?? ?? ?? 22 23 22 24 18 E0 00 23 33 70 ?? ?? ?? ?? 0C 23 0C 24 11 E0 ?? ?? ?? ?? 04 9B 22 46 41 46 03 60 30 46 ?? ?? ?? ?? 38 BB 00 24 06 E0 00 23 33 70 ?? ?? ?? ?? 02 23 02 24 03 60 03 98 02 21 ?? ?? ?? ?? 05 9D 02 21 28 46 ?? ?? ?? ?? 06 E0 00 23 33 70 ?? ?? ?? ?? 02 23 03 60 02 24 20 46 48 B0 ?? ?? ?? ?? BD E8 F0 8F 0E 4A 0D 49 0F 48 00 23 00 93 45 23 ?? ?? ?? ?? 0A 4A 09 49 0A 48 00 23 00 93 A5 23 ?? ?? ?? ?? 06 4A 05 49 03 48 00 23 00 93 95 23 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_3_0 {
	meta:
		name = "??$common_searchenv_s@_W@@YAHQB_W0QA_WI@Z"
		size = 772
		refs = "0008 __security_push_cookie 002a _CrtDbgReportW 0034 _errno 0048 _invalid_parameter 00c0 _waccess_s 00d4 _wfullpath 00fe _wdupenv_s_dbg 0118 wcslen 0142 _calloc_dbg 014c _free_dbg 0188 __acrt_wgetpath 0216 wcscpy_s 029e __security_pop_cookie 02b2 _invoke_watson 02d8 ??_C@_1HO@KLEHDNFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AA_?$AAc@ 02dc ??_C@_1CG@BFNCEPHH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 02e0 ??_C@_1GK@MKGKIFGH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 02e4 ??_C@_1HG@MHOEBCGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 02e8 ??_C@_1IG@EBGIJLIJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AAt?$AAr?$AAi@ 02ec ??_C@_0DF@DKLMPIGA@minkernel?2crts?2ucrt?2src?2desktopc@ 02f0 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 02f4 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02f8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02fc ??_C@_1CC@HDOBDHHJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0300 ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AD F5 0A 7D 16 46 98 46 89 46 07 46 D6 B9 B7 4B B8 4C B0 49 00 93 00 23 24 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 24 23 A6 49 A6 4A 20 46 ?? ?? ?? ?? 16 24 23 E1 B8 F1 00 0F 14 D1 A8 4B A8 4C A1 49 00 93 00 23 25 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 25 23 E0 E7 AF B9 9D 4B 9B 4C 96 49 00 93 00 25 00 23 29 22 02 20 35 80 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 29 23 00 95 C9 E7 3B 88 00 2B 00 F0 EA 80 ?? ?? ?? ?? 05 68 38 46 00 21 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 05 60 6C B9 42 46 39 46 30 46 ?? ?? ?? ?? 28 B9 00 23 33 80 ?? ?? ?? ?? 04 68 D8 E0 00 24 D6 E0 00 23 02 93 79 23 01 93 7F 4B 02 A8 4A 46 00 93 02 23 00 21 ?? ?? ?? ?? 18 B1 16 28 40 F0 C0 80 CC E0 02 9D 05 95 00 2D 00 F0 BA 80 38 46 ?? ?? ?? ?? 81 46 06 AC C1 45 4F F4 84 7A 21 D3 28 46 ?? ?? ?? ?? 00 EB 09 03 03 F1 02 0A 5A 23 00 93 6C 4B 02 22 02 21 50 46 ?? ?? ?? ?? 04 46 00 20 02 21 ?? ?? ?? ?? 3C B9 00 23 33 80 ?? ?? ?? ?? 0C 23 03 60 0C 24 8E E0 06 AB 9C 42 01 D0 03 94 01 E0 00 23 03 93 ?? ?? ?? ?? 03 68 04 93 02 9D 00 2D 74 D0 AA EB 09 03 5A 1E 21 46 28 46 ?? ?? ?? ?? 02 90 58 BB 06 AB 9C 42 68 D1 ?? ?? ?? ?? 03 68 22 2B 21 D1 28 46 ?? ?? ?? ?? 00 EB 09 03 03 F1 02 0A 71 23 00 93 4E 4B 02 22 02 21 50 46 ?? ?? ?? ?? 04 46 03 98 02 21 ?? ?? ?? ?? 02 21 00 20 03 94 ?? ?? ?? ?? B4 B3 AA EB 09 02 21 46 28 46 ?? ?? ?? ?? 02 90 00 E0 02 98 F8 B3 23 88 EB B3 20 46 ?? ?? ?? ?? 05 46 04 EB 40 00 30 F8 02 3C 2F 2B 07 D0 5C 2B 05 D0 3A 2B 03 D0 5C 23 03 80 80 1C 6D 1C AA EB 05 01 3A 46 ?? ?? ?? ?? 00 28 53 D1 00 21 20 46 ?? ?? ?? ?? 00 28 A6 D1 05 EB 09 03 5B 1C 43 45 0D D9 00 23 33 80 ?? ?? ?? ?? 22 23 22 24 18 E0 00 23 33 80 ?? ?? ?? ?? 0C 23 0C 24 11 E0 ?? ?? ?? ?? 04 9B 22 46 41 46 03 60 30 46 ?? ?? ?? ?? 40 BB 00 24 06 E0 00 23 33 80 ?? ?? ?? ?? 02 23 02 24 03 60 03 98 02 21 ?? ?? ?? ?? 05 9D 02 21 28 46 ?? ?? ?? ?? 06 E0 00 23 33 80 ?? ?? ?? ?? 02 23 03 60 02 24 20 46 0D F5 0A 7D ?? ?? ?? ?? BD E8 F0 8F 0E 4A 0C 49 0F 48 00 23 00 93 45 23 ?? ?? ?? ?? 0A 4A 08 49 0A 48 00 23 00 93 A5 23 ?? ?? ?? ?? 06 4A 04 49 03 48 00 23 00 93 95 23 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_18_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPAD$$TABQBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TABQBD@Z"
		size = 36
		refs = "0018 _dupenv_s_dbg 0020 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 6A 23 01 93 04 4B 12 68 09 68 00 68 00 93 02 23 ?? ?? ?? ?? BD E8 0C 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_19_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPA_W$$TABQB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TABQB_W@Z"
		size = 36
		refs = "0018 _wdupenv_s_dbg 0020 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 79 23 01 93 04 4B 12 68 09 68 00 68 00 93 02 23 ?? ?? ?? ?? BD E8 0C 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_32_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ"
		size = 20
		altNames = "??B?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QBA_NXZ ??B?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QBA_NXZ ??B?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QBA_NXZ ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBA_NXZ ??B?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBA_NXZ ??B?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBA_NXZ ??B?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QBA_NXZ ?is_valid@?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QBA_NXZ ?is_valid@?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBA_NXZ ?is_valid@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 0B B1 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_183_34_0 {
	meta:
		name = "?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ"
		size = 18
		altNames = "?detach@?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QAAPAUprocess_handle_pair@?A0xe43b7539@@XZ ?detach@?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QAAPAU_iobuf@@XZ ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAPADXZ ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAPAEXZ ?detach@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAAPAPADXZ ?detach@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ ?detach@?$__crt_unique_heap_ptr@Uprocess_handle_pair@?A0xe43b7539@@U__crt_internal_free_policy@@@@QAAPAUprocess_handle_pair@?A0xe43b7539@@XZ ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ ?detach@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAAPA_WXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 46 18 68 00 22 1A 60 BD E8 00 88 }
	condition:
		$1
}

rule file_183_43_0 {
	meta:
		name = "_invoke_watson_if_oneof"
		size = 42
		refs = "0024 _invoke_watson"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 1C 46 18 B1 88 42 03 D0 90 42 01 D0 BD E8 1E 88 09 9A 08 9B 06 99 00 92 07 9A 20 46 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_183_44_0 {
	meta:
		name = "_searchenv"
		size = 18
		refs = "000e ??$common_searchenv_s@D@@YAHQBD0QADI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F4 82 73 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_183_46_0 {
	meta:
		name = "_wsearchenv"
		size = 18
		refs = "000e ??$common_searchenv_s@_W@@YAHQB_W0QA_WI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F4 82 73 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_0_0 {
	meta:
		name = "??$?0ABV?$console_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$console_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 76
		altNames = "??$?0ABV?$console_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$console_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 07 99 1C 68 D2 E9 00 32 0D 68 06 99 00 26 09 68 C6 60 C0 E9 06 66 C0 E9 08 66 86 62 80 F8 30 60 80 F8 31 60 86 63 80 F8 3C 60 C0 F8 40 64 C0 F8 44 64 C0 E9 00 32 81 60 C0 E9 04 45 C0 F8 50 64 BD E8 78 88 }
	condition:
		$1
}

rule file_184_1_0 {
	meta:
		name = "??$?0ABV?$console_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$console_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 98
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 07 99 1D 68 D2 E9 00 32 0C 68 06 99 00 26 09 68 C6 60 C0 E9 06 66 C0 E9 08 66 86 62 80 F8 30 60 80 F8 31 60 86 63 80 F8 3C 60 C0 F8 40 64 C0 F8 44 64 C0 E9 00 32 F3 43 C0 F8 A4 3A C0 F8 A8 3A 81 60 C0 E9 04 54 C0 F8 50 64 C0 F8 58 64 C0 F8 5C 64 C0 F8 60 54 BD E8 78 88 }
	condition:
		$1
}

rule file_184_3_0 {
	meta:
		name = "??$?0ABV?$console_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$console_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 74
		altNames = "??$?0ABV?$console_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$console_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 07 99 1C 68 D2 E9 00 32 0D 68 06 99 00 26 09 68 C6 60 C0 E9 06 66 C0 E9 08 66 86 62 80 F8 30 60 46 86 86 63 80 F8 3C 60 C0 F8 40 64 C0 F8 44 64 C0 E9 00 32 81 60 C0 E9 04 45 C0 F8 50 64 BD E8 78 88 }
	condition:
		$1
}

rule file_184_4_0 {
	meta:
		name = "??$?0ABV?$console_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$console_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 96
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 07 99 1D 68 D2 E9 00 32 0C 68 06 99 00 26 09 68 C6 60 C0 E9 06 66 C0 E9 08 66 86 62 80 F8 30 60 46 86 86 63 80 F8 3C 60 C0 F8 40 64 C0 F8 44 64 C0 E9 00 32 F3 43 C0 F8 A4 3A C0 F8 A8 3A 81 60 C0 E9 04 54 C0 F8 50 64 C0 F8 58 64 C0 F8 5C 64 C0 F8 60 54 BD E8 78 88 }
	condition:
		$1
}

rule file_184_7_0 {
	meta:
		name = "??$common_vcprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 142
		refs = "0008 __security_push_cookie 001a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0056 ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0062 _free_dbg 0086 __security_pop_cookie"
		altNames = "__conio_common_vcprintf_s"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 8D 6D 0D 46 04 46 68 46 19 46 16 46 ?? ?? ?? ?? 00 23 CD E9 07 36 CD E9 0A 33 CD E9 0C 33 0E 93 AD F8 40 30 12 93 8D F8 4C 30 CD F8 50 34 CD F8 54 34 01 AB CD E9 05 53 DD F8 80 34 04 A8 04 94 09 93 00 23 CD F8 60 34 ?? ?? ?? ?? 04 46 DD F8 54 04 02 21 ?? ?? ?? ?? 00 23 CD F8 54 34 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 0D F5 8D 6D ?? ?? ?? ?? BD E8 70 88 }
	condition:
		$1
}

rule file_184_11_0 {
	meta:
		name = "??$common_vcprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 142
		refs = "0008 __security_push_cookie 001a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0056 ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0062 _free_dbg 0086 __security_pop_cookie"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 8D 6D 0D 46 04 46 68 46 19 46 16 46 ?? ?? ?? ?? 00 23 CD E9 07 36 CD E9 0A 33 CD E9 0C 33 0E 93 AD F8 40 30 12 93 8D F8 4C 30 CD F8 50 34 CD F8 54 34 01 AB CD E9 05 53 DD F8 80 34 04 A8 04 94 09 93 00 23 CD F8 60 34 ?? ?? ?? ?? 04 46 DD F8 54 04 02 21 ?? ?? ?? ?? 00 23 CD F8 54 34 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 0D F5 8D 6D ?? ?? ?? ?? BD E8 70 88 }
	condition:
		$1
}

rule file_184_473_0 {
	meta:
		name = "__conio_common_vcprintf"
		size = 142
		refs = "0008 __security_push_cookie 001a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0056 ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0062 _free_dbg 0086 __security_pop_cookie"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 8D 6D 0D 46 04 46 68 46 19 46 16 46 ?? ?? ?? ?? 00 23 CD E9 07 36 CD E9 0A 33 CD E9 0C 33 0E 93 AD F8 40 30 12 93 8D F8 4C 30 CD F8 50 34 CD F8 54 34 01 AB CD E9 05 53 DD F8 80 34 04 A8 04 94 09 93 00 23 CD F8 60 34 ?? ?? ?? ?? 04 46 DD F8 54 04 02 21 ?? ?? ?? ?? 00 23 CD F8 54 34 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 0D F5 8D 6D ?? ?? ?? ?? BD E8 70 88 }
	condition:
		$1
}

rule file_184_8_0 {
	meta:
		name = "??$common_vcprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 146
		refs = "0008 __security_push_cookie 001a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 005a ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0066 _free_dbg 008a __security_pop_cookie"
		altNames = "__conio_common_vcwprintf_s"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 8D 6D 0D 46 04 46 68 46 19 46 16 46 ?? ?? ?? ?? 00 23 CD E9 07 36 CD E9 0A 33 CD E9 0C 33 0E 93 8D F8 40 30 AD F8 42 30 12 93 8D F8 4C 30 CD F8 50 34 CD F8 54 34 01 AB CD E9 05 53 DD F8 80 34 04 A8 04 94 09 93 00 23 CD F8 60 34 ?? ?? ?? ?? 04 46 DD F8 54 04 02 21 ?? ?? ?? ?? 00 23 CD F8 54 34 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 0D F5 8D 6D ?? ?? ?? ?? BD E8 70 88 }
	condition:
		$1
}

rule file_184_12_0 {
	meta:
		name = "??$common_vcprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 146
		refs = "0008 __security_push_cookie 001a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 005a ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0066 _free_dbg 008a __security_pop_cookie"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 8D 6D 0D 46 04 46 68 46 19 46 16 46 ?? ?? ?? ?? 00 23 CD E9 07 36 CD E9 0A 33 CD E9 0C 33 0E 93 8D F8 40 30 AD F8 42 30 12 93 8D F8 4C 30 CD F8 50 34 CD F8 54 34 01 AB CD E9 05 53 DD F8 80 34 04 A8 04 94 09 93 00 23 CD F8 60 34 ?? ?? ?? ?? 04 46 DD F8 54 04 02 21 ?? ?? ?? ?? 00 23 CD F8 54 34 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 0D F5 8D 6D ?? ?? ?? ?? BD E8 70 88 }
	condition:
		$1
}

rule file_184_476_0 {
	meta:
		name = "__conio_common_vcwprintf"
		size = 146
		refs = "0008 __security_push_cookie 001a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 005a ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0066 _free_dbg 008a __security_pop_cookie"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 8D 6D 0D 46 04 46 68 46 19 46 16 46 ?? ?? ?? ?? 00 23 CD E9 07 36 CD E9 0A 33 CD E9 0C 33 0E 93 8D F8 40 30 AD F8 42 30 12 93 8D F8 4C 30 CD F8 50 34 CD F8 54 34 01 AB CD E9 05 53 DD F8 80 34 04 A8 04 94 09 93 00 23 CD F8 60 34 ?? ?? ?? ?? 04 46 DD F8 54 04 02 21 ?? ?? ?? ?? 00 23 CD F8 54 34 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 0D F5 8D 6D ?? ?? ?? ?? BD E8 70 88 }
	condition:
		$1
}

rule file_184_9_0 {
	meta:
		name = "??$common_vcprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 164
		refs = "0008 __security_push_cookie 001a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 006c ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 0078 _free_dbg 009c __security_pop_cookie"
		altNames = "__conio_common_vcprintf_p"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 2C 6D 0D 46 04 46 68 46 19 46 16 46 ?? ?? ?? ?? 00 23 CD E9 07 36 CD E9 0A 33 CD E9 0C 33 0E 93 AD F8 40 30 12 93 8D F8 4C 30 CD F8 50 34 CD F8 54 34 01 AB CD E9 05 53 DD F8 D8 3A 04 A8 04 94 09 93 00 23 CD F8 60 34 CD F8 68 34 CD F8 6C 34 DB 43 CD F8 B4 3A CD F8 B8 3A CD F8 70 64 ?? ?? ?? ?? 04 46 DD F8 54 04 02 21 ?? ?? ?? ?? 00 23 CD F8 54 34 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 0D F5 2C 6D ?? ?? ?? ?? BD E8 70 88 }
	condition:
		$1
}

rule file_184_10_0 {
	meta:
		name = "??$common_vcprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 168
		refs = "0008 __security_push_cookie 001a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0070 ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ 007c _free_dbg 00a0 __security_pop_cookie"
		altNames = "__conio_common_vcwprintf_p"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 2C 6D 0D 46 04 46 68 46 19 46 16 46 ?? ?? ?? ?? 00 23 CD E9 07 36 CD E9 0A 33 CD E9 0C 33 0E 93 8D F8 40 30 AD F8 42 30 12 93 8D F8 4C 30 CD F8 50 34 CD F8 54 34 01 AB CD E9 05 53 DD F8 D8 3A 04 A8 04 94 09 93 00 23 CD F8 60 34 CD F8 68 34 CD F8 6C 34 DB 43 CD F8 B4 3A CD F8 B8 3A CD F8 70 64 ?? ?? ?? ?? 04 46 DD F8 54 04 02 21 ?? ?? ?? ?? 00 23 CD F8 54 34 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 0D F5 2C 6D ?? ?? ?? ?? BD E8 70 88 }
	condition:
		$1
}

rule file_184_13_0 {
	meta:
		name = "??$count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ"
		size = 28
		altNames = "??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBAIXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 F8 04 34 13 B9 4F F4 00 70 02 E0 D0 F8 00 34 58 08 BD E8 00 88 }
	condition:
		$1
}

rule file_184_14_0 {
	meta:
		name = "??$count@_W@formatting_buffer@__crt_stdio_output@@QBAIXZ"
		size = 28
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 F8 04 34 13 B9 4F F4 80 70 02 E0 D0 F8 00 34 98 08 BD E8 00 88 }
	condition:
		$1
}

rule file_184_15_0 {
	meta:
		name = "??$data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ"
		size = 18
		altNames = "??$data@_W@formatting_buffer@__crt_stdio_output@@QAAPA_WXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 F8 04 34 03 B1 18 46 BD E8 00 88 }
	condition:
		$1
}

rule file_184_17_0 {
	meta:
		name = "??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z"
		size = 136
		refs = "0016 __rt_udiv 0022 _errno 0052 _malloc_dbg 0064 _free_dbg 0084 ??_C@_0DI@KIFBHMNO@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0C 46 05 46 20 46 6F F0 00 01 00 B9 F9 DE ?? ?? ?? ?? 20 F0 01 03 02 2B 05 D2 ?? ?? ?? ?? 0C 23 03 60 00 24 26 E0 D5 F8 04 34 64 00 23 B9 B4 F5 80 6F 01 D8 01 24 1D E0 D5 F8 00 34 9C 42 F9 D9 0E 4A 4F F4 B2 73 02 21 20 46 ?? ?? ?? ?? 06 46 0E B9 00 24 0A E0 D5 F8 04 04 02 21 ?? ?? ?? ?? C5 F8 04 64 00 26 C5 F8 00 44 01 24 02 21 30 46 ?? ?? ?? ?? 20 46 BD E8 78 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_18_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 172
		refs = "004a ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0070 _CrtDbgReportW 007a _errno 0090 _invalid_parameter 009c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a0 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a4 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 09 D1 43 69 1B 1D 43 61 13 F9 04 3C DA 17 C1 E9 00 32 01 20 38 E0 D0 F8 A8 2A 00 2A 18 DB 64 2A 16 DA D0 F8 58 34 01 2B 0B D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 01 22 ?? ?? ?? ?? 22 E0 00 EB 02 13 D3 F8 6C 34 93 F9 00 30 DD E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_19_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 168
		refs = "0048 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 006e _CrtDbgReportW 0078 _errno 008e _invalid_parameter 0098 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 009c ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 09 D1 43 69 1B 1D 43 61 13 F9 04 3C DA 17 C1 E9 00 32 01 20 37 E0 D0 F8 A8 2A 00 2A 17 DB 64 2A 15 DA D0 F8 58 34 01 2B 0A D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 43 8E 01 22 ?? ?? ?? ?? 22 E0 00 EB 02 13 D3 F8 6C 34 93 F9 00 30 DE E7 11 4B 10 4C 0D 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_20_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 28
		altNames = "??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 1B 1D 43 61 13 F9 04 3C DA 17 C1 E9 00 32 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_22_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 168
		refs = "004a ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 006e _CrtDbgReportW 0078 _errno 008e _invalid_parameter 0098 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 009c ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 09 D1 43 69 1B 1D 43 61 13 F8 04 3C 0B 60 00 23 4B 60 01 20 37 E0 D0 F8 A8 2A 00 2A 17 DB 64 2A 15 DA D0 F8 58 34 01 2B 0B D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 01 22 ?? ?? ?? ?? 21 E0 00 EB 02 13 D3 F8 6C 34 1B 78 DE E7 11 4B 10 4C 0D 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_23_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 168
		refs = "0048 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 006c _CrtDbgReportW 0076 _errno 008c _invalid_parameter 0098 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 009c ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a0 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 09 D1 43 69 1B 1D 43 61 13 F8 04 3C 0B 60 00 23 4B 60 01 20 36 E0 D0 F8 A8 2A 00 2A 16 DB 64 2A 14 DA D0 F8 58 34 01 2B 0A D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 43 8E 01 22 ?? ?? ?? ?? 21 E0 00 EB 02 13 D3 F8 6C 34 1B 78 DF E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_24_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 28
		altNames = "??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 69 1B 1D 43 61 13 F8 04 3C 0B 60 00 23 4B 60 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_26_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 184
		refs = "0052 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 007c _CrtDbgReportW 0086 _errno 009c _invalid_parameter 00a8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0D D1 42 69 53 42 03 F0 01 03 13 44 1B 1D 43 61 33 F9 04 3C DA 17 C1 E9 00 32 01 20 3A E0 D0 F8 A8 2A 00 2A 1A DB 64 2A 18 DA D0 F8 58 34 01 2B 0B D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 01 22 ?? ?? ?? ?? 24 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 01 03 9B 5E DB E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_27_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 180
		refs = "0050 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 007a _CrtDbgReportW 0084 _errno 009a _invalid_parameter 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ac ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0D D1 42 69 53 42 03 F0 01 03 13 44 1B 1D 43 61 33 F9 04 3C DA 17 C1 E9 00 32 01 20 39 E0 D0 F8 A8 2A 00 2A 19 DB 64 2A 17 DA D0 F8 58 34 01 2B 0A D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 43 8E 01 22 ?? ?? ?? ?? 24 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 01 03 9B 5E DC E7 11 4B 10 4C 0D 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_28_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 36
		altNames = "??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 53 42 03 F0 01 03 13 44 1B 1D 43 61 33 F9 04 3C DA 17 C1 E9 00 32 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_30_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
		size = 180
		refs = "004e ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0078 _CrtDbgReportW 0082 _errno 0098 _invalid_parameter 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ac ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0B D1 42 69 53 42 03 F0 01 03 13 44 1B 1D 43 61 33 F8 04 3C 0B 70 01 20 3A E0 D0 F8 A8 2A 00 2A 1A DB 64 2A 18 DA D0 F8 58 34 01 2B 0B D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 01 22 ?? ?? ?? ?? 24 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 01 03 9B 5A DD E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_31_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
		size = 32
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 53 42 03 F0 01 03 13 44 1B 1D 43 61 33 F8 04 3C 01 20 0B 70 BD E8 00 88 }
	condition:
		$1
}

rule file_184_32_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 184
		refs = "0052 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 007c _CrtDbgReportW 0086 _errno 009c _invalid_parameter 00a8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0D D1 42 69 53 42 03 F0 01 03 13 44 1B 1D 43 61 33 F8 04 3C 0B 60 00 23 4B 60 01 20 3A E0 D0 F8 A8 2A 00 2A 1A DB 64 2A 18 DA D0 F8 58 34 01 2B 0B D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 01 22 ?? ?? ?? ?? 24 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 01 03 9B 5A DB E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_33_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 180
		refs = "0050 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 007a _CrtDbgReportW 0084 _errno 009a _invalid_parameter 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ac ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0D D1 42 69 53 42 03 F0 01 03 13 44 1B 1D 43 61 33 F8 04 3C 0B 60 00 23 4B 60 01 20 39 E0 D0 F8 A8 2A 00 2A 19 DB 64 2A 17 DA D0 F8 58 34 01 2B 0A D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 43 8E 01 22 ?? ?? ?? ?? 24 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 01 03 9B 5A DC E7 11 4B 10 4C 0D 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_34_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 36
		altNames = "??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 53 42 03 F0 01 03 13 44 1B 1D 43 61 33 F8 04 3C 0B 60 00 23 4B 60 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_36_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 192
		refs = "0054 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0084 _CrtDbgReportW 008e _errno 00a4 _invalid_parameter 00b0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b4 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b8 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00bc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0E D1 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 2C 13 46 DB 17 C1 E9 00 23 01 20 3D E0 D0 F8 A8 2A 00 2A 1D DB 64 2A 1B DA D0 F8 58 34 01 2B 0B D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 01 22 ?? ?? ?? ?? 27 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 03 03 9B 58 DA 17 C1 E9 00 32 DB E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_37_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 188
		refs = "0052 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0082 _CrtDbgReportW 008c _errno 00a2 _invalid_parameter 00ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b4 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0E D1 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 2C 13 46 DB 17 C1 E9 00 23 01 20 3C E0 D0 F8 A8 2A 00 2A 1C DB 64 2A 1A DA D0 F8 58 34 01 2B 0A D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 43 8E 01 22 ?? ?? ?? ?? 27 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 03 03 9B 58 DA 17 C1 E9 00 32 DC E7 11 4B 10 4C 0D 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_38_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 38
		altNames = "??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 2C 13 46 DB 17 C1 E9 00 23 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_40_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 184
		refs = "0052 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 007c _CrtDbgReportW 0086 _errno 009c _invalid_parameter 00a8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0D D1 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 0B 60 00 23 4B 60 01 20 3A E0 D0 F8 A8 2A 00 2A 1A DB 64 2A 18 DA D0 F8 58 34 01 2B 0B D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 01 22 ?? ?? ?? ?? 24 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 03 03 9B 58 DB E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_41_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 180
		refs = "0050 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 007a _CrtDbgReportW 0084 _errno 009a _invalid_parameter 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ac ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0D D1 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 0B 60 00 23 4B 60 01 20 39 E0 D0 F8 A8 2A 00 2A 19 DB 64 2A 17 DA D0 F8 58 34 01 2B 0A D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 43 8E 01 22 ?? ?? ?? ?? 24 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 03 03 9B 58 DC E7 11 4B 10 4C 0D 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_42_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 36
		altNames = "??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 0B 60 00 23 4B 60 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_44_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z"
		size = 180
		refs = "004e ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0078 _CrtDbgReportW 0082 _errno 0098 _invalid_parameter 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ac ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
		altNames = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0B D1 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 0B 60 01 20 3A E0 D0 F8 A8 2A 00 2A 1A DB 64 2A 18 DA D0 F8 58 34 01 2B 0B D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 03 22 ?? ?? ?? ?? 24 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 03 03 9B 58 DD E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_45_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z"
		size = 176
		refs = "004c ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0076 _CrtDbgReportW 0080 _errno 0096 _invalid_parameter 00a0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a4 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a8 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
		altNames = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0B D1 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 0B 60 01 20 39 E0 D0 F8 A8 2A 00 2A 19 DB 64 2A 17 DA D0 F8 58 34 01 2B 0A D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 43 8E 03 22 ?? ?? ?? ?? 24 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 03 03 9B 58 DE E7 11 4B 10 4C 0D 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_46_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z"
		size = 32
		altNames = "??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 01 20 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_184_60_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z"
		size = 184
		refs = "0050 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 007e _CrtDbgReportW 0088 _errno 009e _invalid_parameter 00a8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0C D1 42 69 53 42 03 F0 07 03 13 44 08 33 43 61 13 ED 02 0B 81 ED 00 0B 01 20 3C E0 D0 F8 A8 2A 00 2A 1C DB 64 2A 1A DA D0 F8 58 34 01 2B 0B D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 04 22 ?? ?? ?? ?? 26 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 07 03 13 44 93 ED 00 0B DA E7 11 4B 10 4C 0D 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_61_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z"
		size = 184
		refs = "004e ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 007c _CrtDbgReportW 0086 _errno 009c _invalid_parameter 00a8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0C D1 42 69 53 42 03 F0 07 03 13 44 08 33 43 61 13 ED 02 0B 81 ED 00 0B 01 20 3B E0 D0 F8 A8 2A 00 2A 1B DB 64 2A 19 DA D0 F8 58 34 01 2B 0A D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 43 8E 04 22 ?? ?? ?? ?? 26 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 07 03 13 44 93 ED 00 0B DB E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_62_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z"
		size = 34
		altNames = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 53 42 03 F0 07 03 13 44 08 33 43 61 13 ED 02 0B 01 20 81 ED 00 0B BD E8 00 88 }
	condition:
		$1
}

rule file_184_64_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 192
		refs = "0056 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0086 _CrtDbgReportW 0090 _errno 00a6 _invalid_parameter 00b0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b4 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b8 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00bc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
		altNames = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0F D1 42 69 53 42 03 F0 07 03 13 44 03 F1 08 02 42 61 52 F8 08 3C 0B 60 52 F8 04 3C 4B 60 01 20 3D E0 D0 F8 A8 2A 00 2A 1D DB 64 2A 1B DA D0 F8 58 34 01 2B 0B D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 02 22 ?? ?? ?? ?? 27 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 07 03 1A 44 13 68 0B 60 53 68 DA E7 11 4B 10 4C 0D 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_65_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 192
		refs = "0054 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0084 _CrtDbgReportW 008e _errno 00a4 _invalid_parameter 00b0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b4 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b8 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00bc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
		altNames = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0F D1 42 69 53 42 03 F0 07 03 13 44 03 F1 08 02 42 61 52 F8 08 3C 0B 60 52 F8 04 3C 4B 60 01 20 3C E0 D0 F8 A8 2A 00 2A 1C DB 64 2A 1A DA D0 F8 58 34 01 2B 0A D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 43 8E 02 22 ?? ?? ?? ?? 27 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 07 03 1A 44 13 68 0B 60 53 68 DB E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_66_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
		size = 40
		altNames = "??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 53 42 03 F0 07 03 13 44 03 F1 08 02 42 61 52 F8 08 3C 01 20 0B 60 52 F8 04 3C 4B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_184_72_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z"
		size = 180
		refs = "004e ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0078 _CrtDbgReportW 0082 _errno 0098 _invalid_parameter 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a8 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ac ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0B D1 42 69 53 42 03 F0 01 03 13 44 1B 1D 43 61 33 F8 04 3C 0B 80 01 20 3A E0 D0 F8 A8 2A 00 2A 1A DB 64 2A 18 DA D0 F8 58 34 01 2B 0B D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 01 22 ?? ?? ?? ?? 24 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 01 03 9B 5A DD E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_73_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z"
		size = 176
		refs = "004c ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0076 _CrtDbgReportW 0080 _errno 0096 _invalid_parameter 00a0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a4 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00a8 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 00ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 01 2B 0B D1 42 69 53 42 03 F0 01 03 13 44 1B 1D 43 61 33 F8 04 3C 0B 80 01 20 39 E0 D0 F8 A8 2A 00 2A 19 DB 64 2A 17 DA D0 F8 58 34 01 2B 0A D1 C3 6A 00 EB 02 12 02 F2 64 41 00 93 43 8E 01 22 ?? ?? ?? ?? 24 E0 00 EB 02 13 D3 F8 6C 24 53 42 03 F0 01 03 9B 5A DE E7 11 4B 10 4C 0D 49 00 93 00 23 40 F2 B7 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 B7 43 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_74_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z"
		size = 32
		altNames = "??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 53 42 03 F0 01 03 13 44 1B 1D 43 61 33 F8 04 3C 01 20 0B 80 BD E8 00 88 }
	condition:
		$1
}

rule file_184_82_0 {
	meta:
		name = "??$is_character_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 24
		altNames = "??$is_character_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 63 28 03 D0 43 28 18 BF 00 20 00 D1 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_84_0 {
	meta:
		name = "??$is_integral_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 44
		altNames = "??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 64 28 0D D0 69 28 0B D0 6F 28 09 D0 75 28 07 D0 78 28 05 D0 58 28 03 D0 2A 28 18 BF 00 20 00 D1 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_86_0 {
	meta:
		name = "??$is_pointer_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 20
		altNames = "??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 70 28 08 BF 01 20 18 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_88_0 {
	meta:
		name = "??$is_string_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 24
		altNames = "??$is_string_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 73 28 03 D0 53 28 18 BF 00 20 00 D1 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_90_0 {
	meta:
		name = "??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
		size = 56
	strings:
		$1 = { 2D E9 00 48 EB 46 02 2B 13 D0 03 2B 0F D0 0C 2B 0D D0 0D 2B 0D D0 63 2A 03 D0 73 2A 18 BF 00 23 00 D1 01 23 0B B9 01 20 04 E0 00 20 02 E0 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_91_0 {
	meta:
		name = "??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
		size = 74
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 14 46 02 2B 1A D0 03 2B 16 D0 0C 2B 14 D0 0D 2B 12 D0 10 F0 04 0F 18 BF 01 22 08 BF 00 22 63 2C 03 D0 73 2C 18 BF 00 23 00 D1 01 23 9A 42 08 BF 01 20 04 D0 00 20 02 E0 01 20 00 E0 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_184_94_0 {
	meta:
		name = "??$peek_va_arg@F@__crt_stdio_output@@YAFPAD@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 43 42 03 F0 01 03 18 5E BD E8 00 88 }
	condition:
		$1
}

rule file_184_95_0 {
	meta:
		name = "??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z"
		size = 18
		altNames = "??$peek_va_arg@_W@__crt_stdio_output@@YA_WPAD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 42 03 F0 01 03 18 5A BD E8 00 88 }
	condition:
		$1
}

rule file_184_96_0 {
	meta:
		name = "??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
		size = 18
		altNames = "??$peek_va_arg@I@__crt_stdio_output@@YAIPAD@Z ??$peek_va_arg@PAD@__crt_stdio_output@@YAPADPAD@Z ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@PAD@Z ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@PAD@Z ??$peek_va_arg@PAX@__crt_stdio_output@@YAPAXPAD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 42 03 F0 03 03 18 58 BD E8 00 88 }
	condition:
		$1
}

rule file_184_102_0 {
	meta:
		name = "??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PAD@Z"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 43 42 03 F0 07 03 03 44 93 ED 00 0B BD E8 00 88 }
	condition:
		$1
}

rule file_184_103_0 {
	meta:
		name = "??$peek_va_arg@_J@__crt_stdio_output@@YA_JPAD@Z"
		size = 22
		altNames = "??$peek_va_arg@_K@__crt_stdio_output@@YA_KPAD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 42 03 F0 07 03 03 44 D3 E9 00 01 BD E8 00 88 }
	condition:
		$1
}

rule file_184_106_0 {
	meta:
		name = "??$puttch_nolock@ABD@?$__crt_char_traits@D@@SAHABD@Z"
		size = 18
		refs = "000e _putch_nolock"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F9 00 00 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_107_0 {
	meta:
		name = "??$puttch_nolock@AB_W@?$__crt_char_traits@_W@@SAGAB_W@Z"
		size = 16
		refs = "000c _putwch_nolock"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 88 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_66_0 {
	meta:
		name = "??$ungettch_nolock@ABG@?$__crt_char_traits@_W@@SAGABG@Z"
		size = 16
		refs = "000c _ungetwch_nolock"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 88 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_108_0 {
	meta:
		name = "??$read_va_arg@C@__crt_stdio_output@@YACAAPAD@Z"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 1B 1D 03 60 13 F9 04 0C BD E8 00 88 }
	condition:
		$1
}

rule file_184_109_0 {
	meta:
		name = "??$read_va_arg@E@__crt_stdio_output@@YAEAAPAD@Z"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 1B 1D 03 60 13 F8 04 0C BD E8 00 88 }
	condition:
		$1
}

rule file_184_110_0 {
	meta:
		name = "??$read_va_arg@F@__crt_stdio_output@@YAFAAPAD@Z"
		size = 28
	strings:
		$1 = { 2D E9 00 48 EB 46 02 68 53 42 03 F0 01 03 13 44 1B 1D 03 60 33 F9 04 0C BD E8 00 88 }
	condition:
		$1
}

rule file_184_111_0 {
	meta:
		name = "??$read_va_arg@G@__crt_stdio_output@@YAGAAPAD@Z"
		size = 28
		altNames = "??$read_va_arg@_W@__crt_stdio_output@@YA_WAAPAD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 68 53 42 03 F0 01 03 13 44 1B 1D 03 60 33 F8 04 0C BD E8 00 88 }
	condition:
		$1
}

rule file_184_112_0 {
	meta:
		name = "??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z"
		size = 28
		altNames = "??$read_va_arg@I@__crt_stdio_output@@YAIAAPAD@Z ??$read_va_arg@PAD@__crt_stdio_output@@YAPADAAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@0@AAA_NXZ@AAPAD@Z ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 68 53 42 03 F0 03 03 13 44 1B 1D 03 60 53 F8 04 0C BD E8 00 88 }
	condition:
		$1
}

rule file_184_122_0 {
	meta:
		name = "??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z"
		size = 28
	strings:
		$1 = { 2D E9 00 48 EB 46 02 68 53 42 03 F0 07 03 13 44 08 33 03 60 13 ED 02 0B BD E8 00 88 }
	condition:
		$1
}

rule file_184_123_0 {
	meta:
		name = "??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z"
		size = 28
		altNames = "??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 68 53 42 03 F0 07 03 13 44 08 33 03 60 53 E9 02 01 BD E8 00 88 }
	condition:
		$1
}

rule file_184_127_0 {
	meta:
		name = "??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAAPADXZ"
		size = 32
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 F8 04 24 1A B9 4F F4 00 73 18 44 03 E0 D0 F8 00 34 5B 08 D0 18 BD E8 00 88 }
	condition:
		$1
}

rule file_184_132_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 128
		refs = "0046 __rt_udiv"
		altNames = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 04 46 D0 F8 44 04 1F 46 90 46 0E 46 08 B9 04 F1 40 00 D4 F8 44 34 13 B9 4F F4 00 73 02 E0 D4 F8 40 34 5B 08 03 44 5D 1E 65 63 A3 6A 00 2B 00 DC D6 B1 5B 1E 31 46 40 46 A3 62 00 B9 F9 DE ?? ?? ?? ?? 01 F1 30 03 5A B2 39 2A 06 46 06 DD 0F B1 41 23 00 E0 61 23 13 44 3A 3B 5A B2 63 6B 1A 70 63 6B 5B 1E 63 63 E0 E7 63 6B EB 1A A3 63 63 6B 5B 1C 63 63 BD E8 F8 89 }
	condition:
		$1
}

rule file_184_135_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
		size = 136
		refs = "0048 __rt_udiv"
		altNames = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 04 46 D0 F8 44 04 1F 46 90 46 0E 46 08 B9 04 F1 40 00 D4 F8 44 34 13 B9 4F F4 80 73 02 E0 D4 F8 40 34 9B 08 00 EB 43 03 9D 1E 65 63 A3 6A 00 2B 00 DC E6 B1 5B 1E 31 46 40 46 A3 62 00 B9 F9 DE ?? ?? ?? ?? 01 F1 30 03 9A B2 39 2A 06 46 07 D9 0F B1 41 23 00 E0 61 23 13 44 3A 3B 5B B2 9A B2 63 6B 52 B2 1A 80 63 6B 9B 1E 63 63 DE E7 63 6B EB 1A 5B 10 A3 63 63 6B 9B 1C 63 63 BD E8 F8 89 }
	condition:
		$1
}

rule file_184_138_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 146
		refs = "0050 __rt_udiv64"
		altNames = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B D0 F8 44 14 1E 46 17 46 04 46 09 B9 00 F1 40 01 D4 F8 44 34 13 B9 4F F4 00 73 02 E0 D4 F8 40 34 5B 08 0B 44 5D 1E 9D F8 2C 80 65 63 A2 6A 00 2A 02 DC 57 EA 06 03 20 D0 0A 98 53 1E A3 62 33 46 3A 46 00 21 00 B9 F9 DE ?? ?? ?? ?? 01 93 02 F1 30 03 5A B2 39 2A 0E 46 07 46 08 DD B8 F1 00 0F 18 BF 41 23 08 BF 61 23 13 44 3A 3B 5A B2 63 6B 1A 70 63 6B 5B 1E 63 63 D8 E7 63 6B EB 1A A3 63 63 6B 5B 1C 63 63 BD E8 FE 89 }
	condition:
		$1
}

rule file_184_141_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
		size = 154
		refs = "0052 __rt_udiv64"
		altNames = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B D0 F8 44 14 1E 46 17 46 04 46 09 B9 00 F1 40 01 D4 F8 44 34 13 B9 4F F4 80 73 02 E0 D4 F8 40 34 9B 08 01 EB 43 03 9D 1E 9D F8 2C 80 65 63 A2 6A 00 2A 02 DC 57 EA 06 03 22 D0 0A 98 53 1E A3 62 33 46 3A 46 00 21 00 B9 F9 DE ?? ?? ?? ?? 01 93 02 F1 30 03 9A B2 39 2A 0E 46 07 46 09 D9 B8 F1 00 0F 18 BF 41 23 08 BF 61 23 13 44 3A 3B 5B B2 9A B2 63 6B 52 B2 1A 80 63 6B 9B 1E 63 63 D6 E7 63 6B EB 1A 5B 10 A3 63 63 6B 9B 1C 63 63 BD E8 FE 89 }
	condition:
		$1
}

rule file_184_144_0 {
	meta:
		name = "??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@D@0@DHQAH@Z"
		size = 60
		refs = "001a _putch_nolock"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 16 46 00 25 00 2E 1C 46 0F 46 11 DD 6F EA 05 08 38 46 ?? ?? ?? ?? 40 45 08 D0 20 68 40 1C 20 60 40 45 05 D0 6D 1C B5 42 F2 DB 01 E0 C4 F8 00 80 BD E8 F8 89 }
	condition:
		$1
}

rule file_184_145_0 {
	meta:
		name = "??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@_W@0@DHQAH@Z"
		size = 66
		refs = "0020 _putwch_nolock"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 16 46 00 25 00 2E 1C 46 88 46 14 DD 6F EA 05 09 4F F6 FF 77 1F FA 88 F0 ?? ?? ?? ?? B8 42 08 D0 20 68 40 1C 20 60 48 45 05 D0 6D 1C B5 42 F1 DB 01 E0 C4 F8 00 90 BD E8 F0 8B }
	condition:
		$1
}

rule file_184_147_0 {
	meta:
		name = "??0?$common_data@D@__crt_stdio_output@@IAA@XZ"
		size = 56
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 00 33 C0 E9 02 33 C0 E9 04 33 C0 E9 06 33 C0 E9 08 33 83 62 80 F8 30 30 80 F8 31 30 83 63 80 F8 3C 30 C0 F8 40 34 C0 F8 44 34 BD E8 00 88 }
	condition:
		$1
}

rule file_184_148_0 {
	meta:
		name = "??0?$common_data@_W@__crt_stdio_output@@IAA@XZ"
		size = 54
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 00 33 C0 E9 02 33 C0 E9 04 33 C0 E9 06 33 C0 E9 08 33 83 62 80 F8 30 30 43 86 83 63 80 F8 3C 30 C0 F8 40 34 C0 F8 44 34 BD E8 00 88 }
	condition:
		$1
}

rule file_184_149_0 {
	meta:
		name = "??0?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 62
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 C1 60 C0 E9 06 11 C0 E9 08 11 81 62 80 F8 30 10 80 F8 31 10 81 63 80 F8 3C 10 C0 F8 40 14 C0 F8 44 14 C0 E9 00 23 03 9B 83 60 02 9B 03 61 04 9B 43 61 BD E8 00 88 }
	condition:
		$1
}

rule file_184_150_0 {
	meta:
		name = "??0?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 60
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 C1 60 C0 E9 06 11 C0 E9 08 11 81 62 80 F8 30 10 41 86 81 63 80 F8 3C 10 C0 F8 40 14 C0 F8 44 14 C0 E9 00 23 03 9B 83 60 02 9B 03 61 04 9B 43 61 BD E8 00 88 }
	condition:
		$1
}

rule file_184_151_0 {
	meta:
		name = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 66
		altNames = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 C1 60 C0 E9 06 11 C0 E9 08 11 81 62 80 F8 30 10 80 F8 31 10 81 63 80 F8 3C 10 C0 F8 40 14 C0 F8 44 14 C0 E9 00 23 03 9B C0 F8 50 14 83 60 02 9B 03 61 04 9B 43 61 BD E8 00 88 }
	condition:
		$1
}

rule file_184_152_0 {
	meta:
		name = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 88
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 C1 60 C0 E9 06 11 C0 E9 08 11 81 62 80 F8 30 10 80 F8 31 10 81 63 80 F8 3C 10 C0 F8 40 14 C0 F8 44 14 C0 E9 00 23 03 9B 02 9A C0 F8 50 14 83 60 04 9B C0 E9 04 23 CB 43 C0 F8 A4 3A C0 F8 A8 3A C0 F8 58 14 C0 F8 5C 14 C0 F8 60 24 BD E8 00 88 }
	condition:
		$1
}

rule file_184_154_0 {
	meta:
		name = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 64
		altNames = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 C1 60 C0 E9 06 11 C0 E9 08 11 81 62 80 F8 30 10 41 86 81 63 80 F8 3C 10 C0 F8 40 14 C0 F8 44 14 C0 E9 00 23 03 9B C0 F8 50 14 83 60 02 9B 03 61 04 9B 43 61 BD E8 00 88 }
	condition:
		$1
}

rule file_184_155_0 {
	meta:
		name = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 86
	strings:
		$1 = { 2D E9 00 48 EB 46 00 21 C1 60 C0 E9 06 11 C0 E9 08 11 81 62 80 F8 30 10 41 86 81 63 80 F8 3C 10 C0 F8 40 14 C0 F8 44 14 C0 E9 00 23 03 9B 02 9A C0 F8 50 14 83 60 04 9B C0 E9 04 23 CB 43 C0 F8 A4 3A C0 F8 A8 3A C0 F8 58 14 C0 F8 5C 14 C0 F8 60 24 BD E8 00 88 }
	condition:
		$1
}

rule file_184_159_0 {
	meta:
		name = "??0__crt_errno_guard@@QAA@QAH@Z"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 01 60 0B 68 43 60 00 23 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_184_160_0 {
	meta:
		name = "??0formatting_buffer@__crt_stdio_output@@QAA@XZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 F8 00 34 C0 F8 04 34 BD E8 00 88 }
	condition:
		$1
}

rule file_184_162_0 {
	meta:
		name = "??1?$common_data@D@__crt_stdio_output@@QAA@XZ"
		size = 30
		refs = "0010 _free_dbg"
		altNames = "??1?$common_data@_W@__crt_stdio_output@@QAA@XZ ??1?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ ??1?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ ??1?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ ??1?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ ??1?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ ??1?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ ??1?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ ??1?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ ??1?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ ??1?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAA@XZ ??1?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ ??1?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ ??1?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ ??1?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAA@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 D0 F8 44 04 02 21 ?? ?? ?? ?? 00 23 C4 F8 44 34 BD E8 18 88 }
	condition:
		$1
}

rule file_184_179_0 {
	meta:
		name = "??1__crt_errno_guard@@QAA@XZ"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 02 68 13 68 13 B9 43 68 03 B1 13 60 BD E8 00 88 }
	condition:
		$1
}

rule file_184_180_0 {
	meta:
		name = "??1formatting_buffer@__crt_stdio_output@@QAA@XZ"
		size = 30
		refs = "0010 _free_dbg"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 D0 F8 04 04 02 21 ?? ?? ?? ?? 00 23 C4 F8 04 34 BD E8 18 88 }
	condition:
		$1
}

rule file_184_184_0 {
	meta:
		name = "?adjust_hexit@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
		size = 24
		altNames = "?adjust_hexit@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 B1 41 23 00 E0 61 23 03 44 3A 3B 58 B2 BD E8 00 88 }
	condition:
		$1
}

rule file_184_190_0 {
	meta:
		name = "?advance_to_next_pass@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 68
		altNames = "?advance_to_next_pass@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 F8 58 34 5B 1C C0 F8 58 34 03 2B 01 D1 00 20 13 E0 02 2B 03 D1 D0 F8 5C 34 01 2B F7 D0 00 22 D3 43 C0 F8 A4 3A C0 F8 A8 3A D0 F8 60 34 C0 F8 5C 24 C0 E9 09 22 03 61 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_192_0 {
	meta:
		name = "?advance_to_next_pass@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 30
		altNames = "?advance_to_next_pass@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 F8 50 34 5B 1C 02 2B C0 F8 50 34 18 BF 01 20 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_194_0 {
	meta:
		name = "?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
		size = 104
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 68 D3 F8 88 30 1B 68 93 F9 00 10 02 E0 8B 42 04 D0 40 1C 90 F9 00 30 00 2B F8 D1 10 F9 01 3B EB B1 04 E0 65 2B 06 D0 45 2B 04 D0 40 1C 90 F9 00 30 00 2B F6 D1 02 46 10 F9 01 3D 02 E0 40 1E 90 F9 00 30 30 2B FA D0 90 F9 00 30 8B 42 08 BF 40 1E 12 F9 01 3B 00 F8 01 3F 00 2B F9 D1 BD E8 00 88 }
	condition:
		$1
}

rule file_184_195_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z"
		size = 48
		refs = "002c format_validation_lookup_table"
		altNames = "?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 48 20 29 07 DB 7A 29 05 DC 0B 18 13 F8 20 3C 03 F0 0F 03 00 E0 00 23 03 EB C3 03 13 44 1B 5C 18 09 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_197_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@DW432@@Z"
		size = 48
		refs = "002c standard_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 48 20 29 07 DB 7A 29 05 DC 0B 18 13 F8 20 3C 03 F0 0F 03 00 E0 00 23 02 EB C3 03 1B 5C 18 09 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_198_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z"
		size = 48
		refs = "002c format_validation_lookup_table"
		altNames = "?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 48 20 29 07 D3 7A 29 05 D8 0B 18 13 F8 20 3C 03 F0 0F 03 00 E0 00 23 03 EB C3 03 13 44 1B 5C 18 09 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_200_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA?AW4state@2@_WW432@@Z"
		size = 48
		refs = "002c standard_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 48 20 29 07 D3 7A 29 05 D8 0B 18 13 F8 20 3C 03 F0 0F 03 00 E0 00 23 02 EB C3 03 1B 5C 18 09 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_201_0 {
	meta:
		name = "?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
		size = 90
		refs = "0010 tolower 001c isdigit"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 90 F9 00 00 0D 46 ?? ?? ?? ?? 65 28 05 D0 64 1C 20 78 ?? ?? ?? ?? 00 28 F9 D1 94 F9 00 00 ?? ?? ?? ?? 2B 68 78 28 08 BF A4 1C D3 F8 88 30 94 F9 00 20 1B 68 1B 78 04 F8 01 3B 94 F9 00 30 04 F8 01 2B 1A 46 14 F9 01 3C 00 2B F6 D1 BD E8 30 88 }
	condition:
		$1
}

rule file_184_203_0 {
	meta:
		name = "?get@__crt_deferred_errno_cache@@QAAAAHXZ"
		size = 26
		refs = "000e _errno"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 23 68 13 B9 ?? ?? ?? ?? 20 60 20 68 BD E8 18 88 }
	condition:
		$1
}

rule file_184_208_0 {
	meta:
		name = "?get_parameter_type@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z"
		size = 18
		altNames = "?get_parameter_type@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 8D ED 00 0B 04 20 BD E8 0C 88 }
	condition:
		$1
}

rule file_184_220_0 {
	meta:
		name = "?has_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z"
		size = 22
		altNames = "?has_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z ?has_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABA_NI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 0B 42 18 BF 01 20 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_226_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 376
		refs = "0148 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 17 46 91 F9 04 20 1D 46 0E 46 70 2A 08 BF 01 24 18 BF 00 24 70 2D 08 BF 01 23 18 BF 00 23 00 2C 80 46 40 F0 9E 80 00 2B 40 F0 9B 80 73 2A 03 D0 53 2A 18 BF 00 24 00 D1 01 24 73 2D 03 D0 53 2D 18 BF 00 20 00 D1 01 20 63 2A 03 D0 43 2A 18 BF 00 21 00 D1 01 21 63 2D 03 D0 43 2D 18 BF 00 23 00 D1 01 23 00 2C 64 D1 00 28 62 D1 00 29 60 D1 00 2B 5E D1 64 2A 0D D0 69 2A 0B D0 6F 2A 09 D0 75 2A 07 D0 78 2A 05 D0 58 2A 03 D0 2A 2A 18 BF 00 22 00 D1 01 22 64 2D 0D D0 69 2D 0B D0 6F 2D 09 D0 75 2D 07 D0 78 2D 05 D0 58 2D 03 D0 2A 2D 18 BF 00 23 00 D1 01 23 1A B9 13 B9 33 68 BB 42 50 E0 9A 42 4B D1 F2 68 08 99 09 2A 08 BF 01 23 18 BF 00 23 09 29 08 BF 01 20 18 BF 00 20 83 42 3D D1 0B 2A 0F D8 DF E8 02 F0 06 08 0A 06 0C 0C 06 06 0E 06 06 0C 04 22 06 E0 01 22 04 E0 02 22 02 E0 08 22 00 E0 00 22 0B 29 0F D8 DF E8 01 F0 06 08 0A 06 0C 0C 06 06 0E 06 06 0C 04 23 06 E0 01 23 04 E0 02 23 02 E0 08 23 00 E0 00 23 9A 42 18 E0 84 42 13 D1 99 42 11 D1 F3 68 D8 E9 00 01 ?? ?? ?? ?? 08 9B D8 F8 04 10 04 46 D8 F8 00 00 2A 46 ?? ?? ?? ?? 84 42 08 BF 01 20 06 D0 00 20 04 E0 9C 42 08 BF 01 20 18 BF 00 20 BD E8 F8 89 }
	condition:
		$1
}

rule file_184_227_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 374
		refs = "0146 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0E 46 17 46 B2 88 1D 46 80 46 70 2A 08 BF 01 24 18 BF 00 24 70 2D 08 BF 01 23 18 BF 00 23 00 2C 40 F0 9E 80 00 2B 40 F0 9B 80 73 2A 03 D0 53 2A 18 BF 00 24 00 D1 01 24 73 2D 03 D0 53 2D 18 BF 00 20 00 D1 01 20 63 2A 03 D0 43 2A 18 BF 00 21 00 D1 01 21 63 2D 03 D0 43 2D 18 BF 00 23 00 D1 01 23 00 2C 64 D1 00 28 62 D1 00 29 60 D1 00 2B 5E D1 64 2A 0D D0 69 2A 0B D0 6F 2A 09 D0 75 2A 07 D0 78 2A 05 D0 58 2A 03 D0 2A 2A 18 BF 00 22 00 D1 01 22 64 2D 0D D0 69 2D 0B D0 6F 2D 09 D0 75 2D 07 D0 78 2D 05 D0 58 2D 03 D0 2A 2D 18 BF 00 23 00 D1 01 23 1A B9 13 B9 33 68 BB 42 50 E0 9A 42 4B D1 F2 68 08 99 09 2A 08 BF 01 23 18 BF 00 23 09 29 08 BF 01 20 18 BF 00 20 83 42 3D D1 0B 2A 0F D8 DF E8 02 F0 06 08 0A 06 0C 0C 06 06 0E 06 06 0C 04 22 06 E0 01 22 04 E0 02 22 02 E0 08 22 00 E0 00 22 0B 29 0F D8 DF E8 01 F0 06 08 0A 06 0C 0C 06 06 0E 06 06 0C 04 23 06 E0 01 23 04 E0 02 23 02 E0 08 23 00 E0 00 23 9A 42 18 E0 84 42 13 D1 99 42 11 D1 F3 68 D8 E9 00 01 ?? ?? ?? ?? 08 9B D8 F8 04 10 04 46 D8 F8 00 00 2A 46 ?? ?? ?? ?? 84 42 08 BF 01 20 06 D0 00 20 04 E0 9C 42 08 BF 01 20 18 BF 00 20 BD E8 F8 89 }
	condition:
		$1
}

rule file_184_229_0 {
	meta:
		name = "?narrow_null_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ"
		size = 16
		refs = "000c ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?narrow_null_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ ?narrow_null_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_55_3 {
	meta:
		name = "?get_dual_state_environment_nolock@@YAAAV?$dual_state_global@PAPAD@__crt_state_management@@D@Z"
		size = 16
		refs = "000c _environ_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_56_3 {
	meta:
		name = "?get_dual_state_environment_nolock@@YAAAV?$dual_state_global@PAPA_W@__crt_state_management@@_W@Z"
		size = 16
		refs = "000c _wenviron_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_51_3 {
	meta:
		name = "?get_environment@@YAAAPAPADD@Z"
		size = 16
		refs = "000c _environ_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_52_3 {
	meta:
		name = "?get_environment@@YAAAPAPA_W_W@Z"
		size = 16
		refs = "000c _wenviron_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_57_2 {
	meta:
		name = "?get_environment_nolock@@YAAAPAPADD@Z"
		size = 16
		refs = "000c _environ_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_58_4 {
	meta:
		name = "?get_environment_nolock@@YAAAPAPA_W_W@Z"
		size = 16
		refs = "000c _wenviron_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_53_0 {
	meta:
		name = "?get_initial_environment@@YAAAPAPADD@Z"
		size = 16
		refs = "000c __dcrt_initial_narrow_environment"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_60_2 {
	meta:
		name = "?get_initial_environment@@YAAAPAPA_W_W@Z"
		size = 16
		refs = "000c __dcrt_initial_wide_environment"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_55_4 {
	meta:
		name = "?get_other_environment@@YAAAPAPAD_W@Z"
		size = 16
		refs = "000c _environ_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_56_2 {
	meta:
		name = "?get_other_environment@@YAAAPAPA_WD@Z"
		size = 16
		refs = "000c _wenviron_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_330_4 {
	meta:
		name = "?state_transition_table@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 16
		refs = "000c format_validation_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_331_4 {
	meta:
		name = "?state_transition_table@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 16
		refs = "000c format_validation_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_332_0 {
	meta:
		name = "?state_transition_table@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 16
		refs = "000c standard_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_333_3 {
	meta:
		name = "?state_transition_table@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ"
		size = 16
		refs = "000c standard_lookup_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_455_4 {
	meta:
		name = "?wide_null_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 16
		refs = "000c ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_456_2 {
	meta:
		name = "?wide_null_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 16
		refs = "000c ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_457_2 {
	meta:
		name = "?wide_null_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 16
		refs = "000c ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_458_2 {
	meta:
		name = "?wide_null_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 16
		refs = "000c ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_459_0 {
	meta:
		name = "?wide_null_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 16
		refs = "000c ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_460_3 {
	meta:
		name = "?wide_null_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ"
		size = 16
		refs = "000c ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_78_0 {
	meta:
		name = "__p__environ"
		size = 16
		refs = "000c _environ_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_79_0 {
	meta:
		name = "__p__wenviron"
		size = 16
		refs = "000c _wenviron_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 48 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_235_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
		size = 92
		refs = "0010 _errno 0028 strtol"
		altNames = "?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 04 46 E3 68 0F 46 13 B9 ?? ?? ?? ?? E0 60 E5 68 00 23 69 46 2E 68 2B 60 00 93 23 69 0A 22 58 1E ?? ?? ?? ?? 38 60 E3 68 13 B9 ?? ?? ?? ?? E0 60 E3 68 1B 68 22 2B 06 D0 23 69 00 9A 9A 42 02 D3 22 61 01 20 00 E0 00 20 2B 68 0B B9 06 B1 2E 60 BD E8 FC 88 }
	condition:
		$1
}

rule file_184_238_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
		size = 92
		refs = "0010 _errno 0028 wcstol"
		altNames = "?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 04 46 E3 68 0F 46 13 B9 ?? ?? ?? ?? E0 60 E5 68 00 23 69 46 2E 68 2B 60 00 93 23 69 0A 22 98 1E ?? ?? ?? ?? 38 60 E3 68 13 B9 ?? ?? ?? ?? E0 60 E3 68 1B 68 22 2B 06 D0 23 69 00 9A 9A 42 02 D3 22 61 01 20 00 E0 00 20 2B 68 0B B9 06 B1 2E 60 BD E8 FC 88 }
	condition:
		$1
}

rule file_184_241_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 452
		refs = "0020 _CrtDbgReportW 002a _errno 0040 _invalid_parameter 00b0 ?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ca ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00de ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 013e ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0146 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0162 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 01ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01b0 ??_C@_1BLG@HKIOHBGE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01b4 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01bc format_validation_lookup_table 01c0 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 04 46 23 69 EB B9 6A 4B 6B 4C 66 49 00 93 00 23 4F F4 CB 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 5F 49 5D 4A 00 23 00 93 4F F4 CB 63 20 46 ?? ?? ?? ?? 6F F0 00 05 AD E0 00 27 5B 4E FD 43 D4 F8 50 34 5B 1C C4 F8 50 34 02 2B 00 F0 A2 80 A7 63 E7 61 72 E0 5B 1C 23 61 A3 69 00 2B 77 DB 94 F9 31 30 E2 69 20 2B 07 DB 7A 2B 05 DC 33 44 13 F8 20 3C 03 F0 0F 03 00 E0 00 23 03 EB C3 03 13 44 9B 5D 1A 09 E2 61 08 2A 68 D0 07 2A 00 F2 82 80 DF E8 02 F0 04 08 11 15 34 36 4B 4F 20 46 ?? ?? ?? ?? 49 E0 C4 E9 08 77 84 F8 30 70 C4 E9 0A 57 84 F8 3C 70 41 E0 20 46 ?? ?? ?? ?? 3C E0 94 F9 31 30 2A 2B 05 D0 04 F1 24 01 20 46 ?? ?? ?? ?? 32 E0 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C 63 62 00 2B 06 DA 23 6A 43 F0 04 03 23 62 63 6A 5B 42 63 62 01 20 1D E0 A7 62 1C E0 94 F9 31 30 2A 2B 02 D0 04 F1 28 01 DD E7 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C A3 62 00 2B E8 DA A5 62 E6 E7 20 46 ?? ?? ?? ?? 02 E0 20 46 ?? ?? ?? ?? 60 B3 23 69 93 F9 00 30 00 2B 84 F8 31 30 23 69 84 D1 5B 1C 23 61 20 46 ?? ?? ?? ?? 00 28 7F F4 72 AF 1B E0 12 4B 10 4C 0E 49 00 93 00 23 40 F2 6C 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 08 49 06 4A 16 23 03 60 40 F2 6C 63 20 46 00 97 ?? ?? ?? ?? 00 E0 A5 69 28 46 BD E8 FC 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_242_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 408
		refs = "0020 _CrtDbgReportW 002a _errno 0040 _invalid_parameter 00be ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00de ?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f8 ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0100 ?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 010c ?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0114 ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011c ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0138 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0180 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0184 ??_C@_1BLM@CNOJLNJD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0188 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 018c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0190 format_validation_lookup_table 0194 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 04 46 23 69 EB B9 5F 4B 60 4C 5B 49 00 93 00 23 4F F4 CB 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 54 49 52 4A 00 23 00 93 4F F4 CB 63 20 46 ?? ?? ?? ?? 6F F0 00 05 97 E0 00 27 50 4E FD 43 D4 F8 58 34 5B 1C C4 F8 58 34 03 2B 00 F0 8C 80 02 2B 04 D1 D4 F8 5C 34 01 2B 00 F0 85 80 D4 F8 60 34 C4 F8 5C 74 C4 F8 A4 5A 23 61 C4 F8 A8 5A C4 E9 09 77 A7 63 E7 61 4C E0 5B 1C 23 61 A3 69 00 2B 50 DB 94 F9 31 30 E2 69 20 2B 07 DB 7A 2B 05 DC 33 44 13 F8 20 3C 03 F0 0F 03 00 E0 00 23 03 EB C3 03 13 44 9B 5D 20 46 1B 09 E3 61 ?? ?? ?? ?? 00 28 59 D0 E2 69 08 2A 3A D0 07 2A 54 D8 DF E8 02 F0 04 08 11 15 19 1B 1F 23 20 46 ?? ?? ?? ?? 1D E0 C4 E9 08 77 84 F8 30 70 C4 E9 0A 57 84 F8 3C 70 15 E0 20 46 ?? ?? ?? ?? 10 E0 20 46 ?? ?? ?? ?? 0C E0 A7 62 0B E0 20 46 ?? ?? ?? ?? 06 E0 20 46 ?? ?? ?? ?? 02 E0 20 46 ?? ?? ?? ?? 58 B3 23 69 93 F9 00 30 00 2B 84 F8 31 30 23 69 AB D1 5B 1C 23 61 20 46 ?? ?? ?? ?? 00 28 87 D1 1B E0 12 4B 10 4C 0E 49 00 93 00 23 40 F2 6C 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 08 49 06 4A 16 23 03 60 40 F2 6C 63 20 46 00 97 ?? ?? ?? ?? 00 E0 A5 69 28 46 BD E8 FC 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_243_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 436
		refs = "0020 _CrtDbgReportW 002a _errno 0040 _invalid_parameter 00ac ?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00c6 ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00da ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 013a ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0142 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 019c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01a0 ??_C@_1BKE@EJAONHIE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01a4 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01ac standard_lookup_table 01b0 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 04 46 23 69 EB B9 66 4B 67 4C 62 49 00 93 00 23 4F F4 CB 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 5B 49 59 4A 00 23 00 93 4F F4 CB 63 20 46 ?? ?? ?? ?? 6F F0 00 05 A5 E0 00 27 57 4E FD 43 D4 F8 50 34 5B 1C C4 F8 50 34 02 2B 00 F0 9A 80 A7 63 E7 61 70 E0 5B 1C 23 61 A3 69 00 2B EF DB 94 F9 31 30 E2 69 20 2B 07 DB 7A 2B 05 DC 33 44 13 F8 20 3C 03 F0 0F 03 00 E0 00 23 02 EB C3 03 9B 5D 1A 09 E2 61 08 2A 61 D0 07 2A 7B D8 DF E8 02 F0 04 08 11 15 34 36 4B 4F 20 46 ?? ?? ?? ?? 49 E0 C4 E9 08 77 84 F8 30 70 C4 E9 0A 57 84 F8 3C 70 41 E0 20 46 ?? ?? ?? ?? 3C E0 94 F9 31 30 2A 2B 05 D0 04 F1 24 01 20 46 ?? ?? ?? ?? 32 E0 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C 63 62 00 2B 06 DA 23 6A 43 F0 04 03 23 62 63 6A 5B 42 63 62 01 20 1D E0 A7 62 1C E0 94 F9 31 30 2A 2B 02 D0 04 F1 28 01 DD E7 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C A3 62 00 2B E8 DA A5 62 E6 E7 20 46 ?? ?? ?? ?? 02 E0 20 46 ?? ?? ?? ?? 30 B3 23 69 93 F9 00 30 00 2B 84 F8 31 30 23 69 86 D1 5B 1C 23 61 78 E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 6C 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 08 49 06 4A 16 23 03 60 40 F2 6C 63 20 46 00 97 ?? ?? ?? ?? 00 E0 A5 69 28 46 BD E8 FC 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_244_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 484
		refs = "0020 _CrtDbgReportW 002a _errno 0040 _invalid_parameter 00c2 _putwch_nolock 00ea ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00fc ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 015c ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0164 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 017e ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 01cc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01d0 ??_C@_1BMO@BFJMLNMJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01d4 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01dc format_validation_lookup_table 01e0 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 04 46 23 69 EB B9 72 4B 73 4C 6E 49 00 93 00 23 4F F4 CB 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 67 49 65 4A 00 23 00 93 4F F4 CB 63 20 46 ?? ?? ?? ?? 6F F0 00 05 BC E0 4F F0 00 08 63 4E 6F EA 08 05 4F F0 01 09 4F F6 FF 77 D4 F8 50 34 5B 1C C4 F8 50 34 02 2B 00 F0 AB 80 C4 F8 38 80 C4 F8 1C 80 79 E0 9B 1C 23 61 A3 69 00 2B 7D DB 63 8E E2 69 20 2B 07 D3 7A 2B 05 D8 33 44 13 F8 20 3C 03 F0 0F 03 00 E0 00 23 03 EB C3 03 13 44 9B 5D 1A 09 E2 61 08 2A 6F D0 07 2A 00 F2 8A 80 DF E8 02 F0 04 11 1A 1E 3C 3F 53 57 60 8E 84 F8 3C 90 ?? ?? ?? ?? B8 42 01 D1 A5 61 4D E0 A3 69 5B 1C A3 61 49 E0 C4 E9 08 88 84 F8 30 80 C4 E9 0A 58 84 F8 3C 80 40 E0 20 46 ?? ?? ?? ?? 3B E0 63 8E 2A 2B 05 D0 04 F1 24 01 20 46 ?? ?? ?? ?? 32 E0 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C 63 62 00 2B 06 DA 23 6A 43 F0 04 03 23 62 63 6A 5B 42 63 62 01 20 1D E0 C4 F8 28 80 1B E0 63 8E 2A 2B 02 D0 04 F1 28 01 DD E7 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C A3 62 00 2B E8 DA A5 62 E6 E7 20 46 ?? ?? ?? ?? 02 E0 20 46 ?? ?? ?? ?? 60 B3 23 69 1B 88 00 2B 63 86 23 69 7F F4 7F AF 9B 1C 23 61 20 46 ?? ?? ?? ?? 00 28 7F F4 6A AF 1C E0 13 4B 11 4C 0F 49 00 93 00 23 40 F2 6C 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 09 49 07 4A 16 23 03 60 40 F2 6C 63 20 46 CD F8 00 80 ?? ?? ?? ?? 00 E0 A5 69 28 46 BD E8 FC 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_245_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 404
		refs = "0020 _CrtDbgReportW 002a _errno 0040 _invalid_parameter 00bc ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 00dc ?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00f6 ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00fe ?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 010a ?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0112 ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 011a ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0132 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 017c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0180 ??_C@_1BNE@IJFKJKMM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0184 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0188 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 018c format_validation_lookup_table 0190 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 04 46 23 69 EB B9 5E 4B 5F 4C 5A 49 00 93 00 23 4F F4 CB 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 53 49 51 4A 00 23 00 93 4F F4 CB 63 20 46 ?? ?? ?? ?? 6F F0 00 05 94 E0 00 27 4F 4E FD 43 D4 F8 58 34 5B 1C C4 F8 58 34 03 2B 00 F0 89 80 02 2B 04 D1 D4 F8 5C 34 01 2B 00 F0 82 80 D4 F8 60 34 C4 F8 5C 74 C4 F8 A4 5A 23 61 C4 F8 A8 5A C4 E9 09 77 A7 63 E7 61 4B E0 9B 1C 23 61 A3 69 00 2B 4D DB 63 8E E2 69 20 2B 07 D3 7A 2B 05 D8 33 44 13 F8 20 3C 03 F0 0F 03 00 E0 00 23 03 EB C3 03 13 44 9B 5D 20 46 1B 09 E3 61 ?? ?? ?? ?? 00 28 57 D0 E2 69 08 2A 38 D0 07 2A 52 D8 DF E8 02 F0 04 08 11 15 19 1B 1F 23 20 46 ?? ?? ?? ?? 1D E0 C4 E9 08 77 84 F8 30 70 C4 E9 0A 57 84 F8 3C 70 15 E0 20 46 ?? ?? ?? ?? 10 E0 20 46 ?? ?? ?? ?? 0C E0 A7 62 0B E0 20 46 ?? ?? ?? ?? 06 E0 20 46 ?? ?? ?? ?? 02 E0 20 46 ?? ?? ?? ?? 48 B3 23 69 1B 88 00 2B 63 86 23 69 AE D1 9B 1C 23 61 20 46 ?? ?? ?? ?? 00 28 8A D1 1B E0 12 4B 11 4C 0E 49 00 93 00 23 40 F2 6C 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 08 49 07 4A 16 23 03 60 40 F2 6C 63 20 46 00 97 ?? ?? ?? ?? 00 E0 A5 69 28 46 BD E8 FC 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_246_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAAHXZ"
		size = 468
		refs = "0020 _CrtDbgReportW 002a _errno 0040 _invalid_parameter 00c0 _putwch_nolock 00e8 ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00fa ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 015a ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0162 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01bc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01c0 ??_C@_1BLM@MEMPCIGD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01c4 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01cc standard_lookup_table 01d0 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 04 46 23 69 EB B9 6E 4B 6F 4C 6A 49 00 93 00 23 4F F4 CB 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 63 49 61 4A 00 23 00 93 4F F4 CB 63 20 46 ?? ?? ?? ?? 6F F0 00 05 B4 E0 4F F0 00 08 5F 4E 6F EA 08 05 4F F0 01 09 4F F6 FF 77 D4 F8 50 34 5B 1C C4 F8 50 34 02 2B 00 F0 A3 80 C4 F8 38 80 C4 F8 1C 80 78 E0 9B 1C 23 61 A3 69 00 2B ED DB 63 8E E2 69 20 2B 07 D3 7A 2B 05 D8 33 44 13 F8 20 3C 03 F0 0F 03 00 E0 00 23 02 EB C3 03 9B 5D 1A 09 E2 61 08 2A 68 D0 07 2A 00 F2 83 80 DF E8 02 F0 04 11 1A 1E 3C 3F 53 57 60 8E 84 F8 3C 90 ?? ?? ?? ?? B8 42 01 D1 A5 61 4D E0 A3 69 5B 1C A3 61 49 E0 C4 E9 08 88 84 F8 30 80 C4 E9 0A 58 84 F8 3C 80 40 E0 20 46 ?? ?? ?? ?? 3B E0 63 8E 2A 2B 05 D0 04 F1 24 01 20 46 ?? ?? ?? ?? 32 E0 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C 63 62 00 2B 06 DA 23 6A 43 F0 04 03 23 62 63 6A 5B 42 63 62 01 20 1D E0 C4 F8 28 80 1B E0 63 8E 2A 2B 02 D0 04 F1 28 01 DD E7 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C A3 62 00 2B E8 DA A5 62 E6 E7 20 46 ?? ?? ?? ?? 02 E0 20 46 ?? ?? ?? ?? 28 B3 23 69 1B 88 00 2B 63 86 23 69 80 D1 9B 1C 23 61 70 E7 13 4B 11 4C 0F 49 00 93 00 23 40 F2 6C 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 09 49 07 4A 16 23 03 60 40 F2 6C 63 20 46 CD F8 00 80 ?? ?? ?? ?? 00 E0 A5 69 28 46 BD E8 FC 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_248_0 {
	meta:
		name = "?set_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
		size = 16
		altNames = "?set_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?set_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 0B 43 03 62 BD E8 00 88 }
	condition:
		$1
}

rule file_184_254_0 {
	meta:
		name = "?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 32
		altNames = "?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 F8 58 34 01 2B 05 D1 D0 F8 5C 34 01 2B 18 BF 00 20 00 D1 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_258_0 {
	meta:
		name = "?should_skip_normal_state_processing@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 44
		altNames = "?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 F8 58 24 01 2A 05 D1 D0 F8 5C 34 02 2B 01 D1 01 20 06 E0 02 2A 03 D1 D0 F8 5C 34 00 2B F7 D0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_262_0 {
	meta:
		name = "?should_skip_type_state_output@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ"
		size = 32
		altNames = "?should_skip_type_state_output@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 F8 5C 34 02 2B 05 D1 D0 F8 58 34 01 2B 08 BF 01 20 00 D0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_266_0 {
	meta:
		name = "?state_case_dot@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 16
		altNames = "?state_case_dot@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_dot@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 83 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_272_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 76
		altNames = "?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F9 31 30 20 2B 17 D0 23 2B 11 D0 2B 2B 0B D0 2D 2B 05 D0 30 2B 13 D1 03 6A 43 F0 08 03 0E E0 03 6A 43 F0 04 03 0A E0 03 6A 43 F0 01 03 06 E0 03 6A 43 F0 20 03 02 E0 03 6A 43 F0 02 03 03 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_275_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		altNames = "?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 8E 20 2B 17 D0 23 2B 11 D0 2B 2B 0B D0 2D 2B 05 D0 30 2B 13 D1 03 6A 43 F0 08 03 0E E0 03 6A 43 F0 04 03 0A E0 03 6A 43 F0 01 03 06 E0 03 6A 43 F0 20 03 02 E0 03 6A 43 F0 02 03 03 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_278_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 120
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 0016 _putch_nolock 003e _CrtDbgReportW 0048 _errno 005e _invalid_parameter 0068 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c ??_C@_1BMK@BGPKBIHJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0070 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 21 04 46 ?? ?? ?? ?? 60 B1 94 F9 31 00 ?? ?? ?? ?? 6F F0 00 03 98 42 01 D0 A3 69 5B 1C A3 61 01 20 1B E0 11 4B 10 4C 0D 49 00 93 00 23 40 F2 99 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 99 63 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_280_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 120
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 0016 _putch_nolock 003e _CrtDbgReportW 0048 _errno 005e _invalid_parameter 0068 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c ??_C@_1BLI@LHEFBLJN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0070 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 21 04 46 ?? ?? ?? ?? 60 B1 94 F9 31 00 ?? ?? ?? ?? 6F F0 00 03 98 42 01 D0 A3 69 5B 1C A3 61 01 20 1B E0 11 4B 10 4C 0D 49 00 93 00 23 40 F2 99 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 99 63 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_279_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 152
		refs = "002c ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 0036 _putch_nolock 005c _CrtDbgReportW 0066 _errno 007c _invalid_parameter 0088 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008c ??_C@_1BNA@IDNMDBH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0090 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 58 24 04 46 01 2A 03 D1 D0 F8 5C 34 02 2B 04 D0 02 2A 04 D1 D4 F8 5C 34 0B B9 01 20 2C E0 00 21 20 46 ?? ?? ?? ?? 58 B1 94 F9 31 00 ?? ?? ?? ?? 6F F0 00 03 98 42 01 D0 A3 69 5B 1C A3 61 EC E7 12 4B 10 4C 0E 49 00 93 00 23 40 F2 99 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F2 99 63 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_281_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 48
		refs = "0012 _putwch_nolock"
		altNames = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 01 23 04 46 80 F8 3C 30 60 8E ?? ?? ?? ?? 4F F6 FF 73 98 42 02 D1 6F F0 00 03 01 E0 A3 69 5B 1C A3 61 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_184_282_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 74
		refs = "002c _putwch_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B D0 F8 58 24 04 46 01 2A 03 D1 D0 F8 5C 34 02 2B 14 D0 02 2A 02 D1 D4 F8 5C 34 7B B1 60 8E 01 23 84 F8 3C 30 ?? ?? ?? ?? 4F F6 FF 73 98 42 02 D1 6F F0 00 03 01 E0 A3 69 5B 1C A3 61 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_184_284_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 50
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 001a _putch_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 00 21 04 46 ?? ?? ?? ?? 08 B9 00 20 0B E0 94 F9 31 00 ?? ?? ?? ?? 6F F0 00 03 98 42 01 D0 A3 69 5B 1C A3 61 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_184_285_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 50
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 001a _putch_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 00 21 04 46 ?? ?? ?? ?? 08 B9 00 20 0B E0 94 F9 31 00 ?? ?? ?? ?? 6F F0 00 03 98 42 01 D0 A3 69 5B 1C A3 61 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_184_286_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 50
		refs = "000c ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 001a _putch_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 00 21 04 46 ?? ?? ?? ?? 08 B9 00 20 0B E0 94 F9 31 00 ?? ?? ?? ?? 6F F0 00 03 98 42 01 D0 A3 69 5B 1C A3 61 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_184_290_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 152
		refs = "0026 _putch_nolock 005a _CrtDbgReportW 0064 _errno 0078 _invalid_parameter 0088 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008c ??_C@_1BNG@BIPBMMDF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0090 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 04 46 A3 68 00 25 80 F8 3C 50 1B 68 90 F9 31 00 1B 68 C2 B2 33 F8 12 30 13 F4 00 4F 2C D0 ?? ?? ?? ?? EB 43 98 42 01 D0 A3 69 5B 1C A3 61 22 69 13 78 84 F8 31 30 53 1C 23 61 94 F9 31 30 DB B9 12 4B 11 4C 0E 49 00 93 00 23 40 F2 B1 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 08 49 07 4A 16 23 03 60 40 F2 B1 63 20 46 00 95 ?? ?? ?? ?? 00 20 00 E0 01 20 BD E8 3C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_291_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 152
		refs = "0026 _putch_nolock 005a _CrtDbgReportW 0064 _errno 0078 _invalid_parameter 0088 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008c ??_C@_1BNM@LINJAOH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0090 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 04 46 A3 68 00 25 80 F8 3C 50 1B 68 90 F9 31 00 1B 68 C2 B2 33 F8 12 30 13 F4 00 4F 2C D0 ?? ?? ?? ?? EB 43 98 42 01 D0 A3 69 5B 1C A3 61 22 69 13 78 84 F8 31 30 53 1C 23 61 94 F9 31 30 DB B9 12 4B 11 4C 0E 49 00 93 00 23 40 F2 B1 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 08 49 07 4A 16 23 03 60 40 F2 B1 63 20 46 00 95 ?? ?? ?? ?? 00 20 00 E0 01 20 BD E8 3C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_292_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 152
		refs = "0026 _putch_nolock 005a _CrtDbgReportW 0064 _errno 0078 _invalid_parameter 0088 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008c ??_C@_1BME@EGKCNELI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0090 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 04 46 A3 68 00 25 80 F8 3C 50 1B 68 90 F9 31 00 1B 68 C2 B2 33 F8 12 30 13 F4 00 4F 2C D0 ?? ?? ?? ?? EB 43 98 42 01 D0 A3 69 5B 1C A3 61 22 69 13 78 84 F8 31 30 53 1C 23 61 94 F9 31 30 DB B9 12 4B 11 4C 0E 49 00 93 00 23 40 F2 B1 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 08 49 07 4A 16 23 03 60 40 F2 B1 63 20 46 00 95 ?? ?? ?? ?? 00 20 00 E0 01 20 BD E8 3C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_293_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 18
		altNames = "?state_case_normal_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 23 80 F8 3C 30 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_296_0 {
	meta:
		name = "?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 32
		altNames = "?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 D3 43 C0 E9 09 23 80 F8 30 20 02 62 C2 62 80 F8 3C 20 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_302_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 62
		refs = "0016 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F9 31 30 2A 2B 05 D0 00 F1 28 01 BD E8 00 48 ?? ?? ?? ?? 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 83 62 00 2B 02 DA 6F F0 00 03 83 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_304_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 62
		refs = "0016 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F9 31 30 2A 2B 05 D0 00 F1 28 01 BD E8 00 48 ?? ?? ?? ?? 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 83 62 00 2B 02 DA 6F F0 00 03 83 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_303_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 80
		refs = "0016 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 001c ?update_precision@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 90 F9 31 30 04 46 2A 2B 04 D0 00 F1 28 01 ?? ?? ?? ?? 17 E0 ?? ?? ?? ?? 08 B9 00 20 12 E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 2B B1 A3 6A 00 2B 02 DA 6F F0 00 03 A3 62 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_184_305_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 60
		refs = "0014 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 8E 2A 2B 05 D0 00 F1 28 01 BD E8 00 48 ?? ?? ?? ?? 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 83 62 00 2B 02 DA 6F F0 00 03 83 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_307_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 60
		refs = "0014 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 8E 2A 2B 05 D0 00 F1 28 01 BD E8 00 48 ?? ?? ?? ?? 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 83 62 00 2B 02 DA 6F F0 00 03 83 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_306_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 78
		refs = "0014 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 001a ?update_precision@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 63 8E 2A 2B 04 D0 00 F1 28 01 ?? ?? ?? ?? 17 E0 ?? ?? ?? ?? 08 B9 00 20 12 E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 2B B1 A3 6A 00 2B 02 DA 6F F0 00 03 A3 62 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_184_308_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 368
		refs = "001e ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0046 _CrtDbgReportW 0050 _errno 0066 _invalid_parameter 015c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0160 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0164 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0168 ??_C@_1BMG@OBMNJJOL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 016c ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 90 F9 31 20 46 2A 09 D1 03 68 13 F0 08 0F 40 F0 9D 80 07 23 C3 61 ?? ?? ?? ?? 98 E0 4E 2A 22 D1 03 68 08 22 13 42 40 F0 91 80 4C 4B 4D 4C 49 49 00 93 C2 61 00 23 40 F2 56 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 56 73 41 49 3E 4A 20 46 ?? ?? ?? ?? 00 20 73 E0 C3 6A B3 B1 3C 4B 3A 4C 39 49 00 93 00 23 40 F2 5D 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 5D 73 DF E7 6A 2A 3E DC 3B D0 49 2A 14 D0 4C 2A 10 D0 54 2A 0C D0 68 2A 4E D1 02 69 92 F9 00 30 68 2B 03 D1 53 1C 03 61 01 23 44 E0 02 23 42 E0 0D 23 40 E0 08 23 3E E0 01 69 91 F9 00 20 33 2A 07 D1 91 F9 01 30 32 2B 03 D1 8B 1C 03 61 0A 23 31 E0 36 2A 07 D1 91 F9 01 30 34 2B 03 D1 8B 1C 03 61 0B 23 27 E0 64 2A 09 D0 69 2A 07 D0 6F 2A 05 D0 75 2A 03 D0 78 2A 01 D0 58 2A 1C D1 09 23 19 E0 05 23 17 E0 6C 2A 0B D0 74 2A 07 D0 77 2A 03 D0 7A 2A 10 D1 06 23 0D E0 0C 23 0B E0 07 23 09 E0 02 69 92 F9 00 30 6C 2B 03 D1 53 1C 03 61 04 23 00 E0 03 23 C3 62 01 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_309_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 368
		refs = "001e ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0046 _CrtDbgReportW 0050 _errno 0066 _invalid_parameter 015c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0160 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0164 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0168 ??_C@_1BMM@MDMPAJJB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 016c ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 90 F9 31 20 46 2A 09 D1 03 68 13 F0 08 0F 40 F0 9D 80 07 23 C3 61 ?? ?? ?? ?? 98 E0 4E 2A 22 D1 03 68 08 22 13 42 40 F0 91 80 4C 4B 4D 4C 49 49 00 93 C2 61 00 23 40 F2 56 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 56 73 41 49 3E 4A 20 46 ?? ?? ?? ?? 00 20 73 E0 C3 6A B3 B1 3C 4B 3A 4C 39 49 00 93 00 23 40 F2 5D 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 5D 73 DF E7 6A 2A 3E DC 3B D0 49 2A 14 D0 4C 2A 10 D0 54 2A 0C D0 68 2A 4E D1 02 69 92 F9 00 30 68 2B 03 D1 53 1C 03 61 01 23 44 E0 02 23 42 E0 0D 23 40 E0 08 23 3E E0 01 69 91 F9 00 20 33 2A 07 D1 91 F9 01 30 32 2B 03 D1 8B 1C 03 61 0A 23 31 E0 36 2A 07 D1 91 F9 01 30 34 2B 03 D1 8B 1C 03 61 0B 23 27 E0 64 2A 09 D0 69 2A 07 D0 6F 2A 05 D0 75 2A 03 D0 78 2A 01 D0 58 2A 1C D1 09 23 19 E0 05 23 17 E0 6C 2A 0B D0 74 2A 07 D0 77 2A 03 D0 7A 2A 10 D1 06 23 0D E0 0C 23 0B E0 07 23 09 E0 02 69 92 F9 00 30 6C 2B 03 D1 53 1C 03 61 04 23 00 E0 03 23 C3 62 01 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_310_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 368
		refs = "001e ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0046 _CrtDbgReportW 0050 _errno 0066 _invalid_parameter 015c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0160 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0164 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0168 ??_C@_1BLE@FJAJINEM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 016c ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 90 F9 31 20 46 2A 09 D1 03 68 13 F0 08 0F 40 F0 9D 80 07 23 C3 61 ?? ?? ?? ?? 98 E0 4E 2A 22 D1 03 68 08 22 13 42 40 F0 91 80 4C 4B 4D 4C 49 49 00 93 C2 61 00 23 40 F2 56 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 56 73 41 49 3E 4A 20 46 ?? ?? ?? ?? 00 20 73 E0 C3 6A B3 B1 3C 4B 3A 4C 39 49 00 93 00 23 40 F2 5D 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 5D 73 DF E7 6A 2A 3E DC 3B D0 49 2A 14 D0 4C 2A 10 D0 54 2A 0C D0 68 2A 4E D1 02 69 92 F9 00 30 68 2B 03 D1 53 1C 03 61 01 23 44 E0 02 23 42 E0 0D 23 40 E0 08 23 3E E0 01 69 91 F9 00 20 33 2A 07 D1 91 F9 01 30 32 2B 03 D1 8B 1C 03 61 0A 23 31 E0 36 2A 07 D1 91 F9 01 30 34 2B 03 D1 8B 1C 03 61 0B 23 27 E0 64 2A 09 D0 69 2A 07 D0 6F 2A 05 D0 75 2A 03 D0 78 2A 01 D0 58 2A 1C D1 09 23 19 E0 05 23 17 E0 6C 2A 0B D0 74 2A 07 D0 77 2A 03 D0 7A 2A 10 D1 06 23 0D E0 0C 23 0B E0 07 23 09 E0 02 69 92 F9 00 30 6C 2B 03 D1 53 1C 03 61 04 23 00 E0 03 23 C3 62 01 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_311_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 356
		refs = "001c ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0044 _CrtDbgReportW 004e _errno 0064 _invalid_parameter 0150 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0154 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0158 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 015c ??_C@_1BNO@MMJDJILD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0160 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 42 8E 46 2A 09 D1 03 68 13 F0 08 0F 40 F0 98 80 07 23 C3 61 ?? ?? ?? ?? 93 E0 4E 2A 22 D1 03 68 08 22 13 42 40 F0 8C 80 49 4B 4B 4C 46 49 00 93 C2 61 00 23 40 F2 56 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 56 73 3F 49 3B 4A 20 46 ?? ?? ?? ?? 00 20 6E E0 C3 6A B3 B1 39 4B 38 4C 36 49 00 93 00 23 40 F2 5D 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 5D 73 DF E7 6A 2A 3A DC 37 D0 49 2A 13 D0 4C 2A 0F D0 54 2A 0B D0 68 2A 49 D1 02 69 13 88 68 2B 03 D1 93 1C 03 61 01 23 40 E0 02 23 3E E0 0D 23 3C E0 08 23 3A E0 01 69 0A 88 33 2A 06 D1 4B 88 32 2B 03 D1 0B 1D 03 61 0A 23 2F E0 36 2A 06 D1 4B 88 34 2B 03 D1 0B 1D 03 61 0B 23 26 E0 64 2A 09 D0 69 2A 07 D0 6F 2A 05 D0 75 2A 03 D0 78 2A 01 D0 58 2A 1B D1 09 23 18 E0 05 23 16 E0 6C 2A 0B D0 74 2A 07 D0 77 2A 03 D0 7A 2A 0F D1 06 23 0C E0 0C 23 0A E0 07 23 08 E0 02 69 13 88 6C 2B 03 D1 93 1C 03 61 04 23 00 E0 03 23 C3 62 01 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_312_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 356
		refs = "001c ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0044 _CrtDbgReportW 004e _errno 0064 _invalid_parameter 0150 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0154 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0158 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 015c ??_C@_1BOE@BBNBBNLC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0160 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 42 8E 46 2A 09 D1 03 68 13 F0 08 0F 40 F0 98 80 07 23 C3 61 ?? ?? ?? ?? 93 E0 4E 2A 22 D1 03 68 08 22 13 42 40 F0 8C 80 49 4B 4B 4C 46 49 00 93 C2 61 00 23 40 F2 56 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 56 73 3F 49 3B 4A 20 46 ?? ?? ?? ?? 00 20 6E E0 C3 6A B3 B1 39 4B 38 4C 36 49 00 93 00 23 40 F2 5D 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 5D 73 DF E7 6A 2A 3A DC 37 D0 49 2A 13 D0 4C 2A 0F D0 54 2A 0B D0 68 2A 49 D1 02 69 13 88 68 2B 03 D1 93 1C 03 61 01 23 40 E0 02 23 3E E0 0D 23 3C E0 08 23 3A E0 01 69 0A 88 33 2A 06 D1 4B 88 32 2B 03 D1 0B 1D 03 61 0A 23 2F E0 36 2A 06 D1 4B 88 34 2B 03 D1 0B 1D 03 61 0B 23 26 E0 64 2A 09 D0 69 2A 07 D0 6F 2A 05 D0 75 2A 03 D0 78 2A 01 D0 58 2A 1B D1 09 23 18 E0 05 23 16 E0 6C 2A 0B D0 74 2A 07 D0 77 2A 03 D0 7A 2A 0F D1 06 23 0C E0 0C 23 0A E0 07 23 08 E0 02 69 13 88 6C 2B 03 D1 93 1C 03 61 04 23 00 E0 03 23 C3 62 01 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_313_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 356
		refs = "001c ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 0044 _CrtDbgReportW 004e _errno 0064 _invalid_parameter 0150 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0154 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 0158 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 015c ??_C@_1BMM@GFJMEAMM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0160 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 42 8E 46 2A 09 D1 03 68 13 F0 08 0F 40 F0 98 80 07 23 C3 61 ?? ?? ?? ?? 93 E0 4E 2A 22 D1 03 68 08 22 13 42 40 F0 8C 80 49 4B 4B 4C 46 49 00 93 C2 61 00 23 40 F2 56 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 56 73 3F 49 3B 4A 20 46 ?? ?? ?? ?? 00 20 6E E0 C3 6A B3 B1 39 4B 38 4C 36 49 00 93 00 23 40 F2 5D 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 5D 73 DF E7 6A 2A 3A DC 37 D0 49 2A 13 D0 4C 2A 0F D0 54 2A 0B D0 68 2A 49 D1 02 69 13 88 68 2B 03 D1 93 1C 03 61 01 23 40 E0 02 23 3E E0 0D 23 3C E0 08 23 3A E0 01 69 0A 88 33 2A 06 D1 4B 88 32 2B 03 D1 0B 1D 03 61 0A 23 2F E0 36 2A 06 D1 4B 88 34 2B 03 D1 0B 1D 03 61 0B 23 26 E0 64 2A 09 D0 69 2A 07 D0 6F 2A 05 D0 75 2A 03 D0 78 2A 01 D0 58 2A 1B D1 09 23 18 E0 05 23 16 E0 6C 2A 0B D0 74 2A 07 D0 77 2A 03 D0 7A 2A 0F D1 06 23 0C E0 0C 23 0A E0 07 23 08 E0 02 69 13 88 6C 2B 03 D1 93 1C 03 61 04 23 00 E0 03 23 C3 62 01 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_314_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 596
		refs = "0092 ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 009a ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a2 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00aa ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00be ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z 00f4 ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01d0 ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@D@0@DHQAH@Z 01e6 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 021a ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 90 F9 31 30 04 46 A3 F1 41 02 37 2A 00 F2 1A 81 08 27 DF E8 12 F0 45 00 17 01 38 00 17 01 45 00 45 00 45 00 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 41 00 17 01 17 01 17 01 17 01 61 00 17 01 3D 00 17 01 17 01 17 01 17 01 17 01 17 01 45 00 17 01 38 00 49 00 45 00 45 00 45 00 17 01 49 00 17 01 17 01 17 01 17 01 6A 00 53 00 66 00 17 01 17 01 41 00 17 01 4D 00 17 01 17 01 64 00 00 21 20 46 ?? ?? ?? ?? 2F E0 20 46 ?? ?? ?? ?? 2B E0 20 46 ?? ?? ?? ?? 27 E0 20 46 ?? ?? ?? ?? 23 E0 23 6A 43 F0 10 03 23 62 00 22 0A 21 20 46 ?? ?? ?? ?? 19 E0 23 6A 13 F0 20 0F 18 BF 01 22 08 BF 00 22 12 B1 43 F0 80 03 23 62 00 22 08 21 ED E7 01 22 10 21 EA E7 00 22 FB E7 0A 23 C4 E9 0A 73 F6 E7 20 46 ?? ?? ?? ?? 00 28 00 F0 A7 80 94 F8 30 30 0B B1 01 20 A2 E0 21 6A 00 23 00 25 11 F0 10 0F AD F8 08 30 8D F8 0A 30 18 BF 01 23 08 BF 00 23 E3 B1 11 F0 40 0F 18 BF 01 23 08 BF 00 23 0B B1 2D 23 10 E0 11 F0 01 0F 18 BF 01 23 08 BF 00 23 0B B1 2B 23 07 E0 11 F0 02 0F 18 BF 01 23 08 BF 00 23 1B B1 20 23 8D F8 08 30 01 25 94 F9 31 20 78 2A 01 D0 58 2A 08 D1 11 F0 20 0F 18 BF 01 23 08 BF 00 23 0B B1 01 20 00 E0 00 20 61 2A 03 D0 41 2A 18 BF 00 23 00 D1 01 23 00 B9 7B B1 02 AB 30 20 E8 54 6D 1C 58 2A 03 D0 41 2A 18 BF 61 23 00 D1 41 23 03 F1 17 02 02 AB EA 54 6D 1C 62 6A A3 6B D6 1A 11 F0 0C 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 04 F1 0C 03 00 93 04 F1 18 03 02 A9 2A 46 04 F5 89 60 ?? ?? ?? ?? 22 6A 3A 42 18 BF 01 23 08 BF 00 23 73 B1 12 F0 04 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 30 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 00 21 20 46 ?? ?? ?? ?? A3 69 00 2B FF F6 6F AF 23 6A 13 F0 04 0F 18 BF 01 23 08 BF 00 23 00 2B 3F F4 65 AF 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 5B E7 00 20 04 B0 BD E8 F0 88 }
	condition:
		$1
}

rule file_184_316_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 596
		refs = "0092 ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 009a ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a2 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00aa ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00be ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z 00f4 ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01d0 ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@D@0@DHQAH@Z 01e6 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 021a ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 90 F9 31 30 04 46 A3 F1 41 02 37 2A 00 F2 1A 81 08 27 DF E8 12 F0 45 00 17 01 38 00 17 01 45 00 45 00 45 00 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 41 00 17 01 17 01 17 01 17 01 61 00 17 01 3D 00 17 01 17 01 17 01 17 01 17 01 17 01 45 00 17 01 38 00 49 00 45 00 45 00 45 00 17 01 49 00 17 01 17 01 17 01 17 01 6A 00 53 00 66 00 17 01 17 01 41 00 17 01 4D 00 17 01 17 01 64 00 00 21 20 46 ?? ?? ?? ?? 2F E0 20 46 ?? ?? ?? ?? 2B E0 20 46 ?? ?? ?? ?? 27 E0 20 46 ?? ?? ?? ?? 23 E0 23 6A 43 F0 10 03 23 62 00 22 0A 21 20 46 ?? ?? ?? ?? 19 E0 23 6A 13 F0 20 0F 18 BF 01 22 08 BF 00 22 12 B1 43 F0 80 03 23 62 00 22 08 21 ED E7 01 22 10 21 EA E7 00 22 FB E7 0A 23 C4 E9 0A 73 F6 E7 20 46 ?? ?? ?? ?? 00 28 00 F0 A7 80 94 F8 30 30 0B B1 01 20 A2 E0 21 6A 00 23 00 25 11 F0 10 0F AD F8 08 30 8D F8 0A 30 18 BF 01 23 08 BF 00 23 E3 B1 11 F0 40 0F 18 BF 01 23 08 BF 00 23 0B B1 2D 23 10 E0 11 F0 01 0F 18 BF 01 23 08 BF 00 23 0B B1 2B 23 07 E0 11 F0 02 0F 18 BF 01 23 08 BF 00 23 1B B1 20 23 8D F8 08 30 01 25 94 F9 31 20 78 2A 01 D0 58 2A 08 D1 11 F0 20 0F 18 BF 01 23 08 BF 00 23 0B B1 01 20 00 E0 00 20 61 2A 03 D0 41 2A 18 BF 00 23 00 D1 01 23 00 B9 7B B1 02 AB 30 20 E8 54 6D 1C 58 2A 03 D0 41 2A 18 BF 61 23 00 D1 41 23 03 F1 17 02 02 AB EA 54 6D 1C 62 6A A3 6B D6 1A 11 F0 0C 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 04 F1 0C 03 00 93 04 F1 18 03 02 A9 2A 46 04 F5 89 60 ?? ?? ?? ?? 22 6A 3A 42 18 BF 01 23 08 BF 00 23 73 B1 12 F0 04 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 30 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 00 21 20 46 ?? ?? ?? ?? A3 69 00 2B FF F6 6F AF 23 6A 13 F0 04 0F 18 BF 01 23 08 BF 00 23 00 2B 3F F4 65 AF 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 5B E7 00 20 04 B0 BD E8 F0 88 }
	condition:
		$1
}

rule file_184_315_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 622
		refs = "0092 ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z 009a ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a2 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00aa ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00be ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z 00f4 ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01ea ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@D@0@DHQAH@Z 0200 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0234 ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 90 F9 31 30 04 46 A3 F1 41 02 37 2A 00 F2 27 81 08 27 DF E8 12 F0 45 00 24 01 38 00 24 01 45 00 45 00 45 00 24 01 24 01 24 01 24 01 24 01 24 01 24 01 24 01 24 01 24 01 24 01 41 00 24 01 24 01 24 01 24 01 61 00 24 01 3D 00 24 01 24 01 24 01 24 01 24 01 24 01 45 00 24 01 38 00 49 00 45 00 45 00 45 00 24 01 49 00 24 01 24 01 24 01 24 01 6A 00 53 00 66 00 24 01 24 01 41 00 24 01 4D 00 24 01 24 01 64 00 00 21 20 46 ?? ?? ?? ?? 2F E0 20 46 ?? ?? ?? ?? 2B E0 20 46 ?? ?? ?? ?? 27 E0 20 46 ?? ?? ?? ?? 23 E0 23 6A 43 F0 10 03 23 62 00 22 0A 21 20 46 ?? ?? ?? ?? 19 E0 23 6A 13 F0 20 0F 18 BF 01 22 08 BF 00 22 12 B1 43 F0 80 03 23 62 00 22 08 21 ED E7 01 22 10 21 EA E7 00 22 FB E7 0A 23 C4 E9 0A 73 F6 E7 20 46 ?? ?? ?? ?? 00 28 00 F0 B4 80 D4 F8 5C 34 02 2B 05 D1 D4 F8 58 34 01 2B 08 BF 01 23 00 D0 00 23 0B B1 01 20 A6 E0 94 F8 30 30 00 2B F9 D1 21 6A 00 23 00 25 11 F0 10 0F AD F8 08 30 8D F8 0A 30 18 BF 01 23 08 BF 00 23 E3 B1 11 F0 40 0F 18 BF 01 23 08 BF 00 23 0B B1 2D 23 10 E0 11 F0 01 0F 18 BF 01 23 08 BF 00 23 0B B1 2B 23 07 E0 11 F0 02 0F 18 BF 01 23 08 BF 00 23 1B B1 20 23 8D F8 08 30 01 25 94 F9 31 20 78 2A 01 D0 58 2A 08 D1 11 F0 20 0F 18 BF 01 23 08 BF 00 23 0B B1 01 20 00 E0 00 20 61 2A 03 D0 41 2A 18 BF 00 23 00 D1 01 23 00 B9 7B B1 02 AB 30 20 E8 54 6D 1C 58 2A 03 D0 41 2A 18 BF 61 23 00 D1 41 23 03 F1 17 02 02 AB EA 54 6D 1C 62 6A A3 6B D6 1A 11 F0 0C 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 04 F1 0C 03 00 93 04 F1 18 03 02 A9 2A 46 04 F5 89 60 ?? ?? ?? ?? 22 6A 3A 42 18 BF 01 23 08 BF 00 23 73 B1 12 F0 04 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 30 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 00 21 20 46 ?? ?? ?? ?? A3 69 00 2B FF F6 6B AF 23 6A 13 F0 04 0F 18 BF 01 23 08 BF 00 23 00 2B 3F F4 61 AF 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 57 E7 00 20 04 B0 BD E8 F0 88 }
	condition:
		$1
}

rule file_184_317_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 604
		refs = "0008 __security_push_cookie 0096 ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 009e ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a6 ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ae ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00c2 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z 00f8 ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01d4 ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@_W@0@DHQAH@Z 01ea ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 021e ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 0254 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 85 B0 04 46 63 8E A3 F1 41 02 37 2A 00 F2 1A 81 08 27 DF E8 12 F0 45 00 17 01 38 00 17 01 45 00 45 00 45 00 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 41 00 17 01 17 01 17 01 17 01 61 00 17 01 3D 00 17 01 17 01 17 01 17 01 17 01 17 01 45 00 17 01 38 00 49 00 45 00 45 00 45 00 17 01 49 00 17 01 17 01 17 01 17 01 6A 00 53 00 66 00 17 01 17 01 41 00 17 01 4D 00 17 01 17 01 64 00 00 21 20 46 ?? ?? ?? ?? 2F E0 20 46 ?? ?? ?? ?? 2B E0 20 46 ?? ?? ?? ?? 27 E0 20 46 ?? ?? ?? ?? 23 E0 23 6A 43 F0 10 03 23 62 00 22 0A 21 20 46 ?? ?? ?? ?? 19 E0 23 6A 13 F0 20 0F 18 BF 01 22 08 BF 00 22 12 B1 43 F0 80 03 23 62 00 22 08 21 ED E7 01 22 10 21 EA E7 00 22 FB E7 0A 23 C4 E9 0A 73 F6 E7 20 46 ?? ?? ?? ?? 00 28 00 F0 A7 80 94 F8 30 30 0B B1 01 20 A2 E0 21 6A 00 23 00 25 11 F0 10 0F 02 93 AD F8 0C 30 18 BF 01 23 08 BF 00 23 E3 B1 11 F0 40 0F 18 BF 01 23 08 BF 00 23 0B B1 2D 23 10 E0 11 F0 01 0F 18 BF 01 23 08 BF 00 23 0B B1 2B 23 07 E0 11 F0 02 0F 18 BF 01 23 08 BF 00 23 1B B1 20 23 AD F8 08 30 01 25 62 8E 78 2A 01 D0 58 2A 08 D1 11 F0 20 0F 18 BF 01 23 08 BF 00 23 0B B1 01 20 00 E0 00 20 61 2A 03 D0 41 2A 18 BF 00 23 00 D1 01 23 00 B9 8B B1 02 AB 30 20 23 F8 15 00 6D 1C 58 2A 03 D0 41 2A 18 BF 61 23 00 D1 41 23 17 33 5A B2 02 AB 23 F8 15 20 6D 1C 62 6A A3 6B D6 1A 11 F0 0C 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 04 F1 0C 03 00 93 04 F1 18 03 02 A9 2A 46 04 F5 89 60 ?? ?? ?? ?? 22 6A 3A 42 18 BF 01 23 08 BF 00 23 73 B1 12 F0 04 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 30 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 00 21 20 46 ?? ?? ?? ?? A3 69 00 2B FF F6 6F AF 23 6A 13 F0 04 0F 18 BF 01 23 08 BF 00 23 00 2B 3F F4 65 AF 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 5B E7 00 20 05 B0 ?? ?? ?? ?? BD E8 F0 88 }
	condition:
		$1
}

rule file_184_319_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 604
		refs = "0008 __security_push_cookie 0096 ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 009e ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a6 ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ae ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00c2 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z 00f8 ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01d4 ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@_W@0@DHQAH@Z 01ea ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 021e ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 0254 __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 85 B0 04 46 63 8E A3 F1 41 02 37 2A 00 F2 1A 81 08 27 DF E8 12 F0 45 00 17 01 38 00 17 01 45 00 45 00 45 00 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 17 01 41 00 17 01 17 01 17 01 17 01 61 00 17 01 3D 00 17 01 17 01 17 01 17 01 17 01 17 01 45 00 17 01 38 00 49 00 45 00 45 00 45 00 17 01 49 00 17 01 17 01 17 01 17 01 6A 00 53 00 66 00 17 01 17 01 41 00 17 01 4D 00 17 01 17 01 64 00 00 21 20 46 ?? ?? ?? ?? 2F E0 20 46 ?? ?? ?? ?? 2B E0 20 46 ?? ?? ?? ?? 27 E0 20 46 ?? ?? ?? ?? 23 E0 23 6A 43 F0 10 03 23 62 00 22 0A 21 20 46 ?? ?? ?? ?? 19 E0 23 6A 13 F0 20 0F 18 BF 01 22 08 BF 00 22 12 B1 43 F0 80 03 23 62 00 22 08 21 ED E7 01 22 10 21 EA E7 00 22 FB E7 0A 23 C4 E9 0A 73 F6 E7 20 46 ?? ?? ?? ?? 00 28 00 F0 A7 80 94 F8 30 30 0B B1 01 20 A2 E0 21 6A 00 23 00 25 11 F0 10 0F 02 93 AD F8 0C 30 18 BF 01 23 08 BF 00 23 E3 B1 11 F0 40 0F 18 BF 01 23 08 BF 00 23 0B B1 2D 23 10 E0 11 F0 01 0F 18 BF 01 23 08 BF 00 23 0B B1 2B 23 07 E0 11 F0 02 0F 18 BF 01 23 08 BF 00 23 1B B1 20 23 AD F8 08 30 01 25 62 8E 78 2A 01 D0 58 2A 08 D1 11 F0 20 0F 18 BF 01 23 08 BF 00 23 0B B1 01 20 00 E0 00 20 61 2A 03 D0 41 2A 18 BF 00 23 00 D1 01 23 00 B9 8B B1 02 AB 30 20 23 F8 15 00 6D 1C 58 2A 03 D0 41 2A 18 BF 61 23 00 D1 41 23 17 33 5A B2 02 AB 23 F8 15 20 6D 1C 62 6A A3 6B D6 1A 11 F0 0C 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 04 F1 0C 03 00 93 04 F1 18 03 02 A9 2A 46 04 F5 89 60 ?? ?? ?? ?? 22 6A 3A 42 18 BF 01 23 08 BF 00 23 73 B1 12 F0 04 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 30 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 00 21 20 46 ?? ?? ?? ?? A3 69 00 2B FF F6 6F AF 23 6A 13 F0 04 0F 18 BF 01 23 08 BF 00 23 00 2B 3F F4 65 AF 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 5B E7 00 20 05 B0 ?? ?? ?? ?? BD E8 F0 88 }
	condition:
		$1
}

rule file_184_318_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 630
		refs = "0008 __security_push_cookie 0096 ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 009e ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00a6 ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00ae ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 00c2 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z 00f8 ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ 01ee ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@_W@0@DHQAH@Z 0204 ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 0238 ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z 026e __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 85 B0 04 46 63 8E A3 F1 41 02 37 2A 00 F2 27 81 08 27 DF E8 12 F0 45 00 24 01 38 00 24 01 45 00 45 00 45 00 24 01 24 01 24 01 24 01 24 01 24 01 24 01 24 01 24 01 24 01 24 01 41 00 24 01 24 01 24 01 24 01 61 00 24 01 3D 00 24 01 24 01 24 01 24 01 24 01 24 01 45 00 24 01 38 00 49 00 45 00 45 00 45 00 24 01 49 00 24 01 24 01 24 01 24 01 6A 00 53 00 66 00 24 01 24 01 41 00 24 01 4D 00 24 01 24 01 64 00 00 21 20 46 ?? ?? ?? ?? 2F E0 20 46 ?? ?? ?? ?? 2B E0 20 46 ?? ?? ?? ?? 27 E0 20 46 ?? ?? ?? ?? 23 E0 23 6A 43 F0 10 03 23 62 00 22 0A 21 20 46 ?? ?? ?? ?? 19 E0 23 6A 13 F0 20 0F 18 BF 01 22 08 BF 00 22 12 B1 43 F0 80 03 23 62 00 22 08 21 ED E7 01 22 10 21 EA E7 00 22 FB E7 0A 23 C4 E9 0A 73 F6 E7 20 46 ?? ?? ?? ?? 00 28 00 F0 B4 80 D4 F8 5C 34 02 2B 05 D1 D4 F8 58 34 01 2B 08 BF 01 23 00 D0 00 23 0B B1 01 20 A6 E0 94 F8 30 30 00 2B F9 D1 21 6A 00 23 00 25 11 F0 10 0F 02 93 AD F8 0C 30 18 BF 01 23 08 BF 00 23 E3 B1 11 F0 40 0F 18 BF 01 23 08 BF 00 23 0B B1 2D 23 10 E0 11 F0 01 0F 18 BF 01 23 08 BF 00 23 0B B1 2B 23 07 E0 11 F0 02 0F 18 BF 01 23 08 BF 00 23 1B B1 20 23 AD F8 08 30 01 25 62 8E 78 2A 01 D0 58 2A 08 D1 11 F0 20 0F 18 BF 01 23 08 BF 00 23 0B B1 01 20 00 E0 00 20 61 2A 03 D0 41 2A 18 BF 00 23 00 D1 01 23 00 B9 8B B1 02 AB 30 20 23 F8 15 00 6D 1C 58 2A 03 D0 41 2A 18 BF 61 23 00 D1 41 23 17 33 5A B2 02 AB 23 F8 15 20 6D 1C 62 6A A3 6B D6 1A 11 F0 0C 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 04 F1 0C 03 00 93 04 F1 18 03 02 A9 2A 46 04 F5 89 60 ?? ?? ?? ?? 22 6A 3A 42 18 BF 01 23 08 BF 00 23 73 B1 12 F0 04 0F 18 BF 01 23 08 BF 00 23 3B B9 72 1B 30 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 00 21 20 46 ?? ?? ?? ?? A3 69 00 2B FF F6 6B AF 23 6A 13 F0 04 0F 18 BF 01 23 08 BF 00 23 00 2B 3F F4 61 AF 72 1B 20 21 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 57 E7 00 20 05 B0 ?? ?? ?? ?? BD E8 F0 88 }
	condition:
		$1
}

rule file_184_320_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 70
		refs = "0016 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F9 31 30 2A 2B 05 D0 00 F1 24 01 BD E8 00 48 ?? ?? ?? ?? 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 43 62 00 2B 06 DA 03 6A 43 F0 04 03 03 62 43 6A 5B 42 43 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_322_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 70
		refs = "0016 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 F9 31 30 2A 2B 05 D0 00 F1 24 01 BD E8 00 48 ?? ?? ?? ?? 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 43 62 00 2B 06 DA 03 6A 43 F0 04 03 03 62 43 6A 5B 42 43 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_321_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 86
		refs = "0016 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 001c ?update_field_width@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 90 F9 31 30 04 46 2A 2B 04 D0 00 F1 24 01 ?? ?? ?? ?? 1A E0 ?? ?? ?? ?? 08 B9 00 20 15 E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 43 B1 62 6A 00 2A 05 DA 23 6A 43 F0 04 03 23 62 53 42 63 62 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_184_323_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 68
		refs = "0014 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 8E 2A 2B 05 D0 00 F1 24 01 BD E8 00 48 ?? ?? ?? ?? 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 43 62 00 2B 06 DA 03 6A 43 F0 04 03 03 62 43 6A 5B 42 43 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_325_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 68
		refs = "0014 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 43 8E 2A 2B 05 D0 00 F1 24 01 BD E8 00 48 ?? ?? ?? ?? 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 43 62 00 2B 06 DA 03 6A 43 F0 04 03 03 62 43 6A 5B 42 43 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_324_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 84
		refs = "0014 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NQAH@Z 001a ?update_field_width@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 63 8E 2A 2B 04 D0 00 F1 24 01 ?? ?? ?? ?? 1A E0 ?? ?? ?? ?? 08 B9 00 20 15 E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 43 B1 62 6A 00 2A 05 DA 23 6A 43 F0 04 03 23 62 53 42 63 62 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_184_338_0 {
	meta:
		name = "?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
		size = 48
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 28 0F D8 DF E8 00 F0 06 08 0A 06 0C 0C 06 06 0E 06 06 0C 04 20 06 E0 01 20 04 E0 02 20 02 E0 08 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_339_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_340_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_341_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_342_2 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_343_2 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_344_2 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_345_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 88
		refs = "002c ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0054 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 6C 7E B1 75 68 6D B1 90 F9 31 20 D4 E9 00 01 E3 6A ?? ?? ?? ?? 65 63 33 88 30 B1 5B 08 A3 63 01 23 04 E0 05 4B 63 63 06 23 A3 63 00 23 84 F8 3C 30 01 20 BD E8 78 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_346_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 112
		refs = "0010 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 0044 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 006c ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 00 23 69 46 00 93 04 46 ?? ?? ?? ?? 08 B9 00 20 25 E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 C3 B1 00 9D 7D B1 6E 68 6E B1 E3 6A 94 F9 31 20 D4 E9 00 01 ?? ?? ?? ?? 66 63 2B 88 30 B1 5B 08 A3 63 01 23 04 E0 05 4B 63 63 06 23 A3 63 00 23 84 F8 3C 30 01 20 BD E8 78 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_348_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 84
		refs = "002a ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0050 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 6C 76 B1 75 68 65 B1 E3 6A 62 8E D4 E9 00 01 ?? ?? ?? ?? 65 63 33 88 30 B1 5B 08 A3 63 01 23 04 E0 04 4B 63 63 06 23 A3 63 00 23 84 F8 3C 30 01 20 BD E8 78 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_349_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 108
		refs = "0010 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ@PAU1?1??234@AAA_NXZ@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AAA_NXZ@@Z 0042 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0068 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 00 23 69 46 00 93 04 46 ?? ?? ?? ?? 08 B9 00 20 24 E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 BB B1 00 9D 75 B1 6E 68 66 B1 E3 6A 62 8E D4 E9 00 01 ?? ?? ?? ?? 66 63 2B 88 30 B1 5B 08 A3 63 01 23 04 E0 04 4B 63 63 06 23 A3 63 00 23 84 F8 3C 30 01 20 BD E8 78 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_351_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 366
		refs = "004c ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00ea __acrt_fp_format 0106 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 012a ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0160 strlen"
		altNames = "?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 8B B0 04 46 23 6A 43 F0 10 03 23 62 A3 6A 00 2B 09 DA 90 F9 31 30 61 2B 03 D0 41 2B 18 BF 06 23 09 D1 0D 23 07 E0 07 D1 94 F9 31 30 67 2B 01 D0 47 2B 01 D1 01 23 A3 62 A3 6A 04 F1 40 05 28 46 03 F2 5D 11 ?? ?? ?? ?? 4F F4 00 71 50 B9 D5 F8 04 34 0B B9 0B 46 02 E0 D5 F8 00 34 5B 08 A3 F2 5D 13 A3 62 D5 F8 04 34 03 B9 2B 46 63 63 62 69 00 23 CD E9 08 33 53 42 03 F0 07 03 13 44 08 33 63 61 13 ED 02 0B D5 F8 04 34 8D ED 08 0B 0B B9 0E 46 02 E0 D5 F8 00 34 5E 08 D5 F8 04 24 12 B9 0B 46 5A 19 03 E0 D5 F8 00 34 5B 08 1A 44 D5 F8 04 34 13 B1 D5 F8 00 34 59 08 D5 F8 04 34 03 B1 1D 46 A0 68 13 46 0A 46 06 90 20 68 29 46 00 96 04 90 60 68 05 90 A0 6A 02 90 94 F9 31 00 01 90 08 A8 ?? ?? ?? ?? 23 6A 13 F0 20 0F 18 BF 01 23 08 BF 00 23 2B B1 A3 6A 1B B9 A1 68 60 6B ?? ?? ?? ?? 94 F9 31 30 67 2B 01 D0 47 2B 0B D1 23 6A 13 F0 20 0F 18 BF 01 23 08 BF 00 23 1B B9 A1 68 60 6B ?? ?? ?? ?? 62 6B 92 F9 00 30 2D 2B 05 D1 23 6A 43 F0 40 03 23 62 53 1C 63 63 60 6B 90 F9 00 30 69 2B 05 D0 49 2B 03 D0 6E 2B 01 D0 4E 2B 02 D1 73 23 84 F8 31 30 ?? ?? ?? ?? A0 63 01 20 0B B0 BD E8 70 88 }
	condition:
		$1
}

rule file_184_352_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 394
		refs = "0014 ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 0072 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00a6 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 0106 __acrt_fp_format 0122 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0146 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 017c strlen"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 8B B0 04 46 23 6A 43 F0 10 03 23 62 ?? ?? ?? ?? 08 B9 00 20 B2 E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 00 2B 00 F0 A4 80 A3 6A 00 2B 09 DA 94 F9 31 30 61 2B 03 D0 41 2B 18 BF 06 23 09 D1 0D 23 07 E0 07 D1 94 F9 31 30 67 2B 01 D0 47 2B 01 D1 01 23 A3 62 A3 6A 04 F1 40 05 28 46 03 F2 5D 11 ?? ?? ?? ?? 4F F4 00 76 50 B9 D5 F8 04 34 0B B9 33 46 02 E0 D5 F8 00 34 5B 08 A3 F2 5D 13 A3 62 D5 F8 04 34 03 B9 2B 46 63 63 00 23 08 A9 20 46 CD E9 08 33 ?? ?? ?? ?? 00 28 B5 D0 D5 F8 04 34 0B B9 31 46 02 E0 D5 F8 00 34 59 08 D5 F8 04 24 12 B9 33 46 5A 19 03 E0 D5 F8 00 34 5B 08 1A 44 D5 F8 04 34 13 B1 D5 F8 00 34 5E 08 D5 F8 04 34 03 B1 1D 46 A0 68 00 91 13 46 06 90 20 68 32 46 29 46 04 90 60 68 05 90 A0 6A 02 90 94 F9 31 00 01 90 08 A8 ?? ?? ?? ?? 23 6A 13 F0 20 0F 18 BF 01 23 08 BF 00 23 2B B1 A3 6A 1B B9 A1 68 60 6B ?? ?? ?? ?? 94 F9 31 30 67 2B 01 D0 47 2B 0B D1 23 6A 13 F0 20 0F 18 BF 01 23 08 BF 00 23 1B B9 A1 68 60 6B ?? ?? ?? ?? 62 6B 92 F9 00 30 2D 2B 05 D1 23 6A 43 F0 40 03 23 62 53 1C 63 63 60 6B 90 F9 00 30 69 2B 05 D0 49 2B 03 D0 6E 2B 01 D0 4E 2B 02 D1 73 23 84 F8 31 30 ?? ?? ?? ?? A0 63 01 20 0B B0 BD E8 70 88 }
	condition:
		$1
}

rule file_184_354_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 358
		refs = "0048 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00e6 __acrt_fp_format 0102 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0124 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0158 strlen"
		altNames = "?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 8B B0 04 46 23 6A 43 F0 10 03 23 62 A3 6A 00 2B 08 DA 63 8E 61 2B 03 D0 41 2B 18 BF 06 23 08 D1 0D 23 06 E0 06 D1 63 8E 67 2B 01 D0 47 2B 01 D1 01 23 A3 62 A3 6A 04 F1 40 05 28 46 03 F2 5D 11 ?? ?? ?? ?? 4F F4 00 71 50 B9 D5 F8 04 34 0B B9 0B 46 02 E0 D5 F8 00 34 5B 08 A3 F2 5D 13 A3 62 D5 F8 04 34 03 B9 2B 46 63 63 62 69 00 23 CD E9 08 33 53 42 03 F0 07 03 13 44 08 33 63 61 13 ED 02 0B D5 F8 04 34 8D ED 08 0B 0B B9 0E 46 02 E0 D5 F8 00 34 5E 08 D5 F8 04 24 12 B9 0B 46 5A 19 03 E0 D5 F8 00 34 5B 08 1A 44 D5 F8 04 34 13 B1 D5 F8 00 34 59 08 D5 F8 04 34 03 B1 1D 46 A0 68 13 46 0A 46 06 90 20 68 29 46 00 96 04 90 60 68 05 90 A0 6A 02 90 94 F9 32 00 01 90 08 A8 ?? ?? ?? ?? 23 6A 13 F0 20 0F 18 BF 01 23 08 BF 00 23 2B B1 A3 6A 1B B9 A1 68 60 6B ?? ?? ?? ?? 63 8E 67 2B 01 D0 47 2B 0B D1 23 6A 13 F0 20 0F 18 BF 01 23 08 BF 00 23 1B B9 A1 68 60 6B ?? ?? ?? ?? 62 6B 92 F9 00 30 2D 2B 05 D1 23 6A 43 F0 40 03 23 62 53 1C 63 63 60 6B 90 F9 00 30 69 2B 05 D0 49 2B 03 D0 6E 2B 01 D0 4E 2B 01 D1 73 23 63 86 ?? ?? ?? ?? A0 63 01 20 0B B0 BD E8 70 88 }
	condition:
		$1
}

rule file_184_355_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 386
		refs = "0014 ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ 006e ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAA_NI@Z 00a2 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAU_CRT_DOUBLE@@@Z 0102 __acrt_fp_format 011e ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0140 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0174 strlen"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 8B B0 04 46 23 6A 43 F0 10 03 23 62 ?? ?? ?? ?? 08 B9 00 20 AE E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 00 2B 00 F0 A0 80 A3 6A 00 2B 08 DA 63 8E 61 2B 03 D0 41 2B 18 BF 06 23 08 D1 0D 23 06 E0 06 D1 63 8E 67 2B 01 D0 47 2B 01 D1 01 23 A3 62 A3 6A 04 F1 40 05 28 46 03 F2 5D 11 ?? ?? ?? ?? 4F F4 00 76 50 B9 D5 F8 04 34 0B B9 33 46 02 E0 D5 F8 00 34 5B 08 A3 F2 5D 13 A3 62 D5 F8 04 34 03 B9 2B 46 63 63 00 23 08 A9 20 46 CD E9 08 33 ?? ?? ?? ?? 00 28 B7 D0 D5 F8 04 34 0B B9 31 46 02 E0 D5 F8 00 34 59 08 D5 F8 04 24 12 B9 33 46 5A 19 03 E0 D5 F8 00 34 5B 08 1A 44 D5 F8 04 34 13 B1 D5 F8 00 34 5E 08 D5 F8 04 34 03 B1 1D 46 A0 68 00 91 13 46 06 90 20 68 32 46 29 46 04 90 60 68 05 90 A0 6A 02 90 94 F9 32 00 01 90 08 A8 ?? ?? ?? ?? 23 6A 13 F0 20 0F 18 BF 01 23 08 BF 00 23 2B B1 A3 6A 1B B9 A1 68 60 6B ?? ?? ?? ?? 63 8E 67 2B 01 D0 47 2B 0B D1 23 6A 13 F0 20 0F 18 BF 01 23 08 BF 00 23 1B B9 A1 68 60 6B ?? ?? ?? ?? 62 6B 92 F9 00 30 2D 2B 05 D1 23 6A 43 F0 40 03 23 62 53 1C 63 63 60 6B 90 F9 00 30 69 2B 05 D0 49 2B 03 D0 6E 2B 01 D0 4E 2B 01 D1 73 23 63 86 ?? ?? ?? ?? A0 63 01 20 0B B0 BD E8 70 88 }
	condition:
		$1
}

rule file_184_363_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 138
		refs = "0014 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0050 wctomb_s"
		altNames = "?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 90 F9 31 20 05 46 EB 6A D5 E9 00 01 ?? ?? ?? ?? 05 F1 40 04 F0 B1 6A 69 01 26 53 42 33 40 13 44 1B 1D 6B 61 33 F8 04 7C D4 F8 04 34 13 B9 4F F4 00 72 02 E0 D4 F8 00 34 5A 08 D4 F8 04 14 01 B9 21 46 05 F1 38 00 3B 46 ?? ?? ?? ?? 88 B1 85 F8 30 60 0E E0 D4 F8 04 14 01 B9 21 46 6A 69 01 26 53 42 33 40 13 44 1B 1D 6B 61 33 F8 04 3C 0B 70 AE 63 D4 F8 04 34 03 B1 1C 46 6C 63 01 20 BD E8 F0 88 }
	condition:
		$1
}

rule file_184_364_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 188
		refs = "0014 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0024 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 006c wctomb_s 0088 ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAD@Z"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 90 F9 31 20 04 46 E3 6A D4 E9 00 01 ?? ?? ?? ?? 78 B3 00 23 69 46 20 46 AD F8 00 30 ?? ?? ?? ?? 08 B9 00 20 44 E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 BB B3 04 F1 40 05 D5 F8 04 34 13 B9 4F F4 00 72 02 E0 D5 F8 00 34 5A 08 D5 F8 04 14 01 B9 29 46 BD F8 00 30 04 F1 38 00 ?? ?? ?? ?? E0 B1 01 23 84 F8 30 30 18 E0 04 F1 40 05 D5 F8 04 14 01 B9 29 46 20 46 ?? ?? ?? ?? 00 28 CC D0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 33 B1 01 23 A3 63 D5 F8 04 34 03 B1 1D 46 65 63 01 20 BD E8 3C 88 }
	condition:
		$1
}

rule file_184_366_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 118
		refs = "0028 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 004c _mbtowc_l"
		altNames = "?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 01 27 05 46 80 F8 3C 70 6A 69 53 42 3B 40 13 44 1B 1D 6B 61 33 F8 04 6C EB 6A 6A 8E D5 E9 00 01 ?? ?? ?? ?? 05 F1 40 04 98 B9 D4 F8 04 04 00 23 8D F8 00 60 8D F8 01 30 00 B9 20 46 AB 68 69 46 1A 68 52 68 ?? ?? ?? ?? 00 28 07 DA 85 F8 30 70 04 E0 D4 F8 04 34 03 B9 23 46 1E 80 D4 F8 04 34 03 B1 1C 46 C5 E9 0D 47 01 20 BD E8 FC 88 }
	condition:
		$1
}

rule file_184_367_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 152
		refs = "0018 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_W@Z 0042 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 006a _mbtowc_l"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 01 26 00 23 69 46 80 F8 3C 60 AD F8 00 30 04 46 ?? ?? ?? ?? 08 B9 00 20 38 E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 5B B3 E3 6A 62 8E D4 E9 00 01 ?? ?? ?? ?? 04 F1 40 05 A8 B9 BD F8 00 30 D5 F8 04 04 8D F8 00 30 00 23 8D F8 01 30 00 B9 28 46 A3 68 69 46 1A 68 52 68 ?? ?? ?? ?? 00 28 09 DA 84 F8 30 60 06 E0 D5 F8 04 24 02 B9 2A 46 BD F8 00 30 13 80 D5 F8 04 34 03 B1 1D 46 C4 E9 0D 56 01 20 BD E8 78 88 }
	condition:
		$1
}

rule file_184_369_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 00 22 0A 21 43 F0 10 03 03 62 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_370_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 00 22 0A 21 43 F0 10 03 03 62 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_371_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 00 22 0A 21 43 F0 10 03 03 62 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_372_2 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 00 22 0A 21 43 F0 10 03 03 62 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_373_2 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 00 22 0A 21 43 F0 10 03 03 62 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_374_2 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 00 22 0A 21 43 F0 10 03 03 62 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_375_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 500
		refs = "0166 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 0172 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 01ba _CrtDbgReportW 01c4 _errno 01da _invalid_parameter 01e4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01e8 ??_C@_1BMK@CBEMPMMA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ec ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 04 46 E0 6A 17 46 8E 46 0B 28 00 F2 C9 80 4F F0 01 08 DF E8 00 F0 38 06 1B 38 57 57 38 38 C5 38 38 57 23 6A 10 21 01 20 0B 42 18 BF 01 23 08 BF 00 23 00 2B 63 69 04 D0 1B 1D 63 61 13 F9 04 5C 16 E0 1B 1D 63 61 13 F8 04 5C 39 E0 23 6A 10 21 02 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 4B B1 53 42 03 EA 08 03 13 44 1B 1D 63 61 33 F9 04 5C EE 17 42 E0 53 42 03 EA 08 03 13 44 1B 1D 63 61 33 F8 04 5C 1C E0 23 6A 10 21 04 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 53 B1 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C 2B 46 DE 17 24 E0 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C 00 26 1A E0 23 6A 10 21 08 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 43 B1 53 42 03 F0 07 03 13 44 08 33 63 61 53 E9 02 56 07 E0 53 42 03 F0 07 03 13 44 08 33 63 61 53 E9 02 56 22 6A 0A 42 18 BF 01 23 08 BF 00 23 4B B1 00 2E 07 DC 06 DA 00 23 6D 42 63 EB 06 06 42 F0 40 03 23 62 A3 6A 00 2B 02 DA C4 F8 28 80 08 E0 22 6A 22 F0 08 01 4F F4 00 72 93 42 21 62 00 DD A2 62 55 EA 06 01 03 D1 21 6A 21 F0 20 01 21 62 00 23 08 28 84 F8 3C 30 20 46 07 D1 33 46 2A 46 01 97 CD F8 00 E0 ?? ?? ?? ?? 04 E0 3B 46 72 46 29 46 ?? ?? ?? ?? 23 6A 13 F0 80 0F 18 BF 01 23 08 BF 00 23 73 B1 A3 6B 23 B1 63 6B 93 F9 00 30 30 2B 07 D0 63 6B 30 22 5B 1E 63 63 1A 70 A3 6B 5B 1C A3 63 01 20 1B E0 11 4B 10 4C 0D 49 00 93 00 23 40 F6 BD 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F6 BD 13 20 46 ?? ?? ?? ?? 00 20 BD E8 FE 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_377_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 500
		refs = "0166 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 0172 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 01ba _CrtDbgReportW 01c4 _errno 01da _invalid_parameter 01e4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01e8 ??_C@_1BLI@IAPDPPCE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ec ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 04 46 E0 6A 17 46 8E 46 0B 28 00 F2 C9 80 4F F0 01 08 DF E8 00 F0 38 06 1B 38 57 57 38 38 C5 38 38 57 23 6A 10 21 01 20 0B 42 18 BF 01 23 08 BF 00 23 00 2B 63 69 04 D0 1B 1D 63 61 13 F9 04 5C 16 E0 1B 1D 63 61 13 F8 04 5C 39 E0 23 6A 10 21 02 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 4B B1 53 42 03 EA 08 03 13 44 1B 1D 63 61 33 F9 04 5C EE 17 42 E0 53 42 03 EA 08 03 13 44 1B 1D 63 61 33 F8 04 5C 1C E0 23 6A 10 21 04 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 53 B1 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C 2B 46 DE 17 24 E0 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C 00 26 1A E0 23 6A 10 21 08 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 43 B1 53 42 03 F0 07 03 13 44 08 33 63 61 53 E9 02 56 07 E0 53 42 03 F0 07 03 13 44 08 33 63 61 53 E9 02 56 22 6A 0A 42 18 BF 01 23 08 BF 00 23 4B B1 00 2E 07 DC 06 DA 00 23 6D 42 63 EB 06 06 42 F0 40 03 23 62 A3 6A 00 2B 02 DA C4 F8 28 80 08 E0 22 6A 22 F0 08 01 4F F4 00 72 93 42 21 62 00 DD A2 62 55 EA 06 01 03 D1 21 6A 21 F0 20 01 21 62 00 23 08 28 84 F8 3C 30 20 46 07 D1 33 46 2A 46 01 97 CD F8 00 E0 ?? ?? ?? ?? 04 E0 3B 46 72 46 29 46 ?? ?? ?? ?? 23 6A 13 F0 80 0F 18 BF 01 23 08 BF 00 23 73 B1 A3 6B 23 B1 63 6B 93 F9 00 30 30 2B 07 D0 63 6B 30 22 5B 1E 63 63 1A 70 A3 6B 5B 1C A3 63 01 20 1B E0 11 4B 10 4C 0D 49 00 93 00 23 40 F6 BD 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F6 BD 13 20 46 ?? ?? ?? ?? 00 20 BD E8 FE 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_376_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 488
		refs = "0044 ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 004c ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006e ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0098 ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a0 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00c2 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00ca ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0156 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 0164 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 01ac _CrtDbgReportW 01b6 _errno 01cc _invalid_parameter 01d8 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01dc ??_C@_1BNA@DPILCHKO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01e0 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 04 46 E0 6A 17 46 88 46 0B 28 00 F2 C1 80 DF E8 00 F0 30 06 1B 30 45 45 30 30 BF 30 30 45 00 23 CD E9 02 33 23 6A 10 26 01 25 33 42 18 BF 01 23 08 BF 00 23 20 46 1B B1 02 A9 ?? ?? ?? ?? 41 E0 02 A9 ?? ?? ?? ?? 3D E0 00 23 CD E9 02 33 23 6A 10 26 02 25 33 42 18 BF 01 23 08 BF 00 23 20 46 1B B1 02 A9 ?? ?? ?? ?? 2C E0 02 A9 ?? ?? ?? ?? 28 E0 00 23 CD E9 02 33 23 6A 10 26 04 25 33 42 18 BF 01 23 08 BF 00 23 20 46 1B B1 02 A9 ?? ?? ?? ?? 17 E0 02 A9 ?? ?? ?? ?? 13 E0 00 23 CD E9 02 33 23 6A 10 26 08 25 33 42 18 BF 01 23 08 BF 00 23 20 46 1B B1 02 A9 ?? ?? ?? ?? 02 E0 02 A9 ?? ?? ?? ?? 00 28 7E D0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 0B B9 01 20 71 E0 22 6A 03 98 32 42 18 BF 01 23 08 BF 00 23 02 9E 4B B1 00 28 07 DC 06 DA 00 23 76 42 63 EB 00 00 42 F0 40 03 23 62 A3 6A 00 2B 02 DA 01 23 A3 62 08 E0 22 6A 22 F0 08 01 21 62 4F F4 00 71 8B 42 00 DD A1 62 56 EA 00 01 03 D1 21 6A 21 F0 20 01 21 62 00 23 84 F8 3C 30 08 2D 08 D1 03 46 20 46 32 46 01 97 CD F8 00 80 ?? ?? ?? ?? 05 E0 3B 46 42 46 31 46 20 46 ?? ?? ?? ?? 23 6A 13 F0 80 0F 18 BF 01 23 08 BF 00 23 00 2B B7 D0 A3 6B 23 B1 63 6B 93 F9 00 30 30 2B B0 D0 63 6B 30 22 5B 1E 63 63 1A 70 A3 6B 5B 1C A3 63 A7 E7 12 4B 10 4C 0E 49 00 93 00 23 40 F6 BD 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F6 BD 13 20 46 ?? ?? ?? ?? 00 20 05 B0 BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_378_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 496
		refs = "0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 01b6 _CrtDbgReportW 01c0 _errno 01d6 _invalid_parameter 01e0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01e4 ??_C@_1BOC@EPNAJNBF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01e8 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 04 46 E0 6A 17 46 8E 46 0B 28 00 F2 C7 80 4F F0 01 08 DF E8 00 F0 38 06 1B 38 57 57 38 38 C3 38 38 57 23 6A 10 21 01 20 0B 42 18 BF 01 23 08 BF 00 23 00 2B 63 69 04 D0 1B 1D 63 61 13 F9 04 5C 16 E0 1B 1D 63 61 13 F8 04 5C 39 E0 23 6A 10 21 02 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 4B B1 53 42 03 EA 08 03 13 44 1B 1D 63 61 33 F9 04 5C EA 17 42 E0 53 42 03 EA 08 03 13 44 1B 1D 63 61 33 F8 04 5C 1C E0 23 6A 10 21 04 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 53 B1 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C 2B 46 DA 17 24 E0 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C 00 22 1A E0 23 6A 10 21 08 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 43 B1 53 42 03 F0 07 03 13 44 08 33 63 61 53 E9 02 52 07 E0 53 42 03 F0 07 03 13 44 08 33 63 61 53 E9 02 52 26 6A 0E 42 18 BF 01 23 08 BF 00 23 4B B1 00 2A 07 DC 06 DA 00 23 6D 42 63 EB 02 02 46 F0 40 03 23 62 A3 6A 00 2B 02 DA C4 F8 28 80 08 E0 21 6A 21 F0 08 01 21 62 4F F4 00 71 8B 42 00 DD A1 62 55 EA 02 01 03 D1 21 6A 21 F0 20 01 21 62 08 28 20 46 84 F8 3C 80 07 D1 13 46 2A 46 01 97 CD F8 00 E0 ?? ?? ?? ?? 04 E0 3B 46 72 46 29 46 ?? ?? ?? ?? 23 6A 13 F0 80 0F 18 BF 01 23 08 BF 00 23 6B B1 A3 6B 1B B1 63 6B 1B 88 30 2B 07 D0 63 6B 30 22 9B 1E 63 63 1A 80 A3 6B 5B 1C A3 63 01 20 1B E0 11 4B 10 4C 0D 49 00 93 00 23 40 F6 BD 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F6 BD 13 20 46 ?? ?? ?? ?? 00 20 BD E8 FE 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_380_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 496
		refs = "0164 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 0170 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 01b6 _CrtDbgReportW 01c0 _errno 01d6 _invalid_parameter 01e0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01e4 ??_C@_1BNA@NHIEEONE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01e8 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 04 46 E0 6A 17 46 8E 46 0B 28 00 F2 C7 80 4F F0 01 08 DF E8 00 F0 38 06 1B 38 57 57 38 38 C3 38 38 57 23 6A 10 21 01 20 0B 42 18 BF 01 23 08 BF 00 23 00 2B 63 69 04 D0 1B 1D 63 61 13 F9 04 5C 16 E0 1B 1D 63 61 13 F8 04 5C 39 E0 23 6A 10 21 02 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 4B B1 53 42 03 EA 08 03 13 44 1B 1D 63 61 33 F9 04 5C EA 17 42 E0 53 42 03 EA 08 03 13 44 1B 1D 63 61 33 F8 04 5C 1C E0 23 6A 10 21 04 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 53 B1 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C 2B 46 DA 17 24 E0 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C 00 22 1A E0 23 6A 10 21 08 20 0B 42 18 BF 01 23 08 BF 00 23 62 69 43 B1 53 42 03 F0 07 03 13 44 08 33 63 61 53 E9 02 52 07 E0 53 42 03 F0 07 03 13 44 08 33 63 61 53 E9 02 52 26 6A 0E 42 18 BF 01 23 08 BF 00 23 4B B1 00 2A 07 DC 06 DA 00 23 6D 42 63 EB 02 02 46 F0 40 03 23 62 A3 6A 00 2B 02 DA C4 F8 28 80 08 E0 21 6A 21 F0 08 01 21 62 4F F4 00 71 8B 42 00 DD A1 62 55 EA 02 01 03 D1 21 6A 21 F0 20 01 21 62 08 28 20 46 84 F8 3C 80 07 D1 13 46 2A 46 01 97 CD F8 00 E0 ?? ?? ?? ?? 04 E0 3B 46 72 46 29 46 ?? ?? ?? ?? 23 6A 13 F0 80 0F 18 BF 01 23 08 BF 00 23 6B B1 A3 6B 1B B1 63 6B 1B 88 30 2B 07 D0 63 6B 30 22 9B 1E 63 63 1A 80 A3 6B 5B 1C A3 63 01 20 1B E0 11 4B 10 4C 0D 49 00 93 00 23 40 F6 BD 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F6 BD 13 20 46 ?? ?? ?? ?? 00 20 BD E8 FE 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_379_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
		size = 484
		refs = "0044 ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 004c ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 006e ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0076 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0098 ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00a0 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00c2 ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 00ca ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAA_J@Z 0154 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAX_KI_N@Z 0162 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXII_N@Z 01a8 _CrtDbgReportW 01b2 _errno 01c8 _invalid_parameter 01d4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01d8 ??_C@_1BOI@CKLPKAPF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01dc ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01e0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 04 46 E0 6A 17 46 88 46 0B 28 00 F2 BF 80 DF E8 00 F0 30 06 1B 30 45 45 30 30 BD 30 30 45 00 23 CD E9 02 33 23 6A 10 26 01 25 33 42 18 BF 01 23 08 BF 00 23 20 46 1B B1 02 A9 ?? ?? ?? ?? 41 E0 02 A9 ?? ?? ?? ?? 3D E0 00 23 CD E9 02 33 23 6A 10 26 02 25 33 42 18 BF 01 23 08 BF 00 23 20 46 1B B1 02 A9 ?? ?? ?? ?? 2C E0 02 A9 ?? ?? ?? ?? 28 E0 00 23 CD E9 02 33 23 6A 10 26 04 25 33 42 18 BF 01 23 08 BF 00 23 20 46 1B B1 02 A9 ?? ?? ?? ?? 17 E0 02 A9 ?? ?? ?? ?? 13 E0 00 23 CD E9 02 33 23 6A 10 26 08 25 33 42 18 BF 01 23 08 BF 00 23 20 46 1B B1 02 A9 ?? ?? ?? ?? 02 E0 02 A9 ?? ?? ?? ?? 00 28 7C D0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 0B B9 01 20 6F E0 21 6A DD E9 02 02 31 42 18 BF 01 23 08 BF 00 23 4B B1 00 2A 07 DC 06 DA 00 23 40 42 63 EB 02 02 41 F0 40 03 23 62 A3 6A 01 26 00 2B 01 DA A6 62 08 E0 21 6A 21 F0 08 01 21 62 4F F4 00 71 8B 42 00 DD A1 62 50 EA 02 01 03 D1 21 6A 21 F0 20 01 21 62 84 F8 3C 60 08 2D 08 D1 13 46 02 46 20 46 01 97 CD F8 00 80 ?? ?? ?? ?? 05 E0 01 46 20 46 3B 46 42 46 ?? ?? ?? ?? 23 6A 13 F0 80 0F 18 BF 01 23 08 BF 00 23 00 2B B8 D0 A3 6B 1B B1 63 6B 1B 88 30 2B B2 D0 63 6B 30 22 9B 1E 63 63 1A 80 A3 6B 5B 1C A3 63 A9 E7 12 4B 10 4C 0E 49 00 93 00 23 40 F6 BD 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 40 F6 BD 13 20 46 ?? ?? ?? ?? 00 20 05 B0 BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_381_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 220
		refs = "001c _get_printf_count_output 0034 _CrtDbgReportW 003e _errno 00be _invalid_parameter 00c8 ??_C@_1BLO@NCBAJABA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00cc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d0 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 04 46 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C ?? ?? ?? ?? B0 B9 2C 4B 2C 4C 29 49 00 93 00 23 40 F6 3A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 3A 23 33 E0 E2 6A 0B 2A 1A D8 DF E8 02 F0 0C 12 0F 0C 06 06 0C 0C 19 0C 0C 06 A2 69 13 46 DB 17 C5 E9 00 23 07 E0 A3 69 2B 60 04 E0 A3 69 2B 80 01 E0 A3 69 2B 70 01 23 84 F8 30 30 01 20 1B E0 11 4B 10 4C 0E 49 00 93 00 23 40 F6 44 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 44 23 04 4A 03 49 20 46 ?? ?? ?? ?? 00 20 BD E8 3C 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_383_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 220
		refs = "001c _get_printf_count_output 0034 _CrtDbgReportW 003e _errno 00be _invalid_parameter 00c8 ??_C@_1BKM@INIKIFKL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00cc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d0 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 04 46 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C ?? ?? ?? ?? B0 B9 2C 4B 2C 4C 29 49 00 93 00 23 40 F6 3A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 3A 23 33 E0 E2 6A 0B 2A 1A D8 DF E8 02 F0 0C 12 0F 0C 06 06 0C 0C 19 0C 0C 06 A2 69 13 46 DB 17 C5 E9 00 23 07 E0 A3 69 2B 60 04 E0 A3 69 2B 80 01 E0 A3 69 2B 70 01 23 84 F8 30 30 01 20 1B E0 11 4B 10 4C 0E 49 00 93 00 23 40 F6 44 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 44 23 04 4A 03 49 20 46 ?? ?? ?? ?? 00 20 BD E8 3C 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_384_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 220
		refs = "001c _get_printf_count_output 0034 _CrtDbgReportW 003e _errno 00be _invalid_parameter 00c8 ??_C@_1BNG@LNJJNELO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00cc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d0 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 04 46 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C ?? ?? ?? ?? B0 B9 2C 4B 2C 4C 29 49 00 93 00 23 40 F6 3A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 3A 23 33 E0 E2 6A 0B 2A 1A D8 DF E8 02 F0 0C 12 0F 0C 06 06 0C 0C 19 0C 0C 06 A2 69 13 46 DB 17 C5 E9 00 23 07 E0 A3 69 2B 60 04 E0 A3 69 2B 80 01 E0 A3 69 2B 70 01 23 84 F8 30 30 01 20 1B E0 11 4B 10 4C 0E 49 00 93 00 23 40 F6 44 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 44 23 04 4A 03 49 20 46 ?? ?? ?? ?? 00 20 BD E8 3C 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_386_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 220
		refs = "001c _get_printf_count_output 0034 _CrtDbgReportW 003e _errno 00be _invalid_parameter 00c8 ??_C@_1BME@FGLFKNB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00cc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d0 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 04 46 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 5C ?? ?? ?? ?? B0 B9 2C 4B 2C 4C 29 49 00 93 00 23 40 F6 3A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 3A 23 33 E0 E2 6A 0B 2A 1A D8 DF E8 02 F0 0C 12 0F 0C 06 06 0C 0C 19 0C 0C 06 A2 69 13 46 DB 17 C5 E9 00 23 07 E0 A3 69 2B 60 04 E0 A3 69 2B 80 01 E0 A3 69 2B 70 01 23 84 F8 30 30 01 20 1B E0 11 4B 10 4C 0E 49 00 93 00 23 40 F6 44 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 44 23 04 4A 03 49 20 46 ?? ?? ?? ?? 00 20 BD E8 3C 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_382_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 252
		refs = "0010 ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 0034 _get_printf_count_output 004c _CrtDbgReportW 0056 _errno 00dc _invalid_parameter 00e8 ??_C@_1BME@LDMBFEIF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00ec ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f0 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 23 02 A9 02 93 04 46 ?? ?? ?? ?? 00 28 63 D0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 0B B9 01 20 56 E0 ?? ?? ?? ?? B0 B9 2E 4B 2E 4C 2B 49 00 93 00 23 40 F6 3A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 3A 23 36 E0 E2 6A 0B 2A 1D D8 DF E8 02 F0 0D 15 11 0D 06 06 0D 0D 1C 0D 0D 06 A1 69 0B 46 DA 17 02 9B C3 E9 00 12 0A E0 A2 69 02 9B 1A 60 06 E0 A2 69 02 9B 1A 80 02 E0 A2 69 02 9B 1A 70 01 23 84 F8 30 30 C2 E7 12 4B 10 4C 0F 49 00 93 00 23 40 F6 44 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 44 23 05 4A 03 49 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_385_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 252
		refs = "0010 ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAX@Z 0034 _get_printf_count_output 004c _CrtDbgReportW 0056 _errno 00dc _invalid_parameter 00e8 ??_C@_1BNM@CMCEOKHA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00ec ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f0 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f8 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 00 23 02 A9 02 93 04 46 ?? ?? ?? ?? 00 28 63 D0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 0B B9 01 20 56 E0 ?? ?? ?? ?? B0 B9 2E 4B 2E 4C 2B 49 00 93 00 23 40 F6 3A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 3A 23 36 E0 E2 6A 0B 2A 1D D8 DF E8 02 F0 0D 15 11 0D 06 06 0D 0D 1C 0D 0D 06 A1 69 0B 46 DA 17 02 9B C3 E9 00 12 0A E0 A2 69 02 9B 1A 60 06 E0 A2 69 02 9B 1A 80 02 E0 A2 69 02 9B 1A 70 01 23 84 F8 30 30 C2 E7 12 4B 10 4C 0F 49 00 93 00 23 40 F6 44 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F6 44 23 05 4A 03 49 20 46 ?? ?? ?? ?? 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_387_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 40
		refs = "0024 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 6A 12 F0 20 0F 18 BF 01 23 08 BF 00 23 13 B1 42 F0 80 03 03 62 00 22 08 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_388_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 40
		refs = "0024 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 6A 12 F0 20 0F 18 BF 01 23 08 BF 00 23 13 B1 42 F0 80 03 03 62 00 22 08 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_389_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 40
		refs = "0024 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 6A 12 F0 20 0F 18 BF 01 23 08 BF 00 23 13 B1 42 F0 80 03 03 62 00 22 08 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_390_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 40
		refs = "0024 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 6A 12 F0 20 0F 18 BF 01 23 08 BF 00 23 13 B1 42 F0 80 03 03 62 00 22 08 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_391_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 40
		refs = "0024 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 6A 12 F0 20 0F 18 BF 01 23 08 BF 00 23 13 B1 42 F0 80 03 03 62 00 22 08 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_392_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 40
		refs = "0024 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 6A 12 F0 20 0F 18 BF 01 23 08 BF 00 23 13 B1 42 F0 80 03 03 62 00 22 08 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_393_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 23 83 62 0A 23 01 22 C3 62 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_394_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 23 83 62 0A 23 01 22 C3 62 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_395_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 23 83 62 0A 23 01 22 C3 62 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_396_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 23 83 62 0A 23 01 22 C3 62 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_397_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 23 83 62 0A 23 01 22 C3 62 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_398_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 26
		refs = "0016 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 23 83 62 0A 23 01 22 C3 62 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_399_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 112
		refs = "0034 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 004a wcsnlen 005a strnlen 0068 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 006c ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
		altNames = "?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 6C A5 6A 66 63 B5 F1 FF 3F 01 D1 6F F0 00 45 E3 6A 94 F9 31 20 D4 E9 00 01 ?? ?? ?? ?? 50 B1 0E B9 0B 4B 63 63 60 6B 01 23 29 46 84 F8 3C 30 ?? ?? ?? ?? 06 E0 0E B9 05 4B 63 63 60 6B 29 46 ?? ?? ?? ?? A0 63 01 20 BD E8 78 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_400_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 132
		refs = "000e ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 0046 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 005e wcsnlen 006e strnlen 007c ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 0080 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 00 F1 34 01 04 46 ?? ?? ?? ?? 08 B9 00 20 2E E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 0B B3 A5 6A B5 F1 FF 3F 01 D1 6F F0 00 45 E3 6A 94 F9 31 20 D4 E9 00 01 ?? ?? ?? ?? 63 6B 50 B1 0B B9 0B 4B 63 63 60 6B 01 23 29 46 84 F8 3C 30 ?? ?? ?? ?? 06 E0 0B B9 05 4B 63 63 60 6B 29 46 ?? ?? ?? ?? A0 63 01 20 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_402_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 144
		refs = "0032 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0048 wcsnlen 0088 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 008c ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
		altNames = "?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 6C A5 6A 66 63 B5 F1 FF 3F 01 D1 6F F0 00 45 E3 6A 62 8E D4 E9 00 01 ?? ?? ?? ?? 50 B1 0E B9 14 4B 63 63 60 6B 01 23 29 46 84 F8 3C 30 ?? ?? ?? ?? 17 E0 0E B9 0D 4B 63 63 61 6B 00 20 00 2D 10 DD 91 F9 00 30 6B B1 DA B2 A3 68 1B 68 1B 68 33 F8 12 30 13 F4 00 4F 18 BF 49 1C 40 1C 49 1C A8 42 EE DB A0 63 01 20 BD E8 78 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_403_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 164
		refs = "000e ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NAAPAD@Z 0044 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 005c wcsnlen 009c ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 00a0 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 00 F1 34 01 04 46 ?? ?? ?? ?? 08 B9 00 20 3E E0 D4 F8 58 34 01 2B 05 D1 D4 F8 5C 34 01 2B 18 BF 00 23 00 D1 01 23 8B B3 A5 6A B5 F1 FF 3F 01 D1 6F F0 00 45 E3 6A 62 8E D4 E9 00 01 ?? ?? ?? ?? 63 6B 50 B1 0B B9 14 4B 63 63 60 6B 01 23 29 46 84 F8 3C 30 ?? ?? ?? ?? 17 E0 0B B9 0D 4B 63 63 61 6B 00 20 00 2D 10 DD 91 F9 00 30 6B B1 DA B2 A3 68 1B 68 1B 68 33 F8 12 30 13 F4 00 4F 18 BF 49 1C 40 1C 49 1C A8 42 EE DB A0 63 01 20 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_405_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z"
		size = 16
		refs = "000c strnlen"
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHHD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 40 6B BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_408_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z"
		size = 56
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABAHH_W@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 6C 6B 00 20 00 29 10 DD 94 F9 00 30 6B B1 DA B2 AB 68 1B 68 1B 68 33 F8 12 30 13 F4 00 4F 18 BF 64 1C 40 1C 64 1C 88 42 EE DB BD E8 30 88 }
	condition:
		$1
}

rule file_184_411_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 0A 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_412_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 0A 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_413_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 0A 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_414_2 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 0A 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_415_2 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 0A 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_416_2 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 0A 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_417_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_418_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_419_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_420_2 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_421_2 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_422_2 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NXZ"
		size = 18
		refs = "000e ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_NI_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 22 10 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_423_0 {
	meta:
		name = "?unset_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
		size = 16
		altNames = "?unset_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z ?unset_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAAXI@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 8B 43 03 62 BD E8 00 88 }
	condition:
		$1
}

rule file_184_429_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 224
		refs = "0030 strtol 0076 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 008e _CrtDbgReportW 0098 _errno 00ae _invalid_parameter 00d0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d4 ??_C@_1BAA@GLNFGJHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00d8 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 04 46 01 2B 09 D1 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C 4F E0 20 69 00 23 02 A9 0A 22 02 93 ?? ?? ?? ?? 02 99 42 1E 4B 1C 23 61 D4 F8 58 34 01 2B 38 D1 00 2A 19 DB 91 F9 00 30 24 2B 15 D1 64 2A 13 DA D4 F8 A4 3A 20 46 9A 42 C8 BF 13 46 C4 F8 A4 3A E3 6A 04 EB 02 12 02 F2 64 41 00 93 94 F9 31 30 01 22 ?? ?? ?? ?? 26 E0 17 4B 16 4C 13 49 00 93 00 23 40 F2 D4 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 0C 49 0B 4A 00 23 00 93 40 F2 D4 43 20 46 ?? ?? ?? ?? 00 20 09 E0 04 EB 02 13 D3 F8 6C 24 53 42 03 F0 03 03 9B 58 01 20 63 62 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_430_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 220
		refs = "0030 wcstol 0072 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 008a _CrtDbgReportW 0094 _errno 00aa _invalid_parameter 00cc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d0 ??_C@_1BAM@KFMOOAFH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00d4 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 04 46 01 2B 09 D1 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C 4D E0 20 69 00 23 02 A9 0A 22 02 93 ?? ?? ?? ?? 02 99 42 1E 8B 1C 23 61 D4 F8 58 34 01 2B 36 D1 00 2A 17 DB 0B 88 24 2B 14 D1 64 2A 12 DA D4 F8 A4 3A 20 46 9A 42 C8 BF 13 46 C4 F8 A4 3A E3 6A 04 EB 02 12 02 F2 64 41 00 93 63 8E 01 22 ?? ?? ?? ?? 26 E0 17 4B 16 4C 13 49 00 93 00 23 40 F2 D4 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 0C 49 0B 4A 00 23 00 93 40 F2 D4 43 20 46 ?? ?? ?? ?? 00 20 09 E0 04 EB 02 13 D3 F8 6C 24 53 42 03 F0 03 03 9B 58 01 20 63 62 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_431_0 {
	meta:
		name = "?update_field_width@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 32
		altNames = "?update_field_width@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 43 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_433_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 224
		refs = "0030 strtol 0076 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 008e _CrtDbgReportW 0098 _errno 00ae _invalid_parameter 00d0 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d4 ??_C@_1PM@DOKNBBLP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00d8 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 04 46 01 2B 09 D1 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C 4F E0 20 69 00 23 02 A9 0A 22 02 93 ?? ?? ?? ?? 02 99 42 1E 4B 1C 23 61 D4 F8 58 34 01 2B 38 D1 00 2A 19 DB 91 F9 00 30 24 2B 15 D1 64 2A 13 DA D4 F8 A4 3A 20 46 9A 42 C8 BF 13 46 C4 F8 A4 3A E3 6A 04 EB 02 12 02 F2 64 41 00 93 94 F9 31 30 01 22 ?? ?? ?? ?? 26 E0 17 4B 16 4C 13 49 00 93 00 23 40 F2 F4 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 0C 49 0B 4A 00 23 00 93 40 F2 F4 43 20 46 ?? ?? ?? ?? 00 20 09 E0 04 EB 02 13 D3 F8 6C 24 53 42 03 F0 03 03 9B 58 01 20 A3 62 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_434_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 220
		refs = "0030 wcstol 0072 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 008a _CrtDbgReportW 0094 _errno 00aa _invalid_parameter 00cc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d0 ??_C@_1BAI@EAAPMNON@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00d4 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 04 46 01 2B 09 D1 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 53 F8 04 3C 4D E0 20 69 00 23 02 A9 0A 22 02 93 ?? ?? ?? ?? 02 99 42 1E 8B 1C 23 61 D4 F8 58 34 01 2B 36 D1 00 2A 17 DB 0B 88 24 2B 14 D1 64 2A 12 DA D4 F8 A4 3A 20 46 9A 42 C8 BF 13 46 C4 F8 A4 3A E3 6A 04 EB 02 12 02 F2 64 41 00 93 63 8E 01 22 ?? ?? ?? ?? 26 E0 17 4B 16 4C 13 49 00 93 00 23 40 F2 F4 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 0C 49 0B 4A 00 23 00 93 40 F2 F4 43 20 46 ?? ?? ?? ?? 00 20 09 E0 04 EB 02 13 D3 F8 6C 24 53 42 03 F0 03 03 9B 58 01 20 A3 62 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_435_0 {
	meta:
		name = "?update_precision@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 32
		altNames = "?update_precision@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 42 69 53 42 03 F0 03 03 13 44 1B 1D 43 61 53 F8 04 3C 83 62 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_184_439_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 116
		refs = "0020 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 003a _CrtDbgReportW 0044 _errno 005a _invalid_parameter 0064 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0068 ??_C@_1BBO@KJOMOGDM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 006c ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 0070 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 0C 68 1D 46 06 9B 2C B9 0A 60 0D 71 CB 60 01 20 BD E8 3C 88 00 93 2B 46 ?? ?? ?? ?? 00 28 F6 D1 11 4B 10 4C 0D 49 00 93 00 23 40 F2 FF 52 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 FF 53 20 46 ?? ?? ?? ?? 00 20 DA E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_440_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 116
		refs = "0020 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 003a _CrtDbgReportW 0044 _errno 005a _invalid_parameter 0064 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0068 ??_C@_1BCK@MLHIMABF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 006c ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 0070 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 0C 68 1D 46 06 9B 2C B9 0A 60 8D 80 CB 60 01 20 BD E8 3C 88 00 93 2B 46 ?? ?? ?? ?? 00 28 F6 D1 11 4B 10 4C 0D 49 00 93 00 23 40 F2 FF 52 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 40 F2 FF 53 20 46 ?? ?? ?? ?? 00 20 DA E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_441_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 268
		refs = "0032 strtol 0056 memset 00d2 _CrtDbgReportW 00dc _errno 00f2 _invalid_parameter 00fc ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0100 ??_C@_1BFA@OMCJIKHO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0104 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0108 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 E3 69 01 2B 2A D1 20 69 90 F9 00 20 25 2A 25 D0 D4 F8 5C 34 4B BB 00 23 02 93 30 2A 22 DB 39 2A 20 DC 02 A9 0A 22 ?? ?? ?? ?? 00 28 13 DD 02 9B 93 F9 00 30 24 2B 0E D1 D4 F8 58 34 01 2B 06 D1 04 F2 64 40 4F F4 C8 62 00 21 ?? ?? ?? ?? 02 23 C4 F8 5C 34 0D E0 01 23 C4 F8 5C 34 01 20 05 B0 BD E8 10 88 01 23 C4 F8 5C 34 D4 F8 5C 34 02 2B F4 D1 20 69 00 23 03 A9 0A 22 03 93 ?? ?? ?? ?? 03 99 42 1E C4 F8 A8 2A 4B 1C 23 61 D4 F8 58 34 01 2B E3 D1 00 2A 0D DB 91 F9 00 30 24 2B 09 D1 64 2A 07 DA D4 F8 A4 3A 9A 42 00 DC 1A 46 C4 F8 A4 2A D3 E7 11 4B 10 4C 0D 49 00 93 00 23 4F F4 AB 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 4F F4 AB 63 20 46 ?? ?? ?? ?? 00 20 B7 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_442_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 260
		refs = "0030 wcstol 0052 memset 00cc _CrtDbgReportW 00d6 _errno 00ec _invalid_parameter 00f4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f8 ??_C@_1BFM@OHMDOJHM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00fc ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 E3 69 01 2B 28 D1 20 69 02 88 25 2A 24 D0 D4 F8 5C 34 43 BB 00 23 02 93 30 2A 21 D3 39 2A 1F D8 02 A9 0A 22 ?? ?? ?? ?? 00 28 12 DD 02 9B 1B 88 24 2B 0E D1 D4 F8 58 34 01 2B 06 D1 04 F2 64 40 4F F4 C8 62 00 21 ?? ?? ?? ?? 02 23 C4 F8 5C 34 0D E0 01 23 C4 F8 5C 34 01 20 05 B0 BD E8 10 88 01 23 C4 F8 5C 34 D4 F8 5C 34 02 2B F4 D1 20 69 00 23 03 A9 0A 22 03 93 ?? ?? ?? ?? 03 99 42 1E C4 F8 A8 2A 8B 1C 23 61 D4 F8 58 34 01 2B E3 D1 00 2A 0C DB 0B 88 24 2B 09 D1 64 2A 07 DA D4 F8 A4 3A 9A 42 00 DC 1A 46 C4 F8 A4 2A D4 E7 11 4B 0F 4C 0D 49 00 93 00 23 4F F4 AB 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 04 4A 00 23 00 93 4F F4 AB 63 20 46 ?? ?? ?? ?? 00 20 B8 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_445_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ"
		size = 96
		refs = "0022 _CrtDbgReportW 002c _errno 0042 _invalid_parameter 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 ??_C@_1BDI@HCBOIIML@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 0058 ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B C3 69 F3 B1 07 2B 1C D0 12 4B 11 4C 0E 49 00 93 00 23 40 F2 3D 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 06 4A 00 23 00 93 40 F2 3D 43 20 46 ?? ?? ?? ?? 00 20 00 E0 01 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_446_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ"
		size = 96
		refs = "0022 _CrtDbgReportW 002c _errno 0042 _invalid_parameter 0050 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 ??_C@_1BEE@CEMEBAPI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 0058 ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B C3 69 F3 B1 07 2B 1C D0 12 4B 11 4C 0E 49 00 93 00 23 40 F2 3D 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 06 4A 00 23 00 93 40 F2 3D 43 20 46 ?? ?? ?? ?? 00 20 00 E0 01 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_447_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 188
		refs = "000a ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0086 _CrtDbgReportW 0090 _errno 00a6 _invalid_parameter 00ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 ??_C@_1BDO@LGKDLMJI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b4 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 ?? ?? ?? ?? 08 B9 00 20 2D E0 D4 F8 5C 34 02 2B 28 D1 D4 F8 58 34 01 2B 24 D1 D4 F8 A4 3A 04 F2 64 41 04 EB 03 13 03 F2 74 40 19 E0 63 69 8B 60 51 F8 10 3B 01 2B 0C D0 02 2B 03 D0 03 2B 08 D0 04 2B 12 D1 62 69 53 42 03 F0 07 03 13 44 08 33 05 E0 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 81 42 E3 D1 01 20 BD E8 1E 88 10 4B 0F 4C 0C 49 00 93 00 23 40 F2 A4 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 05 49 04 4A 00 23 00 93 40 F2 A4 43 20 46 ?? ?? ?? ?? B1 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_448_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 188
		refs = "000a ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBA_NXZ 0086 _CrtDbgReportW 0090 _errno 00a6 _invalid_parameter 00ac ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 ??_C@_1BEK@GJLBPCFH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b4 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 ?? ?? ?? ?? 08 B9 00 20 2D E0 D4 F8 5C 34 02 2B 28 D1 D4 F8 58 34 01 2B 24 D1 D4 F8 A4 3A 04 F2 64 41 04 EB 03 13 03 F2 74 40 19 E0 63 69 8B 60 51 F8 10 3B 01 2B 0C D0 02 2B 03 D0 03 2B 08 D0 04 2B 12 D1 62 69 53 42 03 F0 07 03 13 44 08 33 05 E0 62 69 53 42 03 F0 03 03 13 44 1B 1D 63 61 81 42 E3 D1 01 20 BD E8 1E 88 10 4B 0F 4C 0C 49 00 93 00 23 40 F2 A4 42 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 05 49 04 4A 00 23 00 93 40 F2 A4 43 20 46 ?? ?? ?? ?? B1 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_451_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 140
		refs = "0036 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 004e _CrtDbgReportW 0058 _errno 006e _invalid_parameter 007c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0080 ??_C@_1BBI@MNEKPAEI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0084 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 02 2B 32 D1 D0 F8 58 34 01 2B 2E D1 D0 F8 A8 2A 00 2A 0D DB 64 2A 0B DA C3 6A 00 EB 02 12 02 F2 64 41 00 93 90 F9 31 30 04 22 ?? ?? ?? ?? 1D E0 12 4B 11 4C 0E 49 00 93 00 23 40 F2 0D 52 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 06 4A 00 23 00 93 40 F2 0D 53 20 46 ?? ?? ?? ?? 00 20 00 E0 01 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_452_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAA_NXZ"
		size = 140
		refs = "0034 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAA_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 004c _CrtDbgReportW 0056 _errno 006c _invalid_parameter 007c ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0080 ??_C@_1BCE@KFLNEPIF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0084 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D0 F8 5C 34 02 2B 31 D1 D0 F8 58 34 01 2B 2D D1 D0 F8 A8 2A 00 2A 0C DB 64 2A 0A DA C3 6A 00 EB 02 12 02 F2 64 41 00 93 43 8E 04 22 ?? ?? ?? ?? 1D E0 13 4B 11 4C 0F 49 00 93 00 23 40 F2 0D 52 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 08 49 06 4A 00 23 00 93 40 F2 0D 53 20 46 ?? ?? ?? ?? 00 20 00 E0 01 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_184_461_0 {
	meta:
		name = "?write_character@?$console_output_adapter@D@__crt_stdio_output@@QBAXDQAH@Z"
		size = 34
		refs = "000c _putch_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 46 14 46 ?? ?? ?? ?? 6F F0 00 03 98 42 01 D0 23 68 5B 1C 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_184_462_0 {
	meta:
		name = "?write_character@?$console_output_adapter@_W@__crt_stdio_output@@QBAX_WQAH@Z"
		size = 40
		refs = "000c _putwch_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 46 14 46 ?? ?? ?? ?? 4F F6 FF 73 98 42 02 D1 6F F0 00 03 01 E0 23 68 5B 1C 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_184_463_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
		size = 136
		refs = "0008 __security_push_cookie 003a wctomb_s 0050 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0080 __security_pop_cookie"
		altNames = "?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_ND@Z"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B ?? ?? ?? ?? 87 B0 90 F8 3C 30 04 46 3B B3 A3 6B 00 2B 24 DD 66 6B 00 25 63 B3 4F F4 89 67 A9 46 00 F1 0C 08 36 F8 02 3B 06 22 04 A9 02 A8 CD F8 08 90 ?? ?? ?? ?? 70 B9 02 9A 62 B1 04 F1 18 03 04 A9 E0 19 CD F8 00 80 ?? ?? ?? ?? A3 6B 6D 1C 9D 42 E7 D1 0E E0 6F F0 00 03 A3 61 0A E0 D4 E9 0D 12 04 F1 0C 03 00 93 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 01 20 07 B0 ?? ?? ?? ?? BD E8 F0 8B }
	condition:
		$1
}

rule file_184_466_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
		size = 132
		refs = "0034 _mbtowc_l 0042 _putwch_nolock 007a ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
		altNames = "?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAA_N_W@Z"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 90 F8 3C 30 04 46 5B BB A3 6B 00 2B 28 DD 66 6B 00 25 83 B3 6F EA 05 09 AA 46 4F F6 FF 77 A3 68 AD F8 08 A0 31 46 1A 68 02 A8 52 68 ?? ?? ?? ?? 80 46 00 28 11 DD BD F8 08 00 ?? ?? ?? ?? B8 42 02 D1 C4 F8 18 90 02 E0 A3 69 5B 1C A3 61 A3 6B 6D 1C 46 44 9D 42 E2 D1 0D E0 C4 F8 18 90 0A E0 D4 E9 0D 12 04 F1 0C 03 00 93 04 F1 18 03 04 F5 89 60 ?? ?? ?? ?? 01 20 BD E8 FE 8F }
	condition:
		$1
}

rule file_184_469_0 {
	meta:
		name = "?write_string@?$console_output_adapter@D@__crt_stdio_output@@QBAXQBDHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 128
		refs = "0014 _errno 0030 _putch_nolock"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 0A 9E 1D 46 90 46 30 68 89 46 10 B9 ?? ?? ?? ?? 30 60 34 68 00 23 C8 44 27 68 23 60 C1 45 25 D0 6F EA 03 0A 19 F9 01 0B ?? ?? ?? ?? 50 45 02 D1 C5 F8 00 A0 04 E0 2B 68 5B 1C 2B 60 53 45 13 D1 33 68 13 B9 ?? ?? ?? ?? 30 60 33 68 1B 68 2A 2B 0C D1 3F 20 ?? ?? ?? ?? 50 45 02 D1 C5 F8 00 A0 02 E0 2B 68 5B 1C 2B 60 C1 45 DB D1 23 68 0B B9 07 B1 27 60 BD E8 F8 8F }
	condition:
		$1
}

rule file_184_470_0 {
	meta:
		name = "?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QBAXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 132
		refs = "0014 _errno 0036 _putwch_nolock"
	strings:
		$1 = { 2D E9 F8 4F 0D F1 20 0B 0A 9D 1E 46 90 46 28 68 89 46 10 B9 ?? ?? ?? ?? 28 60 2C 68 00 23 09 EB 48 08 27 68 23 60 C1 45 00 97 25 D0 4F F6 FF 7A DF 43 39 F8 02 0B ?? ?? ?? ?? 50 45 01 D1 37 60 04 E0 33 68 5B 1C 33 60 BB 42 12 D1 2B 68 13 B9 ?? ?? ?? ?? 28 60 2B 68 1B 68 2A 2B 0B D1 3F 20 ?? ?? ?? ?? 50 45 01 D1 37 60 02 E0 33 68 5B 1C 33 60 C1 45 DD D1 00 9F 23 68 0B B9 07 B1 27 60 BD E8 F8 8F }
	condition:
		$1
}

rule file_184_471_0 {
	meta:
		name = "__acrt_isleadbyte_l_noupdate"
		size = 24
	strings:
		$1 = { 2D E9 00 48 EB 46 0B 68 C2 B2 1B 68 33 F8 12 30 03 F4 00 40 BD E8 00 88 }
	condition:
		$1
}

rule file_185_0_0 {
	meta:
		name = "_mbccpy"
		size = 24
		refs = "0010 _mbccpy_s_l"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 0B 46 00 22 02 21 00 92 ?? ?? ?? ?? BD E8 0C 88 }
	condition:
		$1
}

rule file_185_1_0 {
	meta:
		name = "_mbccpy_l"
		size = 24
		refs = "0010 _mbccpy_s_l"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 00 92 00 22 0B 46 02 21 ?? ?? ?? ?? BD E8 0C 88 }
	condition:
		$1
}

rule file_186_0_0 {
	meta:
		name = "strspn"
		size = 228
		refs = "0008 __security_push_cookie 0034 __report_rangecheckfailure 00d8 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8F B0 12 9B 02 93 13 9B 01 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 20 2B 0D DA 00 9B 03 93 03 9B 20 2B 00 D2 01 E0 ?? ?? ?? ?? 06 AA 03 9B 1A 44 00 23 13 70 EB E7 01 9B 1B 78 00 2B 1F D0 01 9B 1B 78 DA 10 01 23 02 FB 03 F2 06 AB 99 18 01 9B 1B 78 03 F0 07 02 01 23 03 FA 02 F2 0B 78 43 EA 02 01 01 9B 1B 78 DA 10 01 23 02 FB 03 F2 06 AB 1A 44 CB B2 13 70 01 9B 5B 1C 01 93 DB E7 02 9B 1B 78 00 2B 1D D0 00 23 00 93 02 9B 1B 78 DA 10 01 23 02 FB 03 F2 06 AB 13 44 19 78 02 9B 1B 78 03 F0 07 02 01 23 93 40 0B 40 00 2B 06 D0 00 9B 5B 1C 00 93 02 9B 5B 1C 02 93 E6 E7 00 9B 04 93 01 E0 00 23 04 93 04 98 0F B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_187_5_0 {
	meta:
		name = "_ismbslead_l"
		size = 220
		refs = "0020 _CrtDbgReportW 002a _errno 003e _invalid_parameter 0076 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00c8 ??_C@_1HA@HNFHIHGI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00cc ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d4 ??_C@_1BK@JHJMEEFN@?$AA_?$AAi?$AAs?$AAm?$AAb?$AAs?$AAl?$AAe?$AAa?$AAd?$AA_?$AAl?$AA?$AA@ 00d8 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 04 46 0D 46 D4 B9 2F 4B 31 4C 2C 49 00 93 00 23 31 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 31 23 26 49 23 4A 20 46 ?? ?? ?? ?? 00 20 27 E0 A5 B9 21 4B 20 4C 1E 49 00 93 00 23 32 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 32 23 E2 E7 02 A8 11 46 ?? ?? ?? ?? 04 9A 93 68 EB B9 00 20 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 06 B0 BD E8 30 88 23 78 00 2B EE D0 13 44 5B 7E 13 F0 04 0F 06 D0 AC 42 04 F1 01 04 06 D0 23 78 00 2B E2 D0 64 1C AC 42 ED D9 DE E7 6F F0 00 00 DC E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_188_0_0 {
	meta:
		name = "cimagf"
		size = 38
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 CD ED 03 0A 8D ED 02 0A 02 AB 1B 1D 93 ED 00 0A 8D ED 00 0A 9D ED 00 0A 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_190_0_0 {
	meta:
		name = "_ldexp"
		size = 1036
		refs = "0010 _ldtest 00a6 _fperrraise 0128 _ldscale 03e0 s 03e4 c 03e8 _LEps_C 03ec c23 03f0 c1 03f4 invln2 03f8 _LInf_C 03fc hugexp 0408 _LNan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 8D ED 0A 0B 16 98 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 00 30 0A A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 AD F8 02 30 BD F9 00 30 00 2B 04 DA BD F9 02 30 00 2B C0 F2 B9 80 BD F9 00 30 02 2B 04 D1 02 23 AD F8 0C 30 BD E1 AE E0 BD F9 02 30 02 2B 09 D1 9D ED 0A 0B 16 9B 83 ED 00 0B 02 23 AD F8 0C 30 AF E1 A0 E0 BD F9 02 30 00 2B 22 D1 16 9B 93 ED 00 1B DD 4B 93 ED 00 0B B4 EE 40 1B F1 EE 10 FA 09 D0 9D ED 0A 0B 16 9B 83 ED 00 0B 00 23 AD F8 0C 30 96 E1 0C E0 01 20 ?? ?? ?? ?? D7 4B 93 ED 00 0B 16 9B 83 ED 00 0B 02 23 AD F8 0C 30 88 E1 79 E0 BD F9 02 30 01 2B 24 D1 CB 4B 93 ED 00 0B B1 EE 40 1B 16 9B 93 ED 00 0B B4 EE 41 0B F1 EE 10 FA 09 D0 9D ED 0A 0B 16 9B 83 ED 00 0B 01 23 AD F8 0C 30 6D E1 0C E0 01 20 ?? ?? ?? ?? C2 4B 93 ED 00 0B 16 9B 83 ED 00 0B 02 23 AD F8 0C 30 5F E1 50 E0 BD F9 00 30 00 2B 25 D1 9D ED 0A 0B 16 9B 83 ED 00 0B 17 99 16 98 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 AD F8 00 30 BD F9 00 30 04 93 04 9B 00 2B 03 D0 04 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? BD F9 00 30 AD F8 0C 30 35 E1 26 E0 16 9B 93 ED 00 1B A2 4B 93 ED 00 0B B4 EE 40 1B F1 EE 10 FA 0E D1 16 9B 93 ED 00 1B 9D ED 0A 0B 21 EE 00 0B 16 9B 83 ED 00 0B 01 23 AD F8 0C 30 1B E1 0C E0 9F ED 99 1B 9D ED 0A 0B 21 EE 00 0B 16 9B 83 ED 00 0B 00 23 AD F8 0C 30 0D E1 0C E1 91 4B 93 ED 00 0B B1 EE 40 1B 16 9B 93 ED 00 0B B4 EE C1 0B F1 EE 10 FA 0D D2 9F ED 8B 1B 9D ED 0A 0B 21 EE 00 0B 16 9B 83 ED 00 0B 00 23 AD F8 0C 30 F2 E0 F1 E0 83 4B 93 ED 00 1B 16 9B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 11 D2 7D 4B 93 ED 00 1B 9D ED 0A 0B 21 EE 00 0B 16 9B 83 ED 00 0B 08 20 ?? ?? ?? ?? 01 23 AD F8 0C 30 D5 E0 D4 E0 16 9B 93 ED 00 1B 71 4B 93 ED 00 0B 21 EE 00 0B 8D ED 08 0B 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 04 D2 BE EE 00 0B 8D ED 0E 0B 03 E0 B6 EE 00 0B 8D ED 0E 0B 9D ED 08 1B 9D ED 0E 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 05 93 05 9B 00 EE 10 3A B8 EE C0 0B 8D ED 08 0B 9D ED 08 1B 5B 4B 93 ED 00 0B 21 EE 00 1B 16 9B 93 ED 00 0B 30 EE 41 2B 9D ED 08 1B 54 4B 93 ED 00 0B 21 EE 00 0B 32 EE 40 0B 8D ED 08 0B 4E 4B 93 ED 00 0B B1 EE 40 1B 9D ED 08 0B B4 EE C0 1B F1 EE 10 FA 0F D2 9D ED 08 1B 47 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 9D ED 0A 0B 16 9B 83 ED 00 0B 54 E0 9D ED 08 1B 9D ED 08 0B 21 EE 00 0B 8D ED 0C 0B 3B 4B 93 ED 00 1B 9D ED 0C 0B 21 EE 00 1B 38 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 0C 0B 20 EE 01 0B 8D ED 10 0B 31 4B 93 ED 00 1B 9D ED 0C 0B 21 EE 00 1B 2D 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 0C 0B 21 EE 00 1B 28 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 08 0B 20 EE 01 0B 8D ED 12 0B 9D ED 10 1B 9D ED 12 0B 31 EE 00 1B B7 EE 00 0B 30 EE 01 2B 9D ED 10 1B 9D ED 12 0B 31 EE 40 1B B7 EE 00 0B 30 EE 01 0B 82 EE 00 1B 9D ED 0A 0B 21 EE 00 0B 16 9B 83 ED 00 0B 05 9A 17 9B D1 18 16 98 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 AD F8 00 30 BD F9 00 30 06 93 06 9B 00 2B 03 D0 06 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? BD F9 00 30 AD F8 0C 30 BD F9 0C 00 14 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_215_0_0 {
	meta:
		name = "_dexp"
		size = 1036
		refs = "0010 _dtest 00a6 _fperrraise 0128 _dscale 03e0 s 03e4 c 03e8 _Eps_C 03ec c23 03f0 c1 03f4 invln2 03f8 _Inf_C 03fc hugexp 0408 _Nan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 8D ED 0A 0B 16 98 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 00 30 0A A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 AD F8 02 30 BD F9 00 30 00 2B 04 DA BD F9 02 30 00 2B C0 F2 B9 80 BD F9 00 30 02 2B 04 D1 02 23 AD F8 0C 30 BD E1 AE E0 BD F9 02 30 02 2B 09 D1 9D ED 0A 0B 16 9B 83 ED 00 0B 02 23 AD F8 0C 30 AF E1 A0 E0 BD F9 02 30 00 2B 22 D1 16 9B 93 ED 00 1B DD 4B 93 ED 00 0B B4 EE 40 1B F1 EE 10 FA 09 D0 9D ED 0A 0B 16 9B 83 ED 00 0B 00 23 AD F8 0C 30 96 E1 0C E0 01 20 ?? ?? ?? ?? D7 4B 93 ED 00 0B 16 9B 83 ED 00 0B 02 23 AD F8 0C 30 88 E1 79 E0 BD F9 02 30 01 2B 24 D1 CB 4B 93 ED 00 0B B1 EE 40 1B 16 9B 93 ED 00 0B B4 EE 41 0B F1 EE 10 FA 09 D0 9D ED 0A 0B 16 9B 83 ED 00 0B 01 23 AD F8 0C 30 6D E1 0C E0 01 20 ?? ?? ?? ?? C2 4B 93 ED 00 0B 16 9B 83 ED 00 0B 02 23 AD F8 0C 30 5F E1 50 E0 BD F9 00 30 00 2B 25 D1 9D ED 0A 0B 16 9B 83 ED 00 0B 17 99 16 98 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 AD F8 00 30 BD F9 00 30 04 93 04 9B 00 2B 03 D0 04 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? BD F9 00 30 AD F8 0C 30 35 E1 26 E0 16 9B 93 ED 00 1B A2 4B 93 ED 00 0B B4 EE 40 1B F1 EE 10 FA 0E D1 16 9B 93 ED 00 1B 9D ED 0A 0B 21 EE 00 0B 16 9B 83 ED 00 0B 01 23 AD F8 0C 30 1B E1 0C E0 9F ED 99 1B 9D ED 0A 0B 21 EE 00 0B 16 9B 83 ED 00 0B 00 23 AD F8 0C 30 0D E1 0C E1 91 4B 93 ED 00 0B B1 EE 40 1B 16 9B 93 ED 00 0B B4 EE C1 0B F1 EE 10 FA 0D D2 9F ED 8B 1B 9D ED 0A 0B 21 EE 00 0B 16 9B 83 ED 00 0B 00 23 AD F8 0C 30 F2 E0 F1 E0 83 4B 93 ED 00 1B 16 9B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 11 D2 7D 4B 93 ED 00 1B 9D ED 0A 0B 21 EE 00 0B 16 9B 83 ED 00 0B 08 20 ?? ?? ?? ?? 01 23 AD F8 0C 30 D5 E0 D4 E0 16 9B 93 ED 00 1B 71 4B 93 ED 00 0B 21 EE 00 0B 8D ED 08 0B 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 04 D2 BE EE 00 0B 8D ED 0E 0B 03 E0 B6 EE 00 0B 8D ED 0E 0B 9D ED 08 1B 9D ED 0E 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 05 93 05 9B 00 EE 10 3A B8 EE C0 0B 8D ED 08 0B 9D ED 08 1B 5B 4B 93 ED 00 0B 21 EE 00 1B 16 9B 93 ED 00 0B 30 EE 41 2B 9D ED 08 1B 54 4B 93 ED 00 0B 21 EE 00 0B 32 EE 40 0B 8D ED 08 0B 4E 4B 93 ED 00 0B B1 EE 40 1B 9D ED 08 0B B4 EE C0 1B F1 EE 10 FA 0F D2 9D ED 08 1B 47 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 9D ED 0A 0B 16 9B 83 ED 00 0B 54 E0 9D ED 08 1B 9D ED 08 0B 21 EE 00 0B 8D ED 0C 0B 3B 4B 93 ED 00 1B 9D ED 0C 0B 21 EE 00 1B 38 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 0C 0B 20 EE 01 0B 8D ED 10 0B 31 4B 93 ED 00 1B 9D ED 0C 0B 21 EE 00 1B 2D 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 0C 0B 21 EE 00 1B 28 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 08 0B 20 EE 01 0B 8D ED 12 0B 9D ED 10 1B 9D ED 12 0B 31 EE 00 1B B7 EE 00 0B 30 EE 01 2B 9D ED 10 1B 9D ED 12 0B 31 EE 40 1B B7 EE 00 0B 30 EE 01 0B 82 EE 00 1B 9D ED 0A 0B 21 EE 00 0B 16 9B 83 ED 00 0B 05 9A 17 9B D1 18 16 98 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 AD F8 00 30 BD F9 00 30 06 93 06 9B 00 2B 03 D0 06 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? BD F9 00 30 AD F8 0C 30 BD F9 0C 00 14 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_190_1_0 {
	meta:
		name = "exp2l"
		size = 356
		refs = "000e _ldtest 00a2 _ld_int 0130 _ldexp 0148 ln2"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 1F D0 02 9B 01 2B 08 D0 02 9B 02 2B 00 D0 1D E0 9D ED 04 0B 8D ED 06 0B 80 E0 04 AB 9B 1D 1B 88 13 F4 00 4F 04 D0 9F ED 45 0B 8D ED 0A 0B 03 E0 9D ED 04 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 06 0B 6C E0 B7 EE 00 0B 8D ED 06 0B 67 E0 9D ED 04 1B 9F ED 38 0B B4 EE C0 1B F1 EE 10 FA 08 D9 9F ED 33 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 02 D8 00 23 01 93 3F E0 9D ED 04 0B 8D ED 08 0B 00 21 08 A8 ?? ?? ?? ?? 9D ED 08 0B BD EE C0 0B 10 EE 10 3A 01 93 9D ED 04 1B 9D ED 08 0B 31 EE 40 0B 8D ED 04 0B B6 EE 00 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 0B D2 9D ED 04 1B B7 EE 00 0B 31 EE 40 0B 8D ED 04 0B 01 9B 5B 1C 01 93 13 E0 9D ED 04 1B BE EE 00 0B B4 EE C0 1B F1 EE 10 FA 0A D2 9D ED 04 1B B7 EE 00 0B 31 EE 00 0B 8D ED 04 0B 01 9B 5B 1E 01 93 9D ED 04 1B 0B 4B 93 ED 00 0B 21 EE 00 0B 8D ED 04 0B 01 99 B7 EE 00 0B 04 A8 ?? ?? ?? ?? 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 0C B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 C0 FF FF FF DF 41 00 00 00 00 00 00 E0 C1 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_215_1_0 {
	meta:
		name = "exp2"
		size = 356
		refs = "000e _dtest 00a2 _d_int 0130 _dexp 0148 ln2"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 1F D0 02 9B 01 2B 08 D0 02 9B 02 2B 00 D0 1D E0 9D ED 04 0B 8D ED 06 0B 80 E0 04 AB 9B 1D 1B 88 13 F4 00 4F 04 D0 9F ED 45 0B 8D ED 0A 0B 03 E0 9D ED 04 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 06 0B 6C E0 B7 EE 00 0B 8D ED 06 0B 67 E0 9D ED 04 1B 9F ED 38 0B B4 EE C0 1B F1 EE 10 FA 08 D9 9F ED 33 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 02 D8 00 23 01 93 3F E0 9D ED 04 0B 8D ED 08 0B 00 21 08 A8 ?? ?? ?? ?? 9D ED 08 0B BD EE C0 0B 10 EE 10 3A 01 93 9D ED 04 1B 9D ED 08 0B 31 EE 40 0B 8D ED 04 0B B6 EE 00 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 0B D2 9D ED 04 1B B7 EE 00 0B 31 EE 40 0B 8D ED 04 0B 01 9B 5B 1C 01 93 13 E0 9D ED 04 1B BE EE 00 0B B4 EE C0 1B F1 EE 10 FA 0A D2 9D ED 04 1B B7 EE 00 0B 31 EE 00 0B 8D ED 04 0B 01 9B 5B 1E 01 93 9D ED 04 1B 0B 4B 93 ED 00 0B 21 EE 00 0B 8D ED 04 0B 01 99 B7 EE 00 0B 04 A8 ?? ?? ?? ?? 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 0C B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 C0 FF FF FF DF 41 00 00 00 00 00 00 E0 C1 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_191_0_0 {
	meta:
		name = "roundl"
		size = 132
		refs = "0010 _ld_int"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 02 0B 01 21 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 04 DD 01 9B 02 2B 00 DD 00 E0 21 E0 00 21 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 00 2B 00 D1 16 E0 02 AB 9B 1D 1B 88 13 F4 00 4F 08 D0 9D ED 02 1B B7 EE 00 0B 31 EE 40 0B 8D ED 02 0B 07 E0 9D ED 02 1B B7 EE 00 0B 31 EE 00 0B 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_537_0_0 {
	meta:
		name = "round"
		size = 132
		refs = "0010 _d_int"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 02 0B 01 21 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 04 DD 01 9B 02 2B 00 DD 00 E0 21 E0 00 21 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 00 2B 00 D1 16 E0 02 AB 9B 1D 1B 88 13 F4 00 4F 08 D0 9D ED 02 1B B7 EE 00 0B 31 EE 40 0B 8D ED 02 0B 07 E0 9D ED 02 1B B7 EE 00 0B 31 EE 00 0B 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_192_0_0 {
	meta:
		name = "_resetstkoflw"
		size = 184
		refs = "0008 __security_push_cookie 003e __acrt_SetThreadStackGuarantee 009e __security_pop_cookie 00a8 __imp_VirtualProtect 00ac __imp_VirtualAlloc 00b0 __imp_GetSystemInfo 00b4 __imp_VirtualQuery"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 94 B0 6F 46 5D F8 08 39 27 4B 1C 22 17 F1 08 01 1B 68 68 46 6E 46 98 47 C0 B3 22 4B D7 F8 0C 80 17 F1 28 00 1B 68 98 47 00 23 FC 6A 38 46 3B 60 00 25 ?? ?? ?? ?? 10 B1 3B 68 03 B1 1D 46 2B 19 5A 1E 63 1E 32 EA 03 05 18 BF 2D 19 B5 EB 44 0F 38 BF 65 00 63 1E 26 EA 03 03 5E 1B 04 EB 08 03 9E 42 13 D3 0E 4C 04 23 4F F4 80 52 24 68 29 46 30 46 A0 47 50 B1 09 4C 3B 1D 4F F4 82 72 24 68 29 46 30 46 A0 47 08 B1 01 20 00 E0 00 20 BD 46 14 B0 ?? ?? ?? ?? BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_193_1_0 {
	meta:
		name = "??$free_crt_array@D$01@@YAXAAY01PAD@Z"
		size = 24
		refs = "000c ?free_crt_array_internal@@YAXQAPBXI@Z"
		altNames = "??$free_crt_array@_W$01@@YAXAAY01PA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_193_2_0 {
	meta:
		name = "??$free_crt_array@D$06@@YAXAAY06PAD@Z"
		size = 24
		refs = "000c ?free_crt_array_internal@@YAXQAPBXI@Z"
		altNames = "??$free_crt_array@_W$06@@YAXAAY06PA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 07 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_193_3_0 {
	meta:
		name = "??$free_crt_array@D$0M@@@YAXAAY0M@PAD@Z"
		size = 24
		refs = "000c ?free_crt_array_internal@@YAXQAPBXI@Z"
		altNames = "??$free_crt_array@_W$0M@@@YAXAAY0M@PA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 0C 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_193_11_0 {
	meta:
		name = "?free_crt_array_internal@@YAXQAPBXI@Z"
		size = 62
		refs = "002e _free_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 02 E0 00 9B 1B 1D 00 93 05 9A 04 23 02 FB 03 F2 04 9B 1A 44 00 9B 93 42 05 D0 02 21 00 9B 18 68 ?? ?? ?? ?? ED E7 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_193_13_0 {
	meta:
		name = "?get_or_create_lc_time@@YAPBU__crt_lc_time_data@@QAU__crt_locale_data@@@Z"
		size = 208
		refs = "002a _calloc_dbg 0034 ??0?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAA@QAU__crt_lc_time_data@@@Z 003a ??B?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBA_NXZ 0050 ??1?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAA@XZ 005c ?get@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBAPAU__crt_lc_time_data@@XZ 0066 ?initialize_lc_time@@YA_NQAU__crt_lc_time_data@@QAU__crt_locale_data@@@Z 0080 __acrt_locale_free_time 00a8 ?detach@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAAPAU__crt_lc_time_data@@XZ 00c8 ??_C@_0DD@MPFICDAE@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 00cc __lc_time_c"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B A0 33 14 33 1B 68 00 2B 02 D1 2D 4B 04 93 4F E0 53 23 00 93 29 4B 02 22 4F F4 B2 71 01 20 ?? ?? ?? ?? 05 90 05 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 07 D1 00 23 06 93 03 A8 ?? ?? ?? ?? 06 9B 04 93 30 E0 03 A8 ?? ?? ?? ?? 07 90 10 99 07 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 0E D1 03 A8 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 00 23 09 93 03 A8 ?? ?? ?? ?? 09 9B 04 93 13 E0 03 A8 ?? ?? ?? ?? 0A 90 0A 9B 03 F1 B0 02 01 23 13 60 03 A8 ?? ?? ?? ?? 0B 90 0B 9B 0C 93 03 A8 ?? ?? ?? ?? 0C 9B 04 93 04 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_193_14_0 {
	meta:
		name = "?initialize_lc_time@@YA_NQAU__crt_lc_time_data@@QAU__crt_locale_data@@@Z"
		size = 800
		refs = "001e __acrt_copy_locale_name 004a __rt_udiv 0068 __acrt_GetLocaleInfoA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 A0 B0 23 9B A0 33 14 33 1B 68 03 93 23 9B 06 93 00 23 07 93 03 98 ?? ?? ?? ?? 0B 90 22 9B 03 F5 B0 72 0B 9B 13 60 00 23 02 93 00 23 08 93 02 E0 08 9B 5B 1C 08 93 08 9B 07 2B 58 D0 08 9B 59 1C 07 20 ?? ?? ?? ?? 09 91 22 99 09 9A 04 23 02 FB 03 F3 0B 44 00 93 08 9B 31 33 03 9A 01 21 06 A8 ?? ?? ?? ?? 0C 90 02 9A 0C 9B 13 43 02 93 22 9B 03 F1 1C 01 09 9A 04 23 02 FB 03 F3 0B 44 00 93 08 9B 2A 33 03 9A 01 21 06 A8 ?? ?? ?? ?? 0D 90 02 9A 0D 9B 13 43 02 93 22 9B 03 F1 B4 01 09 9A 04 23 02 FB 03 F3 0B 44 00 93 08 9B 31 33 03 9A 02 21 06 A8 ?? ?? ?? ?? 0E 90 02 9A 0E 9B 13 43 02 93 22 9B 03 F1 D0 01 09 9A 04 23 02 FB 03 F3 0B 44 00 93 08 9B 2A 33 03 9A 02 21 06 A8 ?? ?? ?? ?? 0F 90 02 9A 0F 9B 13 43 02 93 A0 E7 00 23 04 93 02 E0 04 9B 5B 1C 04 93 04 9B 0C 2B 54 D0 22 9B 03 F1 38 01 04 9A 04 23 02 FB 03 F3 0B 44 00 93 04 9B 44 33 03 9A 01 21 06 A8 ?? ?? ?? ?? 10 90 02 9A 10 9B 13 43 02 93 22 9B 03 F1 68 01 04 9A 04 23 02 FB 03 F3 0B 44 00 93 04 9B 38 33 03 9A 01 21 06 A8 ?? ?? ?? ?? 11 90 02 9A 11 9B 13 43 02 93 22 9B 03 F1 EC 01 04 9A 04 23 02 FB 03 F3 0B 44 00 93 04 9B 44 33 03 9A 02 21 06 A8 ?? ?? ?? ?? 12 90 02 9A 12 9B 13 43 02 93 22 9B 03 F5 8E 71 04 9A 04 23 02 FB 03 F3 0B 44 00 93 04 9B 38 33 03 9A 02 21 06 A8 ?? ?? ?? ?? 13 90 02 9A 13 9B 13 43 02 93 A4 E7 22 9B 98 33 00 93 28 23 03 9A 01 21 06 A8 ?? ?? ?? ?? 14 90 02 9A 14 9B 13 43 02 93 22 9B 98 33 1B 1D 00 93 29 23 03 9A 01 21 06 A8 ?? ?? ?? ?? 15 90 02 9A 15 9B 13 43 02 93 22 9B 03 F5 A6 73 00 93 28 23 03 9A 02 21 06 A8 ?? ?? ?? ?? 16 90 02 9A 16 9B 13 43 02 93 22 9B 03 F5 A6 73 1B 1D 00 93 29 23 03 9A 02 21 06 A8 ?? ?? ?? ?? 17 90 02 9A 17 9B 13 43 02 93 22 9B A0 33 00 93 1F 23 03 9A 01 21 06 A8 ?? ?? ?? ?? 18 90 02 9A 18 9B 13 43 02 93 22 9B A4 33 00 93 20 23 03 9A 01 21 06 A8 ?? ?? ?? ?? 19 90 02 9A 19 9B 13 43 02 93 22 9B A8 33 00 93 41 F2 03 03 03 9A 01 21 06 A8 ?? ?? ?? ?? 1A 90 02 9A 1A 9B 13 43 02 93 22 9B AC 33 00 93 41 F2 09 03 03 9A 00 21 06 A8 ?? ?? ?? ?? 1B 90 02 9A 1B 9B 13 43 02 93 22 9B 03 F5 AA 73 00 93 1F 23 03 9A 02 21 06 A8 ?? ?? ?? ?? 1C 90 02 9A 1C 9B 13 43 02 93 22 9B 03 F5 AC 73 00 93 20 23 03 9A 02 21 06 A8 ?? ?? ?? ?? 1D 90 02 9A 1D 9B 13 43 02 93 22 9B 03 F5 AE 73 00 93 41 F2 03 03 03 9A 02 21 06 A8 ?? ?? ?? ?? 1E 90 02 9A 1E 9B 13 43 02 93 02 9B 00 2B 02 D1 01 23 0A 93 01 E0 00 23 0A 93 0A 9B DB B2 8D F8 7C 30 9D F8 7C 00 20 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_193_17_0 {
	meta:
		name = "__acrt_locale_free_time"
		size = 212
		refs = "0012 ??$free_crt_array@D$06@@YAXAAY06PAD@Z 0026 ??$free_crt_array@D$0M@@@YAXAAY0M@PAD@Z 003a ??$free_crt_array@D$01@@YAXAAY01PAD@Z 0046 _free_dbg 0068 ??$free_crt_array@_W$06@@YAXAAY06PA_W@Z 007c ??$free_crt_array@_W$0M@@@YAXAAY0M@PA_W@Z 0090 ??$free_crt_array@_W$01@@YAXAAY01PA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 00 2B 00 D1 5D E0 02 98 ?? ?? ?? ?? 02 9B 03 F1 1C 00 ?? ?? ?? ?? 02 9B 03 F1 38 00 ?? ?? ?? ?? 02 9B 03 F1 68 00 ?? ?? ?? ?? 02 9B 03 F1 98 00 ?? ?? ?? ?? 02 21 02 9B A0 33 18 68 ?? ?? ?? ?? 02 21 02 9B A4 33 18 68 ?? ?? ?? ?? 02 21 02 9B A8 33 18 68 ?? ?? ?? ?? 02 9B 03 F1 B4 00 ?? ?? ?? ?? 02 9B 03 F1 D0 00 ?? ?? ?? ?? 02 9B 03 F1 EC 00 ?? ?? ?? ?? 02 9B 03 F5 8E 70 ?? ?? ?? ?? 02 9B 03 F5 A6 70 ?? ?? ?? ?? 02 21 02 9B 03 F5 AA 73 18 68 ?? ?? ?? ?? 02 21 02 9B 03 F5 AC 73 18 68 ?? ?? ?? ?? 02 21 02 9B 03 F5 AE 73 18 68 ?? ?? ?? ?? 02 21 02 9B 03 F5 B0 73 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_193_18_0 {
	meta:
		name = "__acrt_locale_initialize_time"
		size = 120
		refs = "000c ?get_or_create_lc_time@@YAPBU__crt_lc_time_data@@QAU__crt_locale_data@@@Z 0028 __acrt_locale_release_lc_time_reference 0044 _CrtDbgReportW 006c ??_C@_1GG@BFOOANHJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0070 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1HK@HACABKKK@?$AA?$CI?$AA?$CC?$AAl?$AAc?$AA_?$AAt?$AAi?$AAm?$AAe?$AA_?$AAc?$AAu?$AAr?$AAr?$AA?5?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AAl?$AAy?$AA?5?$AAh?$AAa?$AAs?$AA?5@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 04 90 04 9B 02 93 02 9B 00 2B 02 D1 01 23 03 93 1E E0 0A 9B 9C 33 18 68 ?? ?? ?? ?? 05 90 05 9B 00 2B 0E D1 0F 4B 01 93 0D 4B 00 93 00 23 72 22 0A 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 0A 9B 03 F1 9C 02 02 9B 13 60 00 23 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_194_17_0 {
	meta:
		name = "?set_buffer@@YAHV__crt_stdio_stream@@QADIH@Z"
		size = 100
		refs = "000e ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 0014 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B 99 08 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 00 90 00 9B 03 F1 18 02 0A 9B 13 60 08 A8 ?? ?? ?? ?? 01 90 01 9A 09 9B 13 60 08 A8 ?? ?? ?? ?? 02 90 02 9B 1A 1D 09 9B 13 60 08 A8 ?? ?? ?? ?? 03 90 03 9B 03 F1 08 02 00 23 13 60 00 23 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_194_21_0 {
	meta:
		name = "setvbuf"
		size = 436
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0014 ?valid@__crt_stdio_stream@@QBA_NXZ 0048 _CrtDbgReportW 005c _errno 0074 _invalid_parameter 0172 ??0<lambda_3aae883670d60947a98255ae2090162b>@@QAA@ABIABV__crt_stdio_stream@@ABHABQAD@Z 017a ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0184 ??$__acrt_lock_stream_and_call@V<lambda_3aae883670d60947a98255ae2090162b>@@@@YAHQAU_iobuf@@$$QAV<lambda_3aae883670d60947a98255ae2090162b>@@@Z 019c ??_C@_1HK@PBPJKDDM@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf@ 01a0 ??_C@_1BA@OGODIODK@?$AAs?$AAe?$AAt?$AAv?$AAb?$AAu?$AAf?$AA?$AA@ 01a4 ??_C@_1GC@NAMEPLDD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01ac ??_C@_1GG@CBGCKJPC@?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAI?$AAO?$AAN?$AAB?$AAF?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAI?$AAO?$AAF?$AAB?$AAF@ 01b0 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1A 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 5D 4B 01 93 5A 4B 00 93 00 23 2F 22 57 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 2F 23 4D 4A 4B 49 4F 48 ?? ?? ?? ?? 6F F0 00 03 03 93 86 E0 1C 9B 04 2B 08 D0 1C 9B 00 2B 05 D0 1C 9B 40 2B 02 D0 00 23 07 93 01 E0 01 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 41 4B 01 93 3F 4B 00 93 00 23 33 22 3C 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 33 23 31 4A 30 49 32 48 ?? ?? ?? ?? 6F F0 00 03 03 93 4F E0 1C 9B 00 2B 02 D0 1C 9B 40 2B 35 D1 1D 9B 02 2B 07 D3 1D 9A 6F F0 00 43 9A 42 02 D8 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 1F 4B 01 93 21 4B 00 93 00 23 37 22 1E 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 37 23 13 4A 12 49 10 48 ?? ?? ?? ?? 6F F0 00 03 03 93 13 E0 1B AB 00 93 1C AB 04 AA 1D A9 14 A8 ?? ?? ?? ?? 11 90 04 A8 ?? ?? ?? ?? 12 90 11 99 12 98 ?? ?? ?? ?? 13 90 13 9B 03 93 03 98 18 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_195_9_0 {
	meta:
		name = "_commit"
		size = 344
		refs = "0012 _errno 005a _CrtDbgReportW 0086 _invalid_parameter 011a ??0<lambda_5533cddd4bda0037814beee657757329>@@QAA@ABH@Z 0124 ??$__acrt_lowio_lock_fh_and_call@V<lambda_5533cddd4bda0037814beee657757329>@@@@YAHH$$QAV<lambda_5533cddd4bda0037814beee657757329>@@@Z 013c ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0140 ??_C@_1BA@FLNMBBIM@?$AA_?$AAc?$AAo?$AAm?$AAm?$AAi?$AAt?$AA?$AA@ 0144 ??_C@_1GA@MPOOLHCO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 014c __pioinfo 0150 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0154 _nhandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 9B 13 F1 02 0F 09 D1 ?? ?? ?? ?? 07 90 07 9A 09 23 13 60 6F F0 00 03 02 93 83 E0 12 9B 00 2B 07 DB 12 9A 49 4B 1B 68 9A 42 02 D2 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 41 4B 01 93 3E 4B 00 93 00 23 12 22 3B 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 09 23 13 60 00 23 00 93 12 23 30 4A 2F 49 32 48 ?? ?? ?? ?? 6F F0 00 03 02 93 4D E0 12 9B 9A 11 04 23 02 FB 03 F2 2B 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 13 22 1A 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 09 23 13 60 00 23 00 93 13 23 0F 4A 0E 49 0C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 0B E0 12 A9 0E A8 ?? ?? ?? ?? 0C 90 0C 99 12 98 ?? ?? ?? ?? 0D 90 0D 9B 02 93 02 98 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_197_0_0 {
	meta:
		name = "??$common_lseek@J@@YAJHJH@Z"
		size = 500
		refs = "0018 __doserrno 0024 _errno 006c _CrtDbgReportW 00a4 _invalid_parameter 0142 __acrt_lowio_lock_fh 01b2 ??$common_lseek_nolock@J@@YAJHJH@Z 01be __acrt_lowio_unlock_fh 01d4 ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 01d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01dc ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 01e0 __pioinfo 01e4 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 01e8 ??_C@_1BK@JOMBNFIM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAs?$AAe?$AAe?$AAk?$AA?$AA@ 01ec ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 01f0 _nhandle"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 93 B0 6F 46 82 B0 BB 6D 13 F1 02 0F 0F D1 ?? ?? ?? ?? B8 61 BA 69 00 23 13 60 ?? ?? ?? ?? F8 61 FA 69 09 23 13 60 6F F0 00 03 3B 60 C6 E0 BB 6D 00 2B 07 DB BA 6D 6B 4B 1B 68 9A 42 02 D2 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 63 4B 01 93 5D 4B 00 93 00 23 66 22 5A 49 02 20 ?? ?? ?? ?? 38 62 3B 6A 01 2B 00 D1 FE DE BB 68 00 2B 17 D1 ?? ?? ?? ?? 78 62 7A 6A 00 23 13 60 ?? ?? ?? ?? B8 62 BA 6A 09 23 13 60 00 23 00 93 66 23 4D 4A 51 49 52 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 8A E0 BB 6D 9A 11 04 23 02 FB 03 F2 49 4B 99 18 BB 6D 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 3D 4B 01 93 39 4B 00 93 00 23 67 22 36 49 02 20 ?? ?? ?? ?? F8 62 FB 6A 01 2B 00 D1 FE DE 3B 69 00 2B 17 D1 ?? ?? ?? ?? 38 63 3A 6B 00 23 13 60 ?? ?? ?? ?? 78 63 7A 6B 09 23 13 60 00 23 00 93 67 23 29 4A 2D 49 2C 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 42 E0 B8 6D ?? ?? ?? ?? 6F F0 00 03 7B 61 BB 6D 9A 11 04 23 02 FB 03 F2 22 4B 99 18 BB 6D 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 1B D1 ?? ?? ?? ?? B8 63 BA 6B 09 23 13 60 ?? ?? ?? ?? F8 63 FA 6B 00 23 13 60 13 4B 01 93 11 4B 00 93 00 23 71 22 0E 49 02 20 ?? ?? ?? ?? 38 64 3B 6C 01 2B 00 D1 FE DE 07 E0 3A 6E F9 6D B8 6D ?? ?? ?? ?? 78 64 7B 6C 7B 61 B8 6D ?? ?? ?? ?? 7B 69 3B 60 38 68 15 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_197_2_0 {
	meta:
		name = "??$common_lseek@_J@@YA_JH_JH@Z"
		size = 540
		refs = "0018 __doserrno 0024 _errno 0072 _CrtDbgReportW 00aa _invalid_parameter 0154 __acrt_lowio_lock_fh 01ce ??$common_lseek_nolock@_J@@YA_JH_JH@Z 01e0 __acrt_lowio_unlock_fh 01fc ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0200 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0204 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0208 __pioinfo 020c ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0210 ??_C@_1BK@JOMBNFIM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAs?$AAe?$AAe?$AAk?$AA?$AA@ 0214 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0218 _nhandle"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 97 B0 6F 46 82 B0 BB 6E 13 F1 02 0F 12 D1 ?? ?? ?? ?? 38 62 3A 6A 00 23 13 60 ?? ?? ?? ?? 78 62 7A 6A 09 23 13 60 6F F0 00 03 3B 60 6F F0 00 03 7B 60 D6 E0 BB 6E 00 2B 07 DB BA 6E 74 4B 1B 68 9A 42 02 D2 01 23 BB 60 01 E0 00 23 BB 60 BB 68 FB 60 FB 68 00 2B 0E D1 6C 4B 01 93 66 4B 00 93 00 23 66 22 63 49 02 20 ?? ?? ?? ?? B8 62 BB 6A 01 2B 00 D1 FE DE FB 68 00 2B 1A D1 ?? ?? ?? ?? F8 62 FA 6A 00 23 13 60 ?? ?? ?? ?? 38 63 3A 6B 09 23 13 60 00 23 00 93 66 23 55 4A 5A 49 5A 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 6F F0 00 03 7B 60 97 E0 BB 6E 9A 11 04 23 02 FB 03 F2 50 4B 99 18 BB 6E 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 3B 61 01 E0 00 23 3B 61 3B 69 7B 61 7B 69 00 2B 0E D1 44 4B 01 93 40 4B 00 93 00 23 67 22 3D 49 02 20 ?? ?? ?? ?? 78 63 7B 6B 01 2B 00 D1 FE DE 7B 69 00 2B 1A D1 ?? ?? ?? ?? B8 63 BA 6B 00 23 13 60 ?? ?? ?? ?? F8 63 FA 6B 09 23 13 60 00 23 00 93 67 23 30 4A 34 49 33 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 6F F0 00 03 7B 60 4C E0 B8 6E ?? ?? ?? ?? 6F F0 00 03 BB 61 6F F0 00 03 FB 61 BB 6E 9A 11 04 23 02 FB 03 F2 26 4B 99 18 BB 6E 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 1B D1 ?? ?? ?? ?? 38 64 3A 6C 09 23 13 60 ?? ?? ?? ?? 78 64 7A 6C 00 23 13 60 17 4B 01 93 15 4B 00 93 00 23 71 22 12 49 02 20 ?? ?? ?? ?? B8 64 BB 6C 01 2B 00 D1 FE DE 0C E0 BB 6F 00 93 3A 6F 7B 6F B8 6E ?? ?? ?? ?? 79 65 38 65 3B 6D BB 61 7B 6D FB 61 B8 6E ?? ?? ?? ?? BA 69 FB 69 3A 60 7B 60 38 68 79 68 19 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_197_3_0 {
	meta:
		name = "?fin$0@?0???$common_lseek@_J@@YA_JH_JH@Z@4HA"
		size = 16
		refs = "0006 __acrt_lowio_unlock_fh"
		altNames = "_locking$fin$0 _read$fin$0"
	strings:
		$1 = { 10 B5 82 B0 B8 6E ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_197_4_0 {
	meta:
		name = "??$common_lseek_nolock@J@@YAJHJH@Z"
		size = 220
		refs = "000c _get_osfhandle 001e _errno 003a _CrtDbgReportW 0056 ?common_lseek_do_seek_nolock@@YAJQAXJH@Z 00cc __pioinfo 00d0 ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d8 ??_C@_1DM@LMLOLGJ@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0C 98 ?? ?? ?? ?? 05 90 05 9B 03 93 03 9B B3 F1 FF 3F 18 D1 ?? ?? ?? ?? 06 90 06 9A 09 23 13 60 2B 4B 01 93 29 4B 00 93 00 23 4A 22 26 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 6F F0 00 03 02 93 37 E0 0E 9A 0D 99 03 98 ?? ?? ?? ?? 08 90 08 9B 04 93 04 9B B3 F1 FF 3F 03 D1 6F F0 00 03 02 93 27 E0 0C 9B 9A 11 04 23 02 FB 03 F2 14 4B 99 18 0C 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 02 00 0C 9B 9A 11 04 23 02 FB 03 F2 0A 4B 99 18 0C 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 04 9B 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_197_5_0 {
	meta:
		name = "??$common_lseek_nolock@_J@@YA_JH_JH@Z"
		size = 260
		refs = "000c _get_osfhandle 001e _errno 003a _CrtDbgReportW 0060 ?common_lseek_do_seek_nolock@@YA_JQAX_JH@Z 00f4 __pioinfo 00f8 ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1DM@LMLOLGJ@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 10 98 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B B3 F1 FF 3F 1B D1 ?? ?? ?? ?? 04 90 04 9A 09 23 13 60 35 4B 01 93 33 4B 00 93 00 23 4A 22 30 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 6F F0 00 03 06 93 6F F0 00 03 07 93 47 E0 14 9B 00 93 12 9A 13 9B 02 98 ?? ?? ?? ?? 0B 91 0A 90 0A 9B 08 93 0B 9B 09 93 08 9B 0C 93 09 9B 0D 93 0D 9A 0C 9B 13 40 B3 F1 FF 3F 06 D1 6F F0 00 03 06 93 6F F0 00 03 07 93 29 E0 10 9B 9A 11 04 23 02 FB 03 F2 15 4B 99 18 10 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 02 00 10 9B 9A 11 04 23 02 FB 03 F2 0C 4B 99 18 10 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 08 9A 09 9B 06 92 07 93 06 98 07 99 0E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_197_6_0 {
	meta:
		name = "?common_lseek_do_seek_nolock@@YAJQAXJH@Z"
		size = 256
		refs = "0014 memset 003e __acrt_errno_map_os_error 00d4 _errno 00f8 __imp_SetFilePointerEx 00fc __imp_GetLastError"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 00 23 0E 93 04 22 00 21 0F A8 ?? ?? ?? ?? 01 23 01 93 12 AB 00 93 0E 9A 0F 9B 16 98 34 49 09 68 88 47 03 90 03 9B 00 2B 0A D1 31 4B 1B 68 98 47 04 90 04 98 ?? ?? ?? ?? 6F F0 00 03 02 93 50 E0 00 23 0A 93 04 22 00 21 0B A8 ?? ?? ?? ?? 17 9A 17 9B DB 17 0A 92 0B 93 00 23 0C 93 04 22 00 21 0D A8 ?? ?? ?? ?? 18 9B 01 93 0C AB 00 93 0A 9A 0B 9B 16 98 1E 49 09 68 88 47 05 90 05 9B 00 2B 0A D1 1B 4B 1B 68 98 47 06 90 06 98 ?? ?? ?? ?? 6F F0 00 03 02 93 24 E0 0C 9B 10 93 0D 9B 11 93 10 9B 07 93 11 9B 00 2B 19 DB 04 DC 07 9A 6F F0 00 43 9A 42 13 D9 00 23 01 93 00 23 00 93 12 9A 13 9B 16 98 0A 49 09 68 88 47 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 6F F0 00 03 02 93 01 E0 0C 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_197_7_0 {
	meta:
		name = "?common_lseek_do_seek_nolock@@YA_JQAX_JH@Z"
		size = 96
		refs = "0030 __acrt_errno_map_os_error 0058 __imp_GetLastError 005c __imp_SetFilePointerEx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0E 9B 01 93 06 AB 00 93 0C 9A 0D 9B 0A 98 10 49 09 68 88 47 02 90 02 9B 00 2B 0D D1 0C 4B 1B 68 98 47 03 90 03 98 ?? ?? ?? ?? 6F F0 00 03 04 93 6F F0 00 03 05 93 03 E0 06 9A 07 9B 04 92 05 93 04 98 05 99 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_197_10_0 {
	meta:
		name = "_lseeki64"
		size = 50
		refs = "0014 ??$common_lseek@_J@@YA_JH_JH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0C 9B 00 93 0A 9A 0B 9B 08 98 ?? ?? ?? ?? 03 91 02 90 02 9A 03 9B 04 92 05 93 04 98 05 99 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_197_11_0 {
	meta:
		name = "_lseeki64_nolock"
		size = 50
		refs = "0014 ??$common_lseek_nolock@_J@@YA_JH_JH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0C 9B 00 93 0A 9A 0B 9B 08 98 ?? ?? ?? ?? 03 91 02 90 02 9A 03 9B 04 92 05 93 04 98 05 99 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_198_6_0 {
	meta:
		name = "_rmdir"
		size = 122
		refs = "0012 _wrmdir 0022 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0028 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0032 __acrt_copy_path_to_wide_string 0046 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0052 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 06 D1 00 20 ?? ?? ?? ?? 02 90 02 9B 01 93 27 E0 00 21 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 03 90 03 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 08 D1 6F F0 00 03 05 93 68 46 ?? ?? ?? ?? 05 9B 01 93 0E E0 68 46 ?? ?? ?? ?? 06 90 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 68 46 ?? ?? ?? ?? 08 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_453_6_0 {
	meta:
		name = "_mkdir"
		size = 122
		refs = "0012 _wmkdir 0022 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0028 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0032 __acrt_copy_path_to_wide_string 0046 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0052 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 06 D1 00 20 ?? ?? ?? ?? 02 90 02 9B 01 93 27 E0 00 21 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 03 90 03 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 08 D1 6F F0 00 03 05 93 68 46 ?? ?? ?? ?? 05 9B 01 93 0E E0 68 46 ?? ?? ?? ?? 06 90 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 68 46 ?? ?? ?? ?? 08 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_670_7_0 {
	meta:
		name = "remove"
		size = 122
		refs = "0012 _wremove 0022 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0028 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0032 __acrt_copy_path_to_wide_string 0046 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0052 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 06 D1 00 20 ?? ?? ?? ?? 02 90 02 9B 01 93 27 E0 00 21 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 03 90 03 99 0C 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 08 D1 6F F0 00 03 05 93 68 46 ?? ?? ?? ?? 05 9B 01 93 0E E0 68 46 ?? ?? ?? ?? 06 90 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 68 46 ?? ?? ?? ?? 08 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_200_5_0 {
	meta:
		name = "?_set_new_handler@@YAP6AHI@ZH@Z"
		size = 108
		refs = "0020 _CrtDbgReportW 0030 ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 003c memcpy 0042 ??$?B$$A6AHI@Z@__crt_fast_encoded_nullptr_t@@QBAP6AHI@ZXZ 004a _set_new_handler 0060 ??_C@_1GI@GALDAPMM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1CC@LLFJPCJO@?$AAn?$AAe?$AAw?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AAr?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 2B 0E D0 15 4B 01 93 13 4B 00 93 00 23 31 22 10 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 00 20 ?? ?? ?? ?? 04 90 02 A8 04 A9 01 22 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 05 90 05 98 ?? ?? ?? ?? 06 90 06 9B 07 93 07 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_200_9_0 {
	meta:
		name = "__acrt_initialize_new_handler"
		size = 28
		refs = "000c ?initialize@?$dual_state_global@P6AHI@Z@__crt_state_management@@QAAXQ6AHI@Z@Z 0018 ?__acrt_new_handler@@3V?$dual_state_global@P6AHI@Z@__crt_state_management@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 99 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_368_7_0 {
	meta:
		name = "__acrt_initialize_user_matherr"
		size = 28
		refs = "000c ?initialize@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAAXQ6AHPAU_exception@@@Z@Z 0018 ?user_matherr@@3V?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 99 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_200_10_0 {
	meta:
		name = "_callnewh"
		size = 84
		refs = "000c _query_new_handler 0050 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 0D D0 08 9C 00 9B 01 93 01 98 0A 4B 1B 68 98 47 01 9B 20 46 98 47 04 90 04 9B 00 2B 02 D1 00 23 02 93 01 E0 01 23 02 93 02 98 05 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_200_11_0 {
	meta:
		name = "_query_new_handler"
		size = 68
		refs = "0012 __acrt_lock 0018 ?value@?$dual_state_global@P6AHI@Z@__crt_state_management@@QAAAAP6AHI@ZXZ 0022 ??$__crt_fast_decode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z 002e __acrt_unlock 0040 ?__acrt_new_handler@@3V?$dual_state_global@P6AHI@Z@__crt_state_management@@A"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 00 23 3B 60 00 20 ?? ?? ?? ?? 0A 48 ?? ?? ?? ?? 78 60 7B 68 18 68 ?? ?? ?? ?? B8 60 BB 68 3B 60 00 20 ?? ?? ?? ?? 3B 68 FB 60 F8 68 05 B0 BD E8 80 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_200_13_0 {
	meta:
		name = "_set_new_handler"
		size = 96
		refs = "0014 __acrt_lock 001a ?value@?$dual_state_global@P6AHI@Z@__crt_state_management@@QAAAAP6AHI@ZXZ 0024 ??$__crt_fast_decode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z 0030 ??$__crt_fast_encode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z 0046 __acrt_unlock 005c ?__acrt_new_handler@@3V?$dual_state_global@P6AHI@Z@__crt_state_management@@A"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 00 23 3B 60 00 20 ?? ?? ?? ?? 10 48 ?? ?? ?? ?? 78 60 7B 68 18 68 ?? ?? ?? ?? B8 60 BB 68 3B 60 B8 6A ?? ?? ?? ?? F8 60 09 48 ?? ?? ?? ?? 38 61 FA 68 3B 69 1A 60 00 20 ?? ?? ?? ?? 3B 68 7B 61 78 69 07 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_201_11_0 {
	meta:
		name = "_putws"
		size = 176
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006e __acrt_iob_func 007e ??0<lambda_65123f7c9d6f4a18edfa2b860f737003>@@QAA@ABQAU_iobuf@@ABQB_W@Z 0088 ??$__acrt_lock_stream_and_call@V<lambda_65123f7c9d6f4a18edfa2b860f737003>@@@@YAHQAU_iobuf@@$$QAV<lambda_65123f7c9d6f4a18edfa2b860f737003>@@@Z 00a0 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a4 ??_C@_1O@CMEGJLBK@?$AA_?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 00a8 ??_C@_1FO@DOOOCBO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 11 22 1D 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 03 9B 00 2B 11 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 11 23 13 4A 11 49 10 48 ?? ?? ?? ?? 4F F6 FF 73 05 93 12 E0 01 20 ?? ?? ?? ?? 08 90 08 9B 04 93 10 AA 04 A9 0C A8 ?? ?? ?? ?? 09 90 09 99 04 98 ?? ?? ?? ?? 0A 90 0A 9B 05 93 05 98 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_202_0_0 {
	meta:
		name = "cbrt"
		size = 440
		refs = "0010 _dunscale 004e __rt_sdiv 0072 _dscale"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 06 0B 06 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 93 02 9B 00 2B 08 DB 02 9B 02 2B 00 DD 04 E0 9D ED 06 0B 8D ED 08 0B AA E0 00 23 01 93 05 E0 BD F9 00 30 5B 1C 1B B2 AD F8 00 30 BD F9 00 10 03 20 ?? ?? ?? ?? 03 23 00 FB 03 F2 BD F9 00 30 9A 42 03 D0 01 9B 5B 1E 01 93 E9 E7 01 9B 00 2B 03 DA 01 99 06 A8 ?? ?? ?? ?? 06 AB 9B 1D 1B 88 13 F4 00 4F 02 D1 00 23 01 93 07 E0 01 23 01 93 9D ED 06 0B B1 EE 40 0B 8D ED 06 0B 9F ED 45 1B 9D ED 06 0B 21 EE 00 1B 9F ED 40 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 9F ED 3A 0B 31 EE 00 2B 9D ED 06 1B 9F ED 35 0B 31 EE 00 0B 82 EE 00 0B 8D ED 04 0B B7 EE 08 1B 9D ED 06 0B 21 EE 00 3B 9D ED 04 1B 9D ED 04 0B 21 EE 00 2B B6 EE 00 1B 9D ED 06 0B 21 EE 00 1B 9D ED 04 0B 81 EE 00 0B 32 EE 00 0B 83 EE 00 1B 9D ED 04 0B 30 EE 01 1B B6 EE 00 0B 20 EE 01 0B 8D ED 04 0B B7 EE 08 1B 9D ED 06 0B 21 EE 00 3B 9D ED 04 1B 9D ED 04 0B 21 EE 00 2B B6 EE 00 1B 9D ED 06 0B 21 EE 00 1B 9D ED 04 0B 81 EE 00 0B 32 EE 00 0B 83 EE 00 1B 9D ED 04 0B 30 EE 01 1B B6 EE 00 0B 20 EE 01 0B 8D ED 04 0B 01 9B 00 2B 05 D0 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B BD F9 00 10 03 20 ?? ?? ?? ?? 01 46 04 A8 ?? ?? ?? ?? 9D ED 04 0B 8D ED 08 0B 9D ED 08 0B 0A B0 BD E8 00 88 FE DE 68 AE D3 48 4B E5 D1 3F F9 14 00 E3 19 34 B4 3F 46 EB A8 6A 82 A8 EE 3F 6A C1 8B BE 82 34 CF 3F }
	condition:
		$1
}

rule file_604_0_0 {
	meta:
		name = "cbrtl"
		size = 440
		refs = "0010 _ldunscale 004e __rt_sdiv 0072 _ldscale"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 06 0B 06 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 93 02 9B 00 2B 08 DB 02 9B 02 2B 00 DD 04 E0 9D ED 06 0B 8D ED 08 0B AA E0 00 23 01 93 05 E0 BD F9 00 30 5B 1C 1B B2 AD F8 00 30 BD F9 00 10 03 20 ?? ?? ?? ?? 03 23 00 FB 03 F2 BD F9 00 30 9A 42 03 D0 01 9B 5B 1E 01 93 E9 E7 01 9B 00 2B 03 DA 01 99 06 A8 ?? ?? ?? ?? 06 AB 9B 1D 1B 88 13 F4 00 4F 02 D1 00 23 01 93 07 E0 01 23 01 93 9D ED 06 0B B1 EE 40 0B 8D ED 06 0B 9F ED 45 1B 9D ED 06 0B 21 EE 00 1B 9F ED 40 0B 31 EE 00 1B 9D ED 06 0B 21 EE 00 1B 9F ED 3A 0B 31 EE 00 2B 9D ED 06 1B 9F ED 35 0B 31 EE 00 0B 82 EE 00 0B 8D ED 04 0B B7 EE 08 1B 9D ED 06 0B 21 EE 00 3B 9D ED 04 1B 9D ED 04 0B 21 EE 00 2B B6 EE 00 1B 9D ED 06 0B 21 EE 00 1B 9D ED 04 0B 81 EE 00 0B 32 EE 00 0B 83 EE 00 1B 9D ED 04 0B 30 EE 01 1B B6 EE 00 0B 20 EE 01 0B 8D ED 04 0B B7 EE 08 1B 9D ED 06 0B 21 EE 00 3B 9D ED 04 1B 9D ED 04 0B 21 EE 00 2B B6 EE 00 1B 9D ED 06 0B 21 EE 00 1B 9D ED 04 0B 81 EE 00 0B 32 EE 00 0B 83 EE 00 1B 9D ED 04 0B 30 EE 01 1B B6 EE 00 0B 20 EE 01 0B 8D ED 04 0B 01 9B 00 2B 05 D0 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B BD F9 00 10 03 20 ?? ?? ?? ?? 01 46 04 A8 ?? ?? ?? ?? 9D ED 04 0B 8D ED 08 0B 9D ED 08 0B 0A B0 BD E8 00 88 FE DE 68 AE D3 48 4B E5 D1 3F F9 14 00 E3 19 34 B4 3F 46 EB A8 6A 82 A8 EE 3F 6A C1 8B BE 82 34 CF 3F }
	condition:
		$1
}

rule file_203_0_0 {
	meta:
		name = "_cputs"
		size = 144
		refs = "0020 _CrtDbgReportW 002a __doserrno 0032 _errno 0042 _invalid_parameter 004c __acrt_lock 005e _putch_nolock 006e __acrt_unlock 0080 ??_C@_1GG@BKBKDADK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0084 ??_C@_1O@PLNHBNGC@?$AA_?$AAc?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 BE 48 0D F1 18 0B 6F 46 82 B0 04 46 E4 B9 1E 4C 01 94 1C 4B 00 93 00 23 16 22 18 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 25 05 60 ?? ?? ?? ?? 16 23 03 60 00 95 11 49 10 4A 20 46 ?? ?? ?? ?? EB 43 14 E0 09 20 ?? ?? ?? ?? 00 23 3B 60 6F F0 00 05 94 F9 00 00 30 B1 ?? ?? ?? ?? A8 42 01 D0 64 1C F6 E7 3D 60 09 20 ?? ?? ?? ?? 3B 68 7B 60 78 68 05 B0 BD E8 B0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_204_0_0 {
	meta:
		name = "initialize_global_variables"
		size = 40
		refs = "000c ?initialize@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAAXQAU__crt_locale_data@@@Z 0020 __acrt_current_locale_data 0024 __acrt_initial_locale_data"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 06 49 05 48 ?? ?? ?? ?? 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_204_1_0 {
	meta:
		name = "initialize_c"
		size = 44
		refs = "000a _initialize_onexit_table 0024 __acrt_at_quick_exit_table 0028 __acrt_atexit_table"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 48 ?? ?? ?? ?? 05 48 ?? ?? ?? ?? 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_204_3_0 {
	meta:
		name = "initialize_environment"
		size = 24
		altNames = "initialize_global_state_isolation"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_204_4_0 {
	meta:
		name = "uninitialize_environment"
		size = 50
		refs = "001a __dcrt_uninitialize_environments_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 10 30 00 2B 03 D0 01 23 8D F8 00 30 04 E0 ?? ?? ?? ?? 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_204_7_0 {
	meta:
		name = "initialize_pointers"
		size = 84
		refs = "000a ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0016 memcpy 001c ??$?BX@__crt_fast_encoded_nullptr_t@@QBAPAXXZ 0028 __acrt_initialize_invalid_parameter_handler 002e __acrt_initialize_new_handler 0034 __acrt_initialize_signal_handlers 003a __acrt_initialize_user_matherr 0040 __acrt_initialize_thread_local_exit_callback"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 00 20 ?? ?? ?? ?? 02 90 68 46 02 A9 01 22 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 03 90 03 9B 01 93 01 98 ?? ?? ?? ?? 01 98 ?? ?? ?? ?? 01 98 ?? ?? ?? ?? 01 98 ?? ?? ?? ?? 01 98 ?? ?? ?? ?? 01 23 8D F8 10 30 9D F8 10 00 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_204_8_0 {
	meta:
		name = "uninitialize_vcruntime"
		size = 42
		refs = "000c __vcrt_uninitialize"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_204_9_0 {
	meta:
		name = "uninitialize_allocated_memory"
		size = 132
		refs = "0010 memset 0018 ??$uninitialize@V<lambda_af27fe6ede5d83bbdbd622796c194e9c>@@@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAAX$$QAV<lambda_af27fe6ede5d83bbdbd622796c194e9c>@@@Z 0022 _free_dbg 0070 __wargv 0074 __argv 0078 __acrt_stderr_buffer 007c __acrt_stdout_buffer 0080 __acrt_current_multibyte_data"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 00 21 68 46 ?? ?? ?? ?? 69 46 1A 48 ?? ?? ?? ?? 02 21 17 4B 18 68 ?? ?? ?? ?? 15 4A 00 23 13 60 02 21 12 4B 18 68 ?? ?? ?? ?? 10 4A 00 23 13 60 02 21 0D 4B 18 68 ?? ?? ?? ?? 0B 4A 00 23 13 60 02 21 08 4B 18 68 ?? ?? ?? ?? 06 4A 00 23 13 60 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_204_10_0 {
	meta:
		name = "report_memory_leaks"
		size = 58
		refs = "000e _CrtSetDbgFlag 001e _CrtSetDumpClient 0022 _CrtDumpMemoryLeaks"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 6F F0 00 00 ?? ?? ?? ?? 00 90 00 9B 13 F0 20 0F 04 D0 00 20 ?? ?? ?? ?? ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_204_18_0 {
	meta:
		name = "__acrt_initialize"
		size = 48
		refs = "0010 __acrt_execute_initializers 002c __acrt_initializers"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 08 4B 03 F1 78 01 07 48 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_204_19_0 {
	meta:
		name = "__acrt_thread_attach"
		size = 44
		refs = "0008 __acrt_getptd_noexit"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 01 90 01 9B 00 2B 03 D1 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_204_20_0 {
	meta:
		name = "__acrt_thread_detach"
		size = 28
		refs = "0008 __acrt_freeptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_204_21_0 {
	meta:
		name = "__acrt_uninitialize"
		size = 52
		refs = "0012 __acrt_execute_uninitializers 0030 __acrt_initializers"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 09 4B 03 F1 78 01 07 48 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_204_22_0 {
	meta:
		name = "__acrt_uninitialize_critical"
		size = 38
		refs = "000e __acrt_uninitialize_ptd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 10 00 ?? ?? ?? ?? 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_205_0_0 {
	meta:
		name = "imaxdiv"
		size = 160
		refs = "000a __security_push_cookie 0022 __rt_sdiv64 0094 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 8D B0 16 98 17 99 14 9A 15 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 03 93 02 92 08 90 09 91 16 9B 17 99 00 93 08 9B 09 9A 01 93 00 9B 03 FB 02 F2 01 9B 01 FB 03 F3 D1 18 00 9A 01 9B A2 FB 03 03 19 44 14 9A 15 9B 12 1A 8B 41 0A 92 0B 93 0F E0 08 9A 09 99 00 23 52 1C 4B 41 08 92 09 93 0A 98 0B 99 16 9A 17 9B 82 1A 61 EB 03 03 0A 92 0B 93 12 9D 08 AC 94 E8 0F 00 85 E8 0F 00 12 9B 04 93 04 98 0D B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_206_0_0 {
	meta:
		name = "fputws"
		size = 316
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 00dc _lock_file 00fa _fputwc_nolock 0114 _unlock_file 0128 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1O@CJMGCAOO@?$AAf?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 0130 ??_C@_1GA@OFGELDBF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 82 B0 3B 6C 00 2B 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 43 4B 01 93 41 4B 00 93 00 23 13 22 3E 49 02 20 ?? ?? ?? ?? 38 62 3B 6A 01 2B 00 D1 FE DE 3B 69 00 2B 11 D1 ?? ?? ?? ?? 78 62 7A 6A 16 23 13 60 00 23 00 93 13 23 33 4A 32 49 34 48 ?? ?? ?? ?? 6F F0 00 03 BB 60 54 E0 7B 6C 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 26 4B 01 93 28 4B 00 93 00 23 14 22 25 49 02 20 ?? ?? ?? ?? B8 62 BB 6A 01 2B 00 D1 FE DE BB 69 00 2B 11 D1 ?? ?? ?? ?? F8 62 FA 6A 16 23 13 60 00 23 00 93 14 23 1B 4A 19 49 18 48 ?? ?? ?? ?? 6F F0 00 03 BB 60 23 E0 6F F0 00 03 FB 61 78 6C ?? ?? ?? ?? 3B 6C 7B 60 02 E0 7B 68 9B 1C 7B 60 7B 68 1B 88 00 2B 0C D0 79 6C 7B 68 18 88 ?? ?? ?? ?? 38 80 3A 88 4F F6 FF 73 9A 42 00 D1 02 E0 EB E7 00 23 FB 61 78 6C ?? ?? ?? ?? FB 69 BB 60 B8 68 0F B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_206_1_0 {
	meta:
		name = "fputws$fin$0"
		size = 16
		refs = "0006 _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 78 6C ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_207_4_0 {
	meta:
		name = "_towupper_l"
		size = 332
		refs = "0024 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002a ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 006a ??1_LocaleUpdate@@QAA@XZ 0088 iswctype 0104 __acrt_LCMapStringW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 BD F8 48 20 4F F6 FF 73 9A 42 04 D1 BD F8 48 30 AD F8 14 30 8E E0 13 99 0C A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 07 90 07 9B 1B 68 A0 33 08 33 1B 68 00 2B 1C D1 BD F8 48 30 61 2B 09 DB BD F8 48 30 7A 2B 05 DC BD F8 48 30 61 3B 41 33 06 93 02 E0 BD F8 48 30 06 93 06 9B 9B B2 AD F8 08 30 0C A8 ?? ?? ?? ?? BD F8 08 30 AD F8 14 30 62 E0 BD F8 48 30 B3 F5 80 7F 2F DA 02 21 BD F8 48 00 ?? ?? ?? ?? 08 90 08 9B 00 2B 0C D1 BD F8 48 30 AD F8 0A 30 0C A8 ?? ?? ?? ?? BD F8 0A 30 AD F8 14 30 48 E0 19 E0 0C A8 ?? ?? ?? ?? 09 90 09 9B 1B 68 03 F1 98 01 BD F8 48 20 01 23 02 FB 03 F2 0B 68 13 44 1B 78 AD F8 0C 30 0C A8 ?? ?? ?? ?? BD F8 0C 30 AD F8 14 30 2D E0 0C A8 ?? ?? ?? ?? 0A 90 01 23 01 93 04 AB 00 93 01 23 12 AA 4F F4 00 71 0A 98 00 68 A0 30 08 30 00 68 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 0B D1 BD F8 48 30 AD F8 0E 30 0C A8 ?? ?? ?? ?? BD F8 0E 30 AD F8 14 30 0A E0 BD F8 10 30 AD F8 12 30 0C A8 ?? ?? ?? ?? BD F8 12 30 AD F8 14 30 BD F8 14 00 10 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_207_5_0 {
	meta:
		name = "towupper"
		size = 46
		refs = "0010 _towupper_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 BD F8 10 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_583_5_0 {
	meta:
		name = "towlower"
		size = 46
		refs = "0010 _towlower_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 BD F8 10 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_208_0_0 {
	meta:
		name = "rand"
		size = 68
		refs = "0008 __acrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 18 33 1A 68 09 4B 02 FB 03 F2 07 4B 1A 44 00 9B 18 33 1A 60 00 9B 18 33 1B 68 C3 F3 0E 43 02 93 02 98 04 B0 BD E8 00 88 C3 9E 26 00 FD 43 03 00 }
	condition:
		$1
}

rule file_208_1_0 {
	meta:
		name = "srand"
		size = 36
		refs = "000a __acrt_getptd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 03 F1 18 02 04 9B 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_209_3_0 {
	meta:
		name = "__acrt_update_locale_info"
		size = 80
		refs = "000c ?value@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAAAAPAU__crt_locale_data@@XZ 0030 __acrt_update_thread_locale_data 0048 __globallocalestatus 004c __acrt_current_locale_data"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 48 ?? ?? ?? ?? 00 90 05 9B 1A 68 00 9B 1B 68 9A 42 0E D0 04 9B 03 F5 54 73 1A 68 08 4B 1B 68 13 40 00 2B 05 D1 ?? ?? ?? ?? 01 90 01 9A 05 9B 1A 60 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_209_4_0 {
	meta:
		name = "__acrt_update_multibyte_info"
		size = 80
		refs = "000c ?value@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAAAAPAU__crt_multibyte_data@@XZ 0030 __acrt_update_thread_multibyte_data 0048 __globallocalestatus 004c __acrt_current_multibyte_data"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 48 ?? ?? ?? ?? 00 90 05 9B 1A 68 00 9B 1B 68 9A 42 0E D0 04 9B 03 F5 54 73 1A 68 08 4B 1B 68 13 40 00 2B 05 D1 ?? ?? ?? ?? 01 90 01 9A 05 9B 1A 60 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_210_0_0 {
	meta:
		name = "fmaxl"
		size = 154
		refs = "0012 _ldtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 04 1B 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 05 D1 9D ED 04 0B 8D ED 06 0B 31 E0 30 E0 04 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 05 D1 9D ED 02 0B 8D ED 06 0B 22 E0 21 E0 9D ED 02 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 0E D3 9D ED 02 1B 9D ED 04 0B B4 EE 40 1B F1 EE 10 FA 0B D1 02 AB 9B 1D 1B 88 13 F4 00 4F 05 D0 9D ED 04 0B 8D ED 06 0B 04 E0 03 E0 9D ED 02 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_354_0_0 {
	meta:
		name = "fmax"
		size = 154
		refs = "0012 _dtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 04 1B 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 05 D1 9D ED 04 0B 8D ED 06 0B 31 E0 30 E0 04 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 05 D1 9D ED 02 0B 8D ED 06 0B 22 E0 21 E0 9D ED 02 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 0E D3 9D ED 02 1B 9D ED 04 0B B4 EE 40 1B F1 EE 10 FA 0B D1 02 AB 9B 1D 1B 88 13 F4 00 4F 05 D0 9D ED 04 0B 8D ED 06 0B 04 E0 03 E0 9D ED 02 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_211_17_0 {
	meta:
		name = "puts"
		size = 472
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006e __acrt_iob_func 007c ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0082 ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 0094 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 009c _fileno 018a strlen 019c ??0<lambda_3126a0d026c48c72336a1719c85146ae>@@QAA@ABQAU_iobuf@@ABQBDABI@Z 01a6 ??$__acrt_lock_stream_and_call@V<lambda_3126a0d026c48c72336a1719c85146ae>@@@@YAHQAU_iobuf@@$$QAV<lambda_3126a0d026c48c72336a1719c85146ae>@@@Z 01bc ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 01c0 ??_C@_19OHLFMNEA@?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 01c4 ??_C@_1FM@DPFHHLEF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01cc __badioinfo 01d0 __pioinfo 01d4 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 1E 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 6B 4B 01 93 67 4B 00 93 00 23 10 22 64 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 10 23 5A 4A 58 49 5D 48 ?? ?? ?? ?? 6F F0 00 03 05 93 A1 E0 01 20 ?? ?? ?? ?? 0F 90 0F 9B 04 93 04 99 08 A8 ?? ?? ?? ?? 08 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 4F D1 08 A8 ?? ?? ?? ?? 10 90 10 98 ?? ?? ?? ?? 11 90 11 9B 02 93 02 9B B3 F1 FF 3F 14 D0 02 9B 13 F1 02 0F 10 D0 02 9B 9A 11 04 23 02 FB 03 F2 43 4B 99 18 02 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 09 93 01 E0 3C 4B 09 93 09 9B 29 33 93 F9 00 30 00 2B 21 D1 02 9B B3 F1 FF 3F 14 D0 02 9B 13 F1 02 0F 10 D0 02 9B 9A 11 04 23 02 FB 03 F2 33 4B 99 18 02 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 0A 93 01 E0 2C 4B 0A 93 0A 9B 2D 33 1B 78 03 F0 01 03 00 2B 02 D0 00 23 0B 93 01 E0 01 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 13 22 1D 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 11 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 13 23 13 4A 11 49 10 48 ?? ?? ?? ?? 6F F0 00 03 05 93 13 E0 1E 98 ?? ?? ?? ?? 14 90 14 9B 15 93 15 AB 1E AA 04 A9 18 A8 ?? ?? ?? ?? 16 90 16 99 04 98 ?? ?? ?? ?? 17 90 17 9B 05 93 05 98 1C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_212_0_0 {
	meta:
		name = "acosf"
		size = 840
		refs = "0066 _handle_nanf 008a valf_with_flags 0114 _handle_errorf 017a sqrtf 0314 ?piby2_head@?1??acosf@@9@9 0318 ?piby2_tail@?1??acosf@@9@9 031c ?pi@?1??acosf@@9@9 0338 ??_C@_05FFFCHCED@acosf?$AA@ 0344 ?piby2@?1??acosf@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 9A B0 8D ED 05 0A 9F ED CC 0A 8D ED 08 0A 00 23 0C 93 9D ED 05 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 09 93 09 9B 23 F0 00 43 11 93 09 9B 03 F0 00 43 10 93 11 9B B3 F1 FF 4F 02 D9 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 12 93 09 9B 03 F0 FF 43 DB 0D 7F 3B 0B 93 12 9B 00 2B 0B D0 09 98 00 21 ?? ?? ?? ?? 8D ED 13 0A 9D ED 13 0A 8D ED 06 0A 47 E1 55 E0 0B 9B 13 F1 1A 0F 0D DA 10 20 AF 4B 93 ED 00 0A ?? ?? ?? ?? 8D ED 14 0A 9D ED 14 0A 8D ED 06 0A 35 E1 43 E0 0B 9B 00 2B 40 DB DD ED 05 0A B7 EE 00 0A F4 EE 40 0A F1 EE 10 FA 05 D1 9F ED A2 0A 8D ED 06 0A 23 E1 31 E0 DD ED 05 0A BF EE 00 0A F4 EE 40 0A F1 EE 10 FA 0F D1 10 20 91 4B 93 ED 00 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 15 0A 9D ED 15 0A 8D ED 06 0A 0A E1 18 E0 01 23 03 93 DF ED 91 0A 9D ED 05 0A 21 23 02 93 08 23 01 93 01 23 00 93 8B 4A 00 23 0D 21 89 48 ?? ?? ?? ?? 8D ED 16 0A 9D ED 16 0A 8D ED 06 0A F0 E0 10 9B 00 2B 06 D0 9D ED 05 0A B1 EE 40 0A 8D ED 07 0A 03 E0 9D ED 05 0A 8D ED 07 0A 0B 9B B3 F1 FF 3F 02 DB 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 0C 93 0C 9B 00 2B 1A D0 F7 EE 00 0A 9D ED 07 0A 70 EE C0 0A B6 EE 00 0A 20 EE 20 0A 8D ED 04 0A 9D ED 04 0A ?? ?? ?? ?? 8D ED 17 0A 9D ED 17 0A 8D ED 08 0A 9D ED 08 0A 8D ED 07 0A 07 E0 DD ED 07 0A 9D ED 07 0A 20 EE 80 0A 8D ED 04 0A DF ED 63 0A 9D ED 04 0A 60 EE 80 0A 9F ED 5F 0A 70 EE 60 0A 9D ED 04 0A 60 EE 80 0A 9F ED 5A 0A 70 EE 20 0A 9D ED 04 0A 60 EE 80 0A 9F ED 55 0A 70 EE 20 0A 9D ED 04 0A 20 EE 20 1A DF ED 50 0A 9D ED 04 0A 60 EE 80 0A 9F ED 4C 0A 30 EE 60 0A 81 EE 00 0A 8D ED 0D 0A 0C 9B 00 2B 66 D0 10 9B 00 2B 21 D0 9D ED 08 0A B7 EE C0 2A DD ED 07 0A 9D ED 0D 0A 20 EE 80 0A B7 EE C0 1A 3D 4B 93 ED 00 0B 31 EE 40 0B 32 EE 00 1B B0 EE 00 0B 20 EE 01 1B 39 4B 93 ED 00 0B 30 EE 41 0B B7 EE C0 0B 8D ED 06 0A 5E E0 40 E0 9D ED 08 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 18 93 18 9B 6F F3 0F 03 00 EE 10 3A 8D ED 0A 0A DD ED 0A 0A 9D ED 0A 0A 60 EE 80 0A 9D ED 04 0A 30 EE 60 1A DD ED 08 0A 9D ED 0A 0A 30 EE 80 0A 81 EE 00 0A 8D ED 19 0A F0 EE 00 0A 9D ED 0A 0A 60 EE 80 1A F0 EE 00 0A 9D ED 19 0A 20 EE 80 1A F0 EE 00 0A 9D ED 07 0A 60 EE 80 0A 9D ED 0D 0A 20 EE 80 0A 31 EE 00 0A 31 EE 80 0A 8D ED 06 0A 1C E0 1B E0 9D ED 05 0A B7 EE C0 2A DD ED 05 0A 9D ED 0D 0A 20 EE 80 0A B7 EE C0 1A 0B 4B 93 ED 00 0B 30 EE 41 0B 32 EE 40 1B 07 4B 93 ED 00 0B 30 EE 41 0B B7 EE C0 0B 8D ED 06 0A 9D ED 06 0A 1A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? A5 6F 8D 3F 0D 1F 56 3F DC 94 3C 3E DD 8B 67 BD E1 3F 5B BC 6B CE 81 3B ?? ?? ?? ?? 00 00 C0 FF 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_0_0 {
	meta:
		name = "_fdexp"
		size = 992
		refs = "0010 _fdtest 00a6 _fperrraise 0128 _fdscale 03b8 s 03bc c 03c0 _FEps_C 03c4 c23 03c8 c1 03cc invln2 03d0 _FInf_C 03d4 hugexp 03dc _FNan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 8D ED 05 0A 10 98 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 00 30 05 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 AD F8 02 30 BD F9 00 30 00 2B 04 DA BD F9 02 30 00 2B C0 F2 B9 80 BD F9 00 30 02 2B 04 D1 02 23 AD F8 0C 30 A9 E1 AE E0 BD F9 02 30 02 2B 09 D1 9D ED 05 0A 10 9B 83 ED 00 0A 02 23 AD F8 0C 30 9B E1 A0 E0 BD F9 02 30 00 2B 22 D1 10 9B D3 ED 00 0A D3 4B 93 ED 00 0A F4 EE 40 0A F1 EE 10 FA 09 D0 9D ED 05 0A 10 9B 83 ED 00 0A 00 23 AD F8 0C 30 82 E1 0C E0 01 20 ?? ?? ?? ?? CC 4B 93 ED 00 0A 10 9B 83 ED 00 0A 02 23 AD F8 0C 30 74 E1 79 E0 BD F9 02 30 01 2B 24 D1 C1 4B 93 ED 00 0A F1 EE 40 0A 10 9B 93 ED 00 0A B4 EE 60 0A F1 EE 10 FA 09 D0 9D ED 05 0A 10 9B 83 ED 00 0A 01 23 AD F8 0C 30 59 E1 0C E0 01 20 ?? ?? ?? ?? B7 4B 93 ED 00 0A 10 9B 83 ED 00 0A 02 23 AD F8 0C 30 4B E1 50 E0 BD F9 00 30 00 2B 25 D1 9D ED 05 0A 10 9B 83 ED 00 0A 11 99 10 98 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 AD F8 00 30 BD F9 00 30 06 93 06 9B 00 2B 03 D0 06 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? BD F9 00 30 AD F8 0C 30 21 E1 26 E0 10 9B D3 ED 00 0A 98 4B 93 ED 00 0A F4 EE 40 0A F1 EE 10 FA 0E D1 10 9B D3 ED 00 0A 9D ED 05 0A 20 EE 80 0A 10 9B 83 ED 00 0A 01 23 AD F8 0C 30 07 E1 0C E0 DF ED 8F 0A 9D ED 05 0A 20 EE 80 0A 10 9B 83 ED 00 0A 00 23 AD F8 0C 30 F9 E0 F8 E0 87 4B 93 ED 00 0A F1 EE 40 0A 10 9B 93 ED 00 0A B4 EE E0 0A F1 EE 10 FA 0D D2 DF ED 81 0A 9D ED 05 0A 20 EE 80 0A 10 9B 83 ED 00 0A 00 23 AD F8 0C 30 DE E0 DD E0 79 4B D3 ED 00 0A 10 9B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 11 D2 73 4B D3 ED 00 0A 9D ED 05 0A 20 EE 80 0A 10 9B 83 ED 00 0A 08 20 ?? ?? ?? ?? 01 23 AD F8 0C 30 C1 E0 C0 E0 10 9B D3 ED 00 0A 67 4B 93 ED 00 0A 20 EE 80 0A 8D ED 04 0A 9D ED 04 0A B5 EE C0 0A F1 EE 10 FA 04 D2 BE EE 00 0A 8D ED 07 0A 03 E0 B6 EE 00 0A 8D ED 07 0A DD ED 04 0A 9D ED 07 0A 30 EE 80 0A BD EE C0 0A 10 EE 10 3A 0B 93 0B 9B 00 EE 10 3A B8 EE C0 0A 8D ED 04 0A DD ED 04 0A 51 4B 93 ED 00 0A 60 EE 80 0A 10 9B 93 ED 00 0A 30 EE 60 1A DD ED 04 0A 4A 4B 93 ED 00 0A 20 EE 80 0A 31 EE 40 0A 8D ED 04 0A 44 4B 93 ED 00 0A F1 EE 40 0A 9D ED 04 0A F4 EE C0 0A F1 EE 10 FA 0F D2 DD ED 04 0A 3D 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 05 D2 9D ED 05 0A 10 9B 83 ED 00 0A 40 E0 DD ED 04 0A 9D ED 04 0A 20 EE 80 0A 8D ED 08 0A 31 4B D3 ED 00 0A 9D ED 08 0A 20 EE 20 0A 8D ED 09 0A 2C 4B D3 ED 00 0A 9D ED 08 0A 60 EE 80 0A 28 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 04 0A 20 EE 20 0A 8D ED 0A 0A DD ED 09 0A 9D ED 0A 0A 70 EE 80 0A B7 EE 00 0A 30 EE 20 1A DD ED 09 0A 9D ED 0A 0A 70 EE C0 0A B7 EE 00 0A 30 EE 20 0A C1 EE 00 0A 9D ED 05 0A 20 EE 80 0A 10 9B 83 ED 00 0A 0B 9A 11 9B D1 18 10 98 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 AD F8 00 30 BD F9 00 30 0C 93 0C 9B 00 2B 03 D0 0C 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? BD F9 00 30 AD F8 0C 30 BD F9 0C 00 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_213_1_0 {
	meta:
		name = "exp2f"
		size = 344
		refs = "000e _fdtest 00a2 _fd_int 0130 _fdexp 0148 ln2"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 04 93 04 9B 00 2B 1F D0 04 9B 01 2B 08 D0 04 9B 02 2B 00 D0 1D E0 9D ED 01 0A 8D ED 03 0A 80 E0 01 AB 9B 1C 1B 88 13 F4 00 4F 04 D0 9F ED 43 0A 8D ED 06 0A 03 E0 9D ED 01 0A 8D ED 06 0A 9D ED 06 0A 8D ED 03 0A 6C E0 B7 EE 00 0A 8D ED 03 0A 67 E0 DD ED 01 0A 9F ED 37 0A F4 EE C0 0A F1 EE 10 FA 08 D9 DF ED 33 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 02 D8 00 23 02 93 3F E0 9D ED 01 0A 8D ED 05 0A 00 21 05 A8 ?? ?? ?? ?? 9D ED 05 0A BD EE C0 0A 10 EE 10 3A 02 93 DD ED 01 0A 9D ED 05 0A 30 EE C0 0A 8D ED 01 0A F6 EE 00 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 0B D2 DD ED 01 0A B7 EE 00 0A 30 EE C0 0A 8D ED 01 0A 02 9B 5B 1C 02 93 13 E0 DD ED 01 0A BE EE 00 0A F4 EE C0 0A F1 EE 10 FA 0A D2 DD ED 01 0A B7 EE 00 0A 30 EE 80 0A 8D ED 01 0A 02 9B 5B 1E 02 93 DD ED 01 0A 0B 4B 93 ED 00 0A 20 EE 80 0A 8D ED 01 0A 02 99 B7 EE 00 0A 01 A8 ?? ?? ?? ?? 9D ED 01 0A 8D ED 03 0A 9D ED 03 0A 08 B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 00 4F 00 00 00 CF 00 00 00 00 }
	condition:
		$1
}

rule file_214_9_0 {
	meta:
		name = "?close_os_handle_nolock@@YAKH@Z"
		size = 200
		refs = "000c _get_osfhandle 00bc __imp_GetLastError 00c0 __imp_CloseHandle 00c4 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 98 ?? ?? ?? ?? 03 90 03 9B B3 F1 FF 3F 02 D1 00 23 01 93 46 E0 0C 9B 01 2B 07 D1 27 4B 1B 68 60 33 28 33 1B 78 13 F0 01 0F 0D D1 0C 9B 02 2B 07 D1 21 4B 1B 68 30 33 28 33 1B 78 13 F0 01 0F 02 D1 00 23 02 93 01 E0 01 23 02 93 02 9B DB B2 8D F8 00 30 9D F8 00 30 00 2B 0E D0 01 20 ?? ?? ?? ?? 04 90 02 20 ?? ?? ?? ?? 05 90 04 9A 05 9B 9A 42 02 D1 00 23 01 93 14 E0 0C 98 ?? ?? ?? ?? 06 90 06 98 0C 4B 1B 68 98 47 07 90 07 9B 00 2B 02 D0 00 23 01 93 05 E0 06 4B 1B 68 98 47 08 90 08 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_214_10_0 {
	meta:
		name = "_close"
		size = 380
		refs = "0012 __doserrno 001e _errno 0066 _CrtDbgReportW 009e _invalid_parameter 013e ??0<lambda_4e7105787b7b0e0227fbf2b2d883fa65>@@QAA@ABH@Z 0148 ??$__acrt_lowio_lock_fh_and_call@V<lambda_4e7105787b7b0e0227fbf2b2d883fa65>@@@@YAHH$$QAV<lambda_4e7105787b7b0e0227fbf2b2d883fa65>@@@Z 0160 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0164 ??_C@_1O@EDEJGJBM@?$AA_?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 0168 ??_C@_1FO@IPDGALOE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 016c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0170 __pioinfo 0174 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0178 _nhandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 13 F1 02 0F 0F D1 ?? ?? ?? ?? 07 90 07 9A 00 23 13 60 ?? ?? ?? ?? 08 90 08 9A 09 23 13 60 6F F0 00 03 02 93 8F E0 14 9B 00 2B 07 DB 14 9A 4F 4B 1B 68 9A 42 02 D2 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 47 4B 01 93 44 4B 00 93 00 23 30 22 41 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 04 9B 00 2B 17 D1 ?? ?? ?? ?? 0A 90 0A 9A 00 23 13 60 ?? ?? ?? ?? 0B 90 0B 9A 09 23 13 60 00 23 00 93 30 23 33 4A 32 49 35 48 ?? ?? ?? ?? 6F F0 00 03 02 93 53 E0 14 9B 9A 11 04 23 02 FB 03 F2 2E 4B 99 18 14 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 31 22 1D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 06 9B 00 2B 17 D1 ?? ?? ?? ?? 0D 90 0D 9A 00 23 13 60 ?? ?? ?? ?? 0E 90 0E 9A 09 23 13 60 00 23 00 93 31 23 0F 4A 0E 49 0C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 0B E0 14 A9 11 A8 ?? ?? ?? ?? 0F 90 0F 99 14 98 ?? ?? ?? ?? 10 90 10 9B 02 93 02 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_214_11_0 {
	meta:
		name = "_close_nolock"
		size = 108
		refs = "000c ?close_os_handle_nolock@@YAKH@Z 0018 _free_osfhnd 004a __acrt_errno_map_os_error 0068 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 00 93 06 98 ?? ?? ?? ?? 06 9B 9A 11 04 23 02 FB 03 F2 10 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 00 23 13 70 00 9B 00 2B 06 D0 00 98 ?? ?? ?? ?? 6F F0 00 03 01 93 01 E0 00 23 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_216_0_0 {
	meta:
		name = "??$common_localtime@J@@YAPAUtm@@QBJ@Z"
		size = 74
		refs = "000a __getgmtimebuf 0024 ??$localtime_s@ABQAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAHABQAUtm@@ABQBJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 00 23 01 93 0E E0 08 A9 68 46 ?? ?? ?? ?? 03 90 03 9B 04 93 04 9B 00 2B 02 D0 00 23 01 93 01 E0 00 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_216_1_0 {
	meta:
		name = "??$common_localtime@_J@@YAPAUtm@@QB_J@Z"
		size = 74
		refs = "000a __getgmtimebuf 0024 ??$localtime_s@ABQAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@ABQB_J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 00 23 01 93 0E E0 08 A9 68 46 ?? ?? ?? ?? 03 90 03 9B 04 93 04 9B 00 2B 02 D0 00 23 01 93 01 E0 00 9B 01 93 01 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_216_2_0 {
	meta:
		name = "??$common_localtime_s@J@@YAHQAUtm@@QBJ@Z"
		size = 1016
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 0072 memset 010c __tzset 011e _get_daylight 0134 _invoke_watson_if_error 013a _get_dstbias 0156 _get_timezone 0196 ??$gmtime_s@ABQAUtm@@PAJ@?$__crt_integer_traits@J@@SAHABQAUtm@@$$QAPAJ@Z 01b4 _isindst 01f6 ??$gmtime_s@ABQAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAHABQAUtm@@ABQBJ@Z 024a __rt_sdiv 03d4 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 03d8 ??_C@_1CG@MOPACJME@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 03dc ??_C@_1GE@OILEOEKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 03e0 ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 03e4 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 03ec ??_C@_1CC@FDBJMEBO@?$AAp?$AAt?$AAi?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 03f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 03f4 ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 9F B0 22 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 F3 4B 01 93 F1 4B 00 93 00 23 28 22 EA 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 28 23 DF 4A DE 49 E4 48 ?? ?? ?? ?? 16 23 03 93 A9 E1 24 22 FF 21 22 98 ?? ?? ?? ?? 23 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 D6 4B 01 93 D6 4B 00 93 00 23 2B 22 CF 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 2B 23 C5 4A C3 49 C8 48 ?? ?? ?? ?? 16 23 03 93 74 E1 23 9B 1B 68 00 2B 08 DA ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 16 23 03 93 67 E1 23 9B 1A 68 BC 4B 9A 42 08 DD ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 16 23 03 93 59 E1 ?? ?? ?? ?? 00 23 06 93 00 23 07 93 00 23 05 93 06 A8 ?? ?? ?? ?? 15 90 00 23 01 93 36 23 00 93 AB 4B AA 4A AC 49 15 98 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 16 90 00 23 01 93 37 23 00 93 A4 4B A3 4A A4 49 16 98 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 17 90 00 23 01 93 38 23 00 93 9D 4B 9C 4A 9A 49 17 98 ?? ?? ?? ?? 23 9B 1A 68 96 4B 9A 42 3B DD 23 9B 1A 68 93 4B 9A 42 36 DA 23 9B 1A 68 05 9B D3 1A 04 93 04 AB 18 93 18 A9 22 A8 ?? ?? ?? ?? 19 90 19 9B 0C 93 0C 9B 00 2B 02 D0 0C 9B 03 93 09 E1 06 9B 00 2B 1E D0 22 98 ?? ?? ?? ?? 1A 90 1A 9B 00 2B 17 D0 04 9A 07 9B D3 1A 04 93 04 AB 1B 93 1B A9 22 A8 ?? ?? ?? ?? 1C 90 1C 9B 0D 93 0D 9B 00 2B 02 D0 0D 9B 03 93 EC E0 22 9B 03 F1 20 02 01 23 13 60 E4 E0 23 A9 22 A8 ?? ?? ?? ?? 1D 90 1D 9B 0E 93 0E 9B 00 2B 02 D0 0E 9B 03 93 D9 E0 22 9B 1B 68 02 93 06 9B 00 2B 12 D0 22 98 ?? ?? ?? ?? 1E 90 1E 9B 00 2B 0B D0 05 9A 07 9B 1A 44 02 9B 9B 1A 02 93 22 9B 03 F1 20 02 01 23 13 60 03 E0 02 9A 05 9B D3 1A 02 93 02 99 3C 20 ?? ?? ?? ?? 22 9B 19 60 22 9B 1B 68 00 2B 08 DA 22 9B 1B 68 03 F1 3C 02 22 9B 1A 60 02 9B 3C 3B 02 93 22 9B 1C 1D 02 99 3C 20 ?? ?? ?? ?? 23 68 03 44 02 93 02 99 3C 20 ?? ?? ?? ?? 22 9B 1B 1D 19 60 22 9B 1B 1D 1B 68 00 2B 0A DA 22 9B 1B 1D 1B 68 03 F1 3C 02 22 9B 1B 1D 1A 60 02 9B 3C 3B 02 93 22 9B 03 F1 08 04 02 99 3C 20 ?? ?? ?? ?? 23 68 03 44 02 93 02 99 18 20 ?? ?? ?? ?? 22 9B 08 33 19 60 22 9B 08 33 1B 68 00 2B 0A DA 22 9B 08 33 1B 68 03 F1 18 02 22 9B 08 33 1A 60 02 9B 18 3B 02 93 02 99 18 20 ?? ?? ?? ?? 02 90 02 9B 00 2B 1B DD 22 9B 18 33 1A 68 02 9B D1 18 07 20 ?? ?? ?? ?? 22 9B 18 33 19 60 22 9B 0C 33 1A 68 02 9B 1A 44 22 9B 0C 33 1A 60 22 9B 1C 33 1A 68 02 9B 1A 44 22 9B 1C 33 1A 60 42 E0 02 9B 00 2B 3F DA 22 9B 18 33 1B 68 DA 1D 02 9B D1 18 07 20 ?? ?? ?? ?? 22 9B 18 33 19 60 22 9B 0C 33 1A 68 02 9B 1A 44 22 9B 0C 33 1A 60 22 9B 0C 33 1B 68 00 2B 1E DC 22 9B 0C 33 1B 68 03 F1 1F 02 22 9B 0C 33 1A 60 22 9B 1C 33 1A 68 02 9B 13 44 03 F2 6D 12 22 9B 1C 33 1A 60 22 9B 03 F1 10 02 0B 23 13 60 22 9B 14 33 1B 68 5A 1E 22 9B 14 33 1A 60 07 E0 22 9B 1C 33 1A 68 02 9B 1A 44 22 9B 1C 33 1A 60 00 23 03 93 03 98 1F B0 BD E8 10 08 5D F8 0C FB FF DD FB 7F 80 F4 03 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 7F D2 FF 7F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_216_3_0 {
	meta:
		name = "??$common_localtime_s@_J@@YAHQAUtm@@QB_J@Z"
		size = 1332
		refs = "003c _CrtDbgReportW 0050 _errno 006e _invalid_parameter 007e memset 0150 __tzset 0162 _get_daylight 0178 _invoke_watson_if_error 017e _get_dstbias 019a _get_timezone 0212 ??$gmtime_s@ABQAUtm@@PA_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@$$QAPA_J@Z 0230 _isindst 027c ??$gmtime_s@ABQAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@ABQB_J@Z 02f6 __rt_sdiv64 0430 __rt_sdiv 0510 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0514 ??_C@_1CG@MOPACJME@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0518 ??_C@_1GE@OILEOEKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 051c ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 0520 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0528 ??_C@_1CC@FDBJMEBO@?$AAp?$AAt?$AAi?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 052c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0530 ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B C4 B0 48 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 11 D1 DF F8 08 35 01 93 DF F8 FC 34 00 93 00 23 28 22 DF F8 E0 14 02 20 ?? ?? ?? ?? 29 90 29 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 13 D1 ?? ?? ?? ?? 2A 90 2A 9A 16 23 13 60 00 23 00 93 28 23 DF F8 B4 24 DF F8 AC 14 DF F8 C4 04 ?? ?? ?? ?? 16 23 04 93 40 E2 24 22 FF 21 48 98 ?? ?? ?? ?? 49 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 11 D1 DF F8 88 34 01 93 DF F8 88 34 00 93 00 23 2B 22 DF F8 68 14 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 13 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 2B 23 DF F8 3C 24 DF F8 34 14 DF F8 44 04 ?? ?? ?? ?? 16 23 04 93 05 E2 49 9B 1B 68 2C 93 49 9B 5B 68 2D 93 2C 9B 17 93 2D 9B 00 2B 0C DC 02 DB 17 9B 00 2B 08 D2 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 16 23 04 93 ED E1 49 9B 1B 68 2E 93 49 9B 5B 68 2F 93 2E 9B 19 93 2F 9B 07 2B 0D DB 03 DC 19 9A FA 4B 9A 42 08 D9 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 16 23 04 93 D4 E1 ?? ?? ?? ?? 00 23 07 93 00 23 06 93 00 23 05 93 07 A8 ?? ?? ?? ?? 1B 90 00 23 01 93 36 23 00 93 E9 4B E8 4A EA 49 1B 98 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 1C 90 00 23 01 93 37 23 00 93 E2 4B E1 4A E2 49 1C 98 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 1D 90 00 23 01 93 38 23 00 93 DB 4B DA 4A D8 49 1D 98 ?? ?? ?? ?? 49 9B 1B 68 30 93 49 9B 5B 68 31 93 30 9B 1E 93 31 9B 00 2B 56 DB 03 DC 1E 9A CF 4B 9A 42 51 D9 49 9B 1B 68 32 93 49 9B 5B 68 33 93 32 9B 1F 93 33 9B 07 2B 46 DC 03 DB 1F 9A C6 4B 9A 42 41 D2 05 98 05 9B D9 17 49 9B 1A 68 49 9B 5B 68 12 1A 8B 41 08 92 09 93 08 AB 20 93 20 A9 48 A8 ?? ?? ?? ?? 21 90 21 9B 0E 93 0E 9B 00 2B 02 D0 0E 9B 04 93 68 E1 07 9B 00 2B 23 D0 48 98 ?? ?? ?? ?? 22 90 22 9B 00 2B 1C D0 06 98 06 9B D9 17 08 9A 09 9B 12 1A 8B 41 08 92 09 93 08 AB 23 93 23 A9 48 A8 ?? ?? ?? ?? 24 90 24 9B 0F 93 0F 9B 00 2B 02 D0 0F 9B 04 93 46 E1 48 9B 03 F1 20 02 01 23 13 60 3E E1 49 A9 48 A8 ?? ?? ?? ?? 25 90 25 9B 10 93 10 9B 00 2B 02 D0 10 9B 04 93 33 E1 48 9B 1B 68 11 93 11 9A 11 9B DB 17 02 92 03 93 07 9B 00 2B 19 D0 48 98 ?? ?? ?? ?? 26 90 26 9B 00 2B 12 D0 05 9A 06 9B 13 44 12 93 12 98 12 9B D9 17 02 9A 03 9B 12 1A 8B 41 02 92 03 93 48 9B 03 F1 20 02 01 23 13 60 08 E0 05 98 05 9B D9 17 02 9A 03 9B 12 1A 8B 41 02 92 03 93 3C 20 00 21 02 9A 03 9B ?? ?? ?? ?? 39 91 38 90 48 9B 1A 60 48 9B 1B 68 00 2B 0D DA 48 9B 1B 68 03 F1 3C 02 48 9B 1A 60 02 9A 03 99 00 23 3C 3A 61 EB 03 03 02 92 03 93 48 9B 1B 1D 1B 68 13 93 13 9D 13 9B DC 17 3C 20 00 21 02 9A 03 9B ?? ?? ?? ?? 3B 93 3A 92 2A 18 44 EB 01 03 02 92 03 93 3C 20 00 21 02 9A 03 9B ?? ?? ?? ?? 3D 91 3C 90 48 9B 1B 1D 1A 60 48 9B 1B 1D 1B 68 00 2B 0F DA 48 9B 1B 1D 1B 68 03 F1 3C 02 48 9B 1B 1D 1A 60 02 9A 03 99 00 23 3C 3A 61 EB 03 03 02 92 03 93 48 9B 08 33 1B 68 14 93 14 9D 14 9B DC 17 3C 20 00 21 02 9A 03 9B ?? ?? ?? ?? 3F 93 3E 92 2A 18 44 EB 01 03 02 92 03 93 18 20 00 21 02 9A 03 9B ?? ?? ?? ?? 41 91 40 90 48 9B 08 33 1A 60 48 9B 08 33 1B 68 00 2B 0F DA 48 9B 08 33 1B 68 03 F1 18 02 48 9B 08 33 1A 60 02 9A 03 99 00 23 18 3A 61 EB 03 03 02 92 03 93 18 20 00 21 02 9A 03 9B ?? ?? ?? ?? 43 93 42 92 02 90 03 91 02 9B 34 93 03 9B 35 93 34 9B 27 93 35 9B 00 2B 1F DB 02 DC 27 9B 00 2B 1B D9 48 9B 18 33 02 9A 1B 68 99 18 07 20 ?? ?? ?? ?? 48 9B 18 33 19 60 48 9B 0C 33 02 9A 1B 68 1A 44 48 9B 0C 33 1A 60 48 9B 1C 33 02 9A 1B 68 1A 44 48 9B 1C 33 1A 60 4C E0 02 9B 36 93 03 9B 37 93 36 9B 28 93 37 9B 00 2B 43 DC 02 DB 28 9B 00 2B 3F D2 48 9B 18 33 1B 68 DA 1D 02 9B D1 18 07 20 ?? ?? ?? ?? 48 9B 18 33 19 60 48 9B 0C 33 02 9A 1B 68 1A 44 48 9B 0C 33 1A 60 48 9B 0C 33 1B 68 00 2B 1E DC 48 9B 0C 33 1B 68 03 F1 1F 02 48 9B 0C 33 1A 60 48 9B 1C 33 02 9A 1B 68 13 44 03 F2 6D 12 48 9B 1C 33 1A 60 48 9B 03 F1 10 02 0B 23 13 60 48 9B 14 33 1B 68 5A 1E 48 9B 14 33 1A 60 07 E0 48 9B 1C 33 02 9A 1B 68 1A 44 48 9B 1C 33 1A 60 00 23 04 93 04 98 44 B0 BD E8 30 08 5D F8 0C FB FE DE 7F 36 54 93 80 F4 03 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FF 2A 58 93 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_217_0_0 {
	meta:
		name = "_d_int"
		size = 552
		refs = "0220 ?sub@?3??_d_int@@9@9 0224 ?mask@?3??_d_int@@9@9"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 01 93 01 9B 9B 1D 1A 88 47 F6 F0 73 13 40 1B 11 1B B2 AD F8 00 30 BD F9 00 20 40 F2 FF 73 9A 42 1F D1 01 9B 9B 1D 1B 88 03 F0 0F 03 00 2B 10 D1 01 9B 1B 1D 1B 88 00 2B 0B D1 01 9B 9B 1C 1B 88 00 2B 06 D1 01 9B 1B 88 00 2B 02 D1 01 23 04 93 01 E0 02 23 04 93 04 9B 1B B2 AD F8 08 30 D2 E0 18 E0 01 9B 9B 1D 1B 88 23 F4 00 43 00 2B 11 D1 01 9B 1B 1D 1B 88 00 2B 0C D1 01 9B 9B 1C 1B 88 00 2B 07 D1 01 9B 1B 88 00 2B 03 D1 00 23 AD F8 08 30 B8 E0 BD F9 00 20 40 F2 33 43 9A 1A BD F9 24 30 D3 1A 1B B2 AD F8 00 30 BD F9 00 30 00 2B 04 DC 00 23 AD F8 08 30 A5 E0 A4 E0 BD F9 00 30 35 2B 19 DB 01 9B 9B 1D 1B 88 03 F4 00 41 01 9B 9A 1D 8B B2 13 80 01 9B 1A 1D 00 23 13 80 01 9B 9A 1C 00 23 13 80 01 9A 00 23 13 80 6F F0 00 03 AD F8 08 30 87 E0 86 E0 BD F9 00 30 03 F0 0F 02 02 23 02 FB 03 F2 44 4B 13 44 1B 88 AD F8 02 30 BD F9 00 30 1B 11 1B B2 AD F8 00 30 BD F9 00 20 04 23 02 FB 03 F2 3B 4B 13 44 1A 68 02 23 02 FB 03 F2 01 9B 13 44 1A 88 BD F8 02 30 13 40 9B B2 AD F8 02 30 BD F9 00 20 04 23 02 FB 03 F2 31 4B 13 44 1A 68 02 23 02 FB 03 F2 01 9B 13 44 BD F8 02 20 1B 88 83 EA 02 01 BD F9 00 20 04 23 02 FB 03 F2 28 4B 13 44 1A 68 02 23 02 FB 03 F2 01 9B 1A 44 8B B2 13 80 BD F9 00 30 03 93 03 9B 01 2B 20 D0 03 9B 02 2B 10 D0 03 9B 03 2B 00 D0 24 E0 01 9B 1B 1D 1A 88 BD F8 02 30 13 43 9B B2 AD F8 02 30 01 9B 1A 1D 00 23 13 80 01 9B 9B 1C 1A 88 BD F8 02 30 13 43 9B B2 AD F8 02 30 01 9B 9A 1C 00 23 13 80 01 9B 1A 88 BD F8 02 30 13 43 9B B2 AD F8 02 30 01 9A 00 23 13 80 BD F8 02 30 00 2B 03 D0 6F F0 00 03 05 93 01 E0 00 23 05 93 05 9B 1B B2 AD F8 08 30 BD F9 08 00 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_217_1_0 {
	meta:
		name = "_dtest"
		size = 202
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 9B 9B 1D 1A 88 47 F6 F0 73 1A 40 47 F6 F0 73 9A 42 1F D1 00 9B 9B 1D 1B 88 03 F0 0F 03 00 2B 10 D1 00 9B 1B 1D 1B 88 00 2B 0B D1 00 9B 9B 1C 1B 88 00 2B 06 D1 00 9B 1B 88 00 2B 02 D1 01 23 02 93 01 E0 02 23 02 93 02 9B 1B B2 AD F8 04 30 2D E0 2C E0 00 9B 9B 1D 1B 88 23 F4 00 43 00 2B 0D D1 00 9B 1B 1D 1B 88 00 2B 08 D1 00 9B 9B 1C 1B 88 00 2B 03 D1 00 9B 1B 88 00 2B 14 D0 00 9B 9B 1D 1A 88 47 F6 F0 73 13 40 00 2B 03 D1 6F F0 01 03 03 93 02 E0 6F F0 00 03 03 93 03 9B 1B B2 AD F8 04 30 03 E0 02 E0 00 23 AD F8 04 30 BD F9 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_217_2_0 {
	meta:
		name = "_fd_int"
		size = 420
		refs = "019c ?sub@?3??_fd_int@@9@9 01a0 ?mask@?3??_fd_int@@9@9"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 01 93 01 9B 9B 1C 1B 88 03 F4 FF 43 DB 11 1B B2 AD F8 00 30 BD F9 00 30 FF 2B 15 D1 01 9B 9B 1C 1B 88 03 F0 7F 03 00 2B 06 D1 01 9B 1B 88 00 2B 02 D1 01 23 03 93 01 E0 02 23 03 93 03 9B 1B B2 AD F8 08 30 9C E0 0E E0 01 9B 9B 1C 1B 88 23 F4 00 43 00 2B 07 D1 01 9B 1B 88 00 2B 03 D1 00 23 AD F8 08 30 8C E0 BD F9 00 30 C3 F1 96 02 BD F9 24 30 D3 1A 1B B2 AD F8 00 30 BD F9 00 30 00 2B 04 DC 00 23 AD F8 08 30 7A E0 79 E0 BD F9 00 30 18 2B 11 DB 01 9B 9B 1C 1B 88 03 F4 00 41 01 9B 9A 1C 8B B2 13 80 01 9A 00 23 13 80 6F F0 00 03 AD F8 08 30 64 E0 63 E0 BD F9 00 30 03 F0 0F 02 02 23 02 FB 03 F2 33 4B 13 44 1B 88 AD F8 02 30 BD F9 00 30 1B 11 1B B2 AD F8 00 30 BD F9 00 20 04 23 02 FB 03 F2 2A 4B 13 44 1A 68 02 23 02 FB 03 F2 01 9B 13 44 1A 88 BD F8 02 30 13 40 9B B2 AD F8 02 30 BD F9 00 20 04 23 02 FB 03 F2 20 4B 13 44 1A 68 02 23 02 FB 03 F2 01 9B 13 44 BD F8 02 20 1B 88 83 EA 02 01 BD F9 00 20 04 23 02 FB 03 F2 17 4B 13 44 1A 68 02 23 02 FB 03 F2 01 9B 1A 44 8B B2 13 80 BD F9 00 30 00 2B 0A DD 01 9B 1A 88 BD F8 02 30 13 43 9B B2 AD F8 02 30 01 9A 00 23 13 80 BD F8 02 30 00 2B 03 D0 6F F0 00 03 04 93 01 E0 00 23 04 93 04 9B 1B B2 AD F8 08 30 BD F9 08 00 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_217_3_0 {
	meta:
		name = "_fdtest"
		size = 156
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 9B 9B 1C 1B 88 03 F4 FF 43 B3 F5 FF 4F 15 D1 00 9B 9B 1C 1B 88 03 F0 7F 03 00 2B 06 D1 00 9B 1B 88 00 2B 02 D1 01 23 02 93 01 E0 02 23 02 93 02 9B 1B B2 AD F8 04 30 22 E0 21 E0 00 9B 9B 1C 1B 88 23 F4 00 43 00 2B 03 D1 00 9B 1B 88 00 2B 13 D0 00 9B 9B 1C 1B 88 03 F4 FF 43 00 2B 03 D1 6F F0 01 03 03 93 02 E0 6F F0 00 03 03 93 03 9B 1B B2 AD F8 04 30 03 E0 02 E0 00 23 AD F8 04 30 BD F9 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_217_4_0 {
	meta:
		name = "_fperrraise"
		size = 36
		refs = "000e fegetexceptflag 0016 fperrraise_with"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 1F 21 68 46 ?? ?? ?? ?? 00 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_217_5_0 {
	meta:
		name = "_ld_int"
		size = 46
		refs = "0010 _d_int"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F9 14 10 04 98 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 BD F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_217_6_0 {
	meta:
		name = "_ldtest"
		size = 42
		refs = "000c _dtest"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 BD F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_217_7_0 {
	meta:
		name = "fperrraise_with"
		size = 210
		refs = "007e __acrt_fenv_get_fp_status_word_from_exception_mask 0090 fesetexceptflag 00a4 _errno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 03 23 01 93 01 9B 13 F0 02 0F 3E D0 00 23 00 93 08 9B 03 F0 18 03 00 2B 03 D0 08 9B 43 F0 20 03 08 93 08 9B 13 F0 20 0F 03 D0 00 9B 43 F0 01 03 00 93 08 9B 13 F0 10 0F 03 D0 00 9B 43 F0 02 03 00 93 08 9B 13 F0 08 0F 03 D0 00 9B 43 F0 04 03 00 93 08 9B 13 F0 04 0F 03 D0 00 9B 43 F0 08 03 00 93 08 9B 13 F0 01 0F 03 D0 00 9B 43 F0 10 03 00 93 00 98 ?? ?? ?? ?? 02 90 09 9A 02 9B 13 43 09 93 1F 21 09 A8 ?? ?? ?? ?? 01 9B 13 F0 01 0F 15 D0 08 9B 13 F0 01 0F 06 D0 ?? ?? ?? ?? 03 90 03 9A 21 23 13 60 0A E0 08 9B 03 F0 1C 03 00 2B 05 D0 ?? ?? ?? ?? 04 90 04 9A 22 23 13 60 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_218_0_0 {
	meta:
		name = "_getdllprocaddr"
		size = 44
		refs = "0028 __imp_GetProcAddress"
	strings:
		$1 = { 2D E9 00 48 EB 46 41 B9 4F F6 FF 73 9A 42 07 DC 11 46 05 4B 1B 68 98 47 03 E0 B2 F1 FF 3F F8 D0 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_219_7_0 {
	meta:
		name = "_fputc_nolock"
		size = 144
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0014 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 003e ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0048 __acrt_stdio_flush_and_write_narrow_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0D 99 01 A8 ?? ?? ?? ?? 01 A8 ?? ?? ?? ?? 05 90 05 9B 08 33 03 93 03 9B 1B 68 5A 1E 03 9B 1A 60 01 A8 ?? ?? ?? ?? 06 90 06 9B 08 33 1B 68 00 2B 0B DA 01 A8 ?? ?? ?? ?? 07 90 07 99 0C 98 ?? ?? ?? ?? 08 90 08 9B 04 93 17 E0 0C 9B 5B B2 8D F8 00 30 01 A8 ?? ?? ?? ?? 09 90 09 9B 02 93 02 9B 1A 68 9D F9 00 30 13 70 02 9B 1B 68 5A 1C 02 9B 1A 60 9D F9 00 30 DB B2 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_219_8_0 {
	meta:
		name = "_fputchar"
		size = 44
		refs = "000c __acrt_iob_func 0016 fputc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 01 20 ?? ?? ?? ?? 00 90 00 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_219_10_0 {
	meta:
		name = "fputc"
		size = 484
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0078 _lock_file 0082 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 008a ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 009a ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 00a2 _fileno 0192 __jump_unwind 019a _fputc_nolock 01a6 _unlock_file 01c4 $LN24 01c8 ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 01cc ??_C@_1M@OIJMPNCO@?$AAf?$AAp?$AAu?$AAt?$AAc?$AA?$AA@ 01d0 ??_C@_1FO@FNOAOMLP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01d8 __badioinfo 01dc __pioinfo 01e0 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 93 B0 6F 46 82 B0 FB 6D 00 2B 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 6D 4B 01 93 69 4B 00 93 00 23 28 22 66 49 02 20 ?? ?? ?? ?? F8 62 FB 6A 01 2B 00 D1 FE DE 3B 69 00 2B 11 D1 ?? ?? ?? ?? 38 63 3A 6B 16 23 13 60 00 23 00 93 28 23 5B 4A 5A 49 5E 48 ?? ?? ?? ?? 6F F0 00 03 BB 60 A2 E0 00 23 BB 62 F8 6D ?? ?? ?? ?? F9 6D 17 F1 14 00 ?? ?? ?? ?? 17 F1 14 00 ?? ?? ?? ?? 38 71 3B 79 00 2B 50 D1 17 F1 14 00 ?? ?? ?? ?? 78 63 78 6B ?? ?? ?? ?? B8 63 BB 6B 3B 60 3B 68 B3 F1 FF 3F 14 D0 3B 68 13 F1 02 0F 10 D0 3B 68 9A 11 04 23 02 FB 03 F2 45 4B 99 18 3B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 BB 61 01 E0 3E 4B BB 61 BB 69 29 33 93 F9 00 30 00 2B 21 D1 3B 68 B3 F1 FF 3F 14 D0 3B 68 13 F1 02 0F 10 D0 3B 68 9A 11 04 23 02 FB 03 F2 34 4B 99 18 3B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 FB 61 01 E0 2D 4B FB 61 FB 69 2D 33 1B 78 03 F0 01 03 00 2B 02 D0 00 23 3B 62 01 E0 01 23 3B 62 3B 6A 7B 62 7B 6A 00 2B 0E D1 20 4B 01 93 22 4B 00 93 00 23 2F 22 1F 49 02 20 ?? ?? ?? ?? F8 63 FB 6B 01 2B 00 D1 FE DE 7B 6A 00 2B 15 D1 ?? ?? ?? ?? 38 64 3A 6C 16 23 13 60 00 23 00 93 2F 23 14 4A 13 49 11 48 ?? ?? ?? ?? 6F F0 00 03 BB 64 0D 49 07 F1 60 00 ?? ?? ?? ?? F9 6D B8 6D ?? ?? ?? ?? 78 64 7B 6C BB 62 F8 6D ?? ?? ?? ?? BB 6A BB 60 03 E0 02 E0 00 BF BB 6C BB 60 B8 68 15 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_219_11_0 {
	meta:
		name = "fputc$fin$0"
		size = 16
		refs = "0006 _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 F8 6D ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_220_5_0 {
	meta:
		name = "_mbsnextc_l"
		size = 144
		refs = "0010 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0026 _CrtDbgReportW 0030 _errno 0044 _invalid_parameter 0080 ??_C@_1HC@OKGOOFB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0084 ??_C@_1BI@IOLGAJKA@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAe?$AAx?$AAt?$AAc?$AA_?$AAl?$AA?$AA@ 0088 ??_C@_1BK@FPAMLIDG@?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 04 46 02 A8 00 25 ?? ?? ?? ?? D4 B9 1D 4B 1B 4C 19 49 00 93 00 23 2F 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 12 49 11 4A 00 23 00 93 2F 23 20 46 ?? ?? ?? ?? 00 20 0C E0 22 78 04 9B 13 44 5B 7E 13 F0 04 0F 03 D0 63 78 0B B1 15 02 64 1C 23 78 58 19 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 06 B0 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_221_2_0 {
	meta:
		name = "__p__fmode"
		size = 32
		refs = "000a ?value@?$dual_state_global@H@__crt_state_management@@QAAAAHXZ 001c _fmode"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 48 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_236_8_0 {
	meta:
		name = "__daylight"
		size = 32
		refs = "000a ?value@?$dual_state_global@H@__crt_state_management@@QAAAAHXZ 001c ?_daylight@@3V?$dual_state_global@H@__crt_state_management@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 48 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_236_9_0 {
	meta:
		name = "__dstbias"
		size = 32
		refs = "000a ?value@?$dual_state_global@J@__crt_state_management@@QAAAAJXZ 001c ?_dstbias@@3V?$dual_state_global@J@__crt_state_management@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 48 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_236_10_0 {
	meta:
		name = "__timezone"
		size = 32
		refs = "000a ?value@?$dual_state_global@J@__crt_state_management@@QAAAAJXZ 001c ?_timezone@@3V?$dual_state_global@J@__crt_state_management@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 48 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_649_38_0 {
	meta:
		name = "_is_c_termination_complete"
		size = 32
		refs = "000a ??$__crt_interlocked_read@J@@YAJPDJ@Z 001c ?c_termination_complete@@3JA"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 04 48 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_222_22_0 {
	meta:
		name = "_fwrite_nolock"
		size = 1128
		refs = "0020 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0026 ?valid@__crt_stdio_stream@@QBA_NXZ 005e _CrtDbgReportW 0072 _errno 008a _invalid_parameter 0100 __rt_udiv 0166 ?has_any_buffer@__crt_stdio_stream@@QBA_NXZ 0178 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 01ae ?has_big_buffer@__crt_stdio_stream@@QBA_NXZ 0216 ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 026e memcpy 02d4 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 02dc __acrt_stdio_flush_nolock 0344 _fileno 0350 _write 03de __acrt_stdio_flush_and_write_narrow_nolock 044c ??_C@_1GA@JFCHAOOC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0450 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0454 ??_C@_1LG@DCNDJCHK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AAC?$AAo?$AAu?$AAn?$AAt?$AA?4?$AA?5?$AAF?$AAl?$AAu@ 0458 ??_C@_1FG@KLKDPCLL@?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA?$CI?$AAS?$AAI?$AAZ?$AAE?$AA_?$AAM?$AAA?$AAX?$AA?5?$AA?1?$AA?5?$AAe?$AAl?$AAe@ 045c ??_C@_1BO@JGPKCBCE@?$AA_?$AAf?$AAw?$AAr?$AAi?$AAt?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0460 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0464 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B6 B0 39 9B 00 2B 02 D0 3A 9B 00 2B 02 D1 00 23 04 93 11 E2 3B 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 10 D1 DF F8 18 34 01 93 DF F8 FC 33 00 93 00 23 3B 22 FC 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 00 23 00 93 3B 23 F1 4A F5 49 F6 48 ?? ?? ?? ?? 00 23 04 93 D5 E1 38 9B 00 2B 02 D0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 EC 4B 01 93 E7 4B 00 93 00 23 3C 22 E4 49 02 20 ?? ?? ?? ?? 1E 90 1E 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 10 D1 ?? ?? ?? ?? 1F 90 1F 9A 16 23 13 60 00 23 00 93 3C 23 D9 4A DD 49 DD 48 ?? ?? ?? ?? 00 23 04 93 A5 E1 39 98 6F F0 00 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 3A 9B 83 42 02 D8 01 23 10 93 01 E0 00 23 10 93 10 9B 11 93 11 9B 00 2B 0E D1 CE 4B 01 93 CB 4B 00 93 00 23 3D 22 C8 49 02 20 ?? ?? ?? ?? 20 90 20 9B 01 2B 00 D1 FE DE 11 9B 00 2B 10 D1 ?? ?? ?? ?? 21 90 21 9A 16 23 13 60 00 23 00 93 3D 23 BD 4A C1 49 BF 48 ?? ?? ?? ?? 00 23 04 93 6D E1 02 A8 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 08 D0 02 A8 ?? ?? ?? ?? 22 90 22 9B 18 33 1B 68 12 93 02 E0 4F F4 80 53 12 93 12 9B 0B 93 39 9A 3A 9B 02 FB 03 F3 07 93 38 9B 05 93 07 9B 03 93 03 9B 00 2B 00 F0 48 81 02 A8 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 7B D0 02 A8 ?? ?? ?? ?? 23 90 23 9B 08 33 1B 68 00 2B 72 D0 02 A8 ?? ?? ?? ?? 24 90 24 9B 08 33 1B 68 00 2B 26 DA 02 A8 ?? ?? ?? ?? 25 90 25 9B 08 33 1B 68 00 2B 0E DA 97 4B 01 93 95 4B 00 93 00 23 53 22 92 49 02 20 ?? ?? ?? ?? 26 90 26 9B 01 2B 00 D1 FE DE 10 21 02 A8 ?? ?? ?? ?? 07 9A 03 9B D1 1A 39 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 04 90 07 E1 02 A8 ?? ?? ?? ?? 27 90 27 9B 08 33 03 9A 1B 68 9A 42 02 D2 03 9B 13 93 07 E0 02 A8 ?? ?? ?? ?? 28 90 28 9B 08 33 1B 68 13 93 13 9B 08 93 02 A8 ?? ?? ?? ?? 29 90 08 9A 05 99 29 9B 18 68 ?? ?? ?? ?? 03 9A 08 9B D3 1A 03 93 02 A8 ?? ?? ?? ?? 2A 90 2A 9B 08 33 14 93 14 9B 1A 68 08 9B D2 1A 14 9B 1A 60 02 A8 ?? ?? ?? ?? 2B 90 2B 9B 15 93 15 9B 1A 68 08 9B 1A 44 15 9B 1A 60 05 9A 08 9B 13 44 05 93 C1 E0 03 9A 0B 9B 9A 42 C0 F0 87 80 02 A8 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 15 D0 02 A8 ?? ?? ?? ?? 2C 90 2C 98 ?? ?? ?? ?? 2D 90 2D 9B 00 2B 0A D0 07 9A 03 9B D1 1A 39 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 04 90 A0 E0 0B 9B 00 2B 0A D9 03 99 0B 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 03 9B 5B 1A 16 93 01 E0 03 9B 16 93 16 9B 17 93 17 9B 13 F1 02 0F 02 D2 17 9B 18 93 02 E0 6F F0 01 03 18 93 18 9B 0A 93 02 A8 ?? ?? ?? ?? 2E 90 2E 98 ?? ?? ?? ?? 2F 90 0A 9A 05 99 2F 98 ?? ?? ?? ?? 30 90 30 9B 09 93 09 9B B3 F1 FF 3F 0E D1 10 21 02 A8 ?? ?? ?? ?? 07 9A 03 9B D1 1A 39 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 04 90 5F E0 09 9A 0A 9B 9A 42 02 D9 0A 9B 19 93 01 E0 09 9B 19 93 19 9B 1A 93 03 9A 1A 9B D3 1A 03 93 05 9A 1A 9B 13 44 05 93 09 9A 0A 9B 9A 42 0E D2 10 21 02 A8 ?? ?? ?? ?? 07 9A 03 9B D1 1A 39 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 04 90 39 E0 35 E0 02 A8 ?? ?? ?? ?? 31 90 31 99 05 9B 93 F9 00 00 ?? ?? ?? ?? 32 90 32 9B B3 F1 FF 3F 0A D1 07 9A 03 9B D1 1A 39 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 04 90 1E E0 05 9B 5B 1C 05 93 03 9B 5B 1E 03 93 02 A8 ?? ?? ?? ?? 33 90 33 9B 18 33 1B 68 00 2B 08 DD 02 A8 ?? ?? ?? ?? 34 90 34 9B 18 33 1B 68 1B 93 01 E0 01 23 1B 93 1B 9B 0B 93 B3 E6 3A 9B 04 93 04 98 36 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_222_23_0 {
	meta:
		name = "fwrite"
		size = 184
		refs = "0046 _CrtDbgReportW 005a _errno 0072 _invalid_parameter 0088 ??0<lambda_54dcfcba6f8e0c549fa430f4d53fb7dd>@@QAA@ABQAU_iobuf@@ABQBXABI2@Z 0092 ??$__acrt_lock_stream_and_call@V<lambda_54dcfcba6f8e0c549fa430f4d53fb7dd>@@@@YAIQAU_iobuf@@$$QAV<lambda_54dcfcba6f8e0c549fa430f4d53fb7dd>@@@Z 00a8 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ac ??_C@_1O@KLNKIMAP@?$AAf?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?$AA@ 00b0 ??_C@_1GA@JFCHAOOC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 11 9B 00 2B 02 D0 12 9B 00 2B 02 D1 00 23 02 93 3F E0 13 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 1C 4B 01 93 1E 4B 00 93 00 23 21 22 1B 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 21 23 10 4A 0F 49 0D 48 ?? ?? ?? ?? 00 23 02 93 0F E0 12 AB 00 93 11 AB 10 AA 13 A9 0A A8 ?? ?? ?? ?? 07 90 07 99 13 98 ?? ?? ?? ?? 08 90 08 9B 02 93 02 98 0E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_223_2_0 {
	meta:
		name = "??$initialize_from_array@$$BY00Q6AXPB_W00II@Z@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAAXAAY00Q6AXPB_W00II@Z@Z"
		size = 80
		refs = "000c ?dangerous_get_state_array@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAAPAP6AXPB_W00II@ZXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 01 2B 0E D0 00 9A 04 23 02 FB 03 F2 07 9B 99 18 00 9A 04 23 02 FB 03 F2 02 9B 1A 44 0B 68 13 60 EA E7 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_223_7_0 {
	meta:
		name = "__acrt_initialize_invalid_parameter_handler"
		size = 36
		refs = "0012 ??$initialize_from_array@$$BY00Q6AXPB_W00II@Z@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAAXAAY00Q6AXPB_W00II@Z@Z 0020 ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 69 46 03 48 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_223_8_0 {
	meta:
		name = "_get_invalid_parameter_handler"
		size = 44
		refs = "000a ?value@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAAAAP6AXPB_W00II@ZXZ 0014 ??$__crt_fast_decode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z 0028 ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 07 48 ?? ?? ?? ?? 00 90 00 9B 18 68 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_223_9_0 {
	meta:
		name = "_get_thread_local_invalid_parameter_handler"
		size = 48
		refs = "0008 __acrt_getptd_noexit"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 00 23 01 93 04 E0 00 9B 03 F5 57 73 1B 68 01 93 01 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_223_10_0 {
	meta:
		name = "_invalid_parameter"
		size = 188
		refs = "000c __acrt_getptd_noexit 0058 ?value@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAAAAP6AXPB_W00II@ZXZ 0062 ??$__crt_fast_decode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z 00a6 _invoke_watson 00b4 __guard_check_icall_fptr 00b8 ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@A"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 89 B0 ?? ?? ?? ?? 06 90 06 9B 02 93 02 9B 00 2B 1C D0 02 9B 03 F5 57 73 1B 68 00 2B 16 D0 14 9B 00 93 DD F8 4C 80 12 9F 11 9E 10 9D 02 9B 03 F5 57 73 1B 68 03 93 03 98 1C 4B 1B 68 98 47 03 9C 28 46 31 46 3A 46 43 46 A0 47 29 E0 18 48 ?? ?? ?? ?? 07 90 07 9B 18 68 ?? ?? ?? ?? 08 90 08 9B 04 93 04 9B 00 2B 13 D0 14 9B 00 93 DD F8 4C 80 12 9F 11 9E 10 9D 04 9B 05 93 05 98 0B 4B 1B 68 98 47 05 9C 28 46 31 46 3A 46 43 46 A0 47 07 E0 14 9B 00 93 13 9B 12 9A 11 99 10 98 ?? ?? ?? ?? 09 B0 BD E8 F0 09 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_223_11_0 {
	meta:
		name = "_invalid_parameter_noinfo"
		size = 30
		refs = "0014 _invalid_parameter"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 23 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_223_12_0 {
	meta:
		name = "_invalid_parameter_noinfo_noreturn"
		size = 42
		refs = "0014 _invalid_parameter 0024 _invoke_watson"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 23 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 00 23 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_223_14_0 {
	meta:
		name = "_set_invalid_parameter_handler"
		size = 76
		refs = "000c ?value@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAAAAP6AXPB_W00II@ZXZ 0016 ??$__crt_fast_decode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z 0022 ??$__crt_fast_encode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z 0048 ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 0F 48 ?? ?? ?? ?? 00 90 00 9B 18 68 ?? ?? ?? ?? 01 90 01 9B 04 93 08 98 ?? ?? ?? ?? 02 90 07 48 ?? ?? ?? ?? 03 90 02 9A 03 9B 1A 60 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_223_15_0 {
	meta:
		name = "_set_thread_local_invalid_parameter_handler"
		size = 56
		refs = "000a __acrt_getptd"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 03 F5 57 73 1B 68 02 93 00 9B 03 F5 57 72 06 9B 13 60 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_224_0_0 {
	meta:
		name = "_putw"
		size = 232
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 007a _lock_file 00a6 _fputc_nolock 00ae ferror 00c2 _unlock_file 00d8 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00dc ??_C@_1M@LOGHDBHD@?$AA_?$AAp?$AAu?$AAt?$AAw?$AA?$AA@ 00e0 ??_C@_1FM@DMFBEADK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 82 B0 FB 6B 00 2B 02 D0 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 2B 4B 01 93 2D 4B 00 93 00 23 12 22 2A 49 02 20 ?? ?? ?? ?? B8 61 BB 69 01 2B 00 D1 FE DE BB 68 00 2B 11 D1 ?? ?? ?? ?? F8 61 FA 69 16 23 13 60 00 23 00 93 12 23 1F 4A 1E 49 1C 48 ?? ?? ?? ?? 6F F0 00 03 7B 61 2B E0 6F F0 00 03 3B 61 F8 6B ?? ?? ?? ?? 17 F1 38 03 FB 60 FB 68 1B 1D 3B 62 FB 68 3B 60 02 E0 3B 68 5B 1C 3B 60 3A 68 3B 6A 9A 42 06 D0 F9 6B 3B 68 93 F9 00 00 ?? ?? ?? ?? F1 E7 F8 6B ?? ?? ?? ?? 78 62 7B 6A 00 2B 00 D0 01 E0 BB 6B 3B 61 F8 6B ?? ?? ?? ?? 3B 69 7B 61 78 69 0D B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_1_0 {
	meta:
		name = "_putw$fin$0"
		size = 16
		refs = "0006 _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 F8 6B ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_225_5_0 {
	meta:
		name = "_mbctoupper_l"
		size = 138
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 004c __acrt_LCMapStringA"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 8C B0 04 46 08 A8 ?? ?? ?? ?? 02 25 FF 2C 23 D9 0A 9A 23 0A DB B2 8D F8 18 30 13 44 8D F8 19 40 5B 7E 13 F0 04 0F 1F D0 01 23 04 93 53 68 D2 F8 1C 12 09 A8 03 93 07 AB 01 93 06 AB 4F F4 00 72 02 95 00 95 ?? ?? ?? ?? 70 B1 9D F8 1C 20 9D F8 1D 30 03 EB 02 24 07 E0 0A 9B 1A 19 53 7E 13 F0 20 0F 01 D0 92 F8 19 41 9D F8 2C 30 2B B1 08 9A D2 F8 50 33 AB 43 C2 F8 50 33 20 46 0C B0 BD E8 30 88 }
	condition:
		$1
}

rule file_227_3_0 {
	meta:
		name = "??$common_popen@D@@YAPAU_iobuf@@QBD0@Z"
		size = 324
		refs = "0024 _CrtDbgReportW 002e _errno 0044 _invalid_parameter 007e ??$convert_popen_type_to_fdopen_mode@D@@YA?AU?$fdopen_mode@D@?A0xe43b7539@@QBD@Z 00b2 _pipe 00e0 __acrt_lock 00f4 ??$common_popen_nolock@D@@YAPAU_iobuf@@QBD0HAAY01H@Z 0116 _close 0120 __acrt_unlock 0130 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CA@JCBOLNKD@?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 013c ??_C@_1BK@KJMENLOK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0140 ??_C@_1CG@HEENKCFK@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 6F 46 82 B0 06 46 E6 B9 4B 4C 01 94 47 4B 00 93 00 23 40 F2 59 12 43 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 59 13 3F 49 3B 4A 20 46 ?? ?? ?? ?? 00 23 6C E0 B1 B9 3A 4C 01 94 38 4B 00 93 00 23 4F F4 AD 72 34 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 4F F4 AD 73 E0 E7 08 46 ?? ?? ?? ?? 38 60 3B 88 3B 81 BB 78 BB 72 97 F9 00 30 00 2B D9 D0 80 22 97 F9 01 30 74 2B 01 D1 4F F4 81 42 62 2B 01 D1 42 F4 00 42 17 F1 10 00 4F F4 80 61 ?? ?? ?? ?? 10 F1 01 0F C5 D0 97 F9 08 30 77 2B 3B 69 7A 69 02 D1 00 24 3B 60 01 E0 01 24 3A 60 0C B9 7A 60 00 E0 7B 60 00 23 FB 60 0A 20 ?? ?? ?? ?? ?? ?? ?? ?? 05 68 3B 46 17 F1 08 01 22 46 30 46 ?? ?? ?? ?? 04 46 FC 60 ?? ?? ?? ?? 05 60 64 B9 17 F1 08 05 3C 46 AC 42 07 D0 20 68 10 F1 01 0F 01 D0 ?? ?? ?? ?? 24 1D F5 E7 0A 20 ?? ?? ?? ?? FB 68 3B 60 38 68 08 B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_5_0 {
	meta:
		name = "??$common_popen@_W@@YAPAU_iobuf@@QB_W0@Z"
		size = 324
		refs = "0008 __security_push_cookie 0028 _CrtDbgReportW 0032 _errno 0048 _invalid_parameter 0082 ??$convert_popen_type_to_fdopen_mode@_W@@YA?AU?$fdopen_mode@_W@?A0xe43b7539@@QB_W@Z 00b0 _pipe 00dc __acrt_lock 00f0 ??$common_popen_nolock@_W@@YAPAU_iobuf@@QB_W0HAAY01H@Z 0112 _close 011c __acrt_unlock 0128 __security_pop_cookie 0130 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CA@JCBOLNKD@?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 013c ??_C@_1BK@KJMENLOK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0140 ??_C@_1CG@HEENKCFK@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 89 B0 6F 46 82 B0 06 46 E6 B9 4A 4C 01 94 46 4B 00 93 00 23 40 F2 59 12 42 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 59 13 3E 49 3A 4A 20 46 ?? ?? ?? ?? 00 23 68 E0 B1 B9 39 4C 01 94 37 4B 00 93 00 23 4F F4 AD 72 33 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 4F F4 AD 73 E0 E7 38 46 ?? ?? ?? ?? 3B 68 BB 61 BB 88 BB 83 3B 88 00 2B DB D0 80 22 7B 88 74 2B 01 D1 4F F4 81 42 62 2B 01 D1 42 F4 00 42 17 F1 10 00 4F F4 80 61 ?? ?? ?? ?? 10 F1 01 0F C8 D0 3B 8B 77 2B 3B 69 7A 69 02 D1 00 24 3B 60 01 E0 01 24 3A 60 0C B9 7A 60 00 E0 7B 60 00 23 BB 60 0A 20 ?? ?? ?? ?? ?? ?? ?? ?? 05 68 3B 46 17 F1 18 01 22 46 30 46 ?? ?? ?? ?? 04 46 BC 60 ?? ?? ?? ?? 05 60 64 B9 17 F1 08 05 3C 46 AC 42 07 D0 20 68 10 F1 01 0F 01 D0 ?? ?? ?? ?? 24 1D F5 E7 0A 20 ?? ?? ?? ?? BB 68 3B 60 38 68 0B B0 ?? ?? ?? ?? BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_7_0 {
	meta:
		name = "??$common_popen_nolock@D@@YAPAU_iobuf@@QBD0HAAY01H@Z"
		size = 652
		refs = "0058 _close 0066 _fdopen 0076 ?idtab@@YAPAUprocess_handle_pair@?A0xe43b7539@@QAU_iobuf@@@Z 0098 _dupenv_s_dbg 00b4 memset 00da strlen 0104 _calloc_dbg 0112 strcpy_s 0122 strcat_s 013a ??$get_executable_path@D@@YAPBDQBD@Z 01bc _free_dbg 01e4 fclose 020c _invoke_watson 0248 ??_C@_1JA@HPEGENJN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 024c ??_C@_1CI@LBEGKNKG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0250 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0254 ??_C@_1JA@PIKINCLJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 0258 ??_C@_1JA@JIGINNAN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 025c ??_C@_1IG@EFDNNALB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAc?$AAo?$AAm@ 0260 ??_C@_1BI@ODLDHOJB@?$AAg?$AAe?$AAt?$AA_?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA?$AA@ 0264 __imp_CloseHandle 0268 __imp_CreateProcessA 026c ?slash_c@?1???$common_popen_nolock@D@@YAPAU_iobuf@@QBD0HAAY01H@Z@4QBDB 0270 ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0274 __pioinfo 0278 ?default_cmd_exe@?1???$common_popen_nolock@D@@YAPAU_iobuf@@QBD0HAAY01H@Z@4QBDB 027c ?comspec_name@?1???$get_comspec@D@@YAPBDXZ@4QBDB 0280 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0284 __imp_DuplicateHandle 0288 __imp_GetCurrentProcess"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B A5 B0 9F 4C 1F 46 92 46 24 68 88 46 09 90 A0 47 3C 68 96 49 6F F0 00 03 A6 11 04 F0 3F 04 04 EB 44 05 51 F8 26 40 06 93 02 23 04 EB 05 14 A1 69 92 4C 02 93 01 23 24 68 01 93 4F F0 00 09 06 AB 02 46 CD F8 00 90 A0 47 08 B9 00 24 C8 E0 38 68 ?? ?? ?? ?? 78 68 6F F0 00 03 41 46 3B 60 ?? ?? ?? ?? 07 46 07 97 0F B9 00 24 B5 E0 00 20 ?? ?? ?? ?? 06 46 0A 96 0E B9 00 24 AA E0 00 23 08 93 6A 23 01 93 7C 4B 7B 4A 08 A8 00 93 02 23 00 21 ?? ?? ?? ?? 00 28 54 D0 16 28 00 F0 AD 80 4F F0 00 09 DF F8 CC 81 15 A8 40 22 00 21 ?? ?? ?? ?? 44 23 14 93 4F F4 80 73 1F 93 6C 4B BA F1 00 0F 1A 68 45 D1 06 9B 22 93 93 6C 23 93 93 6F 40 46 24 93 ?? ?? ?? ?? 05 46 62 48 ?? ?? ?? ?? DD F8 24 A0 04 46 50 46 ?? ?? ?? ?? 2B 19 1C 18 40 F2 25 13 00 93 5C 4B 02 22 01 21 60 1C ?? ?? ?? ?? 05 46 00 2D 5A D0 42 46 61 1C ?? ?? ?? ?? 00 28 40 F0 8C 80 53 4A 61 1C 28 46 ?? ?? ?? ?? 00 28 7B D1 52 46 61 1C 28 46 ?? ?? ?? ?? 00 28 6B D1 40 46 ?? ?? ?? ?? 00 28 40 D0 40 45 0F D0 07 46 0E E0 DD F8 20 90 B9 F1 00 0F AA D0 C8 46 AA E7 93 69 BA F1 01 0F 22 93 B6 D1 06 9B B5 E7 00 27 00 23 CD E9 0C 33 CD E9 0E 33 CD E9 10 33 CD E9 12 33 10 AB 05 93 14 AB 39 4C 04 93 00 23 03 93 02 93 01 93 24 68 01 23 00 93 00 23 00 22 29 46 A0 47 10 B9 0A 9E 00 24 0A E0 07 9C 00 23 07 93 2E 4B 11 98 1B 68 98 47 10 9B C6 E9 00 43 00 26 02 21 38 46 ?? ?? ?? ?? 07 9F 00 E0 00 24 02 21 28 46 ?? ?? ?? ?? 02 21 48 46 ?? ?? ?? ?? 4F F0 00 09 0E B1 C6 E9 00 99 17 B1 38 46 ?? ?? ?? ?? 06 98 6F F0 00 03 98 42 02 D0 1C 4B 1B 68 98 47 20 46 25 B0 BD E8 F0 8F 13 4A 17 49 15 48 A3 23 CD F8 00 90 ?? ?? ?? ?? 0F 4A 0E 49 10 48 00 23 00 93 40 F2 2B 13 ?? ?? ?? ?? 0B 4A 09 49 0B 48 00 23 00 93 4F F4 95 73 ?? ?? ?? ?? 06 4A 05 49 03 48 00 23 00 93 40 F2 29 13 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_8_0 {
	meta:
		name = "??$common_popen_nolock@_W@@YAPAU_iobuf@@QB_W0HAAY01H@Z"
		size = 652
		refs = "0058 _close 0066 _wfdopen 0076 ?idtab@@YAPAUprocess_handle_pair@?A0xe43b7539@@QAU_iobuf@@@Z 0098 _wdupenv_s_dbg 00b4 memset 00da wcslen 0104 _calloc_dbg 0112 wcscpy_s 0122 wcscat_s 013a ??$get_executable_path@_W@@YAPB_WQB_W@Z 01bc _free_dbg 01e4 fclose 020c _invoke_watson 0248 ??_C@_1JA@HPEGENJN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 024c ??_C@_1CI@LBEGKNKG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0250 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0254 ??_C@_1JA@PIKINCLJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 0258 ??_C@_1JA@JIGINNAN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 025c ??_C@_1IG@EFDNNALB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAc?$AAo?$AAm@ 0260 ??_C@_1BI@ODLDHOJB@?$AAg?$AAe?$AAt?$AA_?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA?$AA@ 0264 __imp_CloseHandle 0268 __imp_CreateProcessW 026c ?slash_c@?1???$common_popen_nolock@_W@@YAPAU_iobuf@@QB_W0HAAY01H@Z@4QB_WB 0270 ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0274 __pioinfo 0278 ?default_cmd_exe@?1???$common_popen_nolock@_W@@YAPAU_iobuf@@QB_W0HAAY01H@Z@4QB_WB 027c ?comspec_name@?1???$get_comspec@_W@@YAPB_WXZ@4QB_WB 0280 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0284 __imp_DuplicateHandle 0288 __imp_GetCurrentProcess"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B A5 B0 9F 4C 1F 46 92 46 24 68 88 46 09 90 A0 47 3C 68 96 49 6F F0 00 03 A6 11 04 F0 3F 04 04 EB 44 05 51 F8 26 40 06 93 02 23 04 EB 05 14 A1 69 92 4C 02 93 01 23 24 68 01 93 4F F0 00 09 06 AB 02 46 CD F8 00 90 A0 47 08 B9 00 24 C8 E0 38 68 ?? ?? ?? ?? 78 68 6F F0 00 03 41 46 3B 60 ?? ?? ?? ?? 07 46 07 97 0F B9 00 24 B5 E0 00 20 ?? ?? ?? ?? 06 46 0A 96 0E B9 00 24 AA E0 00 23 08 93 79 23 01 93 7C 4B 7B 4A 08 A8 00 93 02 23 00 21 ?? ?? ?? ?? 00 28 54 D0 16 28 00 F0 AD 80 4F F0 00 09 DF F8 CC 81 15 A8 40 22 00 21 ?? ?? ?? ?? 44 23 14 93 4F F4 80 73 1F 93 6C 4B BA F1 00 0F 1A 68 45 D1 06 9B 22 93 93 6C 23 93 93 6F 40 46 24 93 ?? ?? ?? ?? 05 46 62 48 ?? ?? ?? ?? DD F8 24 A0 04 46 50 46 ?? ?? ?? ?? 2B 19 1C 18 40 F2 25 13 00 93 5C 4B 02 22 02 21 60 1C ?? ?? ?? ?? 05 46 00 2D 5A D0 42 46 61 1C ?? ?? ?? ?? 00 28 40 F0 8C 80 53 4A 61 1C 28 46 ?? ?? ?? ?? 00 28 7B D1 52 46 61 1C 28 46 ?? ?? ?? ?? 00 28 6B D1 40 46 ?? ?? ?? ?? 00 28 40 D0 40 45 0F D0 07 46 0E E0 DD F8 20 90 B9 F1 00 0F AA D0 C8 46 AA E7 93 69 BA F1 01 0F 22 93 B6 D1 06 9B B5 E7 00 27 00 23 CD E9 0C 33 CD E9 0E 33 CD E9 10 33 CD E9 12 33 10 AB 05 93 14 AB 39 4C 04 93 00 23 03 93 02 93 01 93 24 68 01 23 00 93 00 23 00 22 29 46 A0 47 10 B9 0A 9E 00 24 0A E0 07 9C 00 23 07 93 2E 4B 11 98 1B 68 98 47 10 9B C6 E9 00 43 00 26 02 21 38 46 ?? ?? ?? ?? 07 9F 00 E0 00 24 02 21 28 46 ?? ?? ?? ?? 02 21 48 46 ?? ?? ?? ?? 4F F0 00 09 0E B1 C6 E9 00 99 17 B1 38 46 ?? ?? ?? ?? 06 98 6F F0 00 03 98 42 02 D0 1C 4B 1B 68 98 47 20 46 25 B0 BD E8 F0 8F 13 4A 17 49 15 48 A3 23 CD F8 00 90 ?? ?? ?? ?? 0F 4A 0E 49 10 48 00 23 00 93 40 F2 2B 13 ?? ?? ?? ?? 0B 4A 09 49 0B 48 00 23 00 93 4F F4 95 73 ?? ?? ?? ?? 06 4A 05 49 03 48 00 23 00 93 40 F2 29 13 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_9_0 {
	meta:
		name = "??$convert_popen_type_to_fdopen_mode@D@@YA?AU?$fdopen_mode@D@?A0xe43b7539@@QBD@Z"
		size = 232
		refs = "004a _CrtDbgReportW 0054 _errno 0068 _invalid_parameter 00d4 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00d8 ??_C@_1EE@FHHOKLEO@?$AAc?$AAo?$AAn?$AAv?$AAe?$AAr?$AAt?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAt?$AAo?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA_?$AAm?$AAo?$AAd@ 00dc ??_C@_1GO@BNCIIAE@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5@ 00e0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00e4 ??_C@_1EG@HHHDCLJ@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AAw?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 00 23 AD F8 0C 30 8D F8 0E 30 BD F8 0C 30 AD F8 08 30 9D F8 0E 30 8D F8 0A 30 00 E0 40 1C 90 F9 00 30 20 2B FA D0 5B B2 77 2B 1C D0 72 2B 1A D0 29 4B 29 4C 25 49 00 93 00 23 8D 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 1E 49 1D 4A 00 23 00 93 8D 23 20 46 ?? ?? ?? ?? 03 98 2D E0 8D F8 08 30 10 F9 01 3F 02 E0 40 1C 90 F9 00 30 20 2B FA D0 90 F9 00 30 EB B1 74 2B 1B D0 62 2B 19 D0 13 4B 11 4C 0F 49 00 93 00 23 93 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 08 49 07 4A 00 23 00 93 93 23 20 46 ?? ?? ?? ?? 01 E0 8D F8 09 30 02 98 05 B0 BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_10_0 {
	meta:
		name = "??$convert_popen_type_to_fdopen_mode@_W@@YA?AU?$fdopen_mode@_W@?A0xe43b7539@@QB_W@Z"
		size = 200
		refs = "003e _CrtDbgReportW 0048 _errno 005c _invalid_parameter 00b4 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00b8 ??_C@_1GO@BNCIIAE@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5@ 00bc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1EE@FHHOKLEO@?$AAc?$AAo?$AAn?$AAv?$AAe?$AAr?$AAt?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAt?$AAo?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA_?$AAm?$AAo?$AAd@ 00c4 ??_C@_1EG@HHHDCLJ@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AAw?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8@"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 04 46 00 23 02 93 AD F8 0C 30 23 60 BD F8 0C 30 A3 80 00 E0 89 1C 0B 88 20 2B FB D0 9B B2 77 2B 1B D0 72 2B 19 D0 23 4B 24 4D 20 49 00 93 00 23 8D 22 02 20 01 95 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 8D 23 1A 49 16 4A 28 46 ?? ?? ?? ?? 23 E0 23 80 31 F8 02 3F 01 E0 89 1C 0B 88 20 2B FB D0 0B 88 C3 B1 74 2B 16 D0 62 2B 14 D0 0F 4B 0D 4D 0C 49 00 93 00 23 93 22 02 20 01 95 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 93 23 D6 E7 63 80 20 46 04 B0 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_11_0 {
	meta:
		name = "??$create_process@ABQBDPAD$$T$$THH$$T$$TPAU_STARTUPINFOA@@PAU_PROCESS_INFORMATION@@@?$__crt_char_traits@D@@SAHABQBD$$QAPAD$$QA$$T2$$QAH322$$QAPAU_STARTUPINFOA@@$$QAPAU_PROCESS_INFORMATION@@@Z"
		size = 72
		refs = "0044 __imp_CreateProcessA"
		altNames = "??$create_process@PADPAD$$T$$THAAKPAD$$TPAU_STARTUPINFOA@@PAU_PROCESS_INFORMATION@@@?$__crt_char_traits@D@@SAH$$QAPAD0$$QA$$T1$$QAHAAK01$$QAPAU_STARTUPINFOA@@$$QAPAU_PROCESS_INFORMATION@@@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 0F 9C 1B 68 12 68 24 68 09 68 00 68 05 94 0E 9C 24 68 04 94 0D 9C 24 68 03 94 0C 9C 24 68 02 94 0B 9C 24 68 01 94 0A 9C 24 68 00 94 03 4C 24 68 A0 47 07 B0 BD E8 10 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_12_0 {
	meta:
		name = "??$create_process@ABQB_WPA_W$$T$$THH$$T$$TPAU_STARTUPINFOW@@PAU_PROCESS_INFORMATION@@@?$__crt_char_traits@_W@@SAHABQB_W$$QAPA_W$$QA$$T2$$QAH322$$QAPAU_STARTUPINFOW@@$$QAPAU_PROCESS_INFORMATION@@@Z"
		size = 72
		refs = "0044 __imp_CreateProcessW"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 0F 9C 1B 68 12 68 24 68 09 68 00 68 05 94 0E 9C 24 68 04 94 0D 9C 24 68 03 94 0C 9C 24 68 02 94 0B 9C 24 68 01 94 0A 9C 24 68 00 94 03 4C 24 68 A0 47 07 B0 BD E8 10 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_9_0 {
	meta:
		name = "??$create_process@PA_WPA_W$$T$$THAAKPA_W$$TPAU_STARTUPINFOW@@PAU_PROCESS_INFORMATION@@@?$__crt_char_traits@_W@@SAH$$QAPA_W0$$QA$$T1$$QAHAAK01$$QAPAU_STARTUPINFOW@@$$QAPAU_PROCESS_INFORMATION@@@Z"
		size = 72
		refs = "0044 __imp_CreateProcessW"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 0F 9C 1B 68 12 68 24 68 09 68 00 68 05 94 0E 9C 24 68 04 94 0D 9C 24 68 03 94 0C 9C 24 68 02 94 0B 9C 24 68 01 94 0A 9C 24 68 00 94 03 4C 24 68 A0 47 07 B0 BD E8 10 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_13_0 {
	meta:
		name = "??$get_comspec@D@@YAPBDXZ"
		size = 88
		refs = "001c _dupenv_s_dbg 003e _invoke_watson 0044 ??_C@_1IG@EFDNNALB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAc?$AAo?$AAm@ 0048 ??_C@_1BI@ODLDHOJB@?$AAg?$AAe?$AAt?$AA_?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA?$AA@ 004c ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0050 ?comspec_name@?1???$get_comspec@D@@YAPBDXZ@4QBDB 0054 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 00 23 02 93 6A 23 01 93 10 4B 0F 4A 02 A8 00 93 02 23 00 21 ?? ?? ?? ?? 18 B1 16 28 05 D0 00 20 00 E0 02 98 04 B0 BD E8 00 88 06 4A 04 49 03 48 00 23 00 93 A3 23 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_14_0 {
	meta:
		name = "??$get_comspec@_W@@YAPB_WXZ"
		size = 88
		refs = "001c _wdupenv_s_dbg 003e _invoke_watson 0044 ??_C@_1IG@EFDNNALB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAc?$AAo?$AAm@ 0048 ??_C@_1BI@ODLDHOJB@?$AAg?$AAe?$AAt?$AA_?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA?$AA@ 004c ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0050 ?comspec_name@?1???$get_comspec@_W@@YAPB_WXZ@4QB_WB 0054 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 00 23 02 93 79 23 01 93 10 4B 0F 4A 02 A8 00 93 02 23 00 21 ?? ?? ?? ?? 18 B1 16 28 05 D0 00 20 00 E0 02 98 04 B0 BD E8 00 88 06 4A 04 49 03 48 00 23 00 93 A3 23 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_15_0 {
	meta:
		name = "??$get_executable_path@D@@YAPBDQBD@Z"
		size = 336
		refs = "000c _access_s 0024 _calloc_dbg 0046 _dupenv_s_dbg 005c strlen 0072 _mbsrchr 0092 strcat_s 00ca __acrt_getpath 00da _free_dbg 0100 _invoke_watson 0128 ??_C@_1GM@DICPHENP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@ 012c ??_C@_1CI@LBIAGDOL@?$AAg?$AAe?$AAt?$AA_?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAa?$AAb?$AAl?$AAe?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 0130 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0134 ??_C@_1GK@JIFCHPLG@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@ 0138 ??_C@_1HK@GJKIMGCD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt@ 013c ??_C@_1BC@OEBMOOLC@?$AAg?$AAe?$AAt?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 0140 ?backslash@?L@???$get_executable_path@D@@YAPBDQBD@Z@4QBDB 0144 ?path_name@?1???$get_path@D@@YAPBDXZ@4QBDB 0148 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 014c ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 00 21 05 46 ?? ?? ?? ?? 00 28 68 D0 C7 23 00 93 4C 4B 4F F4 82 79 02 22 01 21 48 46 ?? ?? ?? ?? 06 46 80 46 0E B9 00 25 55 E0 00 23 02 93 6A 23 01 93 43 4B 41 4A 02 A8 00 93 02 23 00 21 ?? ?? ?? ?? 18 B1 16 28 51 D0 00 27 00 E0 02 9F 38 46 34 E0 30 46 ?? ?? ?? ?? 84 19 A6 42 18 D0 14 F9 01 3C 5C 2B 0A D1 5C 21 30 46 ?? ?? ?? ?? 63 1E 83 42 18 BF 01 23 04 D1 00 23 02 E0 2F 2B 07 D0 01 23 2B B1 2C 4A 49 46 30 46 ?? ?? ?? ?? A8 BB 30 46 ?? ?? ?? ?? 04 46 28 46 ?? ?? ?? ?? 23 18 4B 45 13 D2 2A 46 49 46 30 46 ?? ?? ?? ?? 68 BB 00 21 30 46 ?? ?? ?? ?? A0 B1 50 46 40 F2 03 12 31 46 ?? ?? ?? ?? 82 46 00 28 C2 D1 00 25 02 21 38 46 ?? ?? ?? ?? 02 21 40 46 ?? ?? ?? ?? 28 46 BD E8 FE 8F 4F F0 00 08 35 46 F0 E7 0E 4A 11 49 0F 48 00 23 00 93 B3 23 ?? ?? ?? ?? 0A 4A 09 49 0A 48 00 23 00 93 D3 23 ?? ?? ?? ?? 06 4A 05 49 03 48 00 23 00 93 D9 23 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_16_0 {
	meta:
		name = "??$get_executable_path@_W@@YAPB_WQB_W@Z"
		size = 312
		refs = "000c _waccess_s 0024 _calloc_dbg 0046 _wdupenv_s_dbg 005c wcslen 007a wcscat_s 00b2 __acrt_wgetpath 00c2 _free_dbg 00e8 _invoke_watson 0110 ??_C@_1GM@DICPHENP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@ 0114 ??_C@_1CI@LBIAGDOL@?$AAg?$AAe?$AAt?$AA_?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAa?$AAb?$AAl?$AAe?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 0118 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 011c ??_C@_1GK@JIFCHPLG@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@ 0120 ??_C@_1HK@GJKIMGCD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt@ 0124 ??_C@_1BC@OEBMOOLC@?$AAg?$AAe?$AAt?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 0128 ?backslash@?L@???$get_executable_path@_W@@YAPB_WQB_W@Z@4QB_WB 012c ?path_name@?1???$get_path@_W@@YAPB_WXZ@4QB_WB 0130 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0134 ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 00 21 05 46 ?? ?? ?? ?? 00 28 5C D0 C7 23 00 93 46 4B 4F F4 82 79 02 22 02 21 48 46 ?? ?? ?? ?? 06 46 80 46 0E B9 00 25 49 E0 00 23 02 93 79 23 01 93 3D 4B 3B 4A 02 A8 00 93 02 23 00 21 ?? ?? ?? ?? 18 B1 16 28 45 D0 00 27 00 E0 02 9F 38 46 28 E0 30 46 ?? ?? ?? ?? 06 EB 40 03 9E 42 0B D0 33 F8 02 3C 5C 2B 07 D0 2F 2B 05 D0 2C 4A 49 46 30 46 ?? ?? ?? ?? A8 BB 30 46 ?? ?? ?? ?? 04 46 28 46 ?? ?? ?? ?? 23 18 4B 45 13 D2 2A 46 49 46 30 46 ?? ?? ?? ?? 68 BB 00 21 30 46 ?? ?? ?? ?? A0 B1 50 46 40 F2 03 12 31 46 ?? ?? ?? ?? 82 46 00 28 CE D1 00 25 02 21 38 46 ?? ?? ?? ?? 02 21 40 46 ?? ?? ?? ?? 28 46 BD E8 FE 8F 4F F0 00 08 35 46 F0 E7 0E 4A 11 49 0F 48 00 23 00 93 B3 23 ?? ?? ?? ?? 0A 4A 09 49 0A 48 00 23 00 93 D3 23 ?? ?? ?? ?? 06 4A 05 49 03 48 00 23 00 93 D9 23 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_17_0 {
	meta:
		name = "??$get_path@D@@YAPBDXZ"
		size = 88
		refs = "001c _dupenv_s_dbg 003e _invoke_watson 0044 ??_C@_1HK@GJKIMGCD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt@ 0048 ??_C@_1BC@OEBMOOLC@?$AAg?$AAe?$AAt?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 004c ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0050 ?path_name@?1???$get_path@D@@YAPBDXZ@4QBDB 0054 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 00 23 02 93 6A 23 01 93 10 4B 0F 4A 02 A8 00 93 02 23 00 21 ?? ?? ?? ?? 18 B1 16 28 05 D0 00 20 00 E0 02 98 04 B0 BD E8 00 88 06 4A 04 49 03 48 00 23 00 93 B3 23 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_18_0 {
	meta:
		name = "??$get_path@_W@@YAPB_WXZ"
		size = 88
		refs = "001c _wdupenv_s_dbg 003e _invoke_watson 0044 ??_C@_1HK@GJKIMGCD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt@ 0048 ??_C@_1BC@OEBMOOLC@?$AAg?$AAe?$AAt?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 004c ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0050 ?path_name@?1???$get_path@_W@@YAPB_WXZ@4QB_WB 0054 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 0F 48 0D F1 10 0B 00 23 02 93 79 23 01 93 10 4B 0F 4A 02 A8 00 93 02 23 00 21 ?? ?? ?? ?? 18 B1 16 28 05 D0 00 20 00 E0 02 98 04 B0 BD E8 00 88 06 4A 04 49 03 48 00 23 00 93 B3 23 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_39_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPAD$$TAAY04$$CBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TAAY04$$CBD@Z"
		size = 36
		refs = "0016 _dupenv_s_dbg 0020 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
		altNames = "??$tdupenv_s_crt@PAPAD$$TAAY07$$CBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TAAY07$$CBD@Z ??$tdupenv_s_crt@PAPAD$$TAAY0L@$$CBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TAAY0L@$$CBD@Z"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 6A 23 01 93 04 4B 09 68 00 68 00 93 02 23 ?? ?? ?? ?? BD E8 0C 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_41_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPA_W$$TAAY04$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TAAY04$$CB_W@Z"
		size = 36
		refs = "0016 _wdupenv_s_dbg 0020 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
		altNames = "??$tdupenv_s_crt@PAPA_W$$TAAY07$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TAAY07$$CB_W@Z ??$tdupenv_s_crt@PAPA_W$$TAAY0L@$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TAAY0L@$$CB_W@Z"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 79 23 01 93 04 4B 09 68 00 68 00 93 02 23 ?? ?? ?? ?? BD E8 0C 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_55_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAA@XZ"
		size = 36
		refs = "0020 __imp_CloseHandle"
		altNames = "?close@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAAXXZ"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 20 68 6F F0 00 05 A8 42 03 D0 02 4B 1B 68 98 47 25 60 BD E8 30 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_56_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QAA@XZ"
		size = 22
		altNames = "?close@?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QAAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 1B B1 00 22 C3 E9 00 22 02 60 BD E8 00 88 }
	condition:
		$1
}

rule file_227_57_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QAA@XZ"
		size = 26
		refs = "000e fclose"
		altNames = "?close@?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 18 B1 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_227_65_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQBD@Z"
		size = 64
		refs = "000a strlen 0024 _mbsrchr"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 ?? ?? ?? ?? 44 19 A5 42 01 D1 00 20 11 E0 14 F9 01 3C 5C 2B 0A D1 5C 21 28 46 ?? ?? ?? ?? 63 1E 83 42 18 BF 01 20 04 D1 00 20 02 E0 2F 2B EC D0 01 20 BD E8 30 88 }
	condition:
		$1
}

rule file_227_66_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQB_W@Z"
		size = 44
		refs = "000a wcslen"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 04 EB 40 03 9C 42 01 D1 00 20 06 E0 33 F8 02 3C 5C 2B F9 D0 2F 2B F7 D0 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_227_70_0 {
	meta:
		name = "?close@__crt_handle_traits@@SA_NPAX@Z"
		size = 28
		refs = "0018 __imp_CloseHandle"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 4B 1B 68 98 47 08 B1 01 20 00 E0 00 20 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_71_0 {
	meta:
		name = "?close@process_handle_pair_traits@?A0xe43b7539@@SA_NPAUprocess_handle_pair@2@@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 00 33 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_227_88_0 {
	meta:
		name = "?idtab@@YAPAUprocess_handle_pair@?A0xe43b7539@@QAU_iobuf@@@Z"
		size = 124
		refs = "004e _recalloc_dbg 0058 _free_dbg 0070 ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0074 ?__idpairs@@3PAUprocess_handle_pair@?A0xe43b7539@@A 0078 ?__idtabsiz@@3IA"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 1B 4D 1A 4F 2C 68 3E 68 06 EB C4 01 8E 42 32 46 05 D0 52 F8 08 3B 83 42 04 D0 8A 42 F9 D1 20 B1 00 20 1F E0 A2 F1 08 00 1C E0 61 1C A1 42 F7 D3 6F F0 60 43 99 42 F3 D2 74 23 01 93 0A 4B 08 22 30 46 00 93 02 23 ?? ?? ?? ?? 04 46 00 20 02 21 ?? ?? ?? ?? 00 2C E3 D0 2B 68 3C 60 04 EB C3 00 5B 1C 2B 60 BD E8 FC 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_227_98_0 {
	meta:
		name = "_pclose"
		size = 216
		refs = "0022 _CrtDbgReportW 002c _errno 0042 _invalid_parameter 0056 __acrt_lock 005c ?idtab@@YAPAUprocess_handle_pair@?A0xe43b7539@@QAU_iobuf@@@Z 0070 fclose 0090 _cwait 00b6 __acrt_unlock 00c8 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00cc ??_C@_1BA@KDAKDIPO@?$AA_?$AAp?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 00d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d4 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 6F 46 82 B0 04 46 EC B9 30 4C 01 94 2E 4B 00 93 00 23 4F F4 DF 72 2A 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 24 49 4F F4 DF 73 22 4A 20 46 ?? ?? ?? ?? 6F F0 00 03 37 E0 6F F0 00 08 C7 F8 04 80 0A 20 ?? ?? ?? ?? 20 46 ?? ?? ?? ?? 05 46 25 B9 ?? ?? ?? ?? 09 23 03 60 22 E0 20 46 ?? ?? ?? ?? 6C 68 00 26 2E 60 6E 60 ?? ?? ?? ?? 05 68 ?? ?? ?? ?? 06 60 3E 60 38 46 01 22 21 46 ?? ?? ?? ?? 40 45 08 D1 ?? ?? ?? ?? 03 68 04 2B 03 D0 ?? ?? ?? ?? 05 60 04 E0 ?? ?? ?? ?? 05 60 3B 68 7B 60 0A 20 ?? ?? ?? ?? 7B 68 3B 60 38 68 05 B0 BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_228_0_0 {
	meta:
		name = "__initialize_lconv_for_unsigned_char"
		size = 104
		refs = "0064 __acrt_lconv_c"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 16 4A 6F F0 00 03 82 F8 28 30 14 4A 6F F0 00 03 82 F8 29 30 11 4A 6F F0 00 03 82 F8 2A 30 0F 4A 6F F0 00 03 82 F8 2B 30 0C 4A 6F F0 00 03 82 F8 2C 30 0A 4A 6F F0 00 03 82 F8 2D 30 07 4A 6F F0 00 03 82 F8 2E 30 05 4A 6F F0 00 03 82 F8 2F 30 00 23 00 93 00 98 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_229_0_0 {
	meta:
		name = "atan"
		size = 1060
		refs = "00c4 _handle_nan 0108 val_with_flags 0410 ?piby2@?1??atan@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 BA B0 8D ED 02 0B 9D ED 02 0B 53 EC 10 2B 0A 92 0B 93 0A 9A 0B 9B 23 F0 00 43 00 92 01 93 0A 9B 1C 93 0B 9B 1D 93 00 9B 1E 93 01 9B 1F 93 1D 9B 14 93 1F 9B 15 93 1C 9A 1E 9B 9A 42 03 D1 14 9A 15 9B 9A 42 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9A 08 9B DB 17 0C 92 0D 93 0C 9B 20 93 0D 9B 21 93 21 9A 20 9B 13 43 00 2B 06 D0 9D ED 02 0B B1 EE 40 0B 8D ED 04 0B 03 E0 9D ED 02 0B 8D ED 04 0B 00 9B 22 93 01 9B 23 93 22 9B 16 93 23 9A E2 4B 9A 42 5D D3 02 D8 16 9B 00 2B 59 D9 00 9B 24 93 01 9B 25 93 24 9B 17 93 25 9A DA 4B 9A 42 0F D3 02 D8 17 9B 00 2B 0B D9 0A 98 0B 99 ?? ?? ?? ?? 8D ED 32 0B 9D ED 32 0B 8D ED 12 0B 44 E1 2E E0 9D ED 04 1B 9F ED CD 0B B4 EE C0 1B F1 EE 10 FA 25 DD 0C 9B 26 93 0D 9B 27 93 27 9A 26 9B 13 43 00 2B 0F D0 10 20 C4 4B 93 ED 00 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 34 0B 9D ED 34 0B 8D ED 12 0B 22 E1 0C E0 10 20 BC 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 36 0B 9D ED 36 0B 8D ED 12 0B 14 E1 BF EE 00 1B 9D ED 04 0B 81 EE 00 0B 8D ED 02 0B 9F ED B0 0B 8D ED 10 0B 9F ED AC 0B 8D ED 0E 0B 88 E0 00 9B 28 93 01 9B 29 93 28 9B 18 93 29 9A A5 4B 9A 42 20 D3 02 D8 18 9B 00 2B 1C D9 9D ED 04 1B B7 EE 08 0B 31 EE 40 2B B7 EE 08 1B 9D ED 04 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 0B 82 EE 00 0B 8D ED 02 0B 9F ED 95 0B 8D ED 10 0B 9F ED 91 0B 8D ED 0E 0B 5D E0 00 9B 2A 93 01 9B 2B 93 2A 9B 19 93 2B 9A 8A 4B 9A 42 1C D3 02 D8 19 9B 00 2B 18 D9 9D ED 04 1B B7 EE 00 0B 31 EE 40 2B B7 EE 00 1B 9D ED 04 0B 31 EE 00 0B 82 EE 00 0B 8D ED 02 0B 9F ED 7D 0B 8D ED 10 0B 9F ED 79 0B 8D ED 0E 0B 36 E0 00 9B 2C 93 01 9B 2D 93 2C 9B 1A 93 2D 9A 72 4B 9A 42 20 D3 02 D8 1A 9B 00 2B 1C D9 B0 EE 00 1B 9D ED 04 0B 21 EE 00 1B B7 EE 00 0B 31 EE 40 2B B0 EE 00 1B 9D ED 04 0B 31 EE 00 0B 82 EE 00 0B 8D ED 02 0B 9F ED 62 0B 8D ED 10 0B 9F ED 5E 0B 8D ED 0E 0B 0B E0 9D ED 04 0B 8D ED 02 0B 9F ED 58 0B 8D ED 10 0B 9F ED 56 0B 8D ED 0E 0B 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 8D ED 06 0B 9D ED 02 1B 9D ED 06 0B 21 EE 00 2B 9F ED 4B 1B 9D ED 06 0B 21 EE 00 1B 9F ED 46 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 40 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 3A 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 34 0B 30 EE 01 0B 22 EE 00 2B 9F ED 2F 1B 9D ED 06 0B 21 EE 00 1B 9F ED 2A 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 24 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 1E 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 18 0B 30 EE 01 0B 82 EE 00 0B 8D ED 38 0B 9D ED 38 1B 9D ED 0E 0B 31 EE 40 1B 9D ED 02 0B 31 EE 40 1B 9D ED 10 0B 30 EE 41 0B 8D ED 30 0B 0C 9B 2E 93 0D 9B 2F 93 2F 9A 2E 9B 13 43 00 2B 05 D0 9D ED 30 0B B1 EE 40 0B 8D ED 30 0B 9D ED 30 0B 8D ED 12 0B 9D ED 12 0B 3A B0 BD E8 00 88 FE DE EC 1E DA 8F B0 C1 E9 3F A0 F5 CD 17 2A 37 FD 3F 2E 8D C4 44 C6 99 F6 3F FF BE F9 5B B0 2C DB 3F D9 5E E8 F1 97 F1 A3 3F F3 69 91 0A CB 2B D1 3F 3C 3B 99 4C BE A6 DC 3F C0 25 B4 3D E4 3D CC 3F F2 53 F0 16 21 2D 9F 3F 87 9F 1B E4 5C A7 22 3F 00 00 00 00 00 00 00 00 E0 65 2F 22 7F 2B 7A 3C 4F BB 61 05 67 AC DD 3F 00 00 DC 3F 06 5C 14 33 26 A6 81 3C 18 2D 44 54 FB 21 E9 3F 00 00 E6 3F BC CB F0 7A 88 07 70 3C 9B F6 81 D2 0B 73 EF 3F 00 00 F3 3F 06 5C 14 33 26 A6 91 3C 18 2D 44 54 FB 21 F9 3F ?? ?? ?? ?? 00 00 00 00 00 DC D0 43 00 00 F0 7F 00 80 03 40 }
	condition:
		$1
}

rule file_230_0_0 {
	meta:
		name = "_fpieee_flt"
		size = 172
		refs = "0094 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 87 B0 0A 9A 26 4B 9A 42 12 D0 0A 9A 23 4B 9A 42 0E D0 0A 9A 20 4B 9A 42 0A D0 0A 9A 1D 4B 9A 42 06 D0 0A 9A 1A 4B 9A 42 02 D0 00 23 00 93 26 E0 0B 9B 1B 68 03 93 03 9B 14 33 01 93 F1 EE 10 3A 04 93 04 9B 83 F4 1F 43 23 F0 9F 03 83 F4 1F 43 E1 EE 10 3A 01 9B 1B 68 00 2B 0E D0 01 9B 1C 68 0C 9B 02 93 02 98 08 4B 1B 68 98 47 02 9B 20 46 98 47 05 90 05 9B 00 93 01 E0 00 23 00 93 00 98 07 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? 93 00 00 C0 91 00 00 C0 90 00 00 C0 8F 00 00 C0 8E 00 00 C0 }
	condition:
		$1
}

rule file_231_5_0 {
	meta:
		name = "_mbsncat_l"
		size = 312
		refs = "0028 _CrtDbgReportW 0032 _errno 0046 _invalid_parameter 007e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 008e strncat 00a8 _ismbslead_l 00e6 _mbsbtype_l 0124 ??_C@_1HA@IJCJEBKI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0128 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0130 ??_C@_1BG@OHIMALLN@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAl?$AA?$AA@ 0134 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 87 B0 17 46 00 2F 0E 46 04 46 00 F0 83 80 D4 B9 44 4B 46 4C 41 49 00 93 00 23 33 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 33 23 3B 49 38 4A 20 46 ?? ?? ?? ?? 00 24 66 E0 A6 B9 36 4B 35 4C 33 49 00 93 00 23 34 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 34 23 E2 E7 02 A8 19 46 ?? ?? ?? ?? 04 9B 9B 68 33 B9 3A 46 31 46 20 46 ?? ?? ?? ?? 04 46 38 E0 25 46 14 F8 01 3B 00 2B FB D1 64 1E 21 46 03 AA 28 46 ?? ?? ?? ?? 00 B1 64 1E 04 99 16 F8 01 2B 7F 1E 4F F0 00 08 53 18 5B 7E 13 F0 04 0F 16 D0 22 70 33 78 06 F1 01 06 63 70 04 F1 02 04 93 B9 04 F8 02 8C AC 42 11 D0 63 1B 59 1E 03 AA 28 46 ?? ?? ?? ?? 01 28 09 D1 04 F8 01 8C 08 E0 04 F8 01 2B 00 2A EE D0 00 2F D8 D1 EB E7 84 F8 00 80 2C 46 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 07 B0 BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_232_0_0 {
	meta:
		name = "_heapchk"
		size = 44
		refs = "0024 __imp_HeapValidate 0028 __acrt_heap"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 4B 00 22 00 21 18 68 05 4B 1B 68 98 47 10 B9 6F F0 03 00 01 E0 6F F0 01 00 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_233_5_0 {
	meta:
		name = "_mbscspn_l"
		size = 280
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0020 strcspn 0038 _CrtDbgReportW 0042 _errno 0082 _invalid_parameter 0104 ??_C@_1HA@IBDHGIFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0108 ??_C@_1BG@HJHJFBCP@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAs?$AAp?$AAn?$AA_?$AAl?$AA?$AA@ 010c ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0110 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0114 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 0D 46 04 46 02 A8 11 46 ?? ?? ?? ?? 04 9F BB 68 23 B9 29 46 20 46 ?? ?? ?? ?? 60 E0 A4 B9 39 4B 3A 4C 35 49 00 93 00 23 54 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 54 23 14 E0 D5 B9 2E 4B 2D 4C 2A 49 00 93 00 23 55 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 55 23 22 49 21 4A 20 46 ?? ?? ?? ?? 00 20 2E E0 23 78 21 46 53 B3 2E 78 4F F0 04 0E 28 46 B6 B1 02 78 D3 19 5B 7E 13 EA 0E 0F 0B 78 09 D0 9A 42 03 D1 42 78 4B 78 9A 42 09 D0 43 78 3B B1 40 1C 01 E0 9A 42 03 D0 40 1C 03 78 00 2B E8 D1 03 78 63 B9 0B 78 3B 44 5B 7E 13 EA 0E 0F 02 D0 49 1C 0B 78 1B B1 49 1C 0B 78 00 2B D7 D1 08 1B 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 06 B0 BD E8 F0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_234_5_0 {
	meta:
		name = "_mbbtombc_l"
		size = 132
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 007c ?mbctable@@3QBU<unnamed-type-mbctable>@@B 0080 ?mbbtable@@3QBGB"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? 02 9B 5B 68 B3 F5 69 7F 20 D1 A4 F1 20 03 5E 2B 05 D8 16 4B 03 EB 44 03 33 F8 40 4C 16 E0 DC 2C 02 D1 48 F2 8F 34 11 E0 A4 F1 A1 03 3E 2B 0D D8 0E 49 00 23 A7 22 94 42 05 D0 5B 1C 11 F8 23 20 00 2A F8 D1 02 E0 01 EB 83 03 5C 88 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 05 B0 BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_234_7_0 {
	meta:
		name = "_mbctombb_l"
		size = 148
		refs = "000c ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 008c ?mbctable@@3QBU<unnamed-type-mbctable>@@B 0090 ?mbbtable@@3QBGB"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 04 46 68 46 ?? ?? ?? ?? 02 9B 5B 68 B3 F5 69 7F 29 D1 1D 49 00 22 31 F8 02 3B 9C 42 21 D0 52 1C 5E 2A F8 DD 48 F2 96 33 9C 42 1C D8 15 49 00 22 00 20 45 18 6B 88 E0 1A 10 D0 63 40 13 F4 7F 4F 06 D1 00 28 04 DD 95 F9 01 30 C3 1A 00 2B 05 DB 52 1C 90 00 43 5C 00 2B EB D1 04 E0 11 F8 22 40 01 E0 02 F1 20 04 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 04 B0 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_235_9_0 {
	meta:
		name = "_rmtmp"
		size = 196
		refs = "0012 __acrt_lock 003e ??0__crt_stdio_stream@@QAA@QAU__crt_stdio_stream_data@@@Z 0044 ?valid@__crt_stdio_stream@@QBA_NXZ 0054 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 005c _lock_file 0062 ?is_in_use@__crt_stdio_stream@@QBA_NXZ 0072 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 008e _fclose_nolock 00a2 _unlock_file 00aa __acrt_unlock 00bc __piob 00c0 _nstream"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 00 23 3B 61 08 20 ?? ?? ?? ?? 00 23 BB 60 02 E0 BB 68 5B 1C BB 60 BA 68 26 4B 1B 68 9A 42 3D D0 BA 68 04 23 02 FB 03 F2 21 4B 1B 68 13 44 19 68 38 1D ?? ?? ?? ?? 38 1D ?? ?? ?? ?? 38 70 3B 78 00 2B 00 D1 E4 E7 38 1D ?? ?? ?? ?? 78 61 78 69 ?? ?? ?? ?? 38 1D ?? ?? ?? ?? 78 70 7B 78 00 2B 00 D1 13 E0 38 1D ?? ?? ?? ?? B8 61 BB 69 1C 33 1B 68 00 2B 00 D1 09 E0 38 1D ?? ?? ?? ?? F8 61 F8 69 ?? ?? ?? ?? 3B 69 5B 1C 3B 61 38 1D ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? B9 E7 08 20 ?? ?? ?? ?? 3B 69 3B 62 38 6A 09 B0 BD E8 80 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_235_10_0 {
	meta:
		name = "_rmtmp$fin$0"
		size = 20
		refs = "0004 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 000c _unlock_file"
	strings:
		$1 = { 10 B5 38 1D ?? ?? ?? ?? F8 60 F8 68 ?? ?? ?? ?? FF E7 10 BD }
	condition:
		$1
}

rule file_236_7_0 {
	meta:
		name = "__acrt_initialize_timeset"
		size = 128
		refs = "000e ?initialize@?$dual_state_global@J@__crt_state_management@@QAAXJ@Z 0016 ?initialize@?$dual_state_global@H@__crt_state_management@@QAAXH@Z 0024 ?dangerous_get_state_array@?$dual_state_global@PAPAD@__crt_state_management@@QAAPAPAPADXZ 0068 ?tzname_states@@3PAY01PADA 006c ?_tzname@@3V?$dual_state_global@PAPAD@__crt_state_management@@A 0070 ?_dstbias@@3V?$dual_state_global@J@__crt_state_management@@A 0078 ?_daylight@@3V?$dual_state_global@H@__crt_state_management@@A 007c ?_timezone@@3V?$dual_state_global@J@__crt_state_management@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 4F F4 E1 41 1B 48 ?? ?? ?? ?? 01 21 18 48 ?? ?? ?? ?? 16 49 14 48 ?? ?? ?? ?? 12 48 ?? ?? ?? ?? 01 90 01 9B 02 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 01 2B 0D D0 00 9A 08 23 02 FB 03 F2 07 4B 99 18 00 9A 04 23 02 FB 03 F2 02 9B 13 44 19 60 EB E7 00 23 03 93 03 98 04 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? F0 F1 FF FF ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_236_12_0 {
	meta:
		name = "_get_daylight"
		size = 160
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006c ?value@?$dual_state_global@H@__crt_state_management@@QAAAAHXZ 008c ?_daylight@@3V?$dual_state_global@H@__crt_state_management@@A 0090 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0094 ??_C@_1BM@FIMHBHEB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$AA@ 0098 ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 1A 4B 01 93 1C 4B 00 93 00 23 3F 22 19 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 3F 23 0F 4A 0D 49 0C 48 ?? ?? ?? ?? 16 23 04 93 09 E0 08 48 ?? ?? ?? ?? 07 90 07 9B 1A 68 0A 9B 1A 60 00 23 04 93 04 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_236_13_0 {
	meta:
		name = "_get_dstbias"
		size = 160
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006c ?value@?$dual_state_global@J@__crt_state_management@@QAAAAJXZ 008c ?_dstbias@@3V?$dual_state_global@J@__crt_state_management@@A 0090 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0094 ??_C@_1BK@EMODDHEE@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$AA@ 0098 ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 1A 4B 01 93 1C 4B 00 93 00 23 49 22 19 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 49 23 0F 4A 0D 49 0C 48 ?? ?? ?? ?? 16 23 04 93 09 E0 08 48 ?? ?? ?? ?? 07 90 07 9B 1A 68 0A 9B 1A 60 00 23 04 93 04 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_236_14_0 {
	meta:
		name = "_get_timezone"
		size = 160
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006c ?value@?$dual_state_global@J@__crt_state_management@@QAAAAJXZ 008c ?_timezone@@3V?$dual_state_global@J@__crt_state_management@@A 0090 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0094 ??_C@_1BM@MGEAKPEJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$AA@ 0098 ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 1A 4B 01 93 1C 4B 00 93 00 23 53 22 19 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 53 23 0F 4A 0D 49 0C 48 ?? ?? ?? ?? 16 23 04 93 09 E0 08 48 ?? ?? ?? ?? 07 90 07 9B 1A 68 0A 9B 1A 60 00 23 04 93 04 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_236_15_0 {
	meta:
		name = "_get_tzname"
		size = 480
		refs = "0046 _CrtDbgReportW 005a _errno 0072 _invalid_parameter 0150 ?value@?$dual_state_global@PAPAD@__crt_state_management@@QAAAAPAPADXZ 0166 strlen 01ac strcpy_s 01c4 ?_tzname@@3V?$dual_state_global@PAPAD@__crt_state_management@@A 01c8 ??_C@_1DC@BDANNIGD@?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?$AA@ 01cc ??_C@_1BI@BHCKCCFA@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 01d0 ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01d8 ??_C@_1CE@HBFOGCFH@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01dc ??_C@_1KM@BFLODGGL@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAb?$AAy@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 17 9B 00 2B 02 D0 18 9B 00 2B 08 D8 17 9B 00 2B 02 D1 18 9B 00 2B 02 D0 00 23 03 93 01 E0 01 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 69 4B 01 93 66 4B 00 93 00 23 64 22 63 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 64 23 58 4A 57 49 5A 48 ?? ?? ?? ?? 16 23 02 93 9C E0 17 9B 00 2B 02 D0 17 9A 00 23 13 70 16 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 4D 4B 01 93 4B 4B 00 93 00 23 69 22 48 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 69 23 3D 4A 3C 49 3E 48 ?? ?? ?? ?? 16 23 02 93 66 E0 19 9B 00 2B 05 D0 19 9B 01 2B 02 D0 00 23 07 93 01 E0 01 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 2F 4B 01 93 31 4B 00 93 00 23 6A 22 2E 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 6A 23 24 4A 22 49 21 48 ?? ?? ?? ?? 16 23 02 93 33 E0 1D 48 ?? ?? ?? ?? 0F 90 19 9A 04 23 02 FB 03 F2 0F 9B 1B 68 13 44 18 68 ?? ?? ?? ?? 10 90 10 9B 5A 1C 16 9B 1A 60 17 9B 00 2B 02 D1 00 23 02 93 1A E0 16 9B 1A 68 18 9B 9A 42 02 D9 22 23 02 93 12 E0 0C 48 ?? ?? ?? ?? 11 90 19 9A 04 23 02 FB 03 F2 11 9B 1B 68 13 44 1A 68 18 99 17 98 ?? ?? ?? ?? 12 90 12 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_238_0_0 {
	meta:
		name = "_malloc_base"
		size = 156
		refs = "0012 _errno 0058 _query_new_mode 0066 _callnewh 0094 __imp_HeapAlloc 0098 __acrt_heap"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 13 F1 20 0F 08 D9 ?? ?? ?? ?? 04 90 04 9A 0C 23 13 60 00 23 00 93 30 E0 0C 9B 00 2B 02 D1 01 23 01 93 01 E0 0C 9B 01 93 01 9B 03 93 03 9A 00 21 16 4B 18 68 14 4B 1B 68 98 47 05 90 05 9B 02 93 02 9B 00 2B 02 D0 02 9B 00 93 16 E0 ?? ?? ?? ?? 06 90 06 9B 00 2B 06 D0 03 98 ?? ?? ?? ?? 07 90 07 9B 00 2B 08 D1 ?? ?? ?? ?? 08 90 08 9A 0C 23 13 60 00 23 00 93 00 E0 D8 E7 00 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_239_0_0 {
	meta:
		name = "lroundf"
		size = 144
		refs = "000e _fdtest 0032 roundf 0078 _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 2C D0 02 9B 00 2B 02 DD 02 9B 02 2B 23 DD 9D ED 01 0A ?? ?? ?? ?? 8D ED 04 0A 9D ED 04 0A 8D ED 01 0A DF ED 12 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 10 D8 DD ED 01 0A 9F ED 0B 0A F4 EE C0 0A F1 EE 10 FA 07 D8 9D ED 01 0A BD EE C0 0A 10 EE 10 3A 03 93 04 E0 01 20 ?? ?? ?? ?? 00 23 03 93 03 98 06 B0 BD E8 00 88 00 00 00 4F 00 00 00 CF }
	condition:
		$1
}

rule file_240_11_0 {
	meta:
		name = "rewind"
		size = 360
		refs = "0014 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001a ?valid@__crt_stdio_stream@@QBA_NXZ 004a _CrtDbgReportW 005e _errno 0076 _invalid_parameter 007e ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0086 _fileno 009a _lock_file 00a8 __acrt_stdio_flush_nolock 00ae ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 00b6 ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 0108 ?has_all_of@__crt_stdio_stream@@QBA_NJ@Z 0122 _lseek 0134 ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 0142 _unlock_file 0150 __badioinfo 0154 __pioinfo 0158 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 015c ??_C@_1O@MIDPMBMH@?$AAr?$AAe?$AAw?$AAi?$AAn?$AAd?$AA?$AA@ 0160 ??_C@_1GA@IBKDMBHF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0164 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 82 B0 B9 6C 38 1D ?? ?? ?? ?? 38 1D ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 47 4B 01 93 49 4B 00 93 00 23 12 22 46 49 02 20 ?? ?? ?? ?? F8 61 FB 69 01 2B 00 D1 FE DE BB 69 00 2B 0E D1 ?? ?? ?? ?? 38 62 3A 6A 16 23 13 60 00 23 00 93 12 23 3B 4A 3A 49 38 48 ?? ?? ?? ?? 64 E0 38 1D ?? ?? ?? ?? 78 62 78 6A ?? ?? ?? ?? B8 62 BB 6A BB 60 38 1D ?? ?? ?? ?? F8 62 F8 6A ?? ?? ?? ?? 38 1D ?? ?? ?? ?? 38 63 38 6B ?? ?? ?? ?? 78 68 ?? ?? ?? ?? 18 21 38 1D ?? ?? ?? ?? BB 68 B3 F1 FF 3F 14 D0 BB 68 13 F1 02 0F 10 D0 BB 68 9A 11 04 23 02 FB 03 F2 1F 4B 99 18 BB 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 FB 60 01 E0 18 4B FB 60 FB 68 28 33 1B 78 23 F0 02 01 FB 68 03 F1 28 02 CB B2 13 70 04 21 38 1D ?? ?? ?? ?? 78 70 7B 78 00 2B 03 D0 03 21 38 1D ?? ?? ?? ?? 00 22 00 21 B8 68 ?? ?? ?? ?? 78 63 7B 6B B3 F1 FF 3F 03 D1 10 21 38 1D ?? ?? ?? ?? 38 1D ?? ?? ?? ?? 38 61 38 69 ?? ?? ?? ?? 11 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_240_12_0 {
	meta:
		name = "rewind$fin$0"
		size = 24
		refs = "0006 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 000e _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 38 1D ?? ?? ?? ?? 38 61 38 69 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_241_3_0 {
	meta:
		name = "_CrtSetReportFile"
		size = 288
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0108 _CrtDbgFile 010c __imp_GetStdHandle 0110 ??_C@_1FA@IFFFOLDJ@?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAC?$AAR?$AAT@ 0114 ??_C@_1CE@IKKEDCME@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAF?$AAi?$AAl?$AAe?$AA?$AA@ 0118 ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 011c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 05 DB 0C 9B 03 2B 02 DA 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 39 4B 01 93 3B 4B 00 93 00 23 84 22 38 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 84 23 2D 4A 2C 49 2A 48 ?? ?? ?? ?? 6F F0 01 03 02 93 44 E0 0D 9B 13 F1 06 0F 08 D1 0C 9A 04 23 02 FB 03 F2 21 4B 13 44 1B 68 02 93 37 E0 0C 9A 04 23 02 FB 03 F2 1C 4B 13 44 1B 68 09 93 0D 9B 13 F1 04 0F 0E D1 6F F0 0A 00 18 4B 1B 68 98 47 07 90 0C 9A 04 23 02 FB 03 F2 13 4B 1A 44 07 9B 13 60 1A E0 0D 9B 13 F1 05 0F 0E D1 6F F0 0B 00 0F 4B 1B 68 98 47 08 90 0C 9A 04 23 02 FB 03 F2 0A 4B 1A 44 08 9B 13 60 07 E0 0C 9A 04 23 02 FB 03 F2 05 4B 1A 44 0D 9B 13 60 09 9B 02 93 02 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_241_5_0 {
	meta:
		name = "_CrtSetReportMode"
		size = 324
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 012c _CrtDbgMode 0130 ??_C@_1NK@LOFHIHFC@?$AAf?$AAM?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AAD?$AAB?$AAG?$AA_?$AAR?$AAE?$AAP?$AAO?$AAR?$AAT?$AA_?$AAM?$AAO?$AAD?$AAE?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0134 ??_C@_1CE@FIHIECNJ@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAM?$AAo?$AAd?$AAe?$AA?$AA@ 0138 ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 013c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0140 ??_C@_1FA@IFFFOLDJ@?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAC?$AAR?$AAT@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 00 2B 05 DB 0E 9B 03 2B 02 DA 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 45 4B 01 93 43 4B 00 93 00 23 5A 22 40 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 5A 23 35 4A 34 49 36 48 ?? ?? ?? ?? 6F F0 00 03 02 93 55 E0 0F 9B B3 F1 FF 3F 07 D0 0F 9B 23 F0 07 03 00 2B 02 D0 00 23 05 93 01 E0 01 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 25 4B 01 93 27 4B 00 93 00 23 5F 22 24 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 5F 23 1A 4A 18 49 17 48 ?? ?? ?? ?? 6F F0 00 03 02 93 1E E0 0F 9B B3 F1 FF 3F 08 D1 0E 9A 04 23 02 FB 03 F2 0E 4B 13 44 1B 68 02 93 11 E0 0E 9A 04 23 02 FB 03 F2 0A 4B 13 44 1B 68 0B 93 0E 9A 04 23 02 FB 03 F2 06 4B 1A 44 0F 9B 13 60 0B 9B 02 93 02 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_241_6_0 {
	meta:
		name = "_VCrtDbgReportA"
		size = 2012
		refs = "000a __security_push_cookie 0012 __chkstk 0036 memset 00e2 _itoa_s 00fe _invoke_watson_if_error 016e _errno 01a2 _vsnprintf_s 01da _invoke_watson_if_oneof 01fe strcpy_s 027c strcat_s 0372 _snprintf_s 044a mbstowcs_s 0488 wcscpy_s 04c2 __acrt_lock 0580 __acrt_unlock 060e strlen 068a __report_rangecheckfailure 070e __acrt_MessageWindowA 0750 __security_pop_cookie 075c _crtAssertBusy 0760 ??_C@_1FA@JPHJBHEM@?$AA_?$AAi?$AAt?$AAo?$AAa?$AA_?$AAs?$AA?$CI?$AAn?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0@ 0764 ??_C@_1CA@KHJHLKA@?$AA_?$AAV?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAA?$AA?$AA@ 0768 ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 076c _CrtDbgMode 0770 __imp_OutputDebugStringA 0774 __imp_WriteFile 0778 _CrtDbgFile 077c __guard_check_icall_fptr 0780 _pfnReportHook 0784 _pReportHookListW 0788 _pReportHookList 078c ??_C@_1MC@IGEECMDB@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA2?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 0790 ??_C@_1HO@PJOFIKFE@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 0794 ??_C@_1IM@OOKIFKOH@?$AAe?$AA?5?$AA?$DN?$AA?5?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAt?$AA?0?$AA?5?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg@ 0798 ??_C@_1FI@IBIOIHEG@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz?$AAL@ 079c ??_C@_1JG@CPKCIOEE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_?$AAC@ 07a0 ??_C@_0CL@EACFGMNB@_CrtDbgReport?3?5String?5too?5long?5o@ 07a4 ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 07a8 ??_C@_0M@IPILFDFN@?$CFs?$CI?$CFd?$CJ?5?3?5?$CFs?$AA@ 07ac ??_C@_1EI@LDHJEDO@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA?2@ 07b0 ??_C@_01EEMJAFIK@?6?$AA@ 07b4 ??_C@_1EI@CACDLAFK@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA?2@ 07b8 ??_C@_01LIIJDEN@?$AN?$AA@ 07bc ??_C@_1FK@NPGBPOFO@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 07c0 ??_C@_1KK@GIGAEDMO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 07c4 ??_C@_0BC@LAIDCHCH@Assertion?5failed?$CB?$AA@ 07c8 ??_C@_0BD@CAENFOHP@Assertion?5failed?3?5?$AA@ 07cc ??_C@_1JI@GAALPGBM@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAU?$AAs?$AAe?$AAr?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_@ 07d0 ??_C@_07BHGABMGB@?0?5Line?5?$AA@ 07d4 ??_C@_0P@DFJNDPOP@?$DMfile?5unknown?$DO?$AA@ 07d8 ??_C@_0CG@BNGLOCEO@Second?5Chance?5Assertion?5Failed?3?5@"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 41 F2 33 44 ?? ?? ?? ?? AD EB 04 0D 6F 46 84 B0 00 23 3B 60 00 23 BB 61 00 23 87 F8 C8 30 40 F6 FF 72 00 21 17 F1 C9 00 ?? ?? ?? ?? 00 23 41 F2 C8 0C 07 F8 0C 30 40 F6 FF 72 00 21 41 F2 C9 00 C0 19 ?? ?? ?? ?? 00 23 43 F2 C8 0C 27 F8 0C 30 41 F6 FE 72 00 21 43 F2 CA 00 C0 19 ?? ?? ?? ?? 00 23 42 F2 C8 0C 07 F8 0C 30 40 F6 FF 72 00 21 42 F2 C9 00 C0 19 ?? ?? ?? ?? 45 F2 E8 03 FB 58 00 2B 04 DB 45 F2 E8 03 FB 58 03 2B 03 DB 6F F0 00 03 7B 64 51 E3 45 F2 E8 03 FB 58 02 2B 58 D1 BF F3 5B 8F DF F8 A8 16 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 13 46 BB 64 BF F3 5B 8F BB 6C 00 2B 46 DD 0A 23 4F F4 80 52 17 F1 C8 01 45 F2 F4 00 38 58 ?? ?? ?? ?? F8 64 00 23 01 93 FF 23 00 93 DF F8 74 36 DF F8 6C 26 DF F8 64 16 F8 6C ?? ?? ?? ?? DF F8 D4 06 DF F8 68 36 1B 68 98 47 45 F2 F0 03 FB 58 00 2B 04 D0 45 F2 F0 03 FB 58 FB 61 02 E0 DF F8 B0 36 FB 61 F8 69 DF F8 44 36 1B 68 98 47 DF F8 9C 06 DF F8 38 36 1B 68 98 47 17 F1 C8 00 DF F8 2C 36 1B 68 98 47 DF F8 64 06 DF F8 20 36 1B 68 98 47 FE DE 6F F0 00 03 3B 60 DD E2 45 F2 FC 03 FB 58 00 2B 5A D0 00 23 FB 60 ?? ?? ?? ?? 38 65 3B 6D 1B 68 3B 66 ?? ?? ?? ?? 78 65 7A 6D 00 23 13 60 4F F4 A2 43 FB 58 00 93 45 F2 FC 03 FB 58 40 F6 EB 72 4F F4 80 51 42 F2 C8 00 C0 19 ?? ?? ?? ?? B8 65 BB 6D FB 60 FB 68 00 2B 15 DA ?? ?? ?? ?? F8 65 00 23 03 93 4F F4 89 73 02 93 DF F8 A4 35 01 93 DF F8 98 35 00 93 DF F8 D4 35 22 22 16 21 F8 6D 00 68 ?? ?? ?? ?? ?? ?? ?? ?? 78 66 3A 6E 7B 6E 1A 60 FB 68 00 2B 17 DA DF F8 AC 25 4F F4 80 51 42 F2 C8 00 C0 19 ?? ?? ?? ?? B8 66 00 23 01 93 40 F2 15 13 00 93 DF F8 58 35 DF F8 50 25 DF F8 B4 15 B8 6E ?? ?? ?? ?? 45 F2 E8 03 FB 58 02 2B 21 D1 45 F2 FC 03 FB 58 00 2B 03 D0 DF F8 90 35 3B 62 02 E0 DF F8 84 35 3B 62 3A 6A 4F F4 80 51 17 F1 C8 00 ?? ?? ?? ?? F8 66 00 23 01 93 40 F2 1B 13 00 93 DF F8 08 35 DF F8 00 25 DF F8 58 15 F8 6E ?? ?? ?? ?? 42 F2 C8 02 D2 19 4F F4 80 51 17 F1 C8 00 ?? ?? ?? ?? 38 67 00 23 01 93 4F F4 8F 73 00 93 DF F8 D8 34 DF F8 D0 24 DF F8 24 15 38 6F ?? ?? ?? ?? 45 F2 E8 03 FB 58 02 2B 3A D1 45 F2 E8 02 BA 58 04 23 02 FB 03 F2 DF F8 B4 34 13 44 1B 68 13 F0 01 0F 16 D0 DF F8 F4 24 4F F4 80 51 17 F1 C8 00 ?? ?? ?? ?? 78 67 00 23 01 93 4F F4 92 73 00 93 DF F8 88 34 DF F8 80 24 DF F8 CC 14 78 6F ?? ?? ?? ?? DF F8 BC 24 4F F4 80 51 17 F1 C8 00 ?? ?? ?? ?? B8 67 00 23 01 93 40 F2 27 13 00 93 DF F8 58 34 DF F8 50 24 DF F8 94 14 B8 6F ?? ?? ?? ?? 45 F2 F0 03 FB 58 00 2B 67 D0 00 23 3B 61 ?? ?? ?? ?? F8 67 FB 6F 1B 68 C7 F8 8C 30 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 20 00 23 13 60 17 F1 C8 03 02 93 45 F2 F4 03 FB 58 01 93 45 F2 F0 03 FB 58 00 93 DF F8 44 34 40 F6 FF 72 4F F4 80 51 41 F2 C8 00 C0 19 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 30 3B 61 3B 69 00 2B 15 DA ?? ?? ?? ?? C7 F8 88 00 00 23 03 93 4F F4 97 73 02 93 F3 4B 01 93 F1 4B 00 93 DF F8 00 34 22 22 16 21 D7 F8 88 00 00 68 ?? ?? ?? ?? ?? ?? ?? ?? C7 F8 90 00 D7 F8 8C 20 D7 F8 90 30 1A 60 3B 69 00 2B 15 DA F5 4A 4F F4 80 51 41 F2 C8 00 C0 19 ?? ?? ?? ?? C7 F8 94 00 00 23 01 93 40 F2 31 13 00 93 DF 4B DE 4A EB 49 D7 F8 94 00 ?? ?? ?? ?? 16 E0 17 F1 C8 02 4F F4 80 51 41 F2 C8 00 C0 19 ?? ?? ?? ?? C7 F8 98 00 00 23 01 93 4F F4 9B 73 00 93 D3 4B D2 4A DE 49 D7 F8 98 00 ?? ?? ?? ?? 00 23 C7 F8 9C 30 00 23 7B 61 6F F0 00 03 00 93 41 F2 C8 03 DB 19 4F F4 80 52 43 F2 C8 01 C9 19 17 F1 9C 00 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 30 7B 61 00 23 03 93 4F F4 9E 73 02 93 C1 4B 01 93 BF 4B 00 93 CA 4B 22 22 16 21 78 69 ?? ?? ?? ?? 7B 69 00 2B 15 D0 C4 4A 4F F4 80 51 43 F2 C8 00 C0 19 ?? ?? ?? ?? C7 F8 A4 00 00 23 01 93 40 F2 3F 13 00 93 B3 4B B1 4A BB 49 D7 F8 A4 00 ?? ?? ?? ?? B7 4B 1B 68 00 2B 03 D1 B4 4B 1B 68 00 2B 65 D0 00 23 7B 60 00 23 BB 60 01 20 ?? ?? ?? ?? B0 4B 1B 68 7B 60 03 E0 7B 68 1B 1D 1B 68 7B 60 7B 68 00 2B 22 D0 00 23 BB 62 17 F1 28 06 41 F2 C8 05 ED 19 45 F2 E8 04 3C 59 7B 68 0C 33 1B 68 7B 62 78 6A A0 4B 1B 68 98 47 7B 6A 20 46 29 46 32 46 98 47 C7 F8 A8 00 D7 F8 A8 30 00 2B 04 D0 01 23 BB 61 BB 6A 3B 60 2E E0 D5 E7 98 4B 1B 68 BB 60 03 E0 BB 68 1B 1D 1B 68 BB 60 BB 68 00 2B 22 D0 00 23 3B 63 17 F1 30 06 43 F2 C8 05 ED 19 45 F2 E8 04 3C 59 BB 68 0C 33 1B 68 FB 62 F8 6A 89 4B 1B 68 98 47 FB 6A 20 46 29 46 32 46 98 47 C7 F8 AC 00 D7 F8 AC 30 00 2B 04 D0 01 23 BB 61 3B 6B 3B 60 00 E0 D5 E7 01 20 ?? ?? ?? ?? BB 69 00 2B 00 D0 C7 E0 7C 4B 1B 68 00 2B 1E D0 00 23 BB 63 17 F1 38 06 41 F2 C8 05 ED 19 45 F2 E8 04 3C 59 75 4B 1B 68 7B 63 78 6B 72 4B 1B 68 98 47 7B 6B 20 46 29 46 32 46 98 47 C7 F8 B0 00 D7 F8 B0 30 00 2B 02 D0 BB 6B 3B 60 A4 E0 45 F2 E8 02 BA 58 04 23 02 FB 03 F2 63 4B 13 44 1B 68 13 F0 01 0F 2A D0 45 F2 E8 02 BA 58 04 23 02 FB 03 F2 60 4B 13 44 1B 68 B3 F1 FF 3F 1E D0 00 23 C7 F8 B4 30 41 F2 C8 00 C0 19 ?? ?? ?? ?? C7 F8 B8 00 00 23 00 93 17 F1 B4 03 D7 F8 B8 20 41 F2 C8 01 C9 19 45 F2 E8 04 3C 59 04 20 04 FB 00 F4 50 48 20 44 00 68 4E 4C 24 68 A0 47 45 F2 E8 02 BA 58 04 23 02 FB 03 F2 47 4B 13 44 1B 68 13 F0 02 0F 05 D0 41 F2 C8 00 C0 19 44 4B 1B 68 98 47 45 F2 E8 02 BA 58 04 23 02 FB 03 F2 3E 4B 13 44 1B 68 13 F0 04 0F 4F D0 00 23 FB 63 FB 6B B3 F5 80 5F 00 D2 01 E0 ?? ?? ?? ?? 17 F1 C8 02 FB 6B 1A 44 00 23 13 70 45 F2 F4 03 FB 58 00 2B 17 D0 0A 23 4F F4 80 52 17 F1 C8 01 45 F2 F4 00 38 58 ?? ?? ?? ?? C7 F8 BC 00 00 23 01 93 4F F4 C6 73 00 93 28 4B 26 4A 25 49 D7 F8 BC 00 ?? ?? ?? ?? 45 F2 F4 03 FB 58 00 2B 03 D0 17 F1 C8 03 3B 64 01 E0 00 23 3B 64 42 F2 C8 03 DB 19 01 93 45 F2 F8 03 FB 58 00 93 3B 6C 45 F2 F0 02 BA 58 45 F2 EC 01 79 58 45 F2 E8 00 38 58 ?? ?? ?? ?? C7 F8 C0 00 D7 F8 C0 30 3B 60 45 F2 E8 03 FB 58 02 2B 0E D1 BF F3 5B 8F 0C 49 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 C7 F8 C4 30 BF F3 5B 8F 3B 68 7B 64 78 6C 45 F2 DC 0C E5 44 ?? ?? ?? ?? BD E8 F0 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_241_7_0 {
	meta:
		name = "_VCrtDbgReportA$fin$0"
		size = 16
		refs = "0006 __acrt_unlock"
		altNames = "_VCrtDbgReportW$fin$0"
	strings:
		$1 = { 10 B5 84 B0 01 20 ?? ?? ?? ?? FF E7 04 B0 10 BD }
	condition:
		$1
}

rule file_241_8_0 {
	meta:
		name = "_VCrtDbgReportA$fin$1"
		size = 52
		refs = "0030 _crtAssertBusy"
	strings:
		$1 = { 84 B0 45 F2 E8 03 FB 58 02 2B 0E D1 BF F3 5B 8F 07 49 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 C7 F8 C4 30 BF F3 5B 8F FF E7 04 B0 70 47 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_241_9_0 {
	meta:
		name = "_VCrtDbgReportW"
		size = 2404
		refs = "000a __security_push_cookie 0012 __chkstk 003c memset 00e6 _itow_s 0104 _invoke_watson_if_error 0184 _errno 01c4 __stdio_common_vsnwprintf_s 01fc _invoke_watson_if_oneof 0220 wcscpy_s 02a2 wcscat_s 03a2 _snwprintf_s 0480 wcstombs_s 04ce strcpy_s 0510 __acrt_lock 05cc __acrt_unlock 0682 wcslen 07fc __report_rangecheckfailure 0886 __acrt_MessageWindowW 08c8 __security_pop_cookie 08d4 _crtAssertBusy 08d8 ??_C@_1FA@CNLLOMHI@?$AA_?$AAi?$AAt?$AAo?$AAw?$AA_?$AAs?$AA?$CI?$AAn?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0@ 08dc ??_C@_1CA@HPALHDOD@?$AA_?$AAV?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAW?$AA?$AA@ 08e0 ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 08e4 _CrtDbgMode 08e8 __imp_OutputDebugStringW 08ec __imp_WriteFile 08f0 _CrtDbgFile 08f4 ??_C@_1IE@CPGKIAGP@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAt?$AA?0?$AA?5?$AAs?$AAz?$AAa?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5@ 08f8 __imp_GetLastError 08fc __imp_WriteConsoleW 0900 __imp_GetFileType 0904 __guard_check_icall_fptr 0908 _pfnReportHook 090c _pReportHookListW 0910 _pReportHookList 0914 ??_C@_1MA@LBAMNNOB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA2?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_@ 0918 ??_C@_0DP@GNPEPHJD@_CrtDbgReport?3?5String?5too?5long?5o@ 091c ??_C@_1IK@LEBMBAP@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe@ 0920 ??_C@_1FI@DBAIJPJE@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz?$AAL@ 0924 ??_C@_1JI@EACPGHID@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC?$AA_@ 0928 ??_C@_1FG@BBOLDHGF@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 092c ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0930 ??_C@_1BM@GIBPMLNL@?$AA?$CF?$AAl?$AAs?$AA?$CI?$AA?$CF?$AAd?$AA?$CJ?$AA?5?$AA?3?$AA?5?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0934 ??_C@_1EK@PHCBEDKB@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 0938 ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@ 093c ??_C@_1EK@NMDFGHMF@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 0940 ??_C@_13CMNBPIDO@?$AA?$AN?$AA?$AA@ 0944 ??_C@_1FK@HPADHBBD@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 0948 ??_C@_1KO@DGAHENCH@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 094c ??_C@_1CE@OJBNHDMO@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?$CB?$AA?$AA@ 0950 ??_C@_1CG@FFFGGODN@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?3?$AA?5?$AA?$AA@ 0954 ??_C@_1JK@KHFABAEO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAU?$AAs?$AAe?$AAr?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 0958 ??_C@_1BA@ELMMDCFC@?$AA?0?$AA?5?$AAL?$AAi?$AAn?$AAe?$AA?5?$AA?$AA@ 095c ??_C@_1BO@OCHMLCAG@?$AA?$DM?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 0960 ??_C@_1EM@MJFLEDMB@?$AAS?$AAe?$AAc?$AAo?$AAn?$AAd?$AA?5?$AAC?$AAh?$AAa?$AAn?$AAc?$AAe?$AA?5?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAF?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?3?$AA?5@"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B ?? ?? ?? ?? 42 F2 3F 04 ?? ?? ?? ?? AD EB 04 0D 6F 46 84 B0 00 23 3B 60 00 23 BB 61 00 23 43 F2 F8 0C 27 F8 0C 30 41 F6 FE 72 00 21 43 F2 FA 00 C0 19 ?? ?? ?? ?? 00 23 41 F2 F8 0C 27 F8 0C 30 41 F6 FE 72 00 21 41 F2 FA 00 C0 19 ?? ?? ?? ?? 00 23 87 F8 F8 30 40 F6 FF 72 00 21 17 F1 F9 00 ?? ?? ?? ?? 00 23 46 F2 F8 0C 27 F8 0C 30 41 F6 FE 72 00 21 46 F2 FA 00 C0 19 ?? ?? ?? ?? 48 F2 18 13 FB 58 00 2B 04 DB 48 F2 18 13 FB 58 03 2B 04 DB 6F F0 00 03 BB 64 00 F0 0D BC 48 F2 18 13 FB 58 02 2B 5B D1 BF F3 5B 8F DF F8 1C 18 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 13 46 FB 64 BF F3 5B 8F FB 6C 00 2B 49 DD 0A 23 4F F4 80 52 43 F2 F8 01 C9 19 48 F2 24 10 38 58 ?? ?? ?? ?? 38 65 00 23 01 93 40 F2 D9 13 00 93 DF F8 E8 37 DF F8 E0 27 DF F8 D8 17 38 6D ?? ?? ?? ?? DF F8 54 08 DF F8 D8 37 1B 68 98 47 48 F2 20 13 FB 58 00 2B 04 D0 48 F2 20 13 FB 58 FB 61 02 E0 DF F8 30 38 FB 61 F8 69 DF F8 B4 37 1B 68 98 47 DF F8 1C 08 DF F8 A8 37 1B 68 98 47 43 F2 F8 00 C0 19 DF F8 9C 37 1B 68 98 47 DF F8 E4 07 DF F8 90 37 1B 68 98 47 FE DE 6F F0 00 03 3B 60 95 E3 48 F2 2C 13 FB 58 00 2B 67 D0 13 23 C7 F8 F0 30 40 F6 EB 73 C7 F8 F4 30 00 23 3B 61 ?? ?? ?? ?? 78 65 7B 6D 1B 68 7B 66 ?? ?? ?? ?? B8 65 BA 6D 00 23 13 60 48 F2 30 13 FB 58 03 93 00 23 02 93 48 F2 2C 13 FB 58 01 93 40 F6 EB 73 00 93 4F F4 80 53 46 F2 F8 02 D2 19 04 20 00 21 ?? ?? ?? ?? F8 65 FB 6D 3B 61 3B 69 00 2B 15 DA ?? ?? ?? ?? 38 66 00 23 03 93 4F F4 FC 73 02 93 DF F8 F8 36 01 93 DF F8 F0 36 00 93 DF F8 38 37 22 22 16 21 38 6E 00 68 ?? ?? ?? ?? ?? ?? ?? ?? B8 66 7A 6E BB 6E 1A 60 3B 69 00 2B 17 DA DF F8 14 27 4F F4 80 51 46 F2 F8 00 C0 19 ?? ?? ?? ?? F8 66 00 23 01 93 40 F2 FB 13 00 93 DF F8 AC 36 DF F8 A4 26 DF F8 18 17 F8 6E ?? ?? ?? ?? 48 F2 18 13 FB 58 02 2B 22 D1 48 F2 2C 13 FB 58 00 2B 03 D0 DF F8 F8 36 3B 62 02 E0 DF F8 EC 36 3B 62 3A 6A 4F F4 80 51 43 F2 F8 00 C0 19 ?? ?? ?? ?? 38 67 00 23 01 93 4F F4 00 73 00 93 DF F8 5C 36 DF F8 54 26 DF F8 BC 16 38 6F ?? ?? ?? ?? 46 F2 F8 02 D2 19 4F F4 80 51 43 F2 F8 00 C0 19 ?? ?? ?? ?? 78 67 00 23 01 93 40 F2 02 23 00 93 DF F8 2C 36 DF F8 24 26 DF F8 88 16 78 6F ?? ?? ?? ?? 48 F2 18 13 FB 58 02 2B 3C D1 48 F2 18 12 BA 58 04 23 02 FB 03 F2 DF F8 08 36 13 44 1B 68 13 F0 01 0F 17 D0 DF F8 54 26 4F F4 80 51 43 F2 F8 00 C0 19 ?? ?? ?? ?? B8 67 00 23 01 93 40 F2 07 23 00 93 DF F8 D8 35 DF F8 D0 25 DF F8 2C 16 B8 6F ?? ?? ?? ?? DF F8 1C 26 4F F4 80 51 43 F2 F8 00 C0 19 ?? ?? ?? ?? F8 67 00 23 01 93 40 F2 09 23 00 93 DF F8 A8 35 DF F8 A0 25 DF F8 F4 15 F8 6F ?? ?? ?? ?? 48 F2 20 13 FB 58 00 2B 70 D0 00 23 7B 61 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 1B 68 C7 F8 90 30 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 20 00 23 13 60 43 F2 F8 03 DB 19 02 93 48 F2 24 13 FB 58 01 93 48 F2 20 13 FB 58 00 93 DF F8 9C 35 4F F4 80 52 4F F4 80 51 41 F2 F8 00 C0 19 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 7B 61 7B 69 00 2B 17 DA ?? ?? ?? ?? C7 F8 8C 00 00 23 03 93 40 F2 11 23 02 93 DF F8 14 35 01 93 DF F8 0C 35 00 93 DF F8 54 35 22 22 16 21 D7 F8 8C 00 00 68 ?? ?? ?? ?? ?? ?? ?? ?? C7 F8 94 00 D7 F8 90 20 D7 F8 94 30 1A 60 7B 69 00 2B 19 DA DF F8 28 25 4F F4 80 51 41 F2 F8 00 C0 19 ?? ?? ?? ?? C7 F8 98 00 00 23 01 93 40 F2 13 23 00 93 DF F8 C0 34 DF F8 B8 24 DF F8 FC 14 D7 F8 98 00 ?? ?? ?? ?? 1A E0 43 F2 F8 02 D2 19 4F F4 80 51 41 F2 F8 00 C0 19 ?? ?? ?? ?? C7 F8 9C 00 00 23 01 93 40 F2 17 23 00 93 DF F8 88 34 DF F8 80 24 DF F8 C0 14 D7 F8 9C 00 ?? ?? ?? ?? 6F F0 00 03 00 93 41 F2 F8 03 DB 19 4F F4 80 52 17 F1 F8 01 00 20 ?? ?? ?? ?? C7 F8 A0 00 00 23 03 93 4F F4 07 73 02 93 DF F8 4C 34 01 93 DF F8 40 34 00 93 DF F8 7C 34 22 22 16 21 D7 F8 A0 00 ?? ?? ?? ?? C7 F8 A4 00 D7 F8 A4 30 C7 F8 A8 30 D7 F8 A8 30 00 2B 17 D0 DF F8 54 24 4F F4 80 51 17 F1 F8 00 ?? ?? ?? ?? C7 F8 AC 00 00 23 01 93 40 F2 1E 23 00 93 DF F8 FC 33 FD 4A DF F8 2C 14 D7 F8 AC 00 ?? ?? ?? ?? DF F8 1C 34 1B 68 00 2B 04 D1 DF F8 0C 34 1B 68 00 2B 64 D0 00 23 7B 60 00 23 BB 60 01 20 ?? ?? ?? ?? FE 4B 1B 68 7B 60 03 E0 7B 68 1B 1D 1B 68 7B 60 7B 68 00 2B 21 D0 00 23 BB 62 17 F1 28 06 17 F1 F8 05 48 F2 18 14 3C 59 7B 68 0C 33 1B 68 7B 62 78 6A EF 4B 1B 68 98 47 7B 6A 20 46 29 46 32 46 98 47 C7 F8 B0 00 D7 F8 B0 30 00 2B 04 D0 BB 6A 3B 60 01 23 BB 61 2E E0 D6 E7 E7 4B 1B 68 BB 60 03 E0 BB 68 1B 1D 1B 68 BB 60 BB 68 00 2B 22 D0 00 23 3B 63 17 F1 30 06 41 F2 F8 05 ED 19 48 F2 18 14 3C 59 BB 68 0C 33 1B 68 FB 62 F8 6A D8 4B 1B 68 98 47 FB 6A 20 46 29 46 32 46 98 47 C7 F8 B4 00 D7 F8 B4 30 00 2B 04 D0 3B 6B 3B 60 01 23 BB 61 00 E0 D5 E7 01 20 ?? ?? ?? ?? BB 69 00 2B 00 D0 5D E1 CB 4B 1B 68 00 2B 1D D0 00 23 BB 63 17 F1 38 06 17 F1 F8 05 48 F2 18 14 3C 59 C5 4B 1B 68 7B 63 78 6B C2 4B 1B 68 98 47 7B 6B 20 46 29 46 32 46 98 47 C7 F8 B8 00 D7 F8 B8 30 00 2B 02 D0 BB 6B 3B 60 3B E1 48 F2 18 12 BA 58 04 23 02 FB 03 F2 AE 4B 13 44 1B 68 13 F0 01 0F 00 F0 BE 80 48 F2 18 12 BA 58 04 23 02 FB 03 F2 AB 4B 13 44 1B 68 B3 F1 FF 3F 00 F0 B1 80 48 F2 18 12 BA 58 04 23 02 FB 03 F2 A4 4B 13 44 18 68 A7 4B 1B 68 98 47 C7 F8 BC 00 D7 F8 BC 30 02 2B 00 D0 2F E0 00 23 C7 F8 C0 30 41 F2 F8 00 C0 19 ?? ?? ?? ?? C7 F8 C4 00 00 23 00 93 17 F1 C0 03 D7 F8 C4 20 41 F2 F8 01 C9 19 48 F2 18 14 3C 59 04 20 04 FB 00 F4 91 48 20 44 00 68 93 4C 24 68 A0 47 C7 F8 C8 00 D7 F8 C8 30 00 2B 00 D0 77 E0 8D 4B 1B 68 98 47 C7 F8 CC 00 D7 F8 CC 30 06 2B 00 D0 6D E0 00 23 FB 60 6F F0 00 03 00 93 41 F2 F8 03 DB 19 4F F4 80 52 45 F2 F8 01 C9 19 17 F1 0C 00 ?? ?? ?? ?? C7 F8 D0 00 00 23 03 93 40 F2 6A 23 02 93 76 4B 01 93 74 4B 00 93 79 4B 22 22 16 21 D7 F8 D0 00 ?? ?? ?? ?? C7 F8 D4 00 D7 F8 D4 30 FB 63 FB 6B 00 2B 25 D0 FB 6B 50 2B 22 D0 00 23 C7 F8 D8 30 41 F2 F8 00 C0 19 ?? ?? ?? ?? C7 F8 DC 00 00 23 00 93 17 F1 D8 03 D7 F8 DC 10 02 22 01 FB 02 F2 41 F2 F8 01 C9 19 48 F2 18 14 3C 59 04 20 04 FB 00 F4 61 48 20 44 00 68 5E 4C 24 68 A0 47 1C E0 FB 68 00 2B 02 D9 FB 68 5B 1E FB 60 00 23 C7 F8 E0 30 00 23 00 93 17 F1 E0 03 FA 68 45 F2 F8 01 C9 19 48 F2 18 14 3C 59 04 20 04 FB 00 F4 52 48 20 44 00 68 4F 4C 24 68 A0 47 48 F2 18 12 BA 58 04 23 02 FB 03 F2 49 4B 13 44 1B 68 13 F0 02 0F 05 D0 41 F2 F8 00 C0 19 45 4B 1B 68 98 47 48 F2 18 12 BA 58 04 23 02 FB 03 F2 40 4B 13 44 1B 68 13 F0 04 0F 52 D0 00 23 3B 64 3B 6C B3 F5 00 5F 00 D2 01 E0 ?? ?? ?? ?? 43 F2 F8 02 D2 19 3B 6C 1A 44 00 23 13 80 48 F2 24 13 FB 58 00 2B 18 D0 0A 23 4F F4 80 52 43 F2 F8 01 C9 19 48 F2 24 10 38 58 ?? ?? ?? ?? C7 F8 E4 00 00 23 01 93 40 F2 8A 23 00 93 28 4B 27 4A 25 49 D7 F8 E4 00 ?? ?? ?? ?? 48 F2 24 13 FB 58 00 2B 04 D0 43 F2 F8 03 DB 19 7B 64 01 E0 00 23 7B 64 46 F2 F8 03 DB 19 01 93 48 F2 28 13 FB 58 00 93 7B 6C 48 F2 20 12 BA 58 48 F2 1C 11 79 58 48 F2 18 10 38 58 ?? ?? ?? ?? C7 F8 E8 00 D7 F8 E8 30 3B 60 48 F2 18 13 FB 58 02 2B 0E D1 BF F3 5B 8F 0C 49 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 C7 F8 EC 30 BF F3 5B 8F 3B 68 BB 64 B8 6C 48 F2 0C 1C E5 44 ?? ?? ?? ?? BD E8 F0 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_241_11_0 {
	meta:
		name = "_VCrtDbgReportW$fin$1"
		size = 52
		refs = "0030 _crtAssertBusy"
	strings:
		$1 = { 84 B0 48 F2 18 13 FB 58 02 2B 0E D1 BF F3 5B 8F 07 49 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 C7 F8 EC 30 BF F3 5B 8F FF E7 04 B0 70 47 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_241_15_0 {
	meta:
		name = "_snprintf_s"
		size = 66
		refs = "000a ??$__vcrt_va_start_verify_argument_type@QBD@@YAXXZ 0024 _vsnprintf_s_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 0B AB 1B 1D 02 93 02 9B 01 93 00 23 00 93 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 03 90 03 9B 04 93 00 23 02 93 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_241_16_0 {
	meta:
		name = "_snwprintf_s"
		size = 66
		refs = "000a ??$__vcrt_va_start_verify_argument_type@QB_W@@YAXXZ 0024 _vsnwprintf_s_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 0B AB 1B 1D 02 93 02 9B 01 93 00 23 00 93 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 03 90 03 9B 04 93 00 23 02 93 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_241_17_0 {
	meta:
		name = "_vsnprintf_s"
		size = 48
		refs = "001a _vsnprintf_s_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 01 93 00 23 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_641_23_0 {
	meta:
		name = "_strftime_l"
		size = 48
		refs = "001a _Strftime_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 01 93 00 23 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_625_36_0 {
	meta:
		name = "_wcsftime_l"
		size = 48
		refs = "001a _Wcsftime_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 01 93 00 23 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_241_18_0 {
	meta:
		name = "_vsnprintf_s_l"
		size = 88
		refs = "000a __local_stdio_printf_options 002c __stdio_common_vsnprintf_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 04 90 11 9B 03 93 10 9B 02 93 0F 9B 01 93 0E 9B 00 93 0D 9B 0C 9A 04 99 08 68 04 99 49 68 ?? ?? ?? ?? 07 90 07 9B 05 93 05 9B 00 2B 03 DA 6F F0 00 03 06 93 01 E0 05 9B 06 93 06 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_241_19_0 {
	meta:
		name = "_vsnwprintf_s_l"
		size = 88
		refs = "000a __local_stdio_printf_options 002c __stdio_common_vsnwprintf_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 04 90 11 9B 03 93 10 9B 02 93 0F 9B 01 93 0E 9B 00 93 0D 9B 0C 9A 04 99 08 68 04 99 49 68 ?? ?? ?? ?? 07 90 07 9B 05 93 05 9B 00 2B 03 DA 6F F0 00 03 06 93 01 E0 05 9B 06 93 06 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_242_1_0 {
	meta:
		name = "casinhl"
		size = 1168
		refs = "0018 creall 0030 cimagl 0042 _ldtest 01c0 _LCbuild 01d4 csqrtl 039a asinhl 03cc logl 0412 _LCmulcc 0436 atan2l 0480 big 0484 piby2 0488 _LZero_C 048c piby4"
	strings:
		$1 = { 2D E9 00 48 EB 46 DC B0 8D ED 28 1B 8D ED 26 0B 9D ED 26 0B 9D ED 28 1B ?? ?? ?? ?? 8D ED 3A 0B 9D ED 3A 0B 8D ED 06 0B 9D ED 26 0B 9D ED 28 1B ?? ?? ?? ?? 8D ED 3C 0B 9D ED 3C 0B 8D ED 04 0B 06 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 02 30 04 A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 00 30 BD F9 02 30 02 2B 26 D1 BD F9 00 30 02 2B 03 D0 BD F9 00 30 00 2B 08 D1 9D ED 06 0B 8D ED 02 0B 9D ED 04 0B 8D ED 0A 0B 14 E0 BD F9 00 30 01 2B 08 D1 9D ED 04 0B 8D ED 02 0B 9D ED 06 0B 8D ED 0A 0B 07 E0 9D ED 06 0B 8D ED 02 0B 9D ED 06 0B 8D ED 0A 0B C5 E1 BD F9 00 30 02 2B 15 D1 BD F9 02 30 01 2B 08 D1 9D ED 06 0B 8D ED 02 0B 9D ED 04 0B 8D ED 0A 0B 07 E0 9D ED 04 0B 8D ED 02 0B 9D ED 04 0B 8D ED 0A 0B AB E1 BD F9 02 30 01 2B 3B D1 BD F9 00 30 01 2B 1C D1 9D ED 06 0B 8D ED 02 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 07 D2 DD 4B 93 ED 00 0B B1 EE 40 0B 8D ED 20 0B 04 E0 D9 4B 93 ED 00 0B 8D ED 20 0B 9D ED 20 0B 8D ED 0A 0B 19 E0 9D ED 06 0B 8D ED 02 0B 04 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 CE 4B 93 ED 00 0B B1 EE 40 0B 8D ED 22 0B 03 E0 9F ED C6 0B 8D ED 22 0B 9D ED 22 0B 8D ED 0A 0B 6B E1 BD F9 00 30 01 2B 1C D1 9D ED 04 0B 8D ED 02 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 07 D2 BD 4B 93 ED 00 0B B1 EE 40 0B 8D ED 24 0B 04 E0 B9 4B 93 ED 00 0B 8D ED 24 0B 9D ED 24 0B 8D ED 0A 0B 4A E1 9D ED 06 1B B7 EE 00 2B 9D ED 04 0B 32 EE 40 0B ?? ?? ?? ?? 8D ED 42 1B 8D ED 40 0B 9D ED 40 0B 9D ED 42 1B ?? ?? ?? ?? 8D ED 46 1B 8D ED 44 0B 9D ED 44 0B 8D ED 1C 0B 9D ED 46 0B 8D ED 1E 0B 9D ED 06 0B B1 EE 40 1B B7 EE 00 2B 9D ED 04 0B 32 EE 00 0B ?? ?? ?? ?? 8D ED 4A 1B 8D ED 48 0B 9D ED 48 0B 9D ED 4A 1B ?? ?? ?? ?? 8D ED 4E 1B 8D ED 4C 0B 9D ED 4C 0B 8D ED 18 0B 9D ED 4E 0B 8D ED 1A 0B 9D ED 06 0B B5 EE 40 0B F1 EE 10 FA 04 D1 9D ED 06 0B 8D ED 02 0B DA E0 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 3E 0B 9D ED 3E 0B 8D ED 10 0B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 2A 0B 9D ED 2A 0B 8D ED 0E 0B 9D ED 18 0B 9D ED 1A 1B ?? ?? ?? ?? 8D ED 2C 0B 9D ED 2C 0B 8D ED 12 0B 9D ED 18 0B 9D ED 1A 1B ?? ?? ?? ?? 8D ED 2E 0B 9D ED 2E 0B 8D ED 14 0B 74 4B 93 ED 00 1B 9D ED 10 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 10 0B 8D ED 08 0B 9D ED 12 1B 9D ED 08 0B 81 EE 00 1B 9D ED 0E 0B 20 EE 01 1B 9D ED 14 0B 31 EE 40 0B 8D ED 16 0B 55 E0 65 4B 93 ED 00 1B 9D ED 0E 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 0E 0B 8D ED 08 0B 9D ED 14 1B 9D ED 08 0B 81 EE 00 1B 9D ED 10 0B 20 EE 01 1B 9D ED 12 0B 30 EE 41 0B 8D ED 16 0B 36 E0 9D ED 0E 0B B1 EE 40 1B 53 4B 93 ED 00 0B B4 EE C1 0B F1 EE 10 FA 16 D2 9D ED 0E 0B B1 EE 40 0B 8D ED 08 0B 9D ED 14 1B 9D ED 08 0B 81 EE 00 1B 9D ED 10 0B 20 EE 01 1B 9D ED 12 0B 30 EE 41 0B 8D ED 16 0B 13 E0 9F ED 42 0B 8D ED 08 0B 9D ED 0E 1B 9D ED 12 0B 21 EE 00 2B 9D ED 10 1B 9D ED 14 0B 21 EE 00 0B 32 EE 40 0B 8D ED 16 0B 9D ED 16 0B ?? ?? ?? ?? 8D ED 30 0B 9D ED 30 0B 8D ED 02 0B 9D ED 08 0B B5 EE 40 0B F1 EE 10 FA 00 D1 23 E0 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 0E DB 9D ED 08 0B ?? ?? ?? ?? 8D ED 32 0B 9D ED 02 1B 9D ED 32 0B 31 EE 00 0B 8D ED 02 0B 0D E0 9D ED 08 0B ?? ?? ?? ?? 8D ED 34 0B 9D ED 02 1B 9D ED 34 0B 31 EE 40 0B 8D ED 02 0B 9D ED 18 2B 9D ED 1A 3B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 52 1B 8D ED 50 0B 9D ED 50 0B 9D ED 52 1B ?? ?? ?? ?? 8D ED 36 0B 9D ED 36 1B 9D ED 04 0B ?? ?? ?? ?? 8D ED 38 0B 9D ED 38 0B 8D ED 0A 0B 9D ED 0A 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 56 1B 8D ED 54 0B 9D ED 54 0B 8D ED 58 0B 9D ED 56 0B 8D ED 5A 0B 9D ED 58 0B 9D ED 5A 1B 5C B0 BD E8 00 88 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_626_0_0 {
	meta:
		name = "casinh"
		size = 1168
		refs = "0018 creal 0030 cimag 0042 _dtest 01c0 _Cbuild 01d4 csqrt 039a asinh 03cc log 0412 _Cmulcc 0436 atan2 0480 big 0484 piby2 0488 _Zero_C 048c piby4"
	strings:
		$1 = { 2D E9 00 48 EB 46 DC B0 8D ED 28 1B 8D ED 26 0B 9D ED 26 0B 9D ED 28 1B ?? ?? ?? ?? 8D ED 3A 0B 9D ED 3A 0B 8D ED 06 0B 9D ED 26 0B 9D ED 28 1B ?? ?? ?? ?? 8D ED 3C 0B 9D ED 3C 0B 8D ED 04 0B 06 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 02 30 04 A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 00 30 BD F9 02 30 02 2B 26 D1 BD F9 00 30 02 2B 03 D0 BD F9 00 30 00 2B 08 D1 9D ED 06 0B 8D ED 02 0B 9D ED 04 0B 8D ED 0A 0B 14 E0 BD F9 00 30 01 2B 08 D1 9D ED 04 0B 8D ED 02 0B 9D ED 06 0B 8D ED 0A 0B 07 E0 9D ED 06 0B 8D ED 02 0B 9D ED 06 0B 8D ED 0A 0B C5 E1 BD F9 00 30 02 2B 15 D1 BD F9 02 30 01 2B 08 D1 9D ED 06 0B 8D ED 02 0B 9D ED 04 0B 8D ED 0A 0B 07 E0 9D ED 04 0B 8D ED 02 0B 9D ED 04 0B 8D ED 0A 0B AB E1 BD F9 02 30 01 2B 3B D1 BD F9 00 30 01 2B 1C D1 9D ED 06 0B 8D ED 02 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 07 D2 DD 4B 93 ED 00 0B B1 EE 40 0B 8D ED 20 0B 04 E0 D9 4B 93 ED 00 0B 8D ED 20 0B 9D ED 20 0B 8D ED 0A 0B 19 E0 9D ED 06 0B 8D ED 02 0B 04 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 CE 4B 93 ED 00 0B B1 EE 40 0B 8D ED 22 0B 03 E0 9F ED C6 0B 8D ED 22 0B 9D ED 22 0B 8D ED 0A 0B 6B E1 BD F9 00 30 01 2B 1C D1 9D ED 04 0B 8D ED 02 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 07 D2 BD 4B 93 ED 00 0B B1 EE 40 0B 8D ED 24 0B 04 E0 B9 4B 93 ED 00 0B 8D ED 24 0B 9D ED 24 0B 8D ED 0A 0B 4A E1 9D ED 06 1B B7 EE 00 2B 9D ED 04 0B 32 EE 40 0B ?? ?? ?? ?? 8D ED 42 1B 8D ED 40 0B 9D ED 40 0B 9D ED 42 1B ?? ?? ?? ?? 8D ED 46 1B 8D ED 44 0B 9D ED 44 0B 8D ED 1C 0B 9D ED 46 0B 8D ED 1E 0B 9D ED 06 0B B1 EE 40 1B B7 EE 00 2B 9D ED 04 0B 32 EE 00 0B ?? ?? ?? ?? 8D ED 4A 1B 8D ED 48 0B 9D ED 48 0B 9D ED 4A 1B ?? ?? ?? ?? 8D ED 4E 1B 8D ED 4C 0B 9D ED 4C 0B 8D ED 18 0B 9D ED 4E 0B 8D ED 1A 0B 9D ED 06 0B B5 EE 40 0B F1 EE 10 FA 04 D1 9D ED 06 0B 8D ED 02 0B DA E0 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 3E 0B 9D ED 3E 0B 8D ED 10 0B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 2A 0B 9D ED 2A 0B 8D ED 0E 0B 9D ED 18 0B 9D ED 1A 1B ?? ?? ?? ?? 8D ED 2C 0B 9D ED 2C 0B 8D ED 12 0B 9D ED 18 0B 9D ED 1A 1B ?? ?? ?? ?? 8D ED 2E 0B 9D ED 2E 0B 8D ED 14 0B 74 4B 93 ED 00 1B 9D ED 10 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 10 0B 8D ED 08 0B 9D ED 12 1B 9D ED 08 0B 81 EE 00 1B 9D ED 0E 0B 20 EE 01 1B 9D ED 14 0B 31 EE 40 0B 8D ED 16 0B 55 E0 65 4B 93 ED 00 1B 9D ED 0E 0B B4 EE C0 1B F1 EE 10 FA 14 D2 9D ED 0E 0B 8D ED 08 0B 9D ED 14 1B 9D ED 08 0B 81 EE 00 1B 9D ED 10 0B 20 EE 01 1B 9D ED 12 0B 30 EE 41 0B 8D ED 16 0B 36 E0 9D ED 0E 0B B1 EE 40 1B 53 4B 93 ED 00 0B B4 EE C1 0B F1 EE 10 FA 16 D2 9D ED 0E 0B B1 EE 40 0B 8D ED 08 0B 9D ED 14 1B 9D ED 08 0B 81 EE 00 1B 9D ED 10 0B 20 EE 01 1B 9D ED 12 0B 30 EE 41 0B 8D ED 16 0B 13 E0 9F ED 42 0B 8D ED 08 0B 9D ED 0E 1B 9D ED 12 0B 21 EE 00 2B 9D ED 10 1B 9D ED 14 0B 21 EE 00 0B 32 EE 40 0B 8D ED 16 0B 9D ED 16 0B ?? ?? ?? ?? 8D ED 30 0B 9D ED 30 0B 8D ED 02 0B 9D ED 08 0B B5 EE 40 0B F1 EE 10 FA 00 D1 23 E0 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 0E DB 9D ED 08 0B ?? ?? ?? ?? 8D ED 32 0B 9D ED 02 1B 9D ED 32 0B 31 EE 00 0B 8D ED 02 0B 0D E0 9D ED 08 0B ?? ?? ?? ?? 8D ED 34 0B 9D ED 02 1B 9D ED 34 0B 31 EE 40 0B 8D ED 02 0B 9D ED 18 2B 9D ED 1A 3B 9D ED 1C 0B 9D ED 1E 1B ?? ?? ?? ?? 8D ED 52 1B 8D ED 50 0B 9D ED 50 0B 9D ED 52 1B ?? ?? ?? ?? 8D ED 36 0B 9D ED 36 1B 9D ED 04 0B ?? ?? ?? ?? 8D ED 38 0B 9D ED 38 0B 8D ED 0A 0B 9D ED 0A 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 56 1B 8D ED 54 0B 9D ED 54 0B 8D ED 58 0B 9D ED 56 0B 8D ED 5A 0B 9D ED 58 0B 9D ED 5A 1B 5C B0 BD E8 00 88 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_243_0_0 {
	meta:
		name = "_getdrives"
		size = 20
		refs = "0010 __imp_GetLogicalDrives"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_571_0_0 {
	meta:
		name = "_beep"
		size = 20
		refs = "0010 __imp_Beep"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_336_0_0 {
	meta:
		name = "_seterrormode"
		size = 20
		refs = "0010 __imp_SetErrorMode"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_245_7_0 {
	meta:
		name = "_fgetwc_nolock"
		size = 744
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0014 ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 0026 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 002e _fileno 00ce _getc_nolock 01c6 __pctype_func 0212 ungetc 0236 mbtowc 0244 _errno 0266 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 02c4 __acrt_stdio_refill_and_read_wide_nolock 02e0 __badioinfo 02e4 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 B0 B0 32 99 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 6C D1 68 46 ?? ?? ?? ?? 0F 90 0F 98 ?? ?? ?? ?? 10 90 10 9B B3 F1 FF 3F 2C D0 68 46 ?? ?? ?? ?? 11 90 11 98 ?? ?? ?? ?? 12 90 12 9B 13 F1 02 0F 20 D0 68 46 ?? ?? ?? ?? 13 90 13 98 ?? ?? ?? ?? 15 90 68 46 ?? ?? ?? ?? 14 90 14 98 ?? ?? ?? ?? 16 90 15 9B 9A 11 04 23 02 FB 03 F2 99 4B 99 18 16 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 09 93 01 E0 92 4B 09 93 09 9B 29 33 93 F9 00 30 00 2B 2B D0 06 AB 0A 93 0A 9B 9B 1C 17 93 0A 9B 04 93 02 E0 04 9B 5B 1C 04 93 04 9A 17 9B 9A 42 17 D0 68 46 ?? ?? ?? ?? 18 90 18 98 ?? ?? ?? ?? 19 90 19 9B 0B 93 0B 9B B3 F1 FF 3F 04 D1 4F F6 FF 73 AD F8 04 30 F3 E0 0B 9B 5A B2 04 9B 1A 70 E0 E7 BD F8 18 30 AD F8 04 30 E9 E0 68 46 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 40 F0 A9 80 68 46 ?? ?? ?? ?? 1A 90 1A 98 ?? ?? ?? ?? 1B 90 1B 9B B3 F1 FF 3F 2C D0 68 46 ?? ?? ?? ?? 1C 90 1C 98 ?? ?? ?? ?? 1D 90 1D 9B 13 F1 02 0F 20 D0 68 46 ?? ?? ?? ?? 1E 90 1E 98 ?? ?? ?? ?? 20 90 68 46 ?? ?? ?? ?? 1F 90 1F 98 ?? ?? ?? ?? 21 90 20 9B 9A 11 04 23 02 FB 03 F2 5D 4B 99 18 21 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 0C 93 01 E0 56 4B 0C 93 0C 9B 28 33 1B 78 13 F0 80 0F 67 D0 01 23 0D 93 68 46 ?? ?? ?? ?? 22 90 22 98 ?? ?? ?? ?? 23 90 23 9B 03 93 03 9B B3 F1 FF 3F 04 D1 4F F6 FF 73 AD F8 04 30 89 E0 03 9B 5A B2 05 AB 1A 70 ?? ?? ?? ?? 24 90 05 AB 93 F9 00 30 DA B2 02 23 02 FB 03 F2 24 9B 13 44 1B 88 13 F4 00 4F 23 D0 68 46 ?? ?? ?? ?? 25 90 25 98 ?? ?? ?? ?? 26 90 26 9B 03 93 03 9B B3 F1 FF 3F 0E D1 68 46 ?? ?? ?? ?? 27 90 27 99 05 AB 93 F9 00 00 ?? ?? ?? ?? 4F F6 FF 73 AD F8 04 30 58 E0 03 9B 5A B2 05 AB 5B 1C 1A 70 02 23 0D 93 0D 9A 05 A9 0D F1 1A 00 ?? ?? ?? ?? 28 90 28 9B B3 F1 FF 3F 0A D1 ?? ?? ?? ?? 29 90 29 9A 2A 23 13 60 4F F6 FF 73 AD F8 04 30 3B E0 BD F8 1A 30 AD F8 04 30 36 E0 68 46 ?? ?? ?? ?? 2A 90 2A 9B 08 33 1B 68 02 2B 21 DB 68 46 ?? ?? ?? ?? 2B 90 2B 9B 08 33 0E 93 0E 9B 1B 68 9A 1E 0E 9B 1A 60 68 46 ?? ?? ?? ?? 2C 90 2C 9B 08 93 08 9B 1B 68 1B 88 AD F8 1C 30 08 9B 1B 68 9A 1C 08 9B 1A 60 BD F8 1C 30 AD F8 04 30 0C E0 0B E0 68 46 ?? ?? ?? ?? 2D 90 2D 98 ?? ?? ?? ?? 2E 90 2E 9B 9B B2 AD F8 04 30 BD F8 04 00 30 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_245_8_0 {
	meta:
		name = "_fgetwchar"
		size = 44
		refs = "000a __acrt_iob_func 0012 fgetwc"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 00 20 ?? ?? ?? ?? 01 90 01 98 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 08 30 BD F8 08 00 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_245_9_0 {
	meta:
		name = "_getwc_nolock"
		size = 42
		refs = "000c _fgetwc_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_245_12_0 {
	meta:
		name = "getwc"
		size = 42
		refs = "000c fgetwc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_245_10_0 {
	meta:
		name = "fgetwc"
		size = 176
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0078 _lock_file 007e _fgetwc_nolock 008a _unlock_file 00a0 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a4 ??_C@_1O@CGPBPCOK@?$AAf?$AAg?$AAe?$AAt?$AAw?$AAc?$AA?$AA@ 00a8 ??_C@_1GA@MGFNAPEH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 82 B0 BB 6A 00 2B 02 D0 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 1D 4B 01 93 1F 4B 00 93 00 23 64 22 1C 49 02 20 ?? ?? ?? ?? 38 61 3B 69 01 2B 00 D1 FE DE BB 68 00 2B 11 D1 ?? ?? ?? ?? 78 61 7A 69 16 23 13 60 00 23 00 93 64 23 11 4A 10 49 0E 48 ?? ?? ?? ?? 4F F6 FF 73 BB 81 0F E0 00 23 3B 80 B8 6A ?? ?? ?? ?? B8 6A ?? ?? ?? ?? 78 80 7B 88 3B 80 B8 6A ?? ?? ?? ?? 3B 88 BB 81 B8 89 09 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_245_11_0 {
	meta:
		name = "fgetwc$fin$0"
		size = 16
		refs = "0006 _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 B8 6A ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_245_13_0 {
	meta:
		name = "getwchar"
		size = 34
		refs = "0008 _fgetwchar"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_246_0_0 {
	meta:
		name = "_getw"
		size = 256
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 007a _lock_file 00a4 _getc_nolock 00b6 feof 00c6 ferror 00da _unlock_file 00f0 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??_C@_1M@HKOJKMJ@?$AA_?$AAg?$AAe?$AAt?$AAw?$AA?$AA@ 00f8 ??_C@_1FM@BFPLCINI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 82 B0 3B 6C 00 2B 02 D0 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 31 4B 01 93 33 4B 00 93 00 23 12 22 30 49 02 20 ?? ?? ?? ?? F8 61 FB 69 01 2B 00 D1 FE DE BB 68 00 2B 11 D1 ?? ?? ?? ?? 38 62 3A 6A 16 23 13 60 00 23 00 93 12 23 25 4A 24 49 22 48 ?? ?? ?? ?? 6F F0 00 03 BB 61 37 E0 6F F0 00 03 7B 61 38 6C ?? ?? ?? ?? 00 23 3B 61 17 F1 10 03 FB 60 FB 68 1B 1D 7B 62 FB 68 3B 60 02 E0 3B 68 5B 1C 3B 60 3A 68 7B 6A 9A 42 08 D0 38 6C ?? ?? ?? ?? B8 62 BB 6A 5A B2 3B 68 1A 70 EF E7 38 6C ?? ?? ?? ?? F8 62 FB 6A 00 2B 00 D0 09 E0 38 6C ?? ?? ?? ?? 38 63 3B 6B 00 2B 00 D0 01 E0 3B 69 7B 61 38 6C ?? ?? ?? ?? 7B 69 BB 61 B8 69 0F B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_246_1_0 {
	meta:
		name = "_getw$fin$0"
		size = 16
		refs = "0006 _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 38 6C ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_249_0_0 {
	meta:
		name = "remquol"
		size = 640
		refs = "0014 _ldtest 008c _fperrraise 0114 _ldunscale 0172 _ldscale 027c _LNan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 8D ED 0A 1B 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 10 30 0A A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 12 30 18 9B 00 2B 02 D0 18 9A 00 23 13 60 BD F9 10 30 00 2B 03 DA BD F9 12 30 00 2B 2B DB BD F9 10 30 02 2B 05 D1 9D ED 02 0B 8D ED 12 0B 04 E1 20 E0 BD F9 12 30 02 2B 05 D1 9D ED 0A 0B 8D ED 12 0B FA E0 16 E0 BD F9 10 30 01 2B 03 D0 BD F9 12 30 00 2B 09 D1 01 20 ?? ?? ?? ?? 7A 4B 93 ED 00 0B 8D ED 12 0B E8 E0 04 E0 9D ED 02 0B 8D ED 12 0B E2 E0 E1 E0 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 09 D2 9D ED 0A 0B B1 EE 40 0B 8D ED 0A 0B 01 23 AD F8 00 30 02 E0 00 23 AD F8 00 30 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 10 D2 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 01 23 AD F8 18 30 BD F9 00 20 01 23 9B 1A 1B B2 AD F8 00 30 02 E0 00 23 AD F8 18 30 9D ED 0A 0B 8D ED 08 0B 08 A9 0E A8 ?? ?? ?? ?? 00 23 01 93 00 23 05 93 9D ED 02 0B 8D ED 08 0B 01 9B 00 2B 13 DB 08 A9 0D F1 36 00 ?? ?? ?? ?? AD F8 34 00 BD F9 34 30 00 2B 08 D0 BD F9 36 20 BD F9 38 30 D3 1A 01 93 01 9B 00 2B 00 DA 2C E0 02 E0 01 9B 5B 1E 01 93 01 9B 00 2B 24 DB 9D ED 0A 0B 8D ED 08 0B 01 99 08 A8 ?? ?? ?? ?? 9D ED 08 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 12 D8 9D ED 02 1B 9D ED 08 0B 31 EE 40 0B 8D ED 02 0B 01 9B 20 2B 06 D2 01 9A 01 23 03 FA 02 F2 05 9B 13 44 05 93 00 E0 D4 E7 B6 E7 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 2F DD B6 EE 00 1B 9D ED 0A 0B 21 EE 00 0B 8D ED 08 0B 9D ED 08 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 06 D2 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 0C DC 9D ED 08 1B 9D ED 02 0B B4 EE 40 1B F1 EE 10 FA 0E D1 05 9B 13 F0 01 0F 0A D0 9D ED 02 1B 9D ED 0A 0B 31 EE 40 0B 8D ED 02 0B 05 9B 5B 1C 05 93 18 9B 00 2B 10 D0 05 9B 23 F0 00 43 0F 93 BD F9 00 30 00 2B 03 D0 0F 9B 5B 42 10 93 01 E0 0F 9B 10 93 10 9A 18 9B 1A 60 BD F9 18 30 00 2B 06 D0 9D ED 02 0B B1 EE 40 0B 8D ED 14 0B 03 E0 9D ED 02 0B 8D ED 14 0B 9D ED 14 0B 8D ED 12 0B 9D ED 12 0B 16 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_271_0_0 {
	meta:
		name = "remquo"
		size = 640
		refs = "0014 _dtest 008c _fperrraise 0114 _dunscale 0172 _dscale 027c _Nan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 8D ED 0A 1B 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 10 30 0A A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 12 30 18 9B 00 2B 02 D0 18 9A 00 23 13 60 BD F9 10 30 00 2B 03 DA BD F9 12 30 00 2B 2B DB BD F9 10 30 02 2B 05 D1 9D ED 02 0B 8D ED 12 0B 04 E1 20 E0 BD F9 12 30 02 2B 05 D1 9D ED 0A 0B 8D ED 12 0B FA E0 16 E0 BD F9 10 30 01 2B 03 D0 BD F9 12 30 00 2B 09 D1 01 20 ?? ?? ?? ?? 7A 4B 93 ED 00 0B 8D ED 12 0B E8 E0 04 E0 9D ED 02 0B 8D ED 12 0B E2 E0 E1 E0 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 09 D2 9D ED 0A 0B B1 EE 40 0B 8D ED 0A 0B 01 23 AD F8 00 30 02 E0 00 23 AD F8 00 30 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 10 D2 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 01 23 AD F8 18 30 BD F9 00 20 01 23 9B 1A 1B B2 AD F8 00 30 02 E0 00 23 AD F8 18 30 9D ED 0A 0B 8D ED 08 0B 08 A9 0E A8 ?? ?? ?? ?? 00 23 01 93 00 23 05 93 9D ED 02 0B 8D ED 08 0B 01 9B 00 2B 13 DB 08 A9 0D F1 36 00 ?? ?? ?? ?? AD F8 34 00 BD F9 34 30 00 2B 08 D0 BD F9 36 20 BD F9 38 30 D3 1A 01 93 01 9B 00 2B 00 DA 2C E0 02 E0 01 9B 5B 1E 01 93 01 9B 00 2B 24 DB 9D ED 0A 0B 8D ED 08 0B 01 99 08 A8 ?? ?? ?? ?? 9D ED 08 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 12 D8 9D ED 02 1B 9D ED 08 0B 31 EE 40 0B 8D ED 02 0B 01 9B 20 2B 06 D2 01 9A 01 23 03 FA 02 F2 05 9B 13 44 05 93 00 E0 D4 E7 B6 E7 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 2F DD B6 EE 00 1B 9D ED 0A 0B 21 EE 00 0B 8D ED 08 0B 9D ED 08 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 06 D2 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 0C DC 9D ED 08 1B 9D ED 02 0B B4 EE 40 1B F1 EE 10 FA 0E D1 05 9B 13 F0 01 0F 0A D0 9D ED 02 1B 9D ED 0A 0B 31 EE 40 0B 8D ED 02 0B 05 9B 5B 1C 05 93 18 9B 00 2B 10 D0 05 9B 23 F0 00 43 0F 93 BD F9 00 30 00 2B 03 D0 0F 9B 5B 42 10 93 01 E0 0F 9B 10 93 10 9A 18 9B 1A 60 BD F9 18 30 00 2B 06 D0 9D ED 02 0B B1 EE 40 0B 8D ED 14 0B 03 E0 9D ED 02 0B 8D ED 14 0B 9D ED 14 0B 8D ED 12 0B 9D ED 12 0B 16 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_250_5_0 {
	meta:
		name = "_mbsncpy_l"
		size = 268
		refs = "0016 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002e _CrtDbgReportW 0038 _errno 007a _invalid_parameter 008e strncpy 00f8 ??_C@_1BG@LEOFPELK@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAl?$AA?$AA@ 00fc ??_C@_1HA@OMDLJNFM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0100 ??_C@_1DG@GGOPHOOE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1DG@BFFILGID@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 0E 46 04 46 07 46 02 A8 19 46 15 46 ?? ?? ?? ?? AC B9 A5 B1 39 4B 39 4C 36 49 00 93 00 23 36 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 36 23 15 E0 DE B9 D5 B1 2D 4B 2C 4C 2A 49 00 93 00 23 37 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 37 23 21 4A 20 49 20 46 ?? ?? ?? ?? 00 27 24 E0 04 99 8B 68 9B BB 2A 46 31 46 20 46 ?? ?? ?? ?? 07 46 1A E0 16 F8 01 2B 6D 1E 53 18 5B 7E 13 F0 04 0F 20 D0 22 70 33 78 06 F1 01 06 63 70 04 F1 02 04 E3 B9 00 23 04 F8 02 3C 35 B1 00 22 25 B1 63 19 04 F8 01 2B 9C 42 FB D1 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 38 46 06 B0 BD E8 F0 88 04 F8 01 2B 00 2A E5 D0 00 2D D0 D1 EA E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_251_0_0 {
	meta:
		name = "atanhf"
		size = 300
		refs = "000e _fdtest 006c _fperrraise 00de log1pf 0124 _FInf_C 0128 _FNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 04 93 04 9B 00 2B 03 D0 04 9B 02 2B 00 D0 04 E0 9D ED 01 0A 8D ED 02 0A 72 E0 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 08 D2 01 23 03 93 9D ED 01 0A B1 EE 40 0A 8D ED 01 0A 01 E0 00 23 03 93 F7 EE 00 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 09 D2 01 20 ?? ?? ?? ?? 2D 4B 93 ED 00 0A 8D ED 02 0A 4E E0 4D E0 DD ED 01 0A B7 EE 00 0A F4 EE 40 0A F1 EE 10 FA 18 D1 04 20 ?? ?? ?? ?? 03 9B 00 2B 07 D0 21 4B 93 ED 00 0A B1 EE 40 0A 8D ED 05 0A 04 E0 1D 4B 93 ED 00 0A 8D ED 05 0A 9D ED 05 0A 8D ED 02 0A 2C E0 2B E0 F0 EE 00 0A 9D ED 01 0A 20 EE 80 1A F7 EE 00 0A 9D ED 01 0A 30 EE C0 0A 81 EE 00 0A ?? ?? ?? ?? 8D ED 08 0A F6 EE 00 0A 9D ED 08 0A 20 EE 80 0A 8D ED 06 0A 03 9B 00 2B 06 D0 9D ED 06 0A B1 EE 40 0A 8D ED 07 0A 03 E0 9D ED 06 0A 8D ED 07 0A 9D ED 07 0A 8D ED 02 0A 9D ED 02 0A 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_252_0_0 {
	meta:
		name = "_fpclass"
		size = 216
		refs = "0022 _sptype"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 08 0B BD F8 26 20 47 F6 F0 73 1A 40 47 F6 F0 73 9A 42 1D D1 9D ED 08 0B ?? ?? ?? ?? 06 90 06 9B 01 93 01 9B 01 2B 06 D0 01 9B 02 2B 07 D0 01 9B 03 2B 07 D0 09 E0 4F F4 00 73 00 93 43 E0 04 23 00 93 40 E0 02 23 00 93 3D E0 01 23 00 93 3A E0 BD F8 26 30 03 F4 00 43 02 93 BD F8 26 20 47 F6 F0 73 13 40 00 2B 11 D1 09 9B 1B 03 00 2B 02 D1 08 9B 00 2B 0A D0 02 9B 00 2B 02 D0 10 23 03 93 01 E0 80 23 03 93 03 9B 00 93 1C E0 9D ED 08 0B B5 EE 40 0B F1 EE 10 FA 0A D1 02 9B 00 2B 02 D0 20 23 04 93 01 E0 40 23 04 93 04 9B 00 93 0A E0 02 9B 00 2B 02 D0 08 23 05 93 02 E0 4F F4 80 73 05 93 05 9B 00 93 00 98 0A B0 BD E8 00 88 }
	condition:
		$1
}

rule file_252_1_0 {
	meta:
		name = "_isnan"
		size = 80
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 02 0B BD F8 0E 20 47 F6 F8 73 1A 40 47 F6 F0 73 9A 42 06 D1 03 9B 5B 03 00 2B 0B D1 02 9B 00 2B 08 D1 BD F8 0E 20 47 F6 F8 73 1A 40 47 F6 F8 73 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_252_3_0 {
	meta:
		name = "_scalb"
		size = 50
		refs = "0014 ldexp"
		altNames = "ldexpl"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 08 98 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_253_5_0 {
	meta:
		name = "_mbsicmp_l"
		size = 456
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0028 _CrtDbgReportW 0032 _errno 0072 _invalid_parameter 0084 _stricmp_l 00ce __acrt_LCMapStringA 01b4 ??_C@_1BG@BMDHEPAJ@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 01b8 ??_C@_1HA@EBPEOBJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 01bc ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01c4 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8D B0 0D 46 06 46 08 A8 11 46 ?? ?? ?? ?? 02 20 9E B9 69 4B 69 4C 66 49 00 93 00 23 36 22 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 36 23 14 E0 CD B9 5E 4B 5D 4C 5B 49 00 93 00 23 37 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 37 23 52 4A 51 49 20 46 ?? ?? ?? ?? 86 E0 0A 9A 93 68 2B B9 09 AA 29 46 30 46 ?? ?? ?? ?? 86 E0 06 AF 0D F1 18 08 4F F0 04 09 4F F0 10 0A 16 F8 01 1B 4F F0 01 0E 52 FA 81 F3 5B 7E 13 EA 09 0F 25 D0 33 78 0B B9 00 24 2A E0 53 68 D2 F8 1C 12 02 90 03 93 00 90 73 1E 4F F4 00 72 09 A8 CD F8 10 E0 01 97 ?? ?? ?? ?? 01 28 02 D1 9D F8 18 40 08 E0 02 28 4E D1 9D F8 18 20 9D F8 19 30 03 EB 02 23 9C B2 0A 9A 76 1C 4F F0 01 0E 07 E0 88 18 43 7E 13 EA 0A 0F 01 D0 90 F8 19 11 0C 46 02 20 15 F8 01 1B 52 FA 81 F3 5B 7E 13 EA 09 0F 24 D0 2B 78 0B B9 00 23 28 E0 53 68 D2 F8 1C 12 02 90 03 93 00 90 6B 1E 4F F4 00 72 09 A8 CD F8 10 E0 CD F8 04 80 ?? ?? ?? ?? 01 28 02 D1 9D F8 18 30 08 E0 02 28 16 D1 9D F8 18 20 9D F8 19 30 03 EB 02 23 9B B2 0A 9A 6D 1C 07 E0 88 18 43 7E 13 EA 0A 0F 01 D0 90 F8 19 11 0B 46 9C 42 0B D1 44 B1 02 20 8C E7 ?? ?? ?? ?? 16 23 03 60 6F F0 00 40 05 E0 00 20 03 E0 6F F0 00 00 88 BF 01 20 9D F8 2C 30 33 B1 08 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 0D B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_2_0 {
	meta:
		name = "??$common_tmpnam@D@@YAHQADIW4buffer_id@?A0x5b9a7937@@QAPAD@Z"
		size = 144
		refs = "0014 __acrt_lock 0018 _errno 002a ??$common_tmpnam_nolock@D@@YAHQADIW4buffer_id@?A0x5b9a7937@@@Z 005c ?get_tmpnam_ptd_buffer@@YAPAPADD@Z 007c __acrt_unlock"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 00 23 3B 60 0C 20 ?? ?? ?? ?? ?? ?? ?? ?? B8 60 BB 68 1B 68 BB 61 BA 6B 79 6B 38 6B ?? ?? ?? ?? F8 60 FB 68 3B 60 3B 68 00 2B 09 D0 3A 6B FB 6B 1A 60 ?? ?? ?? ?? 38 61 3A 68 3B 69 1A 60 15 E0 3B 6B 00 2B 02 D0 3B 6B 7B 60 06 E0 00 20 ?? ?? ?? ?? 78 61 7B 69 1B 68 7B 60 7A 68 FB 6B 1A 60 ?? ?? ?? ?? F8 61 BA 69 FB 69 1A 60 0C 20 ?? ?? ?? ?? 3B 68 3B 62 38 6A 09 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_254_4_0 {
	meta:
		name = "??$common_tmpnam@_W@@YAHQA_WIW4buffer_id@?A0x5b9a7937@@QAPA_W@Z"
		size = 144
		refs = "0014 __acrt_lock 0018 _errno 002a ??$common_tmpnam_nolock@_W@@YAHQA_WIW4buffer_id@?A0x5b9a7937@@@Z 005c ?get_tmpnam_ptd_buffer@@YAPAPA_W_W@Z 007c __acrt_unlock"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 00 23 3B 60 0C 20 ?? ?? ?? ?? ?? ?? ?? ?? B8 60 BB 68 1B 68 BB 61 BA 6B 79 6B 38 6B ?? ?? ?? ?? F8 60 FB 68 3B 60 3B 68 00 2B 09 D0 3A 6B FB 6B 1A 60 ?? ?? ?? ?? 38 61 3A 68 3B 69 1A 60 15 E0 3B 6B 00 2B 02 D0 3B 6B 7B 60 06 E0 00 20 ?? ?? ?? ?? 78 61 7B 69 1B 68 7B 60 7A 68 FB 6B 1A 60 ?? ?? ?? ?? F8 61 BA 69 FB 69 1A 60 0C 20 ?? ?? ?? ?? 3B 68 3B 62 38 6A 09 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_254_6_0 {
	meta:
		name = "??$common_tmpnam_nolock@D@@YAHQADIW4buffer_id@?A0x5b9a7937@@@Z"
		size = 436
		refs = "000c ??$get_tmpfile_buffer_nolock@D@@YAPADW4buffer_id@?A0x5b9a7937@@@Z 0034 ??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 0040 ??$generate_tmpfile_file_name@D@@YA_NQADI@Z 005e ??$taccess_s@ABQADH@?$__crt_char_traits@D@@SAHABQAD$$QAH@Z 0096 ??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z 00bc ??$tcscpy_s@ABQADABIABQAD@?$__crt_char_traits@D@@SAHABQADABI0@Z 00d2 _invoke_watson_if_error 00f2 _CrtDbgReportW 0102 ?get_tmpnam_ptd_buffer@@YAPAPADD@Z 0130 _calloc_dbg 013a ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0146 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 0154 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 016c ??$tcscpy_s@AAPADABIABQAD@?$__crt_char_traits@D@@SAHAAPADABIABQAD@Z 0198 ??_C@_1JA@JPEEANAF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAp?$AAt?$AAd?$AA_?$AAb?$AAu?$AAf?$AAf@ 019c ??_C@_1CK@MADPAFHK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 01a0 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01a4 ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 01a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01ac ??_C@_1DO@NDLLDDHJ@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?3?$AA?3?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 01b0 ??_C@_1JE@PLDPNCIB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 18 98 ?? ?? ?? ?? 06 90 06 9B 02 93 4F F4 82 73 12 93 02 9B 00 2B 02 D1 0C 23 03 93 B1 E0 02 9B 93 F9 00 30 00 2B 03 D1 18 98 ?? ?? ?? ?? 0D E0 4F F4 82 71 02 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 02 D1 02 23 03 93 9A E0 00 23 07 93 07 A9 02 A8 ?? ?? ?? ?? 08 90 08 9B 00 2B 0E D1 4F F4 82 71 02 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 02 D1 02 23 03 93 82 E0 E6 E7 16 9B 00 2B 26 D0 18 9B 00 2B 10 D0 02 A8 ?? ?? ?? ?? 09 90 09 9A 17 9B 9A 42 08 D3 17 9B 00 2B 02 D0 16 9A 00 23 13 70 22 23 03 93 6A E0 02 AA 17 A9 16 A8 ?? ?? ?? ?? 0A 90 00 23 01 93 F5 23 00 93 35 4B 33 4A 38 49 0A 98 ?? ?? ?? ?? 00 23 03 93 57 E0 18 9B 00 2B 0E D0 32 4B 01 93 30 4B 00 93 00 23 FB 22 2C 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 00 20 ?? ?? ?? ?? 0C 90 0C 9B 05 93 05 9B 00 2B 02 D1 0C 23 03 93 39 E0 05 9B 1B 68 00 2B 22 D1 40 F2 05 13 00 93 1F 4B 02 22 01 21 4F F4 82 70 ?? ?? ?? ?? 0D 90 0D 99 11 A8 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 0F 98 ?? ?? ?? ?? 10 90 10 9A 05 9B 1A 60 11 A8 ?? ?? ?? ?? 05 9B 1B 68 00 2B 02 D1 0C 23 03 93 12 E0 02 AA 12 A9 05 98 ?? ?? ?? ?? 13 90 00 23 01 93 4F F4 86 73 00 93 08 4B 07 4A 05 49 13 98 ?? ?? ?? ?? 00 23 03 93 03 98 14 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_7_0 {
	meta:
		name = "??$common_tmpnam_nolock@_W@@YAHQA_WIW4buffer_id@?A0x5b9a7937@@@Z"
		size = 436
		refs = "000c ??$get_tmpfile_buffer_nolock@_W@@YAPA_WW4buffer_id@?A0x5b9a7937@@@Z 0032 ??$initialize_tmpfile_buffer_nolock@_W@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 003e ??$generate_tmpfile_file_name@_W@@YA_NQA_WI@Z 005c ??$taccess_s@ABQA_WH@?$__crt_char_traits@_W@@SAHABQA_W$$QAH@Z 0094 ??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z 00ba ??$tcscpy_s@ABQA_WABIABQA_W@?$__crt_char_traits@_W@@SAHABQA_WABI0@Z 00d0 _invoke_watson_if_error 00f0 _CrtDbgReportW 0100 ?get_tmpnam_ptd_buffer@@YAPAPA_W_W@Z 012e _calloc_dbg 0138 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0144 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ 0152 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 016a ??$tcscpy_s@AAPA_WABIABQA_W@?$__crt_char_traits@_W@@SAHAAPA_WABIABQA_W@Z 0198 ??_C@_1JA@JPEEANAF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAp?$AAt?$AAd?$AA_?$AAb?$AAu?$AAf?$AAf@ 019c ??_C@_1CK@MADPAFHK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 01a0 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01a4 ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 01a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01ac ??_C@_1DO@NDLLDDHJ@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?3?$AA?3?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 01b0 ??_C@_1JE@PLDPNCIB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 18 98 ?? ?? ?? ?? 06 90 06 9B 02 93 4F F4 82 73 12 93 02 9B 00 2B 02 D1 0C 23 03 93 B0 E0 02 9B 1B 88 00 2B 03 D1 18 98 ?? ?? ?? ?? 0D E0 4F F4 82 71 02 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 02 D1 02 23 03 93 9A E0 00 23 07 93 07 A9 02 A8 ?? ?? ?? ?? 08 90 08 9B 00 2B 0E D1 4F F4 82 71 02 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 02 D1 02 23 03 93 82 E0 E6 E7 16 9B 00 2B 26 D0 18 9B 00 2B 10 D0 02 A8 ?? ?? ?? ?? 09 90 09 9A 17 9B 9A 42 08 D3 17 9B 00 2B 02 D0 16 9A 00 23 13 80 22 23 03 93 6A E0 02 AA 17 A9 16 A8 ?? ?? ?? ?? 0A 90 00 23 01 93 F5 23 00 93 35 4B 34 4A 38 49 0A 98 ?? ?? ?? ?? 00 23 03 93 57 E0 18 9B 00 2B 0E D0 32 4B 01 93 30 4B 00 93 00 23 FB 22 2C 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 00 20 ?? ?? ?? ?? 0C 90 0C 9B 05 93 05 9B 00 2B 02 D1 0C 23 03 93 39 E0 05 9B 1B 68 00 2B 22 D1 40 F2 05 13 00 93 1F 4B 02 22 02 21 4F F4 82 70 ?? ?? ?? ?? 0D 90 0D 99 11 A8 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 0F 98 ?? ?? ?? ?? 10 90 10 9A 05 9B 1A 60 11 A8 ?? ?? ?? ?? 05 9B 1B 68 00 2B 02 D1 0C 23 03 93 12 E0 02 AA 12 A9 05 98 ?? ?? ?? ?? 13 90 00 23 01 93 4F F4 86 73 00 93 09 4B 07 4A 06 49 13 98 ?? ?? ?? ?? 00 23 03 93 03 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_8_0 {
	meta:
		name = "??$generate_tmpfile_file_name@D@@YA_NQADI@Z"
		size = 464
		refs = "0014 ??$tcsrchr@ABQADD@?$__crt_char_traits@D@@SAPADABQAD$$QAD@Z 0048 _CrtDbgReportW 0068 _invalid_parameter 0148 ??$tcstoull@ABQAD$$TH@?$__crt_char_traits@D@@SA_KABQAD$$QA$$T$$QAH@Z 0184 ??$ulltot_s@AB_KABQADABIH@?$__crt_char_traits@D@@SAHAB_KABQADABI$$QAH@Z 019a _invoke_watson_if_error 01b4 ??_C@_1JA@CCDPDPLH@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAn?$AAe?$AAx?$AAt?$AA_?$AAi?$AAd?$AAe?$AAn@ 01b8 ??_C@_1DG@FEHBCODN@?$AAg?$AAe?$AAn?$AAe?$AAr?$AAa?$AAt?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 01bc ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01c0 ??_C@_1GO@BHPFFNDF@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi@ 01c4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01c8 ??_C@_1CC@NADANIGJ@?$AAd?$AAo?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 01cc ??_C@_1BO@HCNLLOKB@?$AAd?$AAo?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 2E 23 8D F8 08 30 02 A9 1E A8 ?? ?? ?? ?? 0E 90 0E 9B 04 93 04 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 64 4B 01 93 61 4B 00 93 00 23 9A 22 5D 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 07 9B 00 2B 0B D1 00 23 00 93 9A 23 56 4A 54 49 59 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 97 E0 04 9A 1E 9B 9A 42 02 D3 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 4D 4B 01 93 4B 4B 00 93 00 23 9B 22 47 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 09 9B 00 2B 0B D1 00 23 00 93 9B 23 40 4A 3E 49 42 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 6B E0 04 9A 1E 9B D2 1A 1F 9B 93 42 02 D9 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 34 4B 01 93 34 4B 00 93 00 23 9C 22 30 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 0B D1 00 23 00 93 9C 23 29 4A 27 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3D E0 04 9B 5B 1C 05 93 05 9A 1E 9B D2 1A 1F 9B 9B 1A 15 93 24 23 12 93 00 23 13 93 12 AA 13 A9 05 A8 ?? ?? ?? ?? 19 91 18 90 18 9A 19 99 00 23 52 1C 4B 41 0C 92 0D 93 0C 9B 1A 93 0D 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 00 23 8D F8 0C 30 15 E0 24 23 14 93 14 AB 15 AA 05 A9 0C A8 ?? ?? ?? ?? 16 90 00 23 01 93 A6 23 00 93 0A 4B 08 4A 07 49 16 98 ?? ?? ?? ?? 01 23 8D F8 0C 30 9D F8 0C 00 1C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_9_0 {
	meta:
		name = "??$generate_tmpfile_file_name@_W@@YA_NQA_WI@Z"
		size = 468
		refs = "0014 ??$tcsrchr@ABQA_WD@?$__crt_char_traits@_W@@SAPA_WABQA_W$$QAD@Z 0048 _CrtDbgReportW 0068 _invalid_parameter 014c ??$tcstoull@ABQA_W$$TH@?$__crt_char_traits@_W@@SA_KABQA_W$$QA$$T$$QAH@Z 0188 ??$ulltot_s@AB_KABQA_WABIH@?$__crt_char_traits@_W@@SAHAB_KABQA_WABI$$QAH@Z 019e _invoke_watson_if_error 01b8 ??_C@_1JA@CCDPDPLH@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAn?$AAe?$AAx?$AAt?$AA_?$AAi?$AAd?$AAe?$AAn@ 01bc ??_C@_1DG@FEHBCODN@?$AAg?$AAe?$AAn?$AAe?$AAr?$AAa?$AAt?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 01c0 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01c4 ??_C@_1GO@BHPFFNDF@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi@ 01c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01cc ??_C@_1CC@NADANIGJ@?$AAd?$AAo?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 01d0 ??_C@_1BO@HCNLLOKB@?$AAd?$AAo?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 2E 23 8D F8 08 30 02 A9 1E A8 ?? ?? ?? ?? 0E 90 0E 9B 04 93 04 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 65 4B 01 93 62 4B 00 93 00 23 9A 22 5E 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 07 9B 00 2B 0B D1 00 23 00 93 9A 23 57 4A 55 49 5A 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 99 E0 04 9A 1E 9B 9A 42 02 D3 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 4E 4B 01 93 4C 4B 00 93 00 23 9B 22 48 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 09 9B 00 2B 0B D1 00 23 00 93 9B 23 41 4A 3F 49 43 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 6D E0 04 9A 1E 9B D3 1A 5A 10 1F 9B 93 42 02 D9 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 35 4B 01 93 35 4B 00 93 00 23 9C 22 31 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 0B D1 00 23 00 93 9C 23 29 4A 28 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 3E E0 04 9B 9B 1C 05 93 05 9A 1E 9B D3 1A 5A 10 1F 9B 9B 1A 15 93 24 23 12 93 00 23 13 93 12 AA 13 A9 05 A8 ?? ?? ?? ?? 19 91 18 90 18 9A 19 99 00 23 52 1C 4B 41 0C 92 0D 93 0C 9B 1A 93 0D 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 03 D1 00 23 8D F8 0C 30 15 E0 24 23 14 93 14 AB 15 AA 05 A9 0C A8 ?? ?? ?? ?? 16 90 00 23 01 93 A6 23 00 93 0A 4B 08 4A 07 49 16 98 ?? ?? ?? ?? 01 23 8D F8 0C 30 9D F8 0C 00 1C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_11_0 {
	meta:
		name = "??$get_temp_path@KABQA_W@?$__crt_char_traits@_W@@SAK$$QAKABQA_W@Z"
		size = 48
		refs = "002c __imp_GetTempPathW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 06 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_15_0 {
	meta:
		name = "??$find_next_file@PAXPAU_WIN32_FIND_DATAA@@@?$__crt_char_traits@D@@SAH$$QAPAX$$QAPAU_WIN32_FIND_DATAA@@@Z"
		size = 48
		refs = "002c __imp_FindNextFileA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 06 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_16_0 {
	meta:
		name = "??$find_next_file@PAXPAU_WIN32_FIND_DATAW@@@?$__crt_char_traits@_W@@SAH$$QAPAX$$QAPAU_WIN32_FIND_DATAW@@@Z"
		size = 48
		refs = "002c __imp_FindNextFileW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 9B 18 68 06 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_12_0 {
	meta:
		name = "??$get_tmpfile_buffer_nolock@D@@YAPADW4buffer_id@?A0x5b9a7937@@@Z"
		size = 108
		refs = "000e ?get_tmpfile_buffer_pointer_nolock@@YAAAPADW4buffer_id@?A0x5b9a7937@@D@Z 002e _calloc_dbg 0038 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0044 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 0052 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 0068 ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 00 21 0C 98 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 1B 68 00 2B 1A D1 51 23 00 93 10 4B 02 22 01 21 4F F4 82 70 ?? ?? ?? ?? 04 90 04 99 08 A8 ?? ?? ?? ?? 05 90 05 9B 06 93 06 98 ?? ?? ?? ?? 07 90 07 9A 02 9B 1A 60 08 A8 ?? ?? ?? ?? 02 9B 1B 68 09 93 09 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_13_0 {
	meta:
		name = "??$get_tmpfile_buffer_nolock@_W@@YAPA_WW4buffer_id@?A0x5b9a7937@@@Z"
		size = 108
		refs = "000e ?get_tmpfile_buffer_pointer_nolock@@YAAAPA_WW4buffer_id@?A0x5b9a7937@@_W@Z 002e _calloc_dbg 0038 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0044 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ 0052 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0068 ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 00 21 0C 98 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 1B 68 00 2B 1A D1 51 23 00 93 10 4B 02 22 02 21 4F F4 82 70 ?? ?? ?? ?? 04 90 04 99 08 A8 ?? ?? ?? ?? 05 90 05 9B 06 93 06 98 ?? ?? ?? ?? 07 90 07 9A 02 9B 1A 60 08 A8 ?? ?? ?? ?? 02 9B 1B 68 09 93 09 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_14_0 {
	meta:
		name = "??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z"
		size = 328
		refs = "000c ??$get_tmpfile_buffer_nolock@D@@YAPADW4buffer_id@?A0x5b9a7937@@@Z 0038 ??$get_temp_path@KABQAD@?$__crt_char_traits@D@@SAK$$QAKABQAD@Z 006c ??0<lambda_fd10835d84bca6d3f1a7e11a5ff2d200>@@QAA@ABIAAPADABQAD@Z 00b6 ??R<lambda_fd10835d84bca6d3f1a7e11a5ff2d200>@@QBAIXZ 00d4 ??$ulltot_s@KAAPADIH@?$__crt_char_traits@D@@SAH$$QAKAAPAD$$QAI$$QAH@Z 00ea _invoke_watson_if_error 00f0 ??$tcslen@AAPAD@?$__crt_char_traits@D@@SAIAAPAD@Z 0138 ??_C@_1IM@OGKNKOJP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAG?$AAe?$AAt?$AAC?$AAu?$AAr?$AAr?$AAe?$AAn@ 013c ??_C@_1EC@HIMPBFCI@?$AAi?$AAn?$AAi?$AAt?$AAi?$AAa?$AAl?$AAi?$AAz?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk@ 0140 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0144 __imp_GetCurrentProcessId"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 98 B0 1A 98 ?? ?? ?? ?? 07 90 07 9B 03 93 4F F4 82 73 0A 93 03 9B 00 2B 03 D1 00 23 8D F8 18 30 7E E0 EE 23 12 93 4F F4 82 73 08 93 03 A9 08 A8 ?? ?? ?? ?? 09 90 09 9B 04 93 04 9B 00 2B 02 D0 04 9B EE 2B 06 D9 03 9A 00 23 13 70 00 23 8D F8 18 30 65 E0 03 9A 04 9B 13 44 02 93 03 AB 02 AA 0A A9 14 A8 ?? ?? ?? ?? 1A 9B 05 93 05 9B 00 2B 06 D0 05 9B 01 2B 0A D0 05 9B 02 2B 0E D0 13 E0 02 9A 73 23 13 70 02 9B 5B 1C 02 93 0C E0 02 9A 74 23 13 70 02 9B 5B 1C 02 93 05 E0 02 9A 75 23 13 70 02 9B 5B 1C 02 93 24 23 0D 93 14 A8 ?? ?? ?? ?? 0B 90 0B 9B 0E 93 20 4B 1B 68 98 47 0C 90 0C 9B 0F 93 0D AB 0E AA 02 A9 0F A8 ?? ?? ?? ?? 10 90 00 23 01 93 83 23 00 93 17 4B 15 4A 14 49 10 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 11 90 02 9A 11 9B 13 44 02 93 02 9A 2E 23 13 70 02 9B 5B 1C 02 93 02 9A 30 23 13 70 02 9B 5B 1C 02 93 02 9A 00 23 13 70 02 9B 5B 1C 02 93 01 23 8D F8 18 30 9D F8 18 00 18 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_15_0 {
	meta:
		name = "??$initialize_tmpfile_buffer_nolock@_W@@YA_NW4buffer_id@?A0x5b9a7937@@@Z"
		size = 340
		refs = "000c ??$get_tmpfile_buffer_nolock@_W@@YAPA_WW4buffer_id@?A0x5b9a7937@@@Z 0038 ??$get_temp_path@KABQA_W@?$__crt_char_traits@_W@@SAK$$QAKABQA_W@Z 0072 ??0<lambda_890542a8f130cf228121e5f4948058fa>@@QAA@ABIAAPA_WABQA_W@Z 00bc ??R<lambda_890542a8f130cf228121e5f4948058fa>@@QBAIXZ 00da ??$ulltot_s@KAAPA_WIH@?$__crt_char_traits@_W@@SAH$$QAKAAPA_W$$QAI$$QAH@Z 00f0 _invoke_watson_if_error 00f6 ??$tcslen@AAPA_W@?$__crt_char_traits@_W@@SAIAAPA_W@Z 0144 ??_C@_1IM@OGKNKOJP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAG?$AAe?$AAt?$AAC?$AAu?$AAr?$AAr?$AAe?$AAn@ 0148 ??_C@_1EC@HIMPBFCI@?$AAi?$AAn?$AAi?$AAt?$AAi?$AAa?$AAl?$AAi?$AAz?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk@ 014c ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0150 __imp_GetCurrentProcessId"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 98 B0 1A 98 ?? ?? ?? ?? 07 90 07 9B 03 93 4F F4 82 73 0A 93 03 9B 00 2B 03 D1 00 23 8D F8 18 30 84 E0 EE 23 12 93 4F F4 82 73 08 93 03 A9 08 A8 ?? ?? ?? ?? 09 90 09 9B 04 93 04 9B 00 2B 02 D0 04 9B EE 2B 06 D9 03 9A 00 23 13 80 00 23 8D F8 18 30 6B E0 04 9A 02 23 02 FB 03 F2 03 9B 13 44 02 93 03 AB 02 AA 0A A9 14 A8 ?? ?? ?? ?? 1A 9B 05 93 05 9B 00 2B 06 D0 05 9B 01 2B 0A D0 05 9B 02 2B 0E D0 13 E0 02 9A 76 23 13 80 02 9B 9B 1C 02 93 0C E0 02 9A 77 23 13 80 02 9B 9B 1C 02 93 05 E0 02 9A 78 23 13 80 02 9B 9B 1C 02 93 24 23 0D 93 14 A8 ?? ?? ?? ?? 0B 90 0B 9B 0E 93 22 4B 1B 68 98 47 0C 90 0C 9B 0F 93 0D AB 0E AA 02 A9 0F A8 ?? ?? ?? ?? 10 90 00 23 01 93 83 23 00 93 18 4B 17 4A 15 49 10 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 11 90 11 9A 02 23 02 FB 03 F2 02 9B 13 44 02 93 02 9A 2E 23 13 80 02 9B 9B 1C 02 93 02 9A 30 23 13 80 02 9B 9B 1C 02 93 02 9A 00 23 13 80 02 9B 9B 1C 02 93 01 23 8D F8 18 30 9D F8 18 00 18 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_26_0 {
	meta:
		name = "??$tcsrchr@ABQADD@?$__crt_char_traits@D@@SAPADABQAD$$QAD@Z"
		size = 42
		refs = "0014 ?strrchr@@YAPADQADH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 93 F9 00 10 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_254_27_0 {
	meta:
		name = "??$tcsrchr@ABQA_WD@?$__crt_char_traits@_W@@SAPA_WABQA_W$$QAD@Z"
		size = 44
		refs = "0016 ?wcsrchr@@YAPA_WPA_W_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 93 F9 00 30 99 B2 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_254_28_0 {
	meta:
		name = "??$tcstoull@ABQAD$$TH@?$__crt_char_traits@D@@SA_KABQAD$$QA$$T$$QAH@Z"
		size = 52
		refs = "0016 strtoull"
		altNames = "??$tcstoull@PBDPAPADH@?$__crt_char_traits@D@@SA_K$$QAPBD$$QAPAPAD$$QAH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 1A 68 07 9B 19 68 06 9B 18 68 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_113_0 {
	meta:
		name = "??$tcstoull@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SA_KAAPB_W$$QAPAPA_W$$QAH@Z"
		size = 52
		refs = "0016 wcstoull"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 1A 68 07 9B 19 68 06 9B 18 68 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_254_29_0 {
	meta:
		name = "??$tcstoull@ABQA_W$$TH@?$__crt_char_traits@_W@@SA_KABQA_W$$QA$$T$$QAH@Z"
		size = 52
		refs = "0016 wcstoull"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 1A 68 07 9B 19 68 06 9B 18 68 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_254_30_0 {
	meta:
		name = "??$ulltot_s@AB_KABQADABIH@?$__crt_char_traits@D@@SAHAB_KABQADABI$$QAH@Z"
		size = 54
		refs = "0020 _ui64toa_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 1B 68 00 93 08 9B 1B 68 07 9A 12 68 06 99 08 68 06 99 49 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_254_31_0 {
	meta:
		name = "??$ulltot_s@AB_KABQA_WABIH@?$__crt_char_traits@_W@@SAHAB_KABQA_WABI$$QAH@Z"
		size = 54
		refs = "0020 _ui64tow_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 1B 68 00 93 08 9B 1B 68 07 9A 12 68 06 99 08 68 06 99 49 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_254_32_0 {
	meta:
		name = "??$ulltot_s@KAAPADIH@?$__crt_char_traits@D@@SAH$$QAKAAPAD$$QAI$$QAH@Z"
		size = 52
		refs = "001e _ui64toa_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 1B 68 00 93 08 9B 1B 68 07 9A 12 68 06 99 08 68 00 21 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_254_33_0 {
	meta:
		name = "??$ulltot_s@KAAPA_WIH@?$__crt_char_traits@_W@@SAH$$QAKAAPA_W$$QAI$$QAH@Z"
		size = 52
		refs = "001e _ui64tow_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 1B 68 00 93 08 9B 1B 68 07 9A 12 68 06 99 08 68 00 21 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_254_43_0 {
	meta:
		name = "?common_tmpfile@@YAHQAPAU_iobuf@@H@Z"
		size = 204
		refs = "003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0080 __acrt_lock 0088 ?common_tmpfile_nolock@@YAHQAPAU_iobuf@@H@Z 00a6 __acrt_unlock 00bc ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c0 ??_C@_1BO@JPOBIAKL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?$AA@ 00c4 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 82 B0 3B 6B 00 2B 02 D0 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0F D1 24 4B 01 93 26 4B 00 93 00 23 4F F4 D2 72 22 49 02 20 ?? ?? ?? ?? 38 61 3B 69 01 2B 00 D1 FE DE BB 68 00 2B 11 D1 ?? ?? ?? ?? 78 61 7A 69 16 23 13 60 00 23 00 93 4F F4 D2 73 17 4A 16 49 14 48 ?? ?? ?? ?? 16 23 FB 60 1C E0 3A 6B 00 23 13 60 00 23 3B 60 0C 20 ?? ?? ?? ?? 79 6B 38 6B ?? ?? ?? ?? B8 61 BB 69 3B 60 3B 68 00 2B 05 D0 ?? ?? ?? ?? F8 61 3A 68 FB 69 1A 60 0C 20 ?? ?? ?? ?? 3B 68 FB 60 F8 68 0B B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_44_0 {
	meta:
		name = "?fin$0@?0??common_tmpfile@@YAHQAPAU_iobuf@@H@Z@4HA"
		size = 16
		refs = "0006 __acrt_unlock"
		altNames = "?fin$0@?0???$compute_name@D@@YA_NQBDQADII@Z@4HA ?fin$0@?0???$compute_name@_W@@YA_NQB_WQA_WII@Z@4HA"
	strings:
		$1 = { 10 B5 82 B0 0C 20 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_254_45_0 {
	meta:
		name = "?common_tmpfile_nolock@@YAHQAPAU_iobuf@@H@Z"
		size = 484
		refs = "0012 ??$get_tmpfile_buffer_nolock@D@@YAPADW4buffer_id@?A0x5b9a7937@@@Z 003a ??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 0054 ??$generate_tmpfile_file_name@D@@YA_NQADI@Z 0068 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 006e ?valid@__crt_stdio_stream@@QBA_NXZ 0084 _errno 00be _sopen_s 0112 _strdup_dbg 011a ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 013e _close 0182 ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 019a ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 01c0 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 01c6 ?unlock@__crt_stdio_stream@@QBAXXZ 01dc _commode 01e0 ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 82 B0 01 20 ?? ?? ?? ?? F8 61 FB 69 BB 60 4F F4 82 73 BB 65 BB 68 00 2B 02 D1 0C 23 3B 61 CF E0 BB 68 93 F9 00 30 00 2B 0A D1 01 20 ?? ?? ?? ?? 38 71 3B 79 00 2B 02 D1 16 23 3B 61 C0 E0 0B E0 4F F4 82 71 B8 68 ?? ?? ?? ?? 78 71 7B 79 00 2B 02 D1 16 23 3B 61 B3 E0 38 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? B8 71 BB 79 00 2B 02 D1 18 23 3B 61 A6 E0 00 23 FB 60 ?? ?? ?? ?? 38 62 3B 6A 1B 68 3B 63 ?? ?? ?? ?? 78 62 7A 6A 00 23 13 60 00 23 7B 61 48 F2 42 53 FB 65 4F F4 C0 73 3B 66 4F F4 C0 73 00 93 7B 6F 48 F2 42 52 B9 68 17 F1 14 00 ?? ?? ?? ?? B8 62 BB 6A FB 60 FB 68 11 2B 0A D1 4F F4 82 71 B8 68 ?? ?? ?? ?? F8 71 FB 79 00 2B 00 D1 00 E0 E3 E7 ?? ?? ?? ?? F8 62 FB 6A 1B 68 00 2B 05 D1 ?? ?? ?? ?? 78 63 3A 6B 7B 6B 1A 60 7B 69 B3 F1 FF 3F 00 D1 50 E0 4F F4 C1 73 34 4A 02 21 B8 68 ?? ?? ?? ?? F8 63 38 46 ?? ?? ?? ?? B8 63 BB 6B 03 F1 1C 02 FB 6B 13 60 38 46 ?? ?? ?? ?? 38 64 3B 6C 1C 33 1B 68 00 2B 05 D1 78 69 ?? ?? ?? ?? 0C 23 FB 60 30 E0 38 46 ?? ?? ?? ?? 78 64 7B 6C 03 F1 08 02 00 23 13 60 38 46 ?? ?? ?? ?? B8 64 BB 6C 1A 1D 00 23 13 60 38 46 ?? ?? ?? ?? F8 64 FA 6C 00 23 13 60 18 4B 1B 68 43 F0 04 01 38 46 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? 38 65 3B 6D 03 F1 10 02 7B 69 13 60 38 46 ?? ?? ?? ?? 78 65 7A 6D 3B 6F 1A 60 00 23 FB 60 38 46 ?? ?? ?? ?? B8 61 BB 69 10 33 1B 68 B3 F1 FF 3F 02 D1 38 68 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? FB 68 3B 61 38 69 1B B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_46_0 {
	meta:
		name = "?fin$0@?0??common_tmpfile_nolock@@YAHQAPAU_iobuf@@H@Z@4HA"
		size = 42
		refs = "0006 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 001a ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 0020 ?unlock@__crt_stdio_stream@@QBAXXZ"
	strings:
		$1 = { 10 B5 82 B0 38 46 ?? ?? ?? ?? B8 61 BB 69 10 33 1B 68 B3 F1 FF 3F 02 D1 38 68 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_254_49_0 {
	meta:
		name = "?get_tmpfile_buffer_pointer_nolock@@YAAAPADW4buffer_id@?A0x5b9a7937@@D@Z"
		size = 40
		refs = "0024 ?narrow_tmpfile_buffer_pointers@@3PAPADA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 04 23 02 FB 03 F2 04 4B 13 44 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_50_0 {
	meta:
		name = "?get_tmpfile_buffer_pointer_nolock@@YAAAPA_WW4buffer_id@?A0x5b9a7937@@_W@Z"
		size = 40
		refs = "0024 ?wide_tmpfile_buffer_pointers@@3PAPA_WA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 04 23 02 FB 03 F2 04 4B 13 44 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_51_0 {
	meta:
		name = "?get_tmpnam_ptd_buffer@@YAPAPADD@Z"
		size = 50
		refs = "000a __acrt_getptd_noexit"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 00 23 01 93 02 E0 00 9B 28 33 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_254_52_0 {
	meta:
		name = "?get_tmpnam_ptd_buffer@@YAPAPA_W_W@Z"
		size = 50
		refs = "000a __acrt_getptd_noexit"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 00 23 01 93 02 E0 00 9B 2C 33 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_254_60_0 {
	meta:
		name = "?wcsrchr@@YAPA_WPA_W_W@Z"
		size = 38
		refs = "0010 wcsrchr"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 14 10 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_467_0_0 {
	meta:
		name = "?wcschr@@YAPA_WPA_W_W@Z"
		size = 38
		refs = "0010 wcschr"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 14 10 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_254_61_0 {
	meta:
		name = "__acrt_force_use_of_tmpfile"
		size = 24
		refs = "0014 __acrt_tmpfile_used"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 1B 68 5A 1C 01 4B 1A 60 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_62_0 {
	meta:
		name = "__acrt_stdio_free_tmpfile_name_buffers_nolock"
		size = 128
		refs = "0030 _free_dbg 0078 ?wide_tmpfile_buffer_pointers@@3PAPA_WA 007c ?narrow_tmpfile_buffer_pointers@@3PAPADA"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 1C 4B 02 93 02 9B 00 93 02 9B 0C 33 06 93 02 E0 00 9B 1B 1D 00 93 00 9A 06 9B 9A 42 0A D0 00 9B 03 93 02 21 03 9B 18 68 ?? ?? ?? ?? 03 9A 00 23 13 60 ED E7 0E 4B 04 93 04 9B 01 93 04 9B 0C 33 07 93 02 E0 01 9B 1B 1D 01 93 01 9A 07 9B 9A 42 0A D0 01 9B 05 93 02 21 05 9B 18 68 ?? ?? ?? ?? 05 9A 00 23 13 60 ED E7 08 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_64_0 {
	meta:
		name = "_wtmpnam"
		size = 44
		refs = "0018 ??$common_tmpnam@_W@@YAHQA_WIW4buffer_id@?A0x5b9a7937@@QAPA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 6B 46 00 22 4F F4 82 71 04 98 ?? ?? ?? ?? 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_254_68_0 {
	meta:
		name = "tmpnam"
		size = 44
		refs = "0018 ??$common_tmpnam@D@@YAHQADIW4buffer_id@?A0x5b9a7937@@QAPAD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 6B 46 00 22 4F F4 82 71 04 98 ?? ?? ?? ?? 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_254_65_0 {
	meta:
		name = "_wtmpnam_s"
		size = 160
		refs = "003a _CrtDbgReportW 004e _errno 0068 _invalid_parameter 007a ??$common_tmpnam@_W@@YAHQA_WIW4buffer_id@?A0x5b9a7937@@QAPA_W@Z 0090 ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0094 ??_C@_1BG@OOCNCNMF@?$AA_?$AAw?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAs?$AA?$AA@ 0098 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 00 23 07 93 0C 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 19 4B 01 93 1B 4B 00 93 00 23 4F F4 E6 72 18 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 11 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 4F F4 E6 73 0D 4A 0B 49 0A 48 ?? ?? ?? ?? 16 23 04 93 08 E0 07 AB 02 22 0D 99 0C 98 ?? ?? ?? ?? 08 90 08 9B 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_254_66_0 {
	meta:
		name = "tmpfile"
		size = 32
		refs = "0010 ?common_tmpfile@@YAHQAPAU_iobuf@@H@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 23 00 93 40 21 68 46 ?? ?? ?? ?? 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_254_67_0 {
	meta:
		name = "tmpfile_s"
		size = 36
		refs = "000e ?common_tmpfile@@YAHQAPAU_iobuf@@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 10 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_254_69_0 {
	meta:
		name = "tmpnam_s"
		size = 160
		refs = "003a _CrtDbgReportW 004e _errno 0068 _invalid_parameter 007a ??$common_tmpnam@D@@YAHQADIW4buffer_id@?A0x5b9a7937@@QAPAD@Z 0090 ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0094 ??_C@_1BC@LALKNPAF@?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAs?$AA?$AA@ 0098 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 00 23 07 93 0C 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 19 4B 01 93 1B 4B 00 93 00 23 4F F4 E1 72 18 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 11 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 4F F4 E1 73 0D 4A 0B 49 0A 48 ?? ?? ?? ?? 16 23 04 93 08 E0 07 AB 02 22 0D 99 0C 98 ?? ?? ?? ?? 08 90 08 9B 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_255_0_0 {
	meta:
		name = "fesetround"
		size = 96
		refs = "0020 _getfpcontrolword 0038 _setfpcontrolword 003c fegetround"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 03 F4 40 72 06 9B 9A 42 02 D0 01 23 01 93 19 E0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 23 F4 40 72 06 9B 13 43 00 93 00 98 ?? ?? ?? ?? ?? ?? ?? ?? 03 90 03 9A 06 9B 9A 42 02 D0 01 23 01 93 01 E0 00 23 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_256_1_0 {
	meta:
		name = "_lsearch_s"
		size = 672
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 0240 ??1scoped_global_state_reset@__crt_state_management@@QAA@XZ 0252 memcpy 027c __guard_check_icall_fptr 0280 ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0284 ??_C@_1BG@BABOCLIN@?$AA_?$AAl?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA_?$AAs?$AA?$AA@ 0288 ??_C@_1GE@DHIJHLDF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 028c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0290 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0294 ??_C@_1CA@IMEMOBFB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0298 ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 029c ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 9F B0 24 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 9D 4B 01 93 98 4B 00 93 00 23 42 22 95 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 42 23 8A 4A 89 49 8E 48 ?? ?? ?? ?? 00 23 03 93 00 E1 26 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 84 4B 01 93 80 4B 00 93 00 23 43 22 7D 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 43 23 72 4A 71 49 75 48 ?? ?? ?? ?? 00 23 03 93 D0 E0 25 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 6B 4B 01 93 68 4B 00 93 00 23 44 22 65 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 44 23 5A 4A 59 49 5C 48 ?? ?? ?? ?? 00 23 03 93 A0 E0 27 9B 00 2B 02 D9 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 52 4B 01 93 50 4B 00 93 00 23 45 22 4D 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 00 23 00 93 45 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 03 93 70 E0 28 9B 00 2B 02 D0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 36 4B 01 93 38 4B 00 93 00 23 46 22 35 49 02 20 ?? ?? ?? ?? 1A 90 1A 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 10 D1 ?? ?? ?? ?? 1B 90 1B 9A 16 23 13 60 00 23 00 93 46 23 2A 4A 29 49 27 48 ?? ?? ?? ?? 00 23 03 93 40 E0 25 9B 10 93 26 9B 1A 68 27 9B 02 FB 03 F2 10 9B 13 44 05 93 10 9B 04 93 03 E0 04 9A 27 9B 13 44 04 93 04 9A 05 9B 9A 42 1A D0 04 9E 24 9D 29 9C 28 9B 11 93 11 98 16 4B 1B 68 98 47 11 9B 20 46 29 46 32 46 98 47 1C 90 1C 9B 00 2B 07 D1 04 9B 1D 93 02 A8 ?? ?? ?? ?? 1D 9B 03 93 11 E0 DC E7 27 9A 24 99 05 98 ?? ?? ?? ?? 26 9B 1B 68 5A 1C 26 9B 1A 60 05 9B 1E 93 02 A8 ?? ?? ?? ?? 1E 9B 03 93 03 98 1F B0 BD E8 70 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_9_0 {
	meta:
		name = "??$?R_W@__crt_public_free_policy@@QBAXQB_W@Z"
		size = 22
		refs = "000a free"
		altNames = "??$?RD@__crt_public_free_policy@@QBAXQBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_14_0 {
	meta:
		name = "??$common_fstat@U_stat32@@@@YAHHQAU_stat32@@@Z"
		size = 592
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 __doserrno 005c _errno 0076 _invalid_parameter 0088 memset 020a ??0<lambda_998604b93680a0188605954fadbb7661>@@QAA@ABHABQAU_stat32@@@Z 0214 ??$__acrt_lowio_lock_fh_and_call@V<lambda_998604b93680a0188605954fadbb7661>@@@@YAHH$$QAV<lambda_998604b93680a0188605954fadbb7661>@@@Z 0222 __security_pop_cookie 0230 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0234 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0238 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 023c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0240 __pioinfo 0244 ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0248 _nhandle 024c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? A3 B0 29 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 88 4B 01 93 83 4B 00 93 00 23 40 F2 2D 22 7F 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 18 D1 ?? ?? ?? ?? 0C 90 0C 9A 00 23 13 60 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 2D 23 71 4A 70 49 75 48 ?? ?? ?? ?? 6F F0 00 03 04 93 CD E0 24 22 00 21 1A A8 ?? ?? ?? ?? 29 9A 1A AB 02 92 03 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9A 03 9B 1B 68 13 60 28 9B 13 F1 02 0F 0F D1 ?? ?? ?? ?? 0E 90 0E 9A 00 23 13 60 ?? ?? ?? ?? 0F 90 0F 9A 09 23 13 60 6F F0 00 03 04 93 94 E0 28 9B 00 2B 07 DB 28 9A 52 4B 1B 68 9A 42 02 DA 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 4A 4B 01 93 47 4B 00 93 00 23 40 F2 31 22 44 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 08 9B 00 2B 18 D1 ?? ?? ?? ?? 11 90 11 9A 00 23 13 60 ?? ?? ?? ?? 12 90 12 9A 09 23 13 60 00 23 00 93 40 F2 31 23 36 4A 34 49 38 48 ?? ?? ?? ?? 6F F0 00 03 04 93 56 E0 28 9B 9A 11 04 23 02 FB 03 F2 31 4B 99 18 28 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 20 4B 01 93 22 4B 00 93 00 23 40 F2 32 22 1F 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 18 D1 ?? ?? ?? ?? 14 90 14 9A 00 23 13 60 ?? ?? ?? ?? 15 90 15 9A 09 23 13 60 00 23 00 93 40 F2 32 23 11 4A 0F 49 0E 48 ?? ?? ?? ?? 6F F0 00 03 04 93 0C E0 29 AA 28 A9 18 A8 ?? ?? ?? ?? 16 90 16 99 28 98 ?? ?? ?? ?? 17 90 17 9B 04 93 04 98 23 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_15_0 {
	meta:
		name = "??$common_fstat@U_stat32i64@@@@YAHHQAU_stat32i64@@@Z"
		size = 596
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 __doserrno 005c _errno 0076 _invalid_parameter 0088 memset 020e ??0<lambda_2ae128cb7592802158631a4d18529fa0>@@QAA@ABHABQAU_stat32i64@@@Z 0218 ??$__acrt_lowio_lock_fh_and_call@V<lambda_2ae128cb7592802158631a4d18529fa0>@@@@YAHH$$QAV<lambda_2ae128cb7592802158631a4d18529fa0>@@@Z 0226 __security_pop_cookie 0234 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0238 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 023c ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0240 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0244 __pioinfo 0248 ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 024c _nhandle 0250 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? A7 B0 2D 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 89 4B 01 93 84 4B 00 93 00 23 40 F2 2D 22 80 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 18 D1 ?? ?? ?? ?? 0C 90 0C 9A 00 23 13 60 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 2D 23 72 4A 71 49 76 48 ?? ?? ?? ?? 6F F0 00 03 04 93 CF E0 30 22 00 21 1A A8 ?? ?? ?? ?? 2D 9A 1A AB 02 92 03 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 2C 9B 13 F1 02 0F 0F D1 ?? ?? ?? ?? 0E 90 0E 9A 00 23 13 60 ?? ?? ?? ?? 0F 90 0F 9A 09 23 13 60 6F F0 00 03 04 93 94 E0 2C 9B 00 2B 07 DB 2C 9A 52 4B 1B 68 9A 42 02 DA 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 4A 4B 01 93 47 4B 00 93 00 23 40 F2 31 22 44 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 08 9B 00 2B 18 D1 ?? ?? ?? ?? 11 90 11 9A 00 23 13 60 ?? ?? ?? ?? 12 90 12 9A 09 23 13 60 00 23 00 93 40 F2 31 23 36 4A 34 49 38 48 ?? ?? ?? ?? 6F F0 00 03 04 93 56 E0 2C 9B 9A 11 04 23 02 FB 03 F2 31 4B 99 18 2C 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 20 4B 01 93 22 4B 00 93 00 23 40 F2 32 22 1F 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 18 D1 ?? ?? ?? ?? 14 90 14 9A 00 23 13 60 ?? ?? ?? ?? 15 90 15 9A 09 23 13 60 00 23 00 93 40 F2 32 23 11 4A 0F 49 0E 48 ?? ?? ?? ?? 6F F0 00 03 04 93 0C E0 2D AA 2C A9 18 A8 ?? ?? ?? ?? 16 90 16 99 2C 98 ?? ?? ?? ?? 17 90 17 9B 04 93 04 98 27 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_17_0 {
	meta:
		name = "??$common_fstat@U_stat64i32@@@@YAHHQAU_stat64i32@@@Z"
		size = 596
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 __doserrno 005c _errno 0076 _invalid_parameter 0088 memset 020e ??0<lambda_261db44f37d2b990cb42fe4ed41e9e20>@@QAA@ABHABQAU_stat64i32@@@Z 0218 ??$__acrt_lowio_lock_fh_and_call@V<lambda_261db44f37d2b990cb42fe4ed41e9e20>@@@@YAHH$$QAV<lambda_261db44f37d2b990cb42fe4ed41e9e20>@@@Z 0226 __security_pop_cookie 0234 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0238 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 023c ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0240 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0244 __pioinfo 0248 ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 024c _nhandle 0250 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? A7 B0 2D 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 89 4B 01 93 84 4B 00 93 00 23 40 F2 2D 22 80 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 18 D1 ?? ?? ?? ?? 0C 90 0C 9A 00 23 13 60 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 2D 23 72 4A 71 49 76 48 ?? ?? ?? ?? 6F F0 00 03 04 93 CF E0 30 22 00 21 1A A8 ?? ?? ?? ?? 2D 9A 1A AB 02 92 03 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 2C 9B 13 F1 02 0F 0F D1 ?? ?? ?? ?? 0E 90 0E 9A 00 23 13 60 ?? ?? ?? ?? 0F 90 0F 9A 09 23 13 60 6F F0 00 03 04 93 94 E0 2C 9B 00 2B 07 DB 2C 9A 52 4B 1B 68 9A 42 02 DA 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 4A 4B 01 93 47 4B 00 93 00 23 40 F2 31 22 44 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 08 9B 00 2B 18 D1 ?? ?? ?? ?? 11 90 11 9A 00 23 13 60 ?? ?? ?? ?? 12 90 12 9A 09 23 13 60 00 23 00 93 40 F2 31 23 36 4A 34 49 38 48 ?? ?? ?? ?? 6F F0 00 03 04 93 56 E0 2C 9B 9A 11 04 23 02 FB 03 F2 31 4B 99 18 2C 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 20 4B 01 93 22 4B 00 93 00 23 40 F2 32 22 1F 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 18 D1 ?? ?? ?? ?? 14 90 14 9A 00 23 13 60 ?? ?? ?? ?? 15 90 15 9A 09 23 13 60 00 23 00 93 40 F2 32 23 11 4A 0F 49 0E 48 ?? ?? ?? ?? 6F F0 00 03 04 93 0C E0 2D AA 2C A9 18 A8 ?? ?? ?? ?? 16 90 16 99 2C 98 ?? ?? ?? ?? 17 90 17 9B 04 93 04 98 27 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_16_0 {
	meta:
		name = "??$common_fstat@U_stat64@@@@YAHHQAU_stat64@@@Z"
		size = 620
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 __doserrno 005c _errno 0076 _invalid_parameter 0088 memset 0226 ??0<lambda_46e75ee2afc7403bfa3bb615cd9a5201>@@QAA@ABHABQAU_stat64@@@Z 0230 ??$__acrt_lowio_lock_fh_and_call@V<lambda_46e75ee2afc7403bfa3bb615cd9a5201>@@@@YAHH$$QAV<lambda_46e75ee2afc7403bfa3bb615cd9a5201>@@@Z 023e __security_pop_cookie 024c ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0250 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0254 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0258 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 025c __pioinfo 0260 ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0264 _nhandle 0268 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? A9 B0 2F 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 8F 4B 01 93 8A 4B 00 93 00 23 40 F2 2D 22 86 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 18 D1 ?? ?? ?? ?? 0C 90 0C 9A 00 23 13 60 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 2D 23 78 4A 77 49 7C 48 ?? ?? ?? ?? 6F F0 00 03 04 93 DB E0 38 22 00 21 1A A8 ?? ?? ?? ?? 2F 9A 1A AB 02 92 03 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 9D 03 9C 94 E8 0F 00 85 E8 0F 00 03 9B 10 33 03 93 02 9B 10 33 02 93 02 98 03 99 91 E8 0C 00 80 E8 0C 00 2E 9B 13 F1 02 0F 0F D1 ?? ?? ?? ?? 0E 90 0E 9A 00 23 13 60 ?? ?? ?? ?? 0F 90 0F 9A 09 23 13 60 6F F0 00 03 04 93 94 E0 2E 9B 00 2B 07 DB 2E 9A 52 4B 1B 68 9A 42 02 DA 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 4A 4B 01 93 47 4B 00 93 00 23 40 F2 31 22 44 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 08 9B 00 2B 18 D1 ?? ?? ?? ?? 11 90 11 9A 00 23 13 60 ?? ?? ?? ?? 12 90 12 9A 09 23 13 60 00 23 00 93 40 F2 31 23 36 4A 34 49 38 48 ?? ?? ?? ?? 6F F0 00 03 04 93 56 E0 2E 9B 9A 11 04 23 02 FB 03 F2 31 4B 99 18 2E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 20 4B 01 93 22 4B 00 93 00 23 40 F2 32 22 1F 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 18 D1 ?? ?? ?? ?? 14 90 14 9A 00 23 13 60 ?? ?? ?? ?? 15 90 15 9A 09 23 13 60 00 23 00 93 40 F2 32 23 11 4A 0F 49 0E 48 ?? ?? ?? ?? 6F F0 00 03 04 93 0C E0 2F AA 2E A9 18 A8 ?? ?? ?? ?? 16 90 16 99 2E 98 ?? ?? ?? ?? 17 90 17 9B 04 93 04 98 29 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_19_0 {
	meta:
		name = "??$common_stat@U_stat32@@@@YAHQB_WQAU_stat32@@@Z"
		size = 668
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 __doserrno 005c _errno 0076 _invalid_parameter 0088 memset 0160 ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAA@QAX@Z 0166 ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBA_NXZ 0178 ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBAPAXXZ 0188 ??$common_stat_handle_file_opened@U_stat32@@@@YA_NQB_WHQAXAAU_stat32@@@Z 01ea ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAA@XZ 01fa ??$common_stat_handle_file_not_opened@U_stat32@@@@YA_NQB_WAAU_stat32@@@Z 0278 __security_pop_cookie 0284 __imp_CreateFileW 0288 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 028c ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0290 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0294 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0298 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? B9 B0 3F 9B 00 2B 02 D0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0F D1 9B 4B 01 93 99 4B 00 93 00 23 4F F4 E5 72 95 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 18 D1 ?? ?? ?? ?? 12 90 12 9A 00 23 13 60 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 4F F4 E5 73 87 4A 86 49 88 48 ?? ?? ?? ?? 6F F0 00 03 0C 93 F8 E0 24 22 00 21 1C A8 ?? ?? ?? ?? 3F 9A 1C AB 05 92 06 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 06 9B 10 33 06 93 05 9B 10 33 05 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 06 9B 10 33 06 93 05 9B 10 33 05 93 05 9A 06 9B 1B 68 13 60 3E 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 68 4B 01 93 6A 4B 00 93 00 23 40 F2 CD 12 66 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 10 9B 00 2B 18 D1 ?? ?? ?? ?? 15 90 15 9A 00 23 13 60 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 40 F2 CD 13 58 4A 57 49 55 48 ?? ?? ?? ?? 6F F0 00 03 0C 93 9A E0 00 23 02 93 4F F0 00 73 01 93 03 23 00 93 00 23 07 22 80 21 3E 98 4B 4C 24 68 A0 47 17 90 17 99 0B A8 ?? ?? ?? ?? 0B A8 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 3F D0 0B A8 ?? ?? ?? ?? 18 90 3F 9B 18 9A 6F F0 00 01 3E 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 2D D1 24 22 00 21 26 A8 ?? ?? ?? ?? 3F 9A 26 AB 07 92 08 93 07 9D 08 9C 94 E8 0F 00 85 E8 0F 00 08 9B 10 33 08 93 07 9B 10 33 07 93 07 9D 08 9C 94 E8 0F 00 85 E8 0F 00 08 9B 10 33 08 93 07 9B 10 33 07 93 07 9A 08 9B 1B 68 13 60 6F F0 00 03 19 93 0B A8 ?? ?? ?? ?? 19 9B 0C 93 3F E0 37 E0 3F 99 3E 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 00 2B 2D D1 24 22 00 21 30 A8 ?? ?? ?? ?? 3F 9A 30 AB 09 92 0A 93 09 9D 0A 9C 94 E8 0F 00 85 E8 0F 00 0A 9B 10 33 0A 93 09 9B 10 33 09 93 09 9D 0A 9C 94 E8 0F 00 85 E8 0F 00 0A 9B 10 33 0A 93 09 9B 10 33 09 93 09 9A 0A 9B 1B 68 13 60 6F F0 00 03 1A 93 0B A8 ?? ?? ?? ?? 1A 9B 0C 93 06 E0 00 23 1B 93 0B A8 ?? ?? ?? ?? 1B 9B 0C 93 0C 98 39 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_21_0 {
	meta:
		name = "??$common_stat@U_stat32i64@@@@YAHQB_WQAU_stat32i64@@@Z"
		size = 680
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 __doserrno 005c _errno 0076 _invalid_parameter 0088 memset 0164 ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAA@QAX@Z 016a ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBA_NXZ 017c ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBAPAXXZ 018c ??$common_stat_handle_file_opened@U_stat32i64@@@@YA_NQB_WHQAXAAU_stat32i64@@@Z 01f2 ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAA@XZ 0202 ??$common_stat_handle_file_not_opened@U_stat32i64@@@@YA_NQB_WAAU_stat32i64@@@Z 0284 __security_pop_cookie 0290 __imp_CreateFileW 0294 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0298 ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 029c ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 02a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a4 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? C1 B0 47 9B 00 2B 02 D0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0F D1 9E 4B 01 93 9C 4B 00 93 00 23 4F F4 E5 72 98 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 18 D1 ?? ?? ?? ?? 12 90 12 9A 00 23 13 60 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 4F F4 E5 73 8A 4A 89 49 8B 48 ?? ?? ?? ?? 6F F0 00 03 0C 93 FE E0 30 22 00 21 1C A8 ?? ?? ?? ?? 47 9A 1C AB 05 92 06 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 06 9B 10 33 06 93 05 9B 10 33 05 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 06 9B 10 33 06 93 05 9B 10 33 05 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 46 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 6A 4B 01 93 6C 4B 00 93 00 23 40 F2 CD 12 68 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 10 9B 00 2B 18 D1 ?? ?? ?? ?? 15 90 15 9A 00 23 13 60 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 40 F2 CD 13 5A 4A 59 49 57 48 ?? ?? ?? ?? 6F F0 00 03 0C 93 9E E0 00 23 02 93 4F F0 00 73 01 93 03 23 00 93 00 23 07 22 80 21 46 98 4D 4C 24 68 A0 47 17 90 17 99 0B A8 ?? ?? ?? ?? 0B A8 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 41 D0 0B A8 ?? ?? ?? ?? 18 90 47 9B 18 9A 6F F0 00 01 46 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 2F D1 30 22 00 21 28 A8 ?? ?? ?? ?? 47 9A 28 AB 07 92 08 93 07 9D 08 9C 94 E8 0F 00 85 E8 0F 00 08 9B 10 33 08 93 07 9B 10 33 07 93 07 9D 08 9C 94 E8 0F 00 85 E8 0F 00 08 9B 10 33 08 93 07 9B 10 33 07 93 07 9D 08 9C 94 E8 0F 00 85 E8 0F 00 6F F0 00 03 19 93 0B A8 ?? ?? ?? ?? 19 9B 0C 93 41 E0 39 E0 47 99 46 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 00 2B 2F D1 30 22 00 21 34 A8 ?? ?? ?? ?? 47 9A 34 AB 09 92 0A 93 09 9D 0A 9C 94 E8 0F 00 85 E8 0F 00 0A 9B 10 33 0A 93 09 9B 10 33 09 93 09 9D 0A 9C 94 E8 0F 00 85 E8 0F 00 0A 9B 10 33 0A 93 09 9B 10 33 09 93 09 9D 0A 9C 94 E8 0F 00 85 E8 0F 00 6F F0 00 03 1A 93 0B A8 ?? ?? ?? ?? 1A 9B 0C 93 06 E0 00 23 1B 93 0B A8 ?? ?? ?? ?? 1B 9B 0C 93 0C 98 41 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_25_0 {
	meta:
		name = "??$common_stat@U_stat64i32@@@@YAHQB_WQAU_stat64i32@@@Z"
		size = 680
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 __doserrno 005c _errno 0076 _invalid_parameter 0088 memset 0164 ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAA@QAX@Z 016a ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBA_NXZ 017c ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBAPAXXZ 018c ??$common_stat_handle_file_opened@U_stat64i32@@@@YA_NQB_WHQAXAAU_stat64i32@@@Z 01f2 ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAA@XZ 0202 ??$common_stat_handle_file_not_opened@U_stat64i32@@@@YA_NQB_WAAU_stat64i32@@@Z 0284 __security_pop_cookie 0290 __imp_CreateFileW 0294 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0298 ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 029c ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 02a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a4 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? C1 B0 47 9B 00 2B 02 D0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0F D1 9E 4B 01 93 9C 4B 00 93 00 23 4F F4 E5 72 98 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 18 D1 ?? ?? ?? ?? 12 90 12 9A 00 23 13 60 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 4F F4 E5 73 8A 4A 89 49 8B 48 ?? ?? ?? ?? 6F F0 00 03 0C 93 FE E0 30 22 00 21 1C A8 ?? ?? ?? ?? 47 9A 1C AB 05 92 06 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 06 9B 10 33 06 93 05 9B 10 33 05 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 06 9B 10 33 06 93 05 9B 10 33 05 93 05 9D 06 9C 94 E8 0F 00 85 E8 0F 00 46 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 6A 4B 01 93 6C 4B 00 93 00 23 40 F2 CD 12 68 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 10 9B 00 2B 18 D1 ?? ?? ?? ?? 15 90 15 9A 00 23 13 60 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 40 F2 CD 13 5A 4A 59 49 57 48 ?? ?? ?? ?? 6F F0 00 03 0C 93 9E E0 00 23 02 93 4F F0 00 73 01 93 03 23 00 93 00 23 07 22 80 21 46 98 4D 4C 24 68 A0 47 17 90 17 99 0B A8 ?? ?? ?? ?? 0B A8 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 41 D0 0B A8 ?? ?? ?? ?? 18 90 47 9B 18 9A 6F F0 00 01 46 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 2F D1 30 22 00 21 28 A8 ?? ?? ?? ?? 47 9A 28 AB 07 92 08 93 07 9D 08 9C 94 E8 0F 00 85 E8 0F 00 08 9B 10 33 08 93 07 9B 10 33 07 93 07 9D 08 9C 94 E8 0F 00 85 E8 0F 00 08 9B 10 33 08 93 07 9B 10 33 07 93 07 9D 08 9C 94 E8 0F 00 85 E8 0F 00 6F F0 00 03 19 93 0B A8 ?? ?? ?? ?? 19 9B 0C 93 41 E0 39 E0 47 99 46 98 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 00 2B 2F D1 30 22 00 21 34 A8 ?? ?? ?? ?? 47 9A 34 AB 09 92 0A 93 09 9D 0A 9C 94 E8 0F 00 85 E8 0F 00 0A 9B 10 33 0A 93 09 9B 10 33 09 93 09 9D 0A 9C 94 E8 0F 00 85 E8 0F 00 0A 9B 10 33 0A 93 09 9B 10 33 09 93 09 9D 0A 9C 94 E8 0F 00 85 E8 0F 00 6F F0 00 03 1A 93 0B A8 ?? ?? ?? ?? 1A 9B 0C 93 06 E0 00 23 1B 93 0B A8 ?? ?? ?? ?? 1B 9B 0C 93 0C 98 41 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_23_0 {
	meta:
		name = "??$common_stat@U_stat64@@@@YAHQB_WQAU_stat64@@@Z"
		size = 752
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 __doserrno 005c _errno 0076 _invalid_parameter 0088 memset 017c ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAA@QAX@Z 0182 ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBA_NXZ 0194 ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBAPAXXZ 01a4 ??$common_stat_handle_file_opened@U_stat64@@@@YA_NQB_WHQAXAAU_stat64@@@Z 0222 ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAA@XZ 0232 ??$common_stat_handle_file_not_opened@U_stat64@@@@YA_NQB_WAAU_stat64@@@Z 02cc __security_pop_cookie 02d8 __imp_CreateFileW 02dc ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02e0 ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 02e4 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 02e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02ec ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? C7 B0 4D 9B 00 2B 02 D0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0F D1 B0 4B 01 93 AE 4B 00 93 00 23 4F F4 E5 72 AA 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 18 D1 ?? ?? ?? ?? 12 90 12 9A 00 23 13 60 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 4F F4 E5 73 9C 4A 9B 49 9D 48 ?? ?? ?? ?? 6F F0 00 03 0C 93 22 E1 38 22 00 21 1C A8 ?? ?? ?? ?? 4D 9A 1C AB 04 92 05 93 04 9D 05 9C 94 E8 0F 00 85 E8 0F 00 05 9B 10 33 05 93 04 9B 10 33 04 93 04 9D 05 9C 94 E8 0F 00 85 E8 0F 00 05 9B 10 33 05 93 04 9B 10 33 04 93 04 9D 05 9C 94 E8 0F 00 85 E8 0F 00 05 9B 10 33 05 93 04 9B 10 33 04 93 04 98 05 99 91 E8 0C 00 80 E8 0C 00 4C 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 76 4B 01 93 78 4B 00 93 00 23 40 F2 CD 12 74 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 10 9B 00 2B 18 D1 ?? ?? ?? ?? 15 90 15 9A 00 23 13 60 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 40 F2 CD 13 66 4A 65 49 63 48 ?? ?? ?? ?? 6F F0 00 03 0C 93 B6 E0 00 23 02 93 4F F0 00 73 01 93 03 23 00 93 00 23 07 22 80 21 4C 98 59 4C 24 68 A0 47 17 90 17 99 0B A8 ?? ?? ?? ?? 0B A8 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 4D D0 0B A8 ?? ?? ?? ?? 18 90 4D 9B 18 9A 6F F0 00 01 4C 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 3B D1 38 22 00 21 2A A8 ?? ?? ?? ?? 4D 9A 2A AB 06 92 07 93 06 9D 07 9C 94 E8 0F 00 85 E8 0F 00 07 9B 10 33 07 93 06 9B 10 33 06 93 06 9D 07 9C 94 E8 0F 00 85 E8 0F 00 07 9B 10 33 07 93 06 9B 10 33 06 93 06 9D 07 9C 94 E8 0F 00 85 E8 0F 00 07 9B 10 33 07 93 06 9B 10 33 06 93 06 98 07 99 91 E8 0C 00 80 E8 0C 00 6F F0 00 03 19 93 0B A8 ?? ?? ?? ?? 19 9B 0C 93 4D E0 45 E0 4D 99 4C 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 3B D1 38 22 00 21 38 A8 ?? ?? ?? ?? 4D 9A 38 AB 08 92 09 93 08 9D 09 9C 94 E8 0F 00 85 E8 0F 00 09 9B 10 33 09 93 08 9B 10 33 08 93 08 9D 09 9C 94 E8 0F 00 85 E8 0F 00 09 9B 10 33 09 93 08 9B 10 33 08 93 08 9D 09 9C 94 E8 0F 00 85 E8 0F 00 09 9B 10 33 09 93 08 9B 10 33 08 93 08 98 09 99 91 E8 0C 00 80 E8 0C 00 6F F0 00 03 1A 93 0B A8 ?? ?? ?? ?? 1A 9B 0C 93 06 E0 00 23 1B 93 0B A8 ?? ?? ?? ?? 1B 9B 0C 93 0C 98 47 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_26_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat32@@@@YA_NQB_WAAU_stat32@@@Z"
		size = 244
		refs = "000c ?is_usable_drive_or_unc_root@@YA_NQB_W@Z 001e __acrt_errno_map_os_error 002e ?convert_to_stat_mode@@YAGHQB_W@Z 0052 ?get_drive_number_from_path@@YA_NQB_WAAH@Z 00b0 ??$loctotime@HHHHHHH@?$__crt_integer_traits@J@@SAJ$$QAH000000@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 06 D1 02 20 ?? ?? ?? ?? 00 23 8D F8 18 30 5D E0 12 99 10 20 ?? ?? ?? ?? AD F8 12 00 13 9B 9A 1D BD F8 12 30 13 80 13 9B 03 F1 08 02 01 23 13 80 00 23 05 93 05 A9 12 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D1 00 23 8D F8 18 30 3D E0 05 9B 5A 1E 13 9B 10 33 1A 60 05 9B 5A 1E 13 9B 1A 60 6F F0 00 03 07 93 00 23 08 93 00 23 09 93 00 23 0A 93 01 23 0B 93 01 23 0C 93 40 F2 BC 73 0D 93 07 AB 02 93 08 AB 01 93 09 AB 00 93 0A AB 0B AA 0C A9 0D A8 ?? ?? ?? ?? 0E 90 13 9B 03 F1 1C 02 0E 9B 13 60 13 9B 03 F1 1C 01 13 9B 03 F1 18 02 0B 68 13 60 13 9B 03 F1 1C 01 13 9B 03 F1 20 02 0B 68 13 60 01 23 8D F8 18 30 9D F8 18 00 10 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_27_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat32i64@@@@YA_NQB_WAAU_stat32i64@@@Z"
		size = 244
		refs = "000c ?is_usable_drive_or_unc_root@@YA_NQB_W@Z 001e __acrt_errno_map_os_error 002e ?convert_to_stat_mode@@YAGHQB_W@Z 0052 ?get_drive_number_from_path@@YA_NQB_WAAH@Z 00b0 ??$loctotime@HHHHHHH@?$__crt_integer_traits@J@@SAJ$$QAH000000@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 06 D1 02 20 ?? ?? ?? ?? 00 23 8D F8 18 30 5D E0 12 99 10 20 ?? ?? ?? ?? AD F8 12 00 13 9B 9A 1D BD F8 12 30 13 80 13 9B 03 F1 08 02 01 23 13 80 00 23 05 93 05 A9 12 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D1 00 23 8D F8 18 30 3D E0 05 9B 5A 1E 13 9B 10 33 1A 60 05 9B 5A 1E 13 9B 1A 60 6F F0 00 03 07 93 00 23 08 93 00 23 09 93 00 23 0A 93 01 23 0B 93 01 23 0C 93 40 F2 BC 73 0D 93 07 AB 02 93 08 AB 01 93 09 AB 00 93 0A AB 0B AA 0C A9 0D A8 ?? ?? ?? ?? 0E 90 13 9B 03 F1 24 02 0E 9B 13 60 13 9B 03 F1 24 01 13 9B 03 F1 20 02 0B 68 13 60 13 9B 03 F1 24 01 13 9B 03 F1 28 02 0B 68 13 60 01 23 8D F8 18 30 9D F8 18 00 10 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_28_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat64@@@@YA_NQB_WAAU_stat64@@@Z"
		size = 282
		refs = "000c ?is_usable_drive_or_unc_root@@YA_NQB_W@Z 001e __acrt_errno_map_os_error 002e ?convert_to_stat_mode@@YAGHQB_W@Z 0052 ?get_drive_number_from_path@@YA_NQB_WAAH@Z 00b0 ??$loctotime@HHHHHHH@?$__crt_integer_traits@_J@@SA_J$$QAH000000@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 18 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 06 D1 02 20 ?? ?? ?? ?? 00 23 8D F8 18 30 70 E0 18 99 10 20 ?? ?? ?? ?? AD F8 12 00 19 9B 9A 1D BD F8 12 30 13 80 19 9B 03 F1 08 02 01 23 13 80 00 23 05 93 05 A9 18 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D1 00 23 8D F8 18 30 50 E0 05 9B 5A 1E 19 9B 10 33 1A 60 05 9B 5A 1E 19 9B 1A 60 6F F0 00 03 0C 93 00 23 0D 93 00 23 0E 93 00 23 0F 93 01 23 10 93 01 23 11 93 40 F2 BC 73 12 93 0C AB 02 93 0D AB 01 93 0E AB 00 93 0F AB 10 AA 11 A9 12 A8 ?? ?? ?? ?? 15 91 14 90 19 9B 28 33 07 93 14 9A 07 9B 1A 60 15 9A 07 9B 5A 60 19 9B 03 F1 28 02 19 9B 20 33 08 92 09 93 08 9B 1A 68 09 9B 1A 60 08 9B 5A 68 09 9B 5A 60 19 9B 03 F1 28 02 19 9B 30 33 0A 92 0B 93 0A 9B 1A 68 0B 9B 1A 60 0A 9B 5A 68 0B 9B 5A 60 01 23 8D F8 18 30 9D F8 18 00 16 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_29_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat64i32@@@@YA_NQB_WAAU_stat64i32@@@Z"
		size = 282
		refs = "000c ?is_usable_drive_or_unc_root@@YA_NQB_W@Z 001e __acrt_errno_map_os_error 002e ?convert_to_stat_mode@@YAGHQB_W@Z 0052 ?get_drive_number_from_path@@YA_NQB_WAAH@Z 00b0 ??$loctotime@HHHHHHH@?$__crt_integer_traits@_J@@SA_J$$QAH000000@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 18 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 06 D1 02 20 ?? ?? ?? ?? 00 23 8D F8 18 30 70 E0 18 99 10 20 ?? ?? ?? ?? AD F8 12 00 19 9B 9A 1D BD F8 12 30 13 80 19 9B 03 F1 08 02 01 23 13 80 00 23 05 93 05 A9 18 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D1 00 23 8D F8 18 30 50 E0 05 9B 5A 1E 19 9B 10 33 1A 60 05 9B 5A 1E 19 9B 1A 60 6F F0 00 03 0C 93 00 23 0D 93 00 23 0E 93 00 23 0F 93 01 23 10 93 01 23 11 93 40 F2 BC 73 12 93 0C AB 02 93 0D AB 01 93 0E AB 00 93 0F AB 10 AA 11 A9 12 A8 ?? ?? ?? ?? 15 91 14 90 19 9B 20 33 07 93 14 9A 07 9B 1A 60 15 9A 07 9B 5A 60 19 9B 03 F1 20 02 19 9B 18 33 08 92 09 93 08 9B 1A 68 09 9B 1A 60 08 9B 5A 68 09 9B 5A 60 19 9B 03 F1 20 02 19 9B 28 33 0A 92 0B 93 0A 9B 1A 68 0B 9B 1A 60 0A 9B 5A 68 0B 9B 5A 60 01 23 8D F8 18 30 9D F8 18 00 16 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_30_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat32@@@@YA_NQB_WHQAXAAU_stat32@@@Z"
		size = 500
		refs = "000a __security_push_cookie 00ac _errno 00cc __acrt_errno_map_os_error 00f0 ?get_drive_number_from_path@@YA_NQB_WAAH@Z 0120 memset 0150 ?convert_to_stat_mode@@YAGHQB_W@Z 0168 ??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z 01b4 ?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AAJ@Z 01d8 __security_pop_cookie 01e4 __imp_GetLastError 01e8 __imp_GetFileInformationByHandle 01ec __imp_PeekNamedPipe 01f0 __imp_GetFileType"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? A0 B0 26 98 77 4B 1B 68 98 47 08 90 08 9B 23 F4 00 43 04 93 04 9B 01 2B 00 D1 56 E0 04 9B 02 2B 02 D0 04 9B 03 2B 37 D1 04 9B 02 2B 03 D1 4F F4 00 53 07 93 02 E0 4F F4 80 53 07 93 07 9B 9A B2 27 9B 9B 1D 1A 80 27 9B 03 F1 08 02 01 23 13 80 27 9B 03 F1 10 02 25 9B 13 60 27 9A 25 9B 13 60 04 9B 02 2B 13 D0 00 23 01 93 0A AB 00 93 00 23 00 22 00 21 26 98 59 4C 24 68 A0 47 09 90 09 9B 00 2B 04 D0 27 9B 03 F1 14 02 0A 9B 13 60 01 23 8D F8 0C 30 96 E0 18 E0 04 9B 00 2B 0A D1 ?? ?? ?? ?? 0B 90 0B 9A 09 23 13 60 00 23 8D F8 0C 30 88 E0 0A E0 48 4B 1B 68 98 47 0C 90 0C 98 ?? ?? ?? ?? 00 23 8D F8 0C 30 7C E0 27 9B 03 F1 08 02 01 23 13 80 24 9B 00 2B 18 D0 00 23 06 93 06 A9 24 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 0C 30 64 E0 06 9B 5A 1E 27 9B 10 33 1A 60 06 9B 5A 1E 27 9B 1A 60 34 22 00 21 12 A8 ?? ?? ?? ?? 12 A9 26 98 2F 4B 1B 68 98 47 0D 90 0D 9B 00 2B 0A D1 2B 4B 1B 68 98 47 0E 90 0E 98 ?? ?? ?? ?? 00 23 8D F8 0C 30 42 E0 24 99 12 98 ?? ?? ?? ?? AD F8 14 00 27 9B 9A 1D BD F8 14 30 13 80 00 22 17 98 18 99 ?? ?? ?? ?? 0F 90 27 9B 03 F1 1C 02 0F 9B 13 60 27 9B 1C 33 1A 68 15 98 16 99 ?? ?? ?? ?? 10 90 27 9B 03 F1 18 02 10 9B 13 60 27 9B 1C 33 1A 68 13 98 14 99 ?? ?? ?? ?? 11 90 27 9B 03 F1 20 02 11 9B 13 60 27 9B 03 F1 14 01 12 A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 20 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_31_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat32i64@@@@YA_NQB_WHQAXAAU_stat32i64@@@Z"
		size = 512
		refs = "000a __security_push_cookie 00b6 _errno 00d6 __acrt_errno_map_os_error 00fa ?get_drive_number_from_path@@YA_NQB_WAAH@Z 012a memset 015a ?convert_to_stat_mode@@YAGHQB_W@Z 0172 ??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z 01be ?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AA_J@Z 01e2 __security_pop_cookie 01f0 __imp_GetLastError 01f4 __imp_GetFileInformationByHandle 01f8 __imp_PeekNamedPipe 01fc __imp_GetFileType"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? A2 B0 28 98 7A 4B 1B 68 98 47 0A 90 0A 9B 23 F4 00 43 04 93 04 9B 01 2B 00 D1 5B E0 04 9B 02 2B 02 D0 04 9B 03 2B 3C D1 04 9B 02 2B 03 D1 4F F4 00 53 07 93 02 E0 4F F4 80 53 07 93 07 9B 9A B2 29 9B 9B 1D 1A 80 29 9B 03 F1 08 02 01 23 13 80 29 9B 03 F1 10 02 27 9B 13 60 29 9A 27 9B 13 60 04 9B 02 2B 18 D0 00 23 01 93 08 AB 00 93 00 23 00 22 00 21 28 98 5C 4C 24 68 A0 47 0B 90 0B 9B 00 2B 09 D0 08 99 08 9B DA 17 29 9B 18 33 09 93 09 9B 19 60 09 9B 5A 60 01 23 8D F8 0C 30 96 E0 18 E0 04 9B 00 2B 0A D1 ?? ?? ?? ?? 0C 90 0C 9A 09 23 13 60 00 23 8D F8 0C 30 88 E0 0A E0 48 4B 1B 68 98 47 0D 90 0D 98 ?? ?? ?? ?? 00 23 8D F8 0C 30 7C E0 29 9B 03 F1 08 02 01 23 13 80 26 9B 00 2B 18 D0 00 23 06 93 06 A9 26 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 0C 30 64 E0 06 9B 5A 1E 29 9B 10 33 1A 60 06 9B 5A 1E 29 9B 1A 60 34 22 00 21 14 A8 ?? ?? ?? ?? 14 A9 28 98 30 4B 1B 68 98 47 0E 90 0E 9B 00 2B 0A D1 2B 4B 1B 68 98 47 0F 90 0F 98 ?? ?? ?? ?? 00 23 8D F8 0C 30 42 E0 26 99 14 98 ?? ?? ?? ?? AD F8 14 00 29 9B 9A 1D BD F8 14 30 13 80 00 22 19 98 1A 99 ?? ?? ?? ?? 10 90 29 9B 03 F1 24 02 10 9B 13 60 29 9B 24 33 1A 68 17 98 18 99 ?? ?? ?? ?? 11 90 29 9B 03 F1 20 02 11 9B 13 60 29 9B 24 33 1A 68 15 98 16 99 ?? ?? ?? ?? 12 90 29 9B 03 F1 28 02 12 9B 13 60 29 9B 03 F1 18 01 14 A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 22 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_32_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat64@@@@YA_NQB_WHQAXAAU_stat64@@@Z"
		size = 560
		refs = "000a __security_push_cookie 00b6 _errno 00d6 __acrt_errno_map_os_error 00fa ?get_drive_number_from_path@@YA_NQB_WAAH@Z 012a memset 015a ?convert_to_stat_mode@@YAGHQB_W@Z 0174 ??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z 01ee ?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AA_J@Z 0212 __security_pop_cookie 0220 __imp_GetLastError 0224 __imp_GetFileInformationByHandle 0228 __imp_PeekNamedPipe 022c __imp_GetFileType"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AA B0 30 98 86 4B 1B 68 98 47 0F 90 0F 9B 23 F4 00 43 04 93 04 9B 01 2B 00 D1 5B E0 04 9B 02 2B 02 D0 04 9B 03 2B 3C D1 04 9B 02 2B 03 D1 4F F4 00 53 07 93 02 E0 4F F4 80 53 07 93 07 9B 9A B2 31 9B 9B 1D 1A 80 31 9B 03 F1 08 02 01 23 13 80 31 9B 03 F1 10 02 2F 9B 13 60 31 9A 2F 9B 13 60 04 9B 02 2B 18 D0 00 23 01 93 08 AB 00 93 00 23 00 22 00 21 30 98 68 4C 24 68 A0 47 10 90 10 9B 00 2B 09 D0 08 99 08 9B DA 17 31 9B 18 33 09 93 09 9B 19 60 09 9B 5A 60 01 23 8D F8 0C 30 AE E0 18 E0 04 9B 00 2B 0A D1 ?? ?? ?? ?? 11 90 11 9A 09 23 13 60 00 23 8D F8 0C 30 A0 E0 0A E0 54 4B 1B 68 98 47 12 90 12 98 ?? ?? ?? ?? 00 23 8D F8 0C 30 94 E0 31 9B 03 F1 08 02 01 23 13 80 2E 9B 00 2B 18 D0 00 23 06 93 06 A9 2E 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 0C 30 7C E0 06 9B 5A 1E 31 9B 10 33 1A 60 06 9B 5A 1E 31 9B 1A 60 34 22 00 21 1C A8 ?? ?? ?? ?? 1C A9 30 98 3C 4B 1B 68 98 47 13 90 13 9B 00 2B 0A D1 37 4B 1B 68 98 47 14 90 14 98 ?? ?? ?? ?? 00 23 8D F8 0C 30 5A E0 2E 99 1C 98 ?? ?? ?? ?? AD F8 14 00 31 9B 9A 1D BD F8 14 30 13 80 00 22 00 23 21 98 22 99 ?? ?? ?? ?? 17 91 16 90 31 9B 28 33 0A 93 16 9A 0A 9B 1A 60 17 9A 0A 9B 5A 60 31 9B 28 33 0B 93 0B 9B 1A 68 0B 9B 5B 68 1F 98 20 99 ?? ?? ?? ?? 19 91 18 90 31 9B 20 33 0C 93 18 9A 0C 9B 1A 60 19 9A 0C 9B 5A 60 31 9B 28 33 0D 93 0D 9B 1A 68 0D 9B 5B 68 1D 98 1E 99 ?? ?? ?? ?? 1B 91 1A 90 31 9B 30 33 0E 93 1A 9A 0E 9B 1A 60 1B 9A 0E 9B 5A 60 31 9B 03 F1 18 01 1C A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 2A B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_33_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat64i32@@@@YA_NQB_WHQAXAAU_stat64i32@@@Z"
		size = 548
		refs = "000a __security_push_cookie 00ac _errno 00cc __acrt_errno_map_os_error 00f0 ?get_drive_number_from_path@@YA_NQB_WAAH@Z 0120 memset 0150 ?convert_to_stat_mode@@YAGHQB_W@Z 016a ??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z 01e4 ?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AAJ@Z 0208 __security_pop_cookie 0214 __imp_GetLastError 0218 __imp_GetFileInformationByHandle 021c __imp_PeekNamedPipe 0220 __imp_GetFileType"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? A8 B0 2E 98 83 4B 1B 68 98 47 0D 90 0D 9B 23 F4 00 43 04 93 04 9B 01 2B 00 D1 56 E0 04 9B 02 2B 02 D0 04 9B 03 2B 37 D1 04 9B 02 2B 03 D1 4F F4 00 53 07 93 02 E0 4F F4 80 53 07 93 07 9B 9A B2 2F 9B 9B 1D 1A 80 2F 9B 03 F1 08 02 01 23 13 80 2F 9B 03 F1 10 02 2D 9B 13 60 2F 9A 2D 9B 13 60 04 9B 02 2B 13 D0 00 23 01 93 0F AB 00 93 00 23 00 22 00 21 2E 98 65 4C 24 68 A0 47 0E 90 0E 9B 00 2B 04 D0 2F 9B 03 F1 14 02 0F 9B 13 60 01 23 8D F8 0C 30 AE E0 18 E0 04 9B 00 2B 0A D1 ?? ?? ?? ?? 10 90 10 9A 09 23 13 60 00 23 8D F8 0C 30 A0 E0 0A E0 54 4B 1B 68 98 47 11 90 11 98 ?? ?? ?? ?? 00 23 8D F8 0C 30 94 E0 2F 9B 03 F1 08 02 01 23 13 80 2C 9B 00 2B 18 D0 00 23 06 93 06 A9 2C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 00 23 8D F8 0C 30 7C E0 06 9B 5A 1E 2F 9B 10 33 1A 60 06 9B 5A 1E 2F 9B 1A 60 34 22 00 21 1A A8 ?? ?? ?? ?? 1A A9 2E 98 3B 4B 1B 68 98 47 12 90 12 9B 00 2B 0A D1 37 4B 1B 68 98 47 13 90 13 98 ?? ?? ?? ?? 00 23 8D F8 0C 30 5A E0 2C 99 1A 98 ?? ?? ?? ?? AD F8 14 00 2F 9B 9A 1D BD F8 14 30 13 80 00 22 00 23 1F 98 20 99 ?? ?? ?? ?? 15 91 14 90 2F 9B 20 33 08 93 14 9A 08 9B 1A 60 15 9A 08 9B 5A 60 2F 9B 20 33 09 93 09 9B 1A 68 09 9B 5B 68 1D 98 1E 99 ?? ?? ?? ?? 17 91 16 90 2F 9B 18 33 0A 93 16 9A 0A 9B 1A 60 17 9A 0A 9B 5A 60 2F 9B 20 33 0B 93 0B 9B 1A 68 0B 9B 5B 68 1B 98 1C 99 ?? ?? ?? ?? 19 91 18 90 2F 9B 28 33 0C 93 18 9A 0C 9B 1A 60 19 9A 0C 9B 5A 60 2F 9B 03 F1 14 01 1A A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 00 23 8D F8 0C 30 02 E0 01 23 8D F8 0C 30 9D F8 0C 00 28 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_34_0 {
	meta:
		name = "??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z"
		size = 144
		refs = "0008 __security_push_cookie 006e ??$loctotime@AAGAAGAAGAAGAAGAAGH@?$__crt_integer_traits@J@@SAJAAG00000$$QAH@Z 007c __security_pop_cookie 0088 __imp_SystemTimeToTzSpecificLocalTime 008c __imp_FileTimeToSystemTime"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 93 B0 16 9B 00 2B 05 D1 17 9B 00 2B 02 D1 18 9B 04 93 2B E0 0E A9 16 A8 19 4B 1B 68 98 47 05 90 05 9B 00 2B 09 D0 0A AA 0E A9 00 20 13 4B 1B 68 98 47 06 90 06 9B 00 2B 03 D1 6F F0 00 03 04 93 14 E0 6F F0 00 03 07 93 07 AB 02 93 0D AB 01 93 0D F1 32 03 00 93 0C AB 0D F1 2E 02 0D F1 2A 01 0A A8 ?? ?? ?? ?? 08 90 08 9B 04 93 04 98 13 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_35_0 {
	meta:
		name = "??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z"
		size = 164
		refs = "0008 __security_push_cookie 0078 ??$loctotime@AAGAAGAAGAAGAAGAAGH@?$__crt_integer_traits@_J@@SA_JAAG00000$$QAH@Z 008e __security_pop_cookie 009c __imp_SystemTimeToTzSpecificLocalTime 00a0 __imp_FileTimeToSystemTime"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 95 B0 18 9B 00 2B 07 D1 19 9B 00 2B 04 D1 1A 9A 1B 9B 04 92 05 93 31 E0 10 A9 18 A8 1D 4B 1B 68 98 47 06 90 06 9B 00 2B 09 D0 0C AA 10 A9 00 20 17 4B 1B 68 98 47 07 90 07 9B 00 2B 06 D1 6F F0 00 03 04 93 6F F0 00 03 05 93 17 E0 6F F0 00 03 08 93 08 AB 02 93 0F AB 01 93 0D F1 3A 03 00 93 0E AB 0D F1 36 02 0D F1 32 01 0C A8 ?? ?? ?? ?? 0B 91 0A 90 0A 9A 0B 9B 04 92 05 93 04 98 05 99 15 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_36_0 {
	meta:
		name = "??$loctotime@AAGAAGAAGAAGAAGAAGH@?$__crt_integer_traits@J@@SAJAAG00000$$QAH@Z"
		size = 66
		refs = "002c __loctotime32_t"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 1B 68 02 93 0D 9B 1B 88 01 93 0C 9B 1B 88 00 93 0B 9B 1B 88 0A 9A 12 88 09 99 09 88 08 98 00 88 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_257_37_0 {
	meta:
		name = "??$loctotime@AAGAAGAAGAAGAAGAAGH@?$__crt_integer_traits@_J@@SA_JAAG00000$$QAH@Z"
		size = 74
		refs = "002c __loctotime64_t"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 10 9B 1B 68 02 93 0F 9B 1B 88 01 93 0E 9B 1B 88 00 93 0D 9B 1B 88 0C 9A 12 88 0B 99 09 88 0A 98 00 88 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_257_38_0 {
	meta:
		name = "??$loctotime@HHHHHHH@?$__crt_integer_traits@J@@SAJ$$QAH000000@Z"
		size = 66
		refs = "002c __loctotime32_t"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 1B 68 02 93 0D 9B 1B 68 01 93 0C 9B 1B 68 00 93 0B 9B 1B 68 0A 9A 12 68 09 99 09 68 08 98 00 68 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_10_0 {
	meta:
		name = "??$tsopen_nolock@PAHABQAHABQBDABHABHABHABH@?$__crt_char_traits@D@@SAH$$QAPAHABQAHABQBDABH333@Z"
		size = 66
		refs = "002c _sopen_nolock"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 1B 68 02 93 0D 9B 1B 68 01 93 0C 9B 1B 68 00 93 0B 9B 1B 68 0A 9A 12 68 09 99 09 68 08 98 00 68 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_11_0 {
	meta:
		name = "??$tsopen_nolock@PAHABQAHABQB_WABHABHABHABH@?$__crt_char_traits@_W@@SAH$$QAPAHABQAHABQB_WABH333@Z"
		size = 66
		refs = "002c _wsopen_nolock"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 1B 68 02 93 0D 9B 1B 68 01 93 0C 9B 1B 68 00 93 0B 9B 1B 68 0A 9A 12 68 09 99 09 68 08 98 00 68 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_12_0 {
	meta:
		name = "??$tsopen_nolock@PAHPAHABQBDABHHABHH@?$__crt_char_traits@D@@SAH$$QAPAH0ABQBDABH$$QAH23@Z"
		size = 66
		refs = "002c _sopen_nolock"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 1B 68 02 93 0D 9B 1B 68 01 93 0C 9B 1B 68 00 93 0B 9B 1B 68 0A 9A 12 68 09 99 09 68 08 98 00 68 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_13_0 {
	meta:
		name = "??$tsopen_nolock@PAHPAHABQB_WABHHABHH@?$__crt_char_traits@_W@@SAH$$QAPAH0ABQB_WABH$$QAH23@Z"
		size = 66
		refs = "002c _wsopen_nolock"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 1B 68 02 93 0D 9B 1B 68 01 93 0C 9B 1B 68 00 93 0B 9B 1B 68 0A 9A 12 68 09 99 09 68 08 98 00 68 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_257_39_0 {
	meta:
		name = "??$loctotime@HHHHHHH@?$__crt_integer_traits@_J@@SA_J$$QAH000000@Z"
		size = 74
		refs = "002c __loctotime64_t"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 10 9B 1B 68 02 93 0F 9B 1B 68 01 93 0E 9B 1B 68 00 93 0D 9B 1B 68 0C 9A 12 68 0B 99 09 68 0A 98 00 68 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_257_71_0 {
	meta:
		name = "?call_wfullpath@@YAPA_WQA_WQB_WIQAPA_W@Z"
		size = 142
		refs = "000a _errno 0028 _wfullpath"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 03 90 03 9B 1B 68 02 93 ?? ?? ?? ?? 04 90 04 9A 00 23 13 60 0E 9A 0D 99 0C 98 ?? ?? ?? ?? 05 90 05 9B 01 93 01 9B 00 2B 08 D0 ?? ?? ?? ?? 06 90 02 9A 06 9B 1A 60 01 9B 00 93 1B E0 ?? ?? ?? ?? 07 90 07 9B 1B 68 22 2B 02 D0 00 23 00 93 11 E0 ?? ?? ?? ?? 08 90 02 9A 08 9B 1A 60 00 22 0D 99 00 20 ?? ?? ?? ?? 09 90 09 9A 0F 9B 1A 60 0F 9B 1B 68 00 93 00 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_257_72_0 {
	meta:
		name = "?close@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAAXXZ"
		size = 58
		refs = "000a ?get_invalid_value@__crt_handle_traits@@SAPAXXZ 0020 ?close@__crt_handle_traits@@SA_NPAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 04 9B 1A 68 00 9B 9A 42 00 D1 09 E0 04 9B 18 68 ?? ?? ?? ?? ?? ?? ?? ?? 01 90 04 9A 01 9B 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_58_0 {
	meta:
		name = "?close@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAAXXZ"
		size = 58
		refs = "000a ?get_invalid_value@__crt_findfile_traits@@SAPAXXZ 0020 ?close@__crt_findfile_traits@@SA_NPAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 04 9B 1A 68 00 9B 9A 42 00 D1 09 E0 04 9B 18 68 ?? ?? ?? ?? ?? ?? ?? ?? 01 90 04 9A 01 9B 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_649_22_0 {
	meta:
		name = "?close@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAAXXZ"
		size = 58
		refs = "000a ?get_invalid_value@__crt_hmodule_traits@@SAPAUHINSTANCE__@@XZ 0020 ?close@__crt_hmodule_traits@@SA_NPAUHINSTANCE__@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 04 9B 1A 68 00 9B 9A 42 00 D1 09 E0 04 9B 18 68 ?? ?? ?? ?? ?? ?? ?? ?? 01 90 04 9A 01 9B 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_73_0 {
	meta:
		name = "?close@__crt_handle_traits@@SA_NPAX@Z"
		size = 64
		refs = "003c __imp_CloseHandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 0B 4B 1B 68 98 47 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_59_0 {
	meta:
		name = "?close@__crt_findfile_traits@@SA_NPAX@Z"
		size = 64
		refs = "003c __imp_FindClose"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 0B 4B 1B 68 98 47 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_649_23_0 {
	meta:
		name = "?close@__crt_hmodule_traits@@SA_NPAUHINSTANCE__@@@Z"
		size = 64
		refs = "003c __imp_FreeLibrary"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 0B 4B 1B 68 98 47 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_74_0 {
	meta:
		name = "?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AAJ@Z"
		size = 90
		refs = "0028 _errno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 00 23 13 60 04 9B 20 33 1B 68 00 2B 06 D1 04 9B 24 33 1A 68 6F F0 00 43 9A 42 09 D9 ?? ?? ?? ?? 01 90 01 9A 84 23 13 60 00 23 8D F8 00 30 07 E0 04 9B 24 33 1A 68 05 9B 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_75_0 {
	meta:
		name = "?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AA_J@Z"
		size = 124
		refs = "0024 _errno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9A 00 23 13 60 07 9A 00 23 53 60 06 9B 20 33 1A 68 6F F0 00 43 9A 42 09 D9 ?? ?? ?? ?? 02 90 02 9A 84 23 13 60 00 23 8D F8 04 30 1A E0 06 9B 20 33 1B 68 00 93 00 9A 01 23 02 FB 03 F0 00 9A 00 23 A2 FB 03 13 18 44 06 9B 24 33 1A 68 00 23 89 18 40 EB 03 02 07 9B 19 60 07 9B 5A 60 01 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_76_0 {
	meta:
		name = "?convert_to_stat_mode@@YAGHQB_W@Z"
		size = 228
		refs = "0038 ?is_root_or_empty@@YA_NQB_W@Z 0084 ?has_executable_extension@@YA_NQB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B DB B2 03 93 03 9B 13 F0 10 0F 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 01 30 9D F8 01 30 00 2B 0C D1 09 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 4F F4 00 43 02 93 02 E0 44 F2 40 03 02 93 02 9B 9B B2 AD F8 04 30 03 9B 13 F0 01 0F 03 D0 4F F4 80 73 04 93 02 E0 4F F4 C0 73 04 93 BD F8 04 20 04 9B 13 43 9B B2 AD F8 04 30 09 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 06 D0 BD F8 04 30 43 F0 40 03 9B B2 AD F8 04 30 BD F8 04 30 03 F4 E0 73 DA 10 BD F8 04 30 13 43 9B B2 AD F8 04 30 BD F8 04 30 03 F4 E0 73 9A 11 BD F8 04 30 13 43 9B B2 AD F8 04 30 BD F8 04 30 AD F8 14 30 BD F8 14 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_81_0 {
	meta:
		name = "?get_drive_number_from_path@@YA_NQB_WAAH@Z"
		size = 166
		refs = "004e __acrt_errno_map_os_error 0086 _getdrive"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9A 00 23 13 60 06 9B 1B 88 41 2B 03 DB 06 9B 1B 88 5A 2B 0B DD 06 9B 1B 88 61 2B 03 DB 06 9B 1B 88 7A 2B 03 DD 01 23 8D F8 00 30 2F E0 06 9B 9B 1C 1B 88 3A 2B 21 D1 06 9B 1B 1D 1B 88 00 2B 06 D1 02 20 ?? ?? ?? ?? 00 23 8D F8 00 30 1E E0 06 9B 1B 88 41 2B 09 DB 06 9B 1B 88 5A 2B 05 DC 06 9B 1B 88 41 3B 61 33 01 93 02 E0 06 9B 1B 88 01 93 01 9B 61 3B 5A 1C 07 9B 1A 60 ?? ?? ?? ?? 02 90 02 9A 07 9B 1A 60 01 23 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_82_0 {
	meta:
		name = "?get_invalid_value@__crt_handle_traits@@SAPAXXZ"
		size = 22
		altNames = "?get_invalid_value@__crt_findfile_traits@@SAPAXXZ ?invalid_function_sentinel@@YAPAXXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 6F F0 00 03 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_257_83_0 {
	meta:
		name = "?has_executable_extension@@YA_NQB_W@Z"
		size = 160
		refs = "001c wcsrchr 0038 _wcsicmp 0090 ??_C@_19CDGLJBOD@?$AA?4?$AAc?$AAo?$AAm?$AA?$AA@ 0094 ??_C@_19PINKOIBI@?$AA?4?$AAb?$AAa?$AAt?$AA?$AA@ 0098 ??_C@_19BDKLHPGC@?$AA?4?$AAc?$AAm?$AAd?$AA?$AA@ 009c ??_C@_19DOGDICKI@?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 2B 03 D1 00 23 8D F8 04 30 34 E0 2E 21 0A 98 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 03 D1 00 23 8D F8 04 30 26 E0 19 49 00 98 ?? ?? ?? ?? 03 90 03 9B 00 2B 1B D0 14 49 00 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 13 D0 0F 49 00 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 0B D0 0A 49 00 98 ?? ?? ?? ?? 06 90 06 9B 00 2B 03 D0 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_84_0 {
	meta:
		name = "?is_root_or_empty@@YA_NQB_W@Z"
		size = 186
		refs = "0084 ?is_slash@@YA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 03 D1 00 23 8D F8 04 30 49 E0 06 9B 1B 88 41 2B 03 DB 06 9B 1B 88 5A 2B 07 DD 06 9B 1B 88 61 2B 0C DB 06 9B 1B 88 7A 2B 08 DC 06 9B 9B 1C 1B 88 3A 2B 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 01 30 9D F8 01 30 00 2B 03 D0 06 9B 1B 1D 03 93 01 E0 06 9B 03 93 03 9B 02 93 02 9B 1B 88 00 2B 03 D1 01 23 8D F8 04 30 15 E0 02 9B 18 88 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 08 D0 02 9B 9B 1C 1B 88 00 2B 03 D1 01 23 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_85_0 {
	meta:
		name = "?is_root_unc_name@@YA_NQB_W@Z"
		size = 258
		refs = "000c wcslen 0024 ?is_slash@@YA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 04 90 04 9B 05 2B 03 D2 00 23 8D F8 0C 30 69 E0 08 9B 18 88 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 15 D0 08 9B 9B 1C 18 88 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0A D0 08 9B 1B 1D 18 88 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D0 00 23 8D F8 0C 30 45 E0 08 9B 1B 1D 02 93 02 9B 9B 1C 02 93 02 9B 1B 88 00 2B 0B D0 02 9B 18 88 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 00 D0 00 E0 EC E7 02 9B 1B 88 00 2B 04 D0 02 9B 9B 1C 1B 88 00 2B 03 D1 00 23 8D F8 0C 30 22 E0 02 9B 9B 1C 02 93 02 9B 1B 88 00 2B 0B D0 02 9B 18 88 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 00 2B 00 D0 00 E0 EC E7 02 9B 1B 88 00 2B 04 D0 02 9B 9B 1C 1B 88 00 2B 03 D1 01 23 8D F8 0C 30 02 E0 00 23 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_86_0 {
	meta:
		name = "?is_slash@@YA_N_W@Z"
		size = 58
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 10 30 5C 2B 06 D0 BD F8 10 30 2F 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_257_87_0 {
	meta:
		name = "?is_usable_drive_or_unc_root@@YA_NQB_W@Z"
		size = 244
		refs = "0008 __security_push_cookie 0014 wcspbrk 002c ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAA@QA_W@Z 0032 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAAPAPA_WXZ 0042 ?call_wfullpath@@YAPA_WQA_WQB_WIQAPA_W@Z 005a ??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAA@XZ 006a wcslen 0078 ?is_root_unc_name@@YA_NQB_W@Z 00e0 __security_pop_cookie 00ec __imp_GetDriveTypeW 00f0 ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 0D 7D 37 49 90 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 03 D1 00 23 8D F8 0C 30 57 E0 00 21 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 06 90 06 9B 4F F4 82 72 90 99 0A A8 ?? ?? ?? ?? 07 90 07 9B 04 93 04 9B 00 2B 0A D1 00 23 8D F8 00 30 02 A8 ?? ?? ?? ?? 9D F8 00 30 8D F8 0C 30 37 E0 04 98 ?? ?? ?? ?? 08 90 08 9B 03 2B 13 D0 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0A D1 00 23 8D F8 02 30 02 A8 ?? ?? ?? ?? 9D F8 02 30 8D F8 0C 30 1C E0 90 98 12 4B 1B 68 98 47 09 90 09 9B 01 2B 0A D8 00 23 8D F8 03 30 02 A8 ?? ?? ?? ?? 9D F8 03 30 8D F8 0C 30 09 E0 01 23 8D F8 04 30 02 A8 ?? ?? ?? ?? 9D F8 04 30 8D F8 0C 30 9D F8 0C 00 0D F5 0D 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_88_0 {
	meta:
		name = "?is_valid@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBA_NXZ"
		size = 58
		refs = "000a ?get_invalid_value@__crt_handle_traits@@SAPAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 06 9B 1A 68 01 9B 9A 42 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_258_4_0 {
	meta:
		name = "?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z"
		size = 28
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 20 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_258_5_0 {
	meta:
		name = "?check_block@@YA_NQAU_CrtMemBlockHeader@@@Z"
		size = 756
		refs = "001a ?is_block_type_valid@@YA_NH@Z 0050 ?check_bytes@@YA_NQBEEI@Z 006c ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 009e _CrtDbgReport 02cc ??_C@_0CI@JMLBEDHJ@?$CFhs?5located?5at?50x?$CFp?5is?5?$CFIu?5bytes@ 02d0 ??_C@_0EG@DGJMPDBH@?$CFhs?5located?5at?50x?$CFp?5is?5?$CFIu?5bytes@ 02d4 ??_C@_0IC@BBJIOOJH@HEAP?5CORRUPTION?5DETECTED?3?5on?5top@ 02d8 ??_C@_0KA@IHNJJKPL@HEAP?5CORRUPTION?5DETECTED?3?5on?5top@ 02dc ??_C@_0IG@LEMBDCJK@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 02e0 ??_C@_0KE@MBMNHHHN@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 02e4 ??_C@_0IK@PJCGLBOB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 02e8 ??_C@_0KI@JGFOHMEB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 02ec ??_C@_07OHKEFPKJ@DAMAGED?$AA@ 02f0 ?block_use_names@@3QBQBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 01 23 8D F8 18 30 00 23 07 93 1E 9B 10 33 18 68 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 0B D0 1E 9B 10 33 1B 68 9A B2 04 23 02 FB 03 F2 AD 4B 13 44 1B 68 07 93 01 E0 AA 4B 07 93 04 22 FD 21 1E 9B 03 F1 1C 00 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 42 D1 1E 9B 08 33 1B 68 00 2B 21 D0 1E 98 ?? ?? ?? ?? 09 90 1E 9B 0C 33 1B 68 05 93 1E 9B 08 33 1B 68 04 93 09 9B 03 93 1E 9B 18 33 1B 68 02 93 07 9B 01 93 95 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 18 E0 1E 98 ?? ?? ?? ?? 0B 90 0B 9B 03 93 1E 9B 18 33 1B 68 02 93 07 9B 01 93 87 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 00 23 8D F8 18 30 1E 98 ?? ?? ?? ?? 0D 90 04 22 FD 21 1E 9B 14 33 0D 98 1B 68 18 44 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 42 D1 1E 9B 08 33 1B 68 00 2B 21 D0 1E 98 ?? ?? ?? ?? 0E 90 1E 9B 0C 33 1B 68 05 93 1E 9B 08 33 1B 68 04 93 0E 9B 03 93 1E 9B 18 33 1B 68 02 93 07 9B 01 93 68 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 18 E0 1E 98 ?? ?? ?? ?? 10 90 10 9B 03 93 1E 9B 18 33 1B 68 02 93 07 9B 01 93 5A 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 00 23 8D F8 18 30 1E 9B 10 33 1B 68 00 2B 47 D1 1E 98 ?? ?? ?? ?? 12 90 1E 9B 14 33 1A 68 DD 21 12 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 36 D1 1E 9B 08 33 1B 68 00 2B 1B D0 1E 98 ?? ?? ?? ?? 13 90 1E 9B 0C 33 1B 68 03 93 1E 9B 08 33 1B 68 02 93 13 9B 01 93 3C 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 12 E0 1E 98 ?? ?? ?? ?? 15 90 15 9B 01 93 31 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 00 23 8D F8 18 30 9D F8 18 30 00 2B 3F D1 1E 9B 08 33 1B 68 00 2B 21 D0 1E 98 ?? ?? ?? ?? 17 90 1E 9B 0C 33 1B 68 05 93 1E 9B 08 33 1B 68 04 93 1E 9B 14 33 1B 68 03 93 17 9B 02 93 07 9B 01 93 1A 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 18 E0 1E 98 ?? ?? ?? ?? 19 90 1E 9B 14 33 1B 68 03 93 19 9B 02 93 07 9B 01 93 0C 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 1A 90 1A 9B 01 2B 00 D1 FE DE 9D F8 18 30 8D F8 6C 30 9D F8 6C 00 1C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_6_0 {
	meta:
		name = "?check_bytes@@YA_NQBEEI@Z"
		size = 80
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9A 08 9B 13 44 02 93 06 9B 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 02 9B 9A 42 0A D0 00 9B 1A 78 9D F8 1C 30 9A 42 03 D0 00 23 8D F8 04 30 03 E0 ED E7 01 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_258_7_0 {
	meta:
		name = "?dump_all_object_since_nolock@@YAXQBU_CrtMemState@@@Z"
		size = 708
		refs = "0010 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0030 _CrtDbgReport 00bc _CrtIsValidPointer 00d0 ?is_bad_read_pointer@@YA_NQBXI@Z 015e ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 01ea ?print_block_data@@YAXQAU__crt_locale_pointers@@QAU_CrtMemBlockHeader@@@Z 0284 ??1_LocaleUpdate@@QAA@XZ 0294 ??_C@_0DA@MDLBNIBM@crt?5block?5at?50x?$CFp?0?5subtype?5?$CFx?0?5?$CF@ 0298 ??_C@_0CH@FAGDDGPN@normal?5block?5at?50x?$CFp?0?5?$CFIu?5bytes?5@ 029c __guard_check_icall_fptr 02a0 _pfnDumpClient 02a4 ??_C@_0DD@GHNAAKBB@client?5block?5at?50x?$CFp?0?5subtype?5?$CFx@ 02a8 ??_C@_06PKLGBFGM@?$HL?$CFld?$HN?5?$AA@ 02ac ??_C@_0L@JMEFFCCJ@?$CFhs?$CI?$CFd?$CJ?5?3?5?$AA@ 02b0 ??_C@_0BE@OIEFNFL@?$CDFile?5Error?$CD?$CI?$CFd?$CJ?5?3?5?$AA@ 02b4 _crtDbgFlag 02b8 ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 02bc ??_C@_02DKCKIIND@?$CFs?$AA@ 02c0 ??_C@_0BE@KCIPKCIA@Dumping?5objects?5?9?$DO?6?$AA@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 9C B0 00 21 18 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 09 90 09 9B 06 93 A7 4B 01 93 A5 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 20 9B 00 2B 03 D0 20 9B 1B 68 07 93 01 E0 00 23 07 93 07 9B 0B 93 98 4B 1B 68 04 93 02 E0 04 9B 1B 68 04 93 04 9B 00 2B 00 F0 0C 81 04 9A 0B 9B 9A 42 00 F0 07 81 04 9B 10 33 1B 68 9B B2 03 2B 00 D1 EC E7 04 9B 10 33 1B 68 9B B2 00 2B 00 D1 E5 E7 04 9B 10 33 1B 68 9B B2 02 2B 05 D1 85 4B 1B 68 13 F0 10 0F 00 D1 D9 E7 04 9B 08 33 1B 68 00 2B 3D D0 00 22 01 21 04 9B 08 33 18 68 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 0B D0 01 21 04 9B 08 33 18 68 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 11 D0 04 9B 0C 33 1B 68 01 93 71 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 14 E0 04 9B 0C 33 1B 68 02 93 04 9B 08 33 1B 68 01 93 65 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 04 9B 18 33 1B 68 01 93 5C 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 04 9B 10 33 1B 68 9B B2 04 2B 49 D1 04 98 ?? ?? ?? ?? 10 90 04 9B 14 33 1B 68 03 93 04 9B 10 33 1B 68 1B 14 9B B2 02 93 10 9B 01 93 49 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 42 4B 1B 68 00 2B 23 D0 04 98 ?? ?? ?? ?? 12 90 04 9B 14 33 19 68 12 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 00 2B 13 D1 04 98 ?? ?? ?? ?? 13 90 04 9B 14 33 1D 68 13 9C 34 4B 1B 68 08 93 08 98 31 4B 1B 68 98 47 08 9B 20 46 29 46 98 47 03 E0 04 99 06 98 ?? ?? ?? ?? 47 E0 04 9B 10 33 1B 68 01 2B 1B D1 04 98 ?? ?? ?? ?? 14 90 04 9B 14 33 1B 68 02 93 14 9B 01 93 22 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 04 99 06 98 ?? ?? ?? ?? 26 E0 04 9B 10 33 1B 68 9B B2 02 2B 20 D1 04 98 ?? ?? ?? ?? 16 90 04 9B 14 33 1B 68 03 93 04 9B 10 33 1B 68 1B 14 9B B2 02 93 16 9B 01 93 0D 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 04 99 06 98 ?? ?? ?? ?? EC E6 18 A8 ?? ?? ?? ?? 1C B0 BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_8_0 {
	meta:
		name = "?free_dbg_nolock@@YAXQAXH@Z"
		size = 1200
		refs = "000c ?validate_heap_if_required_nolock@@YAXXZ 0020 ?is_block_an_aligned_allocation@@YA_NQBX@Z 0042 _CrtDbgReport 0050 _errno 00c6 _CrtIsValidHeapPointer 00e4 _CrtDbgReportW 00f4 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 0104 ?is_block_type_valid@@YA_NH@Z 014a ?check_bytes@@YA_NQBEEI@Z 0166 ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 0316 memset 031c _free_base 0454 ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 0458 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 045c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0460 ??_C@_1DK@KEHFGDIJ@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?$AA@ 0464 ?__acrt_last_block@@3PAU_CrtMemBlockHeader@@A 0468 ??_C@_1DI@ILNOPEPI@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAl?$AAa?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?$AA@ 046c _crtDbgFlag 0470 ?__acrt_current_allocations@@3IA 0474 ??_C@_1ME@GFALMLNA@?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAu?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAu?$AAs?$AAe?$AA?5@ 0478 ??_C@_1OK@GFEOEJAF@?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm@ 0480 ??_C@_0IG@LEMBDCJK@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 0484 ?block_use_names@@3QBQBDB 0488 ??_C@_0KE@MBMNHHHN@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 048c ??_C@_0IK@PJCGLBOB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 0490 ??_C@_0KI@JGFOHMEB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 0494 ??_C@_1FA@KDNEBILF@?$AAi?$AAs?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo@ 0498 ??_C@_1DM@DEDLGNML@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$CJ?$AA?$AA@ 049c ??_C@_02DKCKIIND@?$CFs?$AA@ 04a0 ??_C@_0BL@KEIPLFAC@Client?5hook?5free?5failure?4?6?$AA@ 04a4 __guard_check_icall_fptr 04a8 _pfnAllocHook 04ac ??_C@_0EJ@HEIBCIMJ@The?5Block?5at?50x?$CFp?5was?5allocated?5@"
	strings:
		$1 = { 03 B4 2D E9 F0 49 0D F1 14 0B 9F B0 ?? ?? ?? ?? 26 9B 00 2B 00 D1 18 E2 27 9B 01 2B 1F D1 26 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 00 2B 16 D0 26 9B 01 93 DF F8 74 34 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 F5 E1 DF F8 48 34 1B 68 00 2B 2D D0 00 23 02 93 00 23 01 93 00 23 00 93 DD F8 9C 80 00 27 26 9E 03 25 DF F8 28 34 1B 68 08 93 08 98 DF F8 18 34 1B 68 98 47 08 9C 28 46 31 46 3A 46 43 46 A0 47 0B 90 0B 9B 00 2B 0F D1 FE 4B 01 93 FC 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE C2 E1 26 98 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 0F D1 F1 4B 01 93 E1 4B 00 93 00 23 4F F4 62 72 DD 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 26 98 ?? ?? ?? ?? 0F 90 0F 9B 06 93 06 9B 10 33 18 68 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 00 2B 0F D1 DF 4B 01 93 D0 4B 00 93 00 23 4F F4 63 72 CD 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE CD 4B 1B 68 13 F0 04 0F 40 F0 C4 80 04 22 FD 21 06 9B 03 F1 1C 00 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 00 2B 51 D1 06 9B 08 33 1B 68 00 2B 2A D0 06 98 ?? ?? ?? ?? 11 90 06 9B 0C 33 1B 68 05 93 06 9B 08 33 1B 68 04 93 11 9B 03 93 06 9B 18 33 1B 68 02 93 06 9B 10 33 1B 68 9A B2 04 23 02 FB 03 F2 BB 4B 13 44 1B 68 01 93 BC 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 21 E0 06 98 ?? ?? ?? ?? 13 90 13 9B 03 93 06 9B 18 33 1B 68 02 93 06 9B 10 33 1B 68 9A B2 04 23 02 FB 03 F2 A9 4B 13 44 1B 68 01 93 A9 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 06 98 ?? ?? ?? ?? 15 90 04 22 FD 21 06 9B 14 33 15 98 1B 68 18 44 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 00 2B 51 D1 06 9B 08 33 1B 68 00 2B 2A D0 06 98 ?? ?? ?? ?? 16 90 06 9B 0C 33 1B 68 05 93 06 9B 08 33 1B 68 04 93 16 9B 03 93 06 9B 18 33 1B 68 02 93 06 9B 10 33 1B 68 9A B2 04 23 02 FB 03 F2 88 4B 13 44 1B 68 01 93 87 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 21 E0 06 98 ?? ?? ?? ?? 18 90 18 9B 03 93 06 9B 18 33 1B 68 02 93 06 9B 10 33 1B 68 9A B2 04 23 02 FB 03 F2 77 4B 13 44 1B 68 01 93 74 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 06 9B 10 33 1B 68 03 2B 27 D1 06 9B 0C 33 1A 68 68 4B 9A 42 04 D1 06 9B 18 33 1B 68 00 2B 0F D0 63 4B 01 93 5B 4B 00 93 00 23 4F F4 71 72 58 49 02 20 ?? ?? ?? ?? 1A 90 1A 9B 01 2B 00 D1 FE DE 06 9B 14 33 1B 68 03 F1 24 02 DD 21 06 98 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 93 E0 06 9B 10 33 1A 68 27 9B 9A 42 17 D0 06 9B 10 33 1B 68 02 2B 02 D1 27 9B 01 2B 0F D0 4D 4B 01 93 46 4B 00 93 00 23 4F F4 73 72 42 49 02 20 ?? ?? ?? ?? 1B 90 1B 9B 01 2B 00 D1 FE DE 06 9B 03 F1 14 01 42 4B 1A 68 0B 68 D2 1A 40 4B 1A 60 3E 4B 1B 68 13 F0 02 0F 57 D1 06 9B 1B 68 00 2B 07 D0 06 9B 19 1D 06 9B 1B 68 1A 1D 0B 68 13 60 19 E0 34 4B 1A 68 06 9B 9A 42 0F D0 32 4B 01 93 2E 4B 00 93 00 23 40 F2 DA 32 2B 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 06 9B 1B 1D 1A 68 28 4B 1A 60 06 9B 1B 1D 1B 68 00 2B 06 D0 06 99 06 9B 1B 1D 1A 68 0B 68 13 60 18 E0 1D 4B 1A 68 06 9B 9A 42 0F D0 1D 4B 01 93 1B 4B 00 93 00 23 4F F4 79 72 18 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 06 9B 1A 68 11 4B 1A 60 06 9B 14 33 1B 68 03 F1 24 02 DD 21 06 98 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 0F E0 06 9B 03 F1 10 02 00 23 13 60 06 98 ?? ?? ?? ?? 1E 90 06 9B 14 33 1A 68 DD 21 1E 98 ?? ?? ?? ?? 1F B0 BD E8 F0 09 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BC BA DC FE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_9_0 {
	meta:
		name = "?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z"
		size = 28
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 20 3B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_258_10_0 {
	meta:
		name = "?heap_alloc_dbg@@YAPAXIHQBDH@Z"
		size = 138
		refs = "000a _query_new_mode 0034 ?heap_alloc_dbg_internal@@YAPAXIHQBDH@Z 0054 _callnewh 0060 _errno"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 04 90 04 9B 00 2B 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 01 30 0D 9B 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 05 90 05 9B 01 93 01 9B 00 2B 02 D0 01 9B 03 93 19 E0 9D F8 01 30 00 2B 06 D0 0A 98 ?? ?? ?? ?? 06 90 06 9B 00 2B 0D D1 ?? ?? ?? ?? 07 90 07 9B 02 93 02 9B 00 2B 02 D0 02 9A 0C 23 13 60 00 23 03 93 00 E0 D6 E7 03 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_258_11_0 {
	meta:
		name = "?heap_alloc_dbg_internal@@YAPAXIHQBDH@Z"
		size = 768
		refs = "0016 __acrt_lock 001a ?validate_heap_if_required_nolock@@YAXXZ 0096 _CrtDbgReport 00ee _errno 0108 ?is_block_type_valid@@YA_NH@Z 026c memset 0272 ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 02a6 __acrt_unlock 02bc ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 02c0 ?__acrt_last_block@@3PAU_CrtMemBlockHeader@@A 02c4 ?__acrt_max_allocations@@3IA 02c8 ?__acrt_current_allocations@@3IA 02cc ?__acrt_total_allocations@@3IA 02d4 ?__acrt_current_request_number@@3JA 02d8 __imp_HeapAlloc 02dc __acrt_heap 02e0 ??_C@_02DKCKIIND@?$CFs?$AA@ 02e4 ??_C@_0DC@JEMAGEKG@Error?3?5memory?5allocation?3?5bad?5me@ 02e8 _crtDbgFlag 02ec ??_C@_0CB@CCLOLAHO@Client?5hook?5allocation?5failure?4?6@ 02f0 ??_C@_0DF@BBEGIFEK@Client?5hook?5allocation?5failure?5a@ 02f4 __guard_check_icall_fptr 02f8 _pfnAllocHook 02fc _crtBreakAlloc"
	strings:
		$1 = { 0F B4 2D E9 F0 4B 0D F1 18 0B 94 B0 6F 46 84 B0 00 23 BB 61 00 20 ?? ?? ?? ?? ?? ?? ?? ?? AD 4B 1B 68 BB 60 B5 4B 1B 68 B3 F1 FF 3F 05 D0 BA 68 B2 4B 1B 68 9A 42 00 D1 FE DE AF 4B 1B 68 00 2B 41 D0 FB 6F 02 93 BB 6F 01 93 BB 68 00 93 D7 F8 74 90 D7 F8 70 80 00 26 01 25 A7 4B 1B 68 FB 60 F8 68 A4 4B 1B 68 98 47 FC 68 28 46 31 46 42 46 4B 46 A0 47 F8 61 FB 69 00 2B 24 D1 BB 6F 00 2B 11 D0 FB 6F 02 93 BB 6F 01 93 99 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 38 62 3B 6A 01 2B 00 D1 FE DE 0E E0 91 4B 01 93 8D 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 78 62 7B 6A 01 2B 00 D1 FE DE EE E0 7B 6F 9B B2 02 2B 07 D0 86 4B 1B 68 13 F0 01 0F 02 D1 01 23 3B 71 01 E0 00 23 3B 71 3B 79 BB 71 3B 6F 13 F1 44 0F 0B D9 ?? ?? ?? ?? B8 62 BB 6A 3B 61 3B 69 00 2B 02 D0 3A 69 0C 23 13 60 CE E0 78 6F ?? ?? ?? ?? 78 71 7B 79 00 2B 0E D1 73 4B 01 93 71 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? F8 62 FB 6A 01 2B 00 D1 FE DE 3B 6F 24 33 3B 63 3A 6B 00 21 67 4B 18 68 65 4B 1B 68 98 47 78 63 7B 6B 3B 60 3B 68 00 2B 0B D1 ?? ?? ?? ?? B8 63 BB 6B 7B 61 7B 69 00 2B 02 D0 7A 69 0C 23 13 60 9C E0 5A 4B 1B 68 5A 1C 58 4B 1A 60 BB 79 00 2B 20 D0 3A 68 00 23 13 60 3B 68 1A 1D 00 23 13 60 3B 68 03 F1 08 02 00 23 13 60 3B 68 03 F1 0C 02 4D 4B 13 60 3B 68 03 F1 14 02 3B 6F 13 60 3B 68 03 F1 10 02 03 23 13 60 3B 68 03 F1 18 02 00 23 13 60 52 E0 43 4B 1B 68 C3 F1 FF 32 3B 6F 9A 42 06 D9 40 4B 1A 68 3B 6F 1A 44 3E 4B 1A 60 03 E0 3C 4A 6F F0 00 03 13 60 39 4B 1A 68 3B 6F 1A 44 37 4B 1A 60 36 4B 1A 68 34 4B 1B 68 9A 42 03 D9 33 4B 1A 68 31 4B 1A 60 2E 4B 1B 68 00 2B 05 D0 2C 4B 1B 68 1A 1D 3B 68 13 60 02 E0 3A 68 2A 4B 1A 60 3A 68 27 4B 1B 68 13 60 3B 68 1A 1D 00 23 13 60 3B 68 03 F1 08 02 BB 6F 13 60 3B 68 03 F1 0C 02 FB 6F 13 60 3B 68 03 F1 14 02 3B 6F 13 60 3B 68 03 F1 10 02 7B 6F 13 60 3B 68 03 F1 18 02 BB 68 13 60 3A 68 17 4B 1A 60 04 22 FD 21 3B 68 03 F1 1C 00 ?? ?? ?? ?? 38 68 ?? ?? ?? ?? F8 63 04 22 FD 21 F8 6B 3B 6F 18 44 ?? ?? ?? ?? 38 68 ?? ?? ?? ?? 38 64 3A 6F CD 21 38 6C ?? ?? ?? ?? 38 68 ?? ?? ?? ?? 78 64 7B 6C BB 61 00 20 ?? ?? ?? ?? BB 69 BB 64 B8 6C 18 B0 BD E8 F0 0B 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BC BA DC FE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_12_0 {
	meta:
		name = "?fin$0@?0??heap_alloc_dbg_internal@@YAPAXIHQBDH@Z@4HA"
		size = 16
		refs = "0006 __acrt_unlock"
		altNames = "_CrtMemCheckpoint$fin$0"
	strings:
		$1 = { 10 B5 84 B0 00 20 ?? ?? ?? ?? FF E7 04 B0 10 BD }
	condition:
		$1
}

rule file_258_13_0 {
	meta:
		name = "?is_bad_read_pointer@@YA_NQBXI@Z"
		size = 192
		refs = "0016 memset 00bc __imp_GetSystemInfo"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 24 22 00 21 17 F1 18 00 ?? ?? ?? ?? 17 F1 18 00 27 4B 1B 68 98 47 FB 69 7B 61 FB 6C 00 2B 02 D1 00 23 3B 72 3D E0 BB 6C 00 2B 02 D1 01 23 3B 72 37 E0 BB 6C 7B 60 7A 68 FB 6C 13 44 5B 1E FB 60 FA 68 7B 68 9A 42 02 D2 01 23 3B 72 29 E0 7B 68 93 F9 00 30 7B 70 BF F3 5B 8F 7B 69 5B 1E DB 43 3B 61 7A 68 3B 69 13 40 7B 60 FA 68 3B 69 13 40 FB 60 7A 68 FB 68 9A 42 0A D0 7A 68 7B 69 13 44 7B 60 7B 68 93 F9 00 30 BB 70 BF F3 5B 8F F0 E7 05 E0 01 23 3B 70 3B 78 3B 72 02 E0 FF E7 00 23 3B 72 38 7A 0F B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_15_0 {
	meta:
		name = "?is_block_an_aligned_allocation@@YA_NQBX@Z"
		size = 56
		refs = "001a ?check_bytes@@YA_NQBEEI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 23 F0 05 03 1B 1F 01 93 04 22 ED 21 01 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_258_16_0 {
	meta:
		name = "?is_block_type_valid@@YA_NH@Z"
		size = 70
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 9B B2 04 2B 0C D0 04 9B 9B B2 02 2B 08 D0 04 9B 01 2B 05 D0 04 9B 03 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_258_17_0 {
	meta:
		name = "?print_block_data@@YAXQAU__crt_locale_pointers@@QAU_CrtMemBlockHeader@@@Z"
		size = 372
		refs = "000a __security_push_cookie 0014 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0046 ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 0060 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0070 _ischartype_l 009a _errno 00d0 sprintf_s 00fe _invoke_watson_if_oneof 011c __report_rangecheckfailure 013e _CrtDbgReport 014e ??1_LocaleUpdate@@QAA@XZ 0154 __security_pop_cookie 0160 ??_C@_0BA@HJBKCELP@?5Data?3?5?$DM?$CFs?$DO?5?$CFs?6?$AA@ 0164 ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0168 ??_C@_1CC@DIJAHFFJ@?$AAp?$AAr?$AAi?$AAn?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 016c ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0170 ??_C@_05MKKEDADM@?$CF?42X?5?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AC B0 30 99 14 A8 ?? ?? ?? ?? 00 23 05 93 02 E0 05 9B 5B 1C 05 93 31 9B 14 33 1B 68 10 2B 04 D2 31 9B 14 33 1B 68 06 93 01 E0 10 23 06 93 05 9A 06 9B 9A 42 65 D2 31 98 ?? ?? ?? ?? 09 90 05 9A 01 23 02 FB 03 F2 09 9B 13 44 1B 78 8D F8 10 30 14 A8 ?? ?? ?? ?? 0A 90 0A 9A 40 F2 57 11 9D F8 10 00 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 03 D0 9D F8 10 30 07 93 01 E0 20 23 07 93 07 9B 59 B2 05 9A 01 23 02 FB 03 F2 18 AB 13 44 19 70 ?? ?? ?? ?? 0C 90 0C 9B 1B 68 10 93 ?? ?? ?? ?? 0D 90 0D 9A 00 23 13 60 9D F8 10 30 2E 4A 05 98 03 21 00 FB 01 F1 C1 F1 31 01 05 9C 03 20 04 FB 00 F4 1E A8 20 44 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 12 DA ?? ?? ?? ?? 0F 90 00 23 03 93 40 F2 4C 63 02 93 1F 4B 01 93 1D 4B 00 93 1B 4B 22 22 16 21 0F 98 00 68 ?? ?? ?? ?? ?? ?? ?? ?? 11 90 10 9A 11 9B 1A 60 86 E7 05 9B 08 93 08 9B 11 2B 00 D2 01 E0 ?? ?? ?? ?? 18 AA 08 9B 1A 44 00 23 13 70 1E AB 02 93 18 AB 01 93 0B 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 14 A8 ?? ?? ?? ?? 2C B0 ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_18_0 {
	meta:
		name = "?realloc_dbg_nolock@@YAPAXQAXQAIHQBDH_N@Z"
		size = 1404
		refs = "001c _malloc_dbg 003c _free_dbg 0046 ?validate_heap_if_required_nolock@@YAXXZ 00d0 _CrtDbgReport 0170 ?is_block_an_aligned_allocation@@YA_NQBX@Z 019e _errno 01b2 _CrtIsValidHeapPointer 01d0 _CrtDbgReportW 01e0 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 02be _realloc_base 02da _expand_base 037e ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 03b2 memset 051c ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 0520 ?__acrt_last_block@@3PAU_CrtMemBlockHeader@@A 0524 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0528 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 052c ??_C@_1DO@HABCJBHO@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAo?$AAl?$AAd?$AA_?$AAh?$AAe?$AAa?$AAd?$AA?$AA@ 0530 ??_C@_1DM@LNOPKAIJ@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAl?$AAa?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAo?$AAl?$AAd?$AA_?$AAh?$AAe?$AAa?$AAd?$AA?$AA@ 0534 ??_C@_1JM@MCMEPJEP@?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAi?$AAs?$AA_?$AAa?$AAl?$AAl?$AAo?$AAw?$AAe?$AAd?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA?$CB?$AAr?$AAe?$AAa@ 0538 ?__acrt_max_allocations@@3IA 053c ?__acrt_current_allocations@@3IA 0540 ?__acrt_total_allocations@@3IA 0544 ?__acrt_current_request_number@@3JA 0548 ??_C@_0DA@HFBKENN@Error?3?5possible?5heap?5corruption?5@ 054c ??_C@_1PC@MCGKJLN@?$AAo?$AAl?$AAd?$AA_?$AAh?$AAe?$AAa?$AAd?$AA?9?$AA?$DO?$AA_?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn@ 0554 ??_C@_1DM@DEDLGNML@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$CJ?$AA?$AA@ 0558 ??_C@_0EM@LGFLMAGJ@The?5Block?5at?50x?$CFp?5was?5allocated?5@ 055c ??_C@_02DKCKIIND@?$CFs?$AA@ 0560 ??_C@_0DC@JEMAGEKG@Error?3?5memory?5allocation?3?5bad?5me@ 0564 ??_C@_0FA@EFEIGJKG@Error?3?5memory?5allocation?3?5bad?5me@ 0568 ??_C@_0CE@DOFMDOL@Client?5hook?5re?9allocation?5failur@ 056c ??_C@_0DI@KKJPDPGM@Client?5hook?5re?9allocation?5failur@ 0570 __guard_check_icall_fptr 0574 _pfnAllocHook 0578 _crtBreakAlloc"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B A3 B0 2A 9B 00 2B 0A D1 2E 9B 2D 9A 2C 99 2B 98 00 68 ?? ?? ?? ?? 0E 90 0E 9B 07 93 73 E2 9D F8 BC 30 00 2B 0A D0 2B 9B 1B 68 00 2B 06 D1 2C 99 2A 98 ?? ?? ?? ?? 00 23 07 93 64 E2 ?? ?? ?? ?? DF F8 F8 34 1B 68 0A 93 DF F8 24 35 1B 68 B3 F1 FF 3F 06 D0 0A 9A DF F8 14 35 1B 68 9A 42 00 D1 FE DE DF F8 04 35 1B 68 00 2B 48 D0 2E 9B 02 93 2D 9B 01 93 0A 9B 00 93 DD F8 B0 80 2B 9B 1F 68 2A 9E 02 25 DF F8 E4 34 1B 68 0B 93 0B 98 DF F8 D4 34 1B 68 98 47 0B 9C 28 46 31 46 3A 46 43 46 A0 47 0F 90 0F 9B 00 2B 29 D1 2D 9B 00 2B 12 D0 2E 9B 02 93 2D 9B 01 93 DF F8 A8 34 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 10 E0 DF F8 84 34 01 93 DF F8 74 34 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 00 23 07 93 03 E2 2C 9B 01 2B 2F D0 2C 9B 9B B2 04 2B 2B D0 2C 9B 9B B2 02 2B 27 D0 2D 9B 00 2B 12 D0 2E 9B 02 93 2D 9B 01 93 DF F8 34 34 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 10 E0 DF F8 14 34 01 93 DF F8 08 34 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 20 E0 2A 98 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 17 D0 2A 9B 01 93 F4 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 07 93 AF E1 2A 98 ?? ?? ?? ?? 16 90 16 9B 00 2B 0F D1 E5 4B 01 93 D9 4B 00 93 00 23 4F F4 17 72 D5 49 02 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 2A 98 ?? ?? ?? ?? 18 90 18 9B 06 93 06 9B 10 33 1B 68 03 2B 03 D1 01 23 8D F8 15 30 02 E0 00 23 8D F8 15 30 9D F8 15 30 8D F8 14 30 9D F8 14 30 00 2B 1B D0 06 9B 0C 33 1A 68 CD 4B 9A 42 04 D1 06 9B 18 33 1B 68 00 2B 0F D0 C8 4B 01 93 BE 4B 00 93 00 23 40 F2 63 22 BB 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 1F E0 06 9B 03 F1 14 01 BB 4B 1A 68 0B 68 9A 42 17 D2 2A 9B 01 93 BA 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 1A 90 1A 9B 01 2B 00 D1 FE DE ?? ?? ?? ?? 1B 90 1B 9A 16 23 13 60 00 23 07 93 42 E1 2B 9B 1B 68 13 F1 44 0F 08 D9 ?? ?? ?? ?? 1C 90 1C 9A 0C 23 13 60 00 23 07 93 34 E1 2B 9B 1B 68 24 33 0C 93 00 23 04 93 9D F8 BC 30 00 2B 0D D0 0C 99 06 98 ?? ?? ?? ?? 1D 90 1D 9B 04 93 04 9B 00 2B 02 D1 00 23 07 93 1D E1 0C E0 0C 99 06 98 ?? ?? ?? ?? 1E 90 1E 9B 04 93 04 9B 00 2B 02 D1 00 23 07 93 0F E1 94 4B 1B 68 5A 1C 93 4B 1A 60 9D F8 14 30 00 2B 3C D1 8F 4B 1B 68 B3 F1 FF 3F 1D D2 04 9B 03 F1 14 01 8B 4B 1A 68 0B 68 D2 1A 89 4B 1A 60 88 4B 1B 68 C3 F1 FF 32 2B 9B 1B 68 9A 42 03 D9 2B 9B 1B 68 0D 93 02 E0 6F F0 00 03 0D 93 80 4B 1A 68 0D 9B 1A 44 7E 4B 1A 60 04 9B 03 F1 14 01 7B 4B 1A 68 0B 68 D2 1A 79 4B 1A 60 78 4B 1A 68 2B 9B 1B 68 1A 44 75 4B 1A 60 74 4B 1A 68 72 4B 1B 68 9A 42 03 D9 71 4B 1A 68 6F 4B 1A 60 04 98 ?? ?? ?? ?? 1F 90 1F 9B 09 93 04 9B 03 F1 14 01 2B 9B 1A 68 0B 68 9A 42 0E D9 04 9B 03 F1 14 01 2B 9B 1A 68 0B 68 D2 1A CD 21 04 9B 14 33 09 98 1B 68 18 44 ?? ?? ?? ?? 04 22 FD 21 09 98 2B 9B 1B 68 18 44 ?? ?? ?? ?? 9D F8 14 30 00 2B 0E D1 04 9B 03 F1 08 02 2D 9B 13 60 04 9B 03 F1 0C 02 2E 9B 13 60 04 9B 03 F1 18 02 0A 9B 13 60 04 9B 03 F1 14 02 2B 9B 1B 68 13 60 9D F8 BC 30 00 2B 17 D1 9D F8 BC 30 00 2B 03 D1 04 9A 06 9B 9A 42 0F D0 48 4B 01 93 44 4B 00 93 00 23 4F F4 2E 72 41 49 02 20 ?? ?? ?? ?? 20 90 20 9B 01 2B 00 D1 FE DE 04 9A 06 9B 9A 42 03 D0 9D F8 14 30 00 2B 02 D0 09 9B 07 93 64 E0 04 9B 1B 68 00 2B 07 D0 04 9B 19 1D 04 9B 1B 68 1A 1D 0B 68 13 60 19 E0 30 4B 1A 68 06 9B 9A 42 0F D0 31 4B 01 93 2E 4B 00 93 00 23 40 F2 C5 22 2B 49 02 20 ?? ?? ?? ?? 21 90 21 9B 01 2B 00 D1 FE DE 04 9B 1B 1D 1A 68 24 4B 1A 60 04 9B 1B 1D 1B 68 00 2B 06 D0 04 99 04 9B 1B 1D 1A 68 0B 68 13 60 18 E0 1C 4B 1A 68 06 9B 9A 42 0F D0 1D 4B 01 93 1B 4B 00 93 00 23 40 F2 CF 22 18 49 02 20 ?? ?? ?? ?? 22 90 22 9B 01 2B 00 D1 FE DE 04 9B 1A 68 10 4B 1A 60 0F 4B 1B 68 00 2B 05 D0 0D 4B 1B 68 1A 1D 04 9B 13 60 02 E0 04 9A 0B 4B 1A 60 04 9A 08 4B 1B 68 13 60 04 9B 1A 1D 00 23 13 60 04 9A 04 4B 1A 60 09 9B 07 93 07 98 23 B0 BD E8 F0 09 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? BC BA DC FE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_19_0 {
	meta:
		name = "?validate_heap_if_required_nolock@@YAXXZ"
		size = 152
		refs = "0042 _CrtCheckMemory 0060 _CrtDbgReportW 0080 ?__acrt_check_counter@@3IA 0084 ?heap_validation_pending@@3_NA 0088 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0090 ??_C@_1CE@LJFEPPMP@?$AA_?$AAC?$AAr?$AAt?$AAC?$AAh?$AAe?$AAc?$AAk?$AAM?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?$CI?$AA?$CJ?$AA?$AA@ 0094 ?__acrt_check_frequency@@3IA"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 82 B0 21 4B 1B 68 00 2B 00 D1 30 E0 1E 4B 1B 68 5A 1E 18 4B 1B 68 93 42 05 D0 16 4B 1B 68 5A 1C 14 4B 1A 60 23 E0 14 4B 1B 78 00 2B 00 D0 1E E0 11 4A 01 23 13 70 ?? ?? ?? ?? 38 60 3B 68 00 2B 0F D1 10 4B 01 93 0E 4B 00 93 00 23 4F F4 8C 72 0A 49 02 20 ?? ?? ?? ?? 78 60 7B 68 01 2B 00 D1 FE DE 05 4A 00 23 13 70 02 4A 00 23 13 60 05 B0 BD E8 80 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_20_0 {
	meta:
		name = "?fin$0@?0??validate_heap_if_required_nolock@@YAXXZ@4HA"
		size = 20
		refs = "0010 ?heap_validation_pending@@3_NA"
	strings:
		$1 = { 82 B0 03 4A 00 23 13 70 FF E7 02 B0 70 47 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_21_0 {
	meta:
		name = "_CrtCheckMemory"
		size = 300
		refs = "0024 __acrt_lock 0050 ?check_block@@YA_NQAU_CrtMemBlockHeader@@@Z 0078 _CrtDbgReport 00ee __acrt_unlock 0110 ??_C@_02DKCKIIND@?$CFs?$AA@ 0114 ??_C@_0BJ@ELMAOCAJ@Heap?5validation?5failed?4?6?$AA@ 0118 __imp_HeapValidate 011c __acrt_heap 0120 ??_C@_0EG@GPFHANHO@Cycle?5in?5block?5list?5detected?5whi@ 0124 ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 0128 _crtDbgFlag"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 82 B0 46 4B 1B 68 13 F0 01 0F 02 D1 01 23 BB 61 73 E0 01 23 3B 70 00 20 ?? ?? ?? ?? 3E 4B 1B 68 7B 60 3D 4B 1B 68 00 2B 02 D1 00 23 FB 60 03 E0 39 4B 1B 68 1B 68 FB 60 FB 68 BB 60 7B 68 00 2B 32 D0 78 68 ?? ?? ?? ?? 78 70 3A 78 7B 78 13 40 DB B2 3B 70 7A 68 BB 68 9A 42 11 D1 7B 68 01 93 2C 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? F8 61 FB 69 01 2B 00 D1 FE DE 00 23 3B 70 13 E0 7B 68 1B 68 7B 60 BB 68 00 2B 0C D0 BB 68 1B 68 00 2B 02 D1 00 23 3B 61 03 E0 BB 68 1B 68 1B 68 3B 61 3B 69 BB 60 C9 E7 00 22 00 21 18 4B 18 68 16 4B 1B 68 98 47 38 62 3B 6A 00 2B 10 D1 12 4B 01 93 10 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 78 62 7B 6A 01 2B 00 D1 FE DE 00 23 3B 70 00 20 ?? ?? ?? ?? 3B 78 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 B8 69 0D B0 BD E8 80 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_22_0 {
	meta:
		name = "_CrtCheckMemory$fin$0"
		size = 16
		refs = "0006 __acrt_unlock"
		altNames = "_CrtDoForAllClientObjects$fin$0 _CrtMemDumpAllObjectsSince$fin$0 _CrtSetDbgBlockType$fin$0 _CrtSetDbgFlag$fin$0 _expand_dbg$fin$0 _msize_dbg$fin$0 _realloc_dbg$fin$0"
	strings:
		$1 = { 10 B5 82 B0 00 20 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_258_23_0 {
	meta:
		name = "_CrtDoForAllClientObjects"
		size = 240
		refs = "003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 007e __acrt_lock 00a4 ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 00c6 __acrt_unlock 00d4 __guard_check_icall_fptr 00d8 ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 00dc _crtDbgFlag 00e0 ??_C@_1CI@CEIBPAIA@?$AAc?$AAa?$AAl?$AAl?$AAb?$AAa?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e4 ??_C@_1DE@GJCKCKEC@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAo?$AAF?$AAo?$AAr?$AAA?$AAl?$AAl?$AAC?$AAl?$AAi?$AAe?$AAn?$AAt?$AAO?$AAb?$AAj?$AAe?$AAc?$AAt?$AAs?$AA?$AA@ 00e8 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 00ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B 87 B0 6F 46 82 B0 3B 6B 00 2B 02 D0 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0F D1 2D 4B 01 93 2F 4B 00 93 00 23 40 F2 4D 52 2B 49 02 20 ?? ?? ?? ?? 38 61 3B 69 01 2B 00 D1 FE DE BB 68 00 2B 0F D1 ?? ?? ?? ?? 78 61 7A 69 16 23 13 60 00 23 00 93 40 F2 4D 53 20 4A 1F 49 1D 48 ?? ?? ?? ?? 2C E0 1A 4B 1B 68 13 F0 01 0F 00 D1 26 E0 00 20 ?? ?? ?? ?? 15 4B 1B 68 3B 60 02 E0 3B 68 1B 68 3B 60 3B 68 00 2B 16 D0 3B 68 10 33 1B 68 9B B2 04 2B 0F D1 38 68 ?? ?? ?? ?? B8 61 7D 6B BC 69 3B 6B FB 60 F8 68 07 4B 1B 68 98 47 FB 68 20 46 29 46 98 47 E2 E7 00 20 ?? ?? ?? ?? 09 B0 BD E8 B0 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_25_0 {
	meta:
		name = "_CrtDumpMemoryLeaks"
		size = 128
		refs = "0006 __security_push_cookie 000e _CrtMemCheckpoint 004a _CrtDbgReport 005a _CrtMemDumpAllObjectsSince 006c __security_pop_cookie 0074 ??_C@_02DKCKIIND@?$CFs?$AA@ 0078 ??_C@_0BI@JBFPOEJA@Detected?5memory?5leaks?$CB?6?$AA@ 007c _crtDbgFlag"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? 91 B0 04 A8 ?? ?? ?? ?? 05 AB 10 33 1B 68 00 2B 0E D1 05 AB 1B 1D 1B 68 00 2B 09 D1 15 4B 1B 68 13 F0 10 0F 19 D0 05 AB 08 33 1B 68 00 2B 14 D0 0F 4B 01 93 0D 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 00 20 ?? ?? ?? ?? 01 23 02 93 01 E0 00 23 02 93 02 98 11 B0 ?? ?? ?? ?? BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_28_0 {
	meta:
		name = "_CrtIsMemoryBlock"
		size = 232
		refs = "0044 __acrt_lock 004a ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 005a ?is_block_type_valid@@YA_NH@Z 006e _CrtIsValidPointer 00d0 __acrt_unlock 00e4 ?__acrt_current_request_number@@3JA"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 3B 6B 00 2B 02 D0 3A 6B 00 23 13 60 7B 6B 00 2B 02 D0 7A 6B 00 23 13 60 BB 6B 00 2B 02 D0 BA 6B 00 23 13 60 BB 6A 00 2B 02 D1 00 23 FB 60 4C E0 00 23 BB 60 00 20 ?? ?? ?? ?? B8 6A ?? ?? ?? ?? 38 61 3B 69 7B 60 7B 68 10 33 18 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 00 D1 32 E0 01 22 F9 6A B8 6A ?? ?? ?? ?? 78 61 7B 69 00 2B 00 D1 28 E0 7B 68 14 33 1A 68 FB 6A 9A 42 00 D0 21 E0 7B 68 18 33 1A 68 14 4B 1B 68 9A 42 00 DD 19 E0 3B 6B 00 2B 04 D0 7B 68 18 33 1A 68 3B 6B 1A 60 7B 6B 00 2B 04 D0 7B 68 08 33 1A 68 7B 6B 1A 60 BB 6B 00 2B 04 D0 7B 68 0C 33 1A 68 BB 6B 1A 60 01 23 BB 60 00 20 ?? ?? ?? ?? BB 68 FB 60 F8 68 07 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_30_0 {
	meta:
		name = "_CrtIsValidHeapPointer"
		size = 72
		refs = "0018 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 0040 __imp_HeapValidate 0044 __acrt_heap"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 02 D1 00 23 00 93 0D E0 06 98 ?? ?? ?? ?? 01 90 01 9A 00 21 08 4B 18 68 06 4B 1B 68 98 47 02 90 02 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_31_0 {
	meta:
		name = "_CrtIsValidPointer"
		size = 42
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_258_32_0 {
	meta:
		name = "_CrtMemCheckpoint"
		size = 496
		refs = "003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0072 __acrt_lock 0174 _CrtDbgReport 01be __acrt_unlock 01cc ?__acrt_total_allocations@@3IA 01d0 ?__acrt_max_allocations@@3IA 01d4 ??_C@_0CB@EAAIGELO@Bad?5memory?5block?5found?5at?50x?$CFp?4?6@ 01d8 ??_C@_0DP@LEFMFBOD@Bad?5memory?5block?5found?5at?50x?$CFp?4?6@ 01dc ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 01e0 ??_C@_1CC@BBKMONGA@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e4 ??_C@_1CE@NJJKELF@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAC?$AAh?$AAe?$AAc?$AAk?$AAp?$AAo?$AAi?$AAn?$AAt?$AA?$AA@ 01e8 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 01ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 84 B0 3B 6B 00 2B 02 D0 01 23 BB 60 01 E0 00 23 BB 60 BB 68 FB 60 FB 68 00 2B 0F D1 6D 4B 01 93 6F 4B 00 93 00 23 40 F2 E4 52 6B 49 02 20 ?? ?? ?? ?? 38 61 3B 69 01 2B 00 D1 FE DE FB 68 00 2B 0F D1 ?? ?? ?? ?? 78 61 7A 69 16 23 13 60 00 23 00 93 40 F2 E4 53 60 4A 5F 49 5D 48 ?? ?? ?? ?? A8 E0 00 20 ?? ?? ?? ?? 3A 6B 58 4B 1B 68 13 60 00 23 7B 60 02 E0 7B 68 5B 1C 7B 60 7B 68 05 2B 13 D2 3B 6B 19 1D 7A 68 04 23 02 FB 03 F3 CA 18 00 23 13 60 3B 6B 03 F1 18 01 7A 68 04 23 02 FB 03 F3 CA 18 00 23 13 60 E5 E7 48 4B 1B 68 3B 60 02 E0 3B 68 1B 68 3B 60 3B 68 00 2B 6B D0 3B 68 10 33 1B 68 9B B2 00 2B 38 DB 3B 68 10 33 1B 68 9B B2 05 2B 32 DA 3B 6B 19 1D 3B 68 10 33 1B 68 9A B2 04 23 02 FB 03 F3 0B 44 1B 68 59 1C 3B 68 10 33 1B 68 9A B2 04 23 02 FB 03 F2 3B 6B 1B 1D 13 44 19 60 3B 6B 03 F1 18 01 3B 68 10 33 1B 68 9A B2 04 23 02 FB 03 F3 CA 18 3B 68 14 33 12 68 1B 68 D1 18 3B 68 10 33 1B 68 9A B2 04 23 02 FB 03 F2 3B 6B 18 33 13 44 19 60 2B E0 3B 68 08 33 1B 68 00 2B 17 D0 3B 68 0C 33 1B 68 03 93 3B 68 08 33 1B 68 02 93 3B 68 01 93 1B 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? B8 61 BB 69 01 2B 00 D1 FE DE 0E E0 3B 68 01 93 12 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? F8 61 FB 69 01 2B 00 D1 FE DE 8D E7 3B 6B 03 F1 2C 02 09 4B 1B 68 13 60 3B 6B 03 F1 30 02 05 4B 1B 68 13 60 00 20 ?? ?? ?? ?? 0D B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_34_0 {
	meta:
		name = "_CrtMemDifference"
		size = 632
		refs = "0036 _CrtDbgReportW 004a _errno 0064 _invalid_parameter 025c _crtDbgFlag 0260 ??_C@_1CK@NJPPHDJP@?$AAn?$AAe?$AAw?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0264 ??_C@_1CE@PDIENACM@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAD?$AAi?$AAf?$AAf?$AAe?$AAr?$AAe?$AAn?$AAc?$AAe?$AA?$AA@ 0268 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 026c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0270 ??_C@_1CK@FFKLBHMD@?$AAo?$AAl?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0274 ??_C@_1CC@BBKMONGA@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 14 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 93 4B 01 93 90 4B 00 93 00 23 40 F2 1A 62 8D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 1A 63 82 4A 80 49 84 48 ?? ?? ?? ?? 00 23 04 93 EF E0 15 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 79 4B 01 93 77 4B 00 93 00 23 40 F2 1B 62 74 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 40 F2 1B 63 69 4A 67 49 6A 48 ?? ?? ?? ?? 00 23 04 93 BD E0 16 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 5C 4B 01 93 5E 4B 00 93 00 23 40 F2 1C 62 5B 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 40 F2 1C 63 50 4A 4E 49 4D 48 ?? ?? ?? ?? 00 23 04 93 8B E0 00 23 8D F8 08 30 00 23 03 93 02 E0 03 9B 5B 1C 03 93 03 9B 05 2B 5B DA 16 9B 03 F1 18 01 03 9A 04 23 02 FB 03 F3 C8 18 15 9B 03 F1 18 01 03 9A 04 23 02 FB 03 F3 0B 44 02 68 1B 68 D0 1A 14 9B 03 F1 18 01 03 9A 04 23 02 FB 03 F3 0B 44 18 60 16 9B 19 1D 03 9A 04 23 02 FB 03 F3 C8 18 15 9B 19 1D 03 9A 04 23 02 FB 03 F3 0B 44 02 68 1B 68 D0 1A 14 9B 19 1D 03 9A 04 23 02 FB 03 F3 0B 44 18 60 14 9B 03 F1 18 01 03 9A 04 23 02 FB 03 F3 0B 44 1B 68 00 2B 0A D1 14 9B 19 1D 03 9A 04 23 02 FB 03 F3 0B 44 1B 68 00 2B 00 D1 AE E7 03 9B 00 2B 00 D1 AA E7 03 9B 02 2B 05 D1 1A 4B 1B 68 13 F0 10 0F 00 D1 A1 E7 01 23 8D F8 08 30 9D E7 16 9B 03 F1 2C 02 15 9B 2C 33 12 68 1B 68 D2 1A 14 9B 2C 33 1A 60 16 9B 03 F1 30 02 15 9B 30 33 12 68 1B 68 D2 1A 14 9B 30 33 1A 60 14 9A 00 23 13 60 9D F8 08 30 00 2B 02 D0 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 04 93 04 98 12 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_35_0 {
	meta:
		name = "_CrtMemDumpAllObjectsSince"
		size = 84
		refs = "0012 __acrt_lock 0018 ?dump_all_object_since_nolock@@YAXQBU_CrtMemState@@@Z 001e __acrt_unlock 0032 _CrtDbgReport 004c ??_C@_02DKCKIIND@?$CFs?$AA@ 0050 ??_C@_0BH@GFGKJDCO@Object?5dump?5complete?4?6?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 81 B0 6F 46 82 B0 00 20 ?? ?? ?? ?? 38 69 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 0B 4B 01 93 09 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 38 60 3B 68 01 2B 00 D1 FE DE 03 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_37_0 {
	meta:
		name = "_CrtMemDumpStatistics"
		size = 316
		refs = "0036 _CrtDbgReportW 004a _errno 0064 _invalid_parameter 00be _CrtDbgReport 011c ??_C@_0BP@DEDHGGGI@Total?5allocations?3?5?$CFId?5bytes?4?6?$AA@ 0120 ??_C@_0CB@BLHDAFNE@Largest?5number?5used?3?5?$CFId?5bytes?4?6@ 0124 ??_C@_0BO@DACNIABB@?$CFId?5bytes?5in?5?$CFId?5?$CFhs?5Blocks?4?6?$AA@ 0128 ?block_use_names@@3QBQBDB 012c ??_C@_1CC@BBKMONGA@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0130 ??_C@_1CM@MPNIBKGK@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAD?$AAu?$AAm?$AAp?$AAS?$AAt?$AAa?$AAt?$AAi?$AAs?$AAt?$AAi?$AAc?$AAs?$AA?$AA@ 0134 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0138 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 41 4B 01 93 43 4B 00 93 00 23 40 F2 C6 62 40 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 06 9B 00 2B 0F D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 C6 63 35 4A 33 49 32 48 ?? ?? ?? ?? 53 E0 00 23 04 93 02 E0 04 9B 5B 1C 04 93 04 9B 05 2B 28 D2 04 9A 04 23 02 FB 03 F2 28 4B 13 44 1B 68 03 93 0E 9B 19 1D 04 9A 04 23 02 FB 03 F3 0B 44 1B 68 02 93 0E 9B 03 F1 18 01 04 9A 04 23 02 FB 03 F3 0B 44 1B 68 01 93 1C 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE D0 E7 0E 9B 2C 33 1B 68 01 93 12 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 0E 9B 30 33 1B 68 01 93 08 4B 00 93 00 23 00 22 00 21 00 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_38_0 {
	meta:
		name = "_CrtReportBlockType"
		size = 60
		refs = "000c _CrtIsValidHeapPointer 0022 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 03 D1 6F F0 00 03 00 93 07 E0 06 98 ?? ?? ?? ?? 02 90 02 9B 10 33 1B 68 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_258_41_0 {
	meta:
		name = "_CrtSetDbgBlockType"
		size = 140
		refs = "0012 __acrt_lock 0018 _CrtIsValidHeapPointer 0028 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 0038 ?is_block_type_valid@@YA_NH@Z 0056 _CrtDbgReportW 0070 __acrt_unlock 0080 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0084 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0088 ??_C@_1FA@KDNEBILF@?$AAi?$AAs?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 82 B0 00 20 ?? ?? ?? ?? 38 6A ?? ?? ?? ?? B8 60 BB 68 00 2B 00 D1 23 E0 38 6A ?? ?? ?? ?? F8 60 FB 68 7B 60 7B 68 10 33 18 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 0F D1 10 4B 01 93 0E 4B 00 93 00 23 40 F2 54 42 0B 49 02 20 ?? ?? ?? ?? 38 61 3B 69 01 2B 00 D1 FE DE 7B 68 03 F1 10 02 7B 6A 13 60 00 20 ?? ?? ?? ?? 07 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_43_0 {
	meta:
		name = "_CrtSetDbgFlag"
		size = 272
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00a2 __acrt_lock 00de __acrt_unlock 00f4 _crtDbgFlag 00f8 ?__acrt_check_counter@@3IA 00fc ?__acrt_check_frequency@@3IA 0100 ??_C@_1IE@BBIFDGEB@?$AAn?$AAe?$AAw?$AA_?$AAb?$AAi?$AAt?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AAD?$AAB?$AAG?$AA_?$AAR?$AAE?$AAP?$AAO?$AAR?$AAT?$AA_?$AAF?$AAL?$AAA?$AAG?$AA?5@ 0104 ??_C@_1BO@GJFDNMNF@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAD?$AAb?$AAg?$AAF?$AAl?$AAa?$AAg?$AA?$AA@ 0108 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 82 B0 37 23 FB 61 3B 6B 9B B2 23 F0 37 03 00 2B 02 D1 01 23 3B 70 01 E0 00 23 3B 70 3B 78 7B 70 3B 6B B3 F1 FF 3F 05 D0 7B 78 00 2B 02 D1 00 23 7B 60 01 E0 01 23 7B 60 7B 68 BB 60 BB 68 00 2B 0F D1 2B 4B 01 93 2D 4B 00 93 00 23 40 F2 29 52 2A 49 02 20 ?? ?? ?? ?? 78 61 7B 69 01 2B 00 D1 FE DE BB 68 00 2B 12 D1 ?? ?? ?? ?? B8 61 BA 69 16 23 13 60 00 23 00 93 40 F2 29 53 1F 4A 1D 49 1C 48 ?? ?? ?? ?? 17 4B 1B 68 3B 61 24 E0 00 23 FB 60 00 20 ?? ?? ?? ?? 13 4B 1B 68 FB 60 3B 6B B3 F1 FF 3F 00 D1 12 E0 3B 6B 13 F0 04 0F 03 D0 0F 4A 01 23 13 60 04 E0 3B 6B 1B 14 9A B2 0B 4B 1A 60 09 4A 00 23 13 60 3A 6B 06 4B 1A 60 00 20 ?? ?? ?? ?? FB 68 3B 61 38 69 0B B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_51_0 {
	meta:
		name = "_aligned_free_dbg"
		size = 168
		refs = "0024 ?check_bytes@@YA_NQBEEI@Z 0044 _CrtDbgReport 0090 _free_dbg 00a0 ??_C@_0DL@PGHMMKNE@Damage?5before?50x?$CFp?5which?5was?5all@ 00a4 ??_C@_0EF@PGELACII@The?5block?5at?50x?$CFp?5was?5not?5alloca@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 00 2B 00 D1 40 E0 08 9B 23 F0 03 03 08 3B 03 93 04 22 FD 21 08 9B 18 1F ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0F D0 08 9B 01 93 1A 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 1F E0 04 22 ED 21 03 9B 18 1D ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 0E D1 08 9B 01 93 0B 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 01 21 03 9B 18 68 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_52_0 {
	meta:
		name = "_aligned_malloc_dbg"
		size = 44
		refs = "0016 _aligned_offset_malloc_dbg"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 00 93 08 9B 00 22 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_258_53_0 {
	meta:
		name = "_aligned_msize_dbg"
		size = 264
		refs = "004a _CrtDbgReportW 005e _errno 0078 _invalid_parameter 0096 _msize 00f8 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00fc ??_C@_1CG@CEGMHIMN@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0100 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 00 23 03 93 00 23 09 93 00 23 08 93 00 23 0A 93 00 23 07 93 12 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 2F 4B 01 93 31 4B 00 93 00 23 40 F2 7D 72 2E 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 7D 73 23 4A 21 49 20 48 ?? ?? ?? ?? 6F F0 00 03 0B 93 32 E0 00 23 02 93 12 9B 23 F0 03 03 08 3B 02 93 02 9B 18 68 ?? ?? ?? ?? 0E 90 0E 9B 08 93 02 9B 12 9A 1B 68 D3 1A 03 93 14 9B 5B 42 03 F0 03 03 07 93 13 9B 04 2B 02 D9 13 9B 06 93 01 E0 04 23 06 93 06 9B 5B 1E 13 93 07 9A 13 9B 13 44 03 F1 08 02 03 9B D3 1A 09 93 08 9A 03 9B D2 1A 09 9B D3 1A 0A 93 0A 9B 0B 93 0B 98 10 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_54_0 {
	meta:
		name = "_aligned_offset_malloc_dbg"
		size = 424
		refs = "0042 _CrtDbgReportW 0056 _errno 0070 _invalid_parameter 013a _malloc_dbg 0178 memset 0194 ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0198 ??_C@_1DG@DONCJBBJ@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAm?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 019c ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 01a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01a4 ??_C@_1CM@JKMDHENJ@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 17 9B 00 2B 08 D0 17 9B 5A 1E 17 9B 13 40 00 2B 02 D1 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 5C 4B 01 93 5A 4B 00 93 00 23 40 F2 FD 62 57 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 40 F2 FD 63 4C 4A 4A 49 4D 48 ?? ?? ?? ?? 00 23 02 93 85 E0 18 9B 00 2B 06 D0 18 9A 16 9B 9A 42 02 D3 00 23 06 93 01 E0 01 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 3D 4B 01 93 3F 4B 00 93 00 23 40 F2 FE 62 3C 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 40 F2 FE 63 31 4A 2F 49 2E 48 ?? ?? ?? ?? 00 23 02 93 4F E0 17 9B 04 2B 02 D9 17 9B 08 93 01 E0 04 23 08 93 08 9B 5B 1E 17 93 18 9B 5B 42 03 F0 03 03 0B 93 0B 9A 17 9B 13 44 08 33 0A 93 16 9A 0A 9B 13 44 09 93 16 9A 09 9B 9A 42 08 D9 ?? ?? ?? ?? 12 90 12 9A 0C 23 13 60 00 23 02 93 29 E0 1A 9B 19 9A 01 21 09 98 ?? ?? ?? ?? 13 90 13 9B 03 93 03 9B 00 2B 02 D1 00 23 02 93 1A E0 03 9A 0A 9B 1A 44 18 9B 1A 44 17 9B DB 43 1A 40 18 9B D3 1A 0D 93 0D 9A 0B 9B D3 1A 08 3B 0C 93 04 22 ED 21 0C 9B 18 1D ?? ?? ?? ?? 0C 9A 03 9B 13 60 0D 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_55_0 {
	meta:
		name = "_aligned_offset_realloc_dbg"
		size = 676
		refs = "001c _aligned_offset_malloc_dbg 0030 _aligned_free_dbg 004c ?check_bytes@@YA_NQBEEI@Z 006c _CrtDbgReport 007a _errno 00fa _CrtDbgReportW 0128 _invalid_parameter 01a2 _msize 020a _malloc_dbg 0248 memset 026a memcpy 0274 _free_dbg 0288 ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 028c ??_C@_1DI@NINIKFFK@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0290 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0294 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0298 ??_C@_1CM@JKMDHENJ@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$CJ?$AA?$AA@ 029c ??_C@_0DL@PGHMMKNE@Damage?5before?50x?$CFp?5which?5was?5all@ 02a0 ??_C@_0EI@NDNJMAJK@The?5block?5at?50x?$CFp?5was?5not?5alloca@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9E B0 20 9B 00 2B 0B D1 25 9B 00 93 24 9B 23 9A 22 99 21 98 ?? ?? ?? ?? 12 90 12 9B 02 93 29 E1 21 9B 00 2B 05 D1 20 98 ?? ?? ?? ?? 00 23 02 93 20 E1 20 9B 23 F0 03 03 08 3B 04 93 04 22 FD 21 20 9B 18 1F ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 17 D0 20 9B 01 93 8F 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 02 93 F7 E0 04 22 ED 21 04 9B 18 1D ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 0E D1 20 9B 01 93 7C 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 22 9B 00 2B 08 D0 22 9B 5A 1E 22 9B 13 40 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 6B 4B 01 93 69 4B 00 93 00 23 40 F2 52 72 66 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 40 F2 52 73 5B 4A 59 49 5C 48 ?? ?? ?? ?? 00 23 02 93 A4 E0 23 9B 00 2B 06 D0 23 9A 21 9B 9A 42 02 D3 00 23 09 93 01 E0 01 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 4C 4B 01 93 4E 4B 00 93 00 23 40 F2 53 72 4B 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 00 23 00 93 40 F2 53 73 40 4A 3E 49 3D 48 ?? ?? ?? ?? 00 23 02 93 6E E0 04 9B 18 68 ?? ?? ?? ?? 1A 90 04 9B 20 9A 1B 68 D2 1A 1A 9B 9B 1A 10 93 22 9B 04 2B 02 D9 22 9B 0B 93 01 E0 04 23 0B 93 0B 9B 5B 1E 22 93 23 9B 5B 42 03 F0 03 03 0E 93 0E 9A 22 9B 13 44 08 33 0D 93 21 9A 0D 9B 13 44 0C 93 21 9A 0C 9B 9A 42 08 D9 ?? ?? ?? ?? 1B 90 1B 9A 0C 23 13 60 00 23 02 93 3C E0 25 9B 24 9A 01 21 0C 98 ?? ?? ?? ?? 1C 90 1C 9B 05 93 05 9B 00 2B 02 D1 00 23 02 93 2D E0 05 9A 0D 9B 1A 44 23 9B 1A 44 22 9B DB 43 1A 40 23 9B D3 1A 06 93 06 9A 0E 9B D3 1A 08 3B 0F 93 04 22 ED 21 0F 9B 18 1D ?? ?? ?? ?? 0F 9A 05 9B 13 60 10 9A 21 9B 9A 42 02 D9 21 9B 11 93 01 E0 10 9B 11 93 11 9A 20 99 06 98 ?? ?? ?? ?? 01 21 04 9B 18 68 ?? ?? ?? ?? 06 9B 02 93 02 98 1E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_56_0 {
	meta:
		name = "_aligned_offset_recalloc_dbg"
		size = 178
		refs = "001c __rt_udiv 0026 _errno 0044 _aligned_msize 0072 _aligned_offset_realloc_dbg 009e memset"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 00 2B 13 D0 0D 98 6F F0 1F 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 0E 9B 98 42 08 D2 ?? ?? ?? ?? 07 90 07 9A 0C 23 13 60 00 23 05 93 36 E0 0C 9B 00 2B 08 D0 10 9A 0F 99 0C 98 ?? ?? ?? ?? 08 90 08 9B 06 93 01 E0 00 23 06 93 06 9B 03 93 0E 9A 0D 9B 02 FB 03 F3 02 93 12 9B 01 93 11 9B 00 93 10 9B 0F 9A 02 99 0C 98 ?? ?? ?? ?? 09 90 09 9B 04 93 04 9B 00 2B 02 D1 00 23 05 93 0E E0 03 9A 02 9B 9A 42 08 D2 02 9A 03 9B D2 1A 00 21 04 98 03 9B 18 44 ?? ?? ?? ?? 04 9B 05 93 05 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_258_57_0 {
	meta:
		name = "_aligned_realloc_dbg"
		size = 48
		refs = "001a _aligned_offset_realloc_dbg"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 01 93 09 9B 00 93 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_258_58_0 {
	meta:
		name = "_aligned_recalloc_dbg"
		size = 52
		refs = "001e _aligned_offset_recalloc_dbg"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0D 9B 02 93 0C 9B 01 93 00 23 00 93 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_258_59_0 {
	meta:
		name = "_calloc_dbg"
		size = 116
		refs = "001c __rt_udiv 0026 _errno 004a ?heap_alloc_dbg@@YAPAXIHQBDH@Z 0060 memset"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 00 2B 13 D0 08 98 6F F0 1F 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 09 9B 98 42 08 D2 ?? ?? ?? ?? 03 90 03 9A 0C 23 13 60 00 23 02 93 17 E0 09 9A 08 9B 02 FB 03 F3 01 93 0C 9B 0B 9A 0A 99 01 98 ?? ?? ?? ?? 04 90 04 9B 00 93 00 9B 00 2B 04 D0 01 9A 00 21 00 98 ?? ?? ?? ?? 00 9B 02 93 02 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_258_61_0 {
	meta:
		name = "_expand_dbg"
		size = 224
		refs = "003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0094 __acrt_lock 00ae ?realloc_dbg_nolock@@YAPAXQAXQAIHQBDH_N@Z 00ba __acrt_unlock 00d0 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00d4 ??_C@_1BI@HAPNGHDP@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 00d8 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 00dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 89 B0 6F 46 82 B0 3B 6B 00 2B 02 D0 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0F D1 29 4B 01 93 2B 4B 00 93 00 23 4F F4 4C 72 27 49 02 20 ?? ?? ?? ?? 38 61 3B 69 01 2B 00 D1 FE DE BB 68 00 2B 11 D1 ?? ?? ?? ?? 78 61 7A 69 16 23 13 60 00 23 00 93 4F F4 4C 73 1C 4A 1B 49 19 48 ?? ?? ?? ?? 00 23 3B 60 26 E0 7B 6B 13 F1 44 0F 08 D9 ?? ?? ?? ?? B8 61 BA 69 0C 23 13 60 00 23 3B 60 19 E0 00 23 FB 60 00 20 ?? ?? ?? ?? 7B 6B FB 61 00 23 01 93 3B 6C 00 93 FB 6B BA 6B 17 F1 1C 01 38 6B ?? ?? ?? ?? 38 62 3B 6A FB 60 00 20 ?? ?? ?? ?? FB 68 3B 60 38 68 0B B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_63_0 {
	meta:
		name = "_free_dbg"
		size = 84
		refs = "0010 __acrt_lock 0024 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 0040 ?free_dbg_nolock@@YAXQAXH@Z 0046 __acrt_unlock"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 00 20 ?? ?? ?? ?? FB 69 B3 F1 FF 3F 0B D1 BB 69 00 2B 08 D0 B8 69 ?? ?? ?? ?? 78 60 7B 68 10 33 1B 68 3B 60 01 E0 FB 69 3B 60 3B 68 BB 60 B9 68 B8 69 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_258_68_0 {
	meta:
		name = "_msize_dbg"
		size = 296
		refs = "003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 007c __acrt_lock 0080 ?validate_heap_if_required_nolock@@YAXXZ 0086 _CrtIsValidHeapPointer 00b4 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 00c4 ?is_block_type_valid@@YA_NH@Z 00fa __acrt_unlock 0110 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0114 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0118 ??_C@_1FA@KDNEBILF@?$AAi?$AAs?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo@ 011c ??_C@_1DM@DEDLGNML@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$CJ?$AA?$AA@ 0120 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0124 ??_C@_1BG@MBKOGDLD@?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAd?$AAb?$AAg?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 82 B0 3B 6C 00 2B 02 D0 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0F D1 3D 4B 01 93 39 4B 00 93 00 23 40 F2 17 42 35 49 02 20 ?? ?? ?? ?? B8 61 BB 69 01 2B 00 D1 FE DE BB 68 00 2B 12 D1 ?? ?? ?? ?? F8 61 FA 69 16 23 13 60 00 23 00 93 40 F2 17 43 2A 4A 2F 49 2D 48 ?? ?? ?? ?? 6F F0 00 03 7B 61 45 E0 00 23 3B 61 00 20 ?? ?? ?? ?? ?? ?? ?? ?? 38 6C ?? ?? ?? ?? 38 62 3B 6A 00 2B 0F D1 22 4B 01 93 1F 4B 00 93 00 23 40 F2 23 42 1B 49 02 20 ?? ?? ?? ?? 78 62 7B 6A 01 2B 00 D1 FE DE 38 6C ?? ?? ?? ?? B8 62 BB 6A FB 60 FB 68 10 33 18 68 ?? ?? ?? ?? 38 70 3B 78 00 2B 0F D1 11 4B 01 93 0F 4B 00 93 00 23 40 F2 27 42 0C 49 02 20 ?? ?? ?? ?? F8 62 FB 6A 01 2B 00 D1 FE DE FB 68 14 33 1B 68 3B 61 00 20 ?? ?? ?? ?? 3B 69 7B 61 78 69 0F B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_258_70_0 {
	meta:
		name = "_realloc_dbg"
		size = 78
		refs = "0016 __acrt_lock 002e ?realloc_dbg_nolock@@YAPAXQAXQAIHQBDH_N@Z 003a __acrt_unlock"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 85 B0 6F 46 82 B0 00 23 3B 60 00 20 ?? ?? ?? ?? 7B 6A 7B 60 01 23 01 93 3B 6B 00 93 FB 6A BA 6A 39 1D 38 6A ?? ?? ?? ?? B8 60 BB 68 3B 60 00 20 ?? ?? ?? ?? 3B 68 FB 60 F8 68 07 B0 BD E8 80 08 5D F8 14 FB }
	condition:
		$1
}

rule file_258_72_0 {
	meta:
		name = "_recalloc_dbg"
		size = 170
		refs = "001c __rt_udiv 0026 _errno 0040 _msize 006a _realloc_dbg 0096 memset"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 00 2B 13 D0 0D 98 6F F0 1F 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 0E 9B 98 42 08 D2 ?? ?? ?? ?? 07 90 07 9A 0C 23 13 60 00 23 05 93 32 E0 0C 9B 00 2B 06 D0 0C 98 ?? ?? ?? ?? 08 90 08 9B 06 93 01 E0 00 23 06 93 06 9B 03 93 0E 9A 0D 9B 02 FB 03 F3 02 93 11 9B 00 93 10 9B 0F 9A 02 99 0C 98 ?? ?? ?? ?? 09 90 09 9B 04 93 04 9B 00 2B 02 D1 00 23 05 93 0E E0 03 9A 02 9B 9A 42 08 D2 02 9A 03 9B D2 1A 00 21 04 98 03 9B 18 44 ?? ?? ?? ?? 04 9B 05 93 05 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_258_73_0 {
	meta:
		name = "_vsprintf_s_l"
		size = 84
		refs = "000a __local_stdio_printf_options 0028 __stdio_common_vsprintf_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 04 90 10 9B 02 93 0F 9B 01 93 0E 9B 00 93 0D 9B 0C 9A 04 99 08 68 04 99 49 68 ?? ?? ?? ?? 07 90 07 9B 05 93 05 9B 00 2B 03 DA 6F F0 00 03 06 93 01 E0 05 9B 06 93 06 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_79_0 {
	meta:
		name = "_vswprintf_c_l"
		size = 84
		refs = "000a __local_stdio_printf_options 0028 __stdio_common_vswprintf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 04 90 10 9B 02 93 0F 9B 01 93 0E 9B 00 93 0D 9B 0C 9A 04 99 08 68 04 99 49 68 ?? ?? ?? ?? 07 90 07 9B 05 93 05 9B 00 2B 03 DA 6F F0 00 03 06 93 01 E0 05 9B 06 93 06 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_258_74_0 {
	meta:
		name = "sprintf_s"
		size = 62
		refs = "000a ??$__vcrt_va_start_verify_argument_type@QBD@@YAXXZ 0020 _vsprintf_s_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 0A AB 1B 1D 02 93 02 9B 00 93 00 23 0A 9A 09 99 08 98 ?? ?? ?? ?? 03 90 03 9B 04 93 00 23 02 93 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_84_0 {
	meta:
		name = "swprintf"
		size = 62
		refs = "000a ??$__vcrt_va_start_verify_argument_type@QB_W@@YAXXZ 0020 _vswprintf_c_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 0A AB 1B 1D 02 93 02 9B 00 93 00 23 0A 9A 09 99 08 98 ?? ?? ?? ?? 03 90 03 9B 04 93 00 23 02 93 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_259_1_0 {
	meta:
		name = "_pipe"
		size = 784
		refs = "0026 _CrtDbgReportW 0030 __doserrno 0038 _errno 0048 _invalid_parameter 0102 __acrt_errno_map_os_error 0108 _alloc_osfhnd 0176 __acrt_lowio_unlock_fh 0200 _get_fmode 02aa __acrt_lowio_set_os_handle 02d0 _invoke_watson 02e0 ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 02e4 ??_C@_1M@PEPCMIBF@?$AA_?$AAp?$AAi?$AAp?$AAe?$AA?$AA@ 02e8 ??_C@_1GE@OGEDBELM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 02ec __pioinfo 02f0 __imp_CloseHandle 02f4 __imp_GetLastError 02f8 __imp_CreatePipe 02fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0300 ??_C@_1HI@INGMPBH@?$AA?$CI?$AAt?$AAe?$AAx?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA_?$AAO?$AA_?$AAB?$AAI?$AAN?$AAA?$AAR?$AAY?$AA?5?$AA?$HM?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT@ 0304 ??_C@_1HA@HGFLGBKA@?$AA?$CI?$AAt?$AAe?$AAx?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$HO?$AA?$CI?$AA_?$AAO?$AA_?$AAN?$AAO?$AAI?$AAN?$AAH?$AAE?$AAR?$AAI?$AAT?$AA?5?$AA?$HM?$AA?5?$AA_?$AAO?$AA_@ 030c ??_C@_1CI@BCKKMFFO@?$AAp?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 8A B0 6F 46 82 B0 BA 64 38 64 E0 B9 BD 4D 01 95 B8 4B 00 93 00 23 16 22 B1 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 24 04 60 ?? ?? ?? ?? 16 23 03 60 00 94 A8 49 A8 4A 28 46 ?? ?? ?? ?? E3 43 36 E1 6F F0 00 05 45 60 05 60 AB 4B 1A 42 1D D0 A9 4E 01 96 A6 4B 00 93 00 23 19 22 9F 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 24 04 60 ?? ?? ?? ?? 16 23 03 60 19 23 96 49 00 94 96 4A 30 46 ?? ?? ?? ?? 3D 60 12 E1 02 F4 40 43 B3 F5 40 4F 16 D1 96 4E 01 96 94 4B 00 93 00 23 1A 22 8D 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 24 04 60 ?? ?? ?? ?? 16 23 03 60 1A 23 DB E7 0C 23 BB 61 00 23 FB 61 12 F0 80 0F 01 D1 01 23 00 E0 00 23 3B 62 0B 46 17 F1 18 02 17 F1 08 01 38 1D 80 4C 24 68 A0 47 28 B9 7D 4B 1B 68 98 47 ?? ?? ?? ?? C6 E7 ?? ?? ?? ?? 03 46 3B 60 AB 42 10 D1 ?? ?? ?? ?? 18 23 03 60 ?? ?? ?? ?? 00 23 03 60 78 68 72 4B 1B 68 98 47 B8 68 70 4B 1B 68 98 47 AF E7 98 11 6C 49 03 F0 3F 03 03 EB 43 02 51 F8 20 30 03 EB 02 13 89 24 83 F8 28 40 51 F8 20 30 03 EB 02 13 00 24 83 F8 29 40 51 F8 20 30 03 EB 02 12 92 F8 2D 30 03 F0 FE 03 82 F8 2D 30 3C 68 20 46 ?? ?? ?? ?? ?? ?? ?? ?? 03 46 FB 60 6F F0 00 05 AB 42 14 D1 A0 11 57 49 04 F0 3F 03 03 EB 43 02 51 F8 20 30 03 EB 02 13 00 24 83 F8 28 40 ?? ?? ?? ?? 18 23 03 60 ?? ?? ?? ?? 04 60 B7 E7 98 11 4D 49 03 F0 3F 03 03 EB 43 02 51 F8 20 30 03 EB 02 13 89 24 83 F8 28 40 51 F8 20 30 03 EB 02 13 00 24 83 F8 29 40 51 F8 20 30 03 EB 02 12 92 F8 2D 30 03 F0 FE 03 82 F8 2D 30 FC 68 20 46 ?? ?? ?? ?? 00 23 3B 61 17 F1 10 00 ?? ?? ?? ?? 00 28 5D D1 B8 6C 10 F4 00 4F 09 D1 10 F4 80 4F 03 D1 3B 69 B3 F5 00 4F 02 D0 33 4E 3D 68 1F E0 3D 68 A9 11 30 4E 05 F0 3F 03 03 EB 43 02 56 F8 21 30 03 EB 02 12 92 F8 28 30 03 F0 7F 03 82 F8 28 30 A1 11 04 F0 3F 03 03 EB 43 02 56 F8 21 30 03 EB 02 12 92 F8 28 30 03 F0 7F 03 82 F8 28 30 10 F0 80 0F 1D D0 A9 11 05 F0 3F 03 03 EB 43 02 56 F8 21 30 03 EB 02 12 92 F8 28 30 43 F0 10 03 82 F8 28 30 A1 11 04 F0 3F 03 03 EB 43 02 56 F8 21 30 03 EB 02 12 92 F8 28 30 43 F0 10 03 82 F8 28 30 79 68 28 46 ?? ?? ?? ?? B9 68 20 46 ?? ?? ?? ?? 3B 6C 1D 60 5C 60 00 23 3B 60 38 68 07 E0 00 23 00 93 07 4A 06 49 04 48 5A 23 ?? ?? ?? ?? 0C B0 BD E8 F0 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 7F 3F FF FF ?? ?? ?? ?? }
	condition:
		$1
}

rule file_260_4_0 {
	meta:
		name = "_strnicoll"
		size = 76
		refs = "000a __acrt_locale_changed 0020 _strnicmp 0036 _strnicoll_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 09 D1 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 09 E0 08 E0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_260_5_0 {
	meta:
		name = "_strnicoll_l"
		size = 592
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 001e ??1_LocaleUpdate@@QAA@XZ 0052 _CrtDbgReportW 0066 _errno 007e _invalid_parameter 0172 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0196 _strnicmp_l 01ec __acrt_CompareStringA 0238 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 023c ??_C@_1BK@IOJEBPLP@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0240 ??_C@_1GG@LACFCIFA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0244 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0248 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 024c ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A6 B0 2B 99 06 A8 ?? ?? ?? ?? 2A 9B 00 2B 07 D1 00 23 11 93 06 A8 ?? ?? ?? ?? 11 9B 04 93 00 E1 28 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 82 4B 01 93 7F 4B 00 93 00 23 37 22 7C 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 16 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 37 23 71 4A 70 49 73 48 ?? ?? ?? ?? 6F F0 00 43 14 93 06 A8 ?? ?? ?? ?? 14 9B 04 93 CA E0 29 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 66 4B 01 93 64 4B 00 93 00 23 38 22 61 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 16 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 38 23 56 4A 55 49 57 48 ?? ?? ?? ?? 6F F0 00 43 17 93 06 A8 ?? ?? ?? ?? 17 9B 04 93 94 E0 2A 9A 6F F0 00 43 9A 42 02 D8 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 46 4B 01 93 48 4B 00 93 00 23 39 22 45 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 16 D1 ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 00 23 00 93 39 23 3A 4A 39 49 37 48 ?? ?? ?? ?? 6F F0 00 43 1A 93 06 A8 ?? ?? ?? ?? 1A 9B 04 93 5C E0 06 A8 ?? ?? ?? ?? 1B 90 1B 9B 1B 68 A0 33 1B 1D 1B 68 00 2B 12 D1 06 A8 ?? ?? ?? ?? 1C 90 1C 9B 2A 9A 29 99 28 98 ?? ?? ?? ?? 1D 90 1D 9B 1E 93 06 A8 ?? ?? ?? ?? 1E 9B 04 93 3E E0 06 A8 ?? ?? ?? ?? 1F 90 06 A8 ?? ?? ?? ?? 20 90 06 A8 ?? ?? ?? ?? 21 90 1F 9B 1B 68 10 33 1B 68 03 93 2A 9B 02 93 29 9B 01 93 2A 9B 00 93 28 9B 41 F2 01 02 20 99 09 68 A0 31 09 1D 09 68 21 98 ?? ?? ?? ?? 22 90 22 9B 10 93 10 9B 00 2B 0E D1 ?? ?? ?? ?? 23 90 23 9A 16 23 13 60 6F F0 00 43 24 93 06 A8 ?? ?? ?? ?? 24 9B 04 93 07 E0 10 9B 9B 1E 25 93 06 A8 ?? ?? ?? ?? 25 9B 04 93 04 98 26 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_261_0_0 {
	meta:
		name = "strcmp"
		size = 96
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 04 9B 1A 78 05 9B 1B 78 D3 1A 00 93 00 9B 00 2B 0B D1 05 9B 93 F9 00 30 00 2B 06 D0 04 9B 5B 1C 04 93 05 9B 5B 1C 05 93 EA E7 00 9B 00 2B 03 DA 6F F0 00 03 00 93 04 E0 00 9B 00 2B 01 DD 01 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_262_0_0 {
	meta:
		name = "llrintf"
		size = 172
		refs = "000e _fdtest 0032 nearbyintf 0056 _fperrraise 0082 __stoi64"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 03 0A 03 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 37 D0 02 9B 00 2B 02 DD 02 9B 02 2B 2E DD 9D ED 03 0A ?? ?? ?? ?? 8D ED 04 0A 9D ED 04 0A 8D ED 01 0A DD ED 01 0A 9D ED 03 0A F4 EE 40 0A F1 EE 10 FA 02 D0 20 20 ?? ?? ?? ?? DF ED 13 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 0F D8 DD ED 01 0A 9F ED 0C 0A F4 EE C0 0A F1 EE 10 FA 06 D8 9D ED 01 0A ?? ?? ?? ?? 06 90 07 91 06 E0 01 20 ?? ?? ?? ?? 00 23 06 93 00 23 07 93 06 98 07 99 08 B0 BD E8 00 88 00 00 00 5F 00 00 00 DF }
	condition:
		$1
}

rule file_263_0_0 {
	meta:
		name = "lroundl"
		size = 152
		refs = "000e _ldtest 0032 roundl 0078 _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 2C D0 01 9B 00 2B 02 DD 01 9B 02 2B 23 DD 9D ED 04 0B ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 9F ED 13 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 10 D8 9D ED 04 1B 9F ED 0B 0B B4 EE C0 1B F1 EE 10 FA 07 D8 9D ED 04 0B BD EE C0 0B 10 EE 10 3A 02 93 04 E0 01 20 ?? ?? ?? ?? 00 23 02 93 02 98 08 B0 BD E8 00 88 00 00 C0 FF FF FF DF 41 00 00 00 00 00 00 E0 C1 }
	condition:
		$1
}

rule file_463_0_0 {
	meta:
		name = "lround"
		size = 152
		refs = "000e _dtest 0032 round 0078 _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 2C D0 01 9B 00 2B 02 DD 01 9B 02 2B 23 DD 9D ED 04 0B ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 9F ED 13 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 10 D8 9D ED 04 1B 9F ED 0B 0B B4 EE C0 1B F1 EE 10 FA 07 D8 9D ED 04 0B BD EE C0 0B 10 EE 10 3A 02 93 04 E0 01 20 ?? ?? ?? ?? 00 23 02 93 02 98 08 B0 BD E8 00 88 00 00 C0 FF FF FF DF 41 00 00 00 00 00 00 E0 C1 }
	condition:
		$1
}

rule file_264_1_0 {
	meta:
		name = "tan"
		size = 1240
		refs = "009e val_with_flags 00f0 tan_piby4 0144 _handle_nan 0178 _handle_error 0428 __remainder_piby2 0480 ?piby2_3tail@?8??tan@@9@9 0484 ?piby2_3@?8??tan@@9@9 0488 ?piby2_2tail@?8??tan@@9@9 048c ?piby2_2@?8??tan@@9@9 0494 ?piby2_1tail@?8??tan@@9@9 0498 ?piby2_1@?8??tan@@9@9 049c ?twobypi@?8??tan@@9@9 04c8 ??_C@_03IIINPABG@tan?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 D4 B0 8D ED 08 0B 9D ED 08 0B 53 EC 10 2B 0C 92 0D 93 0C 9A 0D 9B 23 F0 00 43 06 92 07 93 06 9B 28 93 07 9B 29 93 28 9B 27 93 29 9A 3A 4B 9A 42 74 D8 03 D3 27 9A 36 4B 9A 42 6F D8 06 9B 2A 93 07 9B 2B 93 2A 9B 26 93 2B 9A 30 4B 9A 42 47 D8 02 D3 26 9B 00 2B 43 D2 06 9B 2C 93 07 9B 2D 93 2C 9B 1C 93 2D 9B B3 F1 79 5F 1F D8 02 D3 1C 9B 00 2B 1B D2 06 9B 2E 93 07 9B 2F 93 2F 9A 2E 9B 13 43 00 2B 05 D1 9D ED 08 0B 8D ED 10 0B EF E1 0B E0 10 20 9D ED 08 0B ?? ?? ?? ?? 8D ED 46 0B 9D ED 46 0B 8D ED 10 0B E2 E1 18 E0 9D ED 08 1B 9D ED 08 0B 21 EE 00 1B 9D ED 08 0B 21 EE 00 1B 9F ED 11 0B 21 EE 00 0B 8D ED 48 0B 9D ED 08 1B 9D ED 48 0B 31 EE 00 0B 8D ED 10 0B C8 E1 1C E0 00 20 9F ED 06 1B 9D ED 08 0B ?? ?? ?? ?? 8D ED 4A 0B 9D ED 4A 0B 8D ED 10 0B B9 E1 FE DE 00 00 00 00 00 00 00 00 55 55 55 55 55 55 D5 3F 00 00 20 3F 18 2D 44 54 FB 21 E9 3F 33 E0 0D 9A DA 4B 13 40 1D 93 1D 9A D8 4B 9A 42 2B D1 0C 9A 0D 9B 6F F3 1F 53 13 43 00 2B 0B D0 0C 98 0D 99 ?? ?? ?? ?? 8D ED 4C 0B 9D ED 4C 0B 8D ED 10 0B 8F E1 18 E0 01 23 03 93 9F ED DC 1B 9D ED 08 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 D6 4B 20 21 D4 48 ?? ?? ?? ?? 8D ED 4E 0B 9D ED 4E 0B 8D ED 10 0B 75 E1 06 9B 30 93 07 9B 31 93 0C 9B 32 93 0D 9B 33 93 31 9B 1E 93 33 9B 1F 93 30 9A 32 9B 9A 42 03 D1 1E 9A 1F 9B 9A 42 02 D0 01 23 13 93 01 E0 00 23 13 93 13 9B 14 93 14 9B 00 2B 05 D0 9D ED 08 0B B1 EE 40 0B 8D ED 08 0B 9D ED 08 1B 9F ED BA 0B B4 EE C0 1B F1 EE 10 FA 80 F0 1C 81 07 9B 1B 0D 3C 93 00 23 3D 93 06 9B 34 93 07 9B 35 93 34 9B 20 93 35 9A AF 4B 9A 42 19 D8 03 D3 20 9A AB 4B 9A 42 14 D8 06 9B 36 93 07 9B 37 93 36 9B 21 93 37 9A A5 4B 9A 42 07 D8 03 D3 21 9A A2 4B 9A 42 02 D8 01 23 04 93 01 E0 02 23 04 93 33 E0 06 9B 38 93 07 9B 39 93 38 9B 22 93 39 9A 99 4B 9A 42 19 D8 03 D3 22 9A 95 4B 9A 42 14 D8 06 9B 3A 93 07 9B 3B 93 3A 9B 23 93 3B 9A 8F 4B 9A 42 07 D8 03 D3 23 9A 8C 4B 9A 42 02 D8 03 23 04 93 01 E0 04 23 04 93 0F E0 9D ED 08 1B 85 4B 93 ED 00 0B 21 EE 00 1B B6 EE 00 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 04 93 04 9B 00 EE 10 3A B8 EE C0 1B 7B 4B 93 ED 00 0B 21 EE 00 1B 9D ED 08 0B 30 EE 41 0B 8D ED 0E 0B 04 9B 00 EE 10 3A B8 EE C0 1B 72 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0A 0B 9D ED 0E 0B 53 EC 10 2B 44 92 45 93 45 9A 6A 4B 13 40 18 0D 3C 9A 3D 99 00 23 12 1A 61 EB 03 03 18 92 19 93 18 9B 3E 93 19 9B 3F 93 3E 9B 24 93 3F 9B 00 2B 02 D8 24 9B 0F 2B 6B D9 9D ED 0E 0B 8D ED 16 0B 04 9B 00 EE 10 3A B8 EE C0 1B 59 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0A 0B 9D ED 16 1B 9D ED 0A 0B 31 EE 40 0B 8D ED 0E 0B 04 9B 00 EE 10 3A B8 EE C0 1B 4E 4B 93 ED 00 0B 21 EE 00 2B 9D ED 16 1B 9D ED 0E 0B 31 EE 40 1B 9D ED 0A 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0A 0B 18 9B 40 93 19 9B 41 93 40 9B 25 93 41 9B 00 2B 02 D8 25 9B 30 2B 2F D9 9D ED 0E 0B 8D ED 16 0B 04 9B 00 EE 10 3A B8 EE C0 1B 39 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0A 0B 9D ED 16 1B 9D ED 0A 0B 31 EE 40 0B 8D ED 0E 0B 04 9B 00 EE 10 3A B8 EE C0 1B 2E 4B 93 ED 00 0B 21 EE 00 2B 9D ED 16 1B 9D ED 0E 0B 31 EE 40 1B 9D ED 0A 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0A 0B 9D ED 0E 1B 9D ED 0A 0B 31 EE 40 0B 8D ED 1A 0B 9D ED 0E 1B 9D ED 1A 0B 31 EE 40 1B 9D ED 0A 0B 31 EE 40 0B 8D ED 42 0B 04 9B 03 F0 03 03 12 93 06 E0 12 AA 42 A9 1A A8 9D ED 08 0B ?? ?? ?? ?? 14 9B 00 2B 12 D0 12 9B 03 F0 01 00 9D ED 42 1B 9D ED 1A 0B ?? ?? ?? ?? 8D ED 50 0B 9D ED 50 0B B1 EE 40 0B 8D ED 10 0B 0F E0 0E E0 12 9B 03 F0 01 00 9D ED 42 1B 9D ED 1A 0B ?? ?? ?? ?? 8D ED 52 0B 9D ED 52 0B 8D ED 10 0B 9D ED 10 0B 54 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 75 A7 BB E9 BB FD 15 40 BB B2 CC BE 3A 46 1C 40 D2 21 33 7F 7C D9 02 40 5E 38 55 29 7A 6A 0F 40 00 00 00 00 80 84 1E 41 ?? ?? ?? ?? 00 00 F8 FF 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_264_2_0 {
	meta:
		name = "tan_piby4"
		size = 804
		refs = "030c ?piby4_tail@?1??tan_piby4@@9@9 0310 ?piby4_lead@?1??tan_piby4@@9@9"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9E B0 8D ED 08 1B 8D ED 02 0B 00 23 00 93 9D ED 02 1B 9F ED C0 0B B4 EE C0 1B F1 EE 10 FA 20 DD 01 23 00 93 B8 4B 93 ED 00 1B 9D ED 02 0B 31 EE 40 0B 8D ED 02 0B B3 4B 93 ED 00 1B 9D ED 08 0B 31 EE 40 0B 8D ED 12 0B 9D ED 02 1B 9D ED 12 0B 31 EE 00 0B 8D ED 02 0B 9F ED A8 0B 8D ED 08 0B 29 E0 9D ED 02 1B 9F ED A9 0B B4 EE C0 1B F1 EE 10 FA 20 D2 6F F0 00 03 00 93 A3 4B 93 ED 00 1B 9D ED 02 0B 31 EE 00 0B 8D ED 02 0B 9D 4B 93 ED 00 1B 9D ED 08 0B 31 EE 00 0B 8D ED 12 0B 9D ED 02 1B 9D ED 12 0B 31 EE 00 0B 8D ED 02 0B 9F ED 93 0B 8D ED 08 0B 9D ED 02 1B 9D ED 02 0B 21 EE 00 2B B0 EE 00 1B 9D ED 02 0B 21 EE 00 1B 9D ED 08 0B 21 EE 00 0B 32 EE 00 0B 8D ED 06 0B 9D ED 02 0B 8D ED 0C 0B 9D ED 02 1B 9D ED 06 0B 21 EE 00 2B 9F ED 80 1B 9D ED 06 0B 21 EE 00 1B 9F ED 7B 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 75 0B 30 EE 01 0B 22 EE 00 2B 9F ED 70 1B 9D ED 06 0B 21 EE 00 1B 9F ED 6B 0B 30 EE 41 1B 9D ED 06 0B 21 EE 00 1B 9F ED 65 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 5F 0B 30 EE 01 0B 82 EE 00 1B 9D ED 08 0B 30 EE 01 0B 8D ED 0E 0B 00 9B 00 2B 43 D0 9D ED 0C 1B 9D ED 0E 0B 31 EE 00 0B 8D ED 0A 0B 20 9B 00 2B 1C D0 00 9B 00 EE 10 3A B8 EE C0 3B B0 EE 00 1B 9D ED 0A 0B 21 EE 00 2B 9D ED 0A 1B B7 EE 00 0B 31 EE 40 0B 82 EE 00 1B B7 EE 00 0B 31 EE 40 0B 23 EE 00 0B 8D ED 10 0B 81 E0 1B E0 00 9B 00 EE 10 3A B8 EE C0 3B B0 EE 00 1B 9D ED 0A 0B 21 EE 00 2B B7 EE 00 1B 9D ED 0A 0B 31 EE 00 0B 82 EE 00 1B B7 EE 00 0B 30 EE 41 0B 23 EE 00 0B 8D ED 10 0B 64 E0 20 9B 00 2B 59 D0 9D ED 0C 1B 9D ED 0E 0B 31 EE 00 0B 8D ED 16 0B 9D ED 16 0B 53 EC 10 2B 04 92 05 93 05 9A 00 23 04 93 05 92 04 9A 05 9B 43 EC 10 2B 8D ED 18 0B 9D ED 18 1B 9D ED 0C 0B 31 EE 40 1B 9D ED 0E 0B 30 EE 41 0B 8D ED 1C 0B BF EE 00 1B 9D ED 16 0B 81 EE 00 0B 8D ED 1A 0B 9D ED 1A 0B 53 EC 10 2B 04 92 05 93 05 9A 00 23 04 93 05 92 04 9A 05 9B 43 EC 10 2B 8D ED 14 0B 9D ED 14 1B 9D ED 18 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 2B 9D ED 14 1B 9D ED 1C 0B 21 EE 00 0B 32 EE 00 1B 9D ED 1A 0B 20 EE 01 1B 9D ED 14 0B 30 EE 01 0B 8D ED 10 0B 08 E0 07 E0 9D ED 0C 1B 9D ED 0E 0B 31 EE 00 0B 8D ED 10 0B 9D ED 10 0B 1E B0 5D F8 04 BB 5D F8 0C FB B8 40 AA 8C CB DF F1 3F 0F B9 9E 49 46 80 E0 BF CF 0A 0A F8 F4 B0 9A 3F F8 98 6D EF 17 75 2E 3F 4A 56 38 66 0F D5 D7 3F BB 9A 56 C7 24 7C 97 BF 5A 38 9C 28 AF 5D 2D 3F 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? C3 F5 28 5C 8F C2 E5 BF C3 F5 28 5C 8F C2 E5 3F }
	condition:
		$1
}

rule file_265_3_0 {
	meta:
		name = "tanh"
		size = 944
		refs = "0064 val_with_flags 0098 _handle_nan 029c splitexp 02ae scaleDouble_2 0310 ?thirtytwo_by_log2@?1??tanh@@9@9 0314 ?log2_by_32_lead@?1??tanh@@9@9 0318 ?log2_by_32_tail@?1??tanh@@9@9 03a4 ?large_threshold@?1??tanh@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 B2 B0 8D ED 0C 0B 9D ED 0C 0B 53 EC 10 2B 08 92 09 93 08 9A 09 9B 23 F0 00 43 04 92 05 93 04 9B 18 93 05 9B 19 93 18 9B 12 93 19 9A DE 4B 9A 42 1F D8 02 D3 12 9B 00 2B 1B D2 04 9B 1A 93 05 9B 1B 93 1B 9A 1A 9B 13 43 00 2B 05 D1 9D ED 0C 0B 8D ED 10 0B 53 E1 0B E0 10 20 9D ED 0C 0B ?? ?? ?? ?? 8D ED 26 0B 9D ED 26 0B 8D ED 10 0B 46 E1 18 E0 04 9B 1C 93 05 9B 1D 93 1C 9B 13 93 1D 9A C8 4B 9A 42 0E D3 02 D8 13 9B 00 2B 0A D9 08 98 09 99 ?? ?? ?? ?? 8D ED 28 0B 9D ED 28 0B 8D ED 10 0B 2C E1 04 9B 1E 93 05 9B 1F 93 08 9B 20 93 09 9B 21 93 1F 9B 14 93 21 9B 15 93 1E 9A 20 9B 9A 42 03 D1 14 9A 15 9B 9A 42 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9A 06 9B DB 17 0E 92 0F 93 9D ED 0C 0B 8D ED 02 0B 0E 9B 22 93 0F 9B 23 93 23 9A 22 9B 13 43 00 2B 05 D0 9D ED 0C 0B B1 EE 40 0B 8D ED 02 0B 9D ED 02 1B A4 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 04 DD B7 EE 00 0B 8D ED 0A 0B D9 E0 9D ED 02 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 00 F2 9B 80 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 8D ED 00 0B 9D ED 02 1B 9F ED 92 0B B4 EE C0 1B F1 EE 10 FA 44 D2 9D ED 02 1B 9D ED 00 0B 21 EE 00 2B 9F ED 89 1B 9D ED 00 0B 21 EE 00 1B 9F ED 84 0B 30 EE 41 1B 9D ED 00 0B 21 EE 00 1B 9F ED 7E 0B 30 EE 01 1B 9D ED 00 0B 21 EE 00 1B 9F ED 78 0B 30 EE 01 0B 22 EE 00 2B 9F ED 73 1B 9D ED 00 0B 21 EE 00 1B 9F ED 6E 0B 30 EE 01 1B 9D ED 00 0B 21 EE 00 1B 9F ED 68 0B 30 EE 01 1B 9D ED 00 0B 21 EE 00 1B 9F ED 62 0B 30 EE 01 0B 82 EE 00 1B 9D ED 02 0B 30 EE 01 0B 8D ED 0A 0B 43 E0 9D ED 02 1B 9D ED 00 0B 21 EE 00 2B 9F ED 57 1B 9D ED 00 0B 21 EE 00 1B 9F ED 52 0B 30 EE 41 1B 9D ED 00 0B 21 EE 00 1B 9F ED 4C 0B 30 EE 01 1B 9D ED 00 0B 21 EE 00 1B 9F ED 46 0B 30 EE 01 0B 22 EE 00 2B 9F ED 41 1B 9D ED 00 0B 21 EE 00 1B 9F ED 3C 0B 30 EE 01 1B 9D ED 00 0B 21 EE 00 1B 9F ED 36 0B 30 EE 01 1B 9D ED 00 0B 21 EE 00 1B 9F ED 30 0B 30 EE 01 0B 82 EE 00 1B 9D ED 02 0B 30 EE 01 0B 8D ED 0A 0B 34 E0 2C AA 2A A9 16 A8 27 4B 93 ED 00 4B 24 4B 93 ED 00 3B 22 4B 93 ED 00 2B B7 EE 00 1B B0 EE 00 5B 9D ED 02 0B 25 EE 00 0B ?? ?? ?? ?? 16 98 9D ED 2A 1B 9D ED 2C 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 2E 0B 9D ED 2E 1B B7 EE 00 0B 31 EE 00 0B 8D ED 30 0B B0 EE 00 1B 9D ED 30 0B 81 EE 00 1B B7 EE 00 0B 30 EE 41 0B 8D ED 0A 0B 0E 9B 24 93 0F 9B 25 93 25 9A 24 9B 13 43 00 2B 05 D0 9D ED 0A 0B B1 EE 40 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 10 0B 9D ED 10 0B 32 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? FD 2A 44 1D 43 DE E5 3F F6 C5 BC 59 14 4D D4 3F 7F 48 EC BA 35 23 91 3F 50 E7 34 F3 77 AF 26 3F 88 E2 5A 7C 59 28 CD BF 18 21 21 6E AD EF 8D BF DD 35 98 C6 83 B4 25 BF EC 6C 7E 84 5A CC 48 3E 04 B3 00 5C 92 4E EA 3F 4C B9 4A 1C D0 6C D8 3F A9 88 7A CC D4 A3 94 3F 84 D2 CA CE B3 68 2B 3F 58 77 00 E8 B6 89 D1 BF AE 02 03 B9 29 06 92 BF C9 79 F4 FA 7B 38 2A BF 81 AF 09 0D D1 82 4E 3E CD CC CC CC CC CC EC 3F ?? ?? ?? ?? 00 00 F0 7F 00 00 30 3E }
	condition:
		$1
}

rule file_266_0_0 {
	meta:
		name = "_cabsf"
		size = 58
		refs = "0020 _hypotf"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 04 1B 8D ED 02 0B 9D ED 04 0B F7 EE C0 0B 9D ED 02 1B B7 EE C1 0B ?? ?? ?? ?? 8D ED 00 0A 9D ED 00 0A 8D ED 01 0A 9D ED 01 0A 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_267_0_0 {
	meta:
		name = "clog10"
		size = 100
		refs = "0018 clog 0030 _Cmulcr"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 02 1B 8D ED 00 0B 9D ED 00 0B 9D ED 02 1B ?? ?? ?? ?? 8D ED 06 1B 8D ED 04 0B 9F ED 0D 2B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 8D ED 0C 0B 9D ED 0A 0B 8D ED 0E 0B 9D ED 0C 0B 9D ED 0E 1B 10 B0 BD E8 00 88 FE DE 0E E5 26 15 7B CB DB 3F }
	condition:
		$1
}

rule file_647_0_0 {
	meta:
		name = "clog10l"
		size = 100
		refs = "0018 clogl 0030 _LCmulcr"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 02 1B 8D ED 00 0B 9D ED 00 0B 9D ED 02 1B ?? ?? ?? ?? 8D ED 06 1B 8D ED 04 0B 9F ED 0D 2B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 0A 1B 8D ED 08 0B 9D ED 08 0B 8D ED 0C 0B 9D ED 0A 0B 8D ED 0E 0B 9D ED 0C 0B 9D ED 0E 1B 10 B0 BD E8 00 88 FE DE 0E E5 26 15 7B CB DB 3F }
	condition:
		$1
}

rule file_268_0_0 {
	meta:
		name = "__acrt_strtok_s_novalidation"
		size = 340
		refs = "0008 __security_push_cookie 002c __report_rangecheckfailure 0148 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 93 B0 00 23 02 93 02 E0 02 9B 5B 1C 02 93 02 9B 20 2B 0D DA 02 9B 04 93 04 9B 20 2B 00 D2 01 E0 ?? ?? ?? ?? 0A AA 04 9B 1A 44 00 23 13 70 EB E7 17 9B 01 93 01 9B 1B 78 DA 10 01 23 02 FB 03 F2 0A AB 99 18 01 9B 1B 78 03 F0 07 02 01 23 03 FA 02 F2 0B 78 43 EA 02 01 01 9B 1B 78 DA 10 01 23 02 FB 03 F2 0A AB 1A 44 CB B2 13 70 01 9B 1A 78 01 9B 5B 1C 01 93 00 2A DC D1 16 9B 00 2B 02 D0 16 9B 05 93 02 E0 18 9B 1B 68 05 93 05 9B 00 93 6B 46 03 93 03 9B 1B 68 1B 78 DA 10 01 23 02 FB 03 F2 0A AB 13 44 19 78 03 9B 1B 68 1B 78 03 F0 07 02 01 23 93 40 0B 40 00 2B 08 D0 00 9B 93 F9 00 30 00 2B 03 D0 00 9B 5B 1C 00 93 E2 E7 00 9B 06 93 02 E0 00 9B 5B 1C 00 93 00 9B 93 F9 00 30 00 2B 1B D0 03 9B 1B 68 1B 78 DA 10 01 23 02 FB 03 F2 0A AB 13 44 19 78 03 9B 1B 68 1B 78 03 F0 07 02 01 23 93 40 0B 40 00 2B 06 D0 00 9A 00 23 13 70 00 9B 5B 1C 00 93 00 E0 DB E7 00 9A 18 9B 1A 60 00 9A 06 9B 9A 42 02 D0 06 9B 07 93 01 E0 00 23 07 93 07 9B 08 93 08 98 13 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_268_1_0 {
	meta:
		name = "strtok_s"
		size = 360
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0138 __acrt_strtok_s_novalidation 0150 ??_C@_1FG@DCDEECGP@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB@ 0154 ??_C@_1BC@LFCPBNCF@?$AAs?$AAt?$AAr?$AAt?$AAo?$AAk?$AA_?$AAs?$AA?$AA@ 0158 ??_C@_1GG@KPMDDGLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 015c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0160 ??_C@_1CE@IIBOIHC@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0164 ??_C@_1CE@CENHOMCH@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 14 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 4F 4B 01 93 4C 4B 00 93 00 23 4E 22 49 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 4E 23 3F 4A 3D 49 41 48 ?? ?? ?? ?? 00 23 02 93 6B E0 13 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 36 4B 01 93 34 4B 00 93 00 23 4F 22 31 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 4F 23 27 4A 25 49 28 48 ?? ?? ?? ?? 00 23 02 93 3B E0 12 9B 00 2B 06 D1 14 9B 1B 68 00 2B 02 D1 00 23 07 93 01 E0 01 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 18 4B 01 93 1A 4B 00 93 00 23 50 22 17 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 50 23 0D 4A 0B 49 0A 48 ?? ?? ?? ?? 00 23 02 93 07 E0 14 9A 13 99 12 98 ?? ?? ?? ?? 0F 90 0F 9B 02 93 02 98 10 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_476_1_0 {
	meta:
		name = "wcstok_s"
		size = 360
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0138 __acrt_wcstok_s_novalidation 0150 ??_C@_1FG@DCDEECGP@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB@ 0154 ??_C@_1BC@DIFGONLO@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAk?$AA_?$AAs?$AA?$AA@ 0158 ??_C@_1GG@NMAMIMOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 015c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0160 ??_C@_1CE@IIBOIHC@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0164 ??_C@_1CE@CENHOMCH@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 14 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 4F 4B 01 93 4C 4B 00 93 00 23 4E 22 49 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 4E 23 3F 4A 3D 49 41 48 ?? ?? ?? ?? 00 23 02 93 6B E0 13 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 36 4B 01 93 34 4B 00 93 00 23 4F 22 31 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 4F 23 27 4A 25 49 28 48 ?? ?? ?? ?? 00 23 02 93 3B E0 12 9B 00 2B 06 D1 14 9B 1B 68 00 2B 02 D1 00 23 07 93 01 E0 01 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 18 4B 01 93 1A 4B 00 93 00 23 50 22 17 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 50 23 0D 4A 0B 49 0A 48 ?? ?? ?? ?? 00 23 02 93 07 E0 14 9A 13 99 12 98 ?? ?? ?? ?? 0F 90 0F 9B 02 93 02 98 10 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_269_0_0 {
	meta:
		name = "?get_terminate_or_default@@YAP6AXXZQBU__acrt_ptd@@@Z"
		size = 56
		refs = "0034 abort"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 0C 33 1B 68 00 2B 04 D0 04 9B 0C 33 1B 68 00 93 01 E0 05 4B 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_269_1_0 {
	meta:
		name = "_get_terminate"
		size = 34
		refs = "0008 __acrt_getptd 0010 ?get_terminate_or_default@@YAP6AXXZQBU__acrt_ptd@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_269_2_0 {
	meta:
		name = "set_terminate"
		size = 58
		refs = "000a __acrt_getptd 0016 ?get_terminate_or_default@@YAP6AXXZQBU__acrt_ptd@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 01 90 01 9B 00 93 00 98 ?? ?? ?? ?? 02 90 02 9B 03 93 00 9B 03 F1 0C 02 08 9B 13 60 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_269_3_0 {
	meta:
		name = "terminate"
		size = 64
		refs = "000c __acrt_getptd 0034 abort 003c __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 ?? ?? ?? ?? B8 60 BB 68 0C 33 1B 68 3B 60 3B 68 00 2B 09 D0 3B 68 7B 60 78 68 05 4B 1B 68 98 47 7B 68 98 47 00 E0 FF E7 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_270_1_0 {
	meta:
		name = "_msize_base"
		size = 164
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 008c __imp_HeapSize 0090 __acrt_heap 0094 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0098 ??_C@_1BI@MHNDMCP@?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 009c ??_C@_1FM@MMDMNOHM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 17 22 1A 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 11 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 17 23 10 4A 0E 49 0D 48 ?? ?? ?? ?? 6F F0 00 03 04 93 09 E0 0A 9A 00 21 07 4B 18 68 05 4B 1B 68 98 47 07 90 07 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_272_0_0 {
	meta:
		name = "cosh"
		size = 1216
		refs = "0066 val_with_flags 00ba _handle_nan 00d0 infinity_with_flags 0178 _handle_error 01c0 splitexp 01ea scaleDouble_1 020a scaleDouble_2 041c ?cosh_lead@?1??cosh@@9@9 0420 ?sinh_lead@?1??cosh@@9@9 0424 ?cosh_tail@?1??cosh@@9@9 0428 ?sinh_tail@?1??cosh@@9@9 0498 ?thirtytwo_by_log2@?1??cosh@@9@9 049c ?log2_by_32_lead@?1??cosh@@9@9 04a0 ?log2_by_32_tail@?1??cosh@@9@9 04a4 ?small_threshold@?1??cosh@@9@9 04a8 ??_C@_04HPJJNFIM@cosh?$AA@ 04b8 ?max_cosh_arg@?1??cosh@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 C4 B0 8D ED 16 0B 9D ED 16 0B 53 EC 10 2B 0E 92 0F 93 0E 9A 0F 9B 23 F0 00 43 0A 92 0B 93 0A 9B 1E 93 0B 9B 1F 93 1E 9B 18 93 1F 9A DF F8 88 34 9A 42 1F D8 02 D3 18 9B 00 2B 1B D2 0A 9B 20 93 0B 9B 21 93 21 9A 20 9B 13 43 00 2B 05 D1 B7 EE 00 0B 8D ED 12 0B D8 E1 0B E0 10 20 B7 EE 00 0B ?? ?? ?? ?? 8D ED 38 0B 9D ED 38 0B 8D ED 12 0B CB E1 33 E0 0A 9B 22 93 0B 9B 23 93 22 9B 19 93 23 9A DF F8 20 34 9A 42 28 D3 02 D8 19 9B 00 2B 24 D3 0A 9B 24 93 0B 9B 25 93 24 9B 1A 93 25 9A DF F8 04 34 9A 42 0F D3 02 D8 1A 9B 00 2B 0B D9 0E 98 0F 99 ?? ?? ?? ?? 8D ED 3A 0B 9D ED 3A 0B 8D ED 12 0B A1 E1 09 E0 00 20 ?? ?? ?? ?? 8D ED 3C 0B 9D ED 3C 0B 8D ED 12 0B 96 E1 0A 9B 26 93 0B 9B 27 93 0E 9B 28 93 0F 9B 29 93 27 9B 1B 93 29 9B 1C 93 26 9A 28 9B 9A 42 03 D1 1B 9A 1C 9B 9A 42 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9A 0C 9B DB 17 2A 92 2B 93 9D ED 16 0B 8D ED 10 0B 2A 9B 2C 93 2B 9B 2D 93 2D 9A 2C 9B 13 43 00 2B 05 D0 9D ED 16 0B B1 EE 40 0B 8D ED 10 0B 9D ED 10 1B DB 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 19 DB 01 23 03 93 9F ED D4 1B 9D ED 16 0B 22 23 02 93 11 23 01 93 03 23 00 93 00 22 CE 4B 13 21 CC 48 ?? ?? ?? ?? 8D ED 3E 0B 9D ED 3E 0B 8D ED 12 0B 42 E1 3D E1 9D ED 10 1B C4 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 3D DB 32 AA 30 A9 08 A8 BE 4B 93 ED 00 4B BB 4B 93 ED 00 3B B9 4B 93 ED 00 2B B7 EE 00 1B 9D ED 10 0B ?? ?? ?? ?? 08 9B 5B 1E 08 93 08 9A B1 4B 9A 42 14 DB 08 9A 40 F2 FF 33 9A 42 0F DC 08 98 9D ED 30 1B 9D ED 32 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 40 0B 9D ED 40 0B 8D ED 2E 0B 0E E0 08 98 9D ED 30 1B 9D ED 32 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 42 0B 9D ED 42 0B 8D ED 2E 0B F5 E0 9D ED 10 0B BD EE C0 0B 10 EE 10 3A 04 93 04 9B 00 EE 10 3A B8 EE C0 1B 9D ED 10 0B 30 EE 41 0B 8D ED 14 0B 9D ED 14 1B 9D ED 14 0B 21 EE 00 0B 8D ED 06 0B 9D ED 14 1B 9D ED 06 0B 21 EE 00 2B 9F ED 8B 1B 9D ED 06 0B 21 EE 00 1B 9F ED 86 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 80 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 7A 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 74 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 6E 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 68 0B 30 EE 01 0B 22 EE 00 0B 8D ED 36 0B 9F ED 62 1B 9D ED 06 0B 21 EE 00 1B 9F ED 5D 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 57 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 51 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 4B 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 45 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B B6 EE 00 0B 30 EE 01 1B 9D ED 06 0B 20 EE 01 0B 8D ED 34 0B 04 9A 08 23 02 FB 03 F2 38 4B 13 44 93 ED 00 1B 9D ED 34 0B 21 EE 00 2B 04 9A 08 23 02 FB 03 F2 33 4B 13 44 93 ED 00 1B 9D ED 36 0B 21 EE 00 0B 32 EE 00 2B 04 9A 08 23 02 FB 03 F2 2C 4B 13 44 93 ED 00 1B 9D ED 14 0B 21 EE 00 0B 32 EE 00 1B 04 9A 08 23 02 FB 03 F2 24 4B 13 44 93 ED 00 0B 31 EE 00 2B 04 9A 08 23 02 FB 03 F2 1D 4B 13 44 93 ED 00 1B 9D ED 34 0B 21 EE 00 0B 32 EE 00 2B 04 9A 08 23 02 FB 03 F2 17 4B 13 44 93 ED 00 1B 9D ED 36 0B 21 EE 00 0B 32 EE 00 2B 04 9A 08 23 02 FB 03 F2 10 4B 13 44 93 ED 00 1B 9D ED 14 0B 21 EE 00 0B 32 EE 00 1B 04 9A 08 23 02 FB 03 F2 08 4B 13 44 93 ED 00 0B 31 EE 00 0B 8D ED 2E 0B 9D ED 2E 0B 8D ED 12 0B 9D ED 12 0B 44 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 55 55 55 55 55 A5 3F E5 12 C2 16 6C C1 56 3F 11 90 07 19 A0 01 FA 3E 55 CB F1 69 50 7E 92 3E 20 7B 5B 38 56 EE 21 3E D7 FC 63 7F 4B 98 A9 3D 55 55 55 55 55 55 C5 3F FD 10 11 11 11 11 81 3F 80 EE 01 1A A0 01 2A 3F 7D 3E E1 A4 E3 1D C7 3E C0 61 BE 0F 46 E6 5A 3E BE B7 DC 2B CB 11 E6 3D 8B A0 1E 92 25 41 6B 3D 02 FC FF FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 00 00 30 3E }
	condition:
		$1
}

rule file_272_1_0 {
	meta:
		name = "infinity_with_flags"
		size = 56
		refs = "000c raise_fpsw_flags"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 00 22 08 4B 43 EC 10 2B 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 F0 7F }
	condition:
		$1
}

rule file_273_4_0 {
	meta:
		name = "_mblen_l"
		size = 464
		refs = "002c ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0032 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0068 _CrtDbgReportW 0088 _isleadbyte_l 00b0 ??1_LocaleUpdate@@QAA@XZ 01c0 __imp_MultiByteToWideChar 01c4 ??_C@_1GC@IIAPMALA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 01c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01cc ??_C@_1BBK@OJOCBOE@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 9D B0 20 9B 00 2B 07 D0 20 9B 93 F9 00 30 00 2B 02 D0 21 9B 00 2B 02 D1 00 23 02 93 C5 E0 22 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 08 90 08 9B 1B 68 1B 1D 1B 68 01 2B 18 D0 04 A8 ?? ?? ?? ?? 09 90 09 9B 1B 68 1B 1D 1B 68 02 2B 0E D0 5C 4B 01 93 5A 4B 00 93 00 23 1F 22 57 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 04 A8 ?? ?? ?? ?? 0B 90 0B 99 20 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 63 D0 04 A8 ?? ?? ?? ?? 0D 90 0D 9B 1B 68 1B 1D 1B 68 01 2B 08 DC 6F F0 00 03 0E 93 04 A8 ?? ?? ?? ?? 0E 9B 02 93 7C E0 21 9A 6F F0 00 43 9A 42 0A D8 04 A8 ?? ?? ?? ?? 0F 90 0F 9B 1B 68 1B 1D 21 9A 1B 68 9A 42 08 DA 6F F0 00 03 10 93 04 A8 ?? ?? ?? ?? 10 9B 02 93 63 E0 04 A8 ?? ?? ?? ?? 11 90 04 A8 ?? ?? ?? ?? 12 90 00 23 01 93 00 23 00 93 11 9B 1B 68 1B 1D 1B 68 20 9A 09 21 12 98 00 68 08 30 00 68 29 4C 24 68 A0 47 13 90 13 9B 14 93 14 9B 00 2B 08 D1 6F F0 00 03 15 93 04 A8 ?? ?? ?? ?? 15 9B 02 93 3B E0 04 A8 ?? ?? ?? ?? 16 90 16 9B 1B 68 1B 1D 1B 68 17 93 04 A8 ?? ?? ?? ?? 17 9B 02 93 2C E0 28 E0 04 A8 ?? ?? ?? ?? 18 90 00 23 01 93 00 23 00 93 01 23 20 9A 09 21 18 98 00 68 08 30 00 68 11 4C 24 68 A0 47 19 90 19 9B 1A 93 1A 9B 00 2B 08 D1 6F F0 00 03 1B 93 04 A8 ?? ?? ?? ?? 1B 9B 02 93 0A E0 01 23 1C 93 04 A8 ?? ?? ?? ?? 1C 9B 02 93 02 E0 04 A8 ?? ?? ?? ?? 02 98 1D B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_273_5_0 {
	meta:
		name = "mblen"
		size = 80
		refs = "000a __acrt_locale_changed 0020 _mblen_l 004c __acrt_initial_locale_pointers"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 09 D1 0C 4A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 08 E0 07 E0 00 22 07 99 06 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_0_0 {
	meta:
		name = "??$convert_mantissa_to_ld12@$09@@YAXQBEIQAU_LDBL12@@@Z"
		size = 242
		refs = "0008 __security_push_cookie 0044 ??$multiply_ld12_by@$09@@YAXQAU_LDBL12@@@Z 004e memset 0064 ?add_ld12@@YAXQAU_LDBL12@@QBU1@@Z 00c6 ??$shl_ld12@$00@@YAXQAU_LDBL12@@@Z 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 87 B0 0C 9A 00 23 13 60 0C 9B 1A 1D 00 23 13 60 0C 9B 03 F1 08 02 00 23 13 60 0A 9A 0B 9B 13 44 02 93 0A 9B 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 02 9B 9A 42 13 D0 0C 98 ?? ?? ?? ?? 0C 22 00 21 04 A8 ?? ?? ?? ?? 01 9B 1B 78 04 93 00 23 05 93 00 23 06 93 04 A9 0C 98 ?? ?? ?? ?? E4 E7 44 F2 4E 03 AD F8 00 30 0C 9B 08 33 1B 68 00 2B 1D D1 0C 9B 1B 1D 1B 68 1A 0C 0C 9B 08 33 1A 60 0C 9B 1B 1D 1B 68 1A 04 0C 9B 1B 68 1B 0C 1A 43 0C 9B 1B 1D 1A 60 0C 9B 1B 68 1A 04 0C 9B 1A 60 BD F8 00 30 10 3B 9B B2 AD F8 00 30 DC E7 0C 9B 08 33 1B 68 13 F4 00 4F 09 D1 0C 98 ?? ?? ?? ?? BD F8 00 30 5B 1E 9B B2 AD F8 00 30 EF E7 0C 9B 03 F1 0A 02 BD F8 00 30 13 80 07 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_274_1_0 {
	meta:
		name = "??$convert_mantissa_to_ld12@$0BA@@@YAXQBEIQAU_LDBL12@@@Z"
		size = 242
		refs = "0008 __security_push_cookie 0044 ??$multiply_ld12_by@$0BA@@@YAXQAU_LDBL12@@@Z 004e memset 0064 ?add_ld12@@YAXQAU_LDBL12@@QBU1@@Z 00c6 ??$shl_ld12@$00@@YAXQAU_LDBL12@@@Z 00e6 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 87 B0 0C 9A 00 23 13 60 0C 9B 1A 1D 00 23 13 60 0C 9B 03 F1 08 02 00 23 13 60 0A 9A 0B 9B 13 44 02 93 0A 9B 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 02 9B 9A 42 13 D0 0C 98 ?? ?? ?? ?? 0C 22 00 21 04 A8 ?? ?? ?? ?? 01 9B 1B 78 04 93 00 23 05 93 00 23 06 93 04 A9 0C 98 ?? ?? ?? ?? E4 E7 44 F2 4E 03 AD F8 00 30 0C 9B 08 33 1B 68 00 2B 1D D1 0C 9B 1B 1D 1B 68 1A 0C 0C 9B 08 33 1A 60 0C 9B 1B 1D 1B 68 1A 04 0C 9B 1B 68 1B 0C 1A 43 0C 9B 1B 1D 1A 60 0C 9B 1B 68 1A 04 0C 9B 1A 60 BD F8 00 30 10 3B 9B B2 AD F8 00 30 DC E7 0C 9B 08 33 1B 68 13 F4 00 4F 09 D1 0C 98 ?? ?? ?? ?? BD F8 00 30 5B 1E 9B B2 AD F8 00 30 EF E7 0C 9B 03 F1 0A 02 BD F8 00 30 13 80 07 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_274_2_0 {
	meta:
		name = "??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z"
		size = 36
		refs = "0010 ??0?$c_string_character_source@D@__crt_strtox@@QAA@QBDQAPBD@Z"
		altNames = "??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_351_3_0 {
	meta:
		name = "??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_W$$T@Z"
		size = 36
		refs = "0010 ??0?$c_string_character_source@_W@__crt_strtox@@QAA@QB_WQAPB_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_3_0 {
	meta:
		name = "??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z"
		size = 36
		refs = "0010 ??0?$c_string_character_source@_W@__crt_strtox@@QAA@QB_WQAPB_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_274_3_0 {
	meta:
		name = "??$multiply_ld12_by@$09@@YAXQAU_LDBL12@@@Z"
		size = 58
		refs = "0008 __security_push_cookie 0014 memcpy 001a ??$shl_ld12@$01@@YAXQAU_LDBL12@@@Z 0022 ?add_ld12@@YAXQAU_LDBL12@@QBU1@@Z 0028 ??$shl_ld12@$00@@YAXQAU_LDBL12@@@Z 002e __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 83 B0 06 99 68 46 0C 22 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 69 46 06 98 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 03 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_5_0 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAU_LDBL12@@@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$c_string_character_source@D@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@D@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAU_LDBL12@@@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_676_22_0 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAM@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$c_string_character_source@D@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@D@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_543_23_4 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAN@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$c_string_character_source@D@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@D@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_676_24_2 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QAM@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$c_string_character_source@_W@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@_W@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_676_25_4 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QAN@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$c_string_character_source@_W@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@_W@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_45_4 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAM@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_46_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAN@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_47_4 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_48_2 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_49_2 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAM@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_50_4 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAN@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_51_4 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_52_4 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z"
		size = 316
		refs = "0008 __security_push_cookie 003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 0074 ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 00f2 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0102 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 011c __security_pop_cookie 0128 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012c ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0130 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0138 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 55 7D DA 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 40 F2 A6 62 3D 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 A6 63 32 4A 31 49 33 48 ?? ?? ?? ?? 01 23 09 93 D9 98 ?? ?? ?? ?? 09 9B 02 93 4B E0 D8 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 23 4B 01 93 25 4B 00 93 00 23 40 F2 A7 62 22 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 40 F2 A7 63 17 4A 15 49 14 48 ?? ?? ?? ?? 01 23 0C 93 D9 98 ?? ?? ?? ?? 0C 9B 02 93 14 E0 12 AA D9 99 D8 98 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 DA 9A 12 A9 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 D9 98 ?? ?? ?? ?? 10 9B 02 93 02 98 0D F5 55 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_6_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@D@0@AAUfloating_point_string@0@@Z"
		size = 1408
		refs = "000c ?validate@?$c_string_character_source@D@__crt_strtox@@QBA_NXZ 0024 ?save_state@?$c_string_character_source@D@__crt_strtox@@QBAPBDXZ 0030 ?get@?$c_string_character_source@D@__crt_strtox@@QAADXZ 0048 ??0<lambda_690cf26ff5d754c94c32cf642e9f01bc>@@QAA@AAV?$c_string_character_source@D@__crt_strtox@@AADAAPBD@Z 0052 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 00cc ??$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$c_string_character_source@D@0@PBD@Z 00ee ??$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$c_string_character_source@D@0@PBD@Z 015a ?unget@?$c_string_character_source@D@__crt_strtox@@QAAXD@Z 01cc ?parse_digit@__crt_strtox@@YAID@Z 02ce ??R<lambda_690cf26ff5d754c94c32cf642e9f01bc>@@QBA_NXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AA B0 2D 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 02 D1 07 23 04 93 A5 E2 2D 98 ?? ?? ?? ?? 19 90 19 9B 0B 93 2D 98 ?? ?? ?? ?? 8D F8 2B 00 9D F9 2B 30 8D F8 00 30 0B AB 6A 46 2D 99 26 A8 ?? ?? ?? ?? 2C 99 9D F9 00 00 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 00 2B 09 D0 2D 98 ?? ?? ?? ?? 8D F8 16 00 9D F9 16 30 8D F8 00 30 EA E7 9D F9 00 30 2D 2B 02 D1 01 23 0F 93 01 E0 00 23 0F 93 2E 9B 03 F5 42 72 0F 9B DB B2 13 70 9D F9 00 30 2D 2B 03 D0 9D F9 00 30 2B 2B 08 D1 2D 98 ?? ?? ?? ?? 8D F8 17 00 9D F9 17 30 8D F8 00 30 9D F9 00 30 49 2B 03 D0 9D F9 00 30 69 2B 08 D1 0B 9A 2D 99 68 46 ?? ?? ?? ?? 1A 90 1A 9B 04 93 4A E2 9D F9 00 30 4E 2B 03 D0 9D F9 00 30 6E 2B 08 D1 0B 9A 2D 99 68 46 ?? ?? ?? ?? 1B 90 1B 9B 04 93 39 E2 00 23 8D F8 01 30 9D F9 00 30 30 2B 2A D1 2D 98 ?? ?? ?? ?? 1C 90 1C 9B 1D 93 2D 98 ?? ?? ?? ?? 8D F8 18 00 9D F9 18 30 8D F8 03 30 9D F9 03 30 78 2B 03 D0 9D F9 03 30 58 2B 0E D1 01 23 8D F8 01 30 2D 98 ?? ?? ?? ?? 8D F8 19 00 9D F9 19 30 8D F8 00 30 1D 9B 0B 93 04 E0 9D F9 03 10 2D 98 ?? ?? ?? ?? 2E 9B 08 33 0E 93 2E 9B 03 F5 42 73 13 93 2E 9B 08 33 02 93 00 23 0D 93 00 23 8D F8 02 30 9D F9 00 30 30 2B 0C D1 01 23 8D F8 02 30 2D 98 ?? ?? ?? ?? 8D F8 1A 00 9D F9 1A 30 8D F8 00 30 EE E7 08 E0 2D 98 ?? ?? ?? ?? 8D F8 1B 00 9D F9 1B 30 8D F8 00 30 9D F8 01 30 00 2B 02 D0 0F 23 10 93 01 E0 09 23 10 93 10 9B 1F 93 9D F9 00 00 ?? ?? ?? ?? 1E 90 1E 9B 11 93 11 9A 1F 9B 9A 42 00 D9 11 E0 01 23 8D F8 02 30 02 9A 13 9B 9A 42 06 D0 11 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 0D 9B 5B 1C 0D 93 CD E7 2C 9B 1B 68 88 33 1B 68 1B 68 93 F9 00 30 8D F8 1C 30 9D F9 00 20 9D F9 1C 30 9A 42 50 D1 2D 98 ?? ?? ?? ?? 8D F8 1D 00 9D F9 1D 30 8D F8 00 30 02 9A 0E 9B 9A 42 13 D1 9D F9 00 30 30 2B 0F D1 01 23 8D F8 02 30 0D 9B 5B 1E 0D 93 2D 98 ?? ?? ?? ?? 8D F8 1E 00 9D F9 1E 30 8D F8 00 30 EB E7 08 E0 2D 98 ?? ?? ?? ?? 8D F8 1F 00 9D F9 1F 30 8D F8 00 30 9D F8 01 30 00 2B 02 D0 0F 23 12 93 01 E0 09 23 12 93 12 9B 21 93 9D F9 00 00 ?? ?? ?? ?? 20 90 20 9B 14 93 14 9A 21 9B 9A 42 00 D9 0E E0 01 23 8D F8 02 30 02 9A 13 9B 9A 42 06 D0 14 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 D0 E7 9D F8 02 30 00 2B 16 D1 26 A8 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 02 D1 07 23 04 93 44 E1 9D F8 01 30 00 2B 03 D0 02 23 04 93 3D E1 02 E0 07 23 04 93 39 E1 9D F9 00 10 2D 98 ?? ?? ?? ?? 2D 98 ?? ?? ?? ?? 22 90 22 9B 0B 93 2D 98 ?? ?? ?? ?? 8D F8 21 00 9D F9 21 30 8D F8 00 30 00 23 8D F8 04 30 9D F9 00 30 0C 93 0C 9B 65 2B 09 DC 0C 9B 65 2B 0A D0 0C 9B 45 2B 07 D0 0C 9B 50 2B 12 D0 15 E0 0C 9B 70 2B 0E D0 11 E0 9D F8 01 30 00 2B 02 D1 01 23 15 93 01 E0 00 23 15 93 15 9B DB B2 8D F8 04 30 03 E0 9D F8 01 30 8D F8 04 30 00 23 03 93 9D F8 04 30 00 2B 00 F0 99 80 2D 98 ?? ?? ?? ?? 8D F8 22 00 9D F9 22 30 8D F8 00 30 9D F9 00 30 2D 2B 03 D1 01 23 8D F8 14 30 02 E0 00 23 8D F8 14 30 9D F8 14 30 8D F8 26 30 9D F9 00 30 2B 2B 03 D0 9D F9 00 30 2D 2B 08 D1 2D 98 ?? ?? ?? ?? 8D F8 29 00 9D F9 29 30 8D F8 00 30 00 23 8D F8 05 30 9D F9 00 30 30 2B 0C D1 01 23 8D F8 05 30 2D 98 ?? ?? ?? ?? 8D F8 23 00 9D F9 23 30 8D F8 00 30 EE E7 08 E0 2D 98 ?? ?? ?? ?? 8D F8 24 00 9D F9 24 30 8D F8 00 30 9D F9 00 00 ?? ?? ?? ?? 23 90 23 9B 16 93 16 9B 0A 2B 00 D3 13 E0 01 23 8D F8 05 30 03 9A 0A 23 02 FB 03 F2 16 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 03 DD 41 F2 51 43 03 93 00 E0 D7 E7 9D F9 00 00 ?? ?? ?? ?? 24 90 24 9B 0A 2B 09 D2 2D 98 ?? ?? ?? ?? 8D F8 25 00 9D F9 25 30 8D F8 00 30 ED E7 9D F8 26 30 00 2B 02 D0 03 9B 5B 42 03 93 9D F8 05 30 00 2B 15 D1 26 A8 ?? ?? ?? ?? 8D F8 27 00 9D F8 27 30 00 2B 09 D0 2D 98 ?? ?? ?? ?? 8D F8 28 00 9D F9 28 30 8D F8 00 30 02 E0 07 23 04 93 5C E0 9D F9 00 10 2D 98 ?? ?? ?? ?? 02 9A 0E 9B 9A 42 08 D0 02 9B 5B 1E 1B 78 00 2B 03 D1 02 9B 5B 1E 02 93 F2 E7 02 9A 0E 9B 9A 42 02 D1 02 23 04 93 43 E0 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 3B E0 03 9A 20 4B 9A 42 02 DA 08 23 04 93 34 E0 9D F8 01 30 00 2B 02 D0 04 23 17 93 01 E0 01 23 17 93 17 9B 25 93 0D 9A 25 9B 02 FB 03 F2 03 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 1A E0 03 9A 10 4B 9A 42 02 DA 08 23 04 93 13 E0 2E 9A 03 9B 13 60 02 9A 0E 9B D2 1A 2E 9B 1B 1D 1A 60 9D F8 01 30 00 2B 02 D0 01 23 18 93 01 E0 00 23 18 93 18 9B 04 93 04 98 2A B0 5D F8 04 BB 5D F8 14 FB FE DE B0 EB FF FF }
	condition:
		$1
}

rule file_274_7_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$c_string_character_source@D@0@PBD@Z"
		size = 212
		refs = "0012 ??0<lambda_e51f7abad2595a5950d3223319845217>@@QAA@AAV?$c_string_character_source@D@__crt_strtox@@AADAAPBD@Z 0022 ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$c_string_character_source@D@0@@Z 0034 ??R<lambda_e51f7abad2595a5950d3223319845217>@@QBA_NXZ 0046 ?unget@?$c_string_character_source@D@__crt_strtox@@QAAXD@Z 004c ?save_state@?$c_string_character_source@D@__crt_strtox@@QBAPBDXZ 0058 ?get@?$c_string_character_source@D@__crt_strtox@@QAADXZ 00c4 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB 00c8 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB 00cc ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB 00d0 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E AB 0C 9A 0D 99 06 A8 ?? ?? ?? ?? 0D 9B 00 93 0C 9B 03 22 2C 49 2A 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 06 A8 ?? ?? ?? ?? 07 23 03 93 3B E0 0C 9B 93 F9 00 10 0D 98 ?? ?? ?? ?? 0D 98 ?? ?? ?? ?? 05 90 05 9B 0E 93 0D 98 ?? ?? ?? ?? 8D F8 09 00 9D F9 09 20 0C 9B 1A 70 0D 9B 00 93 0C 9B 05 22 15 49 14 48 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 10 D1 06 A8 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 02 D0 03 23 04 93 01 E0 07 23 04 93 04 9B 03 93 07 E0 0C 9B 93 F9 00 10 0D 98 ?? ?? ?? ?? 03 23 03 93 03 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_8_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$c_string_character_source@D@0@PBD@Z"
		size = 408
		refs = "0012 ??0<lambda_32aa245da1b5b882fa96db788295c8b2>@@QAA@AAV?$c_string_character_source@D@__crt_strtox@@AADAAPBD@Z 0022 ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$c_string_character_source@D@0@@Z 0034 ??R<lambda_32aa245da1b5b882fa96db788295c8b2>@@QBA_NXZ 0046 ?unget@?$c_string_character_source@D@__crt_strtox@@QAAXD@Z 004c ?save_state@?$c_string_character_source@D@__crt_strtox@@QBAPBDXZ 0058 ?get@?$c_string_character_source@D@__crt_strtox@@QAADXZ 00aa ??$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@0@@Z 00d0 ??$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@0@@Z 010c ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z 0190 ?uppercase@?1???$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB 0194 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 12 AB 10 9A 11 99 0A A8 ?? ?? ?? ?? 11 9B 00 93 10 9B 03 22 5D 49 5B 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 0A A8 ?? ?? ?? ?? 07 23 05 93 A1 E0 10 9B 93 F9 00 10 11 98 ?? ?? ?? ?? 11 98 ?? ?? ?? ?? 09 90 09 9B 12 93 11 98 ?? ?? ?? ?? 8D F8 09 00 9D F9 09 20 10 9B 1A 70 10 9B 93 F9 00 30 28 2B 10 D0 0A A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 02 D0 04 23 06 93 01 E0 07 23 06 93 06 9B 05 93 76 E0 11 98 ?? ?? ?? ?? 8D F8 0B 00 9D F9 0B 20 10 9B 1A 70 11 99 10 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 08 D0 10 9B 93 F9 00 10 11 98 ?? ?? ?? ?? 05 23 05 93 5A E0 11 99 10 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 08 D0 10 9B 93 F9 00 10 11 98 ?? ?? ?? ?? 06 23 05 93 47 E0 10 9B 93 F9 00 30 29 2B 2A D0 10 9B 93 F9 00 30 00 2B 25 D0 10 9B 93 F9 00 00 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 10 D1 0A A8 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 02 D0 04 23 07 93 01 E0 07 23 07 93 07 9B 05 93 21 E0 11 98 ?? ?? ?? ?? 8D F8 10 00 9D F9 10 20 10 9B 1A 70 CF E7 10 9B 93 F9 00 30 29 2B 10 D0 0A A8 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 02 D0 04 23 08 93 01 E0 07 23 08 93 08 9B 05 93 01 E0 04 23 05 93 05 98 0E B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_9_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$c_string_character_source@D@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@1@@Z@4QBDB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@1@@Z@4QBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 04 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_65_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 04 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_66_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 04 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_676_33_4 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$c_string_character_source@_W@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@1@@Z@4QB_WB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@1@@Z@4QB_WB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 04 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_67_2 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 04 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_68_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 04 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_10_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$c_string_character_source@D@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@1@@Z@4QBDB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@1@@Z@4QBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 05 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_69_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 05 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_70_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 05 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_676_35_4 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$c_string_character_source@_W@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@1@@Z@4QB_WB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@1@@Z@4QB_WB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 05 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_71_2 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 05 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_72_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 60
		refs = "0016 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 0034 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 93 06 9B 05 22 09 49 07 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_11_0 {
	meta:
		name = "??$parse_floating_point_write_result@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAU_LDBL12@@@Z"
		size = 276
		refs = "0028 ?convert_decimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@AAU_LDBL12@@@Z 0038 ?convert_hexadecimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@AAU_LDBL12@@@Z 004e ?assemble_floating_point_zero@__crt_strtox@@YAX_NAAU_LDBL12@@@Z 0062 ?assemble_floating_point_infinity@__crt_strtox@@YAX_NAAU_LDBL12@@@Z 0076 ?assemble_floating_point_qnan@__crt_strtox@@YAX_NAAU_LDBL12@@@Z 008a ?assemble_floating_point_snan@__crt_strtox@@YAX_NAAU_LDBL12@@@Z 0096 ?assemble_floating_point_ind@__crt_strtox@@YAXAAU_LDBL12@@@Z 00e8 _CrtDbgReportW 0108 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 93 03 9B 09 2B 60 D8 03 9A DF E8 02 F0 05 0D 15 1F 29 33 3D 43 4A 54 0C 99 0B 98 ?? ?? ?? ?? 04 90 04 9B 02 93 62 E0 0C 99 0B 98 ?? ?? ?? ?? 05 90 05 9B 02 93 5A E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 50 E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 46 E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 3C E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 32 E0 0C 98 ?? ?? ?? ?? 00 23 02 93 2C E0 0C 99 00 20 ?? ?? ?? ?? 01 23 02 93 25 E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 02 23 02 93 1B E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 03 23 02 93 11 E0 0E 4B 01 93 0C 4B 00 93 00 23 4F F4 D3 62 08 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 01 23 02 93 02 98 08 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_73_0 {
	meta:
		name = "??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z"
		size = 276
		refs = "0028 ??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z 0038 ??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z 004e ??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAAM@Z 0062 ??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAAM@Z 0076 ??$assemble_floating_point_qnan@M@__crt_strtox@@YAX_NAAM@Z 008a ??$assemble_floating_point_snan@M@__crt_strtox@@YAX_NAAM@Z 0096 ??$assemble_floating_point_ind@M@__crt_strtox@@YAXAAM@Z 00e8 _CrtDbgReportW 0108 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 93 03 9B 09 2B 60 D8 03 9A DF E8 02 F0 05 0D 15 1F 29 33 3D 43 4A 54 0C 99 0B 98 ?? ?? ?? ?? 04 90 04 9B 02 93 62 E0 0C 99 0B 98 ?? ?? ?? ?? 05 90 05 9B 02 93 5A E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 50 E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 46 E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 3C E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 32 E0 0C 98 ?? ?? ?? ?? 00 23 02 93 2C E0 0C 99 00 20 ?? ?? ?? ?? 01 23 02 93 25 E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 02 23 02 93 1B E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 03 23 02 93 11 E0 0E 4B 01 93 0C 4B 00 93 00 23 4F F4 D3 62 08 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 01 23 02 93 02 98 08 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_676_37_4 {
	meta:
		name = "??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z"
		size = 276
		refs = "0028 ??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z 0038 ??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z 004e ??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z 0062 ??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z 0076 ??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAAN@Z 008a ??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAAN@Z 0096 ??$assemble_floating_point_ind@N@__crt_strtox@@YAXAAN@Z 00e8 _CrtDbgReportW 0108 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 93 03 9B 09 2B 60 D8 03 9A DF E8 02 F0 05 0D 15 1F 29 33 3D 43 4A 54 0C 99 0B 98 ?? ?? ?? ?? 04 90 04 9B 02 93 62 E0 0C 99 0B 98 ?? ?? ?? ?? 05 90 05 9B 02 93 5A E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 50 E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 46 E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 3C E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 00 23 02 93 32 E0 0C 98 ?? ?? ?? ?? 00 23 02 93 2C E0 0C 99 00 20 ?? ?? ?? ?? 01 23 02 93 25 E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 02 23 02 93 1B E0 0C 99 0B 9B 03 F5 42 73 18 78 ?? ?? ?? ?? 03 23 02 93 11 E0 0E 4B 01 93 0C 4B 00 93 00 23 4F F4 D3 62 08 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 01 23 02 93 02 98 08 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_12_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$c_string_character_source@D@0@@Z"
		size = 130
		refs = "005c ?get@?$c_string_character_source@D@__crt_strtox@@QAADXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 08 9B 9A 42 27 D0 09 9B 93 F9 00 10 01 9A 01 23 02 FB 03 F2 06 9B 13 44 93 F9 00 30 99 42 10 D0 09 9B 93 F9 00 10 01 9A 01 23 02 FB 03 F2 07 9B 13 44 93 F9 00 30 99 42 03 D0 00 23 8D F8 08 30 0C E0 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 20 09 9B 1A 70 D0 E7 01 23 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_79_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 130
		refs = "005c ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 08 9B 9A 42 27 D0 09 9B 93 F9 00 10 01 9A 01 23 02 FB 03 F2 06 9B 13 44 93 F9 00 30 99 42 10 D0 09 9B 93 F9 00 10 01 9A 01 23 02 FB 03 F2 07 9B 13 44 93 F9 00 30 99 42 03 D0 00 23 8D F8 08 30 0C E0 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 20 09 9B 1A 70 D0 E7 01 23 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_80_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 130
		refs = "005c ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 08 9B 9A 42 27 D0 09 9B 93 F9 00 10 01 9A 01 23 02 FB 03 F2 06 9B 13 44 93 F9 00 30 99 42 10 D0 09 9B 93 F9 00 10 01 9A 01 23 02 FB 03 F2 07 9B 13 44 93 F9 00 30 99 42 03 D0 00 23 8D F8 08 30 0C E0 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F9 00 20 09 9B 1A 70 D0 E7 01 23 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_274_13_0 {
	meta:
		name = "??$shl_ld12@$00@@YAXQAU_LDBL12@@@Z"
		size = 116
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 20 23 02 93 01 23 03 93 1F 23 04 93 6F F0 40 43 05 93 4F F0 40 43 06 93 0A 9B 1B 68 03 F0 40 43 DB 0F 00 93 0A 9B 1B 1D 1B 68 03 F0 40 43 DB 0F 01 93 0A 9B 1B 68 5A 00 0A 9B 1A 60 0A 9B 1B 1D 1B 68 5A 00 00 9B 1A 43 0A 9B 1B 1D 1A 60 0A 9B 08 33 1B 68 5A 00 01 9B 1A 43 0A 9B 08 33 1A 60 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_14_0 {
	meta:
		name = "??$shl_ld12@$01@@YAXQAU_LDBL12@@@Z"
		size = 116
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 20 23 02 93 02 23 03 93 1E 23 04 93 6F F0 60 43 05 93 4F F0 60 43 06 93 0A 9B 1B 68 03 F0 60 43 9B 0F 00 93 0A 9B 1B 1D 1B 68 03 F0 60 43 9B 0F 01 93 0A 9B 1B 68 9A 00 0A 9B 1A 60 0A 9B 1B 1D 1B 68 9A 00 00 9B 1A 43 0A 9B 1B 1D 1A 60 0A 9B 08 33 1B 68 9A 00 01 9B 1A 43 0A 9B 08 33 1A 60 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_15_0 {
	meta:
		name = "??$shl_ld12@$03@@YAXQAU_LDBL12@@@Z"
		size = 116
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 20 23 02 93 04 23 03 93 1C 23 04 93 6F F0 78 43 05 93 4F F0 78 43 06 93 0A 9B 1B 68 03 F0 78 43 1B 0F 00 93 0A 9B 1B 1D 1B 68 03 F0 78 43 1B 0F 01 93 0A 9B 1B 68 1A 01 0A 9B 1A 60 0A 9B 1B 1D 1B 68 1A 01 00 9B 1A 43 0A 9B 1B 1D 1A 60 0A 9B 08 33 1B 68 1A 01 01 9B 1A 43 0A 9B 08 33 1A 60 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_19_0 {
	meta:
		name = "??0?$c_string_character_source@D@__crt_strtox@@QAA@QBDQAPBD@Z"
		size = 52
		altNames = "??0?$c_string_character_source@_W@__crt_strtox@@QAA@QB_WQAPB_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 04 9B 1A 1D 06 9B 13 60 06 9B 00 2B 02 D0 05 9A 06 9B 1A 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_274_21_0 {
	meta:
		name = "??1?$c_string_character_source@D@__crt_strtox@@QAA@XZ"
		size = 38
		altNames = "??1?$c_string_character_source@_W@__crt_strtox@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 1B 1D 1B 68 00 2B 05 D0 02 99 02 9B 1B 1D 1A 68 0B 68 13 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_27_0 {
	meta:
		name = "?add_ld12@@YAXQAU_LDBL12@@QBU1@@Z"
		size = 156
		refs = "0014 ?add_uint32_carry@@YA_NIIQAI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 19 68 04 9B 18 68 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 14 D0 04 9B 1A 1D 01 21 04 9B 1B 1D 18 68 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 06 D0 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 04 9B 1A 1D 05 9B 1B 1D 19 68 04 9B 1B 1D 18 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 06 D0 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 04 9B 03 F1 08 02 05 9B 08 33 19 68 04 9B 08 33 18 68 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_28_0 {
	meta:
		name = "?add_uint32_carry@@YA_NIIQAI@Z"
		size = 72
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9A 07 9B 13 44 00 93 00 9A 08 9B 1A 60 00 9A 06 9B 9A 42 06 D3 00 9A 07 9B 9A 42 02 D3 00 23 01 93 01 E0 01 23 01 93 01 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_274_29_0 {
	meta:
		name = "?assemble_floating_point_ind@__crt_strtox@@YAXAAU_LDBL12@@@Z"
		size = 64
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 4F F4 00 43 AD F8 00 30 04 9A 00 23 13 80 04 9B 9A 1C 00 23 13 60 04 9B 9A 1D 4F F0 40 43 13 60 04 9B 03 F1 0A 02 4F F6 FF 73 13 80 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_30_0 {
	meta:
		name = "?assemble_floating_point_infinity@__crt_strtox@@YAX_NAAU_LDBL12@@@Z"
		size = 88
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 10 30 00 2B 03 D0 4F F4 00 43 01 93 01 E0 00 23 01 93 01 9B 9B B2 AD F8 00 30 05 9A 00 23 13 80 05 9B 9A 1C 00 23 13 60 05 9B 9A 1D 00 23 13 60 BD F8 00 20 47 F6 FF 73 13 43 9A B2 05 9B 0A 33 1A 80 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_31_0 {
	meta:
		name = "?assemble_floating_point_qnan@__crt_strtox@@YAX_NAAU_LDBL12@@@Z"
		size = 94
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 10 30 00 2B 03 D0 4F F4 00 43 01 93 01 E0 00 23 01 93 01 9B 9B B2 AD F8 00 30 05 9A 4F F6 FF 73 13 80 05 9B 9A 1C 6F F0 00 03 13 60 05 9B 9A 1D 6F F0 00 03 13 60 BD F8 00 20 47 F6 FF 73 13 43 9A B2 05 9B 0A 33 1A 80 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_32_0 {
	meta:
		name = "?assemble_floating_point_snan@__crt_strtox@@YAX_NAAU_LDBL12@@@Z"
		size = 94
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 10 30 00 2B 03 D0 4F F4 00 43 01 93 01 E0 00 23 01 93 01 9B 9B B2 AD F8 00 30 05 9A 4F F6 FF 73 13 80 05 9B 9A 1C 6F F0 00 03 13 60 05 9B 9A 1D 6F F0 80 43 13 60 BD F8 00 20 47 F6 FF 73 13 43 9A B2 05 9B 0A 33 1A 80 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_33_0 {
	meta:
		name = "?assemble_floating_point_zero@__crt_strtox@@YAX_NAAU_LDBL12@@@Z"
		size = 82
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 10 30 00 2B 03 D0 4F F4 00 43 01 93 01 E0 00 23 01 93 01 9B 9B B2 AD F8 00 30 05 9A 00 23 13 80 05 9B 9A 1C 00 23 13 60 05 9B 9A 1D 00 23 13 60 05 9B 03 F1 0A 02 BD F8 00 30 13 80 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_34_0 {
	meta:
		name = "?common_convert_to_ldbl12@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@_NAAU_LDBL12@@@Z"
		size = 240
		refs = "0008 __security_push_cookie 0018 memcpy 0086 ??$convert_mantissa_to_ld12@$0BA@@@YAXQBEIQAU_LDBL12@@@Z 008e ?multiply_two_pow_ld12@@YAXQAU_LDBL12@@H@Z 009a ??$convert_mantissa_to_ld12@$09@@YAXQBEIQAU_LDBL12@@@Z 00a2 ?multiply_ten_pow_ld12@@YAXQAU_LDBL12@@H@Z 00e4 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 47 7D CA 99 04 A8 4F F4 43 72 ?? ?? ?? ?? 05 9B 18 2B 18 D9 9D F8 2C 33 00 2B 02 D0 08 23 00 93 01 E0 05 23 00 93 06 AB 18 33 1A 78 00 9B 9A 42 07 DB 06 AB 17 33 1B 78 5B 1C DA B2 06 AB 17 33 1A 70 18 23 05 93 9D F8 2C 33 00 2B 02 D0 04 23 01 93 01 E0 01 23 01 93 01 9B 03 93 05 9A 03 9B 02 FB 03 F2 04 9B 9B 1A 04 93 9D F8 2C 33 00 2B 09 D0 CC 9A 05 99 06 A8 ?? ?? ?? ?? 04 99 CC 98 ?? ?? ?? ?? 08 E0 CC 9A 05 99 06 A8 ?? ?? ?? ?? 04 99 CC 98 ?? ?? ?? ?? 9D F8 18 33 00 2B 09 D0 CC 9B 0A 33 1B 88 43 F4 00 41 CC 9B 03 F1 0A 02 8B B2 13 80 CC 9B 0A 33 1A 88 6F F3 DF 32 47 F6 FF 73 9A 42 02 D1 03 23 02 93 01 E0 00 23 02 93 02 98 0D F5 47 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_274_35_0 {
	meta:
		name = "?convert_decimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@AAU_LDBL12@@@Z"
		size = 38
		refs = "0010 ?common_convert_to_ldbl12@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@_NAAU_LDBL12@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_36_0 {
	meta:
		name = "?convert_hexadecimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@AAU_LDBL12@@@Z"
		size = 38
		refs = "0010 ?common_convert_to_ldbl12@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@_NAAU_LDBL12@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_37_0 {
	meta:
		name = "?convert_ld12_to_ldouble@@YAXQBU_LDBL12@@QAU_LDOUBLE@@@Z"
		size = 162
		refs = "0008 __security_push_cookie 004a ?round_mantissa@@YA_NQAIH@Z 0096 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 85 B0 08 9B 0A 33 1B 88 6F F3 DF 33 9B B2 AD F8 02 30 08 9B 0A 33 1B 88 03 F4 00 43 9B B2 AD F8 04 30 08 9B 9B 1D 1B 68 02 93 08 9B 9B 1C 1B 68 03 93 08 9B 1B 88 1B 04 04 93 40 21 02 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 09 D0 02 AA 4F F0 00 43 13 60 BD F8 02 30 5B 1C 9B B2 AD F8 02 30 02 A9 09 9B 1A 1D 0B 68 13 60 02 AB 1B 1D 09 9A 1B 68 13 60 BD F8 04 20 BD F8 02 30 13 43 9A B2 09 9B 08 33 1A 80 05 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_38_0 {
	meta:
		name = "?get@?$c_string_character_source@D@__crt_strtox@@QAADXZ"
		size = 54
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 93 F9 00 30 8D F8 00 30 04 9B 1B 68 5A 1C 04 9B 1A 60 9D F9 00 30 8D F8 04 30 9D F9 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_39_0 {
	meta:
		name = "?increment_mantissa@@YA_NQAIH@Z"
		size = 182
		refs = "000e __rt_sdiv 0046 ?add_uint32_carry@@YA_NIIQAI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 99 20 20 ?? ?? ?? ?? 01 90 09 99 20 20 ?? ?? ?? ?? C1 F1 1F 03 02 93 02 9A 01 23 93 40 03 93 01 9A 04 23 02 FB 03 F2 08 9B 1A 44 03 99 01 98 04 23 00 FB 03 F0 08 9B 03 44 18 68 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 00 30 01 9B 5B 1E 01 93 02 E0 01 9B 5B 1E 01 93 01 9B 00 2B 1A DB 9D F8 00 30 00 2B 16 D0 01 9A 04 23 02 FB 03 F2 08 9B 1A 44 01 21 01 98 04 23 00 FB 03 F0 08 9B 03 44 18 68 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 8D F8 00 30 DE E7 9D F8 00 30 8D F8 10 30 9D F8 10 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_40_0 {
	meta:
		name = "?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
		size = 104
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 30 2B 06 DB 04 9B 39 2B 03 DC 01 23 8D F8 00 30 1D E0 04 9B 61 2B 06 DB 04 9B 7A 2B 03 DC 01 23 8D F8 00 30 13 E0 04 9B 41 2B 06 DB 04 9B 5A 2B 03 DC 01 23 8D F8 00 30 09 E0 04 9B 5F 2B 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_41_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z"
		size = 64
		refs = "0014 _ischartype_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9A 08 21 9D F9 18 30 D8 B2 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_42_0 {
	meta:
		name = "?mantissa_has_zero_tail@@YA_NQAIH@Z"
		size = 144
		refs = "000e __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 20 20 ?? ?? ?? ?? 00 90 07 99 20 20 ?? ?? ?? ?? C1 F1 1F 03 02 93 02 9A 6F F0 00 03 93 40 DB 43 03 93 00 9A 04 23 02 FB 03 F2 06 9B 13 44 1A 68 03 9B 13 40 00 2B 03 D0 00 23 8D F8 04 30 1A E0 00 9B 5B 1C 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 03 2B 0D DA 00 9A 04 23 02 FB 03 F2 06 9B 13 44 1B 68 00 2B 03 D0 00 23 8D F8 04 30 03 E0 EB E7 01 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_43_0 {
	meta:
		name = "?multiply_ld12@@YAXQAU_LDBL12@@QBU1@@Z"
		size = 984
		refs = "0008 __security_push_cookie 01e8 ?add_uint32_carry@@YA_NIIQAI@Z 0272 ??$shl_ld12@$00@@YAXQAU_LDBL12@@@Z 02bc ?shr_ld12@@YAXQAU_LDBL12@@@Z 03c4 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 93 B0 00 23 10 93 00 23 11 93 00 23 12 93 16 9B 0A 33 1B 88 AD F8 04 30 17 9B 0A 33 1B 88 AD F8 06 30 BD F8 04 20 BD F8 06 30 53 40 03 F4 00 43 9B B2 AD F8 0C 30 BD F8 04 30 6F F3 DF 33 9B B2 AD F8 04 30 BD F8 06 30 6F F3 DF 33 9B B2 AD F8 06 30 BD F8 04 20 BD F8 06 30 13 44 9B B2 AD F8 00 30 BD F8 04 20 47 F6 FF 73 9A 42 0B DA BD F8 06 20 47 F6 FF 73 9A 42 05 DA BD F8 00 20 4B F6 FD 73 9A 42 15 DD BD F8 0C 30 00 2B 02 D0 CE 4B 0A 93 01 E0 CB 4B 0A 93 16 9B 03 F1 08 02 0A 9B 13 60 16 9B 1A 1D 00 23 13 60 16 9A 00 23 13 60 81 E1 BD F8 00 20 43 F6 BF 73 9A 42 0C DC 16 9B 03 F1 08 02 00 23 13 60 16 9B 1A 1D 00 23 13 60 16 9A 00 23 13 60 6E E1 BD F8 04 30 00 2B 1B D1 BD F8 00 30 5B 1C 9B B2 AD F8 00 30 16 9B 08 33 1B 68 23 F0 00 43 00 2B 0E D1 16 9B 1B 1D 1B 68 00 2B 09 D1 16 9B 1B 68 00 2B 05 D1 16 9B 03 F1 0A 02 00 23 13 80 4E E1 BD F8 06 30 00 2B 22 D1 BD F8 00 30 5B 1C 9B B2 AD F8 00 30 17 9B 08 33 1B 68 23 F0 00 43 00 2B 15 D1 17 9B 1B 1D 1B 68 00 2B 10 D1 17 9B 1B 68 00 2B 0C D1 16 9B 03 F1 08 02 00 23 13 60 16 9B 1A 1D 00 23 13 60 16 9A 00 23 13 60 27 E1 00 23 05 93 00 23 04 93 02 E0 04 9B 5B 1C 04 93 04 9B 05 2B 62 DA 04 9B 5B 00 08 93 08 23 09 93 04 9A 05 23 9B 1A 07 93 02 E0 07 9B 5B 1E 07 93 07 9B 00 2B 4E DD 00 23 8D F8 02 30 16 9A 08 9B 13 44 0E 93 17 9A 09 9B 13 44 0F 93 10 AA 05 9B 13 44 06 93 0E 9B 1A 88 0F 9B 1B 88 02 FB 03 F3 0C 93 04 9B 13 F0 01 0F 11 D0 00 23 0B 93 0B AA 0C 99 06 9B 18 68 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 02 30 0B 9A 06 9B 1A 60 0B E0 06 9A 0C 99 06 9B 18 68 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 02 30 9D F8 02 30 00 2B 0B D0 05 9B 1A 1D 10 AB 13 44 1B 88 5B 1C 99 B2 05 9B 1A 1D 10 AB 13 44 19 80 08 9B 9B 1C 08 93 09 9B 9B 1E 09 93 AA E7 05 9B 9B 1C 05 93 96 E7 BD F8 00 20 43 F6 FE 73 D3 1A 9B B2 AD F8 00 30 BD F8 00 30 1B B2 00 2B 0D DD 12 9B 13 F0 00 4F 09 D1 10 A8 ?? ?? ?? ?? BD F8 00 30 5B 1E 9B B2 AD F8 00 30 EC E7 BD F8 00 30 1B B2 00 2B 2A DC 00 23 8D F8 08 30 BD F8 00 30 5B 1E 9B B2 AD F8 00 30 BD F8 00 30 1B B2 00 2B 11 DA BD F8 40 30 13 F0 01 0F 02 D0 01 23 8D F8 08 30 10 A8 ?? ?? ?? ?? BD F8 00 30 5B 1C 9B B2 AD F8 00 30 E8 E7 9D F8 08 30 00 2B 06 D0 BD F8 40 30 43 F0 01 03 9B B2 AD F8 40 30 BD F8 40 30 B3 F5 00 4F 05 DC 10 9B 6F F3 5F 43 B3 F5 C0 3F 32 D1 DD F8 42 30 B3 F1 FF 3F 28 D1 00 23 CD F8 42 30 DD F8 46 30 B3 F1 FF 3F 1A D1 00 23 CD F8 46 30 BD F8 4A 20 4F F6 FF 73 9A 42 0A D1 4F F4 00 43 AD F8 4A 30 BD F8 00 30 5B 1C 9B B2 AD F8 00 30 05 E0 BD F8 4A 30 5B 1C 9B B2 AD F8 4A 30 04 E0 DD F8 46 30 5B 1C CD F8 46 30 04 E0 DD F8 42 30 5B 1C CD F8 42 30 BD F8 00 20 47 F6 FF 73 9A 42 15 DB BD F8 0C 30 00 2B 02 D0 17 4B 0D 93 01 E0 15 4B 0D 93 16 9B 03 F1 08 02 0D 9B 13 60 16 9B 1A 1D 00 23 13 60 16 9A 00 23 13 60 14 E0 16 9A BD F8 42 30 13 80 16 9B 9A 1C 11 9B 13 60 16 9B 9A 1D 12 9B 13 60 BD F8 00 20 BD F8 0C 30 13 43 9A B2 16 9B 0A 33 1A 80 13 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB 00 80 FF 7F 00 80 FF FF }
	condition:
		$1
}

rule file_274_44_0 {
	meta:
		name = "?multiply_ten_pow_ld12@@YAXQAU_LDBL12@@H@Z"
		size = 160
		refs = "0008 __security_push_cookie 006e memcpy 0084 ?multiply_ld12@@YAXQAU_LDBL12@@QBU1@@Z 008c __security_pop_cookie 0098 ?ld12_pow10_negative@@3QBU_LDBL12@@B 009c ?ld12_pow10_positive@@3QBU_LDBL12@@B"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 87 B0 0B 9B 00 2B 00 D1 39 E0 21 4B 60 3B 00 93 0B 9B 00 2B 05 DA 0B 9B 5B 42 0B 93 1B 4B 60 3B 00 93 0B 9B 00 2B 2A D0 00 9B 54 33 00 93 0B 9B 03 F0 07 03 02 93 0B 9B DB 10 0B 93 02 9B 00 2B 00 D1 EE E7 02 9A 0C 23 02 FB 03 F2 00 9B 13 44 01 93 01 9B 1B 88 B3 F5 00 4F 0B DB 01 99 04 A8 0C 22 ?? ?? ?? ?? DD F8 12 30 5B 1E CD F8 12 30 04 AB 01 93 01 99 0A 98 ?? ?? ?? ?? D1 E7 07 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_45_0 {
	meta:
		name = "?multiply_two_pow_ld12@@YAXQAU_LDBL12@@H@Z"
		size = 80
		refs = "0008 __security_push_cookie 0014 memset 003e ?multiply_ld12@@YAXQAU_LDBL12@@QBU1@@Z 0044 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 83 B0 0C 22 00 21 68 46 ?? ?? ?? ?? 00 23 AD F8 00 30 00 23 CD F8 02 30 4F F0 00 43 CD F8 06 30 07 9A 43 F6 FF 73 13 44 9B B2 AD F8 0A 30 69 46 06 98 ?? ?? ?? ?? 03 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_46_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAID@Z"
		size = 110
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F9 10 30 30 2B 08 DB 9D F9 10 30 39 2B 04 DC 9D F9 10 30 30 3B 00 93 1E E0 9D F9 10 30 61 2B 09 DB 9D F9 10 30 7A 2B 05 DC 9D F9 10 30 61 3B 0A 33 00 93 10 E0 9D F9 10 30 41 2B 09 DB 9D F9 10 30 5A 2B 05 DC 9D F9 10 30 41 3B 0A 33 00 93 02 E0 6F F0 00 03 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_47_0 {
	meta:
		name = "?restore_state@?$c_string_character_source@D@__crt_strtox@@QAA_NQBD@Z"
		size = 36
		altNames = "?restore_state@?$c_string_character_source@_W@__crt_strtox@@QAA_NQB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_48_0 {
	meta:
		name = "?round_mantissa@@YA_NQAIH@Z"
		size = 224
		refs = "001a __rt_sdiv 0056 ?mantissa_has_zero_tail@@YA_NQAIH@Z 006a ?increment_mantissa@@YA_NQAIH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 9B 5B 1E 04 93 04 9B 5B 1C 03 93 03 99 20 20 ?? ?? ?? ?? 01 90 03 99 20 20 ?? ?? ?? ?? C1 F1 1F 03 05 93 05 9A 01 23 93 40 06 93 00 23 8D F8 00 30 01 9A 04 23 02 FB 03 F2 0A 9B 13 44 1A 68 06 9B 13 40 00 2B 13 D0 03 99 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 09 D1 04 99 0A 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 8D F8 00 30 01 9A 04 23 02 FB 03 F2 0A 9B 99 18 05 9A 6F F0 00 03 03 FA 02 F2 0B 68 03 EA 02 01 01 9A 04 23 02 FB 03 F2 0A 9B 13 44 19 60 01 9B 5B 1C 02 93 02 E0 02 9B 5B 1C 02 93 02 9B 03 2B 08 DA 02 9A 04 23 02 FB 03 F2 0A 9B 1A 44 00 23 13 60 F0 E7 9D F8 00 30 8D F8 1C 30 9D F8 1C 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_50_0 {
	meta:
		name = "?shr_ld12@@YAXQAU_LDBL12@@@Z"
		size = 122
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 08 33 1B 68 13 F0 01 0F 03 D0 4F F0 00 43 00 93 01 E0 00 23 00 93 00 9B 02 93 06 9B 1B 1D 1B 68 13 F0 01 0F 03 D0 4F F0 00 43 01 93 01 E0 00 23 01 93 01 9B 03 93 06 9B 08 33 1B 68 5A 08 06 9B 08 33 1A 60 06 9B 1B 1D 1B 68 5A 08 02 9B 1A 43 06 9B 1B 1D 1A 60 06 9B 1B 68 5A 08 03 9B 1A 43 06 9B 1A 60 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_51_0 {
	meta:
		name = "?transform_into_return_value@@YAHW4SLD_STATUS@@@Z"
		size = 56
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 93 01 9B 02 2B 06 D0 01 9B 03 2B 00 D0 05 E0 03 23 00 93 04 E0 04 23 00 93 01 E0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_274_52_0 {
	meta:
		name = "?unget@?$c_string_character_source@D@__crt_strtox@@QAAXD@Z"
		size = 160
		refs = "0052 _CrtDbgReportW 0066 _errno 0080 _invalid_parameter 0090 ??_C@_1CM@GJENOOEJ@?$AAc?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAc?$AA?$AA@ 0094 ??_C@_1GK@MNHIDABG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 0098 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 1B 68 5A 1E 08 9B 1A 60 9D F9 24 30 00 2B 0A D0 08 9B 1B 68 93 F9 00 20 9D F9 24 30 9A 42 02 D0 00 23 02 93 01 E0 01 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 13 4B 01 93 15 4B 00 93 00 23 4F F4 DF 62 12 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 03 9B 00 2B 0E D1 ?? ?? ?? ?? 05 90 05 9A 16 23 13 60 00 23 00 93 4F F4 DF 63 07 4A 05 49 04 48 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_53_0 {
	meta:
		name = "?validate@?$c_string_character_source@D@__crt_strtox@@QBA_NXZ"
		size = 152
		refs = "0038 _CrtDbgReportW 004c _errno 0066 _invalid_parameter 0088 ??_C@_1BM@PNEBBBDO@?$AA_?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 008c ??_C@_1HA@MKKIHBHP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 0090 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 1B 68 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 EC 62 16 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 40 F2 EC 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_351_36_0 {
	meta:
		name = "?validate@?$c_string_character_source@_W@__crt_strtox@@QBA_NXZ"
		size = 152
		refs = "0038 _CrtDbgReportW 004c _errno 0066 _invalid_parameter 0088 ??_C@_1BM@PNEBBBDO@?$AA_?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 008c ??_C@_1HG@FCDBLOEG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 0090 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 1B 68 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 18 4B 01 93 1A 4B 00 93 00 23 40 F2 EC 62 16 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 40 F2 EC 63 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_274_57_0 {
	meta:
		name = "_atoldbl_l"
		size = 122
		refs = "0008 __security_push_cookie 0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 001c memset 002a ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 0036 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0042 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAU_LDBL12@@@Z 0050 ?convert_ld12_to_ldouble@@YAXQBU_LDBL12@@QAU_LDOUBLE@@@Z 0056 ?transform_into_return_value@@YAHW4SLD_STATUS@@@Z 0062 ??1_LocaleUpdate@@QAA@XZ 006e __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 93 B0 18 99 0A A8 ?? ?? ?? ?? 0C 22 00 21 10 A8 ?? ?? ?? ?? 0E AB 00 93 00 22 17 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 0A A8 ?? ?? ?? ?? 03 90 10 AA 02 99 03 98 ?? ?? ?? ?? 04 90 04 9B 05 93 16 99 10 A8 ?? ?? ?? ?? 05 98 ?? ?? ?? ?? 06 90 06 9B 07 93 0A A8 ?? ?? ?? ?? 07 9B 08 93 08 98 13 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_275_5_0 {
	meta:
		name = "_mbscoll_l"
		size = 236
		refs = "0014 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002a _CrtDbgReportW 0034 _errno 0074 _invalid_parameter 0086 _strcoll_l 00a6 __acrt_CompareStringA 00d8 ??_C@_1BG@PNMJHEJ@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00dc ??_C@_1HA@GAEOLGNC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00e0 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00e8 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 89 B0 0C 46 05 46 04 A8 11 46 16 46 ?? ?? ?? ?? A5 B9 32 4B 32 4C 2F 49 00 93 00 23 32 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 32 23 14 E0 CC B9 27 4B 25 4C 24 49 00 93 00 23 33 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 33 23 1B 4A 19 49 20 46 ?? ?? ?? ?? 1C E0 06 9A 93 68 2B B9 32 46 21 46 28 46 ?? ?? ?? ?? 17 E0 53 68 D2 F8 1C 12 05 A8 03 93 6F F0 00 03 02 93 00 93 2B 46 4F F4 80 52 01 94 ?? ?? ?? ?? 30 B9 ?? ?? ?? ?? 16 23 03 60 6F F0 00 40 00 E0 80 1E 9D F8 1C 30 33 B1 04 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 09 B0 BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_276_0_0 {
	meta:
		name = "acos"
		size = 1016
		refs = "008a _handle_nan 00ae val_with_flags 0134 _handle_error 01a6 sqrt 037c ?piby2_head@?1??acos@@9@9 0380 ?piby2_tail@?1??acos@@9@9 0384 ?pi@?1??acos@@9@9 03e0 ??_C@_04PDIFKINK@acos?$AA@ 03f0 ?piby2@?1??acos@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 B2 B0 8D ED 06 0B 9F ED 01 0B 04 E0 FE DE 00 00 00 00 00 00 00 00 8D ED 14 0B 00 23 0B 93 9D ED 06 0B 53 EC 10 2B 0C 92 0D 93 0C 9A 0D 9B 23 F0 00 43 1A 92 1B 93 0D 9B 03 F0 00 42 00 23 12 93 13 92 1A 9B 1C 93 1B 9B 1D 93 1C 9B 18 93 1D 9A E7 4B 9A 42 06 D3 02 D8 18 9B 00 2B 02 D9 01 23 10 93 01 E0 00 23 10 93 10 9B 19 93 0D 9A DF 4B 13 40 1B 0D A3 F2 FF 33 0A 93 19 9B 00 2B 0B D0 0C 98 0D 99 ?? ?? ?? ?? 8D ED 26 0B 9D ED 26 0B 8D ED 08 0B 69 E1 53 E0 0A 9B 13 F1 38 0F 0D DA 10 20 D1 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 28 0B 9D ED 28 0B 8D ED 08 0B 57 E1 41 E0 0A 9B 00 2B 3E DB 9D ED 06 1B B7 EE 00 0B B4 EE 40 1B F1 EE 10 FA 05 D1 9F ED C3 0B 8D ED 08 0B 45 E1 2F E0 9D ED 06 1B BF EE 00 0B B4 EE 40 1B F1 EE 10 FA 0D D1 10 20 A2 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 2A 0B 9D ED 2A 0B 8D ED 08 0B 2E E1 18 E0 01 23 03 93 9F ED B3 1B 9D ED 06 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 AD 4B 0D 21 AB 48 ?? ?? ?? ?? 8D ED 2C 0B 9D ED 2C 0B 8D ED 08 0B 14 E1 12 9B 1E 93 13 9B 1F 93 1F 9A 1E 9B 13 43 00 2B 06 D0 9D ED 06 0B B1 EE 40 0B 8D ED 0E 0B 03 E0 9D ED 06 0B 8D ED 0E 0B 0A 9B B3 F1 FF 3F 02 DB 01 23 11 93 01 E0 00 23 11 93 11 9B 0B 93 0B 9B 00 2B 1A D0 B7 EE 00 1B 9D ED 0E 0B 31 EE 40 1B B6 EE 00 0B 20 EE 01 0B 8D ED 04 0B 9D ED 04 0B ?? ?? ?? ?? 8D ED 2E 0B 9D ED 2E 0B 8D ED 14 0B 9D ED 14 0B 8D ED 0E 0B 07 E0 9D ED 0E 1B 9D ED 0E 0B 21 EE 00 0B 8D ED 04 0B 9F ED 81 1B 9D ED 04 0B 21 EE 00 1B 9F ED 7C 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 76 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 70 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 6A 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 64 0B 30 EE 01 1B 9D ED 04 0B 20 EE 01 2B 9F ED 5E 1B 9D ED 04 0B 21 EE 00 1B 9F ED 59 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 53 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 4D 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 47 0B 30 EE 01 0B 82 EE 00 0B 8D ED 22 0B 0B 9B 00 2B 62 D0 12 9B 20 93 13 9B 21 93 21 9A 20 9B 13 43 00 2B 1B D0 9D ED 0E 1B 9D ED 22 0B 21 EE 00 1B 38 4B 93 ED 00 0B 31 EE 40 1B 9D ED 14 0B 30 EE 01 1B B0 EE 00 0B 20 EE 01 1B 33 4B 93 ED 00 0B 30 EE 41 0B 8D ED 08 0B 54 E0 3C E0 9D ED 14 0B 53 EC 10 2B 24 92 25 93 25 9A 00 23 42 EC 10 3B 8D ED 16 0B 9D ED 16 1B 9D ED 16 0B 21 EE 00 1B 9D ED 04 0B 30 EE 41 2B 9D ED 14 1B 9D ED 16 0B 31 EE 00 0B 82 EE 00 0B 8D ED 30 0B B0 EE 00 1B 9D ED 16 0B 21 EE 00 3B B0 EE 00 1B 9D ED 30 0B 21 EE 00 2B B0 EE 00 1B 9D ED 0E 0B 21 EE 00 1B 9D ED 22 0B 21 EE 00 0B 32 EE 00 0B 33 EE 00 0B 8D ED 08 0B 16 E0 15 E0 9D ED 06 1B 9D ED 22 0B 21 EE 00 1B 0B 4B 93 ED 00 0B 30 EE 41 1B 9D ED 06 0B 30 EE 41 1B 06 4B 93 ED 00 0B 30 EE 41 0B 8D ED 08 0B 9D ED 08 0B 32 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 28 F2 01 20 B1 D6 F5 3F EA CD 03 F9 46 46 0A C0 FC CC 1D 57 21 20 06 40 8D F7 18 B4 4A 32 EE BF 76 CE 82 29 42 1A BB 3F 34 98 02 80 41 1E CD 3F AC 9E 26 7E 29 7B DC BF 59 EF B7 C1 BE A2 D1 3F 90 96 C2 90 D3 28 AC BF 35 21 A6 87 F8 E5 51 3F 61 10 32 5D 66 51 09 3F ?? ?? ?? ?? 00 00 F8 FF 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 00 00 F0 7F }
	condition:
		$1
}

rule file_277_0_0 {
	meta:
		name = "conjl"
		size = 106
		refs = "0018 creall 0032 cimagl"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 06 1B 8D ED 04 0B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 00 0B 0C AB 9D ED 00 0B 83 ED 00 0B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B B1 EE 40 0B 0C AB 08 33 83 ED 00 0B 0C AB 93 ED 00 0B 8D ED 08 0B 93 ED 02 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B 10 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_566_0_0 {
	meta:
		name = "conj"
		size = 106
		refs = "0018 creal 0032 cimag"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 06 1B 8D ED 04 0B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 00 0B 0C AB 9D ED 00 0B 83 ED 00 0B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B B1 EE 40 0B 0C AB 08 33 83 ED 00 0B 0C AB 93 ED 00 0B 8D ED 08 0B 93 ED 02 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B 10 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_278_4_0 {
	meta:
		name = "?__acrt_fp_is_negative@@YA_NABN@Z"
		size = 68
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 01 9B 5B 68 C3 F3 C0 72 00 23 02 93 01 2A 05 D1 02 9B 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_278_5_0 {
	meta:
		name = "?fp_format_a@@YAHQBNPADIQADIH_NIQAU__crt_locale_pointers@@@Z"
		size = 1704
		refs = "0036 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 007a _CrtDbgReportW 0092 _errno 00b6 _invalid_parameter 00c4 ??1_LocaleUpdate@@QAA@XZ 011a ?fp_format_e@@YAHQBNQADI1IH_NIQAU__crt_locale_pointers@@@Z 014a ?strrchr@@YAPADQADH@Z 025c ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0536 __rt_sdiv64 0698 ??_C@_1IC@FILKPBAB@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs@ 069c ??_C@_1BI@PNBDLNBB@?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAa?$AA?$AA@ 06a0 ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 06a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B C4 B0 6F 46 86 B0 6F F0 01 03 C7 E9 42 33 D7 F8 34 31 00 2B 02 DA 00 23 C7 F8 34 31 D7 F8 24 21 00 23 13 70 D7 F8 40 11 17 F1 C0 00 ?? ?? ?? ?? C7 F8 D0 00 D7 F8 34 31 03 F1 0B 02 D7 F8 28 31 93 42 02 D9 01 23 3B 64 01 E0 00 23 3B 64 3B 6C 7B 64 7B 6C 00 2B 14 D1 DF F8 34 36 01 93 DF F8 38 36 00 93 00 23 4F F4 8F 72 DF F8 28 16 02 20 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 01 2B 00 D1 FE DE 7B 6C 00 2B 1E D1 ?? ?? ?? ?? C7 F8 94 00 D7 F8 94 20 22 23 13 60 00 23 00 93 4F F4 8F 73 DF F8 F4 25 DF F8 EC 15 DF F8 E4 05 ?? ?? ?? ?? 22 23 C7 F8 98 30 17 F1 C0 00 ?? ?? ?? ?? D7 F8 98 30 FB 62 DC E2 D7 F8 20 31 FB 61 FB 69 5B 68 C3 F3 0A 52 00 23 3B 66 40 F2 FF 73 9A 42 53 D1 3B 6E 00 2B 50 D1 00 23 04 93 D7 F8 3C 31 03 93 00 23 02 93 D7 F8 34 31 01 93 D7 F8 30 31 00 93 D7 F8 2C 31 D7 F8 28 21 D7 F8 24 11 D7 F8 20 01 ?? ?? ?? ?? 78 66 7B 6E FB 63 FB 6B 00 2B 0C D0 D7 F8 24 21 00 23 13 70 FB 6B BB 66 17 F1 C0 00 ?? ?? ?? ?? BB 6E FB 62 A2 E2 65 21 D7 F8 24 01 ?? ?? ?? ?? F8 66 FB 6E BB 62 BB 6A 00 2B 12 D0 97 F8 38 31 00 2B 02 D0 50 23 BB 75 01 E0 70 23 BB 75 97 F9 16 20 BB 6A 1A 70 BB 6A DB 1C BB 62 BA 6A 00 23 13 70 FB 6B 3B 67 17 F1 C0 00 ?? ?? ?? ?? 3B 6F FB 62 7B E2 FB 69 5B 68 C3 F3 C0 73 00 2B 08 D0 D7 F8 24 21 2D 23 13 70 D7 F8 24 31 5B 1C C7 F8 24 31 97 F8 38 31 00 2B 02 D0 41 23 3B 75 01 E0 61 23 3B 75 97 F9 14 30 39 3B 5B 1E FB 65 40 F2 FF 33 3B 63 00 23 7B 63 FB 69 5B 68 C3 F3 0A 53 00 2B 21 D1 D7 F8 24 21 30 23 13 70 D7 F8 24 31 5B 1C C7 F8 24 31 FB 69 BB 64 BB 6C 1A 68 BB 6C 5B 68 6F F3 1F 53 13 43 00 2B 04 D1 00 23 3B 63 00 23 7B 63 07 E0 3A 6B 79 6B 00 23 52 1E 61 EB 03 03 3A 63 7B 63 08 E0 D7 F8 24 21 31 23 13 70 D7 F8 24 31 5B 1C C7 F8 24 31 D7 F8 24 31 BB 61 D7 F8 24 31 5B 1C C7 F8 24 31 D7 F8 34 31 00 2B 03 D1 BA 69 00 23 13 70 0D E0 17 F1 C0 00 ?? ?? ?? ?? 78 67 7B 6F 1B 68 88 33 1B 68 1B 68 93 F9 00 20 BB 69 1A 70 FB 69 FB 64 FB 6C 1A 68 FB 6C 5B 68 6F F3 1F 53 BA 67 00 2B 03 D8 BB 6F 00 2B 40 F2 CE 80 30 23 3B 82 0F 23 3B 62 00 23 7B 62 B7 F9 10 40 7B 6A 03 FA 04 F1 C4 F1 20 02 3B 6A D3 40 41 EA 03 00 A4 F1 20 02 3B 6A 03 FA 02 F1 3B 6A 03 FA 04 F2 40 EA 01 03 3A 62 7B 62 B7 F9 10 30 00 2B 4C DB D7 F8 34 31 00 2B 48 DD FB 69 3B 65 3B 6D 1A 68 3B 6D 59 68 6F F3 1F 51 3B 6A 1A 40 7B 6A 01 EA 03 00 B7 F9 10 10 CA 40 C1 F1 20 03 00 FA 03 F3 1A 43 A1 F1 20 03 20 FA 03 F3 13 43 9B B2 7B 82 7B 8A 30 33 9B B2 7B 82 7B 8A 39 2B 05 DD FB 6D 9A B2 7B 8A 13 44 9B B2 7B 82 7B 8A 5A B2 D7 F8 24 31 1A 70 D7 F8 24 31 5B 1C C7 F8 24 31 3A 6A 7B 6A 7B 65 12 09 7B 6D 1B 07 1A 43 7B 6D 1B 09 3A 62 7B 62 B7 F9 10 30 1B 1F 1B B2 3B 82 D7 F8 34 31 5B 1E C7 F8 34 31 AE E7 B7 F9 10 30 00 2B 5B DB FB 69 BB 65 BB 6D 1A 68 BB 6D 59 68 6F F3 1F 51 3B 6A 1A 40 7B 6A 01 EA 03 00 B7 F9 10 10 CA 40 C1 F1 20 03 00 FA 03 F3 1A 43 A1 F1 20 03 20 FA 03 F3 13 43 9B B2 3B 87 3B 8F 08 2B 3C DD D7 F8 24 31 3B 60 3B 68 5B 1E 3B 60 3B 68 93 F9 00 30 66 2B 04 D0 3B 68 93 F9 00 30 46 2B 06 D1 3A 68 30 23 13 70 3B 68 5B 1E 3B 60 EE E7 3A 68 BB 69 9A 42 17 D0 3B 68 93 F9 00 30 39 2B 0A D1 FB 6D 5B 1C 5A B2 3B 68 93 F9 00 30 13 44 5A B2 3B 68 1A 70 06 E0 3B 68 93 F9 00 30 5B 1C 5A B2 3B 68 1A 70 09 E0 3B 68 5B 1E 3B 60 3B 68 93 F9 00 30 5B 1C 5A B2 3B 68 1A 70 04 E0 D7 F8 34 31 5B 1E C7 F8 34 31 D7 F8 34 31 00 2B 09 DD D7 F8 24 21 30 23 13 70 D7 F8 24 31 5B 1C C7 F8 24 31 EC E7 BB 69 93 F9 00 30 00 2B 02 D1 BB 69 C7 F8 24 31 97 F8 38 31 00 2B 02 D0 50 23 7B 75 01 E0 70 23 7B 75 97 F9 15 20 D7 F8 24 31 1A 70 D7 F8 24 31 5B 1C C7 F8 24 31 FB 69 5B 68 C3 F3 0A 50 3A 6B 79 6B 00 23 82 1A 8B 41 BA 60 FB 60 BB 68 C7 F8 A0 30 FB 68 C7 F8 A4 30 D7 F8 A0 30 FB 67 D7 F8 A4 30 00 2B 0D DB 02 DC FB 6F 00 2B 09 D3 D7 F8 24 21 2B 23 13 70 D7 F8 24 31 5B 1C C7 F8 24 31 0F E0 D7 F8 24 21 2D 23 13 70 D7 F8 24 31 5B 1C C7 F8 24 31 BA 68 F9 68 00 23 52 42 8B 41 BA 60 FB 60 D7 F8 24 31 BB 61 BA 69 30 23 13 70 BB 68 C7 F8 A8 30 FB 68 C7 F8 AC 30 D7 F8 A8 30 C7 F8 80 30 D7 F8 AC 30 00 2B 28 DB 04 DC D7 F8 80 30 B3 F5 7A 7F 22 D3 4F F4 7A 70 00 21 BA 68 FB 68 ?? ?? ?? ?? C7 F8 DC 30 C7 F8 D8 20 43 B2 30 33 5A B2 D7 F8 24 31 1A 70 D7 F8 24 31 5B 1C C7 F8 24 31 4F F4 7A 70 00 21 BA 68 FB 68 ?? ?? ?? ?? C7 F8 04 11 C7 F8 00 01 BA 60 FB 60 D7 F8 24 21 BB 69 9A 42 12 D1 BB 68 C7 F8 B0 30 FB 68 C7 F8 B4 30 D7 F8 B0 30 C7 F8 84 30 D7 F8 B4 30 00 2B 25 DB 03 DC D7 F8 84 30 64 2B 20 D3 64 20 00 21 BA 68 FB 68 ?? ?? ?? ?? C7 F8 E4 30 C7 F8 E0 20 43 B2 30 33 5A B2 D7 F8 24 31 1A 70 D7 F8 24 31 5B 1C C7 F8 24 31 64 20 00 21 BA 68 FB 68 ?? ?? ?? ?? C7 F8 EC 10 C7 F8 E8 00 BA 60 FB 60 D7 F8 24 21 BB 69 9A 42 12 D1 BB 68 C7 F8 B8 30 FB 68 C7 F8 BC 30 D7 F8 B8 30 C7 F8 88 30 D7 F8 BC 30 00 2B 25 DB 03 DC D7 F8 88 30 0A 2B 20 D3 0A 20 00 21 BA 68 FB 68 ?? ?? ?? ?? C7 F8 F4 30 C7 F8 F0 20 43 B2 30 33 5A B2 D7 F8 24 31 1A 70 D7 F8 24 31 5B 1C C7 F8 24 31 0A 20 00 21 BA 68 FB 68 ?? ?? ?? ?? C7 F8 FC 10 C7 F8 F8 00 BA 60 FB 60 BB 68 5B B2 30 33 5A B2 D7 F8 24 31 1A 70 D7 F8 24 31 5B 1C C7 F8 24 31 D7 F8 24 21 00 23 13 70 00 23 C7 F8 8C 30 17 F1 C0 00 ?? ?? ?? ?? D7 F8 8C 30 FB 62 F8 6A 4A B0 BD E8 90 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_278_7_0 {
	meta:
		name = "?fp_format_e@@YAHQBNQADI1IH_NIQAU__crt_locale_pointers@@@Z"
		size = 216
		refs = "001c __acrt_fltout 008c __acrt_fp_strflt_to_string 00c2 ?fp_format_e_internal@@YAHQADIH_NIQAU_strflt@@1QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 91 B0 18 9B 17 9A 0E A9 19 98 40 1C 14 9C 94 ED 00 0B ?? ?? ?? ?? 16 9B B3 F1 FF 3F 02 D1 16 9B 06 93 15 E0 0E 9B 2D 2B 02 D1 01 23 04 93 01 E0 00 23 04 93 19 9B 00 2B 02 DD 01 23 05 93 01 E0 00 23 05 93 16 9A 04 9B D2 1A 05 9B D3 1A 06 93 0E 9B 2D 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 19 9B 00 2B 02 DD 01 23 08 93 01 E0 00 23 08 93 0E AB 19 9A 52 1C 06 99 15 9C 07 98 04 44 08 98 20 44 ?? ?? ?? ?? 0B 90 0B 9B 09 93 09 9B 00 2B 05 D0 15 9A 00 23 13 70 09 9B 0A 93 11 E0 1C 9B 03 93 00 23 02 93 0E AB 01 93 1B 9B 00 93 9D F8 68 30 19 9A 16 99 15 98 ?? ?? ?? ?? 0C 90 0C 9B 0A 93 0A 98 11 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_278_8_0 {
	meta:
		name = "?fp_format_e_internal@@YAHQADIH_NIQAU_strflt@@1QAU__crt_locale_pointers@@@Z"
		size = 624
		refs = "004a _CrtDbgReportW 005e _errno 0076 _invalid_parameter 0084 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00c2 ?shift_bytes@@YAXQADI0H@Z 00f2 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 014e strcpy_s 0164 _invoke_watson_if_error 01bc __rt_sdiv 0238 memmove 0242 ??1_LocaleUpdate@@QAA@XZ 0258 ??_C@_1BBA@FHDJNBGM@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt@ 025c ??_C@_1CK@BOLHOMFO@?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA?$AA@ 0260 ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0264 ??_C@_05KLBDPFGC@e?$CL000?$AA@ 0268 ??_C@_1KO@LJHOFBCD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs@ 026c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1C 9B 00 2B 02 DD 1C 9B 05 93 01 E0 00 23 05 93 05 9B 03 F1 09 02 1B 9B 93 42 02 D9 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 8B 4B 01 93 8B 4B 00 93 00 23 79 22 86 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 0E 90 0E 9A 22 23 13 60 00 23 00 93 79 23 7B 4A 7A 49 7C 48 ?? ?? ?? ?? 22 23 0C 93 E4 E0 21 99 14 A8 ?? ?? ?? ?? 9D F8 80 30 00 2B 1A D0 1F 9B 1B 68 2D 2B 02 D1 01 23 08 93 01 E0 00 23 08 93 1A 9A 08 9B 13 44 0F 93 1C 9B 00 2B 02 DD 01 23 09 93 01 E0 00 23 09 93 09 9B 0F 9A 1B 99 1A 98 ?? ?? ?? ?? 1A 9B 02 93 1F 9B 1B 68 2D 2B 05 D1 02 9A 2D 23 13 70 02 9B 5B 1C 02 93 1C 9B 00 2B 15 DD 02 9B 5B 1C 93 F9 00 20 02 9B 1A 70 14 A8 ?? ?? ?? ?? 10 90 02 9B 5B 1C 02 93 10 9B 1B 68 88 33 1B 68 1B 68 93 F9 00 20 02 9B 1A 70 9D F8 80 30 00 2B 02 D0 00 23 0A 93 01 E0 01 23 0A 93 02 9A 1C 9B 1A 44 0A 9B 13 44 02 93 1B 9B B3 F1 FF 3F 02 D1 1B 9B 0B 93 05 E0 02 9A 1A 9B D2 1A 1B 9B 9B 1A 0B 93 46 4A 0B 99 02 98 ?? ?? ?? ?? 11 90 00 23 01 93 9C 23 00 93 40 4B 3F 4A 3D 49 11 98 ?? ?? ?? ?? 02 9B 9B 1C 04 93 9D F8 74 30 00 2B 02 D0 02 9A 45 23 13 70 02 9B 5B 1C 02 93 1F 9B 08 33 1B 68 93 F9 00 30 30 2B 47 D0 1F 9B 1B 1D 1B 68 5B 1E 03 93 03 9B 00 2B 05 DA 03 9B 5B 42 03 93 02 9A 2D 23 13 70 02 9B 5B 1C 02 93 03 9B 64 2B 10 DB 03 99 64 20 ?? ?? ?? ?? 42 B2 02 9B 93 F9 00 30 13 44 5A B2 02 9B 1A 70 03 99 64 20 ?? ?? ?? ?? 03 91 02 9B 5B 1C 02 93 03 9B 0A 2B 10 DB 03 99 0A 20 ?? ?? ?? ?? 42 B2 02 9B 93 F9 00 30 13 44 5A B2 02 9B 1A 70 03 99 0A 20 ?? ?? ?? ?? 03 91 02 9B 5B 1C 02 93 03 9B 5A B2 02 9B 93 F9 00 30 13 44 5A B2 02 9B 1A 70 1E 9B 02 2B 0A D1 04 9B 93 F9 00 30 30 2B 05 D1 03 22 04 9B 59 1C 04 98 ?? ?? ?? ?? 00 23 12 93 14 A8 ?? ?? ?? ?? 12 9B 0C 93 0C 98 18 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_278_9_0 {
	meta:
		name = "?fp_format_f@@YAHQBNQADI1IHQAU__crt_locale_pointers@@@Z"
		size = 176
		refs = "0012 memset 0024 __acrt_fltout 006e __acrt_fp_strflt_to_string 009a ?fp_format_f_internal@@YAHQADIHQAU_strflt@@_NQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 8D B0 0C 22 00 21 0A A8 ?? ?? ?? ?? 14 9B 13 9A 0A A9 15 98 10 9C 94 ED 00 0B ?? ?? ?? ?? 12 9B B3 F1 FF 3F 02 D1 12 9B 03 93 0B E0 0A 9B 2D 2B 02 D1 01 23 02 93 01 E0 00 23 02 93 12 9A 02 9B D3 1A 03 93 0A 9B 2D 2B 02 D1 01 23 04 93 01 E0 00 23 04 93 0A AB 15 99 0B 9A 0A 44 03 99 11 9C 04 98 20 44 ?? ?? ?? ?? 07 90 07 9B 05 93 05 9B 00 2B 05 D0 11 9A 00 23 13 70 05 9B 06 93 0C E0 16 9B 01 93 00 23 00 93 0A AB 15 9A 12 99 11 98 ?? ?? ?? ?? 08 90 08 9B 06 93 06 98 0D B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_278_10_0 {
	meta:
		name = "?fp_format_f_internal@@YAHQADIHQAU_strflt@@_NQAU__crt_locale_pointers@@@Z"
		size = 310
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0082 ?shift_bytes@@YAXQADI0H@Z 00b4 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0118 memset 0122 ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 15 99 0A A8 ?? ?? ?? ?? 13 9B 1B 1D 1B 68 5B 1E 01 93 9D F8 50 30 00 2B 19 D0 01 9A 12 9B 9A 42 15 D1 13 9B 1B 68 2D 2B 02 D1 01 23 02 93 01 E0 00 23 02 93 10 9A 01 9B 1A 44 02 9B 13 44 03 93 03 9A 30 23 13 70 03 9B 5A 1C 00 23 13 70 10 9B 00 93 13 9B 1B 68 2D 2B 05 D1 00 9A 2D 23 13 70 00 9B 5B 1C 00 93 13 9B 1B 1D 1B 68 00 2B 0C DC 01 23 00 9A 11 99 10 98 ?? ?? ?? ?? 00 9A 30 23 13 70 00 9B 5B 1C 00 93 05 E0 13 9B 1B 1D 00 9A 1B 68 13 44 00 93 12 9B 00 2B 3A DD 01 23 00 9A 11 99 10 98 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 06 90 06 9B 1B 68 88 33 1B 68 1B 68 93 F9 00 20 00 9B 1A 70 00 9B 5B 1C 00 93 13 9B 1B 1D 1B 68 00 2B 1F DA 9D F8 50 30 00 2B 09 D1 13 9B 1B 1D 1B 68 5A 42 12 9B 9A 42 02 DB 12 9B 04 93 04 E0 13 9B 1B 1D 1B 68 5B 42 04 93 04 9B 05 93 05 9B 00 9A 11 99 10 98 ?? ?? ?? ?? 05 9A 30 21 00 98 ?? ?? ?? ?? 00 23 07 93 0A A8 ?? ?? ?? ?? 07 9B 08 93 08 98 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_278_11_0 {
	meta:
		name = "?fp_format_g@@YAHQBNQADI1IH_NIQAU__crt_locale_pointers@@@Z"
		size = 302
		refs = "0012 memset 0024 __acrt_fltout 006c __acrt_fp_strflt_to_string 00d8 ?fp_format_e_internal@@YAHQADIH_NIQAU_strflt@@1QAU__crt_locale_pointers@@@Z 0118 ?fp_format_f_internal@@YAHQADIHQAU_strflt@@_NQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 93 B0 0C 22 00 21 10 A8 ?? ?? ?? ?? 1A 9B 19 9A 10 A9 1B 98 16 9C 94 ED 00 0B ?? ?? ?? ?? 10 9B 2D 2B 02 D1 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 11 9B 5B 1E 06 93 17 9A 09 9B 13 44 05 93 18 9B B3 F1 FF 3F 02 D1 18 9B 0A 93 03 E0 18 9A 09 9B D3 1A 0A 93 0A 9B 0C 93 10 AB 1B 9A 0C 99 05 98 ?? ?? ?? ?? 0D 90 0D 9B 0B 93 0B 9B 00 2B 05 D0 17 9A 00 23 13 70 0B 9B 07 93 4C E0 11 9B 5A 1E 06 9B 93 42 03 DA 01 23 8D F8 10 30 02 E0 00 23 8D F8 10 30 9D F8 10 30 8D F8 11 30 11 9B 5B 1E 06 93 06 9B 13 F1 04 0F 03 DB 06 9A 1B 9B 9A 42 13 DB 1E 9B 03 93 01 23 02 93 10 AB 01 93 1D 9B 00 93 9D F8 70 30 1B 9A 18 99 17 98 ?? ?? ?? ?? 0E 90 0E 9B 07 93 1E E0 1D E0 9D F8 11 30 00 2B 0C D0 05 9B 93 F9 00 20 05 9B 5B 1C 05 93 00 2A 00 D0 F6 E7 05 9B 9A 1E 00 23 13 70 1E 9B 01 93 01 23 00 93 10 AB 1B 9A 18 99 17 98 ?? ?? ?? ?? 0F 90 0F 9B 07 93 07 98 13 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_278_12_0 {
	meta:
		name = "?fp_format_nan_or_infinity@@YAHW4__acrt_fp_class@@_NPADI1@Z"
		size = 364
		refs = "0008 __security_push_cookie 00ba strlen 0110 strcpy_s 0126 _invoke_watson_if_error 0132 __security_pop_cookie 0140 ??_C@_1LI@PCMLJPCO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_@ 0144 ??_C@_1DE@EHGIGIDK@?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAn?$AAa?$AAn?$AA_?$AAo?$AAr?$AA_?$AAi?$AAn?$AAf?$AAi?$AAn?$AAi?$AAt?$AAy?$AA?$AA@ 0148 ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 014c ??_C@_03LHCJEHON@nan?$AA@ 0150 ??_C@_08OFCDMILK@nan?$CIind?$CJ?$AA@ 0154 ??_C@_03LKNCIKJB@NAN?$AA@ 0158 ??_C@_08IKHNHAJ@NAN?$CIIND?$CJ?$AA@ 015c ??_C@_09IPFBKMDL@nan?$CIsnan?$CJ?$AA@ 0160 ??_C@_09OFJJIMPC@NAN?$CISNAN?$CJ?$AA@ 0164 ??_C@_03OJHLLCGB@inf?$AA@ 0168 ??_C@_03OEIAHPBN@INF?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9B B0 9D F8 7C 30 1A 1D 21 9B 93 42 05 D2 20 9A 00 23 13 70 0C 23 07 93 83 E0 9D F8 7C 30 00 2B 0B D0 20 9A 2D 23 13 70 20 9B 5B 1C 20 93 20 9A 00 23 13 70 21 9B 5B 1E 21 93 48 4B 0A 93 47 4B 0B 93 45 4B 0C 93 44 4B 0D 93 3F 4B 0E 93 3E 4B 0F 93 3B 4B 10 93 3A 4B 11 93 3E 4B 12 93 3A 4B 13 93 3B 4B 14 93 36 4B 15 93 38 4B 16 93 36 4B 17 93 34 4B 18 93 32 4B 19 93 1E 9B 5B 1E 04 93 9D F8 88 30 00 2B 02 D0 00 23 03 93 01 E0 02 23 03 93 03 9B 05 93 04 9A 10 23 02 FB 03 F2 0A AB 99 18 05 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 08 90 21 9A 08 9B 9A 42 03 D9 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 2B 02 D1 01 23 06 93 01 E0 00 23 06 93 04 9A 10 23 02 FB 03 F2 0A AB 99 18 05 9A 06 9B 1A 44 04 23 02 FB 03 F3 0B 44 1A 68 21 99 20 98 ?? ?? ?? ?? 09 90 00 23 01 93 58 23 00 93 0A 4B 08 4A 07 49 09 98 ?? ?? ?? ?? 00 23 07 93 07 98 1B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_278_13_0 {
	meta:
		name = "?shift_bytes@@YAXQADI0H@Z"
		size = 50
		refs = "0012 strlen 0024 memmove"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 00 2B 0B D0 06 98 ?? ?? ?? ?? 00 90 00 9B 5A 1C 06 99 06 98 07 9B 18 44 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_278_15_0 {
	meta:
		name = "__acrt_fp_format"
		size = 840
		refs = "0036 _CrtDbgReportW 004a _errno 0064 _invalid_parameter 01d4 ?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@ABN@Z 01e6 ?__acrt_fp_is_negative@@YA_NABN@Z 01fe ?fp_format_nan_or_infinity@@YAHW4__acrt_fp_class@@_NPADI1@Z 027e ?fp_format_a@@YAHQBNPADIQADIH_NIQAU__crt_locale_pointers@@@Z 02a8 ?fp_format_e@@YAHQBNQADI1IH_NIQAU__crt_locale_pointers@@@Z 02c8 ?fp_format_f@@YAHQBNQADI1IHQAU__crt_locale_pointers@@@Z 0312 ?fp_format_g@@YAHQBNQADI1IH_NIQAU__crt_locale_pointers@@@Z 0328 ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 032c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0330 ??_C@_1EI@JAHBOGIM@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAs?$AAu?$AAp?$AAp?$AAo?$AAr?$AAt?$AAe?$AAd?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0@ 0334 ??_C@_1DC@CKBKNFKH@?$AAs?$AAc?$AAr?$AAa?$AAt?$AAc?$AAh?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0338 ??_C@_1CC@LDAHJAKK@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?$AA@ 033c ??_C@_1DE@MNOPBCOK@?$AAs?$AAc?$AAr?$AAa?$AAt?$AAc?$AAh?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0340 ??_C@_1DA@NMLJJOCO@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0344 ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A4 B0 27 9B 00 2B 02 D0 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 0F D1 C7 4B 01 93 C0 4B 00 93 00 23 40 F2 AB 22 BD 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 11 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 40 F2 AB 23 B2 4A B5 49 B8 48 ?? ?? ?? ?? 16 23 08 93 56 E1 28 9B 00 2B 02 D9 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0F D1 AD 4B 01 93 A7 4B 00 93 00 23 4F F4 2B 72 A4 49 02 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 11 D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 00 23 00 93 4F F4 2B 73 99 4A 9C 49 9E 48 ?? ?? ?? ?? 16 23 08 93 24 E1 29 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 93 4B 01 93 8E 4B 00 93 00 23 40 F2 AD 22 8B 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 10 9B 00 2B 11 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 40 F2 AD 23 80 4A 83 49 84 48 ?? ?? ?? ?? 16 23 08 93 F2 E0 2A 9B 00 2B 02 D9 01 23 11 93 01 E0 00 23 11 93 11 9B 12 93 12 9B 00 2B 0F D1 78 4B 01 93 75 4B 00 93 00 23 40 F2 AE 22 72 49 02 20 ?? ?? ?? ?? 1B 90 1B 9B 01 2B 00 D1 FE DE 12 9B 00 2B 11 D1 ?? ?? ?? ?? 1C 90 1C 9A 16 23 13 60 00 23 00 93 40 F2 AE 23 67 4A 6A 49 69 48 ?? ?? ?? ?? 16 23 08 93 C0 E0 2B 9B 41 2B 0C D0 2B 9B 45 2B 09 D0 2B 9B 46 2B 06 D0 2B 9B 47 2B 03 D0 00 23 8D F8 19 30 02 E0 01 23 8D F8 19 30 9D F8 19 30 8D F8 18 30 2E 9B 03 F0 08 03 00 2B 1B D1 26 98 ?? ?? ?? ?? 1D 90 1D 9B 13 93 13 9B 00 2B 12 D0 26 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 18 30 00 93 28 9B 27 9A 9D F8 24 10 13 98 ?? ?? ?? ?? 1E 90 1E 9B 08 93 88 E0 2E 9B 03 F0 10 03 00 2B 02 D0 03 23 14 93 01 E0 02 23 14 93 14 9B 0A 93 2B 9B 07 93 07 9B 61 2B 0F DC 07 9B 61 2B 16 D0 07 9B 41 3B 07 93 07 9B 06 2B 4A D8 07 9A DF E8 02 F0 0E 48 48 48 23 38 58 58 07 9B 65 2B 1B D0 07 9B 66 2B 2D D0 07 9B 67 2B 4A D0 39 E0 30 9B 04 93 0A 9B 03 93 9D F8 18 30 02 93 2C 9B 01 93 2A 9B 00 93 29 9B 28 9A 27 99 26 98 ?? ?? ?? ?? 1F 90 1F 9B 08 93 48 E0 30 9B 04 93 0A 9B 03 93 9D F8 18 30 02 93 2C 9B 01 93 2A 9B 00 93 29 9B 28 9A 27 99 26 98 ?? ?? ?? ?? 20 90 20 9B 08 93 33 E0 30 9B 02 93 2C 9B 01 93 2A 9B 00 93 29 9B 28 9A 27 99 26 98 ?? ?? ?? ?? 21 90 21 9B 08 93 23 E0 16 4B 01 93 14 4B 00 93 00 23 40 F2 D5 22 11 49 02 20 ?? ?? ?? ?? 22 90 22 9B 01 2B 00 D1 FE DE 30 9B 04 93 0A 9B 03 93 9D F8 18 30 02 93 2C 9B 01 93 2A 9B 00 93 29 9B 28 9A 27 99 26 98 ?? ?? ?? ?? 23 90 23 9B 08 93 08 98 24 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_280_0_0 {
	meta:
		name = "__p___mb_cur_max"
		size = 48
		refs = "0008 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 4C 33 1B 68 01 93 01 A9 00 98 ?? ?? ?? ?? 01 9B 1B 1D 03 93 03 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_281_6_0 {
	meta:
		name = "_ismbcalpha_l"
		size = 100
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0046 __dcrt_multibyte_check_type"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? FF 2C 12 D8 01 9B E1 B2 1B 68 33 F8 11 20 40 F2 03 13 1A 42 07 D1 02 9B 0B 44 5B 7E 13 F0 01 0F 08 BF 00 20 08 D0 01 20 06 E0 01 A9 01 23 40 F2 03 12 20 46 ?? ?? ?? ?? 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_282_0_0 {
	meta:
		name = "_set_abort_behavior"
		size = 60
		refs = "0038 __abort_behavior"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 0B 4B 1B 68 00 93 05 9B DA 43 00 9B 03 EA 02 01 04 9A 05 9B 13 40 41 EA 03 02 04 4B 1A 60 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_282_1_0 {
	meta:
		name = "abort"
		size = 76
		refs = "0014 __acrt_report_runtime_error 0018 __acrt_get_sigabrt_handler 002a raise 003e _exit 0044 __abort_behavior 0048 ??_C@_1DA@LLLMNMKI@?$AAa?$AAb?$AAo?$AAr?$AAt?$AA?$CI?$AA?$CJ?$AA?5?$AAh?$AAa?$AAs?$AA?5?$AAb?$AAe?$AAe?$AAn?$AA?5?$AAc?$AAa?$AAl?$AAl?$AAe?$AAd?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 0E 4B 1B 68 13 F0 01 0F 02 D0 0D 48 ?? ?? ?? ?? ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 00 2B 02 D0 16 20 ?? ?? ?? ?? 05 4B 1B 68 13 F0 02 0F 01 D0 07 20 FB DE 03 20 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_283_0_0 {
	meta:
		name = "ldiv"
		size = 68
		refs = "0014 __rt_sdiv 0030 memcpy"
		altNames = "div"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 99 08 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 00 90 07 99 08 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 01 91 06 98 69 46 08 22 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_284_0_0 {
	meta:
		name = "?issue_debug_notification@@YA_NQB_W@Z"
		size = 92
		refs = "001a _CrtDbgReportW 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 01 93 12 4B 00 93 00 23 00 22 00 21 01 20 ?? ?? ?? ?? 04 90 04 9B 03 93 03 9B 00 2B 08 D0 03 9B 01 2B 00 D0 08 E0 FE DE 01 23 8D F8 08 30 06 E0 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_1_0 {
	meta:
		name = "?should_write_error_to_console@@YA_NXZ"
		size = 76
		refs = "000a _set_error_mode 0048 ?__acrt_app_type@@3W4_crt_app_type@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 03 20 ?? ?? ?? ?? 02 90 02 9B 01 93 01 9B 01 2B 03 D1 01 23 8D F8 00 30 0D E0 01 9B 00 2B 07 D1 07 4B 1B 68 01 2B 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 00 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_2_0 {
	meta:
		name = "?write_string_to_console@@YAXQB_W@Z"
		size = 180
		refs = "000a __security_push_cookie 009e __security_pop_cookie 00ac __imp_WriteFile 00b0 __imp_GetStdHandle"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 0A 7D 6F F0 0B 00 26 4B 1B 68 98 47 07 90 07 9B 05 93 05 9B 00 2B 03 D0 05 9B B3 F1 FF 3F 00 D1 33 E0 4F F4 FA 73 0A 93 0C AB 04 93 04 9B 03 F5 FA 73 06 93 04 9B 02 93 8E 9B 03 93 03 9B 1B 88 5A B2 02 9B 1A 70 02 9B 5B 1C 02 93 02 9A 06 9B 9A 42 06 D0 03 9B 1A 88 03 9B 9B 1C 03 93 00 2A EC D1 06 9B 5A 1E 00 23 13 70 02 9A 04 9B D3 1A 5B 1E 09 93 00 23 08 93 00 23 00 93 08 AB 09 9A 0C A9 05 98 05 4C 24 68 A0 47 0D F5 0A 7D ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_284_3_0 {
	meta:
		name = "__acrt_report_runtime_error"
		size = 412
		refs = "000c ?issue_debug_notification@@YA_NQB_W@Z 001e ?should_write_error_to_console@@YA_NXZ 0030 ?write_string_to_console@@YAXQB_W@Z 0056 wcscpy_s 006c _invoke_watson_if_error 00b2 wcslen 00ee wcsncpy_s 0110 wcscat_s 0152 __acrt_show_wide_message_box 0160 ?outmsg@?9??__acrt_report_runtime_error@@9@4PA_WA 0164 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 016c ??_C@_1IG@DFBBBDAN@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu?$AAn@ 0170 ??_C@_1DI@BLFJHKKP@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAr?$AAe?$AAp?$AAo?$AAr?$AAt?$AA_?$AAr?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0174 ??_C@_1IC@DCNEKBE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0178 ??_C@_1IG@MNNKBLBI@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu?$AAn@ 017c ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 0180 ??_C@_1HI@FLHKGEBE@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?9?$AA?5?$AA?$CI@ 0184 ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 0188 ??_C@_1HK@FJJNAABO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 018c ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 0190 __imp_GetModuleFileNameW 0194 ??_C@_1LE@MHPGJGKE@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu?$AAn@ 0198 ??_C@_1DE@JNGNBFGO@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?$CB?$AA?6?$AA?6?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 00 D0 9B E0 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 10 98 ?? ?? ?? ?? 8F E0 4A 4B 32 33 03 93 03 9A 48 4B D3 1A 5B 10 C3 F5 45 73 05 93 03 9B 04 93 52 4A 4F F4 45 71 42 48 ?? ?? ?? ?? 06 90 00 23 01 93 A0 23 00 93 43 4B 42 4A 4A 49 06 98 ?? ?? ?? ?? 03 9B 03 F5 02 72 00 23 13 80 4F F4 82 72 03 99 00 20 43 4B 1B 68 98 47 07 90 07 9B 00 2B 0F D1 3E 4A 05 99 03 98 ?? ?? ?? ?? 08 90 00 23 01 93 A5 23 00 93 33 4B 32 4A 37 49 08 98 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 09 90 09 9B 5B 1C 3C 2B 23 D9 03 98 ?? ?? ?? ?? 0A 90 0A 9B 5B 1C A3 F1 3C 02 02 23 02 FB 03 F2 04 9B 13 44 04 93 03 23 29 4A 04 98 03 99 41 1A 48 10 05 99 09 1A 04 98 ?? ?? ?? ?? 0B 90 00 23 01 93 AC 23 00 93 1D 4B 1C 4A 1F 49 0B 98 ?? ?? ?? ?? 1C 4A 4F F4 45 71 14 48 ?? ?? ?? ?? 0C 90 00 23 01 93 AF 23 00 93 15 4B 13 4A 15 49 0C 98 ?? ?? ?? ?? 10 9A 4F F4 45 71 0B 48 ?? ?? ?? ?? 0D 90 00 23 01 93 B0 23 00 93 0C 4B 0B 4A 09 49 0D 98 ?? ?? ?? ?? 06 4A 05 49 03 48 ?? ?? ?? ?? 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? 10 20 01 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_2_0 {
	meta:
		name = "??$common_open@D@@YAHQBDHH@Z"
		size = 348
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 00b4 ??$tsopen_nolock@PAHPAHABQBDABHHABHH@?$__crt_char_traits@D@@SAH$$QAPAH0ABQBDABH$$QAH23@Z 0118 __acrt_lowio_unlock_fh 0148 __pioinfo 014c ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0150 ??_C@_1BI@HOCKOFKK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0154 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0158 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 84 B0 BB 6C 00 2B 02 D0 01 23 3B 61 01 E0 00 23 3B 61 3B 69 7B 61 7B 69 00 2B 0E D1 48 4B 01 93 4A 4B 00 93 00 23 5C 22 47 49 02 20 ?? ?? ?? ?? B8 61 BB 69 01 2B 00 D1 FE DE 7B 69 00 2B 11 D1 ?? ?? ?? ?? F8 61 FA 69 16 23 13 60 00 23 00 93 5C 23 3C 4A 3B 49 39 48 ?? ?? ?? ?? 6F F0 00 03 FB 60 63 E0 6F F0 00 03 3B 60 00 23 BB 60 00 23 7B 60 00 23 3B 62 40 23 7B 62 3B 46 BB 62 17 F1 08 03 FB 62 17 F1 20 03 02 93 17 F1 50 03 01 93 17 F1 24 03 00 93 17 F1 4C 03 17 F1 48 02 17 F1 28 01 17 F1 2C 00 ?? ?? ?? ?? 38 63 3B 6B 7B 60 BB 68 00 2B 2B D0 7B 68 00 2B 25 D0 3B 68 9A 11 04 23 02 FB 03 F2 1C 4B 99 18 3B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 3B 68 9A 11 04 23 02 FB 03 F2 13 4B 99 18 3B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 38 68 ?? ?? ?? ?? 7B 68 00 2B 09 D0 ?? ?? ?? ?? 78 63 7A 68 7B 6B 1A 60 6F F0 00 03 FB 60 01 E0 3B 68 FB 60 F8 68 13 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_4_0 {
	meta:
		name = "??$common_open@_W@@YAHQB_WHH@Z"
		size = 348
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 00b4 ??$tsopen_nolock@PAHPAHABQB_WABHHABHH@?$__crt_char_traits@_W@@SAH$$QAPAH0ABQB_WABH$$QAH23@Z 0118 __acrt_lowio_unlock_fh 0148 __pioinfo 014c ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0150 ??_C@_1BI@HOCKOFKK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0154 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0158 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 84 B0 BB 6C 00 2B 02 D0 01 23 3B 61 01 E0 00 23 3B 61 3B 69 7B 61 7B 69 00 2B 0E D1 48 4B 01 93 4A 4B 00 93 00 23 5C 22 47 49 02 20 ?? ?? ?? ?? B8 61 BB 69 01 2B 00 D1 FE DE 7B 69 00 2B 11 D1 ?? ?? ?? ?? F8 61 FA 69 16 23 13 60 00 23 00 93 5C 23 3C 4A 3B 49 39 48 ?? ?? ?? ?? 6F F0 00 03 FB 60 63 E0 6F F0 00 03 3B 60 00 23 BB 60 00 23 7B 60 00 23 3B 62 40 23 7B 62 3B 46 BB 62 17 F1 08 03 FB 62 17 F1 20 03 02 93 17 F1 50 03 01 93 17 F1 24 03 00 93 17 F1 4C 03 17 F1 48 02 17 F1 28 01 17 F1 2C 00 ?? ?? ?? ?? 38 63 3B 6B 7B 60 BB 68 00 2B 2B D0 7B 68 00 2B 25 D0 3B 68 9A 11 04 23 02 FB 03 F2 1C 4B 99 18 3B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 3B 68 9A 11 04 23 02 FB 03 F2 13 4B 99 18 3B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 38 68 ?? ?? ?? ?? 7B 68 00 2B 09 D0 ?? ?? ?? ?? 78 63 7A 68 7B 6B 1A 60 6F F0 00 03 FB 60 01 E0 3B 68 FB 60 F8 68 13 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_3_0 {
	meta:
		name = "?fin$0@?0???$common_open@D@@YAHQBDHH@Z@4HA"
		size = 108
		refs = "005e __acrt_lowio_unlock_fh 0068 __pioinfo"
		altNames = "?fin$0@?0???$common_open@_W@@YAHQB_WHH@Z@4HA"
	strings:
		$1 = { 10 B5 84 B0 BB 68 00 2B 2B D0 7B 68 00 2B 25 D0 3B 68 9A 11 04 23 02 FB 03 F2 13 4B 99 18 3B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 3B 68 9A 11 04 23 02 FB 03 F2 09 4B 99 18 3B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 38 68 ?? ?? ?? ?? FF E7 04 B0 10 BD ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_6_0 {
	meta:
		name = "??$common_sopen_dispatch@D@@YAHQBDHHHQAHH@Z"
		size = 544
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0172 ??$tsopen_nolock@PAHABQAHABQBDABHABHABHABH@?$__crt_char_traits@D@@SAH$$QAPAHABQAHABQBDABH333@Z 01e0 __acrt_lowio_unlock_fh 0204 __pioinfo 0208 ??_C@_1FC@KMHFBDGJ@?$AA?$CI?$AAp?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT?$AAE@ 020c ??_C@_1CM@DJGGMBLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAo?$AAp?$AAe?$AAn?$AA_?$AAd?$AAi?$AAs?$AAp?$AAa?$AAt?$AAc?$AAh?$AA?$AA@ 0210 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0214 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0218 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 021c ??_C@_1BO@CKEBPLGM@?$AAp?$AAf?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 84 B0 3B 6E 00 2B 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 7C 4B 01 93 79 4B 00 93 00 23 9D 22 76 49 02 20 ?? ?? ?? ?? 78 62 7B 6A 01 2B 00 D1 FE DE 3B 69 00 2B 10 D1 ?? ?? ?? ?? B8 62 BA 6A 16 23 13 60 00 23 00 93 9D 23 6B 4A 6A 49 6D 48 ?? ?? ?? ?? 16 23 7B 60 C2 E0 3A 6E 6F F0 00 03 13 60 3B 6D 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 61 4B 01 93 5F 4B 00 93 00 23 A0 22 5C 49 02 20 ?? ?? ?? ?? F8 62 FB 6A 01 2B 00 D1 FE DE BB 69 00 2B 10 D1 ?? ?? ?? ?? 38 63 3A 6B 16 23 13 60 00 23 00 93 A0 23 51 4A 50 49 52 48 ?? ?? ?? ?? 16 23 7B 60 8E E0 7B 6E 00 2B 31 D0 FB 6D 23 F4 C0 73 00 2B 02 D1 01 23 FB 61 01 E0 00 23 FB 61 FB 69 3B 62 3B 6A 00 2B 0E D1 42 4B 01 93 44 4B 00 93 00 23 A4 22 41 49 02 20 ?? ?? ?? ?? 78 63 7B 6B 01 2B 00 D1 FE DE 3B 6A 00 2B 10 D1 ?? ?? ?? ?? B8 63 BA 6B 16 23 13 60 00 23 00 93 A4 23 37 4A 35 49 34 48 ?? ?? ?? ?? 16 23 7B 60 59 E0 00 23 BB 60 00 23 3B 60 17 F1 08 03 FB 63 17 F1 64 03 02 93 17 F1 5C 03 01 93 17 F1 58 03 00 93 17 F1 54 03 17 F1 50 02 17 F1 60 01 17 F1 3C 00 ?? ?? ?? ?? 38 64 3B 6C 3B 60 BB 68 00 2B 30 D0 3B 68 00 2B 29 D0 3B 6E 1B 68 9A 11 04 23 02 FB 03 F2 1B 4B 99 18 3B 6E 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 3B 6E 1B 68 9A 11 04 23 02 FB 03 F2 11 4B 99 18 3B 6E 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 3B 6E 18 68 ?? ?? ?? ?? 3B 68 00 2B 03 D0 3A 6E 6F F0 00 03 13 60 3B 68 7B 60 78 68 15 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_8_0 {
	meta:
		name = "??$common_sopen_dispatch@_W@@YAHQB_WHHHQAHH@Z"
		size = 544
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0172 ??$tsopen_nolock@PAHABQAHABQB_WABHABHABHABH@?$__crt_char_traits@_W@@SAH$$QAPAHABQAHABQB_WABH333@Z 01e0 __acrt_lowio_unlock_fh 0204 __pioinfo 0208 ??_C@_1FC@KMHFBDGJ@?$AA?$CI?$AAp?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT?$AAE@ 020c ??_C@_1CM@DJGGMBLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAo?$AAp?$AAe?$AAn?$AA_?$AAd?$AAi?$AAs?$AAp?$AAa?$AAt?$AAc?$AAh?$AA?$AA@ 0210 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0214 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0218 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 021c ??_C@_1BO@CKEBPLGM@?$AAp?$AAf?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 91 B0 6F 46 84 B0 3B 6E 00 2B 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 7C 4B 01 93 79 4B 00 93 00 23 9D 22 76 49 02 20 ?? ?? ?? ?? 78 62 7B 6A 01 2B 00 D1 FE DE 3B 69 00 2B 10 D1 ?? ?? ?? ?? B8 62 BA 6A 16 23 13 60 00 23 00 93 9D 23 6B 4A 6A 49 6D 48 ?? ?? ?? ?? 16 23 7B 60 C2 E0 3A 6E 6F F0 00 03 13 60 3B 6D 00 2B 02 D0 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 61 4B 01 93 5F 4B 00 93 00 23 A0 22 5C 49 02 20 ?? ?? ?? ?? F8 62 FB 6A 01 2B 00 D1 FE DE BB 69 00 2B 10 D1 ?? ?? ?? ?? 38 63 3A 6B 16 23 13 60 00 23 00 93 A0 23 51 4A 50 49 52 48 ?? ?? ?? ?? 16 23 7B 60 8E E0 7B 6E 00 2B 31 D0 FB 6D 23 F4 C0 73 00 2B 02 D1 01 23 FB 61 01 E0 00 23 FB 61 FB 69 3B 62 3B 6A 00 2B 0E D1 42 4B 01 93 44 4B 00 93 00 23 A4 22 41 49 02 20 ?? ?? ?? ?? 78 63 7B 6B 01 2B 00 D1 FE DE 3B 6A 00 2B 10 D1 ?? ?? ?? ?? B8 63 BA 6B 16 23 13 60 00 23 00 93 A4 23 37 4A 35 49 34 48 ?? ?? ?? ?? 16 23 7B 60 59 E0 00 23 BB 60 00 23 3B 60 17 F1 08 03 FB 63 17 F1 64 03 02 93 17 F1 5C 03 01 93 17 F1 58 03 00 93 17 F1 54 03 17 F1 50 02 17 F1 60 01 17 F1 3C 00 ?? ?? ?? ?? 38 64 3B 6C 3B 60 BB 68 00 2B 30 D0 3B 68 00 2B 29 D0 3B 6E 1B 68 9A 11 04 23 02 FB 03 F2 1B 4B 99 18 3B 6E 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 3B 6E 1B 68 9A 11 04 23 02 FB 03 F2 11 4B 99 18 3B 6E 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 3B 6E 18 68 ?? ?? ?? ?? 3B 68 00 2B 03 D0 3A 6E 6F F0 00 03 13 60 3B 68 7B 60 78 68 15 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_7_0 {
	meta:
		name = "?fin$0@?0???$common_sopen_dispatch@D@@YAHQBDHHHQAHH@Z@4HA"
		size = 120
		refs = "0068 __acrt_lowio_unlock_fh 0074 __pioinfo"
		altNames = "?fin$0@?0???$common_sopen_dispatch@_W@@YAHQB_WHHHQAHH@Z@4HA"
	strings:
		$1 = { 10 B5 84 B0 BB 68 00 2B 30 D0 3B 68 00 2B 29 D0 3B 6E 1B 68 9A 11 04 23 02 FB 03 F2 15 4B 99 18 3B 6E 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 3B 6E 1B 68 9A 11 04 23 02 FB 03 F2 0B 4B 99 18 3B 6E 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 3B 6E 18 68 ?? ?? ?? ?? FF E7 04 B0 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_16_0 {
	meta:
		name = "?configure_text_mode@@YAHHUfile_options@?A0xa9d50aae@@HAAW4__crt_lowio_text_mode@@@Z"
		size = 1048
		refs = "0054 _get_fmode 006c _invoke_watson_if_error 00ac _CrtDbgReportW 01aa _lseeki64_nolock 01ea _errno 022e _read_nolock 03b8 _write 03f8 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 03fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0400 ??_C@_1IA@IENOJNJF@?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CC?$AAO?$AAn?$AAl?$AAy?$AA?5?$AAU?$AAT?$AAF?$AA?9?$AA1?$AA6?$AA?5?$AAl?$AAi?$AAt?$AAt?$AAl?$AAe?$AA?5?$AAe?$AAn?$AAd?$AAi?$AAa?$AAn?$AA?5@ 0404 ??_C@_1CM@IDLMKMPG@?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CC?$AAI?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?$CC?$AA?$AA@ 0408 ??_C@_1DM@GAGCJPHI@?$AA?$CI?$AAo?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AAt?$AAe?$AAx?$AAt?$AA_?$AAm?$AAo?$AAd?$AAe?$AA_?$AAm?$AAa?$AAs?$AAk?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 040c ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 0410 ??_C@_1CI@FIBMFMKJ@?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAu?$AAr?$AAe?$AA_?$AAt?$AAe?$AAx?$AAt?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0414 __pioinfo"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B2 B0 3C 9A 00 23 13 70 34 9B 9A 11 04 23 02 FB 03 F2 FE 4B 99 18 34 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 80 0F 02 D1 00 23 02 93 D3 E1 4F F4 E8 23 30 93 3B 9B 03 F4 E8 23 00 2B 20 D1 00 23 09 93 09 A8 ?? ?? ?? ?? 12 90 00 23 01 93 4F F4 E6 73 00 93 E4 4B EA 4A E8 49 12 98 ?? ?? ?? ?? 09 9B 03 F4 E8 23 00 2B 04 D1 3B 9B 43 F4 80 43 3B 93 05 E0 09 9B 03 F4 E8 22 3B 9B 13 43 3B 93 3B 9B 03 F4 E8 23 00 2B 0F D1 DB 4B 01 93 D7 4B 00 93 00 23 40 F2 D5 12 D3 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 3B 9B 03 F4 E8 23 03 93 03 9B B3 F5 00 3F 10 D8 03 9B B3 F5 00 3F 29 D0 03 9B B3 F5 80 4F 15 D0 03 9B B3 F5 80 3F 15 D0 03 9B B3 F5 A0 3F 11 D0 23 E0 03 9B B3 F5 10 3F 18 D0 03 9B B3 F5 80 2F 18 D0 03 9B B3 F5 88 2F 14 D0 16 E0 3C 9A 00 23 13 70 12 E0 3B 9A 40 F2 01 33 1A 40 40 F2 01 33 9A 42 02 D1 3C 9A 02 23 13 70 06 E0 3C 9A 02 23 13 70 02 E0 3C 9A 01 23 13 70 3B 9B 03 F4 E0 23 00 2B 02 D1 00 23 02 93 50 E1 9D F9 D4 30 13 F0 40 0F 02 D0 00 23 02 93 48 E1 00 23 0B 93 00 23 04 93 36 9B 03 F0 40 43 0A 93 0A 9B B3 F1 80 4F 0B D0 0A 9B B3 F1 00 4F 04 D0 0A 9B B3 F1 40 4F 03 D0 4E E0 01 23 0B 93 4B E0 37 9B 06 93 06 9B 5B 1E 06 93 06 9B 04 2B 43 D8 06 9A DF E8 02 F0 3F 3F 03 03 3F 3F 02 23 00 93 00 22 00 23 34 98 ?? ?? ?? ?? 21 91 20 90 20 9B 22 93 21 9B 23 93 23 9A 22 9B 13 43 00 2B 25 D0 00 23 00 93 00 22 00 23 34 98 ?? ?? ?? ?? 25 91 24 90 24 9B 26 93 25 9B 27 93 27 9A 26 9B 13 40 B3 F1 FF 3F 06 D1 ?? ?? ?? ?? 14 90 14 9B 1B 68 02 93 F6 E0 36 9B 13 F0 00 4F 02 D0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0B 93 02 E0 01 23 04 93 02 E0 01 E0 01 23 04 93 0B 9B 00 2B 00 F0 9F 80 00 23 07 93 03 22 07 A9 34 98 ?? ?? ?? ?? 15 90 15 9B 0F 93 0F 9B 00 2B 14 DD 04 9B 01 2B 11 D1 6F 4B 01 93 6C 4B 00 93 00 23 40 F2 37 22 69 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 00 23 04 93 0F 9B 0C 93 0C 9B B3 F1 FF 3F 06 D0 0C 9B 02 2B 12 D0 0C 9B 03 2B 07 D0 55 E0 ?? ?? ?? ?? 17 90 17 9B 1B 68 02 93 AA E0 07 9A 58 4B 9A 42 03 D1 3C 9A 01 23 13 70 60 E0 07 9B 9A B2 4F F6 FE 73 9A 42 1C D1 54 4B 01 93 52 4B 00 93 00 23 40 F2 4A 22 4F 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 ?? ?? ?? ?? 1A 90 1A 9B 1B 68 02 93 7F E0 07 9B 9A B2 4F F6 FF 63 9A 42 1D D1 00 23 00 93 02 22 00 23 34 98 ?? ?? ?? ?? 29 91 28 90 28 9B 2A 93 29 9B 2B 93 2B 9A 2A 9B 13 40 B3 F1 FF 3F 06 D1 ?? ?? ?? ?? 1B 90 1B 9B 1B 68 02 93 5F E0 3C 9A 02 23 13 70 19 E0 00 23 00 93 00 22 00 23 34 98 ?? ?? ?? ?? 2D 91 2C 90 2C 9B 2E 93 2D 9B 2F 93 2F 9A 2E 9B 13 40 B3 F1 FF 3F 06 D1 ?? ?? ?? ?? 1C 90 1C 9B 1B 68 02 93 41 E0 04 9B 00 2B 3C D0 00 23 08 93 00 23 0D 93 3C 9B 93 F9 00 30 10 93 10 9B 01 2B 09 D0 10 9B 02 2B 00 D0 09 E0 4F F6 FF 63 0D 93 02 23 08 93 03 E0 18 4B 0D 93 03 23 08 93 00 23 05 93 08 9A 05 9B 9A 42 1D DD 0D AB 1D 93 08 9A 05 9B D2 1A 1D 99 05 9B 19 44 34 98 ?? ?? ?? ?? 1E 90 1E 9B 11 93 11 9B B3 F1 FF 3F 06 D1 ?? ?? ?? ?? 1F 90 1F 9B 1B 68 02 93 06 E0 05 9A 11 9B 13 44 05 93 DD E7 00 23 02 93 02 98 32 B0 5D F8 04 BB 5D F8 14 FB FE DE EF BB BF 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_17_0 {
	meta:
		name = "?create_file@@YAPAXQB_WQAU_SECURITY_ATTRIBUTES@@Ufile_options@?A0xa9d50aae@@@Z"
		size = 64
		refs = "003c __imp_CreateFileW"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 87 B0 00 23 02 93 11 9A 10 9B 13 43 01 93 0E 9B 00 93 0B 9B 0F 9A 0D 99 0A 98 05 4C 24 68 A0 47 04 90 04 9B 05 93 05 98 07 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_18_0 {
	meta:
		name = "?decode_access_flags@@YAKH@Z"
		size = 220
		refs = "0080 _CrtDbgReportW 0094 _errno 00ae _invalid_parameter 00cc ??_C@_1DC@MDAAFACM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00d0 ??_C@_1CI@CBNKIJOA@?$AAd?$AAe?$AAc?$AAo?$AAd?$AAe?$AA_?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA_?$AAf?$AAl?$AAa?$AAg?$AAs?$AA?$AA@ 00d4 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F0 03 03 03 93 03 9B 00 2B 06 D0 03 9B 01 2B 07 D0 03 9B 02 2B 15 D0 18 E0 4F F0 00 43 02 93 47 E0 0A 9B 13 F0 08 0F 08 D0 0A 9B 03 F4 E0 23 00 2B 03 D0 4F F0 40 43 02 93 3A E0 4F F0 80 43 02 93 36 E0 4F F0 40 43 02 93 32 E0 02 E0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 03 12 15 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 03 13 0A 4A 09 49 07 48 ?? ?? ?? ?? 6F F0 00 03 02 93 01 E0 00 23 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_19_0 {
	meta:
		name = "?decode_open_create_flags@@YAKH@Z"
		size = 264
		refs = "00ac _CrtDbgReportW 00c0 _errno 00da _invalid_parameter 00f8 ??_C@_1DC@MDAAFACM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00fc ??_C@_1DC@MNGJFJEL@?$AAd?$AAe?$AAc?$AAo?$AAd?$AAe?$AA_?$AAo?$AAp?$AAe?$AAn?$AA_?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAf?$AAl?$AAa?$AAg?$AAs?$AA?$AA@ 0100 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 F4 E0 63 02 93 02 9B B3 F5 80 6F 18 DC 02 9B B3 F5 80 6F 21 D0 02 9B B3 F5 00 7F 0B DC 02 9B B3 F5 00 7F 22 D0 02 9B 00 2B 16 D0 02 9B B3 F5 80 7F 15 D0 20 E0 02 9B B3 F5 40 7F 19 D0 1B E0 02 9B B3 F5 A0 6F 0E D0 02 9B B3 F5 C0 6F 0D D0 02 9B B3 F5 E0 6F 06 D0 0E E0 03 23 03 93 3E E0 04 23 03 93 3B E0 01 23 03 93 38 E0 05 23 03 93 35 E0 02 23 03 93 32 E0 02 E0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 1F 12 15 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 40 F2 1F 13 0A 4A 09 49 07 48 ?? ?? ?? ?? 6F F0 00 03 03 93 01 E0 00 23 03 93 03 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_20_0 {
	meta:
		name = "?decode_options@@YA?AUfile_options@?A0xa9d50aae@@HHH@Z"
		size = 316
		refs = "000a __security_push_cookie 0018 ?decode_access_flags@@YAKH@Z 0024 ?decode_open_create_flags@@YAKH@Z 0032 ?decode_sharing_flags@@YAKHH@Z 005c ?is_text_mode@@YA_NH@Z 012c __security_pop_cookie 0138 _umaskval"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 93 B0 00 23 8D F8 30 30 19 98 ?? ?? ?? ?? 03 90 03 9B 0D 93 19 98 ?? ?? ?? ?? 04 90 04 9B 0E 93 0D 99 1A 98 ?? ?? ?? ?? 05 90 05 9B 0F 93 80 23 10 93 00 23 11 93 19 9B 13 F0 80 0F 06 D0 9D F9 30 30 43 F0 10 03 5B B2 8D F8 30 30 19 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 06 D0 9D F9 30 30 43 F0 80 03 5B B2 8D F8 30 30 19 9B 13 F4 80 7F 09 D0 2D 4B 1B 68 DA 43 1B 9B 13 40 13 F0 80 0F 01 D1 01 23 10 93 19 9B 13 F0 40 0F 0B D0 11 9B 43 F0 80 63 11 93 0D 9B 43 F4 80 33 0D 93 0F 9B 43 F0 04 03 0F 93 19 9B 13 F4 80 5F 03 D0 10 9B 43 F4 80 73 10 93 19 9B 13 F4 00 5F 03 D0 11 9B 43 F0 00 73 11 93 19 9B 13 F0 20 0F 04 D0 11 9B 43 F0 00 63 11 93 07 E0 19 9B 13 F0 10 0F 03 D0 11 9B 43 F0 80 53 11 93 18 9A 0C AB 01 92 02 93 01 9D 02 9C 94 E8 0F 00 85 E8 0F 00 02 9B 10 33 02 93 01 9B 10 33 01 93 01 98 02 99 91 E8 0C 00 80 E8 0C 00 18 9B 06 93 06 98 13 B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_21_0 {
	meta:
		name = "?decode_sharing_flags@@YAKHH@Z"
		size = 232
		refs = "008c _CrtDbgReportW 00a0 _errno 00ba _invalid_parameter 00d8 ??_C@_1DI@OAOBKLOM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAs?$AAh?$AAa?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00dc ??_C@_1CK@LFHOGGAL@?$AAd?$AAe?$AAc?$AAo?$AAd?$AAe?$AA_?$AAs?$AAh?$AAa?$AAr?$AAi?$AAn?$AAg?$AA_?$AAf?$AAl?$AAa?$AAg?$AAs?$AA?$AA@ 00e0 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 03 93 03 9B 30 2B 09 DC 03 9B 30 2B 13 D0 03 9B 10 2B 0A D0 03 9B 20 2B 0A D0 1D E0 03 9B 40 2B 0C D0 03 9B 80 2B 0C D0 16 E0 00 23 02 93 46 E0 01 23 02 93 43 E0 02 23 02 93 40 E0 03 23 02 93 3D E0 0B 9B B3 F1 00 4F 03 D1 01 23 02 93 36 E0 02 E0 00 23 02 93 32 E0 02 E0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 4F F4 9D 72 15 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 4F F4 9D 73 0A 4A 09 49 07 48 ?? ?? ?? ?? 6F F0 00 03 02 93 01 E0 00 23 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_22_0 {
	meta:
		name = "?is_text_mode@@YA_NH@Z"
		size = 124
		refs = "002e _get_fmode 0046 _invoke_watson_if_error 0070 ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 0074 ??_C@_1BK@MIHMAFGB@?$AAi?$AAs?$AA_?$AAt?$AAe?$AAx?$AAt?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0078 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 13 F4 00 4F 03 D0 00 23 8D F8 08 30 22 E0 08 9B 03 F4 E8 23 00 2B 03 D0 01 23 8D F8 08 30 19 E0 04 A8 ?? ?? ?? ?? 03 90 00 23 01 93 4F F4 A4 73 00 93 0E 4B 0C 4A 0B 49 03 98 ?? ?? ?? ?? 04 9B B3 F5 00 4F 03 D0 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 00 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_24_0 {
	meta:
		name = "?truncate_ctrl_z_if_present@@YAHH@Z"
		size = 328
		refs = "0076 _lseeki64_nolock 009a __doserrno 00ae _errno 00c8 _read_nolock 00e2 _chsize_nolock 0144 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 16 9B 9A 11 04 23 02 FB 03 F2 4B 4B 99 18 16 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 03 F0 48 03 00 2B 02 D0 00 23 03 93 7D E0 16 9B 9A 11 04 23 02 FB 03 F2 3F 4B 99 18 16 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 80 0F 02 D1 00 23 03 93 66 E0 02 23 00 93 6F F0 00 02 6F F0 00 03 16 98 ?? ?? ?? ?? 0D 91 0C 90 0C 9B 0A 93 0D 9B 0B 93 0A 9B 0E 93 0B 9B 0F 93 0F 9A 0E 9B 13 40 B3 F1 FF 3F 10 D1 ?? ?? ?? ?? 04 90 04 9B 1B 68 83 2B 02 D1 00 23 03 93 43 E0 ?? ?? ?? ?? 05 90 05 9B 1B 68 03 93 3C E0 00 23 AD F8 08 30 01 22 02 A9 16 98 ?? ?? ?? ?? 06 90 06 9B 00 2B 14 D1 BD F8 08 30 1A 2B 10 D1 0A 9A 0B 9B 16 98 ?? ?? ?? ?? 07 90 07 9B B3 F1 FF 3F 06 D1 ?? ?? ?? ?? 08 90 08 9B 1B 68 03 93 1B E0 00 23 00 93 00 22 00 23 16 98 ?? ?? ?? ?? 11 91 10 90 10 9B 12 93 11 9B 13 93 13 9A 12 9B 13 40 B3 F1 FF 3F 06 D1 ?? ?? ?? ?? 09 90 09 9B 1B 68 03 93 01 E0 00 23 03 93 03 98 14 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_285_26_0 {
	meta:
		name = "_open"
		size = 76
		refs = "000a ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 0036 ??$common_open@D@@YAHQBDHH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 07 AB 1B 1D 00 93 00 9B 5B 42 03 F0 03 03 1A 1D 00 9B 13 44 00 93 00 9B 1B 1F 1B 68 01 93 00 23 00 93 01 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_31_0 {
	meta:
		name = "_wopen"
		size = 76
		refs = "000a ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 0036 ??$common_open@_W@@YAHQB_WHH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 07 AB 1B 1D 00 93 00 9B 5B 42 03 F0 03 03 1A 1D 00 9B 13 44 00 93 00 9B 1B 1F 1B 68 01 93 00 23 00 93 01 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_27_0 {
	meta:
		name = "_sopen"
		size = 114
		refs = "000a ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 0046 _sopen_dispatch"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 0E AB 1B 1D 02 93 02 9B 5B 42 03 F0 03 03 1A 1D 02 9B 13 44 02 93 02 9B 1B 1F 1B 68 05 93 00 23 02 93 6F F0 00 03 03 93 00 23 01 93 03 AB 00 93 05 9B 0E 9A 0D 99 0C 98 ?? ?? ?? ?? 06 90 06 9B 07 93 07 9B 00 2B 03 D0 6F F0 00 03 04 93 01 E0 03 9B 04 93 04 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_32_0 {
	meta:
		name = "_wsopen"
		size = 114
		refs = "000a ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 0046 _wsopen_dispatch"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 0E AB 1B 1D 02 93 02 9B 5B 42 03 F0 03 03 1A 1D 02 9B 13 44 02 93 02 9B 1B 1F 1B 68 05 93 00 23 02 93 6F F0 00 03 03 93 00 23 01 93 03 AB 00 93 05 9B 0E 9A 0D 99 0C 98 ?? ?? ?? ?? 06 90 06 9B 07 93 07 9B 00 2B 03 D0 6F F0 00 03 04 93 01 E0 03 9B 04 93 04 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_28_0 {
	meta:
		name = "_sopen_dispatch"
		size = 48
		refs = "001a ??$common_sopen_dispatch@D@@YAHQBDHHHQAHH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_553_58_4 {
	meta:
		name = "__acrt_MessageWindowA"
		size = 48
		refs = "001a ??$common_message_window@D@@YAHHQAXQBD111@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_553_59_4 {
	meta:
		name = "__acrt_MessageWindowW"
		size = 48
		refs = "001a ??$common_message_window@_W@@YAHHQAXQB_W111@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_353_27_0 {
	meta:
		name = "_fullpath_dbg"
		size = 48
		refs = "001a ??$common_fullpath@D@@YAPADQADQBDIH1H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_461_7_2 {
	meta:
		name = "_makepath_s"
		size = 48
		refs = "001a ??$common_makepath_s@D@@YAHQADIQBD111@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_353_29_2 {
	meta:
		name = "_wfullpath_dbg"
		size = 48
		refs = "001a ??$common_fullpath@_W@@YAPA_WQA_WQB_WIHQBDH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_461_9_2 {
	meta:
		name = "_wmakepath_s"
		size = 48
		refs = "001a ??$common_makepath_s@_W@@YAHQA_WIQB_W111@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_33_0 {
	meta:
		name = "_wsopen_dispatch"
		size = 48
		refs = "001a ??$common_sopen_dispatch@_W@@YAHQB_WHHHQAHH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_29_0 {
	meta:
		name = "_sopen_nolock"
		size = 98
		refs = "0012 __acrt_copy_path_to_wide_string 002a ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0042 _wsopen_nolock 004e ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 00 23 04 93 04 A9 0E 98 ?? ?? ?? ?? 06 90 06 9B 00 2B 03 D1 6F F0 00 03 05 93 17 E0 04 99 08 A8 ?? ?? ?? ?? 12 9B 02 93 11 9B 01 93 10 9B 00 93 0F 9B 04 9A 0D 99 0C 98 ?? ?? ?? ?? 07 90 07 9B 09 93 08 A8 ?? ?? ?? ?? 09 9B 05 93 05 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_30_0 {
	meta:
		name = "_sopen_s"
		size = 48
		refs = "001a _sopen_dispatch"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 23 01 93 06 9B 00 93 0A 9B 09 9A 08 99 07 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_35_0 {
	meta:
		name = "_wsopen_s"
		size = 48
		refs = "001a _wsopen_dispatch"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 23 01 93 06 9B 00 93 0A 9B 09 9A 08 99 07 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_285_34_0 {
	meta:
		name = "_wsopen_nolock"
		size = 1396
		refs = "000a __security_push_cookie 0018 ?decode_options@@YA?AUfile_options@?A0xa9d50aae@@HHH@Z 0052 memcpy 005e __doserrno 0072 _errno 0080 _alloc_osfhnd 00fa ?create_file@@YAPAXQB_WQAU_SECURITY_ATTRIBUTES@@Ufile_options@?A0xa9d50aae@@@Z 01ac __acrt_errno_map_os_error 0290 __acrt_lowio_set_os_handle 0304 ?truncate_ctrl_z_if_present@@YAHH@Z 0318 _close_nolock 0344 ?configure_text_mode@@YAHHUfile_options@?A0xa9d50aae@@HAAW4__crt_lowio_text_mode@@@Z 0510 _free_osfhnd 0556 __security_pop_cookie 0564 __pioinfo 0568 __imp_GetLastError 056c __imp_CloseHandle 0570 __imp_GetFileType"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? BB B0 45 9B 44 9A 43 99 28 A8 ?? ?? ?? ?? 28 AB 10 93 10 9B 34 AA 09 92 0A 93 09 9D 0A 9C 94 E8 0F 00 85 E8 0F 00 0A 9B 10 33 0A 93 09 9B 10 33 09 93 09 98 0A 99 91 E8 0C 00 80 E8 0C 00 2E A8 34 A9 18 22 ?? ?? ?? ?? 31 9B B3 F1 FF 3F 10 D1 ?? ?? ?? ?? 11 90 11 9A 00 23 13 60 41 9A 6F F0 00 03 13 60 ?? ?? ?? ?? 12 90 12 9B 1B 68 08 93 68 E2 ?? ?? ?? ?? 13 90 13 9A 41 9B 1A 60 41 9B 1B 68 B3 F1 FF 3F 16 D1 ?? ?? ?? ?? 14 90 14 9A 00 23 13 60 41 9A 6F F0 00 03 13 60 ?? ?? ?? ?? 15 90 15 9A 18 23 13 60 ?? ?? ?? ?? 16 90 16 9B 1B 68 08 93 46 E2 40 9A 01 23 13 60 0C 23 24 93 00 23 25 93 43 9B 13 F0 80 0F 02 D1 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 26 93 68 46 30 A9 10 22 ?? ?? ?? ?? 2E 9A 2F 9B 24 A9 42 98 ?? ?? ?? ?? 17 90 17 9B 07 93 07 9B B3 F1 FF 3F 1B D1 2F 9B 03 F0 40 43 B3 F1 40 4F 15 D1 43 9B 13 F0 01 0F 11 D0 2F 9B 23 F0 00 43 2F 93 68 46 30 A9 10 22 ?? ?? ?? ?? 2E 9A 2F 9B 24 A9 42 98 ?? ?? ?? ?? 18 90 18 9B 07 93 07 9B B3 F1 FF 3F 38 D1 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 DF F8 08 34 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 F7 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 F1 4B 1B 68 98 47 19 90 19 98 ?? ?? ?? ?? ?? ?? ?? ?? 1A 90 1A 9B 1B 68 08 93 C9 E1 07 98 EB 4B 1B 68 98 47 1B 90 1B 9B 0B 93 0B 9B 00 2B 46 D1 E5 4B 1B 68 98 47 1C 90 1C 9B 0D 93 0D 98 ?? ?? ?? ?? 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 DC 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 D2 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 07 98 CC 4B 1B 68 98 47 0D 9B 00 2B 05 D1 ?? ?? ?? ?? 1D 90 1D 9A 0D 23 13 60 ?? ?? ?? ?? 1E 90 1E 9B 1B 68 08 93 78 E1 0B 9B 02 2B 07 D1 9D F9 B8 30 43 F0 40 03 5B B2 8D F8 B8 30 09 E0 0B 9B 03 2B 06 D1 9D F9 B8 30 43 F0 08 03 5B B2 8D F8 B8 30 07 99 41 9B 18 68 ?? ?? ?? ?? 9D F9 B8 30 43 F0 01 03 5B B2 8D F8 B8 30 9D F9 B8 30 D8 B2 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 AB 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 18 70 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 A2 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 29 02 00 23 13 70 43 9B 13 F0 02 0F 10 D0 41 9B 18 68 ?? ?? ?? ?? 1F 90 1F 9B 0E 93 0E 9B 00 2B 06 D0 41 9B 18 68 ?? ?? ?? ?? 0E 9B 08 93 17 E1 00 23 8D F8 18 30 06 AB 04 93 43 9B 03 93 68 46 31 A9 0C 22 ?? ?? ?? ?? 2E 99 2F 9A 30 9B 41 98 00 68 ?? ?? ?? ?? 20 90 20 9B 0F 93 0F 9B 00 2B 06 D0 41 9B 18 68 ?? ?? ?? ?? 0F 9B 08 93 F7 E0 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 7D 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 29 02 9D F9 18 30 13 70 43 9B 13 F4 80 3F 03 D0 01 23 8D F8 19 30 02 E0 00 23 8D F8 19 30 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 6C 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 9D F8 19 20 1B 78 62 F3 00 03 D8 B2 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 60 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 18 70 9D F9 B8 30 03 F0 48 03 00 2B 2D D1 43 9B 13 F0 08 0F 29 D0 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 52 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 43 F0 20 00 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 47 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 2F 9B 03 F0 40 43 B3 F1 40 4F 6F D1 43 9B 13 F0 01 0F 6B D0 07 98 3C 4B 1B 68 98 47 2F 9B 23 F0 00 43 2F 93 68 46 30 A9 10 22 ?? ?? ?? ?? 2E 9A 2F 9B 24 A9 42 98 ?? ?? ?? ?? 21 90 21 9B 07 93 07 9B B3 F1 FF 3F 3C D1 2F 4B 1B 68 98 47 22 90 22 98 ?? ?? ?? ?? 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 27 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 01 00 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 1D 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 41 9B 18 68 ?? ?? ?? ?? ?? ?? ?? ?? 23 90 23 9B 1B 68 08 93 17 E0 14 E0 41 9B 1B 68 9A 11 04 23 02 FB 03 F2 0C 4B 99 18 41 9B 1B 68 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 18 02 07 9B 13 60 00 23 08 93 08 98 3B B0 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_288_5_0 {
	meta:
		name = "_mbsnbcpy_l"
		size = 276
		refs = "0016 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002e _CrtDbgReportW 0038 _errno 007a _invalid_parameter 008e strncpy 0100 ??_C@_1BI@HCGBGHAL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA_?$AAl?$AA?$AA@ 0104 ??_C@_1HC@KMPHHLJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0108 ??_C@_1DG@GGOPHOOE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1DG@BFFILGID@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 0E 46 04 46 07 46 02 A8 19 46 15 46 ?? ?? ?? ?? AC B9 A5 B1 3B 4B 3B 4C 38 49 00 93 00 23 37 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 37 23 15 E0 DE B9 D5 B1 2F 4B 2E 4C 2C 49 00 93 00 23 38 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 38 23 23 4A 22 49 20 46 ?? ?? ?? ?? 00 27 26 E0 04 99 8B 68 AB BB 2A 46 31 46 20 46 ?? ?? ?? ?? 07 46 1C E0 16 F8 01 2B 6D 1E 53 18 5B 7E 13 F0 04 0F 22 D0 22 70 3D B3 33 78 6D 1E 06 F1 01 06 63 70 04 F1 02 04 E3 B9 00 23 04 F8 02 3C 35 B1 00 22 25 B1 63 19 04 F8 01 2B 9C 42 FB D1 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 38 46 06 B0 BD E8 F0 88 04 F8 01 2B 00 2A E5 D0 00 2D CE D1 EA E7 00 23 23 70 E7 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_289_0_0 {
	meta:
		name = "_getwch"
		size = 38
		refs = "000c __acrt_lock 0014 _getwch_nolock 001c __acrt_unlock"
	strings:
		$1 = { 2D E9 88 48 0D F1 08 0B 6F 46 09 20 ?? ?? ?? ?? 00 23 3B 80 ?? ?? ?? ?? 38 80 09 20 ?? ?? ?? ?? 38 88 BD E8 88 88 }
	condition:
		$1
}

rule file_289_4_0 {
	meta:
		name = "_getwche"
		size = 38
		refs = "000c __acrt_lock 0014 _getwche_nolock 001c __acrt_unlock"
	strings:
		$1 = { 2D E9 88 48 0D F1 08 0B 6F 46 09 20 ?? ?? ?? ?? 00 23 3B 80 ?? ?? ?? ?? 38 80 09 20 ?? ?? ?? ?? 38 88 BD E8 88 88 }
	condition:
		$1
}

rule file_289_2_0 {
	meta:
		name = "_getwch_nolock"
		size = 204
		refs = "0008 __security_push_cookie 0030 __dcrt_lowio_initialize_console_input 008a _getextendedkeycode 00ae __security_pop_cookie 00b8 __imp_SetConsoleMode 00bc __imp_ReadConsoleInputW 00c0 __imp_GetConsoleMode 00c4 __dcrt_lowio_console_input_handle 00c8 ?wchbuf@@3GA"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 8A B0 6F 46 4F F6 FF 75 DF F8 B0 80 B8 F8 00 30 AB 42 02 D0 A8 F8 00 50 40 E0 27 4C 26 68 16 F1 02 0F 02 D1 ?? ?? ?? ?? 26 68 B6 F1 FF 3F 01 D1 BD 80 34 E0 BE 60 39 1D 30 46 1E 4B 1B 68 98 47 00 21 30 46 19 4B 1B 68 98 47 00 23 3B 80 17 F1 0C 03 01 22 17 F1 10 01 30 46 15 4C 24 68 A0 47 08 B9 3D 80 14 E0 FB 68 00 2B FA D0 3B 8A 01 2B 08 D1 7B 69 33 B1 FB 8B 4B B9 17 F1 14 00 ?? ?? ?? ?? 00 B9 E3 E7 43 78 A8 F8 00 30 03 78 3B 80 79 68 B8 68 05 4B 1B 68 98 47 3B 88 BB 80 B8 88 0A B0 ?? ?? ?? ?? BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_289_3_0 {
	meta:
		name = "_getwch_nolock$fin$0"
		size = 20
		refs = "0010 __imp_SetConsoleMode"
	strings:
		$1 = { 10 B5 79 68 B8 68 02 4B 1B 68 98 47 10 BD FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_289_6_0 {
	meta:
		name = "_getwche_nolock"
		size = 60
		refs = "0018 _getwch_nolock 0028 _putwch_nolock 0038 ?wchbuf@@3GA"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0B 4B 4F F6 FF 74 18 88 A0 42 01 D0 1C 80 0C E0 ?? ?? ?? ?? 05 46 A5 42 01 D1 20 46 05 E0 28 46 ?? ?? ?? ?? A0 42 F8 D0 28 46 BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_289_7_0 {
	meta:
		name = "_ungetwch"
		size = 42
		refs = "000e __acrt_lock 0018 _ungetwch_nolock 0020 __acrt_unlock"
	strings:
		$1 = { 2D E9 9C 48 0D F1 10 0B 6F 46 04 46 09 20 ?? ?? ?? ?? 00 23 3B 80 20 46 ?? ?? ?? ?? 38 80 09 20 ?? ?? ?? ?? 38 88 BD E8 9C 88 }
	condition:
		$1
}

rule file_289_9_0 {
	meta:
		name = "_ungetwch_nolock"
		size = 36
		refs = "0020 ?wchbuf@@3GA"
	strings:
		$1 = { 2D E9 00 48 EB 46 02 46 4F F6 FF 70 82 42 05 D0 03 49 0B 88 83 42 01 D1 D0 B2 08 80 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_290_0_0 {
	meta:
		name = "conjf"
		size = 106
		refs = "0018 crealf 0032 cimagf"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 CD ED 03 0A 8D ED 02 0A 9D ED 02 0A DD ED 03 0A ?? ?? ?? ?? 8D ED 00 0A 06 AB 9D ED 00 0A 83 ED 00 0A 9D ED 02 0A DD ED 03 0A ?? ?? ?? ?? 8D ED 01 0A 9D ED 01 0A B1 EE 40 0A 06 AB 1B 1D 83 ED 00 0A 06 AB 93 ED 00 0A 8D ED 04 0A 93 ED 01 0A 8D ED 05 0A 9D ED 04 0A DD ED 05 0A 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_291_0_0 {
	meta:
		name = "wcsncmp"
		size = 92
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 00 2B 02 D1 00 23 00 93 1C E0 06 9B 5B 1E 06 93 06 9B 00 2B 10 D0 04 9B 1B 88 00 2B 0C D0 04 9B 1A 88 05 9B 1B 88 9A 42 06 D1 04 9B 9B 1C 04 93 05 9B 9B 1C 05 93 E8 E7 04 9B 1A 88 05 9B 1B 88 D3 1A 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_292_0_0 {
	meta:
		name = "catanhf"
		size = 1236
		refs = "0018 crealf 0030 cimagf 0042 _fdtest 012c _FZero_C 0130 piby2 0358 log1pf 0398 atan2f 03c2 _fperrraise 03ee sqrtf 041a logf 0496 _FCbuild 04c4 _FInf_C 04c8 big"
	strings:
		$1 = { 2D E9 00 48 EB 46 A4 B0 CD ED 15 0A 8D ED 14 0A 9D ED 14 0A DD ED 15 0A ?? ?? ?? ?? 8D ED 1E 0A 9D ED 1E 0A 8D ED 01 0A 9D ED 14 0A DD ED 15 0A ?? ?? ?? ?? 8D ED 16 0A 9D ED 16 0A 8D ED 00 0A 01 A8 ?? ?? ?? ?? AD F8 18 00 BD F9 18 30 AD F8 10 30 68 46 ?? ?? ?? ?? AD F8 1A 00 BD F9 1A 30 AD F8 12 30 BD F9 10 30 02 2B 36 D1 BD F9 12 30 02 2B 08 D1 9D ED 01 0A 8D ED 03 0A 9D ED 00 0A 8D ED 02 0A 28 E0 BD F9 12 30 01 2B 1C D1 9F ED 26 0A 8D ED 03 0A 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 07 D2 22 4B 93 ED 00 0A B1 EE 40 0A 8D ED 09 0A 04 E0 1E 4B 93 ED 00 0A 8D ED 09 0A 9D ED 09 0A 8D ED 02 0A 07 E0 9D ED 01 0A 8D ED 03 0A 9D ED 01 0A 8D ED 02 0A D9 E1 BD F9 12 30 02 2B 31 D1 BD F9 10 30 01 2B 03 D0 BD F9 10 30 00 2B 20 D1 01 AB 9B 1C 1B 88 13 F4 00 4F 07 D0 0B 4B 93 ED 00 0A B1 EE 40 0A 8D ED 0A 0A 03 E0 9F ED 06 0A 8D ED 0A 0A 9D ED 0A 0A 8D ED 03 0A 9D ED 00 0A 8D ED 02 0A 0D E0 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 9D ED 00 0A 8D ED 03 0A 9D ED 00 0A 8D ED 02 0A A3 E1 BD F9 10 30 01 2B 2E D1 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 07 D2 DC 4B 93 ED 00 0A B1 EE 40 0A 8D ED 0B 0A 03 E0 9F ED D7 0A 8D ED 0B 0A 9D ED 0B 0A 8D ED 03 0A 6B 46 9B 1C 1B 88 13 F4 00 4F 07 D0 CD 4B 93 ED 00 0A B1 EE 40 0A 8D ED 0C 0A 04 E0 C9 4B 93 ED 00 0A 8D ED 0C 0A 9D ED 0C 0A 8D ED 02 0A 70 E1 6B 46 9B 1C 1B 88 13 F4 00 4F 06 D0 9D ED 00 0A B1 EE 40 0A 8D ED 0D 0A 03 E0 9D ED 00 0A 8D ED 0D 0A 9D ED 0D 0A 8D ED 05 0A 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 08 D2 01 23 12 93 9D ED 01 0A B1 EE 40 0A 8D ED 01 0A 07 E0 00 23 12 93 9D ED 00 0A B1 EE 40 0A 8D ED 00 0A B0 4B D3 ED 00 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 34 D2 DD ED 00 0A 9D ED 01 0A 80 EE 80 0A 8D ED 0E 0A F7 EE 00 0A 9D ED 01 0A 80 EE 80 1A DD ED 0E 0A 9D ED 0E 0A 60 EE 80 0A B7 EE 00 0A 30 EE 20 0A 81 EE 00 0A 8D ED 03 0A 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 07 D2 97 4B 93 ED 00 0A B1 EE 40 0A 8D ED 0F 0A 04 E0 93 4B 93 ED 00 0A 8D ED 0F 0A 9D ED 0F 0A 8D ED 02 0A F4 E0 90 4B D3 ED 00 0A 9D ED 05 0A F4 EE C0 0A F1 EE 10 FA 34 D2 DD ED 01 0A 9D ED 00 0A 80 EE 80 0A 8D ED 07 0A DD ED 07 0A 9D ED 00 0A 80 EE 80 1A DD ED 07 0A 9D ED 07 0A 60 EE 80 0A B7 EE 00 0A 30 EE 20 0A 81 EE 00 0A 8D ED 03 0A 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 07 D2 78 4B 93 ED 00 0A B1 EE 40 0A 8D ED 10 0A 04 E0 74 4B 93 ED 00 0A 8D ED 10 0A 9D ED 10 0A 8D ED 02 0A B5 E0 DD ED 01 0A B7 EE 00 0A F4 EE 40 0A F1 EE 10 FA 4E D0 F7 EE 00 0A 9D ED 01 0A 30 EE C0 0A 8D ED 08 0A DD ED 05 0A 9D ED 05 0A 20 EE 80 0A 8D ED 11 0A F1 EE 00 0A 9D ED 01 0A 20 EE 80 1A DD ED 08 0A 9D ED 08 0A 60 EE 80 0A 9D ED 11 0A 30 EE 80 0A 81 EE 00 0A ?? ?? ?? ?? 8D ED 17 0A F5 EE 00 0A 9D ED 17 0A 20 EE 80 0A 8D ED 03 0A F7 EE 00 0A 9D ED 01 0A 70 EE 80 0A 9D ED 08 0A 60 EE 20 0A 9D ED 11 0A 70 EE C0 0A B0 EE 00 1A 9D ED 00 0A 21 EE 00 0A ?? ?? ?? ?? 8D ED 18 0A F6 EE 00 0A 9D ED 18 0A 20 EE 80 0A 8D ED 02 0A 5D E0 9D ED 00 0A B5 EE 40 0A F1 EE 10 FA 0C D1 04 20 ?? ?? ?? ?? 3F 4B 93 ED 00 0A 8D ED 03 0A 9D ED 00 0A 8D ED 02 0A 49 E0 DD ED 00 0A 9D ED 00 0A 60 EE 80 0A B1 EE 00 0A 30 EE 20 0A ?? ?? ?? ?? 8D ED 19 0A 9D ED 19 0A ?? ?? ?? ?? 8D ED 1A 0A 9D ED 05 0A ?? ?? ?? ?? 8D ED 1B 0A DD ED 1A 0A 9D ED 1B 0A 80 EE 80 0A ?? ?? ?? ?? 8D ED 1C 0A 9D ED 1C 0A 8D ED 03 0A F0 EE 00 0A 9D ED 05 0A ?? ?? ?? ?? 8D ED 1D 0A 21 4B D3 ED 00 0A 9D ED 1D 0A 70 EE 80 0A B6 EE 00 0A 20 EE 20 0A 8D ED 02 0A 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 05 D2 9D ED 02 0A B1 EE 40 0A 8D ED 02 0A 12 9B 00 2B 06 D0 9D ED 03 0A B1 EE 40 0A 8D ED 03 0A 05 E0 9D ED 02 0A B1 EE 40 0A 8D ED 02 0A DD ED 02 0A 9D ED 03 0A ?? ?? ?? ?? CD ED 21 0A 8D ED 20 0A 9D ED 20 0A 8D ED 22 0A 9D ED 21 0A 8D ED 23 0A 9D ED 22 0A DD ED 23 0A 24 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_293_0_0 {
	meta:
		name = "_Cmulcc"
		size = 218
		refs = "0020 creal 0038 cimag 00b0 _Cbuild"
	strings:
		$1 = { 2D E9 00 48 EB 46 A0 B0 8D ED 16 3B 8D ED 14 2B 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 9D ED 12 1B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 00 0B 9D ED 10 0B 9D ED 12 1B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 04 0B 9D ED 14 0B 9D ED 16 1B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 02 0B 9D ED 14 0B 9D ED 16 1B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B 8D ED 06 0B 9D ED 00 1B 9D ED 06 0B 21 EE 00 2B 9D ED 04 1B 9D ED 02 0B 21 EE 00 0B 32 EE 00 1B 9D ED 00 2B 9D ED 02 0B 22 EE 00 3B 9D ED 04 2B 9D ED 06 0B 22 EE 00 0B 33 EE 40 0B ?? ?? ?? ?? 8D ED 1A 1B 8D ED 18 0B 9D ED 18 0B 8D ED 1C 0B 9D ED 1A 0B 8D ED 1E 0B 9D ED 1C 0B 9D ED 1E 1B 20 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_370_0_0 {
	meta:
		name = "_LCmulcc"
		size = 218
		refs = "0020 creall 0038 cimagl 00b0 _LCbuild"
	strings:
		$1 = { 2D E9 00 48 EB 46 A0 B0 8D ED 16 3B 8D ED 14 2B 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 9D ED 12 1B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 00 0B 9D ED 10 0B 9D ED 12 1B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 04 0B 9D ED 14 0B 9D ED 16 1B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 02 0B 9D ED 14 0B 9D ED 16 1B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B 8D ED 06 0B 9D ED 00 1B 9D ED 06 0B 21 EE 00 2B 9D ED 04 1B 9D ED 02 0B 21 EE 00 0B 32 EE 00 1B 9D ED 00 2B 9D ED 02 0B 22 EE 00 3B 9D ED 04 2B 9D ED 06 0B 22 EE 00 0B 33 EE 40 0B ?? ?? ?? ?? 8D ED 1A 1B 8D ED 18 0B 9D ED 18 0B 8D ED 1C 0B 9D ED 1A 0B 8D ED 1E 0B 9D ED 1C 0B 9D ED 1E 1B 20 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_293_1_0 {
	meta:
		name = "_Cmulcr"
		size = 118
		refs = "001c cimag 002c creal 004c _Cbuild"
	strings:
		$1 = { 2D E9 00 48 EB 46 92 B0 8D ED 00 2B 8D ED 08 1B 8D ED 06 0B 9D ED 06 0B 9D ED 08 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 06 0B 9D ED 08 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 02 1B 9D ED 00 0B 21 EE 00 1B 9D ED 04 2B 9D ED 00 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 0C 1B 8D ED 0A 0B 9D ED 0A 0B 8D ED 0E 0B 9D ED 0C 0B 8D ED 10 0B 9D ED 0E 0B 9D ED 10 1B 12 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_370_1_0 {
	meta:
		name = "_LCmulcr"
		size = 118
		refs = "001c cimagl 002c creall 004c _LCbuild"
	strings:
		$1 = { 2D E9 00 48 EB 46 92 B0 8D ED 00 2B 8D ED 08 1B 8D ED 06 0B 9D ED 06 0B 9D ED 08 1B ?? ?? ?? ?? 8D ED 02 0B 9D ED 06 0B 9D ED 08 1B ?? ?? ?? ?? 8D ED 04 0B 9D ED 02 1B 9D ED 00 0B 21 EE 00 1B 9D ED 04 2B 9D ED 00 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 0C 1B 8D ED 0A 0B 9D ED 0A 0B 8D ED 0E 0B 9D ED 0C 0B 8D ED 10 0B 9D ED 0E 0B 9D ED 10 1B 12 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_293_2_0 {
	meta:
		name = "cpow"
		size = 308
		refs = "0020 cimag 003e creal 009a pow 00aa _Cbuild 00d2 clog 00ee _Cmulcc 0102 cexp"
	strings:
		$1 = { 2D E9 00 48 EB 46 A8 B0 8D ED 06 3B 8D ED 04 2B 8D ED 02 1B 8D ED 00 0B 9D ED 00 0B 9D ED 02 1B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B B5 EE 40 0B F1 EE 10 FA 49 D1 9D ED 00 0B 9D ED 02 1B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B B5 EE C0 0B F1 EE 10 FA 3A DB 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 0B B5 EE 40 0B F1 EE 10 FA 2B D1 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 12 0B 9D ED 00 0B 9D ED 02 1B ?? ?? ?? ?? 8D ED 14 0B 9D ED 12 1B 9D ED 14 0B ?? ?? ?? ?? 8D ED 16 0B 9F ED 22 1B 9D ED 16 0B ?? ?? ?? ?? 8D ED 1A 1B 8D ED 18 0B 9D ED 18 0B 8D ED 08 0B 9D ED 1A 0B 8D ED 0A 0B 2A E0 29 E0 9D ED 00 0B 9D ED 02 1B ?? ?? ?? ?? 8D ED 1E 1B 8D ED 1C 0B 9D ED 1C 2B 9D ED 1E 3B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 22 1B 8D ED 20 0B 9D ED 20 0B 9D ED 22 1B ?? ?? ?? ?? 8D ED 26 1B 8D ED 24 0B 9D ED 24 0B 8D ED 08 0B 9D ED 26 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B 28 B0 BD E8 00 88 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_370_2_0 {
	meta:
		name = "cpowl"
		size = 308
		refs = "0020 cimagl 003e creall 009a powl 00aa _LCbuild 00d2 clogl 00ee _LCmulcc 0102 cexpl"
	strings:
		$1 = { 2D E9 00 48 EB 46 A8 B0 8D ED 06 3B 8D ED 04 2B 8D ED 02 1B 8D ED 00 0B 9D ED 00 0B 9D ED 02 1B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B B5 EE 40 0B F1 EE 10 FA 49 D1 9D ED 00 0B 9D ED 02 1B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B B5 EE C0 0B F1 EE 10 FA 3A DB 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 0B B5 EE 40 0B F1 EE 10 FA 2B D1 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 12 0B 9D ED 00 0B 9D ED 02 1B ?? ?? ?? ?? 8D ED 14 0B 9D ED 12 1B 9D ED 14 0B ?? ?? ?? ?? 8D ED 16 0B 9F ED 22 1B 9D ED 16 0B ?? ?? ?? ?? 8D ED 1A 1B 8D ED 18 0B 9D ED 18 0B 8D ED 08 0B 9D ED 1A 0B 8D ED 0A 0B 2A E0 29 E0 9D ED 00 0B 9D ED 02 1B ?? ?? ?? ?? 8D ED 1E 1B 8D ED 1C 0B 9D ED 1C 2B 9D ED 1E 3B 9D ED 04 0B 9D ED 06 1B ?? ?? ?? ?? 8D ED 22 1B 8D ED 20 0B 9D ED 20 0B 9D ED 22 1B ?? ?? ?? ?? 8D ED 26 1B 8D ED 24 0B 9D ED 24 0B 8D ED 08 0B 9D ED 26 0B 8D ED 0A 0B 9D ED 08 0B 9D ED 0A 1B 28 B0 BD E8 00 88 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_294_0_0 {
	meta:
		name = "??$common_strdate@D@@YAPADQAD@Z"
		size = 52
		refs = "000e ??$common_strdate_s@D@@YAHQADI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 09 21 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 9B 00 2B 02 D0 00 23 00 93 01 E0 06 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_294_1_0 {
	meta:
		name = "??$common_strdate@_W@@YAPA_WQA_W@Z"
		size = 52
		refs = "000e ??$common_strdate_s@_W@@YAHQA_WI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 09 21 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 9B 00 2B 02 D0 00 23 00 93 01 E0 06 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_473_0_0 {
	meta:
		name = "??$common_strtime@D@@YAPADQAD@Z"
		size = 52
		refs = "000e ??$common_strtime_s@D@@YAHQADI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 09 21 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 9B 00 2B 02 D0 00 23 00 93 01 E0 06 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_473_1_0 {
	meta:
		name = "??$common_strtime@_W@@YAPA_WQA_W@Z"
		size = 52
		refs = "000e ??$common_strtime_s@_W@@YAHQA_WI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 09 21 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 9B 00 2B 02 D0 00 23 00 93 01 E0 06 9B 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_294_2_0 {
	meta:
		name = "??$common_strdate_s@D@@YAHQADI@Z"
		size = 508
		refs = "0008 __security_push_cookie 003e _CrtDbgReportW 0052 _errno 006a _invalid_parameter 0092 _CrtGetDebugFillThreshold 00ba memset 0138 __rt_sdiv 01d6 __security_pop_cookie 01e4 __imp_GetLocalTime 01e8 ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 01ec ??_C@_1CC@LLIHMIOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAd?$AAa?$AAt?$AAe?$AA_?$AAs?$AA?$AA@ 01f0 ??_C@_1GA@COCJMCEG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01f8 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 1A 9B 00 2B 05 D0 1B 9B 00 2B 02 D9 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 72 4B 01 93 70 4B 00 93 00 23 15 22 6D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 15 23 62 4A 61 49 63 48 ?? ?? ?? ?? 16 23 02 93 AE E0 1A 9A 00 23 13 70 1B 9B B3 F1 FF 3F 1D D0 1B 9A 6F F0 00 43 9A 42 18 D0 1B 9B 01 2B 15 D9 ?? ?? ?? ?? 0E 90 0E 9B 05 93 1B 9B 5A 1E 05 9B 93 42 02 D2 05 9B 06 93 02 E0 1B 9B 5B 1E 06 93 06 9A FE 21 1A 9B 58 1C ?? ?? ?? ?? 1B 9B 09 2B 02 D3 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 43 4B 01 93 45 4B 00 93 00 23 17 22 42 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 22 23 13 60 00 23 00 93 17 23 38 4A 36 49 35 48 ?? ?? ?? ?? 22 23 02 93 59 E0 12 A8 30 4B 1B 68 98 47 BD F8 4A 30 09 93 BD F8 4E 30 0A 93 BD F8 48 10 64 20 ?? ?? ?? ?? 0B 91 09 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 5A B2 1A 9B 1A 70 09 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 5A B2 1A 9B 5B 1C 1A 70 1A 9B 9A 1C 2F 23 13 70 0A 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 5A B2 1A 9B DB 1C 1A 70 0A 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 5A B2 1A 9B 1B 1D 1A 70 1A 9B 5A 1D 2F 23 13 70 0B 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 5A B2 1A 9B 9B 1D 1A 70 0B 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 5A B2 1A 9B DB 1D 1A 70 1A 9B 03 F1 08 02 00 23 13 70 00 23 02 93 02 98 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_294_3_0 {
	meta:
		name = "??$common_strdate_s@_W@@YAHQA_WI@Z"
		size = 516
		refs = "0008 __security_push_cookie 003e _CrtDbgReportW 0052 _errno 006a _invalid_parameter 0092 _CrtGetDebugFillThreshold 00c0 memset 013e __rt_sdiv 01de __security_pop_cookie 01ec __imp_GetLocalTime 01f0 ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 01f4 ??_C@_1CC@LLIHMIOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAd?$AAa?$AAt?$AAe?$AA_?$AAs?$AA?$AA@ 01f8 ??_C@_1GA@COCJMCEG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0200 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 1A 9B 00 2B 05 D0 1B 9B 00 2B 02 D9 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 74 4B 01 93 72 4B 00 93 00 23 15 22 6F 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 15 23 64 4A 63 49 65 48 ?? ?? ?? ?? 16 23 02 93 B2 E0 1A 9A 00 23 13 80 1B 9B B3 F1 FF 3F 20 D0 1B 9A 6F F0 00 43 9A 42 1B D0 1B 9B 01 2B 18 D9 ?? ?? ?? ?? 0E 90 0E 9B 05 93 1B 9B 5A 1E 05 9B 93 42 02 D2 05 9B 06 93 02 E0 1B 9B 5B 1E 06 93 06 9A 02 23 02 FB 03 F2 FE 21 1A 9B 98 1C ?? ?? ?? ?? 1B 9B 09 2B 02 D3 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 44 4B 01 93 46 4B 00 93 00 23 17 22 43 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 22 23 13 60 00 23 00 93 17 23 38 4A 37 49 35 48 ?? ?? ?? ?? 22 23 02 93 5A E0 12 A8 31 4B 1B 68 98 47 BD F8 4A 30 09 93 BD F8 4E 30 0A 93 BD F8 48 10 64 20 ?? ?? ?? ?? 0B 91 09 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 9A B2 1A 9B 1A 80 09 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 9A B2 1A 9B 9B 1C 1A 80 1A 9B 1A 1D 2F 23 13 80 0A 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 9A B2 1A 9B 9B 1D 1A 80 0A 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 9A B2 1A 9B 08 33 1A 80 1A 9B 03 F1 0A 02 2F 23 13 80 0B 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 9A B2 1A 9B 0C 33 1A 80 0B 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 9A B2 1A 9B 0E 33 1A 80 1A 9B 03 F1 10 02 00 23 13 80 00 23 02 93 02 98 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_295_0_0 {
	meta:
		name = "_fdrint"
		size = 382
		refs = "0014 fegetround 004e _fd_int"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 05 0A 9D ED 05 0A 8D ED 03 0A ?? ?? ?? ?? 06 90 06 9B 04 93 04 9B B3 F5 00 7F 0C DC 04 9B B3 F5 00 7F 00 F0 86 80 04 9B 00 2B 22 D0 04 9B B3 F5 80 7F 05 D0 95 E0 04 9B B3 F5 40 7F 74 D0 90 E0 00 21 03 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 00 2B 0D D0 03 AB 9B 1C 1B 88 13 F4 00 4F 07 D0 DD ED 03 0A B7 EE 00 0A 30 EE C0 0A 8D ED 03 0A 77 E0 01 21 03 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 00 2B 2D D1 00 21 03 A8 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 00 2B 0A D0 6F F0 00 01 03 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 00 2B 00 D1 16 E0 03 AB 9B 1C 1B 88 13 F4 00 4F 08 D0 DD ED 03 0A B0 EE 00 0A 30 EE C0 0A 8D ED 03 0A 07 E0 DD ED 03 0A B0 EE 00 0A 30 EE 80 0A 8D ED 03 0A 21 E0 00 21 03 A8 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 00 2B 00 D1 16 E0 03 AB 9B 1C 1B 88 13 F4 00 4F 08 D0 DD ED 03 0A B7 EE 00 0A 30 EE C0 0A 8D ED 03 0A 07 E0 DD ED 03 0A B7 EE 00 0A 30 EE 80 0A 8D ED 03 0A 1C E0 00 21 03 A8 ?? ?? ?? ?? 17 E0 00 21 03 A8 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 00 2B 0D D0 03 AB 9B 1C 1B 88 13 F4 00 4F 07 D1 DD ED 03 0A B7 EE 00 0A 30 EE 80 0A 8D ED 03 0A 9D ED 03 0A 8D ED 07 0A 9D ED 07 0A 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_295_1_0 {
	meta:
		name = "rintf"
		size = 114
		refs = "000e _fdtest 0038 _fdrint 005c _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 08 DB 02 9B 02 2B 00 DD 04 E0 9D ED 01 0A 8D ED 04 0A 19 E0 9D ED 01 0A ?? ?? ?? ?? 8D ED 05 0A 9D ED 05 0A 8D ED 03 0A DD ED 03 0A 9D ED 01 0A F4 EE 40 0A F1 EE 10 FA 02 D0 20 20 ?? ?? ?? ?? 9D ED 03 0A 8D ED 04 0A 9D ED 04 0A 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_296_0_0 {
	meta:
		name = "wcstok"
		size = 66
		refs = "0016 __acrt_getptd 002c __acrt_wcstok_s_novalidation"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 9B 00 2B 02 D0 0A 9B 00 93 05 E0 ?? ?? ?? ?? 01 90 01 9B 24 33 00 93 00 9B 02 93 02 9A 09 99 08 98 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_297_0_0 {
	meta:
		name = "__remainder_piby2f_inline"
		size = 1332
		refs = "000a __security_push_cookie 005e __rt_sdiv 051c __security_pop_cookie 0528 ?piby2@?1??__remainder_piby2f_inline@@9@9 052c ?pibits@?1??__remainder_piby2f_inline@@9@9"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? D2 B0 59 9A DF F8 1C 35 13 40 1A 0D 40 F2 FF 33 D3 1A 2B 93 58 99 59 9A 01 23 63 F3 1F 52 13 46 2A 93 4A 0F 2A 9B DB 00 1A 43 2A 9B 5B 0F 58 92 59 93 01 23 06 93 00 23 07 93 06 9B 19 01 00 22 00 23 52 1E 61 EB 03 03 06 92 07 93 2B 99 24 20 ?? ?? ?? ?? 0E 90 0E 9A 24 23 02 FB 03 F2 2B 9B 9B 1A 0C 93 0E 9B DB 1C 0D 93 3E AB 20 33 2C 93 2C 9A 00 23 13 60 2C 9A 00 23 53 60 0D 9A 08 23 02 FB 03 F2 DF F8 98 34 13 44 2D 93 2D 9B 1A 68 2D 9B 59 68 2E 92 58 9B 59 9A 12 93 2E 9B 03 FB 02 F2 12 9B 01 FB 03 F3 D1 18 2E 9A 12 9B A2 FB 03 23 0B 44 02 92 03 93 02 9A 06 9B 02 EA 03 01 03 9A 07 9B 1A 40 3E AB 18 33 13 93 13 9B 19 60 13 9B 5A 60 03 9B 1B 09 0A 93 00 23 0B 93 0D 9B 5A 1E 08 23 02 FB 03 F2 DF F8 34 34 13 44 14 93 14 9B 1A 68 14 9B 59 68 15 92 58 9B 59 9A 16 93 15 9B 03 FB 02 F2 16 9B 01 FB 03 F3 D1 18 15 9A 16 9B A2 FB 03 03 19 44 0A 9A 0B 9B 12 18 4B 41 02 92 03 93 02 9A 06 9B 02 EA 03 01 03 9A 07 9B 1A 40 3E AB 10 33 17 93 17 9B 19 60 17 9B 5A 60 03 9B 1B 09 0A 93 00 23 0B 93 0D 9B 9A 1E 08 23 02 FB 03 F2 F2 4B 13 44 18 93 18 9B 1A 68 18 9B 59 68 19 92 58 9B 59 9A 1A 93 19 9B 03 FB 02 F2 1A 9B 01 FB 03 F3 D1 18 19 9A 1A 9B A2 FB 03 03 19 44 0A 9A 0B 9B 12 18 4B 41 02 92 03 93 02 9A 06 9B 02 EA 03 01 03 9A 07 9B 1A 40 3E AB 08 33 1B 93 1B 9B 19 60 1B 9B 5A 60 03 9B 1B 09 0A 93 00 23 0B 93 0E 9A 08 23 02 FB 03 F2 D8 4B 13 44 1C 93 1C 9B 1A 68 1C 9B 59 68 1D 92 58 9B 59 9A 1E 93 1D 9B 03 FB 02 F2 1E 9B 01 FB 03 F3 D1 18 1D 9A 1E 9B A2 FB 03 03 19 44 0A 9A 0B 9B 12 18 4B 41 02 92 03 93 02 9A 06 9B 02 EA 03 01 03 9A 07 9B 1A 40 3E AB 1F 93 1F 9B 19 60 1F 9B 5A 60 3E AB 1B 68 19 01 3E AB 08 33 20 93 20 9B 1A 68 20 9B 5B 68 41 EA 03 00 0C 9B C3 F1 23 01 CA 40 C1 F1 20 03 00 FA 03 F3 1A 43 A1 F1 20 03 20 FA 03 F3 13 43 03 F0 07 03 0F 93 0F 9B 03 F0 01 03 29 93 01 23 04 93 29 9B 00 2B 6D D0 0F 9B 5B 10 5B 1C 03 F0 03 02 5B 9B 1A 60 01 23 00 93 00 23 01 93 3E AB 08 33 21 93 21 9B 1B 68 DE 43 21 9B 5B 68 DD 43 0C 9B C3 F1 24 04 01 9B 03 FA 04 F1 C4 F1 20 02 00 9B D3 40 41 EA 03 00 A4 F1 20 02 00 9B 03 FA 02 F1 00 9B 03 FA 04 F2 01 43 00 23 52 1E 61 EB 03 03 32 40 2B 40 00 92 01 93 00 9B 34 93 01 9B 35 93 34 9B 31 93 35 9B 00 2B 1E D8 03 D3 31 9B B3 F5 80 3F 19 D2 04 9B 5B 1C 04 93 00 9B 18 01 04 9A 08 23 02 FB 03 F2 3E AB 13 44 22 93 22 9B 1B 68 DA 43 22 9B 5B 68 D9 43 06 9B 1A 40 07 9B 0B 40 03 43 00 92 01 93 D7 E7 04 9B 5A 1C 08 23 02 FB 03 F2 3E AB 13 44 23 93 23 9B 1B 68 DA 43 23 9B 5B 68 D9 43 06 9B 1A 40 07 9B 0B 40 10 92 11 93 5B E0 0F 9B 5A 10 5B 9B 1A 60 01 23 00 93 00 23 01 93 3E AB 03 F1 08 05 0C 9B C3 F1 24 04 01 9B 03 FA 04 F1 C4 F1 20 02 00 9B D3 40 41 EA 03 00 A4 F1 20 02 00 9B 03 FA 02 F1 00 9B 03 FA 04 F2 01 43 00 23 52 1E 99 41 24 95 24 9B 1B 68 1A 40 24 9B 5B 68 0B 40 00 92 01 93 00 9B 36 93 01 9B 37 93 36 9B 2F 93 37 9B 00 2B 18 D8 03 D3 2F 9B B3 F5 80 3F 13 D2 04 9B 5B 1C 04 93 00 9B 19 01 04 9A 08 23 02 FB 03 F2 3E AB 13 44 25 93 25 9B 1A 68 25 9B 5B 68 0B 43 00 92 01 93 DD E7 04 9B 5A 1C 08 23 02 FB 03 F2 3E AB 13 44 26 93 26 9B 1B 68 10 93 26 9B 5B 68 11 93 00 23 08 93 00 9B 38 93 01 9B 39 93 38 9B 30 93 39 9B B3 F5 80 4F 13 D8 02 D3 30 9B 00 2B 0F D2 08 9B 9B 1D 08 93 00 9A 01 9B 27 92 98 01 27 9B 99 0E 27 9B 9A 01 40 EA 01 03 00 92 01 93 E1 E7 00 9B 3A 93 01 9B 3B 93 3A 9B 33 93 3B 9B B3 F5 80 1F 13 D8 02 D3 33 9B 00 2B 0F D2 08 9B 5B 1C 08 93 00 9A 01 9B 28 92 58 00 28 9B D9 0F 28 9B 5A 00 40 EA 01 03 00 92 01 93 E1 E7 08 9B C3 F1 24 00 10 9B 23 FA 00 F1 C0 F1 20 02 11 9B 93 40 19 43 A0 F1 20 02 11 9B D3 40 41 EA 03 02 11 9B 23 FA 00 F1 00 9B 1A 43 01 9B 0B 43 00 92 01 93 0C 9B 03 F1 34 02 08 9B D1 1A 04 9A 24 23 02 FB 03 F3 CB 1A 32 93 32 9A 40 F2 FF 33 13 44 1A 05 00 23 02 93 03 92 00 9A 01 99 6F F3 1F 51 02 9B 1A 43 03 9B 0B 43 58 92 59 93 29 9B 00 2B 05 D0 58 9A 59 9B 43 F0 00 43 58 92 59 93 58 9A 59 9B 43 EC 10 2B 8D ED 3C 0B 9D ED 3C 1B 07 4B 93 ED 00 0B 21 EE 00 0B 5A 9B 83 ED 00 0B 52 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F }
	condition:
		$1
}

rule file_297_2_0 {
	meta:
		name = "tanf"
		size = 1180
		refs = "00aa valf_with_flags 010c tanf_piby4 0158 _handle_nanf 018c _handle_errorf 03f2 __remainder_piby2f_inline 044c ?piby2_3tail@?L@??tanf@@9@9 0450 ?piby2_3@?L@??tanf@@9@9 0454 ?piby2_2tail@?L@??tanf@@9@9 0458 ?piby2_2@?L@??tanf@@9@9 0460 ?piby2_1tail@?L@??tanf@@9@9 0464 ?piby2_1@?L@??tanf@@9@9 0468 ?twobypi@?L@??tanf@@9@9 0494 ??_C@_04MHPLPEIA@tanf?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 C8 B0 8D ED 09 0A 9D ED 09 0A B7 EE C0 0A 8D ED 0A 0B 9D ED 0A 0B 53 EC 10 2B 12 92 13 93 12 9A 13 9B 23 F0 00 43 06 92 07 93 06 9B 28 93 07 9B 29 93 28 9B 24 93 29 9A 2F 4B 9A 42 6F D8 03 D3 24 9A 2B 4B 9A 42 6A D8 06 9B 2A 93 07 9B 2B 93 2A 9B 25 93 2B 9B B3 F1 7E 5F 4F D8 02 D3 25 9B 00 2B 4B D2 06 9B 2C 93 07 9B 2D 93 2C 9B 26 93 2D 9A 1E 4B 9A 42 1F D8 02 D3 26 9B 00 2B 1B D2 06 9B 2E 93 07 9B 2F 93 2F 9A 2E 9B 13 43 00 2B 05 D1 9D ED 09 0A 8D ED 08 0A CE E1 0B E0 10 20 9D ED 09 0A ?? ?? ?? ?? 8D ED 27 0A 9D ED 27 0A 8D ED 08 0A C1 E1 20 E0 9D ED 0A 1B 9D ED 0A 0B 21 EE 00 1B 9D ED 0A 0B 21 EE 00 1B 9F ED 06 0B 21 EE 00 1B 9D ED 0A 0B 30 EE 01 0B B7 EE C0 0B 8D ED 08 0A A9 E1 55 55 55 55 55 55 D5 3F 00 00 20 3F 18 2D 44 54 FB 21 E9 3F 0F E0 00 20 9D ED 09 0A B7 EE C0 0A ?? ?? ?? ?? 8D ED 42 0B 9D ED 42 0B B7 EE C0 0B 8D ED 08 0A 8E E1 3C E0 13 9A CD 4B 13 40 1A 93 1A 9A CB 4B 9A 42 34 D1 12 9A 13 9B 6F F3 1F 53 13 43 00 2B 14 D0 9D ED 09 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 1B 93 1B 98 00 21 ?? ?? ?? ?? 8D ED 1C 0A 9D ED 1C 0A 8D ED 08 0A 6A E1 18 E0 01 23 03 93 DF ED C6 0A 9D ED 09 0A 21 23 02 93 08 23 01 93 01 23 00 93 C4 4A 00 23 20 21 C2 48 ?? ?? ?? ?? 8D ED 1D 0A 9D ED 1D 0A 8D ED 08 0A 50 E1 13 9B DB 0F 14 93 14 9B 00 2B 05 D0 9D ED 0A 0B B1 EE 40 0B 8D ED 0A 0B 9D ED 0A 1B 9F ED B4 0B B4 EE C0 1B F1 EE 10 FA 80 F0 10 81 07 9B 1B 0D 38 93 00 23 39 93 06 9B 30 93 07 9B 31 93 30 9B 1E 93 31 9A A9 4B 9A 42 19 D8 03 D3 1E 9A A5 4B 9A 42 14 D8 06 9B 32 93 07 9B 33 93 32 9B 1F 93 33 9A 9F 4B 9A 42 07 D8 03 D3 1F 9A 9C 4B 9A 42 02 D8 01 23 04 93 01 E0 02 23 04 93 33 E0 06 9B 34 93 07 9B 35 93 34 9B 20 93 35 9A 93 4B 9A 42 19 D8 03 D3 20 9A 8F 4B 9A 42 14 D8 06 9B 36 93 07 9B 37 93 36 9B 23 93 37 9A 89 4B 9A 42 07 D8 03 D3 23 9A 86 4B 9A 42 02 D8 03 23 04 93 01 E0 04 23 04 93 0F E0 9D ED 0A 1B 7F 4B 93 ED 00 0B 21 EE 00 1B B6 EE 00 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 04 93 04 9B 00 EE 10 3A B8 EE C0 1B 75 4B 93 ED 00 0B 21 EE 00 1B 9D ED 0A 0B 30 EE 41 0B 8D ED 0E 0B 04 9B 00 EE 10 3A B8 EE C0 1B 6C 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0C 0B 9D ED 0E 0B 53 EC 10 2B 40 92 41 93 41 9A 64 4B 13 40 18 0D 38 9A 39 99 00 23 12 1A 61 EB 03 03 16 92 17 93 16 9B 3A 93 17 9B 3B 93 3A 9B 21 93 3B 9B 00 2B 02 D8 21 9B 0F 2B 6B D9 9D ED 0E 0B 8D ED 18 0B 04 9B 00 EE 10 3A B8 EE C0 1B 53 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0C 0B 9D ED 18 1B 9D ED 0C 0B 31 EE 40 0B 8D ED 0E 0B 04 9B 00 EE 10 3A B8 EE C0 1B 48 4B 93 ED 00 0B 21 EE 00 2B 9D ED 18 1B 9D ED 0E 0B 31 EE 40 1B 9D ED 0C 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0C 0B 16 9B 3C 93 17 9B 3D 93 3C 9B 22 93 3D 9B 00 2B 02 D8 22 9B 30 2B 2F D9 9D ED 0E 0B 8D ED 18 0B 04 9B 00 EE 10 3A B8 EE C0 1B 33 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0C 0B 9D ED 18 1B 9D ED 0C 0B 31 EE 40 0B 8D ED 0E 0B 04 9B 00 EE 10 3A B8 EE C0 1B 28 4B 93 ED 00 0B 21 EE 00 2B 9D ED 18 1B 9D ED 0E 0B 31 EE 40 1B 9D ED 0C 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0C 0B 9D ED 0E 1B 9D ED 0C 0B 31 EE 40 0B 8D ED 3E 0B 04 9B 03 F0 03 03 10 93 05 E0 10 AB 3E AA 06 98 07 99 ?? ?? ?? ?? 14 9B 00 2B 12 D0 10 9B 03 F0 01 00 9D ED 3E 0B ?? ?? ?? ?? 8D ED 44 0B 9D ED 44 0B B1 EE 40 0B B7 EE C0 0B 8D ED 08 0A 0F E0 0E E0 10 9B 03 F0 01 00 9D ED 3E 0B ?? ?? ?? ?? 8D ED 46 0B 9D ED 46 0B B7 EE C0 0B 8D ED 08 0A 9D ED 08 0A 48 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 75 A7 BB E9 BB FD 15 40 BB B2 CC BE 3A 46 1C 40 D2 21 33 7F 7C D9 02 40 5E 38 55 29 7A 6A 0F 40 00 00 00 00 80 84 1E 41 ?? ?? ?? ?? 00 00 C0 FF }
	condition:
		$1
}

rule file_297_3_0 {
	meta:
		name = "tanf_piby4"
		size = 208
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 8D ED 02 0B 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 8D ED 00 0B 9D ED 02 1B 9D ED 00 0B 21 EE 00 2B 9F ED 27 1B 9D ED 00 0B 21 EE 00 1B 9F ED 22 0B 30 EE 41 0B 22 EE 00 2B 9F ED 1D 1B 9D ED 00 0B 21 EE 00 1B 9F ED 18 0B 30 EE 01 1B 9D ED 00 0B 21 EE 00 1B 9F ED 12 0B 30 EE 01 0B 82 EE 00 1B 9D ED 02 0B 30 EE 01 0B 8D ED 04 0B 0A 9B 00 2B 09 D0 BF EE 00 1B 9D ED 04 0B 81 EE 00 0B 8D ED 06 0B 04 E0 03 E0 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 5D F8 04 BB 5D F8 0C FB FE DE 2E 3A E7 A3 84 7E F2 3F 1B 51 B3 D7 66 72 E0 BF D9 92 C6 03 90 E2 92 3F 17 CB 56 DA B0 A8 D8 3F AD 6A FD 6E BA 9D 91 3F }
	condition:
		$1
}

rule file_298_0_0 {
	meta:
		name = "_fdquad"
		size = 1080
		refs = "0008 __security_push_cookie 008e _fd_int 0146 _fdunscale 015a _fdxp_setw 0178 _fdscale 019c memcpy 01aa _fdxp_mulh 01f0 _fdxp_addx 02a2 get_acsize 03a4 _fdxp_getw 03e2 fmodf 0408 __security_pop_cookie 0424 __c 0428 twobypi 042c inv2pi 0430 huge_rad 0434 __b"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? A5 B0 28 9B 93 ED 00 0A 8D ED 03 0A DF F8 14 34 93 ED 00 0A F1 EE 40 0A 9D ED 03 0A F4 EE C0 0A F1 EE 10 FA 80 F0 81 80 DD ED 03 0A FD 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 76 D2 DD ED 03 0A F6 4B 93 ED 00 0A 20 EE 80 0A 8D ED 00 0A 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 08 DB DD ED 00 0A B6 EE 00 0A 30 EE 80 0A 8D ED 00 0A 07 E0 DD ED 00 0A B6 EE 00 0A 30 EE C0 0A 8D ED 00 0A 00 21 68 46 ?? ?? ?? ?? 9D ED 00 0A B5 EE 40 0A F1 EE 10 FA 44 D0 DD ED 00 0A B5 EE 00 0A 20 EE 80 0A B7 EE C0 1A 9F ED DA 0B 81 EE 00 0B B7 EE C0 0B 8D ED 04 0A D8 4B DD ED 04 0A 93 ED 00 0A 60 EE 80 0A 9D ED 03 0A 30 EE 60 1A D3 4B 1B 1D DD ED 04 0A 93 ED 00 0A 20 EE 80 0A 31 EE 40 1A CE 4B 08 33 DD ED 04 0A 93 ED 00 0A 20 EE 80 0A 31 EE 40 1A C9 4B 0C 33 DD ED 04 0A 93 ED 00 0A 20 EE 80 0A 31 EE 40 1A C4 4B 10 33 DD ED 04 0A 93 ED 00 0A 20 EE 80 0A 31 EE 40 0A 8D ED 03 0A 9D ED 03 0A 28 9B 83 ED 00 0A 3F E1 05 23 01 93 9D ED 03 0A 8D ED 00 0A 69 46 02 A8 ?? ?? ?? ?? BD F9 08 30 21 2B 06 DA 9D ED 03 0A 01 99 0E A8 ?? ?? ?? ?? 49 E0 BD F9 08 30 19 3B DB 10 1B B2 AD F8 08 30 BD F9 08 30 DB 00 59 42 03 A8 ?? ?? ?? ?? 9D ED 03 0A 02 21 06 A8 ?? ?? ?? ?? 14 22 BD F9 08 30 59 1E 14 23 01 FB 03 F1 A7 4B 19 44 0E A8 ?? ?? ?? ?? 06 AB 93 ED 00 0A 01 99 0E A8 ?? ?? ?? ?? 06 AB 1B 1D 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 19 D0 14 22 BD F9 08 30 59 1E 14 23 01 FB 03 F1 99 4B 19 44 14 A8 ?? ?? ?? ?? 06 AB 1B 1D 93 ED 00 0A 01 99 14 A8 ?? ?? ?? ?? 01 9B 14 AA 01 99 0E A8 ?? ?? ?? ?? 0E AA 8E 4B 93 ED 00 0A F1 EE 40 0A 92 ED 00 0A B4 EE E0 0A F1 EE 10 FA 0A D3 0E AA 87 4B D3 ED 00 0A 92 ED 00 0A F4 EE C0 0A F1 EE 10 FA 60 D2 0E AA 0E AB 1B 1D D2 ED 00 0A 93 ED 00 0A 70 EE 80 0A 7D 4B 93 ED 00 0A 20 EE 80 0A 8D ED 00 0A 00 21 68 46 ?? ?? ?? ?? 9D ED 00 0A B1 EE 40 0A B7 EE C0 1A 9F ED 70 0B 81 EE 00 0B B7 EE C0 0B 02 21 06 A8 ?? ?? ?? ?? 01 9A 04 23 02 FB 03 F2 6B 49 14 A8 ?? ?? ?? ?? 06 AB 93 ED 00 0A 01 99 14 A8 ?? ?? ?? ?? 06 AB 1B 1D 93 ED 00 0A B5 EE 40 0A F1 EE 10 FA 1D D0 0E AB 93 ED 00 0A ?? ?? ?? ?? 08 90 08 9B 01 93 01 9A 04 23 02 FB 03 F2 5B 49 1A A8 ?? ?? ?? ?? 06 AB 1B 1D 93 ED 00 0A 01 99 1A A8 ?? ?? ?? ?? 01 9B 1A AA 01 99 14 A8 ?? ?? ?? ?? 01 9B 14 AA 01 99 0E A8 ?? ?? ?? ?? 86 E7 0E AA 0E AB 1B 1D D2 ED 00 0A 93 ED 00 0A 70 EE 80 0A 4B 4B 93 ED 00 0A 20 EE 80 0A 8D ED 00 0A 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 08 DB DD ED 00 0A B6 EE 00 0A 30 EE 80 0A 8D ED 00 0A 07 E0 DD ED 00 0A B6 EE 00 0A 30 EE C0 0A 8D ED 00 0A 00 21 68 46 ?? ?? ?? ?? 9D ED 00 0A B5 EE 40 0A F1 EE 10 FA 29 D0 0E AB 93 ED 00 0A ?? ?? ?? ?? 09 90 09 9B 01 93 01 9A 04 23 02 FB 03 F2 2F 49 20 A8 ?? ?? ?? ?? 9D ED 00 0A F1 EE 40 0A B5 EE 00 0A 20 EE 80 0A B7 EE C0 1A 9F ED 26 0B 81 EE 00 0B B7 EE C0 0B 01 99 20 A8 ?? ?? ?? ?? 01 9B 20 AA 01 99 0E A8 ?? ?? ?? ?? 01 99 0E A8 ?? ?? ?? ?? 8D ED 0A 0A 9D ED 0A 0A 28 9B 83 ED 00 0A DD ED 00 0A 9F ED 17 0A F4 EE C0 0A F1 EE 10 FA 08 D3 DF ED 12 0A 9D ED 00 0A F4 EE C0 0A F1 EE 10 FA 0B D2 DF ED 0E 0A 9D ED 00 0A ?? ?? ?? ?? 8D ED 0B 0A 9D ED 0B 0A 8D ED 00 0A 9D ED 00 0A BD EE C0 0A 10 EE 10 3A 03 F0 03 03 0C 93 0C 98 25 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB 00 00 00 4F 00 00 00 CF 00 00 00 00 00 00 B0 40 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_298_1_0 {
	meta:
		name = "_fdquadph"
		size = 372
		refs = "0010 _fdquad 0026 _fd_int 0066 fmodf 0164 __pi 0168 __piby4"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 8D ED 00 0A 0A 98 ?? ?? ?? ?? 04 90 04 9B 02 93 9D ED 00 0A 8D ED 01 0A 01 21 01 A8 ?? ?? ?? ?? DD ED 00 0A 9D ED 01 0A 30 EE C0 0A 8D ED 00 0A DD ED 01 0A 9F ED 4C 0A F4 EE C0 0A F1 EE 10 FA 08 D3 DF ED 47 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 0B D2 DF ED 43 0A 9D ED 01 0A ?? ?? ?? ?? 8D ED 05 0A 9D ED 05 0A 8D ED 01 0A DD ED 01 0A B0 EE 00 0A 20 EE 80 0A BD EE C0 0A 10 EE 10 3A 03 F0 03 02 02 9B 13 44 02 93 DD ED 00 0A 32 4B 93 ED 00 0A 60 EE 80 0A 0A 9B 93 ED 00 0A 30 EE 20 0A 8D ED 03 0A 2D 4B D3 ED 00 0A 9D ED 03 0A F4 EE C0 0A F1 EE 10 FA 1A D8 DD ED 00 0A B6 EE 00 0A 30 EE C0 0A 8D ED 00 0A 02 9B 5B 1C 02 93 DD ED 00 0A 21 4B 93 ED 00 0A 60 EE 80 0A 0A 9B 93 ED 00 0A 30 EE 20 0A 0A 9B 83 ED 00 0A 2B E0 1B 4B 93 ED 00 0A F1 EE 40 0A 9D ED 03 0A B4 EE E0 0A F1 EE 10 FA 1A D8 DD ED 00 0A B6 EE 00 0A 30 EE 80 0A 8D ED 00 0A 02 9B 5B 1E 02 93 DD ED 00 0A 0D 4B 93 ED 00 0A 60 EE 80 0A 0A 9B 93 ED 00 0A 30 EE 20 0A 0A 9B 83 ED 00 0A 04 E0 9D ED 03 0A 0A 9B 83 ED 00 0A 02 9B 06 93 06 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 00 80 4E 00 00 80 CE }
	condition:
		$1
}

rule file_298_2_0 {
	meta:
		name = "_fdsin"
		size = 448
		refs = "0010 _fdtest 0076 _fperrraise 0088 _fdquad 01b0 _s 01b4 _c 01b8 _FRteps_C 01bc _FNan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 04 93 04 9B 00 2B 0B D0 04 9B 01 2B 24 D0 04 9B 02 2B 00 D0 29 E0 9D ED 01 0A 8D ED 03 0A B1 E0 0A 9B 13 F0 01 0F 03 D0 B7 EE 00 0A 8D ED 01 0A 0A 9B 13 F0 02 0F 06 D0 9D ED 01 0A B1 EE 40 0A 8D ED 05 0A 03 E0 9D ED 01 0A 8D ED 05 0A 9D ED 05 0A 8D ED 03 0A 95 E0 01 20 ?? ?? ?? ?? 50 4B 93 ED 00 0A 8D ED 03 0A 8C E0 01 A8 ?? ?? ?? ?? 07 90 0A 9A 07 9B 13 44 0A 93 48 4B 93 ED 00 0A F1 EE 40 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 12 D2 DD ED 01 0A 41 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 08 D2 0A 9B 13 F0 01 0F 03 D0 B7 EE 00 0A 8D ED 01 0A 52 E0 DD ED 01 0A 9D ED 01 0A 20 EE 80 0A 8D ED 02 0A 0A 9B 13 F0 01 0F 21 D0 31 4B D3 ED 00 0A 9D ED 02 0A 60 EE 80 0A 2E 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 02 0A 60 EE 80 0A 29 4B 08 33 93 ED 00 0A 70 EE 80 0A 9D ED 02 0A 60 EE 20 0A B7 EE 00 0A 30 EE 20 0A 8D ED 01 0A 24 E0 DD ED 01 0A 9D ED 02 0A 20 EE 80 1A 1C 4B D3 ED 00 0A 9D ED 02 0A 60 EE 80 0A 19 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 02 0A 60 EE 80 0A 14 4B 08 33 93 ED 00 0A 30 EE 80 0A 61 EE 00 0A 9D ED 01 0A 30 EE 20 0A 8D ED 01 0A 0A 9B 13 F0 02 0F 06 D0 9D ED 01 0A B1 EE 40 0A 8D ED 06 0A 03 E0 9D ED 01 0A 8D ED 06 0A 9D ED 06 0A 8D ED 03 0A 9D ED 03 0A 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_298_3_0 {
	meta:
		name = "get_acsize"
		size = 68
		refs = "0010 _fdunscale 001a __rt_sdiv"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 03 0A 03 A9 68 46 ?? ?? ?? ?? BD F9 00 10 18 20 ?? ?? ?? ?? 02 23 00 FB 03 F3 1B 1D 01 93 01 9B 05 2B 02 D8 01 9B 02 93 01 E0 05 23 02 93 02 9B 04 93 04 98 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_298_4_0 {
	meta:
		name = "lgamma_big"
		size = 192
		refs = "0022 _fdlog 004e _fdunscale 0068 _fdscale 00a0 _fperrraise 00b8 half_ln2pim1 00bc c"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 02 0A F7 EE 00 0A 9D ED 02 0A 80 EE 80 0A 8D ED 05 0A 00 20 9D ED 02 0A ?? ?? ?? ?? 8D ED 03 0A DD ED 03 0A B7 EE 00 0A 30 EE C0 0A 8D ED 04 0A DD ED 02 0A B6 EE 00 0A 30 EE C0 0A 8D ED 01 0A 01 A9 68 46 ?? ?? ?? ?? DD ED 01 0A 9D ED 04 0A 20 EE 80 0A 8D ED 01 0A BD F9 00 10 01 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 00 2B 12 DA 10 4B D3 ED 00 0A 9D ED 05 0A 60 EE 80 0A 0C 4B 93 ED 00 0A 70 EE 20 0A 9D ED 01 0A 30 EE 20 0A 8D ED 01 0A 02 E0 08 20 ?? ?? ?? ?? 9D ED 01 0A 8D ED 06 0A 9D ED 06 0A 08 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_298_5_0 {
	meta:
		name = "lgammaf"
		size = 960
		refs = "0018 _fd_int 0060 _fperrraise 00a0 _fdsin 00c0 _fdlog 00d0 lgamma_big 01d2 _fdpoly 02de _fdtgamma 0376 log1pf 03a0 loge2hi 03a4 loge2lo 03a8 approx 03b0 rootapprox 03b4 _fdgamma_big 03b8 pi 03bc _FInf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 94 B0 8D ED 00 0A 9D ED 00 0A 8D ED 02 0A 00 21 02 A8 ?? ?? ?? ?? AD F8 10 00 BD F9 10 30 05 93 05 9B 00 2B 11 D0 05 9B 01 2B 08 D0 05 9B 02 2B 00 D0 1A E0 9D ED 00 0A 8D ED 03 0A A8 E1 DD 4B 93 ED 00 0A 8D ED 03 0A A2 E1 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 08 D8 04 20 ?? ?? ?? ?? D5 4B 93 ED 00 0A 8D ED 03 0A 92 E1 D0 4B 93 ED 00 0A F1 EE 40 0A 9D ED 00 0A B4 EE E0 0A F1 EE 10 FA 31 D2 00 20 DD ED 00 0A 9D ED 02 0A 70 EE C0 0A C8 4B 93 ED 00 0A 20 EE 20 0A ?? ?? ?? ?? 8D ED 08 0A 00 20 DD ED 00 0A 9D ED 08 0A 60 EE 80 0A C0 4B 93 ED 00 0A 80 EE 20 0A ?? ?? ?? ?? 8D ED 09 0A 9D ED 00 0A B1 EE 40 0A ?? ?? ?? ?? 8D ED 0A 0A DD ED 09 0A 9D ED 0A 0A 30 EE C0 0A 8D ED 03 0A 55 E1 54 E1 B1 4B D3 ED 00 0A 9D ED 00 0A F4 EE C0 0A F1 EE 10 FA 0B D8 9D ED 00 0A ?? ?? ?? ?? 8D ED 0B 0A 9D ED 0B 0A 8D ED 03 0A 3F E1 3E E1 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 0C 2B 20 D2 01 9A 18 23 02 FB 03 F2 9F 4B 13 44 D3 ED 00 0A 9D ED 00 0A F4 EE C0 0A F1 EE 10 FA 10 D2 01 9A 18 23 02 FB 03 F2 97 4B 13 44 1B 1D DD ED 00 0A 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 00 D2 00 E0 D8 E7 01 9B 0C 2B 39 D2 9D ED 00 0A 8D ED 02 0A 01 9A 18 23 02 FB 03 F2 8B 4B 13 44 08 33 DD ED 02 0A 93 ED 00 0A 70 EE C0 0A 01 9A 18 23 02 FB 03 F2 84 4B 13 44 0C 33 93 ED 00 0A 30 EE C0 0A 8D ED 02 0A 01 9A 18 23 02 FB 03 F2 7E 4B 13 44 14 33 19 68 01 9A 18 23 02 FB 03 F2 7A 4B 13 44 10 33 18 68 9D ED 02 0A ?? ?? ?? ?? 8D ED 0C 0A 9D ED 0C 0A 8D ED 03 0A D8 E0 D7 E0 DF ED 71 0A 9D ED 00 0A F4 EE C0 0A F1 EE 10 FA 6F D2 DD ED 00 0A B7 EE 08 0A F4 EE C0 0A F1 EE 10 FA 66 D2 9D ED 00 0A 8D ED 02 0A 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 01 2B 10 D2 01 9A 18 23 02 FB 03 F2 5E 4B 13 44 DD ED 02 0A 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 00 D2 00 E0 E8 E7 01 9A 18 23 02 FB 03 F2 56 4B 13 44 1B 1D DD ED 02 0A 93 ED 00 0A 30 EE C0 0A 8D ED 02 0A 01 9A 18 23 02 FB 03 F2 4E 4B 13 44 0C 33 19 68 01 9A 18 23 02 FB 03 F2 4A 4B 13 44 08 33 18 68 9D ED 02 0A ?? ?? ?? ?? 8D ED 0D 0A 01 9A 18 23 02 FB 03 F2 43 4B 13 44 14 33 19 68 01 9A 18 23 02 FB 03 F2 3F 4B 13 44 10 33 18 68 9D ED 02 0A ?? ?? ?? ?? 8D ED 0E 0A DD ED 0D 0A 9D ED 0E 0A 80 EE 80 0A 8D ED 0F 0A 9D ED 0F 0A 8D ED 03 0A 5F E0 5E E0 0D F1 12 01 68 46 ?? ?? ?? ?? 8D ED 10 0A 9D ED 10 0A 8D ED 02 0A 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 06 D2 9D ED 00 0A B1 EE 40 0A 8D ED 06 0A 03 E0 9D ED 00 0A 8D ED 06 0A 00 20 9D ED 06 0A ?? ?? ?? ?? 8D ED 11 0A 9D ED 11 0A B1 EE 40 0A 8D ED 00 0A BD F9 12 30 5B 42 00 EE 10 3A B8 EE C0 0A 8D ED 07 0A 19 4B D3 ED 00 0A 9D ED 07 0A 60 EE 80 0A 9D ED 00 0A 30 EE 20 0A 8D ED 00 0A 11 4B D3 ED 00 0A 9D ED 07 0A 60 EE 80 0A 9D ED 00 0A 30 EE 20 0A 8D ED 00 0A 9D ED 02 0A ?? ?? ?? ?? 8D ED 12 0A DD ED 00 0A 9D ED 12 0A 30 EE 80 0A 8D ED 00 0A 9D ED 00 0A 8D ED 03 0A 9D ED 03 0A 14 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 9A 99 99 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_299_0_0 {
	meta:
		name = "llround"
		size = 156
		refs = "000e _dtest 0032 round 006a __dtoi64 0076 _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 2B D0 01 9B 00 2B 02 DD 01 9B 02 2B 22 DD 9D ED 02 0B ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 02 0B 9F ED 14 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 0F D8 9D ED 02 1B 9F ED 0C 0B B4 EE C0 1B F1 EE 10 FA 06 D8 9D ED 02 0B ?? ?? ?? ?? 04 90 05 91 06 E0 01 20 ?? ?? ?? ?? 00 23 04 93 00 23 05 93 04 98 05 99 08 B0 BD E8 00 88 00 00 00 00 00 00 E0 43 00 00 00 00 00 00 E0 C3 }
	condition:
		$1
}

rule file_646_0_0 {
	meta:
		name = "llroundl"
		size = 156
		refs = "000e _ldtest 0032 roundl 006a __dtoi64 0076 _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 2B D0 01 9B 00 2B 02 DD 01 9B 02 2B 22 DD 9D ED 02 0B ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 02 0B 9F ED 14 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 0F D8 9D ED 02 1B 9F ED 0C 0B B4 EE C0 1B F1 EE 10 FA 06 D8 9D ED 02 0B ?? ?? ?? ?? 04 90 05 91 06 E0 01 20 ?? ?? ?? ?? 00 23 04 93 00 23 05 93 04 98 05 99 08 B0 BD E8 00 88 00 00 00 00 00 00 E0 43 00 00 00 00 00 00 E0 C3 }
	condition:
		$1
}

rule file_300_0_0 {
	meta:
		name = "_strrev"
		size = 108
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 02 93 06 9B 01 93 06 9B 93 F9 00 20 06 9B 5B 1C 06 93 00 2A 00 D0 F6 E7 06 9B 9B 1E 06 93 01 9A 06 9B 9A 42 14 D2 01 9B 93 F9 00 30 8D F8 00 30 06 9B 93 F9 00 20 01 9B 1A 70 01 9B 5B 1C 01 93 9D F9 00 20 06 9B 1A 70 06 9B 5B 1E 06 93 E6 E7 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_301_0_0 {
	meta:
		name = "_errcode"
		size = 100
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 13 F0 20 0F 02 D0 05 23 00 93 1D E0 04 9B 13 F0 08 0F 02 D0 01 23 00 93 16 E0 04 9B 13 F0 04 0F 02 D0 02 23 00 93 0F E0 04 9B 13 F0 01 0F 02 D0 03 23 00 93 08 E0 04 9B 13 F0 02 0F 02 D0 04 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_301_1_0 {
	meta:
		name = "_except1"
		size = 236
		refs = "000a __security_push_cookie 003a _handle_exc 006c _raise_exc 0072 _errcode 007c __acrt_has_user_matherr 00a0 _umatherr 00b6 _set_errno_from_matherr 00be _ctrlfp 00d2 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 8E B0 6F 46 82 B0 87 ED 04 1B 87 ED 08 0B 5D F8 80 39 02 AB 7B 60 7B 68 0F 33 7B 60 7B 68 23 F0 0F 03 7B 60 3A 6D 17 F1 10 01 B8 6C ?? ?? ?? ?? B8 61 BB 69 00 2B 14 D1 7B 68 40 33 1B 68 23 F0 01 02 7B 68 40 33 1A 60 17 F1 10 03 01 93 17 F1 20 03 00 93 FB 6C BA 6C 17 F1 50 01 78 68 ?? ?? ?? ?? B8 6C ?? ?? ?? ?? F8 61 FB 69 BB 60 ?? ?? ?? ?? 38 70 3B 78 00 2B 15 D0 BB 68 00 2B 12 D0 3A 6D 97 ED 04 2B 9F ED 13 1B 97 ED 08 0B F9 6C B8 68 ?? ?? ?? ?? 87 ED 0C 0B 97 ED 0C 0B 87 ED 0A 0B 0B E0 02 E0 B8 68 ?? ?? ?? ?? 09 49 38 6D ?? ?? ?? ?? 97 ED 04 0B 87 ED 0A 0B 97 ED 0A 0B BD 46 0E B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB FE DE 00 9F C0 03 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_301_2_0 {
	meta:
		name = "_except2"
		size = 264
		refs = "000a __security_push_cookie 003e _handle_exc 0092 _raise_exc 0098 _errcode 00a2 __acrt_has_user_matherr 00c6 _umatherr 00dc _set_errno_from_matherr 00e4 _ctrlfp 00f8 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B ?? ?? ?? ?? 90 B0 6F 46 82 B0 87 ED 04 2B 87 ED 08 1B 87 ED 0A 0B 5D F8 80 39 02 AB 3B 60 3B 68 0F 33 3B 60 3B 68 23 F0 0F 03 3B 60 BA 6D 17 F1 10 01 38 6D ?? ?? ?? ?? B8 61 BB 69 00 2B 25 D1 3B 68 40 33 1B 68 43 F0 01 02 3B 68 40 33 1A 60 3B 68 40 33 19 68 01 23 63 F3 44 01 3B 68 03 F1 40 02 0B 46 13 60 3B 68 30 33 97 ED 08 0B 83 ED 00 0B 17 F1 10 03 01 93 17 F1 28 03 00 93 7B 6D 3A 6D 17 F1 58 01 38 68 ?? ?? ?? ?? 38 6D ?? ?? ?? ?? F8 61 FB 69 BB 60 ?? ?? ?? ?? 38 71 3B 79 00 2B 15 D0 BB 68 00 2B 12 D0 BA 6D 97 ED 04 2B 97 ED 08 1B 97 ED 0A 0B 79 6D B8 68 ?? ?? ?? ?? 87 ED 0E 0B 97 ED 0E 0B 87 ED 0C 0B 0B E0 02 E0 B8 68 ?? ?? ?? ?? 08 49 B8 6D ?? ?? ?? ?? 97 ED 04 0B 87 ED 0C 0B 97 ED 0C 0B BD 46 10 B0 ?? ?? ?? ?? BD E8 80 08 5D F8 14 FB 00 9F C0 03 }
	condition:
		$1
}

rule file_301_3_0 {
	meta:
		name = "_get_fname"
		size = 92
		refs = "0058 ?_names@?1??_get_fname@@9@9"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 1D 2B 14 DA 00 9A 08 23 02 FB 03 F2 0C 4B 13 44 1A 68 04 9B 9A 42 09 D1 00 9A 08 23 02 FB 03 F2 07 4B 13 44 1B 1D 1B 68 01 93 02 E0 E4 E7 00 23 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_301_4_0 {
	meta:
		name = "_handle_exc"
		size = 756
		refs = "0024 _set_statfp 01ba _decomp 02ec _d_max 02f0 _d_inf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 18 9B 03 F0 1F 03 00 93 18 9B 13 F0 08 0F 0B D0 1A 9B 13 F4 80 7F 07 D0 01 20 ?? ?? ?? ?? 00 9B 23 F0 08 03 00 93 36 E1 18 9B 13 F0 04 0F 0B D0 1A 9B 13 F4 00 7F 07 D0 02 20 ?? ?? ?? ?? 00 9B 23 F0 04 03 00 93 26 E1 18 9B 13 F0 01 0F 00 F0 91 80 1A 9B 13 F4 80 6F 00 F0 8C 80 04 20 ?? ?? ?? ?? 1A 9B 03 F4 40 03 02 93 02 9B B3 F5 00 0F 0B D8 02 9B B3 F5 00 0F 42 D0 02 9B 00 2B 09 D0 02 9B B3 F5 80 0F 20 D0 6F E0 02 9B B3 F5 40 0F 51 D0 6A E0 19 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 05 DD 90 4B 93 ED 00 0B 8D ED 0C 0B 06 E0 8D 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0C 0B 9D ED 0C 0B 19 9B 83 ED 00 0B 4F E0 19 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 05 DD 82 4B 93 ED 00 0B 8D ED 0E 0B 06 E0 7E 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0E 0B 9D ED 0E 0B 19 9B 83 ED 00 0B 34 E0 19 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 05 DD 74 4B 93 ED 00 0B 8D ED 10 0B 06 E0 72 4B 93 ED 00 0B B1 EE 40 0B 8D ED 10 0B 9D ED 10 0B 19 9B 83 ED 00 0B 19 E0 19 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 05 DD 66 4B 93 ED 00 0B 8D ED 12 0B 06 E0 63 4B 93 ED 00 0B B1 EE 40 0B 8D ED 12 0B 9D ED 12 0B 19 9B 83 ED 00 0B 00 9B 23 F0 01 03 00 93 90 E0 18 9B 13 F0 02 0F 00 F0 8C 80 1A 9B 13 F4 00 6F 00 F0 87 80 00 23 01 93 18 9B 13 F0 10 0F 01 D0 01 23 01 93 19 9B 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 6A D0 06 A8 19 9B 93 ED 00 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 0A 0B 06 9B A3 F5 C0 63 03 93 03 9A 44 4B 9A 42 0A DA 9D ED 0A 1B 9F ED 40 0B 21 EE 00 0B 8D ED 0A 0B 01 23 01 93 45 E0 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 02 D2 01 23 04 93 01 E0 00 23 04 93 04 9B 07 93 BD F8 2E 30 03 F0 0F 03 9B B2 AD F8 2E 30 BD F8 2E 30 43 F0 10 03 9B B2 AD F8 2E 30 02 E0 03 9B 5B 1C 03 93 03 9A 6F F4 7F 73 9A 42 17 DA 0A 9B 13 F0 01 0F 04 D0 01 9B 00 2B 01 D1 01 23 01 93 0A 9B 5B 08 0A 93 0B 9B 13 F0 01 0F 03 D0 0A 9B 43 F0 00 43 0A 93 0B 9B 5B 08 0B 93 DF E7 07 9B 00 2B 05 D0 9D ED 0A 0B B1 EE 40 0B 8D ED 0A 0B 9D ED 0A 0B 19 9B 83 ED 00 0B 01 E0 01 23 01 93 01 9B 00 2B 02 D0 08 20 ?? ?? ?? ?? 00 9B 23 F0 02 03 00 93 18 9B 13 F0 10 0F 0A D0 1A 9B 13 F4 80 5F 06 D0 10 20 ?? ?? ?? ?? 00 9B 23 F0 10 03 00 93 00 9B 00 2B 02 D0 00 23 05 93 01 E0 01 23 05 93 05 9B 08 93 08 98 16 B0 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 00 00 00 00 CE FB FF FF ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_301_5_0 {
	meta:
		name = "_handle_qnan2"
		size = 50
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 02 1B 8D ED 00 0B 9D ED 00 1B 9D ED 02 0B 31 EE 00 0B 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_301_6_0 {
	meta:
		name = "_raise_exc"
		size = 44
		refs = "001e _raise_exc_ex"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 02 93 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_301_7_0 {
	meta:
		name = "_raise_exc_ex"
		size = 1188
		refs = "019e _statfp 0374 _clrfp 0488 __imp_RaiseException"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 8B B0 DF F8 90 34 00 93 0E 9B 1A 1D 00 23 13 60 0E 9B 03 F1 08 02 00 23 13 60 0E 9B 03 F1 0C 02 00 23 13 60 10 9B 13 F0 10 0F 0A D0 DF F8 64 34 00 93 0E 9B 1B 1D 1B 68 43 F0 01 02 0E 9B 1B 1D 1A 60 10 9B 13 F0 02 0F 0A D0 DF F8 40 34 00 93 0E 9B 1B 1D 1B 68 43 F0 02 02 0E 9B 1B 1D 1A 60 10 9B 13 F0 01 0F 0A D0 DF F8 20 34 00 93 0E 9B 1B 1D 1B 68 43 F0 04 02 0E 9B 1B 1D 1A 60 10 9B 13 F0 04 0F 0A D0 DF F8 FC 33 00 93 0E 9B 1B 1D 1B 68 43 F0 08 02 0E 9B 1B 1D 1A 60 10 9B 13 F0 08 0F 09 D0 F7 4B 00 93 0E 9B 1B 1D 1B 68 43 F0 10 02 0E 9B 1B 1D 1A 60 0F 9B 1B 68 13 F4 80 7F 02 D0 00 23 03 93 01 E0 01 23 03 93 0E 9B 03 F1 08 02 03 9B 11 68 63 F3 04 11 0E 9B 03 F1 08 02 0B 46 13 60 0F 9B 1B 68 13 F4 00 7F 02 D0 00 23 04 93 01 E0 01 23 04 93 0E 9B 03 F1 08 02 04 9B 11 68 63 F3 C3 01 0E 9B 03 F1 08 02 0B 46 13 60 0F 9B 1B 68 13 F4 80 6F 02 D0 00 23 05 93 01 E0 01 23 05 93 0E 9B 03 F1 08 02 05 9B 11 68 63 F3 82 01 0E 9B 03 F1 08 02 0B 46 13 60 0F 9B 1B 68 13 F4 00 6F 02 D0 00 23 06 93 01 E0 01 23 06 93 0E 9B 03 F1 08 02 06 9B 11 68 63 F3 41 01 0E 9B 03 F1 08 02 0B 46 13 60 0F 9B 1B 68 13 F4 80 5F 02 D0 00 23 07 93 01 E0 01 23 07 93 0E 9B 03 F1 08 02 07 9B 11 68 63 F3 00 01 0E 9B 03 F1 08 02 0B 46 13 60 ?? ?? ?? ?? 09 90 09 9B 01 93 01 9B 13 F0 01 0F 07 D0 0E 9B 0C 33 1B 68 43 F0 10 02 0E 9B 0C 33 1A 60 01 9B 13 F0 02 0F 07 D0 0E 9B 0C 33 1B 68 43 F0 08 02 0E 9B 0C 33 1A 60 01 9B 13 F0 04 0F 07 D0 0E 9B 0C 33 1B 68 43 F0 04 02 0E 9B 0C 33 1A 60 01 9B 13 F0 08 0F 07 D0 0E 9B 0C 33 1B 68 43 F0 02 02 0E 9B 0C 33 1A 60 01 9B 13 F0 10 0F 07 D0 0E 9B 0C 33 1B 68 43 F0 01 02 0E 9B 0C 33 1A 60 0F 9B 1B 68 03 F4 40 03 02 93 02 9B B3 F5 00 0F 0B D8 02 9B B3 F5 00 0F 1C D0 02 9B 00 2B 22 D0 02 9B B3 F5 80 0F 0C D0 23 E0 02 9B B3 F5 40 0F 00 D0 1E E0 0E 9B 1B 68 43 F0 03 02 0E 9B 1A 60 17 E0 0E 9B 19 68 02 23 63 F3 01 01 0E 9A 0B 46 13 60 0E E0 0E 9B 19 68 01 23 63 F3 01 01 0E 9A 0B 46 13 60 05 E0 0E 9B 1B 68 23 F0 03 02 0E 9B 1A 60 0E 9B 11 9A 1B 68 62 F3 50 13 0E 9A 13 60 14 9B 00 2B 30 D0 0E 9B 20 33 1B 68 43 F0 01 02 0E 9B 20 33 1A 60 0E 9B 20 33 1B 68 23 F0 1E 02 0E 9B 20 33 1A 60 0E 9B 03 F1 10 02 12 9B 93 ED 00 0A 82 ED 00 0A 0E 9B 60 33 1B 68 43 F0 01 02 0E 9B 60 33 1A 60 0E 9B 60 33 1B 68 23 F0 1E 02 0E 9B 60 33 1A 60 0E 9B 03 F1 50 02 13 9B 93 ED 00 0A 82 ED 00 0A 35 E0 0E 9B 20 33 1B 68 43 F0 01 02 0E 9B 20 33 1A 60 0E 9B 20 33 19 68 01 23 63 F3 44 01 0E 9B 03 F1 20 02 0B 46 13 60 0E 9B 03 F1 10 02 12 9B 93 ED 00 0B 82 ED 00 0B 0E 9B 60 33 1B 68 43 F0 01 02 0E 9B 60 33 1A 60 0E 9B 60 33 19 68 01 23 63 F3 44 01 0E 9B 03 F1 60 02 0B 46 13 60 0E 9B 03 F1 50 02 13 9B 93 ED 00 0B 82 ED 00 0B ?? ?? ?? ?? 0E AB 01 22 00 21 00 98 41 4C 24 68 A0 47 0E 9B 08 33 1B 68 13 F0 10 0F 05 D0 0F 9B 1B 68 23 F4 80 72 0F 9B 1A 60 0E 9B 08 33 1B 68 13 F0 08 0F 05 D0 0F 9B 1B 68 23 F4 00 72 0F 9B 1A 60 0E 9B 08 33 1B 68 13 F0 04 0F 05 D0 0F 9B 1B 68 23 F4 80 62 0F 9B 1A 60 0E 9B 08 33 1B 68 13 F0 02 0F 05 D0 0F 9B 1B 68 23 F4 00 62 0F 9B 1A 60 0E 9B 08 33 1B 68 13 F0 01 0F 05 D0 0F 9B 1B 68 23 F4 80 52 0F 9B 1A 60 0E 9B 1B 68 03 F0 03 03 08 93 08 9B 03 2B 25 D8 08 9A DF E8 02 F0 1D 14 0B 02 0F 9B 19 68 03 23 63 F3 97 51 0F 9A 0B 46 13 60 17 E0 0F 9B 19 68 01 23 63 F3 97 51 0F 9A 0B 46 13 60 0E E0 0F 9B 19 68 02 23 63 F3 97 51 0F 9A 0B 46 13 60 05 E0 0F 9B 1B 68 23 F4 40 02 0F 9B 1A 60 14 9B 00 2B 07 D0 0E 9B 50 33 93 ED 00 0A 13 9B 83 ED 00 0A 06 E0 0E 9B 50 33 93 ED 00 0B 13 9B 83 ED 00 0B 0B B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? 90 00 00 C0 8E 00 00 C0 91 00 00 C0 93 00 00 C0 8F 00 00 C0 0D 00 00 C0 }
	condition:
		$1
}

rule file_301_8_0 {
	meta:
		name = "_raise_excf"
		size = 44
		refs = "001e _raise_exc_ex"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 01 23 02 93 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_301_9_0 {
	meta:
		name = "_set_errno_from_matherr"
		size = 70
		refs = "0022 _errno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 9B 01 2B 06 D0 00 9B 01 2B 10 DD 00 9B 03 2B 07 DD 0C E0 ?? ?? ?? ?? 01 90 01 9A 21 23 13 60 05 E0 ?? ?? ?? ?? 02 90 02 9A 22 23 13 60 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_301_10_0 {
	meta:
		name = "_umatherr"
		size = 148
		refs = "0018 _get_fname 0048 _ctrlfp 004e __acrt_invoke_user_matherr 005c _set_errno_from_matherr"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 8D ED 02 2B 8D ED 06 1B 8D ED 04 0B 15 98 ?? ?? ?? ?? 00 90 00 9B 0B 93 0B 9B 00 2B 21 D0 14 9B 0A 93 04 9B 0C 93 05 9B 0D 93 06 9B 0E 93 07 9B 0F 93 02 9B 10 93 03 9B 11 93 12 49 16 98 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 14 98 ?? ?? ?? ?? 9D ED 10 0B 8D ED 08 0B 0B E0 0A E0 08 49 16 98 ?? ?? ?? ?? 14 98 ?? ?? ?? ?? 9D ED 02 0B 8D ED 08 0B 9D ED 08 0B 12 B0 5D F8 04 BB 5D F8 14 FB 00 9F C0 03 }
	condition:
		$1
}

rule file_303_27_0 {
	meta:
		name = "_getmaxstdio"
		size = 40
		refs = "000e memset 0016 ??$__acrt_lock_and_call@V<lambda_310477c8b9c73405e9396a64630870ce>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_310477c8b9c73405e9396a64630870ce>@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 01 22 00 21 68 46 ?? ?? ?? ?? 69 46 08 20 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_303_28_0 {
	meta:
		name = "_setmaxstdio"
		size = 168
		refs = "003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0078 ??0<lambda_e8723a8dae3afd25eae4fccce9f46446>@@QAA@ABH@Z 0082 ??$__acrt_lock_and_call@V<lambda_e8723a8dae3afd25eae4fccce9f46446>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_e8723a8dae3afd25eae4fccce9f46446>@@@Z 0098 ??_C@_1HA@HLFMLOGH@?$AAn?$AAe?$AAw?$AA_?$AAm?$AAa?$AAx?$AAi?$AAm?$AAu?$AAm?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAI?$AAO?$AAB?$AA_?$AAE?$AAN?$AAT?$AAR?$AAI?$AAE?$AAS?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn@ 009c ??_C@_1BK@CKGPNIMN@?$AA_?$AAs?$AAe?$AAt?$AAm?$AAa?$AAx?$AAs?$AAt?$AAd?$AAi?$AAo?$AA?$AA@ 00a0 ??_C@_1GC@JNICBAOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 03 2B 06 DB 0C 9B B3 F5 00 5F 02 DC 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 1A 4B 01 93 1C 4B 00 93 00 23 16 22 19 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 11 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 16 23 0F 4A 0D 49 0C 48 ?? ?? ?? ?? 6F F0 00 03 04 93 0B E0 0C A9 09 A8 ?? ?? ?? ?? 07 90 07 99 08 20 ?? ?? ?? ?? 08 90 08 9B 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_304_0_0 {
	meta:
		name = "wmemmove"
		size = 44
		refs = "0016 memmove"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 02 23 02 FB 03 F2 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_489_0_0 {
	meta:
		name = "wmemcpy"
		size = 44
		refs = "0016 memcpy"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 02 23 02 FB 03 F2 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_304_1_0 {
	meta:
		name = "wmemmove_s"
		size = 364
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 013e wmemmove 0154 ??_C@_1DE@EINONPIJ@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 0158 ??_C@_1BG@PFKJPJJI@?$AAw?$AAm?$AAe?$AAm?$AAm?$AAo?$AAv?$AAe?$AA_?$AAs?$AA?$AA@ 015c ??_C@_1GK@NIEIMMID@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0160 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0164 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0168 ??_C@_1CO@JMPIHJLO@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 15 9B 00 2B 02 D1 00 23 02 93 97 E0 12 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 4D 4B 01 93 4A 4B 00 93 00 23 1C 22 47 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 1C 23 3D 4A 3B 49 3F 48 ?? ?? ?? ?? 16 23 02 93 67 E0 14 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 34 4B 01 93 32 4B 00 93 00 23 1D 22 2F 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 1D 23 25 4A 23 49 26 48 ?? ?? ?? ?? 16 23 02 93 37 E0 13 9A 15 9B 9A 42 02 D3 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 18 4B 01 93 1A 4B 00 93 00 23 1E 22 17 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 0E 90 0E 9A 22 23 13 60 00 23 00 93 1E 23 0C 4A 0B 49 09 48 ?? ?? ?? ?? 22 23 02 93 06 E0 15 9A 14 99 12 98 ?? ?? ?? ?? 00 23 02 93 02 98 10 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_305_0_0 {
	meta:
		name = "_Sinh"
		size = 656
		refs = "0012 _dtest 0092 _fperrraise 0212 _dexp 0278 _Xbig_C 027c s 0280 c 0284 ln3by2 0288 _Rteps_C 028c _Nan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 06 1B 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 AD F8 00 30 06 A8 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 AD F8 02 30 BD F9 00 30 00 2B 03 DA BD F9 02 30 00 2B 55 DB BD F9 00 30 02 2B 05 D1 9D ED 04 0B 8D ED 08 0B 0A E1 4A E0 BD F9 02 30 02 2B 05 D1 9D ED 06 0B 8D ED 08 0B 00 E1 40 E0 BD F9 00 30 01 2B 17 D1 BD F9 02 30 00 2B 09 D0 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B EE E0 08 E0 01 20 ?? ?? ?? ?? 7D 4B 93 ED 00 0B 8D ED 08 0B E4 E0 24 E0 BD F9 00 30 00 2B 17 D1 BD F9 02 30 01 2B 09 D0 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B D2 E0 08 E0 01 20 ?? ?? ?? ?? 6F 4B 93 ED 00 0B 8D ED 08 0B C8 E0 08 E0 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B BE E0 BD E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 09 D2 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 01 23 AD F8 04 30 02 E0 00 23 AD F8 04 30 9D ED 04 1B 5A 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 08 D2 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 04 0B 83 E0 9D ED 04 1B 50 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 50 D2 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B 8D ED 0A 0B 47 4B 93 ED 00 1B 9D ED 0A 0B 21 EE 00 1B 43 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 0A 0B 20 EE 01 1B B7 EE 00 0B 30 EE 01 0B 8D ED 0E 0B 9D ED 04 1B 9D ED 0A 0B 21 EE 00 2B 37 4B 93 ED 00 1B 9D ED 0A 0B 21 EE 00 1B 34 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 0A 0B 21 EE 00 1B 2F 4B 10 33 93 ED 00 0B 31 EE 00 0B 22 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B 9D ED 04 1B 9D ED 0E 0B 81 EE 00 1B 9D ED 06 0B 20 EE 01 0B 8D ED 04 0B 28 E0 9D ED 04 1B 1F 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 17 D2 6F F0 00 01 B7 EE 00 0B 04 A8 ?? ?? ?? ?? B5 EE 00 1B 9D ED 04 0B 81 EE 00 1B 9D ED 04 0B 30 EE 41 1B 9D ED 06 0B 20 EE 01 0B 8D ED 04 0B 06 E0 6F F0 00 01 9D ED 06 0B 04 A8 ?? ?? ?? ?? BD F9 04 30 00 2B 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9D ED 04 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B 9D ED 08 0B 10 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_522_0_0 {
	meta:
		name = "_LSinh"
		size = 656
		refs = "0012 _ldtest 0092 _fperrraise 0212 _ldexp 0278 _LXbig_C 027c s 0280 c 0284 ln3by2 0288 _LRteps_C 028c _LNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 06 1B 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 AD F8 00 30 06 A8 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 AD F8 02 30 BD F9 00 30 00 2B 03 DA BD F9 02 30 00 2B 55 DB BD F9 00 30 02 2B 05 D1 9D ED 04 0B 8D ED 08 0B 0A E1 4A E0 BD F9 02 30 02 2B 05 D1 9D ED 06 0B 8D ED 08 0B 00 E1 40 E0 BD F9 00 30 01 2B 17 D1 BD F9 02 30 00 2B 09 D0 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B EE E0 08 E0 01 20 ?? ?? ?? ?? 7D 4B 93 ED 00 0B 8D ED 08 0B E4 E0 24 E0 BD F9 00 30 00 2B 17 D1 BD F9 02 30 01 2B 09 D0 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B D2 E0 08 E0 01 20 ?? ?? ?? ?? 6F 4B 93 ED 00 0B 8D ED 08 0B C8 E0 08 E0 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B BE E0 BD E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 09 D2 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 01 23 AD F8 04 30 02 E0 00 23 AD F8 04 30 9D ED 04 1B 5A 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 08 D2 9D ED 04 1B 9D ED 06 0B 21 EE 00 0B 8D ED 04 0B 83 E0 9D ED 04 1B 50 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 50 D2 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B 8D ED 0A 0B 47 4B 93 ED 00 1B 9D ED 0A 0B 21 EE 00 1B 43 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 0A 0B 20 EE 01 1B B7 EE 00 0B 30 EE 01 0B 8D ED 0E 0B 9D ED 04 1B 9D ED 0A 0B 21 EE 00 2B 37 4B 93 ED 00 1B 9D ED 0A 0B 21 EE 00 1B 34 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 0A 0B 21 EE 00 1B 2F 4B 10 33 93 ED 00 0B 31 EE 00 0B 22 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 04 0B 9D ED 04 1B 9D ED 0E 0B 81 EE 00 1B 9D ED 06 0B 20 EE 01 0B 8D ED 04 0B 28 E0 9D ED 04 1B 1F 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 17 D2 6F F0 00 01 B7 EE 00 0B 04 A8 ?? ?? ?? ?? B5 EE 00 1B 9D ED 04 0B 81 EE 00 1B 9D ED 04 0B 30 EE 41 1B 9D ED 06 0B 20 EE 01 0B 8D ED 04 0B 06 E0 6F F0 00 01 9D ED 06 0B 04 A8 ?? ?? ?? ?? BD F9 04 30 00 2B 06 D0 9D ED 04 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9D ED 04 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 08 0B 9D ED 08 0B 10 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_305_1_0 {
	meta:
		name = "csinh"
		size = 680
		refs = "0018 creal 0030 cimag 0042 _dtest 007e _Cbuild 00d4 _fperrraise 01e8 sin 01f4 cos 024a _Cosh 0266 _Sinh 02a0 _Inf_C 02a4 _Nan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 C4 B0 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 0B 8D ED 0A 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 08 0B 0A A8 ?? ?? ?? ?? AD F8 18 00 BD F9 18 30 AD F8 00 30 08 A8 ?? ?? ?? ?? AD F8 1A 00 BD F9 1A 30 AD F8 02 30 BD F9 00 30 02 2B 2E D1 BD F9 02 30 00 2B 14 D1 9D ED 08 1B 8A 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 22 1B 8D ED 20 0B 9D ED 20 0B 8D ED 02 0B 9D ED 22 0B 8D ED 04 0B FA E0 14 E0 81 4B 93 ED 00 1B 7F 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 26 1B 8D ED 24 0B 9D ED 24 0B 8D ED 02 0B 9D ED 26 0B 8D ED 04 0B E4 E0 E3 E0 BD F9 02 30 01 2B 35 D1 01 20 ?? ?? ?? ?? BD F9 00 30 00 2B 03 D0 BD F9 00 30 01 2B 14 D1 6E 4B 93 ED 00 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 2A 1B 8D ED 28 0B 9D ED 28 0B 8D ED 02 0B 9D ED 2A 0B 8D ED 04 0B C0 E0 14 E0 64 4B 93 ED 00 1B 62 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 2E 1B 8D ED 2C 0B 9D ED 2C 0B 8D ED 02 0B 9D ED 2E 0B 8D ED 04 0B AA E0 A9 E0 BD F9 02 30 02 2B 32 D1 BD F9 00 30 00 2B 03 D0 BD F9 00 30 01 2B 14 D1 53 4B 93 ED 00 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 32 1B 8D ED 30 0B 9D ED 30 0B 8D ED 02 0B 9D ED 32 0B 8D ED 04 0B 89 E0 14 E0 48 4B 93 ED 00 1B 47 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 36 1B 8D ED 34 0B 9D ED 34 0B 8D ED 02 0B 9D ED 36 0B 8D ED 04 0B 73 E0 72 E0 BD F9 00 30 01 2B 40 D1 BD F9 02 30 00 2B 13 D1 9D ED 08 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 3A 1B 8D ED 38 0B 9D ED 38 0B 8D ED 02 0B 9D ED 3A 0B 8D ED 04 0B 57 E0 27 E0 9D ED 08 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 08 0B ?? ?? ?? ?? 8D ED 16 0B 28 4B 93 ED 00 1B 9D ED 14 0B 21 EE 00 1B 9D ED 0A 2B 9D ED 16 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 3E 1B 8D ED 3C 0B 9D ED 3C 0B 8D ED 02 0B 9D ED 3E 0B 8D ED 04 0B 2E E0 2D E0 9D ED 08 0B ?? ?? ?? ?? 8D ED 18 0B 9D ED 18 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 08 0B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 1A 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1C 1B 9D ED 1E 0B ?? ?? ?? ?? 8D ED 42 1B 8D ED 40 0B 9D ED 40 0B 8D ED 02 0B 9D ED 42 0B 8D ED 04 0B 9D ED 02 0B 9D ED 04 1B 44 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_522_2_0 {
	meta:
		name = "csinhl"
		size = 680
		refs = "0018 creall 0030 cimagl 0042 _ldtest 007e _LCbuild 00d4 _fperrraise 01e8 sinl 01f4 cosl 024a _LCosh 0266 _LSinh 02a0 _LInf_C 02a4 _LNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 C4 B0 8D ED 0E 1B 8D ED 0C 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 0B 8D ED 0A 0B 9D ED 0C 0B 9D ED 0E 1B ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 08 0B 0A A8 ?? ?? ?? ?? AD F8 18 00 BD F9 18 30 AD F8 00 30 08 A8 ?? ?? ?? ?? AD F8 1A 00 BD F9 1A 30 AD F8 02 30 BD F9 00 30 02 2B 2E D1 BD F9 02 30 00 2B 14 D1 9D ED 08 1B 8A 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 22 1B 8D ED 20 0B 9D ED 20 0B 8D ED 02 0B 9D ED 22 0B 8D ED 04 0B FA E0 14 E0 81 4B 93 ED 00 1B 7F 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 26 1B 8D ED 24 0B 9D ED 24 0B 8D ED 02 0B 9D ED 26 0B 8D ED 04 0B E4 E0 E3 E0 BD F9 02 30 01 2B 35 D1 01 20 ?? ?? ?? ?? BD F9 00 30 00 2B 03 D0 BD F9 00 30 01 2B 14 D1 6E 4B 93 ED 00 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 2A 1B 8D ED 28 0B 9D ED 28 0B 8D ED 02 0B 9D ED 2A 0B 8D ED 04 0B C0 E0 14 E0 64 4B 93 ED 00 1B 62 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 2E 1B 8D ED 2C 0B 9D ED 2C 0B 8D ED 02 0B 9D ED 2E 0B 8D ED 04 0B AA E0 A9 E0 BD F9 02 30 02 2B 32 D1 BD F9 00 30 00 2B 03 D0 BD F9 00 30 01 2B 14 D1 53 4B 93 ED 00 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 32 1B 8D ED 30 0B 9D ED 30 0B 8D ED 02 0B 9D ED 32 0B 8D ED 04 0B 89 E0 14 E0 48 4B 93 ED 00 1B 47 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 36 1B 8D ED 34 0B 9D ED 34 0B 8D ED 02 0B 9D ED 36 0B 8D ED 04 0B 73 E0 72 E0 BD F9 00 30 01 2B 40 D1 BD F9 02 30 00 2B 13 D1 9D ED 08 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 3A 1B 8D ED 38 0B 9D ED 38 0B 8D ED 02 0B 9D ED 3A 0B 8D ED 04 0B 57 E0 27 E0 9D ED 08 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 08 0B ?? ?? ?? ?? 8D ED 16 0B 28 4B 93 ED 00 1B 9D ED 14 0B 21 EE 00 1B 9D ED 0A 2B 9D ED 16 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 3E 1B 8D ED 3C 0B 9D ED 3C 0B 8D ED 02 0B 9D ED 3E 0B 8D ED 04 0B 2E E0 2D E0 9D ED 08 0B ?? ?? ?? ?? 8D ED 18 0B 9D ED 18 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 08 0B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 1A 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1C 1B 9D ED 1E 0B ?? ?? ?? ?? 8D ED 42 1B 8D ED 40 0B 9D ED 40 0B 8D ED 02 0B 9D ED 42 0B 8D ED 04 0B 9D ED 02 0B 9D ED 04 1B 44 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_306_7_0 {
	meta:
		name = "_mbslwr_s_l"
		size = 468
		refs = "002e _CrtDbgReportW 0038 _errno 004c _invalid_parameter 0058 strnlen 0078 _CrtGetDebugFillThreshold 008a memset 00e8 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 012e __acrt_LCMapStringA 01c0 ??_C@_1GO@FAJOJLHI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 01c4 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 01c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01cc ??_C@_1BI@KPPLPFGP@?$AA_?$AAm?$AAb?$AAs?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 01d0 ??_C@_1KE@KOBLPBMH@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8D B0 05 46 17 46 0C 46 1D B1 24 B1 F5 B9 00 20 B3 E0 00 2C FA D0 6A 4B 6B 4C 67 49 00 93 00 23 33 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 33 23 61 49 5D 4A 20 46 ?? ?? ?? ?? 16 20 96 E0 21 46 28 46 ?? ?? ?? ?? 06 46 A6 42 29 D3 00 26 2E 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 4E 4B 4C 4C 4B 49 00 93 00 23 3F 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 3F 23 00 96 C7 E7 6F F0 00 48 14 F1 01 0F 11 D0 44 45 0F D0 73 1C A3 42 0C D2 ?? ?? ?? ?? A3 1B 5B 1E 02 46 9A 42 28 BF 1A 46 73 19 58 1C FE 21 ?? ?? ?? ?? 08 A8 39 46 ?? ?? ?? ?? 2B 78 2F 46 2E 46 4F F0 02 0A BB B3 0A 9A 4F F0 01 0E 0D F1 18 09 3B 78 99 18 48 7E 10 F0 04 0F 21 D0 53 68 D2 F8 1C 12 4F F4 80 72 03 93 3B 46 09 A8 CD F8 10 E0 CD F8 08 A0 CD F8 04 90 CD F8 00 A0 ?? ?? ?? ?? 48 B3 9D F8 18 30 0A 9A 7F 1C 06 F8 01 3B 01 28 4F F0 01 0E 0B DD 9D F8 19 30 33 70 76 1C 06 E0 10 F0 10 0F 01 D0 91 F8 19 31 06 F8 01 3B 17 F8 01 3F 00 2B CC D1 00 23 33 70 00 20 9D F8 2C 30 33 B1 08 9A D2 F8 50 33 23 EA 0A 03 C2 F8 50 33 0D B0 BD E8 F0 8F ?? ?? ?? ?? 2A 23 03 60 00 23 2B 70 14 F1 01 0F 0E D0 44 45 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 00 D3 1A 46 68 1C FE 21 ?? ?? ?? ?? ?? ?? ?? ?? 00 68 D6 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_308_6_0 {
	meta:
		name = "_ismbcprint_l"
		size = 98
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0044 __dcrt_multibyte_check_type"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? FF 2C 12 D8 01 9B E1 B2 1B 68 33 F8 11 20 40 F2 57 13 1A 42 07 D1 02 9B 0B 44 5B 7E 13 F0 03 0F 08 BF 00 20 07 D0 01 20 05 E0 01 A9 00 23 20 22 20 46 ?? ?? ?? ?? 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_310_7_0 {
	meta:
		name = "?__acrt_LCMapStringA_stat@@YAHPAU__crt_locale_pointers@@PB_WKPBDHPADHHH@Z"
		size = 908
		refs = "0016 __strncnt 0088 _MallocaComputeSize 00aa _malloc_dbg 00b6 _MarkAllocaS 00ca ??0?$__crt_scoped_stack_ptr_tag@_W@@QAA@QA_W@Z 00da ??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 00e2 ??B?$__crt_scoped_stack_ptr@_W@@QBA_NXZ 00f8 ??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ 0104 ?get@?$__crt_scoped_stack_ptr@_W@@QBAPA_WXZ 015c __acrt_LCMapStringEx 0380 __imp_WideCharToMultiByte 0384 ??_C@_0DH@IKPCBLP@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0388 __imp_MultiByteToWideChar"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B BB B0 42 9B 00 2B 10 DD 42 99 41 98 ?? ?? ?? ?? 11 90 11 9B 0D 93 0D 9A 42 9B 9A 42 03 DA 0D 9B 5B 1C 42 93 01 E0 0D 9B 42 93 00 23 06 93 45 9B 00 2B 04 D1 3E 9B 1B 68 08 33 1B 68 45 93 46 9B 00 2B 02 D0 09 23 0E 93 01 E0 01 23 0E 93 00 23 01 93 00 23 00 93 42 9B 41 9A 0E 99 45 98 C7 4C 24 68 A0 47 12 90 12 9B 0B 93 0B 9B 00 2B 02 D1 00 23 08 93 78 E1 0B 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 13 90 13 9B 00 2B 16 D0 0B 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 14 90 6A 23 B7 4A 02 21 14 98 ?? ?? ?? ?? 15 90 4D F6 DD 51 15 98 ?? ?? ?? ?? 16 90 16 9B 0F 93 01 E0 00 23 0F 93 0F 99 36 A8 ?? ?? ?? ?? 17 90 17 9B 18 93 18 9B 19 68 07 A8 ?? ?? ?? ?? 37 90 07 A8 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 07 D1 00 23 19 93 07 A8 ?? ?? ?? ?? 19 9B 08 93 37 E1 07 A8 ?? ?? ?? ?? 1A 90 0B 9B 01 93 1A 9B 00 93 42 9B 41 9A 01 21 45 98 9B 4C 24 68 A0 47 1B 90 1B 9B 00 2B 07 D1 06 9B 1C 93 07 A8 ?? ?? ?? ?? 1C 9B 08 93 1C E1 07 A8 ?? ?? ?? ?? 1D 90 00 23 04 93 00 23 03 93 00 23 02 93 00 23 01 93 00 23 00 93 0B 9B 1D 9A 40 99 3F 98 ?? ?? ?? ?? 1E 90 1E 9B 06 93 06 9B 00 2B 07 D1 06 9B 1F 93 07 A8 ?? ?? ?? ?? 1F 9B 08 93 FA E0 40 9B 13 F4 80 6F 31 D0 44 9B 00 2B 2D D0 06 9A 44 9B 9A 42 07 DD 00 23 20 93 07 A8 ?? ?? ?? ?? 20 9B 08 93 E7 E0 07 A8 ?? ?? ?? ?? 21 90 00 23 04 93 00 23 03 93 00 23 02 93 44 9B 01 93 43 9B 00 93 0B 9B 21 9A 40 99 3F 98 ?? ?? ?? ?? 22 90 22 9B 06 93 06 9B 00 2B 07 D1 06 9B 23 93 07 A8 ?? ?? ?? ?? 23 9B 08 93 C5 E0 BD E0 06 9B 0C 93 0C 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 24 90 24 9B 00 2B 16 D0 0C 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 25 90 A3 23 5C 4A 02 21 25 98 ?? ?? ?? ?? 26 90 4D F6 DD 51 26 98 ?? ?? ?? ?? 27 90 27 9B 10 93 01 E0 00 23 10 93 10 99 38 A8 ?? ?? ?? ?? 28 90 28 9B 29 93 29 9B 19 68 09 A8 ?? ?? ?? ?? 39 90 09 A8 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 0A D1 00 23 2A 93 09 A8 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 2A 9B 08 93 7E E0 09 A8 ?? ?? ?? ?? 2B 90 07 A8 ?? ?? ?? ?? 2C 90 00 23 04 93 00 23 03 93 00 23 02 93 0C 9B 01 93 2B 9B 00 93 0B 9B 2C 9A 40 99 3F 98 ?? ?? ?? ?? 2D 90 2D 9B 06 93 06 9B 00 2B 0A D1 06 9B 2E 93 09 A8 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 2E 9B 08 93 55 E0 44 9B 00 2B 24 D1 09 A8 ?? ?? ?? ?? 2F 90 00 23 03 93 00 23 02 93 00 23 01 93 00 23 00 93 0C 9B 2F 9A 00 21 45 98 24 4C 24 68 A0 47 30 90 30 9B 06 93 06 9B 00 2B 0A D1 06 9B 31 93 09 A8 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 31 9B 08 93 2E E0 23 E0 09 A8 ?? ?? ?? ?? 32 90 00 23 03 93 00 23 02 93 44 9B 01 93 43 9B 00 93 0C 9B 32 9A 00 21 45 98 12 4C 24 68 A0 47 33 90 33 9B 06 93 06 9B 00 2B 0A D1 06 9B 34 93 09 A8 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 34 9B 08 93 09 E0 09 A8 ?? ?? ?? ?? 06 9B 35 93 07 A8 ?? ?? ?? ?? 35 9B 08 93 08 98 3B B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_310_11_0 {
	meta:
		name = "__acrt_LCMapStringA"
		size = 86
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0036 ?__acrt_LCMapStringA_stat@@YAHPAU__crt_locale_pointers@@PB_WKPBDHPADHHH@Z 0042 ??1_LocaleUpdate@@QAA@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 10 99 0A A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 06 90 18 9B 04 93 17 9B 03 93 16 9B 02 93 15 9B 01 93 14 9B 00 93 13 9B 12 9A 11 99 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 0A A8 ?? ?? ?? ?? 08 9B 09 93 09 98 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_311_0_0 {
	meta:
		name = "_intrin_sqrtf"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 8D ED 00 0A 9D ED 00 0A B1 EE C0 0A 8D ED 01 0A 9D ED 01 0A 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_311_1_0 {
	meta:
		name = "sqrtf"
		size = 252
		refs = "0038 _handle_nanf 0074 _handle_errorf 00ce _intrin_sqrtf 00f0 ??_C@_05KGFAIMPG@sqrtf?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 05 0A 9D ED 05 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 04 93 04 9B 03 F0 FF 43 B3 F1 FF 4F 2D D1 04 9B 6F F3 DF 53 00 2B 0B D0 04 98 00 21 ?? ?? ?? ?? 8D ED 07 0A 9D ED 07 0A 8D ED 06 0A 4D E0 1C E0 04 9B 13 F0 00 4F 18 D0 01 23 03 93 DF ED 27 0A 9D ED 05 0A 21 23 02 93 08 23 01 93 01 23 00 93 21 4A 00 23 05 21 1F 48 ?? ?? ?? ?? 8D ED 08 0A 9D ED 08 0A 8D ED 06 0A 2F E0 04 9B 13 F0 00 4F 1D D0 04 9B 23 F0 00 43 00 2B 18 D0 01 23 03 93 DF ED 16 0A 9D ED 05 0A 21 23 02 93 08 23 01 93 01 23 00 93 10 4A 00 23 05 21 0E 48 ?? ?? ?? ?? 8D ED 09 0A 9D ED 09 0A 8D ED 06 0A 0D E0 9D ED 05 0A ?? ?? ?? ?? 8D ED 0A 0A 9D ED 0A 0A 8D ED 0B 0A 9D ED 0B 0A 8D ED 06 0A 9D ED 06 0A 0C B0 BD E8 00 88 ?? ?? ?? ?? 00 00 C0 FF 00 00 00 00 }
	condition:
		$1
}

rule file_312_4_0 {
	meta:
		name = "_mbsncpy_s_l"
		size = 708
		refs = "0050 _CrtGetDebugFillThreshold 0062 memset 00aa _CrtDbgReportW 00b4 _errno 00c8 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00da strncpy_s 0104 _ismbblead_l 0212 _invalid_parameter 02ac ??_C@_1BK@GLENENA@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 02b0 ??_C@_1HE@BNEBNPHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 02b4 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 02b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02bc ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 02c0 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 89 B0 9A 46 00 23 02 93 16 46 0C 46 05 46 BA F1 00 0F 05 D1 3D B9 00 2C 40 F0 27 81 00 20 3E E1 00 2D 00 F0 22 81 00 2C 00 F0 1F 81 BA F1 00 0F 16 D1 00 23 2B 70 B4 F1 FF 3F EF D0 6F F0 00 43 9C 42 EB D0 01 2C E9 D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? DD E7 66 BB 4F F0 00 09 85 F8 00 90 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 87 4B 88 4C 84 49 00 93 00 23 26 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 26 23 CD F8 00 90 EA E0 12 99 04 A8 ?? ?? ?? ?? 06 9B 9B 68 33 B9 53 46 32 46 21 46 28 46 ?? ?? ?? ?? BD E0 A8 46 27 46 4F F0 00 09 1A F1 01 0F 08 D1 AA 1B 33 78 93 55 06 F1 01 06 83 B3 7F 1E F8 D1 2D E0 30 78 05 A9 ?? ?? ?? ?? 70 B1 73 78 DB B1 02 2F 17 D9 33 78 88 F8 00 30 73 78 B6 1C BF 1E 88 F8 01 30 08 F1 02 08 08 E0 16 F8 01 3B 88 F8 00 30 08 F1 01 08 6B B1 7F 1E 0B D0 BA F1 01 0A DF D1 07 E0 00 27 05 E0 01 23 88 F8 00 90 02 93 08 F1 01 08 BA F1 00 0F 01 D1 88 F8 00 90 00 2F 5C D1 1A F1 01 0F 28 D1 02 9B 1B B1 ?? ?? ?? ?? 2A 23 03 60 01 2C 1B D9 2F 19 A7 F1 02 08 46 46 A8 45 07 D3 30 78 05 A9 ?? ?? ?? ?? 10 B1 76 1E AE 42 F7 D2 A8 EB 06 03 13 F0 01 0F 08 D0 07 F8 02 9C ?? ?? ?? ?? 30 B1 FE 23 07 F8 01 3C 02 E0 2B 19 03 F8 01 9C 50 20 51 E0 85 F8 00 90 14 F1 01 0F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 34 4B 35 4C 31 49 00 93 00 23 AE 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 2A 49 2A 4A 22 23 03 60 AE 23 20 46 CD F8 00 90 ?? ?? ?? ?? 22 20 20 E0 14 F1 01 0F 14 D0 6F F0 00 43 9C 42 10 D0 E3 1B 5B 1C A3 42 0C D2 ?? ?? ?? ?? 02 46 7B 1E 9A 42 28 BF 1A 46 EB 1B 23 44 58 1C FE 21 ?? ?? ?? ?? 02 9B 2B B1 ?? ?? ?? ?? 2A 23 03 60 2A 20 00 E0 00 20 9D F8 1C 30 0B B3 04 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 19 E0 11 4B 0F 4C 0E 49 00 93 00 23 1E 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1E 23 05 4A 03 49 20 46 ?? ?? ?? ?? 16 20 09 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_313_3_0 {
	meta:
		name = "?lowio_handle@__crt_stdio_stream@@QBAHXZ"
		size = 40
		refs = "0012 ??$__crt_interlocked_read@J@@YAJPDJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 03 F1 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_313_5_0 {
	meta:
		name = "_fileno"
		size = 168
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0014 ?valid@__crt_stdio_stream@@QBA_NXZ 0048 _CrtDbgReportW 005c _errno 0074 _invalid_parameter 0082 ?lowio_handle@__crt_stdio_stream@@QBAHXZ 0098 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 009c ??_C@_1BA@JGHIEKKM@?$AA_?$AAf?$AAi?$AAl?$AAe?$AAn?$AAo?$AA?$AA@ 00a0 ??_C@_1GA@KCAHHNGP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 99 05 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 17 4B 01 93 19 4B 00 93 00 23 11 22 16 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 11 23 0C 4A 0A 49 09 48 ?? ?? ?? ?? 6F F0 00 03 06 93 05 E0 05 A8 ?? ?? ?? ?? 09 90 09 9B 06 93 06 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_314_0_0 {
	meta:
		name = "__fpe_flt_rounds"
		size = 98
		refs = "0008 fegetround"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B B3 F5 00 7F 0B DC 00 9B B3 F5 00 7F 12 D0 00 9B 00 2B 0C D0 00 9B B3 F5 80 7F 0E D0 10 E0 00 9B B3 F5 40 7F 00 D0 0B E0 00 23 01 93 0B E0 01 23 01 93 08 E0 02 23 01 93 05 E0 03 23 01 93 02 E0 6F F0 00 03 01 93 01 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_314_1_0 {
	meta:
		name = "fegetround"
		size = 38
		refs = "000c _getfpcontrolword"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 00 23 00 93 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 03 F4 40 73 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_315_0_0 {
	meta:
		name = "malloc"
		size = 40
		refs = "0012 _malloc_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 22 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_536_1_0 {
	meta:
		name = "_strdup"
		size = 40
		refs = "0012 _strdup_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 22 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_540_1_0 {
	meta:
		name = "_wcsdup"
		size = 40
		refs = "0012 _wcsdup_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 22 01 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_316_0_0 {
	meta:
		name = "_ldrint"
		size = 382
		refs = "0014 fegetround 004e _ld_int"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B ?? ?? ?? ?? 04 90 04 9B 03 93 03 9B B3 F5 00 7F 0C DC 03 9B B3 F5 00 7F 00 F0 86 80 03 9B 00 2B 22 D0 03 9B B3 F5 80 7F 05 D0 95 E0 03 9B B3 F5 40 7F 74 D0 90 E0 00 21 06 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 00 2B 0D D0 06 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 9D ED 06 1B B7 EE 00 0B 31 EE 40 0B 8D ED 06 0B 77 E0 01 21 06 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 00 2B 2D D1 00 21 06 A8 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 00 2B 0A D0 6F F0 00 01 06 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 00 2B 00 D1 16 E0 06 AB 9B 1D 1B 88 13 F4 00 4F 08 D0 9D ED 06 1B B0 EE 00 0B 31 EE 40 0B 8D ED 06 0B 07 E0 9D ED 06 1B B0 EE 00 0B 31 EE 00 0B 8D ED 06 0B 21 E0 00 21 06 A8 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 00 2B 00 D1 16 E0 06 AB 9B 1D 1B 88 13 F4 00 4F 08 D0 9D ED 06 1B B7 EE 00 0B 31 EE 40 0B 8D ED 06 0B 07 E0 9D ED 06 1B B7 EE 00 0B 31 EE 00 0B 8D ED 06 0B 1C E0 00 21 06 A8 ?? ?? ?? ?? 17 E0 00 21 06 A8 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 00 2B 0D D0 06 AB 9B 1D 1B 88 13 F4 00 4F 07 D1 9D ED 06 1B B7 EE 00 0B 31 EE 00 0B 8D ED 06 0B 9D ED 06 0B 8D ED 0A 0B 9D ED 0A 0B 0C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_657_0_0 {
	meta:
		name = "_drint"
		size = 382
		refs = "0014 fegetround 004e _d_int"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B ?? ?? ?? ?? 04 90 04 9B 03 93 03 9B B3 F5 00 7F 0C DC 03 9B B3 F5 00 7F 00 F0 86 80 03 9B 00 2B 22 D0 03 9B B3 F5 80 7F 05 D0 95 E0 03 9B B3 F5 40 7F 74 D0 90 E0 00 21 06 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 00 2B 0D D0 06 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 9D ED 06 1B B7 EE 00 0B 31 EE 40 0B 8D ED 06 0B 77 E0 01 21 06 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 00 2B 2D D1 00 21 06 A8 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 00 2B 0A D0 6F F0 00 01 06 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 00 2B 00 D1 16 E0 06 AB 9B 1D 1B 88 13 F4 00 4F 08 D0 9D ED 06 1B B0 EE 00 0B 31 EE 40 0B 8D ED 06 0B 07 E0 9D ED 06 1B B0 EE 00 0B 31 EE 00 0B 8D ED 06 0B 21 E0 00 21 06 A8 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 00 2B 00 D1 16 E0 06 AB 9B 1D 1B 88 13 F4 00 4F 08 D0 9D ED 06 1B B7 EE 00 0B 31 EE 40 0B 8D ED 06 0B 07 E0 9D ED 06 1B B7 EE 00 0B 31 EE 00 0B 8D ED 06 0B 1C E0 00 21 06 A8 ?? ?? ?? ?? 17 E0 00 21 06 A8 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 00 2B 0D D0 06 AB 9B 1D 1B 88 13 F4 00 4F 07 D1 9D ED 06 1B B7 EE 00 0B 31 EE 00 0B 8D ED 06 0B 9D ED 06 0B 8D ED 0A 0B 9D ED 0A 0B 0C B0 BD E8 00 88 }
	condition:
		$1
}

rule file_316_1_0 {
	meta:
		name = "rintl"
		size = 114
		refs = "000e _ldtest 0038 _ldrint 005c _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 08 DB 01 9B 02 2B 00 DD 04 E0 9D ED 02 0B 8D ED 06 0B 19 E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 04 0B 9D ED 04 1B 9D ED 02 0B B4 EE 40 1B F1 EE 10 FA 02 D0 20 20 ?? ?? ?? ?? 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 0A B0 BD E8 00 88 }
	condition:
		$1
}

rule file_657_1_0 {
	meta:
		name = "rint"
		size = 114
		refs = "000e _dtest 0038 _drint 005c _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 08 DB 01 9B 02 2B 00 DD 04 E0 9D ED 02 0B 8D ED 06 0B 19 E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 04 0B 9D ED 04 1B 9D ED 02 0B B4 EE 40 1B F1 EE 10 FA 02 D0 20 20 ?? ?? ?? ?? 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 0A B0 BD E8 00 88 }
	condition:
		$1
}

rule file_318_3_0 {
	meta:
		name = "?_mbrtowc_s_l@@YAHPAHPA_WPBDIPAU_Mbstatet@@PAU__crt_locale_pointers@@@Z"
		size = 928
		refs = "0022 _CrtDbgReportW 007a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0080 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00f4 ??1_LocaleUpdate@@QAA@XZ 015a _errno 01ce _isleadbyte_l 0226 strlen 038c __imp_MultiByteToWideChar 0390 ??_C@_1GG@MCCIENJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0394 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0398 ??_C@_1GC@GKDIDINO@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAm?$AAb?$AA_?$AAc?$AAu?$AAr?$AA_?$AAm?$AAa?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe@ 039c ??_C@_1CC@HOFKGKIJ@?$AAp?$AAm?$AAb?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B A9 B0 30 9B 00 2B 0E D1 E2 4B 01 93 DF 4B 00 93 00 23 39 22 DC 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 2D 9B 00 2B 02 D0 2D 9A 00 23 13 80 2E 9B 00 2B 02 D0 2F 9B 00 2B 08 D1 2C 9B 00 2B 02 D0 2C 9A 00 23 13 60 00 23 02 93 92 E1 2E 9B 93 F9 00 30 00 2B 08 D1 2C 9B 00 2B 02 D0 2C 9A 00 23 13 60 00 23 02 93 84 E1 31 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 0D 90 0D 9B 1B 68 1B 1D 1B 68 03 93 03 9B 01 2B 11 D0 03 9B 02 2B 0E D0 BE 4B 01 93 BC 4B 00 93 00 23 4E 22 B9 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 04 A8 ?? ?? ?? ?? 0F 90 0F 9B 1B 68 A0 33 08 33 1B 68 00 2B 16 D1 2D 9B 00 2B 05 D0 2E 9B 93 F9 00 30 DA B2 2D 9B 1A 80 2C 9B 00 2B 02 D0 2C 9A 01 23 13 60 00 23 10 93 04 A8 ?? ?? ?? ?? 10 9B 02 93 40 E1 30 9B 1B 68 00 2B 5A D0 30 9B 5A 1C 2E 9B 93 F9 00 30 13 70 03 9B 01 2B 1D DD 2D 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 04 A8 ?? ?? ?? ?? 11 90 08 9B 01 93 2D 9B 00 93 02 23 30 9A 09 21 11 98 00 68 08 30 00 68 91 4C 24 68 A0 47 12 90 12 9B 00 2B 21 D1 30 9A 00 23 13 60 ?? ?? ?? ?? 13 90 13 9A 2A 23 13 60 2D 9B 00 2B 02 D0 2D 9A 00 23 13 80 2C 9B 00 2B 03 D0 2C 9A 6F F0 00 03 13 60 ?? ?? ?? ?? 14 90 14 9B 1B 68 15 93 04 A8 ?? ?? ?? ?? 15 9B 02 93 F3 E0 30 9A 00 23 13 60 2C 9B 00 2B 02 D0 03 9A 2C 9B 1A 60 00 23 16 93 04 A8 ?? ?? ?? ?? 16 9B 02 93 E2 E0 DE E0 04 A8 ?? ?? ?? ?? 27 90 27 99 2E 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 17 90 17 9B 00 2B 00 F0 84 80 2F 9A 03 9B 9A 42 14 D2 30 9A 2E 9B 93 F9 00 30 13 70 2C 9B 00 2B 03 D0 2C 9A 6F F0 01 03 13 60 00 23 18 93 04 A8 ?? ?? ?? ?? 18 9B 02 93 B9 E0 5B E0 03 9B 01 2B 30 DD 2D 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 2E 98 ?? ?? ?? ?? 19 90 19 9A 6F F0 00 43 9A 42 06 D2 2E 98 ?? ?? ?? ?? 1A 90 1A 9B 0A 93 02 E0 6F F0 00 43 0A 93 04 A8 ?? ?? ?? ?? 1B 90 09 9B 01 93 2D 9B 00 93 0A 9B 2E 9A 09 21 1B 98 00 68 08 30 00 68 48 4C 24 68 A0 47 1C 90 1C 9B 00 2B 27 D1 2E 9B 5B 1C 93 F9 00 30 00 2B 21 D1 30 9A 00 23 13 60 ?? ?? ?? ?? 1D 90 1D 9A 2A 23 13 60 2D 9B 00 2B 02 D0 2D 9A 00 23 13 80 2C 9B 00 2B 03 D0 2C 9A 6F F0 00 03 13 60 ?? ?? ?? ?? 1E 90 1E 9B 1B 68 1F 93 04 A8 ?? ?? ?? ?? 1F 9B 02 93 5C E0 2C 9B 00 2B 02 D0 03 9A 2C 9B 1A 60 00 23 20 93 04 A8 ?? ?? ?? ?? 20 9B 02 93 4E E0 4A E0 2D 9B 00 2B 02 D0 01 23 0B 93 01 E0 00 23 0B 93 04 A8 ?? ?? ?? ?? 21 90 0B 9B 01 93 2D 9B 00 93 01 23 2E 9A 09 21 21 98 00 68 08 30 00 68 1E 4C 24 68 A0 47 22 90 22 9B 00 2B 1E D1 ?? ?? ?? ?? 23 90 23 9A 2A 23 13 60 2D 9B 00 2B 02 D0 2D 9A 00 23 13 80 2C 9B 00 2B 03 D0 2C 9A 6F F0 00 03 13 60 ?? ?? ?? ?? 24 90 24 9B 1B 68 25 93 04 A8 ?? ?? ?? ?? 25 9B 02 93 10 E0 2C 9B 00 2B 02 D0 2C 9A 01 23 13 60 00 23 26 93 04 A8 ?? ?? ?? ?? 26 9B 02 93 02 E0 04 A8 ?? ?? ?? ?? 02 98 29 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_318_4_0 {
	meta:
		name = "?_mbsrtowcs_helper@@YAIPA_WPAPBDIPAU_Mbstatet@@@Z"
		size = 392
		refs = "0036 _CrtDbgReportW 004a _errno 0064 _invalid_parameter 0082 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00a8 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00c0 ?_mbrtowc_s_l@@YAHPAHPA_WPBDIPAU_Mbstatet@@PAU__crt_locale_pointers@@@Z 00d2 ??1_LocaleUpdate@@QAA@XZ 0174 ?mbst@?1??_mbsrtowcs_helper@@YAIPA_WPAPBDIPAU_Mbstatet@@@Z@4U2@A 0178 ??_C@_1BM@DAAPEENN@?$AAp?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 017c ??_C@_1CE@GMDJEGCL@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0180 ??_C@_1GG@MCCIENJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0184 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 17 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 54 4B 01 93 56 4B 00 93 00 23 4F F4 8F 72 53 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 4F F4 8F 73 48 4A 46 49 45 48 ?? ?? ?? ?? 6F F0 00 03 06 93 7B E0 17 9B 1B 68 04 93 00 23 03 93 00 23 05 93 00 21 10 A8 ?? ?? ?? ?? 19 9B 00 2B 01 D1 39 4B 19 93 16 9B 00 2B 2F D1 06 E0 05 9B 5B 1C 05 93 04 9A 03 9B 13 44 04 93 10 A8 ?? ?? ?? ?? 0B 90 0B 9B 01 93 19 9B 00 93 6F F0 00 43 04 9A 02 A9 03 A8 ?? ?? ?? ?? 03 9B 00 2B 09 DA 6F F0 00 03 0C 93 10 A8 ?? ?? ?? ?? 0C 9B 06 93 45 E0 0A E0 03 9B 00 2B 07 D1 05 9B 0D 93 10 A8 ?? ?? ?? ?? 0D 9B 06 93 39 E0 D0 E7 0C E0 05 9B 5B 1C 05 93 04 9A 03 9B 13 44 04 93 16 9B 9B 1C 16 93 18 9B 5B 1E 18 93 18 9B 00 2B 1D D9 10 A8 ?? ?? ?? ?? 0E 90 0E 9B 01 93 19 9B 00 93 6F F0 00 43 04 9A 16 99 03 A8 ?? ?? ?? ?? 03 9B 00 2B 04 DA 6F F0 00 03 05 93 07 E0 05 E0 03 9B 00 2B 02 D1 00 23 04 93 00 E0 D1 E7 04 9A 17 9B 1A 60 05 9B 0F 93 10 A8 ?? ?? ?? ?? 0F 9B 06 93 06 98 14 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_318_6_0 {
	meta:
		name = "btowc"
		size = 124
		refs = "002c memset 004e ?_mbrtowc_s_l@@YAHPAHPA_WPBDIPAU_Mbstatet@@PAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B B3 F1 FF 3F 05 D1 4F F6 FF 73 AD F8 14 30 28 E0 27 E0 0A 9B 5B B2 8D F8 08 30 08 22 00 21 06 A8 ?? ?? ?? ?? 00 23 AD F8 0A 30 6F F0 00 03 03 93 00 23 01 93 06 AB 00 93 01 23 02 AA 0D F1 0A 01 03 A8 ?? ?? ?? ?? 03 9B 00 2B 03 DA 4F F6 FF 73 04 93 02 E0 BD F8 0A 30 04 93 04 9B 9B B2 AD F8 14 30 BD F8 14 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_318_7_0 {
	meta:
		name = "mbrlen"
		size = 72
		refs = "0030 ?_mbrtowc_s_l@@YAHPAHPA_WPBDIPAU_Mbstatet@@PAU__crt_locale_pointers@@@Z 0044 ?mbst@?1??mbrlen@@9@4U_Mbstatet@@A"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 6F F0 00 03 03 93 0A 9B 00 2B 02 D0 0A 9B 02 93 01 E0 09 4B 02 93 00 23 01 93 02 9B 00 93 09 9B 08 9A 00 21 03 A8 ?? ?? ?? ?? 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_318_8_0 {
	meta:
		name = "mbrtowc"
		size = 120
		refs = "0036 ?_mbrtowc_s_l@@YAHPAHPA_WPBDIPAU_Mbstatet@@PAU__crt_locale_pointers@@@Z 0070 ??_C@_00CNPNBAHC@?$AA@ 0074 ?mbst@?1??mbrtowc@@9@4U_Mbstatet@@A"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 6F F0 00 03 02 93 09 9B 00 2B 12 D0 0B 9B 00 2B 02 D0 0B 9B 03 93 01 E0 14 4B 03 93 00 23 01 93 03 9B 00 93 0A 9B 09 9A 08 99 02 A8 ?? ?? ?? ?? 11 E0 0B 9B 00 2B 02 D0 0B 9B 04 93 01 E0 0A 4B 04 93 00 23 01 93 04 9B 00 93 01 23 06 4A 00 21 02 A8 ?? ?? ?? ?? 02 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_318_10_0 {
	meta:
		name = "mbsrtowcs_s"
		size = 748
		refs = "0056 _CrtDbgReportW 006a _errno 0084 _invalid_parameter 00b2 _CrtGetDebugFillThreshold 00e0 memset 0162 ?_mbsrtowcs_helper@@YAIPA_WPAPBDIPAU_Mbstatet@@@Z 02d4 ??_C@_1CO@EPBLOHBA@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 02d8 ??_C@_1BI@GDNNFHAB@?$AAm?$AAb?$AAs?$AAr?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$AA@ 02dc ??_C@_1GG@MCCIENJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 02e0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02e4 ??_C@_1BM@DAAPEENN@?$AAp?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02e8 ??_C@_1JI@OGEJMCOI@?$AA?$CI?$AAd?$AAs?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DN@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 00 2B 03 D0 1E 9A 6F F0 00 03 13 60 1F 9B 00 2B 02 D1 20 9B 00 2B 08 D0 1F 9B 00 2B 02 D0 20 9B 00 2B 02 D8 00 23 04 93 01 E0 01 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 A8 4B 01 93 A5 4B 00 93 00 23 40 F2 87 12 A2 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 40 F2 87 13 97 4A 95 49 99 48 ?? ?? ?? ?? 16 23 03 93 1B E1 1F 9B 00 2B 27 D0 1F 9A 00 23 13 80 20 9B B3 F1 FF 3F 20 D0 20 9A 6F F0 00 43 9A 42 1B D0 20 9B 01 2B 18 D9 ?? ?? ?? ?? 13 90 13 9B 06 93 20 9B 5A 1E 06 9B 93 42 02 D2 06 9B 07 93 02 E0 20 9B 5B 1E 07 93 07 9A 02 23 02 FB 03 F2 FE 21 1F 9B 98 1C ?? ?? ?? ?? 21 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0F D1 79 4B 01 93 77 4B 00 93 00 23 4F F4 C6 72 73 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 4F F4 C6 73 68 4A 67 49 69 48 ?? ?? ?? ?? 16 23 03 93 BE E0 22 9A 20 9B 9A 42 02 D9 20 9B 0A 93 01 E0 22 9B 0A 93 23 9B 0A 9A 21 99 1F 98 ?? ?? ?? ?? 16 90 16 9B 02 93 02 9B B3 F1 FF 3F 31 D1 1F 9B 00 2B 27 D0 1F 9A 00 23 13 80 20 9B B3 F1 FF 3F 20 D0 20 9A 6F F0 00 43 9A 42 1B D0 20 9B 01 2B 18 D9 ?? ?? ?? ?? 17 90 17 9B 0B 93 20 9B 5A 1E 0B 9B 93 42 02 D2 0B 9B 0C 93 02 E0 20 9B 5B 1E 0C 93 0C 9A 02 23 02 FB 03 F2 FE 21 1F 9B 98 1C ?? ?? ?? ?? ?? ?? ?? ?? 18 90 18 9B 1B 68 03 93 76 E0 02 9B 5B 1C 02 93 1F 9B 00 2B 68 D0 02 9A 20 9B 9A 42 5B D9 1F 9A 00 23 13 80 20 9B B3 F1 FF 3F 20 D0 20 9A 6F F0 00 43 9A 42 1B D0 20 9B 01 2B 18 D9 ?? ?? ?? ?? 19 90 19 9B 0D 93 20 9B 5A 1E 0D 9B 93 42 02 D2 0D 9B 0E 93 02 E0 20 9B 5B 1E 0E 93 0E 9A 02 23 02 FB 03 F2 FE 21 1F 9B 98 1C ?? ?? ?? ?? 20 9A 02 9B 9A 42 02 D8 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 1E 4B 01 93 20 4B 00 93 00 23 4F F4 D2 72 1D 49 02 20 ?? ?? ?? ?? 1A 90 1A 9B 01 2B 00 D1 FE DE 10 9B 00 2B 11 D1 ?? ?? ?? ?? 1B 90 1B 9A 22 23 13 60 00 23 00 93 4F F4 D2 73 12 4A 10 49 0F 48 ?? ?? ?? ?? 22 23 03 93 11 E0 08 E0 02 9B 5A 1E 02 23 02 FB 03 F2 1F 9B 1A 44 00 23 13 80 1E 9B 00 2B 02 D0 02 9A 1E 9B 1A 60 00 23 03 93 03 98 1C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_319_6_0 {
	meta:
		name = "_cwait"
		size = 148
		refs = "004a _errno 0052 __doserrno 005c __acrt_errno_map_os_error 0084 __imp_CloseHandle 0088 __imp_GetLastError 008c __imp_GetExitCodeProcess 0090 __imp_WaitForSingleObject"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 0D 46 6F F0 00 06 04 B1 26 60 B5 42 2D D0 15 F1 02 0F 2A D0 1C 4B 31 46 28 46 1B 68 98 47 50 B9 18 4B 69 46 28 46 1B 68 98 47 20 B1 0C B1 00 9B 23 60 2C 46 12 E0 11 4B 1B 68 98 47 06 28 08 D1 ?? ?? ?? ?? 0A 23 03 60 ?? ?? ?? ?? 06 23 03 60 01 E0 ?? ?? ?? ?? 04 B1 26 60 34 46 B5 42 09 D0 06 4B 28 46 1B 68 98 47 04 E0 ?? ?? ?? ?? 0A 23 03 60 34 46 20 46 BD E8 78 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_4_0 {
	meta:
		name = "??$common_capture_argv@D@@YAPAPADQAPADQBD0I@Z"
		size = 324
		refs = "0044 _calloc_dbg 004e _free_dbg 006e memcpy 0082 _recalloc_dbg 00ce memset 00d4 _errno 011a _invalid_parameter_noinfo 012c _invoke_watson 0134 ??_C@_1JM@GGJNDEJB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AA_?$AAa?$AAr?$AAr?$AAa?$AAy?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAa?$AAr?$AAg?$AAv@ 0138 ??_C@_1CI@LDGAJMAO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAa?$AAp?$AAt?$AAu?$AAr?$AAe?$AA_?$AAa?$AAr?$AAg?$AAv?$AA?$AA@ 013c ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0140 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@"
		altNames = "??$common_capture_argv@_W@@YAPAPA_WQAPADQB_WQAPA_WI@Z"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 8A 46 01 46 4F F0 00 08 02 91 1E 46 17 46 14 46 1D 46 C1 46 40 F2 39 1E 4F F4 A2 70 46 4A 6F F0 00 43 A9 45 3B D3 9D 42 61 D2 BC 42 1E D1 6D 00 13 46 28 46 02 22 04 21 CD F8 00 E0 ?? ?? ?? ?? 04 46 40 46 02 21 ?? ?? ?? ?? 02 21 00 20 A0 46 ?? ?? ?? ?? 00 2C 4A D0 E6 B1 8F B3 B5 42 2F D3 32 46 39 46 20 46 ?? ?? ?? ?? 13 E0 6D 00 01 90 00 92 29 46 02 23 04 22 40 46 ?? ?? ?? ?? 04 46 5C B3 02 21 00 20 ?? ?? ?? ?? 02 21 00 20 A0 46 ?? ?? ?? ?? 02 99 4F F4 A2 70 40 F2 39 1E 44 F8 29 A0 09 F1 01 09 BA F1 00 0F 25 D0 0A 68 53 42 03 F0 03 03 13 44 1B 1D 0B 60 53 F8 04 AC AD E7 2A 46 00 21 20 46 ?? ?? ?? ?? 1F B9 ?? ?? ?? ?? 16 23 1D E0 B5 42 1E D2 17 E0 ?? ?? ?? ?? 0C 23 03 60 02 21 00 20 ?? ?? ?? ?? 00 24 06 E0 ?? ?? ?? ?? 0C 23 03 60 F8 E7 4F F0 00 08 02 21 40 46 ?? ?? ?? ?? 20 46 BD E8 FE 8F ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 07 4A 05 49 04 48 00 23 00 93 4F F4 9E 73 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_6_0 {
	meta:
		name = "??$common_pack_argv_and_envp@D@@YAHQBQBD0QAPAD1@Z"
		size = 248
		refs = "001a strlen 003c _calloc_dbg 0046 __acrt_errno_map_os_error 004a _errno 0056 _free_dbg 0070 strcpy_s 00a4 ??$construct_environment_block@D@@YAHQBQBDQAPAD@Z 00e2 _invoke_watson 00e8 ??_C@_1LO@KDGLCMID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAc?$AAo?$AAm?$AAm@ 00ec ??_C@_1CO@OPKAENKK@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl?$AAi?$AAn?$AAe?$AA?$AA@ 00f0 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00f4 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 04 46 02 94 20 68 00 25 00 26 98 46 91 46 8A 46 48 B1 ?? ?? ?? ?? 30 44 46 1C 54 F8 04 0F 00 28 F7 D1 01 2E 00 D8 01 26 2D 23 00 93 2F 4B 02 22 01 21 30 46 ?? ?? ?? ?? 04 46 6C B9 08 20 ?? ?? ?? ?? ?? ?? ?? ?? 0C 23 03 60 20 46 02 21 ?? ?? ?? ?? 6F F0 00 04 33 E0 02 9F 25 46 3B 68 A3 B1 3A 68 63 1B 99 19 28 46 ?? ?? ?? ?? 78 BB 38 68 ?? ?? ?? ?? 05 44 20 23 05 F8 01 3B 57 F8 04 3F 00 2B ED D1 00 23 05 F8 01 3C 02 21 00 20 25 46 ?? ?? ?? ?? 00 23 02 A9 50 46 02 93 ?? ?? ?? ?? 18 B1 02 98 6F F0 00 04 07 E0 02 9B 00 25 C9 F8 00 40 00 20 C8 F8 00 30 00 24 02 21 ?? ?? ?? ?? 02 21 28 46 ?? ?? ?? ?? 20 46 BD E8 FE 8F 06 4A 04 49 03 48 00 23 00 93 41 23 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_7_0 {
	meta:
		name = "??$common_pack_argv_and_envp@_W@@YAHQBQB_W0QAPA_W1@Z"
		size = 252
		refs = "001a wcslen 003c _calloc_dbg 0046 __acrt_errno_map_os_error 004a _errno 0056 _free_dbg 0072 wcscpy_s 00a8 ??$construct_environment_block@_W@@YAHQBQB_WQAPA_W@Z 00e6 _invoke_watson 00ec ??_C@_1LO@KDGLCMID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAc?$AAo?$AAm?$AAm@ 00f0 ??_C@_1CO@OPKAENKK@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl?$AAi?$AAn?$AAe?$AA?$AA@ 00f4 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00f8 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 04 46 02 94 20 68 00 25 00 26 98 46 91 46 8A 46 48 B1 ?? ?? ?? ?? 30 44 46 1C 54 F8 04 0F 00 28 F7 D1 01 2E 00 D8 01 26 2D 23 00 93 30 4B 02 22 02 21 30 46 ?? ?? ?? ?? 04 46 6C B9 08 20 ?? ?? ?? ?? ?? ?? ?? ?? 0C 23 03 60 20 46 02 21 ?? ?? ?? ?? 6F F0 00 04 35 E0 02 9F 25 46 3B 68 B3 B1 3A 68 2B 1B A6 EB 63 01 28 46 ?? ?? ?? ?? 80 BB 38 68 ?? ?? ?? ?? 05 EB 40 05 20 23 25 F8 02 3B 57 F8 04 3F 00 2B EB D1 00 23 25 F8 02 3C 02 21 00 20 25 46 ?? ?? ?? ?? 00 23 02 A9 50 46 02 93 ?? ?? ?? ?? 18 B1 02 98 6F F0 00 04 07 E0 02 9B 00 25 C9 F8 00 40 00 20 C8 F8 00 30 00 24 02 21 ?? ?? ?? ?? 02 21 28 46 ?? ?? ?? ?? 20 46 BD E8 FE 8F 06 4A 04 49 03 48 00 23 00 93 41 23 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_8_0 {
	meta:
		name = "??$construct_command_line@D@@YAHQBQBDQAPAD@Z"
		size = 204
		refs = "001e strlen 0040 _calloc_dbg 004c __acrt_errno_map_os_error 0050 _errno 0070 strcpy_s 009a _free_dbg 00b4 _invoke_watson 00bc ??_C@_1LO@KDGLCMID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAc?$AAo?$AAm?$AAm@ 00c0 ??_C@_1CO@OPKAENKK@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl?$AAi?$AAn?$AAe?$AA?$AA@ 00c4 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00c8 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 03 B4 2D E9 FE 4F 0D F1 28 0B 04 46 4F F0 00 09 0C 94 C1 F8 00 90 20 68 00 26 88 46 48 B1 ?? ?? ?? ?? 83 19 54 F8 04 0F 5E 1C 00 28 F7 D1 01 2E 00 D8 01 26 2D 23 00 93 23 4B 02 22 01 21 30 46 ?? ?? ?? ?? 04 46 05 46 44 B9 08 20 ?? ?? ?? ?? ?? ?? ?? ?? 0C 23 03 60 0C 24 1C E0 0C 9F 25 46 3B 68 A3 B1 4F F0 20 0A 3A 68 63 1B 99 19 28 46 ?? ?? ?? ?? C0 B9 38 68 ?? ?? ?? ?? 05 44 05 F8 01 AB 57 F8 04 3F 00 2B EE D1 05 F8 01 9C 00 25 C8 F8 00 40 00 24 02 21 28 46 ?? ?? ?? ?? 20 46 BD E8 FE 0F 5D F8 0C FB 06 4A 05 49 03 48 41 23 CD F8 00 90 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_9_0 {
	meta:
		name = "??$construct_command_line@_W@@YAHQBQB_WQAPA_W@Z"
		size = 208
		refs = "001e wcslen 0040 _calloc_dbg 004c __acrt_errno_map_os_error 0050 _errno 0072 wcscpy_s 009e _free_dbg 00b8 _invoke_watson 00c0 ??_C@_1LO@KDGLCMID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAc?$AAo?$AAm?$AAm@ 00c4 ??_C@_1CO@OPKAENKK@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl?$AAi?$AAn?$AAe?$AA?$AA@ 00c8 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00cc ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 03 B4 2D E9 FE 4F 0D F1 28 0B 04 46 4F F0 00 09 0C 94 C1 F8 00 90 20 68 00 26 88 46 48 B1 ?? ?? ?? ?? 83 19 54 F8 04 0F 5E 1C 00 28 F7 D1 01 2E 00 D8 01 26 2D 23 00 93 24 4B 02 22 02 21 30 46 ?? ?? ?? ?? 04 46 05 46 44 B9 08 20 ?? ?? ?? ?? ?? ?? ?? ?? 0C 23 03 60 0C 24 1E E0 0C 9F 25 46 3B 68 B3 B1 4F F0 20 0A 3A 68 2B 1B A6 EB 63 01 28 46 ?? ?? ?? ?? C8 B9 38 68 ?? ?? ?? ?? 05 EB 40 05 25 F8 02 AB 57 F8 04 3F 00 2B EC D1 25 F8 02 9C 00 25 C8 F8 00 40 00 24 02 21 28 46 ?? ?? ?? ?? 20 46 BD E8 FE 0F 5D F8 0C FB 06 4A 05 49 03 48 41 23 CD F8 00 90 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_10_0 {
	meta:
		name = "??$construct_environment_block@D@@YAHQBQBDQAPAD@Z"
		size = 608
		refs = "0008 __security_push_cookie 0044 _dupenv_s_dbg 0050 _errno 005c strlen 0082 __dcrt_get_narrow_environment_from_os 00e8 _strnicmp 010c _calloc_dbg 0118 __acrt_errno_map_os_error 013a memcpy 014e strcpy_s 0184 strcat_s 01ba _free_dbg 01d8 __security_pop_cookie 01ea _invoke_watson 0230 ??_C@_1IC@HGJOAFLN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 0234 ??_C@_1DI@JNKPCIE@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0238 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 023c ??_C@_1HG@GAHCBHKK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 0240 ??_C@_1GO@NNFBBPOH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAm?$AAa@ 0244 ??_C@_1JA@HNNIMJMK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 0248 ??_C@_1KK@KLLDKJJA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA_?$AAr?$AAo?$AAo@ 024c ?equal_sign@?BD@???$construct_environment_block@D@@YAHQBQBDQAPAD@Z@4QBDB 0250 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0254 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8A B0 00 24 0C 60 8A 46 03 90 08 B9 00 25 DB E0 8F 4B 06 AA 02 A8 06 93 8C 4B 00 21 07 93 47 F2 6F 43 AD F8 20 30 00 23 8D F8 22 30 02 93 6A 23 01 93 85 4B 00 93 02 23 ?? ?? ?? ?? 30 B1 16 28 00 F0 C8 80 ?? ?? ?? ?? 05 68 B9 E0 02 98 18 B1 ?? ?? ?? ?? 43 1C 00 E0 00 23 03 9C 03 F1 0B 09 02 26 20 68 05 E0 ?? ?? ?? ?? 83 19 54 F8 04 0F 5E 1C 00 28 F7 D1 ?? ?? ?? ?? 04 46 04 94 34 B9 16 25 97 E0 20 46 ?? ?? ?? ?? 03 19 5C 1C 94 F9 00 30 3D 2B F6 D1 05 94 94 F9 00 30 25 46 11 E0 95 F9 01 30 83 B1 95 F9 02 30 3A 2B 0C D1 95 F9 03 30 3D 2B 08 D1 28 1D ?? ?? ?? ?? 43 19 5D 1D 95 F9 00 30 3D 2B EB D0 2D 1B 03 9C 23 68 0A E0 06 A8 ?? ?? ?? ?? 02 46 20 68 06 A9 ?? ?? ?? ?? E0 B1 54 F8 04 3F 00 2B F2 D1 73 19 03 EB 09 06 4F F0 00 08 AA 23 00 93 52 4B 02 22 01 21 30 46 ?? ?? ?? ?? 07 46 04 46 67 B9 0E 20 ?? ?? ?? ?? ?? ?? ?? ?? 0C 23 03 60 0C 25 46 E0 4F F0 01 08 2E 44 E7 E7 3C 46 35 B1 05 99 2A 46 38 46 ?? ?? ?? ?? 7C 19 76 1B 03 9D 2B 68 0E E0 2A 68 31 46 20 46 ?? ?? ?? ?? 00 28 53 D1 28 68 ?? ?? ?? ?? 43 1C 1C 44 F6 1A 55 F8 04 3F 00 2B EE D1 B8 F1 00 0F 16 D1 06 AA 49 46 20 46 ?? ?? ?? ?? 00 28 4F D1 33 4A 49 46 20 46 ?? ?? ?? ?? 00 28 40 D1 02 9A 2A B1 49 46 20 46 ?? ?? ?? ?? 00 B1 28 E0 4C 44 BC 42 03 D1 00 23 23 70 64 1C 00 E0 00 23 23 70 00 24 00 25 CA F8 00 70 02 21 20 46 ?? ?? ?? ?? 04 9C 02 21 20 46 ?? ?? ?? ?? 00 23 04 93 02 98 02 21 ?? ?? ?? ?? 28 46 0A B0 ?? ?? ?? ?? BD E8 F0 8F 15 4A 14 49 18 48 6B 23 00 94 ?? ?? ?? ?? 12 4A 10 49 14 48 00 23 00 93 D1 23 ?? ?? ?? ?? 0E 4A 0C 49 0F 48 00 23 00 93 C1 23 ?? ?? ?? ?? 0A 4A 08 49 0A 48 00 23 00 93 CE 23 ?? ?? ?? ?? 06 4A 04 49 03 48 00 23 00 93 CD 23 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 65 6D 52 6F 53 79 73 74 }
	condition:
		$1
}

rule file_320_11_0 {
	meta:
		name = "??$construct_environment_block@_W@@YAHQBQB_WQAPA_W@Z"
		size = 628
		refs = "0008 __security_push_cookie 0048 _wdupenv_s_dbg 0054 _errno 0060 wcslen 0086 __dcrt_get_wide_environment_from_os 00e8 _wcsnicmp 010c _calloc_dbg 0118 __acrt_errno_map_os_error 013a memcpy 0150 wcscpy_s 0188 wcscat_s 01c0 _free_dbg 01de __security_pop_cookie 01f0 _invoke_watson 0238 ??_C@_1IC@HGJOAFLN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 023c ??_C@_1DI@JNKPCIE@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0240 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0244 ??_C@_1HG@GAHCBHKK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 0248 ??_C@_1GO@NNFBBPOH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAm?$AAa@ 024c ??_C@_1JA@HNNIMJMK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 0250 ??_C@_1KK@KLLDKJJA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA_?$AAr?$AAo?$AAo@ 0254 ?equal_sign@?BD@???$construct_environment_block@_W@@YAHQBQB_WQAPA_W@Z@4QB_WB 0258 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 025c ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8C B0 00 24 0C 60 8A 46 03 90 08 B9 00 25 DE E0 94 4B 06 AA 02 A8 06 93 91 4B 00 21 07 93 8F 4B 08 93 8D 4B 09 93 8B 4B 0A 93 00 23 AD F8 2C 30 02 93 79 23 01 93 86 4B 00 93 02 23 ?? ?? ?? ?? 30 B1 16 28 00 F0 C9 80 ?? ?? ?? ?? 05 68 BA E0 02 98 18 B1 ?? ?? ?? ?? 43 1C 00 E0 00 23 03 9C 03 F1 0B 09 02 27 20 68 05 E0 ?? ?? ?? ?? C3 19 54 F8 04 0F 5F 1C 00 28 F7 D1 ?? ?? ?? ?? 04 46 04 94 3C B9 16 25 98 E0 20 46 ?? ?? ?? ?? 43 1C 04 EB 43 04 23 88 3D 2B F6 D1 05 94 23 88 25 46 0F E0 6B 88 7B B1 AB 88 3A 2B 0C D1 EB 88 3D 2B 09 D1 05 F1 08 00 ?? ?? ?? ?? 43 1D 05 EB 43 05 2B 88 3D 2B ED D0 2B 1B 03 9C 5E 10 23 68 0A E0 06 A8 ?? ?? ?? ?? 02 46 20 68 06 A9 ?? ?? ?? ?? E0 B1 54 F8 04 3F 00 2B F2 D1 BB 19 03 EB 09 05 4F F0 00 08 AA 23 00 93 54 4B 02 22 02 21 28 46 ?? ?? ?? ?? 07 46 04 46 67 B9 0E 20 ?? ?? ?? ?? ?? ?? ?? ?? 0C 23 03 60 0C 25 49 E0 4F F0 01 08 BD 19 E7 E7 3C 46 3E B1 05 99 72 00 38 46 ?? ?? ?? ?? 07 EB 46 04 AD 1B 03 9E 33 68 0F E0 32 68 29 46 20 46 ?? ?? ?? ?? 00 28 55 D1 30 68 ?? ?? ?? ?? 43 1C 04 EB 43 04 ED 1A 56 F8 04 3F 00 2B ED D1 B8 F1 00 0F 17 D1 06 AA 49 46 20 46 ?? ?? ?? ?? 00 28 50 D1 34 4A 49 46 20 46 ?? ?? ?? ?? 00 28 41 D1 02 9A 2A B1 49 46 20 46 ?? ?? ?? ?? 00 B1 29 E0 04 EB 49 04 BC 42 03 D1 00 23 23 80 A4 1C 00 E0 00 23 23 80 00 24 00 25 CA F8 00 70 02 21 20 46 ?? ?? ?? ?? 04 9C 02 21 20 46 ?? ?? ?? ?? 00 23 04 93 02 98 02 21 ?? ?? ?? ?? 28 46 0C B0 ?? ?? ?? ?? BD E8 F0 8F 16 4A 14 49 19 48 6B 23 00 94 ?? ?? ?? ?? 12 4A 11 49 14 48 00 23 00 93 D1 23 ?? ?? ?? ?? 0E 4A 0D 49 0F 48 00 23 00 93 C1 23 ?? ?? ?? ?? 0A 4A 09 49 0A 48 00 23 00 93 CE 23 ?? ?? ?? ?? 06 4A 05 49 03 48 00 23 00 93 CD 23 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 6F 00 74 00 52 00 6F 00 65 00 6D 00 73 00 74 00 53 00 79 00 }
	condition:
		$1
}

rule file_320_32_0 {
	meta:
		name = "??$tcsnicmp@ABQBDAAY0L@$$CBDI@?$__crt_char_traits@D@@SAHABQBDAAY0L@$$CBD$$QAI@Z"
		size = 18
		refs = "000e _strnicmp"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_33_0 {
	meta:
		name = "??$tcsnicmp@ABQB_WAAY0L@$$CB_WI@?$__crt_char_traits@_W@@SAHABQB_WAAY0L@$$CB_W$$QAI@Z"
		size = 18
		refs = "000e _wcsnicmp"
	strings:
		$1 = { 2D E9 00 48 EB 46 12 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_68_0 {
	meta:
		name = "?attach@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAAXQAPAD@Z"
		size = 26
		refs = "0010 _free_dbg"
		altNames = "?attach@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAAXQAPA_W@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 20 68 0D 46 02 21 ?? ?? ?? ?? 25 60 BD E8 30 88 }
	condition:
		$1
}

rule file_320_88_0 {
	meta:
		name = "__acrt_pack_narrow_command_line_and_environment"
		size = 256
		refs = "0018 strlen 003a _calloc_dbg 0044 __acrt_errno_map_os_error 0048 _errno 0054 _free_dbg 0076 strcpy_s 00a8 ??$construct_environment_block@D@@YAHQBQBDQAPAD@Z 00e8 _invoke_watson 00f0 ??_C@_1LO@KDGLCMID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAc?$AAo?$AAm?$AAm@ 00f4 ??_C@_1CO@OPKAENKK@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl?$AAi?$AAn?$AAe?$AA?$AA@ 00f8 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00fc ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 06 46 02 96 30 68 00 25 99 46 92 46 88 46 48 B1 ?? ?? ?? ?? 44 19 56 F8 04 0F 65 1C 00 28 F7 D1 01 2D 00 D8 01 25 2D 23 00 93 32 4B 02 22 01 21 28 46 ?? ?? ?? ?? 04 46 8C B9 08 20 ?? ?? ?? ?? ?? ?? ?? ?? 0C 23 03 60 20 46 02 21 ?? ?? ?? ?? 02 21 00 20 ?? ?? ?? ?? 6F F0 00 00 38 E0 02 9F 26 46 3B 68 A3 B1 3A 68 A3 1B 59 19 30 46 ?? ?? ?? ?? 78 BB 38 68 ?? ?? ?? ?? 06 44 20 23 06 F8 01 3B 57 F8 04 3F 00 2B ED D1 00 23 06 F8 01 3C 02 21 00 20 ?? ?? ?? ?? 00 23 02 A9 40 46 02 93 ?? ?? ?? ?? 30 B1 02 98 02 21 ?? ?? ?? ?? 02 21 20 46 CF E7 02 9B CA F8 00 40 02 21 00 20 C9 F8 00 30 ?? ?? ?? ?? 02 21 00 20 ?? ?? ?? ?? 00 20 BD E8 FE 8F 06 4A 05 49 03 48 00 23 00 93 41 23 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_320_92_0 {
	meta:
		name = "memcpy_s"
		size = 94
		refs = "0016 _errno 001e _invalid_parameter_noinfo 0034 memcpy 003e memset"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 1C 46 16 46 0D 46 0C B9 00 24 07 E0 48 B9 ?? ?? ?? ?? 16 23 03 60 ?? ?? ?? ?? 16 24 20 46 BD E8 78 88 36 B1 A5 42 04 D3 22 46 31 46 ?? ?? ?? ?? EA E7 2A 46 00 21 ?? ?? ?? ?? 1E B9 ?? ?? ?? ?? 16 24 04 E0 A5 42 E8 D2 ?? ?? ?? ?? 22 24 04 60 ?? ?? ?? ?? E2 E7 }
	condition:
		$1
}

rule file_321_0_0 {
	meta:
		name = "expf"
		size = 604
		refs = "0044 _handle_nanf 00ac _handle_errorf 01c4 splitexpf 01e4 scaleFloat_1 0204 scaleFloat_2 0228 ?thirtytwo_by_log2@?1??expf@@9@9 022c ?log2_by_32_lead@?1??expf@@9@9 0230 ?log2_by_32_tail@?1??expf@@9@9 0248 ??_C@_04KBNCNMNN@expf?$AA@ 0250 ?min_exp_arg@?1??expf@@9@9 0254 ?max_exp_arg@?1??expf@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 92 B0 8D ED 04 0A 9D ED 04 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 06 93 06 9B 23 F0 00 43 07 93 07 9A 8B 4B 9A 42 6B D3 07 9B B3 F1 FF 4F 1F D3 06 9B 6F F3 DF 53 00 2B 0B D0 06 98 00 21 ?? ?? ?? ?? 8D ED 0C 0A 9D ED 0C 0A 8D ED 05 0A E2 E0 0E E0 06 9B 13 F0 00 4F 05 D0 9F ED 7A 0A 8D ED 05 0A D8 E0 04 E0 9D ED 04 0A 8D ED 05 0A D2 E0 DD ED 04 0A 76 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 1A DB 01 23 03 93 DF ED 6F 0A 9D ED 04 0A 22 23 02 93 11 23 01 93 03 23 00 93 4F F0 FF 42 00 23 14 21 67 48 ?? ?? ?? ?? 8D ED 0D 0A 9D ED 0D 0A 8D ED 05 0A AE E0 22 E0 DD ED 04 0A 62 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 18 D2 01 23 03 93 DF ED 5C 0A 9D ED 04 0A 22 23 02 93 12 23 01 93 04 23 00 93 00 22 00 23 14 21 55 48 ?? ?? ?? ?? 8D ED 0E 0A 9D ED 0E 0A 8D ED 05 0A 8A E0 07 9B B3 F1 72 5F 4A D2 07 9B B3 F1 4A 5F 09 D2 F7 EE 00 0A 9D ED 04 0A 30 EE 80 0A 8D ED 05 0A 79 E0 3B E0 DF ED 46 0A 9D ED 04 0A 60 EE 80 0A 9F ED 42 0A 70 EE 80 0A 9D ED 04 0A 60 EE 80 0A 9F ED 3D 0A 70 EE 80 0A 9D ED 04 0A 60 EE 80 0A 9F ED 38 0A 70 EE 80 0A 9D ED 04 0A 60 EE 80 0A 9F ED 33 0A 70 EE 80 0A 9D ED 04 0A 60 EE 80 0A B6 EE 00 0A 70 EE 80 0A 9D ED 04 0A 60 EE 80 0A B7 EE 00 0A 70 EE 80 0A 9D ED 04 0A 60 EE 80 0A B7 EE 00 0A 30 EE 80 0A 8D ED 09 0A 37 E0 0B AA 0A A9 08 A8 21 4B 93 ED 00 2A 1E 4B D3 ED 00 1A 1C 4B 93 ED 00 1A F7 EE 00 0A 9D ED 04 0A ?? ?? ?? ?? 08 9B 13 F1 7E 0F 12 DB 08 9B 7F 2B 0F DC 08 98 DD ED 0A 0A 9D ED 0B 0A 30 EE 80 0A ?? ?? ?? ?? 8D ED 0F 0A 9D ED 0F 0A 8D ED 09 0A 0E E0 08 98 DD ED 0A 0A 9D ED 0B 0A 30 EE 80 0A ?? ?? ?? ?? 8D ED 10 0A 9D ED 10 0A 8D ED 09 0A 9D ED 09 0A 8D ED 05 0A 9D ED 05 0A 12 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AB AA 2A 3E AB AA 2A 3D 89 88 08 3C 61 0B B6 3A 01 0D 50 39 ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 18 72 B1 42 }
	condition:
		$1
}

rule file_321_1_0 {
	meta:
		name = "scaleFloat_1"
		size = 58
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 8D ED 00 0A 06 9B 7F 33 DB 05 00 EE 10 3A 8D ED 01 0A DD ED 00 0A 9D ED 01 0A 20 EE 80 0A 8D ED 02 0A 9D ED 02 0A 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_322_0_0 {
	meta:
		name = "_loaddll"
		size = 24
		refs = "0014 __imp_LoadLibraryExA"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 00 22 00 21 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_322_1_0 {
	meta:
		name = "_unloaddll"
		size = 36
		refs = "001c __imp_GetLastError 0020 __imp_FreeLibrary"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 4B 1B 68 98 47 18 B9 03 4B 1B 68 98 47 00 E0 00 20 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_324_0_0 {
	meta:
		name = "??$common_mktemp@D@@YAPADQAD@Z"
		size = 180
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006c ??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z 0078 ??$common_mktemp_s@D@@YAHQADI@Z 00a4 ??_C@_1DG@JPKEOBMA@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a8 ??_C@_1BM@IDJOLMPO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$AA@ 00ac ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 1F 4B 01 93 21 4B 00 93 00 23 97 22 1E 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 03 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 97 23 14 4A 12 49 11 48 ?? ?? ?? ?? 00 23 05 93 15 E0 0E A8 ?? ?? ?? ?? 08 90 08 9B 59 1C 0E 98 ?? ?? ?? ?? 09 90 09 9B 0A 93 0A 9B 00 2B 02 D1 0E 9B 04 93 01 E0 00 23 04 93 04 9B 05 93 05 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_324_1_0 {
	meta:
		name = "??$common_mktemp@_W@@YAPA_WQA_W@Z"
		size = 180
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006c ??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z 0078 ??$common_mktemp_s@_W@@YAHQA_WI@Z 00a4 ??_C@_1DG@JPKEOBMA@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a8 ??_C@_1BM@IDJOLMPO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$AA@ 00ac ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 1F 4B 01 93 21 4B 00 93 00 23 97 22 1E 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 03 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 97 23 14 4A 12 49 11 48 ?? ?? ?? ?? 00 23 05 93 15 E0 0E A8 ?? ?? ?? ?? 08 90 08 9B 59 1C 0E 98 ?? ?? ?? ?? 09 90 09 9B 0A 93 0A 9B 00 2B 02 D1 0E 9B 04 93 01 E0 00 23 04 93 04 9B 05 93 05 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_324_2_0 {
	meta:
		name = "??$common_mktemp_s@D@@YAHQADI@Z"
		size = 1144
		refs = "0040 _CrtDbgReportW 0054 _errno 006e _invalid_parameter 007c ??$tcsnlen@ABQADABI@?$__crt_char_traits@D@@SAIABQADABI@Z 00ac _CrtGetDebugFillThreshold 00d4 memset 026c ?common_mktemp_s_continue@@YA_NQBD0@Z 0296 __rt_udiv 03a0 ??$taccess_s@ABQADH@?$__crt_char_traits@D@@SAHABQAD$$QAH@Z 0458 ??_C@_1EE@JEDJDFK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$CC?$AA?0?$AA?5?$AA0@ 045c ??_C@_1CA@LFNMKGLO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA_?$AAs?$AA?$AA@ 0460 ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0464 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0468 __imp_GetCurrentThreadId 046c ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0470 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0474 ??_C@_1GO@GBMFIJOG@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 B4 B0 36 9B 00 2B 05 D0 37 9B 00 2B 02 D9 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 11 D1 DF F8 48 34 01 93 DF F8 30 34 00 93 00 23 2F 22 DF F8 24 14 02 20 ?? ?? ?? ?? 1B 90 1B 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 1C 90 1C 9A 16 23 13 60 00 23 00 93 2F 23 FE 4A FC 49 DF F8 08 04 ?? ?? ?? ?? 16 23 06 93 E8 E1 37 A9 36 A8 ?? ?? ?? ?? 1D 90 1D 9B 04 93 04 9A 37 9B 9A 42 55 D3 36 9A 00 23 13 70 37 9B B3 F1 FF 3F 1D D0 37 9A 6F F0 00 43 9A 42 18 D0 37 9B 01 2B 15 D9 ?? ?? ?? ?? 1E 90 1E 9B 0B 93 37 9B 5A 1E 0B 9B 93 42 02 D2 0B 9B 0C 93 02 E0 37 9B 5B 1E 0C 93 0C 9A FE 21 36 9B 58 1C ?? ?? ?? ?? E5 4B 00 2B 03 D0 02 E0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0E D1 DD 4B 01 93 DA 4B 00 93 00 23 35 22 D7 49 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 10 D1 ?? ?? ?? ?? 20 90 20 9A 16 23 13 60 00 23 00 93 35 23 CD 4A CB 49 CF 48 ?? ?? ?? ?? 16 23 06 93 87 E1 37 9B B3 F1 FF 3F 25 D0 37 9A 6F F0 00 43 9A 42 20 D0 04 9B 5A 1C 37 9B 9A 42 1B D2 ?? ?? ?? ?? 21 90 21 9B 0F 93 04 9B 5A 1C 37 9B 9A 1A 0F 9B 93 42 02 D2 0F 9B 10 93 04 E0 04 9B 5A 1C 37 9B 9B 1A 10 93 10 9A FE 21 04 9B 58 1C 36 9B 18 44 ?? ?? ?? ?? 04 9B 06 2B 03 D3 37 9A 04 9B 9A 42 52 D8 36 9A 00 23 13 70 37 9B B3 F1 FF 3F 1D D0 37 9A 6F F0 00 43 9A 42 18 D0 37 9B 01 2B 15 D9 ?? ?? ?? ?? 22 90 22 9B 11 93 37 9B 5A 1E 11 9B 93 42 02 D2 11 9B 12 93 02 E0 37 9B 5B 1E 12 93 12 9A FE 21 36 9B 58 1C ?? ?? ?? ?? 02 E0 01 23 13 93 01 E0 00 23 13 93 13 9B 14 93 14 9B 00 2B 0E D1 96 4B 01 93 98 4B 00 93 00 23 3C 22 95 49 02 20 ?? ?? ?? ?? 23 90 23 9B 01 2B 00 D1 FE DE 14 9B 00 2B 10 D1 ?? ?? ?? ?? 24 90 24 9A 16 23 13 60 00 23 00 93 3C 23 8B 4A 89 49 88 48 ?? ?? ?? ?? 16 23 06 93 03 E1 89 4B 1B 68 98 47 25 90 25 9B 08 93 36 9A 04 9B 13 44 03 93 00 23 07 93 03 9B 5B 1E 03 93 03 9A 36 9B 9A 42 23 D3 03 99 36 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 19 D0 03 9B 93 F9 00 30 58 2B 14 D1 07 9B 05 2B 11 D2 07 9B 5B 1C 07 93 08 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 5A B2 03 9B 1A 70 08 99 0A 20 ?? ?? ?? ?? 08 90 D4 E7 03 9B 93 F9 00 30 58 2B 02 D1 07 9B 05 2B 52 D2 36 9A 00 23 13 70 37 9B B3 F1 FF 3F 1D D0 37 9A 6F F0 00 43 9A 42 18 D0 37 9B 01 2B 15 D9 ?? ?? ?? ?? 26 90 26 9B 15 93 37 9B 5A 1E 15 9B 93 42 02 D2 15 9B 16 93 02 E0 37 9B 5B 1E 16 93 16 9A FE 21 36 9B 58 1C ?? ?? ?? ?? 02 E0 01 23 17 93 01 E0 00 23 17 93 17 9B 18 93 18 9B 00 2B 0E D1 4D 4B 01 93 4F 4B 00 93 00 23 59 22 4C 49 02 20 ?? ?? ?? ?? 27 90 27 9B 01 2B 00 D1 FE DE 18 9B 00 2B 10 D1 ?? ?? ?? ?? 28 90 28 9A 16 23 13 60 00 23 00 93 59 23 42 4A 40 49 3F 48 ?? ?? ?? ?? 16 23 06 93 71 E0 61 23 8D F8 08 30 9D F9 08 20 03 9B 1A 70 9D F9 08 30 5B 1C 5B B2 8D F8 08 30 ?? ?? ?? ?? 29 90 29 9B 1B 68 31 93 ?? ?? ?? ?? 2A 90 2A 9A 00 23 13 60 00 23 2B 93 2B A9 36 A8 ?? ?? ?? ?? 2C 90 2C 9B 00 2B 46 D1 9D F9 08 30 7B 2B 31 D1 36 9A 00 23 13 70 37 9B B3 F1 FF 3F 1D D0 37 9A 6F F0 00 43 9A 42 18 D0 37 9B 01 2B 15 D9 ?? ?? ?? ?? 2D 90 2D 9B 19 93 37 9B 5A 1E 19 9B 93 42 02 D2 19 9B 1A 93 02 E0 37 9B 5B 1E 1A 93 1A 9A FE 21 36 9B 58 1C ?? ?? ?? ?? ?? ?? ?? ?? 2E 90 2E 9A 11 23 13 60 ?? ?? ?? ?? 2F 90 2F 9B 1B 68 06 93 18 E0 9D F9 08 20 03 9B 1A 70 9D F9 08 30 5B 1C 5B B2 8D F8 08 30 ?? ?? ?? ?? 30 90 30 9A 00 23 13 60 AE E7 ?? ?? ?? ?? 32 90 31 9A 32 9B 1A 60 00 23 06 93 06 98 34 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_324_3_0 {
	meta:
		name = "??$common_mktemp_s@_W@@YAHQA_WI@Z"
		size = 1184
		refs = "0040 _CrtDbgReportW 0054 _errno 0072 _invalid_parameter 0080 ??$tcsnlen@ABQA_WABI@?$__crt_char_traits@_W@@SAIABQA_WABI@Z 00b0 _CrtGetDebugFillThreshold 00de memset 028e ?common_mktemp_s_continue@@YA_NQB_W0@Z 02b6 __rt_udiv 03c4 ??$taccess_s@ABQA_WH@?$__crt_char_traits@_W@@SAHABQA_W$$QAH@Z 0480 ??_C@_1EE@JEDJDFK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$CC?$AA?0?$AA?5?$AA0@ 0484 ??_C@_1CA@LFNMKGLO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA_?$AAs?$AA?$AA@ 0488 ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 048c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0490 __imp_GetCurrentThreadId 0494 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0498 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 049c ??_C@_1GO@GBMFIJOG@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 B4 B0 36 9B 00 2B 05 D0 37 9B 00 2B 02 D9 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 11 D1 DF F8 70 34 01 93 DF F8 58 34 00 93 00 23 2F 22 DF F8 4C 14 02 20 ?? ?? ?? ?? 1B 90 1B 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 13 D1 ?? ?? ?? ?? 1C 90 1C 9A 16 23 13 60 00 23 00 93 2F 23 DF F8 20 24 DF F8 18 14 DF F8 2C 04 ?? ?? ?? ?? 16 23 06 93 FB E1 37 A9 36 A8 ?? ?? ?? ?? 1D 90 1D 9B 04 93 04 9A 37 9B 9A 42 58 D3 36 9A 00 23 13 80 37 9B B3 F1 FF 3F 20 D0 37 9A 6F F0 00 43 9A 42 1B D0 37 9B 01 2B 18 D9 ?? ?? ?? ?? 1E 90 1E 9B 0B 93 37 9B 5A 1E 0B 9B 93 42 02 D2 0B 9B 0C 93 02 E0 37 9B 5B 1E 0C 93 0C 9A 02 23 02 FB 03 F2 FE 21 36 9B 98 1C ?? ?? ?? ?? ED 4B 00 2B 03 D0 02 E0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0E D1 E5 4B 01 93 E2 4B 00 93 00 23 35 22 DF 49 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 10 D1 ?? ?? ?? ?? 20 90 20 9A 16 23 13 60 00 23 00 93 35 23 D4 4A D3 49 D6 48 ?? ?? ?? ?? 16 23 06 93 97 E1 37 9B B3 F1 FF 3F 2B D0 37 9A 6F F0 00 43 9A 42 26 D0 04 9B 5A 1C 37 9B 9A 42 21 D2 ?? ?? ?? ?? 21 90 21 9B 0F 93 04 9B 5A 1C 37 9B 9A 1A 0F 9B 93 42 02 D2 0F 9B 10 93 04 E0 04 9B 5A 1C 37 9B 9B 1A 10 93 10 9A 02 23 02 FB 03 F2 FE 21 04 9B 58 1C 02 23 00 FB 03 F0 36 9B 18 44 ?? ?? ?? ?? 04 9B 06 2B 03 D3 37 9A 04 9B 9A 42 55 D8 36 9A 00 23 13 80 37 9B B3 F1 FF 3F 20 D0 37 9A 6F F0 00 43 9A 42 1B D0 37 9B 01 2B 18 D9 ?? ?? ?? ?? 22 90 22 9B 11 93 37 9B 5A 1E 11 9B 93 42 02 D2 11 9B 12 93 02 E0 37 9B 5B 1E 12 93 12 9A 02 23 02 FB 03 F2 FE 21 36 9B 98 1C ?? ?? ?? ?? 02 E0 01 23 13 93 01 E0 00 23 13 93 13 9B 14 93 14 9B 00 2B 0E D1 99 4B 01 93 9B 4B 00 93 00 23 3C 22 98 49 02 20 ?? ?? ?? ?? 23 90 23 9B 01 2B 00 D1 FE DE 14 9B 00 2B 10 D1 ?? ?? ?? ?? 24 90 24 9A 16 23 13 60 00 23 00 93 3C 23 8E 4A 8C 49 8B 48 ?? ?? ?? ?? 16 23 06 93 0A E1 8C 4B 1B 68 98 47 25 90 25 9B 08 93 04 9A 02 23 02 FB 03 F2 36 9B 13 44 03 93 00 23 07 93 03 9B 9B 1E 03 93 03 9A 36 9B 9A 42 22 D3 03 99 36 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 18 D0 03 9B 1B 88 58 2B 14 D1 07 9B 05 2B 11 D2 07 9B 5B 1C 07 93 08 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 9A B2 03 9B 1A 80 08 99 0A 20 ?? ?? ?? ?? 08 90 D5 E7 03 9B 1B 88 58 2B 02 D1 07 9B 05 2B 55 D2 36 9A 00 23 13 80 37 9B B3 F1 FF 3F 20 D0 37 9A 6F F0 00 43 9A 42 1B D0 37 9B 01 2B 18 D9 ?? ?? ?? ?? 26 90 26 9B 15 93 37 9B 5A 1E 15 9B 93 42 02 D2 15 9B 16 93 02 E0 37 9B 5B 1E 16 93 16 9A 02 23 02 FB 03 F2 FE 21 36 9B 98 1C ?? ?? ?? ?? 02 E0 01 23 17 93 01 E0 00 23 17 93 17 9B 18 93 18 9B 00 2B 0E D1 4E 4B 01 93 50 4B 00 93 00 23 59 22 4D 49 02 20 ?? ?? ?? ?? 27 90 27 9B 01 2B 00 D1 FE DE 18 9B 00 2B 10 D1 ?? ?? ?? ?? 28 90 28 9A 16 23 13 60 00 23 00 93 59 23 43 4A 41 49 40 48 ?? ?? ?? ?? 16 23 06 93 74 E0 61 23 AD F8 08 30 BD F8 08 20 03 9B 1A 80 BD F8 08 30 5B 1C 9B B2 AD F8 08 30 ?? ?? ?? ?? 29 90 29 9B 1B 68 31 93 ?? ?? ?? ?? 2A 90 2A 9A 00 23 13 60 00 23 2B 93 2B A9 36 A8 ?? ?? ?? ?? 2C 90 2C 9B 00 2B 49 D1 BD F8 08 30 7B 2B 34 D1 36 9A 00 23 13 80 37 9B B3 F1 FF 3F 20 D0 37 9A 6F F0 00 43 9A 42 1B D0 37 9B 01 2B 18 D9 ?? ?? ?? ?? 2D 90 2D 9B 19 93 37 9B 5A 1E 19 9B 93 42 02 D2 19 9B 1A 93 02 E0 37 9B 5B 1E 1A 93 1A 9A 02 23 02 FB 03 F2 FE 21 36 9B 98 1C ?? ?? ?? ?? ?? ?? ?? ?? 2E 90 2E 9A 11 23 13 60 ?? ?? ?? ?? 2F 90 2F 9B 1B 68 06 93 18 E0 BD F8 08 20 03 9B 1A 80 BD F8 08 30 5B 1C 9B B2 AD F8 08 30 ?? ?? ?? ?? 30 90 30 9A 00 23 13 60 AB E7 ?? ?? ?? ?? 32 90 31 9A 32 9B 1A 60 00 23 06 93 06 98 34 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_324_10_0 {
	meta:
		name = "?common_mktemp_s_continue@@YA_NQBD0@Z"
		size = 58
		refs = "000e _ismbstrail"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_325_0_0 {
	meta:
		name = "casinhf"
		size = 1164
		refs = "0018 crealf 0030 cimagf 0042 _fdtest 01c0 _FCbuild 01d4 csqrtf 039a asinhf 03cc logf 0412 _FCmulcc 0436 atan2f 047c big 0480 piby2 0484 _FZero_C 0488 piby4"
	strings:
		$1 = { 2D E9 00 48 EB 46 B2 B0 CD ED 17 0A 8D ED 16 0A 9D ED 16 0A DD ED 17 0A ?? ?? ?? ?? 8D ED 20 0A 9D ED 20 0A 8D ED 03 0A 9D ED 16 0A DD ED 17 0A ?? ?? ?? ?? 8D ED 21 0A 9D ED 21 0A 8D ED 02 0A 03 A8 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 18 30 02 A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 AD F8 04 30 BD F9 18 30 02 2B 26 D1 BD F9 04 30 02 2B 03 D0 BD F9 04 30 00 2B 08 D1 9D ED 03 0A 8D ED 00 0A 9D ED 02 0A 8D ED 05 0A 14 E0 BD F9 04 30 01 2B 08 D1 9D ED 02 0A 8D ED 00 0A 9D ED 03 0A 8D ED 05 0A 07 E0 9D ED 03 0A 8D ED 00 0A 9D ED 03 0A 8D ED 05 0A C5 E1 BD F9 04 30 02 2B 15 D1 BD F9 18 30 01 2B 08 D1 9D ED 03 0A 8D ED 00 0A 9D ED 02 0A 8D ED 05 0A 07 E0 9D ED 02 0A 8D ED 00 0A 9D ED 02 0A 8D ED 05 0A AB E1 BD F9 18 30 01 2B 3B D1 BD F9 04 30 01 2B 1C D1 9D ED 03 0A 8D ED 00 0A 9D ED 02 0A B5 EE C0 0A F1 EE 10 FA 07 D2 DC 4B 93 ED 00 0A B1 EE 40 0A 8D ED 12 0A 04 E0 D8 4B 93 ED 00 0A 8D ED 12 0A 9D ED 12 0A 8D ED 05 0A 19 E0 9D ED 03 0A 8D ED 00 0A 02 AB 9B 1C 1B 88 13 F4 00 4F 07 D0 CD 4B 93 ED 00 0A B1 EE 40 0A 8D ED 13 0A 03 E0 9F ED C6 0A 8D ED 13 0A 9D ED 13 0A 8D ED 05 0A 6B E1 BD F9 04 30 01 2B 1C D1 9D ED 02 0A 8D ED 00 0A 9D ED 02 0A B5 EE C0 0A F1 EE 10 FA 07 D2 BC 4B 93 ED 00 0A B1 EE 40 0A 8D ED 14 0A 04 E0 B8 4B 93 ED 00 0A 8D ED 14 0A 9D ED 14 0A 8D ED 05 0A 4A E1 DD ED 03 0A B7 EE 00 1A 9D ED 02 0A 31 EE 40 0A ?? ?? ?? ?? CD ED 25 0A 8D ED 24 0A 9D ED 24 0A DD ED 25 0A ?? ?? ?? ?? CD ED 27 0A 8D ED 26 0A 9D ED 26 0A 8D ED 10 0A 9D ED 27 0A 8D ED 11 0A 9D ED 03 0A F1 EE 40 0A B7 EE 00 1A 9D ED 02 0A 31 EE 00 0A ?? ?? ?? ?? CD ED 29 0A 8D ED 28 0A 9D ED 28 0A DD ED 29 0A ?? ?? ?? ?? CD ED 2B 0A 8D ED 2A 0A 9D ED 2A 0A 8D ED 0E 0A 9D ED 2B 0A 8D ED 0F 0A 9D ED 03 0A B5 EE 40 0A F1 EE 10 FA 04 D1 9D ED 03 0A 8D ED 00 0A DA E0 9D ED 10 0A DD ED 11 0A ?? ?? ?? ?? 8D ED 22 0A 9D ED 22 0A 8D ED 08 0A 9D ED 10 0A DD ED 11 0A ?? ?? ?? ?? 8D ED 18 0A 9D ED 18 0A 8D ED 07 0A 9D ED 0E 0A DD ED 0F 0A ?? ?? ?? ?? 8D ED 19 0A 9D ED 19 0A 8D ED 09 0A 9D ED 0E 0A DD ED 0F 0A ?? ?? ?? ?? 8D ED 1A 0A 9D ED 1A 0A 8D ED 0A 0A 73 4B D3 ED 00 0A 9D ED 08 0A F4 EE C0 0A F1 EE 10 FA 14 D2 9D ED 08 0A 8D ED 04 0A DD ED 09 0A 9D ED 04 0A C0 EE 80 0A 9D ED 07 0A 60 EE 20 0A 9D ED 0A 0A 30 EE C0 0A 8D ED 0B 0A 55 E0 64 4B D3 ED 00 0A 9D ED 07 0A F4 EE C0 0A F1 EE 10 FA 14 D2 9D ED 07 0A 8D ED 04 0A DD ED 0A 0A 9D ED 04 0A C0 EE 80 0A 9D ED 08 0A 60 EE 20 0A 9D ED 09 0A 30 EE 60 0A 8D ED 0B 0A 36 E0 9D ED 07 0A F1 EE 40 0A 52 4B 93 ED 00 0A B4 EE E0 0A F1 EE 10 FA 16 D2 9D ED 07 0A B1 EE 40 0A 8D ED 04 0A DD ED 0A 0A 9D ED 04 0A C0 EE 80 0A 9D ED 08 0A 60 EE 20 0A 9D ED 09 0A 30 EE 60 0A 8D ED 0B 0A 13 E0 9F ED 42 0A 8D ED 04 0A DD ED 07 0A 9D ED 09 0A 20 EE 80 1A DD ED 08 0A 9D ED 0A 0A 20 EE 80 0A 31 EE 40 0A 8D ED 0B 0A 9D ED 0B 0A ?? ?? ?? ?? 8D ED 1B 0A 9D ED 1B 0A 8D ED 00 0A 9D ED 04 0A B5 EE 40 0A F1 EE 10 FA 00 D1 23 E0 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 0E DB 9D ED 04 0A ?? ?? ?? ?? 8D ED 1C 0A DD ED 00 0A 9D ED 1C 0A 30 EE 80 0A 8D ED 00 0A 0D E0 9D ED 04 0A ?? ?? ?? ?? 8D ED 1D 0A DD ED 00 0A 9D ED 1D 0A 30 EE C0 0A 8D ED 00 0A 9D ED 0E 1A DD ED 0F 1A 9D ED 10 0A DD ED 11 0A ?? ?? ?? ?? CD ED 2D 0A 8D ED 2C 0A 9D ED 2C 0A DD ED 2D 0A ?? ?? ?? ?? 8D ED 1E 0A DD ED 1E 0A 9D ED 02 0A ?? ?? ?? ?? 8D ED 1F 0A 9D ED 1F 0A 8D ED 05 0A DD ED 05 0A 9D ED 00 0A ?? ?? ?? ?? CD ED 2F 0A 8D ED 2E 0A 9D ED 2E 0A 8D ED 30 0A 9D ED 2F 0A 8D ED 31 0A 9D ED 30 0A DD ED 31 0A 32 B0 BD E8 00 88 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_326_12_0 {
	meta:
		name = "?InternalGetLocaleInfoA@@YAHQAU__crt_locale_pointers@@QB_WKQADH@Z"
		size = 360
		refs = "0010 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0030 __acrt_GetLocaleInfoEx 0046 ??1_LocaleUpdate@@QAA@XZ 0058 _MallocaComputeSize 007a _malloc_dbg 0086 _MarkAllocaS 009a ??0?$__crt_scoped_stack_ptr_tag@_W@@QAA@QA_W@Z 00aa ??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 00b2 ?get@?$__crt_scoped_stack_ptr@_W@@QBAPA_WXZ 00c4 ??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ 0160 __imp_WideCharToMultiByte 0164 ??_C@_0DJ@JBBOOIAE@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B A3 B0 26 99 1C A8 ?? ?? ?? ?? 20 90 1C A8 ?? ?? ?? ?? 09 90 09 9B 1B 68 08 33 1B 68 18 93 00 23 00 22 28 99 27 98 ?? ?? ?? ?? 0A 90 0A 9B 05 93 05 9B 00 2B 07 D1 00 23 0B 93 1C A8 ?? ?? ?? ?? 0B 9B 06 93 81 E0 05 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 16 D0 05 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 0D 90 1E 23 3B 4A 02 21 0D 98 ?? ?? ?? ?? 0E 90 4D F6 DD 51 0E 98 ?? ?? ?? ?? 0F 90 0F 9B 07 93 01 E0 00 23 07 93 07 99 21 A8 ?? ?? ?? ?? 10 90 10 9B 11 93 11 9B 19 68 04 A8 ?? ?? ?? ?? 22 90 04 A8 ?? ?? ?? ?? 12 90 12 9B 00 2B 0A D1 00 23 13 93 04 A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 13 9B 06 93 3F E0 04 A8 ?? ?? ?? ?? 14 90 05 9B 14 9A 28 99 27 98 ?? ?? ?? ?? 15 90 15 9B 00 2B 0A D1 00 23 16 93 04 A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 16 9B 06 93 26 E0 2A 9B 00 2B 02 D0 29 9B 08 93 01 E0 00 23 08 93 04 A8 ?? ?? ?? ?? 17 90 00 23 03 93 00 23 02 93 2A 9B 01 93 08 9B 00 93 6F F0 00 03 17 9A 00 21 18 98 09 4C 24 68 A0 47 19 90 19 9B 1A 93 04 A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 1A 9B 06 93 06 98 23 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_326_22_0 {
	meta:
		name = "__acrt_GetLocaleInfoA"
		size = 668
		refs = "0008 __security_push_cookie 0030 ?InternalGetLocaleInfoA@@YAHQAU__crt_locale_pointers@@QB_WKQADH@Z 004c _calloc_dbg 0056 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0062 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 0070 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 0090 strncpy_s 00a6 _invoke_watson_if_error 0106 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ 018c __acrt_GetLocaleInfoEx 01ba ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 01c0 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 01d4 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0212 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ 027a __security_pop_cookie 0288 ??_C@_0DJ@JBBOOIAE@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 028c __imp_GetLastError 0290 ??_C@_1IM@HJPPDDKJ@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAc?$AAh?$AAa?$AAr?$AA_?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa?$AAl?$AA_?$AAl?$AAe@ 0294 ??_C@_1CM@LGLMFNOK@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAI?$AAn?$AAf?$AAo?$AAA?$AA?$AA@ 0298 ??_C@_1HC@KAIIOBKJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? CD B0 54 9A 00 23 13 60 51 9B 01 2B 40 F0 AF 80 54 9B 06 93 80 23 2A 93 80 23 00 93 2C AB 53 9A 52 99 50 98 ?? ?? ?? ?? 0A 90 0A 9B 05 93 05 9B 00 2B 37 D0 5D 23 00 93 90 4B 02 22 01 21 05 98 ?? ?? ?? ?? 0B 90 0B 99 0F A8 ?? ?? ?? ?? 0C 90 0C 9B 0D 93 0D 98 ?? ?? ?? ?? 0E 90 0E 9A 06 9B 1A 60 0F A8 ?? ?? ?? ?? 06 9B 1B 68 00 2B 03 D1 6F F0 00 03 02 93 F8 E0 05 9B 5B 1E 2C AA 05 99 06 98 00 68 ?? ?? ?? ?? 10 90 00 23 01 93 61 23 00 93 7E 4B 7C 4A 7B 49 10 98 ?? ?? ?? ?? 00 23 02 93 E2 E0 76 4B 1B 68 98 47 11 90 11 9B 7A 2B 03 D0 6F F0 00 03 02 93 D7 E0 00 23 00 93 00 23 53 9A 52 99 50 98 ?? ?? ?? ?? 12 90 12 9B 07 93 07 9B 00 2B 03 D1 6F F0 00 03 02 93 C5 E0 70 23 00 93 66 4B 02 22 01 21 07 98 ?? ?? ?? ?? 13 90 13 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 14 90 14 9B 00 2B 08 D1 6F F0 00 03 15 93 03 A8 ?? ?? ?? ?? 15 9B 02 93 A8 E0 03 A8 ?? ?? ?? ?? 16 90 07 9B 00 93 16 9B 53 9A 52 99 50 98 ?? ?? ?? ?? 17 90 17 9B 18 93 18 9B 00 2B 08 D1 6F F0 00 03 19 93 03 A8 ?? ?? ?? ?? 19 9B 02 93 8D E0 03 A8 ?? ?? ?? ?? 1A 90 1A 9A 06 9B 1A 60 00 23 1B 93 03 A8 ?? ?? ?? ?? 1B 9B 02 93 7E E0 7A E0 51 9B 02 2B 57 D1 54 9B 25 93 00 23 00 22 53 99 52 98 ?? ?? ?? ?? 1C 90 1C 9B 08 93 08 9B 00 2B 03 D1 6F F0 00 03 02 93 68 E0 85 23 00 93 37 4B 02 22 02 21 08 98 ?? ?? ?? ?? 1D 90 1D 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 1E 90 1E 9B 00 2B 08 D1 6F F0 00 03 1F 93 04 A8 ?? ?? ?? ?? 1F 9B 02 93 4B E0 04 A8 ?? ?? ?? ?? 20 90 08 9B 20 9A 53 99 52 98 ?? ?? ?? ?? 21 90 21 9B 22 93 22 9B 00 2B 08 D1 6F F0 00 03 23 93 04 A8 ?? ?? ?? ?? 23 9B 02 93 32 E0 04 A8 ?? ?? ?? ?? 24 90 24 9A 25 9B 1A 60 00 23 26 93 04 A8 ?? ?? ?? ?? 26 9B 02 93 23 E0 1F E0 51 9B 00 2B 1C D1 54 9B 29 93 00 23 09 93 02 23 09 AA 53 99 41 F0 00 51 52 98 ?? ?? ?? ?? 27 90 27 9B 28 93 28 9B 00 2B 03 D1 6F F0 00 03 02 93 09 E0 09 9B DA B2 29 9B 1A 70 00 23 02 93 02 E0 6F F0 00 03 02 93 02 98 4D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_327_0_0 {
	meta:
		name = "_strnset"
		size = 68
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 06 9A 06 9B 5B 1E 06 93 00 2A 0C D0 04 9B 93 F9 00 30 00 2B 07 D0 05 9B 5A B2 04 9B 1A 70 04 9B 5B 1C 04 93 EC E7 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_328_4_0 {
	meta:
		name = "_wcscoll_l"
		size = 416
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0074 ??1_LocaleUpdate@@QAA@XZ 00ec ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0104 wcscmp 0140 __acrt_CompareStringW 018c ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0190 ??_C@_1BG@FHFNCKLD@?$AA_?$AAw?$AAc?$AAs?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0194 ??_C@_1GE@HMGDDFCE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0198 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 019c ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9A B0 1E 99 16 A8 ?? ?? ?? ?? 1C 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 5B 4B 01 93 59 4B 00 93 00 23 31 22 56 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 31 23 4C 4A 4A 49 4D 48 ?? ?? ?? ?? 6F F0 00 43 0A 93 16 A8 ?? ?? ?? ?? 0A 9B 02 93 7F E0 1D 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 3C 4B 01 93 3E 4B 00 93 00 23 32 22 3B 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 32 23 31 4A 2F 49 2E 48 ?? ?? ?? ?? 6F F0 00 43 0D 93 16 A8 ?? ?? ?? ?? 0D 9B 02 93 49 E0 16 A8 ?? ?? ?? ?? 0E 90 0E 9B 1B 68 A0 33 1B 1D 1B 68 00 2B 0C D1 1D 99 1C 98 ?? ?? ?? ?? 0F 90 0F 9B 10 93 16 A8 ?? ?? ?? ?? 10 9B 02 93 31 E0 16 A8 ?? ?? ?? ?? 11 90 6F F0 00 03 01 93 1D 9B 00 93 6F F0 00 03 1C 9A 4F F4 80 51 11 98 00 68 A0 30 00 1D 00 68 ?? ?? ?? ?? 12 90 12 9B 07 93 07 9B 00 2B 0E D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 6F F0 00 43 14 93 16 A8 ?? ?? ?? ?? 14 9B 02 93 07 E0 07 9B 9B 1E 15 93 16 A8 ?? ?? ?? ?? 15 9B 02 93 02 98 1A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_328_5_0 {
	meta:
		name = "wcscoll"
		size = 288
		refs = "000a __acrt_locale_changed 0044 _CrtDbgReportW 0058 _errno 0070 _invalid_parameter 00e2 wcscmp 00f6 _wcscoll_l 010c ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0110 ??_C@_1BA@KPGOIMMO@?$AAw?$AAc?$AAs?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0114 ??_C@_1GE@HMGDDFCE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0118 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 011c ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 6A D1 10 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 39 4B 01 93 37 4B 00 93 00 23 4F 22 34 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 4F 23 2A 4A 28 49 2B 48 ?? ?? ?? ?? 6F F0 00 43 03 93 41 E0 11 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 1D 4B 01 93 1F 4B 00 93 00 23 50 22 1C 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 50 23 11 4A 10 49 0E 48 ?? ?? ?? ?? 6F F0 00 43 03 93 10 E0 11 99 10 98 ?? ?? ?? ?? 0C 90 0C 9B 03 93 08 E0 07 E0 00 22 11 99 10 98 ?? ?? ?? ?? 0D 90 0D 9B 03 93 03 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_329_0_0 {
	meta:
		name = "_frnd"
		size = 664
		refs = "0012 separate_fp 0156 __dtoi64 0162 __rt_sdiv64"
	strings:
		$1 = { 2D E9 00 48 EB 46 94 B0 8D ED 0C 0B 02 A8 9D ED 0C 0B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B 8D ED 04 0B F1 EE 10 3A 01 93 01 9B 83 F4 1F 43 03 F4 40 03 00 93 00 9B B3 F5 00 0F 0B D8 00 9B B3 F5 00 0F 36 D0 00 9B 00 2B 57 D0 00 9B B3 F5 80 0F 0B D0 18 E1 00 9B B3 F5 40 0F 00 D0 13 E1 9D ED 02 0B 8D ED 06 0B 12 E1 0D E1 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 05 D1 9D ED 02 0B 8D ED 06 0B 05 E1 15 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 09 DD 9D ED 02 1B B7 EE 00 0B 31 EE 00 0B 8D ED 06 0B F4 E0 04 E0 9D ED 02 0B 8D ED 06 0B EE E0 E9 E0 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 05 D1 9D ED 02 0B 8D ED 06 0B E1 E0 15 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 05 DD 9D ED 02 0B 8D ED 06 0B D4 E0 08 E0 9D ED 02 1B B7 EE 00 0B 31 EE 40 0B 8D ED 06 0B CA E0 C5 E0 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 05 D1 9D ED 02 0B 8D ED 06 0B BD E0 B8 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 0E DD 9D ED 04 1B B6 EE 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 9D ED 02 0B 8D ED 06 0B A7 E0 A2 E0 9D ED 04 1B B6 EE 00 0B B4 EE 40 1B F1 EE 10 FA 21 D1 9D ED 02 0B ?? ?? ?? ?? 0B 46 02 46 02 20 00 21 ?? ?? ?? ?? 11 91 10 90 13 43 00 2B 08 D0 9D ED 02 1B B7 EE 00 0B 31 EE 00 0B 8D ED 08 0B 03 E0 9D ED 02 0B 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B 7C E0 77 E0 9D ED 04 1B B6 EE 00 0B B4 EE C0 1B F1 EE 10 FA 12 DD 9D ED 04 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 09 D2 9D ED 02 1B B7 EE 00 0B 31 EE 00 0B 8D ED 06 0B 60 E0 5B E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 0E D2 9D ED 04 1B BE EE 00 0B B4 EE C0 1B F1 EE 10 FA 05 DD 9D ED 02 0B 8D ED 06 0B 4A E0 45 E0 9D ED 04 1B BE EE 00 0B B4 EE 40 1B F1 EE 10 FA 21 D1 9D ED 02 0B ?? ?? ?? ?? 0B 46 02 46 02 20 00 21 ?? ?? ?? ?? 13 91 12 90 13 43 00 2B 08 D0 9D ED 02 1B B7 EE 00 0B 31 EE 40 0B 8D ED 0A 0B 03 E0 9D ED 02 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 06 0B 1F E0 1A E0 9D ED 04 1B BE EE 00 0B B4 EE C0 1B F1 EE 10 FA 11 D2 9D ED 04 1B BF EE 00 0B B4 EE C0 1B F1 EE 10 FA 08 DD 9D ED 02 1B B7 EE 00 0B 31 EE 40 0B 8D ED 06 0B 03 E0 9D ED 02 0B 8D ED 06 0B 9D ED 06 0B 14 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_329_1_0 {
	meta:
		name = "separate_fp"
		size = 552
		refs = "0224 one"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 8D ED 06 0B 85 4B 1B 68 5B 17 83 F0 01 03 00 93 00 9A 01 23 9B 1A 01 93 00 9A 04 23 02 FB 03 F2 06 AB 13 44 1B 68 03 93 01 9A 04 23 02 FB 03 F2 06 AB 13 44 1B 68 05 93 03 9B C3 F3 0A 53 A3 F2 FF 33 02 93 02 9B 14 2B 69 DA 02 9B 00 2B 17 DA 03 9B 03 F0 00 41 00 9A 04 23 02 FB 03 F2 0C 9B 13 44 19 60 01 9A 04 23 02 FB 03 F2 0C 9B 1A 44 00 23 13 60 9D ED 06 0B 8D ED 08 0B C6 E0 4D E0 02 9A 01 23 1B 05 5B 1E 13 41 04 93 03 9A 04 9B 1A 40 05 9B 13 43 00 2B 22 D1 9D ED 06 0B 0C 9B 83 ED 00 0B 00 9A 04 23 02 FB 03 F2 06 AB 13 44 1B 68 03 F0 00 41 00 9A 04 23 02 FB 03 F2 06 AB 13 44 19 60 01 9A 04 23 02 FB 03 F2 06 AB 1A 44 00 23 13 60 9D ED 06 0B 8D ED 08 0B 96 E0 1D E0 04 9B DA 43 03 9B 03 EA 02 01 00 9A 04 23 02 FB 03 F2 0C 9B 13 44 19 60 01 9A 04 23 02 FB 03 F2 0C 9B 1A 44 00 23 13 60 9D ED 06 1B 0C 9B 93 ED 00 0B 31 EE 40 0B 8D ED 08 0B 77 E0 76 E0 02 9B 33 2B 27 DD 9D ED 06 1B 3C 4B 93 ED 00 0B 21 EE 00 0B 0C 9B 83 ED 00 0B 00 9A 04 23 02 FB 03 F2 06 AB 13 44 1B 68 03 F0 00 41 00 9A 04 23 02 FB 03 F2 06 AB 13 44 19 60 01 9A 04 23 02 FB 03 F2 06 AB 1A 44 00 23 13 60 9D ED 06 0B 8D ED 08 0B 4C E0 4B E0 02 9B A3 F1 14 02 6F F0 00 03 D3 40 04 93 05 9A 04 9B 13 40 00 2B 22 D1 9D ED 06 0B 0C 9B 83 ED 00 0B 00 9A 04 23 02 FB 03 F2 06 AB 13 44 1B 68 03 F0 00 41 00 9A 04 23 02 FB 03 F2 06 AB 13 44 19 60 01 9A 04 23 02 FB 03 F2 06 AB 1A 44 00 23 13 60 9D ED 06 0B 8D ED 08 0B 1D E0 1C E0 00 9A 04 23 02 FB 03 F2 0C 9B 1A 44 03 9B 13 60 04 9B DA 43 05 9B 03 EA 02 01 01 9A 04 23 02 FB 03 F2 0C 9B 13 44 19 60 9D ED 06 1B 0C 9B 93 ED 00 0B 31 EE 40 0B 8D ED 08 0B 9D ED 08 0B 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_330_0_0 {
	meta:
		name = "wcscpy"
		size = 60
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 05 9B 1A 88 00 9B 1A 80 00 9B 1A 88 00 9B 9B 1C 00 93 05 9B 9B 1C 05 93 00 2A 00 D0 F0 E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_8_0 {
	meta:
		name = "??$assemble_floating_point_ind@M@__crt_strtox@@YAXAAM@Z"
		size = 66
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 00 9B 1B 68 43 F0 00 42 00 9B 1A 60 00 9B 1B 68 43 F0 FF 42 00 9B 1A 60 00 9B 19 68 4F F4 80 03 63 F3 16 01 00 9A 0B 46 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_9_0 {
	meta:
		name = "??$assemble_floating_point_ind@N@__crt_strtox@@YAXAAN@Z"
		size = 116
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 93 00 9B 01 93 01 9B 19 68 01 9B 5B 68 43 F0 00 42 00 9B 02 93 02 9B 19 60 02 9B 5A 60 00 9B 03 93 03 9B 19 68 03 9B 5A 68 0E 4B 1A 43 00 9B 04 93 04 9B 19 60 04 9B 5A 60 00 9B 06 93 06 9B 5B 68 6F F3 13 03 43 F4 00 21 00 9B 05 93 05 9A 00 23 13 60 05 9B 59 60 08 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 F0 7F }
	condition:
		$1
}

rule file_331_10_0 {
	meta:
		name = "??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAAM@Z"
		size = 80
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 93 9D F8 10 30 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 00 9B 01 9A 1B 68 62 F3 DF 73 00 9A 13 60 00 9B 1B 68 43 F0 FF 42 00 9B 1A 60 00 9B 1B 68 6F F3 16 03 00 9A 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_11_0 {
	meta:
		name = "??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z"
		size = 136
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 9B 00 93 9D F8 28 30 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 01 98 00 9B 02 93 02 9B 1A 68 02 9B 59 68 60 F3 DF 71 00 9B 03 93 03 9B 1A 60 03 9A 0B 46 53 60 00 9B 04 93 04 9B 19 68 04 9B 5A 68 0D 4B 1A 43 00 9B 05 93 05 9B 19 60 05 9B 5A 60 00 9B 07 93 07 9B 59 68 6F F3 13 01 00 9B 06 93 06 9A 00 23 13 60 06 9A 0B 46 53 60 08 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 F0 7F }
	condition:
		$1
}

rule file_331_12_0 {
	meta:
		name = "??$assemble_floating_point_qnan@M@__crt_strtox@@YAX_NAAM@Z"
		size = 84
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 93 9D F8 10 30 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 00 9B 01 9A 1B 68 62 F3 DF 73 00 9A 13 60 00 9B 1B 68 43 F0 FF 42 00 9B 1A 60 00 9B 1A 68 01 23 DB 05 5B 1E 1A 43 00 9B 1A 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_13_0 {
	meta:
		name = "??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAAN@Z"
		size = 144
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 9B 00 93 9D F8 28 30 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 01 98 00 9B 02 93 02 9B 1A 68 02 9B 59 68 60 F3 DF 71 00 9B 03 93 03 9B 1A 60 03 9A 0B 46 53 60 00 9B 04 93 04 9B 19 68 04 9B 5A 68 0F 4B 1A 43 00 9B 05 93 05 9B 19 60 05 9B 5A 60 00 9B 06 93 06 9B 1B 68 43 F0 FF 31 06 9B 5A 68 01 23 1B 05 5B 1E 1A 43 00 9B 07 93 07 9B 19 60 07 9B 5A 60 08 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 F0 7F }
	condition:
		$1
}

rule file_331_14_0 {
	meta:
		name = "??$assemble_floating_point_snan@M@__crt_strtox@@YAX_NAAM@Z"
		size = 84
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 93 9D F8 10 30 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 00 9B 01 9A 1B 68 62 F3 DF 73 00 9A 13 60 00 9B 1B 68 43 F0 FF 42 00 9B 1A 60 00 9B 19 68 01 23 63 F3 16 01 00 9A 0B 46 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_15_0 {
	meta:
		name = "??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAAN@Z"
		size = 132
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 9B 00 93 9D F8 28 30 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 01 98 00 9B 02 93 02 9B 1A 68 02 9B 59 68 60 F3 DF 71 00 9B 03 93 03 9B 1A 60 03 9A 0B 46 53 60 00 9B 04 93 04 9B 19 68 04 9B 5A 68 0C 4B 1A 43 00 9B 05 93 05 9B 19 60 05 9B 5A 60 00 9B 07 93 07 9B 59 68 6F F3 13 01 00 9B 06 93 06 9A 01 23 13 60 06 9B 59 60 08 B0 5D F8 04 BB 5D F8 0C FB 00 00 F0 7F }
	condition:
		$1
}

rule file_331_16_0 {
	meta:
		name = "??$assemble_floating_point_value_t@M@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAM@Z"
		size = 78
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 9B 00 93 9D F8 10 20 00 9B 1B 68 62 F3 DF 73 00 9A 13 60 05 9B 03 F1 7F 02 00 9B 1B 68 62 F3 DE 53 00 9A 13 60 06 9A 00 9B 1B 68 62 F3 16 03 00 9A 13 60 00 23 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_17_0 {
	meta:
		name = "??$assemble_floating_point_value_t@N@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAN@Z"
		size = 134
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0E 9B 00 93 9D F8 28 00 00 9B 01 93 01 9B 1A 68 01 9B 59 68 60 F3 DF 71 00 9B 02 93 02 9B 1A 60 02 9A 0B 46 53 60 0B 9B 03 F2 FF 30 00 9B 03 93 03 9B 1A 68 03 9B 59 68 60 F3 1E 51 00 9B 04 93 04 9B 1A 60 04 9A 0B 46 53 60 00 9B 0D 9A 6F F3 1F 52 06 93 06 9B 5B 68 6F F3 13 03 0C 99 1A 43 00 9B 05 93 05 9B 19 60 05 9B 5A 60 00 23 07 93 07 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_18_0 {
	meta:
		name = "??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAAM@Z"
		size = 80
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 93 9D F8 10 30 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 00 9B 01 9A 1B 68 62 F3 DF 73 00 9A 13 60 00 9B 1B 68 23 F0 FF 42 00 9B 1A 60 00 9B 1B 68 6F F3 16 03 00 9A 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_19_0 {
	meta:
		name = "??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z"
		size = 132
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B 9B 00 93 9D F8 28 30 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 01 98 00 9B 02 93 02 9B 1A 68 02 9B 59 68 60 F3 DF 71 00 9B 03 93 03 9B 1A 60 03 9A 0B 46 53 60 00 9B 04 93 04 9B 1A 68 04 9B 59 68 6F F3 1E 51 00 9B 05 93 05 9B 1A 60 05 9A 0B 46 53 60 00 9B 07 93 07 9B 59 68 6F F3 13 01 00 9B 06 93 06 9A 00 23 13 60 06 9A 0B 46 53 60 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_20_0 {
	meta:
		name = "??$common_vfscanf@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
		size = 276
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00de ??0<lambda_21448eb78dd3c4a522ed7c65a98d88e6>@@QAA@ABQAU__crt_locale_pointers@@ABQAU_iobuf@@AB_KABQBDABQAD@Z 00e8 ??$__acrt_lock_stream_and_call@V<lambda_21448eb78dd3c4a522ed7c65a98d88e6>@@@@YAHQAU_iobuf@@$$QAV<lambda_21448eb78dd3c4a522ed7c65a98d88e6>@@@Z 0100 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0104 ??_C@_1BO@EKFGJCMB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 0108 ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 18 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 3A 4B 01 93 38 4B 00 93 00 23 1D 22 35 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1D 23 2B 4A 29 49 2C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 42 E0 19 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 1E 22 1D 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 1E 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 03 02 93 11 E0 1B AB 01 93 19 AB 00 93 16 AB 18 AA 1A A9 0E A8 ?? ?? ?? ?? 0B 90 0B 99 18 98 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_21_0 {
	meta:
		name = "??$common_vfscanf@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 276
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00de ??0<lambda_2e1cf6ed1c07646757a0128817e0c201>@@QAA@ABQAU__crt_locale_pointers@@ABQAU_iobuf@@AB_KABQB_WABQAD@Z 00e8 ??$__acrt_lock_stream_and_call@V<lambda_2e1cf6ed1c07646757a0128817e0c201>@@@@YAHQAU_iobuf@@$$QAV<lambda_2e1cf6ed1c07646757a0128817e0c201>@@@Z 0100 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0104 ??_C@_1BO@EKFGJCMB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 0108 ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 18 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 3A 4B 01 93 38 4B 00 93 00 23 1D 22 35 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1D 23 2B 4A 29 49 2C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 42 E0 19 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 1E 22 1D 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 1E 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 03 02 93 11 E0 1B AB 01 93 19 AB 00 93 16 AB 18 AA 1A A9 0E A8 ?? ?? ?? ?? 0B 90 0B 99 18 98 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_22_0 {
	meta:
		name = "??$common_vsscanf@D@@YAH_KQBDI1QAU__crt_locale_pointers@@QAD@Z"
		size = 336
		refs = "0008 __security_push_cookie 0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 00d6 ??$tcsnlen@ABQBDABI@?$__crt_char_traits@D@@SAIABQBDABI@Z 00e4 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00ea ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00f6 ??0?$string_input_adapter@D@__crt_stdio_input@@QAA@QBDI@Z 0110 ??0?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAA@ABV?$string_input_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 0116 ?process@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAAHXZ 0122 ??1_LocaleUpdate@@QAA@XZ 012e __security_pop_cookie 013c ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0140 ??_C@_1BO@KIEHMAMA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 0144 ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0148 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 014c ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? BB B0 40 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 48 4B 01 93 46 4B 00 93 00 23 58 22 43 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 58 23 39 4A 37 49 3A 48 ?? ?? ?? ?? 6F F0 00 03 04 93 5C E0 42 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 2C 4B 01 93 2E 4B 00 93 00 23 59 22 2B 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 59 23 20 4A 1F 49 1D 48 ?? ?? ?? ?? 6F F0 00 03 04 93 2B E0 41 A9 40 A8 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 43 99 14 A8 ?? ?? ?? ?? 14 A8 ?? ?? ?? ?? 0F 90 0E 9A 40 99 18 A8 ?? ?? ?? ?? 10 90 44 9B 02 93 0F 9B 01 93 42 9B 00 93 3E 9A 3F 9B 10 99 1C A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 11 90 11 9B 12 93 14 A8 ?? ?? ?? ?? 12 9B 04 93 04 98 3B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_23_0 {
	meta:
		name = "??$common_vsscanf@_W@@YAH_KQB_WI1QAU__crt_locale_pointers@@QAD@Z"
		size = 332
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00d2 ??$tcsnlen@ABQB_WABI@?$__crt_char_traits@_W@@SAIABQB_WABI@Z 00e0 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00e6 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00f2 ??0?$string_input_adapter@_W@__crt_stdio_input@@QAA@QB_WI@Z 010c ??0?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAA@ABV?$string_input_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 0112 ?process@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAAHXZ 011e ??1?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAA@XZ 0124 ??1_LocaleUpdate@@QAA@XZ 0138 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 013c ??_C@_1BO@KIEHMAMA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 0140 ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0148 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B4 B0 38 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 48 4B 01 93 46 4B 00 93 00 23 58 22 43 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 58 23 39 4A 37 49 3A 48 ?? ?? ?? ?? 6F F0 00 03 04 93 5F E0 3A 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 2C 4B 01 93 2E 4B 00 93 00 23 59 22 2B 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 59 23 20 4A 1F 49 1D 48 ?? ?? ?? ?? 6F F0 00 03 04 93 2E E0 39 A9 38 A8 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 3B 99 14 A8 ?? ?? ?? ?? 14 A8 ?? ?? ?? ?? 0F 90 0E 9A 38 99 18 A8 ?? ?? ?? ?? 10 90 3C 9B 02 93 0F 9B 01 93 3A 9B 00 93 36 9A 37 9B 10 99 1C A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 11 90 11 9B 12 93 1C A8 ?? ?? ?? ?? 14 A8 ?? ?? ?? ?? 12 9B 04 93 04 98 34 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_24_0 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z"
		size = 46
		refs = "000e ??0floating_point_value@__crt_strtox@@QAA@QAM@Z 0018 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 99 04 A8 ?? ?? ?? ?? 00 90 00 99 08 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_25_2 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z"
		size = 46
		refs = "000e ??0floating_point_value@__crt_strtox@@QAA@QAN@Z 0018 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 99 04 A8 ?? ?? ?? ?? 00 90 00 99 08 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_26_4 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z"
		size = 46
		refs = "000e ??0floating_point_value@__crt_strtox@@QAA@QAM@Z 0018 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 99 04 A8 ?? ?? ?? ?? 00 90 00 99 08 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_676_19_4 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z"
		size = 46
		refs = "000e ??0floating_point_value@__crt_strtox@@QAA@QAN@Z 0018 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 99 04 A8 ?? ?? ?? ?? 00 90 00 99 08 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_28_0 {
	meta:
		name = "??$fill_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADII@Z"
		size = 122
		refs = "0032 _CrtGetDebugFillThreshold 006c memset"
		altNames = "??$fill_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADII@Z ??$fill_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADII@Z ??$fill_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADII@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B B3 F1 FF 3F 00 D1 2D E0 07 9B B3 F1 FF 3F 29 D0 07 9A 6F F0 00 43 9A 42 24 D0 07 9A 08 9B D2 1A 07 9B 9A 42 1E D2 ?? ?? ?? ?? 02 90 02 9B 00 93 07 9A 08 9B D2 1A 07 9B 9A 1A 00 9B 93 42 02 D2 00 9B 01 93 05 E0 07 9A 08 9B D2 1A 07 9B 9B 1A 01 93 01 9A FE 21 07 98 08 9B C0 1A 06 9B 18 44 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_32_0 {
	meta:
		name = "??$fill_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WII@Z"
		size = 134
		refs = "0032 _CrtGetDebugFillThreshold 0078 memset"
		altNames = "??$fill_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WII@Z ??$fill_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WII@Z ??$fill_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WII@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B B3 F1 FF 3F 00 D1 33 E0 07 9B B3 F1 FF 3F 2F D0 07 9A 6F F0 00 43 9A 42 2A D0 07 9A 08 9B D2 1A 07 9B 9A 42 24 D2 ?? ?? ?? ?? 02 90 02 9B 00 93 07 9A 08 9B D2 1A 07 9B 9A 1A 00 9B 93 42 02 D2 00 9B 01 93 05 E0 07 9A 08 9B D2 1A 07 9B 9B 1A 01 93 01 9A 02 23 02 FB 03 F2 FE 21 07 98 08 9B C0 1A 02 23 00 FB 03 F0 06 9B 18 44 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_37_0 {
	meta:
		name = "??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QAPAU_iobuf@@@Z"
		size = 44
		refs = "000e _getwc_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 68 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_38_0 {
	meta:
		name = "??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
		size = 194
		refs = "002e ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 0074 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 12 9B 13 F0 04 0F 03 D0 01 23 8D F8 00 30 4C E0 12 9B 13 F0 01 0F 45 D0 12 9B 13 F0 02 0F 1E D0 00 20 00 21 ?? ?? ?? ?? 07 91 06 90 06 99 07 9A 00 23 49 42 63 EB 02 02 14 9B 08 93 15 9B 09 93 08 9B 01 93 02 91 09 9B 93 42 08 D3 03 D8 01 9A 02 9B 9A 42 03 D9 01 23 8D F8 00 30 25 E0 12 9B 13 F0 02 0F 1E D1 00 20 00 21 ?? ?? ?? ?? 0B 91 0A 90 14 9B 0C 93 15 9B 0D 93 0A 9B 0E 93 0B 9B 0F 93 0C 9B 03 93 0E 9B 04 93 0D 9A 0F 9B 9A 42 08 D3 03 D8 03 9A 04 9B 9A 42 03 D9 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 00 10 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_39_0 {
	meta:
		name = "??$istspace@ABE@?$__crt_char_traits@D@@SAHABE@Z"
		size = 36
		refs = "000e isspace"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 18 78 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_40_0 {
	meta:
		name = "??$istspace@AB_W@?$__crt_char_traits@_W@@SAHAB_W@Z"
		size = 38
		refs = "0010 iswctype"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 08 21 04 9B 18 88 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_41_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
		size = 42
		refs = "0016 ??0?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 00 93 08 9A 09 9B 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_42_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
		size = 42
		refs = "0016 ??0?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 00 93 08 9A 09 9B 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_43_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
		size = 42
		refs = "0016 ??0?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 00 93 08 9A 09 9B 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_44_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
		size = 42
		refs = "0016 ??0?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 00 93 08 9A 09 9B 07 99 06 98 ?? ?? ?? ?? 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_53_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 1432
		refs = "000c ?validate@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 0024 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 0036 ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 004e ??0<lambda_c7c3f778895f47e7f4eff38a8fef279a>@@QAA@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0058 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 00d4 ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z 00f8 ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z 016e ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAAXD@Z 01e0 ?parse_digit@__crt_strtox@@YAID@Z 02e2 ??R<lambda_c7c3f778895f47e7f4eff38a8fef279a>@@QBA_NXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B0 B0 33 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 02 D1 07 23 04 93 B2 E2 33 98 ?? ?? ?? ?? 25 91 24 90 24 9B 0E 93 25 9B 0F 93 33 98 ?? ?? ?? ?? 8D F8 2B 00 9D F9 2B 30 8D F8 00 30 0E AB 6A 46 33 99 2C A8 ?? ?? ?? ?? 32 99 9D F9 00 00 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 00 2B 09 D0 33 98 ?? ?? ?? ?? 8D F8 16 00 9D F9 16 30 8D F8 00 30 EA E7 9D F9 00 30 2D 2B 02 D1 01 23 11 93 01 E0 00 23 11 93 34 9B 03 F5 42 72 11 9B DB B2 13 70 9D F9 00 30 2D 2B 03 D0 9D F9 00 30 2B 2B 08 D1 33 98 ?? ?? ?? ?? 8D F8 17 00 9D F9 17 30 8D F8 00 30 9D F9 00 30 49 2B 03 D0 9D F9 00 30 69 2B 09 D1 0E 9A 0F 9B 33 99 68 46 ?? ?? ?? ?? 1B 90 1B 9B 04 93 53 E2 9D F9 00 30 4E 2B 03 D0 9D F9 00 30 6E 2B 09 D1 0E 9A 0F 9B 33 99 68 46 ?? ?? ?? ?? 1C 90 1C 9B 04 93 41 E2 00 23 8D F8 01 30 9D F9 00 30 30 2B 2F D1 33 98 ?? ?? ?? ?? 27 91 26 90 26 9B 28 93 27 9B 29 93 33 98 ?? ?? ?? ?? 8D F8 18 00 9D F9 18 30 8D F8 03 30 9D F9 03 30 78 2B 03 D0 9D F9 03 30 58 2B 10 D1 01 23 8D F8 01 30 33 98 ?? ?? ?? ?? 8D F8 19 00 9D F9 19 30 8D F8 00 30 28 9B 0E 93 29 9B 0F 93 04 E0 9D F9 03 10 33 98 ?? ?? ?? ?? 34 9B 08 33 10 93 34 9B 03 F5 42 73 15 93 34 9B 08 33 02 93 00 23 0C 93 00 23 8D F8 02 30 9D F9 00 30 30 2B 0C D1 01 23 8D F8 02 30 33 98 ?? ?? ?? ?? 8D F8 1A 00 9D F9 1A 30 8D F8 00 30 EE E7 08 E0 33 98 ?? ?? ?? ?? 8D F8 1B 00 9D F9 1B 30 8D F8 00 30 9D F8 01 30 00 2B 02 D0 0F 23 12 93 01 E0 09 23 12 93 12 9B 1E 93 9D F9 00 00 ?? ?? ?? ?? 1D 90 1D 9B 13 93 13 9A 1E 9B 9A 42 00 D9 11 E0 01 23 8D F8 02 30 02 9A 15 9B 9A 42 06 D0 13 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 0C 9B 5B 1C 0C 93 CD E7 32 9B 1B 68 88 33 1B 68 1B 68 93 F9 00 30 8D F8 1C 30 9D F9 00 20 9D F9 1C 30 9A 42 50 D1 33 98 ?? ?? ?? ?? 8D F8 1D 00 9D F9 1D 30 8D F8 00 30 02 9A 10 9B 9A 42 13 D1 9D F9 00 30 30 2B 0F D1 01 23 8D F8 02 30 0C 9B 5B 1E 0C 93 33 98 ?? ?? ?? ?? 8D F8 1E 00 9D F9 1E 30 8D F8 00 30 EB E7 08 E0 33 98 ?? ?? ?? ?? 8D F8 1F 00 9D F9 1F 30 8D F8 00 30 9D F8 01 30 00 2B 02 D0 0F 23 14 93 01 E0 09 23 14 93 14 9B 20 93 9D F9 00 00 ?? ?? ?? ?? 1F 90 1F 9B 16 93 16 9A 20 9B 9A 42 00 D9 0E E0 01 23 8D F8 02 30 02 9A 15 9B 9A 42 06 D0 16 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 D0 E7 9D F8 02 30 00 2B 16 D1 2C A8 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 02 D1 07 23 04 93 47 E1 9D F8 01 30 00 2B 03 D0 02 23 04 93 40 E1 02 E0 07 23 04 93 3C E1 9D F9 00 10 33 98 ?? ?? ?? ?? 33 98 ?? ?? ?? ?? 2B 91 2A 90 2A 9B 0E 93 2B 9B 0F 93 33 98 ?? ?? ?? ?? 8D F8 21 00 9D F9 21 30 8D F8 00 30 00 23 8D F8 04 30 9D F9 00 30 0B 93 0B 9B 65 2B 09 DC 0B 9B 65 2B 0A D0 0B 9B 45 2B 07 D0 0B 9B 50 2B 12 D0 15 E0 0B 9B 70 2B 0E D0 11 E0 9D F8 01 30 00 2B 02 D1 01 23 17 93 01 E0 00 23 17 93 17 9B DB B2 8D F8 04 30 03 E0 9D F8 01 30 8D F8 04 30 00 23 03 93 9D F8 04 30 00 2B 00 F0 99 80 33 98 ?? ?? ?? ?? 8D F8 22 00 9D F9 22 30 8D F8 00 30 9D F9 00 30 2D 2B 03 D1 01 23 8D F8 14 30 02 E0 00 23 8D F8 14 30 9D F8 14 30 8D F8 26 30 9D F9 00 30 2B 2B 03 D0 9D F9 00 30 2D 2B 08 D1 33 98 ?? ?? ?? ?? 8D F8 29 00 9D F9 29 30 8D F8 00 30 00 23 8D F8 05 30 9D F9 00 30 30 2B 0C D1 01 23 8D F8 05 30 33 98 ?? ?? ?? ?? 8D F8 23 00 9D F9 23 30 8D F8 00 30 EE E7 08 E0 33 98 ?? ?? ?? ?? 8D F8 24 00 9D F9 24 30 8D F8 00 30 9D F9 00 00 ?? ?? ?? ?? 21 90 21 9B 18 93 18 9B 0A 2B 00 D3 13 E0 01 23 8D F8 05 30 03 9A 0A 23 02 FB 03 F2 18 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 03 DD 41 F2 51 43 03 93 00 E0 D7 E7 9D F9 00 00 ?? ?? ?? ?? 22 90 22 9B 0A 2B 09 D2 33 98 ?? ?? ?? ?? 8D F8 25 00 9D F9 25 30 8D F8 00 30 ED E7 9D F8 26 30 00 2B 02 D0 03 9B 5B 42 03 93 9D F8 05 30 00 2B 15 D1 2C A8 ?? ?? ?? ?? 8D F8 27 00 9D F8 27 30 00 2B 09 D0 33 98 ?? ?? ?? ?? 8D F8 28 00 9D F9 28 30 8D F8 00 30 02 E0 07 23 04 93 5C E0 9D F9 00 10 33 98 ?? ?? ?? ?? 02 9A 10 9B 9A 42 08 D0 02 9B 5B 1E 1B 78 00 2B 03 D1 02 9B 5B 1E 02 93 F2 E7 02 9A 10 9B 9A 42 02 D1 02 23 04 93 43 E0 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 3B E0 03 9A 20 4B 9A 42 02 DA 08 23 04 93 34 E0 9D F8 01 30 00 2B 02 D0 04 23 19 93 01 E0 01 23 19 93 19 9B 23 93 0C 9A 23 9B 02 FB 03 F2 03 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 1A E0 03 9A 0F 4B 9A 42 02 DA 08 23 04 93 13 E0 34 9A 03 9B 13 60 02 9A 10 9B D2 1A 34 9B 1B 1D 1A 60 9D F8 01 30 00 2B 02 D0 01 23 1A 93 01 E0 00 23 1A 93 1A 9B 04 93 04 98 30 B0 5D F8 04 BB 5D F8 14 FB B0 EB FF FF }
	condition:
		$1
}

rule file_331_55_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 1432
		refs = "000c ?validate@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 0024 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 0036 ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 004e ??0<lambda_f765c90ab33e8386abf09c0f079d37e9>@@QAA@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0058 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 00d4 ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z 00f8 ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z 016e ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAAXD@Z 01e0 ?parse_digit@__crt_strtox@@YAID@Z 02e2 ??R<lambda_f765c90ab33e8386abf09c0f079d37e9>@@QBA_NXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B0 B0 33 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 02 D1 07 23 04 93 B2 E2 33 98 ?? ?? ?? ?? 25 91 24 90 24 9B 0E 93 25 9B 0F 93 33 98 ?? ?? ?? ?? 8D F8 2B 00 9D F9 2B 30 8D F8 00 30 0E AB 6A 46 33 99 2C A8 ?? ?? ?? ?? 32 99 9D F9 00 00 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 00 2B 09 D0 33 98 ?? ?? ?? ?? 8D F8 16 00 9D F9 16 30 8D F8 00 30 EA E7 9D F9 00 30 2D 2B 02 D1 01 23 11 93 01 E0 00 23 11 93 34 9B 03 F5 42 72 11 9B DB B2 13 70 9D F9 00 30 2D 2B 03 D0 9D F9 00 30 2B 2B 08 D1 33 98 ?? ?? ?? ?? 8D F8 17 00 9D F9 17 30 8D F8 00 30 9D F9 00 30 49 2B 03 D0 9D F9 00 30 69 2B 09 D1 0E 9A 0F 9B 33 99 68 46 ?? ?? ?? ?? 1B 90 1B 9B 04 93 53 E2 9D F9 00 30 4E 2B 03 D0 9D F9 00 30 6E 2B 09 D1 0E 9A 0F 9B 33 99 68 46 ?? ?? ?? ?? 1C 90 1C 9B 04 93 41 E2 00 23 8D F8 01 30 9D F9 00 30 30 2B 2F D1 33 98 ?? ?? ?? ?? 27 91 26 90 26 9B 28 93 27 9B 29 93 33 98 ?? ?? ?? ?? 8D F8 18 00 9D F9 18 30 8D F8 03 30 9D F9 03 30 78 2B 03 D0 9D F9 03 30 58 2B 10 D1 01 23 8D F8 01 30 33 98 ?? ?? ?? ?? 8D F8 19 00 9D F9 19 30 8D F8 00 30 28 9B 0E 93 29 9B 0F 93 04 E0 9D F9 03 10 33 98 ?? ?? ?? ?? 34 9B 08 33 10 93 34 9B 03 F5 42 73 15 93 34 9B 08 33 02 93 00 23 0C 93 00 23 8D F8 02 30 9D F9 00 30 30 2B 0C D1 01 23 8D F8 02 30 33 98 ?? ?? ?? ?? 8D F8 1A 00 9D F9 1A 30 8D F8 00 30 EE E7 08 E0 33 98 ?? ?? ?? ?? 8D F8 1B 00 9D F9 1B 30 8D F8 00 30 9D F8 01 30 00 2B 02 D0 0F 23 12 93 01 E0 09 23 12 93 12 9B 1E 93 9D F9 00 00 ?? ?? ?? ?? 1D 90 1D 9B 13 93 13 9A 1E 9B 9A 42 00 D9 11 E0 01 23 8D F8 02 30 02 9A 15 9B 9A 42 06 D0 13 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 0C 9B 5B 1C 0C 93 CD E7 32 9B 1B 68 88 33 1B 68 1B 68 93 F9 00 30 8D F8 1C 30 9D F9 00 20 9D F9 1C 30 9A 42 50 D1 33 98 ?? ?? ?? ?? 8D F8 1D 00 9D F9 1D 30 8D F8 00 30 02 9A 10 9B 9A 42 13 D1 9D F9 00 30 30 2B 0F D1 01 23 8D F8 02 30 0C 9B 5B 1E 0C 93 33 98 ?? ?? ?? ?? 8D F8 1E 00 9D F9 1E 30 8D F8 00 30 EB E7 08 E0 33 98 ?? ?? ?? ?? 8D F8 1F 00 9D F9 1F 30 8D F8 00 30 9D F8 01 30 00 2B 02 D0 0F 23 14 93 01 E0 09 23 14 93 14 9B 20 93 9D F9 00 00 ?? ?? ?? ?? 1F 90 1F 9B 16 93 16 9A 20 9B 9A 42 00 D9 0E E0 01 23 8D F8 02 30 02 9A 15 9B 9A 42 06 D0 16 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 D0 E7 9D F8 02 30 00 2B 16 D1 2C A8 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 00 2B 02 D1 07 23 04 93 47 E1 9D F8 01 30 00 2B 03 D0 02 23 04 93 40 E1 02 E0 07 23 04 93 3C E1 9D F9 00 10 33 98 ?? ?? ?? ?? 33 98 ?? ?? ?? ?? 2B 91 2A 90 2A 9B 0E 93 2B 9B 0F 93 33 98 ?? ?? ?? ?? 8D F8 21 00 9D F9 21 30 8D F8 00 30 00 23 8D F8 04 30 9D F9 00 30 0B 93 0B 9B 65 2B 09 DC 0B 9B 65 2B 0A D0 0B 9B 45 2B 07 D0 0B 9B 50 2B 12 D0 15 E0 0B 9B 70 2B 0E D0 11 E0 9D F8 01 30 00 2B 02 D1 01 23 17 93 01 E0 00 23 17 93 17 9B DB B2 8D F8 04 30 03 E0 9D F8 01 30 8D F8 04 30 00 23 03 93 9D F8 04 30 00 2B 00 F0 99 80 33 98 ?? ?? ?? ?? 8D F8 22 00 9D F9 22 30 8D F8 00 30 9D F9 00 30 2D 2B 03 D1 01 23 8D F8 14 30 02 E0 00 23 8D F8 14 30 9D F8 14 30 8D F8 26 30 9D F9 00 30 2B 2B 03 D0 9D F9 00 30 2D 2B 08 D1 33 98 ?? ?? ?? ?? 8D F8 29 00 9D F9 29 30 8D F8 00 30 00 23 8D F8 05 30 9D F9 00 30 30 2B 0C D1 01 23 8D F8 05 30 33 98 ?? ?? ?? ?? 8D F8 23 00 9D F9 23 30 8D F8 00 30 EE E7 08 E0 33 98 ?? ?? ?? ?? 8D F8 24 00 9D F9 24 30 8D F8 00 30 9D F9 00 00 ?? ?? ?? ?? 21 90 21 9B 18 93 18 9B 0A 2B 00 D3 13 E0 01 23 8D F8 05 30 03 9A 0A 23 02 FB 03 F2 18 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 03 DD 41 F2 51 43 03 93 00 E0 D7 E7 9D F9 00 00 ?? ?? ?? ?? 22 90 22 9B 0A 2B 09 D2 33 98 ?? ?? ?? ?? 8D F8 25 00 9D F9 25 30 8D F8 00 30 ED E7 9D F8 26 30 00 2B 02 D0 03 9B 5B 42 03 93 9D F8 05 30 00 2B 15 D1 2C A8 ?? ?? ?? ?? 8D F8 27 00 9D F8 27 30 00 2B 09 D0 33 98 ?? ?? ?? ?? 8D F8 28 00 9D F9 28 30 8D F8 00 30 02 E0 07 23 04 93 5C E0 9D F9 00 10 33 98 ?? ?? ?? ?? 02 9A 10 9B 9A 42 08 D0 02 9B 5B 1E 1B 78 00 2B 03 D1 02 9B 5B 1E 02 93 F2 E7 02 9A 10 9B 9A 42 02 D1 02 23 04 93 43 E0 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 3B E0 03 9A 20 4B 9A 42 02 DA 08 23 04 93 34 E0 9D F8 01 30 00 2B 02 D0 04 23 19 93 01 E0 01 23 19 93 19 9B 23 93 0C 9A 23 9B 02 FB 03 F2 03 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 1A E0 03 9A 0F 4B 9A 42 02 DA 08 23 04 93 13 E0 34 9A 03 9B 13 60 02 9A 10 9B D2 1A 34 9B 1B 1D 1A 60 9D F8 01 30 00 2B 02 D0 01 23 1A 93 01 E0 00 23 1A 93 1A 9B 04 93 04 98 30 B0 5D F8 04 BB 5D F8 14 FB B0 EB FF FF }
	condition:
		$1
}

rule file_331_54_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 1432
		refs = "000c ?validate@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 0024 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 0036 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 004e ??0<lambda_cbb29514201643ebc3996c8b1c7ae90c>@@QAA@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0058 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 00d4 ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 00f8 ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 016e ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAAX_W@Z 01e0 ?parse_digit@__crt_strtox@@YAI_W@Z 02e2 ??R<lambda_cbb29514201643ebc3996c8b1c7ae90c>@@QBA_NXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B6 B0 39 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 00 2B 02 D1 07 23 04 93 B2 E2 39 98 ?? ?? ?? ?? 2B 91 2A 90 2A 9B 0A 93 2B 9B 0B 93 39 98 ?? ?? ?? ?? AD F8 4A 00 BD F8 4A 30 AD F8 00 30 0A AB 6A 46 39 99 32 A8 ?? ?? ?? ?? 38 99 BD F8 00 00 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 09 D0 39 98 ?? ?? ?? ?? AD F8 4C 00 BD F8 4C 30 AD F8 00 30 EA E7 BD F8 00 30 2D 2B 02 D1 01 23 1F 93 01 E0 00 23 1F 93 3A 9B 03 F5 42 72 1F 9B DB B2 13 70 BD F8 00 30 2D 2B 03 D0 BD F8 00 30 2B 2B 08 D1 39 98 ?? ?? ?? ?? AD F8 4E 00 BD F8 4E 30 AD F8 00 30 BD F8 00 30 49 2B 03 D0 BD F8 00 30 69 2B 09 D1 0A 9A 0B 9B 39 99 68 46 ?? ?? ?? ?? 20 90 20 9B 04 93 53 E2 BD F8 00 30 4E 2B 03 D0 BD F8 00 30 6E 2B 09 D1 0A 9A 0B 9B 39 99 68 46 ?? ?? ?? ?? 21 90 21 9B 04 93 41 E2 00 23 8D F8 02 30 BD F8 00 30 30 2B 2F D1 39 98 ?? ?? ?? ?? 2D 91 2C 90 2C 9B 2E 93 2D 9B 2F 93 39 98 ?? ?? ?? ?? AD F8 50 00 BD F8 50 30 AD F8 1C 30 BD F8 1C 30 78 2B 03 D0 BD F8 1C 30 58 2B 10 D1 01 23 8D F8 02 30 39 98 ?? ?? ?? ?? AD F8 52 00 BD F8 52 30 AD F8 00 30 2E 9B 0A 93 2F 9B 0B 93 04 E0 BD F8 1C 10 39 98 ?? ?? ?? ?? 3A 9B 08 33 0C 93 3A 9B 03 F5 42 73 19 93 3A 9B 08 33 02 93 00 23 09 93 00 23 8D F8 03 30 BD F8 00 30 30 2B 0C D1 01 23 8D F8 03 30 39 98 ?? ?? ?? ?? AD F8 54 00 BD F8 54 30 AD F8 00 30 EE E7 08 E0 39 98 ?? ?? ?? ?? AD F8 34 00 BD F8 34 30 AD F8 00 30 9D F8 02 30 00 2B 02 D0 0F 23 16 93 01 E0 09 23 16 93 16 9B 23 93 BD F8 00 00 ?? ?? ?? ?? 22 90 22 9B 17 93 17 9A 23 9B 9A 42 00 D9 11 E0 01 23 8D F8 03 30 02 9A 19 9B 9A 42 06 D0 17 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 09 9B 5B 1C 09 93 CD E7 38 9B 1B 68 88 33 1B 68 1B 68 93 F9 00 30 8D F8 17 30 BD F8 00 20 9D F9 17 30 9A 42 50 D1 39 98 ?? ?? ?? ?? AD F8 36 00 BD F8 36 30 AD F8 00 30 02 9A 0C 9B 9A 42 13 D1 BD F8 00 30 30 2B 0F D1 01 23 8D F8 03 30 09 9B 5B 1E 09 93 39 98 ?? ?? ?? ?? AD F8 38 00 BD F8 38 30 AD F8 00 30 EB E7 08 E0 39 98 ?? ?? ?? ?? AD F8 3A 00 BD F8 3A 30 AD F8 00 30 9D F8 02 30 00 2B 02 D0 0F 23 18 93 01 E0 09 23 18 93 18 9B 25 93 BD F8 00 00 ?? ?? ?? ?? 24 90 24 9B 1A 93 1A 9A 25 9B 9A 42 00 D9 0E E0 01 23 8D F8 03 30 02 9A 19 9B 9A 42 06 D0 1A 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 D0 E7 9D F8 03 30 00 2B 16 D1 32 A8 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 02 D1 07 23 04 93 47 E1 9D F8 02 30 00 2B 03 D0 02 23 04 93 40 E1 02 E0 07 23 04 93 3C E1 BD F8 00 10 39 98 ?? ?? ?? ?? 39 98 ?? ?? ?? ?? 31 91 30 90 30 9B 0A 93 31 9B 0B 93 39 98 ?? ?? ?? ?? AD F8 48 00 BD F8 48 30 AD F8 00 30 00 23 8D F8 04 30 BD F8 00 30 08 93 08 9B 65 2B 09 DC 08 9B 65 2B 0A D0 08 9B 45 2B 07 D0 08 9B 50 2B 12 D0 15 E0 08 9B 70 2B 0E D0 11 E0 9D F8 02 30 00 2B 02 D1 01 23 1B 93 01 E0 00 23 1B 93 1B 9B DB B2 8D F8 04 30 03 E0 9D F8 02 30 8D F8 04 30 00 23 03 93 9D F8 04 30 00 2B 00 F0 99 80 39 98 ?? ?? ?? ?? AD F8 3C 00 BD F8 3C 30 AD F8 00 30 BD F8 00 30 2D 2B 03 D1 01 23 8D F8 14 30 02 E0 00 23 8D F8 14 30 9D F8 14 30 8D F8 19 30 BD F8 00 30 2B 2B 03 D0 BD F8 00 30 2D 2B 08 D1 39 98 ?? ?? ?? ?? AD F8 3E 00 BD F8 3E 30 AD F8 00 30 00 23 8D F8 05 30 BD F8 00 30 30 2B 0C D1 01 23 8D F8 05 30 39 98 ?? ?? ?? ?? AD F8 40 00 BD F8 40 30 AD F8 00 30 EE E7 08 E0 39 98 ?? ?? ?? ?? AD F8 42 00 BD F8 42 30 AD F8 00 30 BD F8 00 00 ?? ?? ?? ?? 26 90 26 9B 1C 93 1C 9B 0A 2B 00 D3 13 E0 01 23 8D F8 05 30 03 9A 0A 23 02 FB 03 F2 1C 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 03 DD 41 F2 51 43 03 93 00 E0 D7 E7 BD F8 00 00 ?? ?? ?? ?? 27 90 27 9B 0A 2B 09 D2 39 98 ?? ?? ?? ?? AD F8 44 00 BD F8 44 30 AD F8 00 30 ED E7 9D F8 19 30 00 2B 02 D0 03 9B 5B 42 03 93 9D F8 05 30 00 2B 15 D1 32 A8 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 09 D0 39 98 ?? ?? ?? ?? AD F8 46 00 BD F8 46 30 AD F8 00 30 02 E0 07 23 04 93 5C E0 BD F8 00 10 39 98 ?? ?? ?? ?? 02 9A 0C 9B 9A 42 08 D0 02 9B 5B 1E 1B 78 00 2B 03 D1 02 9B 5B 1E 02 93 F2 E7 02 9A 0C 9B 9A 42 02 D1 02 23 04 93 43 E0 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 3B E0 03 9A 20 4B 9A 42 02 DA 08 23 04 93 34 E0 9D F8 02 30 00 2B 02 D0 04 23 1D 93 01 E0 01 23 1D 93 1D 9B 28 93 09 9A 28 9B 02 FB 03 F2 03 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 1A E0 03 9A 0F 4B 9A 42 02 DA 08 23 04 93 13 E0 3A 9A 03 9B 13 60 02 9A 0C 9B D2 1A 3A 9B 1B 1D 1A 60 9D F8 02 30 00 2B 02 D0 01 23 1E 93 01 E0 00 23 1E 93 1E 9B 04 93 04 98 36 B0 5D F8 04 BB 5D F8 14 FB B0 EB FF FF }
	condition:
		$1
}

rule file_331_56_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 1432
		refs = "000c ?validate@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 0024 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 0036 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 004e ??0<lambda_fd76cae15b6f790020ebaa7b78a868c2>@@QAA@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0058 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 00d4 ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 00f8 ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 016e ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAAX_W@Z 01e0 ?parse_digit@__crt_strtox@@YAI_W@Z 02e2 ??R<lambda_fd76cae15b6f790020ebaa7b78a868c2>@@QBA_NXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B6 B0 39 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 00 2B 02 D1 07 23 04 93 B2 E2 39 98 ?? ?? ?? ?? 2B 91 2A 90 2A 9B 0A 93 2B 9B 0B 93 39 98 ?? ?? ?? ?? AD F8 4A 00 BD F8 4A 30 AD F8 00 30 0A AB 6A 46 39 99 32 A8 ?? ?? ?? ?? 38 99 BD F8 00 00 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 09 D0 39 98 ?? ?? ?? ?? AD F8 4C 00 BD F8 4C 30 AD F8 00 30 EA E7 BD F8 00 30 2D 2B 02 D1 01 23 1F 93 01 E0 00 23 1F 93 3A 9B 03 F5 42 72 1F 9B DB B2 13 70 BD F8 00 30 2D 2B 03 D0 BD F8 00 30 2B 2B 08 D1 39 98 ?? ?? ?? ?? AD F8 4E 00 BD F8 4E 30 AD F8 00 30 BD F8 00 30 49 2B 03 D0 BD F8 00 30 69 2B 09 D1 0A 9A 0B 9B 39 99 68 46 ?? ?? ?? ?? 20 90 20 9B 04 93 53 E2 BD F8 00 30 4E 2B 03 D0 BD F8 00 30 6E 2B 09 D1 0A 9A 0B 9B 39 99 68 46 ?? ?? ?? ?? 21 90 21 9B 04 93 41 E2 00 23 8D F8 02 30 BD F8 00 30 30 2B 2F D1 39 98 ?? ?? ?? ?? 2D 91 2C 90 2C 9B 2E 93 2D 9B 2F 93 39 98 ?? ?? ?? ?? AD F8 50 00 BD F8 50 30 AD F8 1C 30 BD F8 1C 30 78 2B 03 D0 BD F8 1C 30 58 2B 10 D1 01 23 8D F8 02 30 39 98 ?? ?? ?? ?? AD F8 52 00 BD F8 52 30 AD F8 00 30 2E 9B 0A 93 2F 9B 0B 93 04 E0 BD F8 1C 10 39 98 ?? ?? ?? ?? 3A 9B 08 33 0C 93 3A 9B 03 F5 42 73 19 93 3A 9B 08 33 02 93 00 23 09 93 00 23 8D F8 03 30 BD F8 00 30 30 2B 0C D1 01 23 8D F8 03 30 39 98 ?? ?? ?? ?? AD F8 54 00 BD F8 54 30 AD F8 00 30 EE E7 08 E0 39 98 ?? ?? ?? ?? AD F8 34 00 BD F8 34 30 AD F8 00 30 9D F8 02 30 00 2B 02 D0 0F 23 16 93 01 E0 09 23 16 93 16 9B 23 93 BD F8 00 00 ?? ?? ?? ?? 22 90 22 9B 17 93 17 9A 23 9B 9A 42 00 D9 11 E0 01 23 8D F8 03 30 02 9A 19 9B 9A 42 06 D0 17 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 09 9B 5B 1C 09 93 CD E7 38 9B 1B 68 88 33 1B 68 1B 68 93 F9 00 30 8D F8 17 30 BD F8 00 20 9D F9 17 30 9A 42 50 D1 39 98 ?? ?? ?? ?? AD F8 36 00 BD F8 36 30 AD F8 00 30 02 9A 0C 9B 9A 42 13 D1 BD F8 00 30 30 2B 0F D1 01 23 8D F8 03 30 09 9B 5B 1E 09 93 39 98 ?? ?? ?? ?? AD F8 38 00 BD F8 38 30 AD F8 00 30 EB E7 08 E0 39 98 ?? ?? ?? ?? AD F8 3A 00 BD F8 3A 30 AD F8 00 30 9D F8 02 30 00 2B 02 D0 0F 23 18 93 01 E0 09 23 18 93 18 9B 25 93 BD F8 00 00 ?? ?? ?? ?? 24 90 24 9B 1A 93 1A 9A 25 9B 9A 42 00 D9 0E E0 01 23 8D F8 03 30 02 9A 19 9B 9A 42 06 D0 1A 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 D0 E7 9D F8 03 30 00 2B 16 D1 32 A8 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 02 D1 07 23 04 93 47 E1 9D F8 02 30 00 2B 03 D0 02 23 04 93 40 E1 02 E0 07 23 04 93 3C E1 BD F8 00 10 39 98 ?? ?? ?? ?? 39 98 ?? ?? ?? ?? 31 91 30 90 30 9B 0A 93 31 9B 0B 93 39 98 ?? ?? ?? ?? AD F8 48 00 BD F8 48 30 AD F8 00 30 00 23 8D F8 04 30 BD F8 00 30 08 93 08 9B 65 2B 09 DC 08 9B 65 2B 0A D0 08 9B 45 2B 07 D0 08 9B 50 2B 12 D0 15 E0 08 9B 70 2B 0E D0 11 E0 9D F8 02 30 00 2B 02 D1 01 23 1B 93 01 E0 00 23 1B 93 1B 9B DB B2 8D F8 04 30 03 E0 9D F8 02 30 8D F8 04 30 00 23 03 93 9D F8 04 30 00 2B 00 F0 99 80 39 98 ?? ?? ?? ?? AD F8 3C 00 BD F8 3C 30 AD F8 00 30 BD F8 00 30 2D 2B 03 D1 01 23 8D F8 14 30 02 E0 00 23 8D F8 14 30 9D F8 14 30 8D F8 19 30 BD F8 00 30 2B 2B 03 D0 BD F8 00 30 2D 2B 08 D1 39 98 ?? ?? ?? ?? AD F8 3E 00 BD F8 3E 30 AD F8 00 30 00 23 8D F8 05 30 BD F8 00 30 30 2B 0C D1 01 23 8D F8 05 30 39 98 ?? ?? ?? ?? AD F8 40 00 BD F8 40 30 AD F8 00 30 EE E7 08 E0 39 98 ?? ?? ?? ?? AD F8 42 00 BD F8 42 30 AD F8 00 30 BD F8 00 00 ?? ?? ?? ?? 26 90 26 9B 1C 93 1C 9B 0A 2B 00 D3 13 E0 01 23 8D F8 05 30 03 9A 0A 23 02 FB 03 F2 1C 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 03 DD 41 F2 51 43 03 93 00 E0 D7 E7 BD F8 00 00 ?? ?? ?? ?? 27 90 27 9B 0A 2B 09 D2 39 98 ?? ?? ?? ?? AD F8 44 00 BD F8 44 30 AD F8 00 30 ED E7 9D F8 19 30 00 2B 02 D0 03 9B 5B 42 03 93 9D F8 05 30 00 2B 15 D1 32 A8 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 09 D0 39 98 ?? ?? ?? ?? AD F8 46 00 BD F8 46 30 AD F8 00 30 02 E0 07 23 04 93 5C E0 BD F8 00 10 39 98 ?? ?? ?? ?? 02 9A 0C 9B 9A 42 08 D0 02 9B 5B 1E 1B 78 00 2B 03 D1 02 9B 5B 1E 02 93 F2 E7 02 9A 0C 9B 9A 42 02 D1 02 23 04 93 43 E0 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 3B E0 03 9A 20 4B 9A 42 02 DA 08 23 04 93 34 E0 9D F8 02 30 00 2B 02 D0 04 23 1D 93 01 E0 01 23 1D 93 1D 9B 28 93 09 9A 28 9B 02 FB 03 F2 03 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 1A E0 03 9A 0F 4B 9A 42 02 DA 08 23 04 93 13 E0 3A 9A 03 9B 13 60 02 9A 0C 9B D2 1A 3A 9B 1B 1D 1A 60 9D F8 02 30 00 2B 02 D0 01 23 1E 93 01 E0 00 23 1E 93 1E 9B 04 93 04 98 36 B0 5D F8 04 BB 5D F8 14 FB B0 EB FF FF }
	condition:
		$1
}

rule file_331_57_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 216
		refs = "0012 ??0<lambda_0b87716a0b73cdfba1cd37fcaaa20711>@@QAA@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0022 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 0034 ??R<lambda_0b87716a0b73cdfba1cd37fcaaa20711>@@QBA_NXZ 0046 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAAXD@Z 004c ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 005e ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 00c8 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 00cc ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 00d0 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 00d4 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 10 AB 0E 9A 0F 99 08 A8 ?? ?? ?? ?? 0F 9B 00 93 0E 9B 03 22 2D 49 2B 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 08 A8 ?? ?? ?? ?? 07 23 03 93 3E E0 0E 9B 93 F9 00 10 0F 98 ?? ?? ?? ?? 0F 98 ?? ?? ?? ?? 07 91 06 90 06 9B 10 93 07 9B 11 93 0F 98 ?? ?? ?? ?? 8D F8 09 00 9D F9 09 20 0E 9B 1A 70 0F 9B 00 93 0E 9B 05 22 15 49 13 48 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 10 D1 08 A8 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 02 D0 03 23 04 93 01 E0 07 23 04 93 04 9B 03 93 07 E0 0E 9B 93 F9 00 10 0F 98 ?? ?? ?? ?? 03 23 03 93 03 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_58_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 216
		refs = "0012 ??0<lambda_644f8ab42ed3fd1d660977a2364b3a7d>@@QAA@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0022 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 0034 ??R<lambda_644f8ab42ed3fd1d660977a2364b3a7d>@@QBA_NXZ 0046 ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAAXD@Z 004c ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 005e ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 00c8 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 00cc ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 00d0 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 00d4 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 10 AB 0E 9A 0F 99 08 A8 ?? ?? ?? ?? 0F 9B 00 93 0E 9B 03 22 2D 49 2B 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 08 A8 ?? ?? ?? ?? 07 23 03 93 3E E0 0E 9B 93 F9 00 10 0F 98 ?? ?? ?? ?? 0F 98 ?? ?? ?? ?? 07 91 06 90 06 9B 10 93 07 9B 11 93 0F 98 ?? ?? ?? ?? 8D F8 09 00 9D F9 09 20 0E 9B 1A 70 0F 9B 00 93 0E 9B 05 22 15 49 13 48 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 10 D1 08 A8 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 02 D0 03 23 04 93 01 E0 07 23 04 93 04 9B 03 93 07 E0 0E 9B 93 F9 00 10 0F 98 ?? ?? ?? ?? 03 23 03 93 03 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_59_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 212
		refs = "0012 ??0<lambda_5f3f4d49f9676d963a9a63518de6904a>@@QAA@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0022 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 0034 ??R<lambda_5f3f4d49f9676d963a9a63518de6904a>@@QBA_NXZ 0044 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAAX_W@Z 004a ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 005c ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 00c4 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 00c8 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 00cc ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 00d0 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 10 AB 0E 9A 0F 99 08 A8 ?? ?? ?? ?? 0F 9B 00 93 0E 9B 03 22 2C 49 2A 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 08 A8 ?? ?? ?? ?? 07 23 04 93 3C E0 0E 9B 19 88 0F 98 ?? ?? ?? ?? 0F 98 ?? ?? ?? ?? 07 91 06 90 06 9B 10 93 07 9B 11 93 0F 98 ?? ?? ?? ?? AD F8 0C 00 BD F8 0C 20 0E 9B 1A 80 0F 9B 00 93 0E 9B 05 22 14 49 13 48 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 10 D1 08 A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 02 D0 03 23 05 93 01 E0 07 23 05 93 05 9B 04 93 06 E0 0E 9B 19 88 0F 98 ?? ?? ?? ?? 03 23 04 93 04 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_60_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 212
		refs = "0012 ??0<lambda_e5165159ec566db3a71156c9b71536ca>@@QAA@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0022 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 0034 ??R<lambda_e5165159ec566db3a71156c9b71536ca>@@QBA_NXZ 0044 ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAAX_W@Z 004a ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 005c ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 00c4 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 00c8 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 00cc ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 00d0 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 10 AB 0E 9A 0F 99 08 A8 ?? ?? ?? ?? 0F 9B 00 93 0E 9B 03 22 2C 49 2A 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 08 A8 ?? ?? ?? ?? 07 23 04 93 3C E0 0E 9B 19 88 0F 98 ?? ?? ?? ?? 0F 98 ?? ?? ?? ?? 07 91 06 90 06 9B 10 93 07 9B 11 93 0F 98 ?? ?? ?? ?? AD F8 0C 00 BD F8 0C 20 0E 9B 1A 80 0F 9B 00 93 0E 9B 05 22 14 49 13 48 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 10 D1 08 A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 02 D0 03 23 05 93 01 E0 07 23 05 93 05 9B 04 93 06 E0 0E 9B 19 88 0F 98 ?? ?? ?? ?? 03 23 04 93 04 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_61_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 412
		refs = "0012 ??0<lambda_e41f1170c8800e4a6fed1afad60fab6f>@@QAA@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0022 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 0034 ??R<lambda_e41f1170c8800e4a6fed1afad60fab6f>@@QBA_NXZ 0046 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAAXD@Z 004c ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 005e ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 00b0 ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 00d6 ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 0112 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z 0194 ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0198 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 14 AB 12 9A 13 99 0C A8 ?? ?? ?? ?? 13 9B 00 93 12 9B 03 22 5E 49 5C 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 0C A8 ?? ?? ?? ?? 07 23 05 93 A4 E0 12 9B 93 F9 00 10 13 98 ?? ?? ?? ?? 13 98 ?? ?? ?? ?? 0B 91 0A 90 0A 9B 14 93 0B 9B 15 93 13 98 ?? ?? ?? ?? 8D F8 09 00 9D F9 09 20 12 9B 1A 70 12 9B 93 F9 00 30 28 2B 10 D0 0C A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 02 D0 04 23 06 93 01 E0 07 23 06 93 06 9B 05 93 76 E0 13 98 ?? ?? ?? ?? 8D F8 0B 00 9D F9 0B 20 12 9B 1A 70 13 99 12 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 08 D0 12 9B 93 F9 00 10 13 98 ?? ?? ?? ?? 05 23 05 93 5A E0 13 99 12 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 08 D0 12 9B 93 F9 00 10 13 98 ?? ?? ?? ?? 06 23 05 93 47 E0 12 9B 93 F9 00 30 29 2B 2A D0 12 9B 93 F9 00 30 00 2B 25 D0 12 9B 93 F9 00 00 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 10 D1 0C A8 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 02 D0 04 23 07 93 01 E0 07 23 07 93 07 9B 05 93 21 E0 13 98 ?? ?? ?? ?? 8D F8 10 00 9D F9 10 20 12 9B 1A 70 CF E7 12 9B 93 F9 00 30 29 2B 10 D0 0C A8 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 02 D0 04 23 08 93 01 E0 07 23 08 93 08 9B 05 93 01 E0 04 23 05 93 05 98 10 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_62_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 412
		refs = "0012 ??0<lambda_f1fa4c266c18b246f3ed9c36247dab4f>@@QAA@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0022 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 0034 ??R<lambda_f1fa4c266c18b246f3ed9c36247dab4f>@@QBA_NXZ 0046 ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAAXD@Z 004c ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 005e ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 00b0 ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 00d6 ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 0112 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z 0194 ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0198 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 14 AB 12 9A 13 99 0C A8 ?? ?? ?? ?? 13 9B 00 93 12 9B 03 22 5E 49 5C 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 0C A8 ?? ?? ?? ?? 07 23 05 93 A4 E0 12 9B 93 F9 00 10 13 98 ?? ?? ?? ?? 13 98 ?? ?? ?? ?? 0B 91 0A 90 0A 9B 14 93 0B 9B 15 93 13 98 ?? ?? ?? ?? 8D F8 09 00 9D F9 09 20 12 9B 1A 70 12 9B 93 F9 00 30 28 2B 10 D0 0C A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 02 D0 04 23 06 93 01 E0 07 23 06 93 06 9B 05 93 76 E0 13 98 ?? ?? ?? ?? 8D F8 0B 00 9D F9 0B 20 12 9B 1A 70 13 99 12 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 08 D0 12 9B 93 F9 00 10 13 98 ?? ?? ?? ?? 05 23 05 93 5A E0 13 99 12 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 08 D0 12 9B 93 F9 00 10 13 98 ?? ?? ?? ?? 06 23 05 93 47 E0 12 9B 93 F9 00 30 29 2B 2A D0 12 9B 93 F9 00 30 00 2B 25 D0 12 9B 93 F9 00 00 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 10 D1 0C A8 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 02 D0 04 23 07 93 01 E0 07 23 07 93 07 9B 05 93 21 E0 13 98 ?? ?? ?? ?? 8D F8 10 00 9D F9 10 20 12 9B 1A 70 CF E7 12 9B 93 F9 00 30 29 2B 10 D0 0C A8 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 02 D0 04 23 08 93 01 E0 07 23 08 93 08 9B 05 93 01 E0 04 23 05 93 05 98 10 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_63_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 396
		refs = "0012 ??0<lambda_46698efe93618fff5274d84d009d2be1>@@QAA@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0022 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 0034 ??R<lambda_46698efe93618fff5274d84d009d2be1>@@QBA_NXZ 0044 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAAX_W@Z 004a ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 005c ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 00ac ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 00d0 ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 0104 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z 0184 ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0188 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 14 AB 12 9A 13 99 0C A8 ?? ?? ?? ?? 13 9B 00 93 12 9B 03 22 5A 49 58 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 0C A8 ?? ?? ?? ?? 07 23 04 93 9C E0 12 9B 19 88 13 98 ?? ?? ?? ?? 13 98 ?? ?? ?? ?? 0B 91 0A 90 0A 9B 14 93 0B 9B 15 93 13 98 ?? ?? ?? ?? AD F8 14 00 BD F8 14 20 12 9B 1A 80 12 9B 1B 88 28 2B 10 D0 0C A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 04 23 07 93 01 E0 07 23 07 93 07 9B 04 93 70 E0 13 98 ?? ?? ?? ?? AD F8 16 00 BD F8 16 20 12 9B 1A 80 13 99 12 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 07 D0 12 9B 19 88 13 98 ?? ?? ?? ?? 05 23 04 93 55 E0 13 99 12 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 07 D0 12 9B 19 88 13 98 ?? ?? ?? ?? 06 23 04 93 43 E0 12 9B 1B 88 29 2B 28 D0 12 9B 1B 88 00 2B 24 D0 12 9B 18 88 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 10 D1 0C A8 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 02 D0 04 23 08 93 01 E0 07 23 08 93 08 9B 04 93 20 E0 13 98 ?? ?? ?? ?? AD F8 18 00 BD F8 18 20 12 9B 1A 80 D2 E7 12 9B 1B 88 29 2B 10 D0 0C A8 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 02 D0 04 23 09 93 01 E0 07 23 09 93 09 9B 04 93 01 E0 04 23 04 93 04 98 10 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_64_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 396
		refs = "0012 ??0<lambda_448605b25275ab87d3c5d4aa7a38a0aa>@@QAA@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0022 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 0034 ??R<lambda_448605b25275ab87d3c5d4aa7a38a0aa>@@QBA_NXZ 0044 ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAAX_W@Z 004a ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 005c ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 00ac ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 00d0 ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 0104 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z 0184 ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0188 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 14 AB 12 9A 13 99 0C A8 ?? ?? ?? ?? 13 9B 00 93 12 9B 03 22 5A 49 58 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 0C A8 ?? ?? ?? ?? 07 23 04 93 9C E0 12 9B 19 88 13 98 ?? ?? ?? ?? 13 98 ?? ?? ?? ?? 0B 91 0A 90 0A 9B 14 93 0B 9B 15 93 13 98 ?? ?? ?? ?? AD F8 14 00 BD F8 14 20 12 9B 1A 80 12 9B 1B 88 28 2B 10 D0 0C A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 04 23 07 93 01 E0 07 23 07 93 07 9B 04 93 70 E0 13 98 ?? ?? ?? ?? AD F8 16 00 BD F8 16 20 12 9B 1A 80 13 99 12 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 07 D0 12 9B 19 88 13 98 ?? ?? ?? ?? 05 23 04 93 55 E0 13 99 12 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 07 D0 12 9B 19 88 13 98 ?? ?? ?? ?? 06 23 04 93 43 E0 12 9B 1B 88 29 2B 28 D0 12 9B 1B 88 00 2B 24 D0 12 9B 18 88 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 10 D1 0C A8 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 02 D0 04 23 08 93 01 E0 07 23 08 93 08 9B 04 93 20 E0 13 98 ?? ?? ?? ?? AD F8 18 00 BD F8 18 20 12 9B 1A 80 D2 E7 12 9B 1B 88 29 2B 10 D0 0C A8 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 02 D0 04 23 09 93 01 E0 07 23 09 93 09 9B 04 93 01 E0 04 23 04 93 04 98 10 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_75_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 1104
		refs = "000c ?validate@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 0026 ??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 006a _CrtDbgReportW 007e _errno 0096 _invalid_parameter 00b6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00c4 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 00d6 ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 00e8 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00f4 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 0170 ?parse_digit@__crt_strtox@@YAID@Z 01d8 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAAXD@Z 01f4 __rt_udiv64 0346 ?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA_N_K@Z 0354 ??1_LocaleUpdate@@QAA@XZ 036e ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 03ac ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03d8 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z 0440 ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 0444 ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 0448 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 044c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 C8 B0 4B 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 0B D1 00 23 20 93 00 23 21 93 4B 98 ?? ?? ?? ?? 20 9A 21 9B 0A 92 0B 93 FE E1 4C 9B 00 2B 08 D0 4C 9B 02 2B 02 DB 4C 9B 24 2B 02 DD 00 23 0D 93 01 E0 01 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0E D1 F9 4B 01 93 FB 4B 00 93 00 23 C8 22 F8 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 19 D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 00 23 00 93 C8 23 ED 4A EC 49 EA 48 ?? ?? ?? ?? 00 23 22 93 00 23 23 93 4B 98 ?? ?? ?? ?? 22 9A 23 9B 0A 92 0B 93 BF E1 4A 99 40 A8 ?? ?? ?? ?? 00 23 04 93 00 23 05 93 4B 98 ?? ?? ?? ?? 25 91 24 90 24 9B 32 93 25 9B 33 93 4B 98 ?? ?? ?? ?? 8D F8 19 00 9D F9 19 30 8D F8 08 30 40 A8 ?? ?? ?? ?? 1F 90 1F 99 9D F9 08 00 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 09 D0 4B 98 ?? ?? ?? ?? 8D F8 1B 00 9D F9 1B 30 8D F8 08 30 E6 E7 9D F8 34 31 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 03 93 9D F9 08 30 2D 2B 03 D1 03 9B 43 F0 02 03 03 93 9D F9 08 30 2D 2B 03 D0 9D F9 08 30 2B 2B 08 D1 4B 98 ?? ?? ?? ?? 8D F8 1C 00 9D F9 1C 30 8D F8 08 30 4C 9B 00 2B 02 D0 4C 9B 10 2B 37 D1 9D F9 08 00 ?? ?? ?? ?? 14 90 14 9B 00 2B 05 D0 4C 9B 00 2B 01 D1 0A 23 4C 93 29 E0 4B 98 ?? ?? ?? ?? 8D F8 1D 00 9D F9 1D 30 8D F8 09 30 9D F9 09 30 78 2B 03 D0 9D F9 09 30 58 2B 0E D1 4C 9B 00 2B 01 D1 10 23 4C 93 4B 98 ?? ?? ?? ?? 8D F8 1E 00 9D F9 1E 30 8D F8 08 30 09 E0 4C 9B 00 2B 01 D1 08 23 4C 93 9D F9 09 10 4B 98 ?? ?? ?? ?? 4C 98 4C 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 45 93 44 92 12 90 13 91 4C 98 4C 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 47 91 46 90 2E 92 2F 93 9D F9 08 00 ?? ?? ?? ?? 15 90 15 9B 0C 93 0C 9B B3 F1 FF 3F 03 D0 0C 9A 4C 9B 9A 42 00 D3 74 E0 03 9B 43 F0 08 03 03 93 04 9B 26 93 05 9B 27 93 12 9B 28 93 13 9B 29 93 26 9B 16 93 28 9B 17 93 27 9A 29 9B 9A 42 2D D3 03 D8 16 9A 17 9B 9A 42 28 D3 04 9B 2A 93 05 9B 2B 93 12 9B 2C 93 13 9B 2D 93 2B 9B 1E 93 2D 9B 19 93 2A 9A 2C 9B 9A 42 14 D1 1E 9A 19 9B 9A 42 10 D1 0C 9A 2E 9B 30 93 2F 9B 31 93 1A 92 30 9B 1B 93 31 9A 00 23 93 42 08 D3 03 D8 1A 9A 1B 9B 9A 42 03 D9 00 23 8D F8 0A 30 02 E0 01 23 8D F8 0A 30 9D F8 0A 30 8D F8 1F 30 9D F8 1F 30 00 2B 19 D0 4C 98 4C 9B DA 17 04 9B 05 99 10 93 11 90 10 9B 03 FB 02 F2 11 9B 01 FB 03 F3 D1 18 10 9A 11 9B A2 FB 03 03 19 44 0C 9A 00 23 12 18 4B 41 04 92 05 93 03 E0 03 9B 43 F0 04 03 03 93 4B 98 ?? ?? ?? ?? 8D F8 20 00 9D F9 20 30 8D F8 08 30 7A E7 9D F9 08 10 4B 98 ?? ?? ?? ?? 03 9B 13 F0 08 0F 13 D1 32 9A 33 9B 4B 98 ?? ?? ?? ?? 00 23 34 93 00 23 35 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 34 9A 35 9B 0A 92 0B 93 64 E0 04 9A 05 9B 03 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 40 D0 ?? ?? ?? ?? 1C 90 1C 9A 22 23 13 60 03 9B 13 F0 01 0F 06 D1 6F F0 00 03 04 93 6F F0 00 03 05 93 2E E0 03 9B 13 F0 02 0F 15 D0 00 20 00 21 ?? ?? ?? ?? 37 91 36 90 36 9B 38 93 37 9B 39 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 38 9A 39 9B 0A 92 0B 93 2F E0 14 E0 00 20 00 21 ?? ?? ?? ?? 3B 91 3A 90 3A 9B 3C 93 3B 9B 3D 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 3C 9A 3D 9B 0A 92 0B 93 19 E0 0A E0 03 9B 13 F0 02 0F 06 D0 04 9A 05 99 00 23 52 42 8B 41 04 92 05 93 04 9B 3E 93 05 9B 3F 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 3E 9A 3F 9B 0A 92 0B 93 0A 98 0B 99 48 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_77_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 1104
		refs = "000c ?validate@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 0026 ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 006a _CrtDbgReportW 007e _errno 0096 _invalid_parameter 00b6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00c4 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 00d6 ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 00e8 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00f4 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 0170 ?parse_digit@__crt_strtox@@YAID@Z 01d8 ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAAXD@Z 01f4 __rt_udiv64 0346 ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA_N_K@Z 0354 ??1_LocaleUpdate@@QAA@XZ 036e ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 03ac ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03d8 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z 0440 ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 0444 ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 0448 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 044c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 C8 B0 4B 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 0B D1 00 23 20 93 00 23 21 93 4B 98 ?? ?? ?? ?? 20 9A 21 9B 0A 92 0B 93 FE E1 4C 9B 00 2B 08 D0 4C 9B 02 2B 02 DB 4C 9B 24 2B 02 DD 00 23 0D 93 01 E0 01 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0E D1 F9 4B 01 93 FB 4B 00 93 00 23 C8 22 F8 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 19 D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 00 23 00 93 C8 23 ED 4A EC 49 EA 48 ?? ?? ?? ?? 00 23 22 93 00 23 23 93 4B 98 ?? ?? ?? ?? 22 9A 23 9B 0A 92 0B 93 BF E1 4A 99 40 A8 ?? ?? ?? ?? 00 23 04 93 00 23 05 93 4B 98 ?? ?? ?? ?? 25 91 24 90 24 9B 32 93 25 9B 33 93 4B 98 ?? ?? ?? ?? 8D F8 19 00 9D F9 19 30 8D F8 08 30 40 A8 ?? ?? ?? ?? 1F 90 1F 99 9D F9 08 00 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 09 D0 4B 98 ?? ?? ?? ?? 8D F8 1B 00 9D F9 1B 30 8D F8 08 30 E6 E7 9D F8 34 31 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 03 93 9D F9 08 30 2D 2B 03 D1 03 9B 43 F0 02 03 03 93 9D F9 08 30 2D 2B 03 D0 9D F9 08 30 2B 2B 08 D1 4B 98 ?? ?? ?? ?? 8D F8 1C 00 9D F9 1C 30 8D F8 08 30 4C 9B 00 2B 02 D0 4C 9B 10 2B 37 D1 9D F9 08 00 ?? ?? ?? ?? 14 90 14 9B 00 2B 05 D0 4C 9B 00 2B 01 D1 0A 23 4C 93 29 E0 4B 98 ?? ?? ?? ?? 8D F8 1D 00 9D F9 1D 30 8D F8 09 30 9D F9 09 30 78 2B 03 D0 9D F9 09 30 58 2B 0E D1 4C 9B 00 2B 01 D1 10 23 4C 93 4B 98 ?? ?? ?? ?? 8D F8 1E 00 9D F9 1E 30 8D F8 08 30 09 E0 4C 9B 00 2B 01 D1 08 23 4C 93 9D F9 09 10 4B 98 ?? ?? ?? ?? 4C 98 4C 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 45 93 44 92 12 90 13 91 4C 98 4C 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 47 91 46 90 2E 92 2F 93 9D F9 08 00 ?? ?? ?? ?? 15 90 15 9B 0C 93 0C 9B B3 F1 FF 3F 03 D0 0C 9A 4C 9B 9A 42 00 D3 74 E0 03 9B 43 F0 08 03 03 93 04 9B 26 93 05 9B 27 93 12 9B 28 93 13 9B 29 93 26 9B 16 93 28 9B 17 93 27 9A 29 9B 9A 42 2D D3 03 D8 16 9A 17 9B 9A 42 28 D3 04 9B 2A 93 05 9B 2B 93 12 9B 2C 93 13 9B 2D 93 2B 9B 1E 93 2D 9B 19 93 2A 9A 2C 9B 9A 42 14 D1 1E 9A 19 9B 9A 42 10 D1 0C 9A 2E 9B 30 93 2F 9B 31 93 1A 92 30 9B 1B 93 31 9A 00 23 93 42 08 D3 03 D8 1A 9A 1B 9B 9A 42 03 D9 00 23 8D F8 0A 30 02 E0 01 23 8D F8 0A 30 9D F8 0A 30 8D F8 1F 30 9D F8 1F 30 00 2B 19 D0 4C 98 4C 9B DA 17 04 9B 05 99 10 93 11 90 10 9B 03 FB 02 F2 11 9B 01 FB 03 F3 D1 18 10 9A 11 9B A2 FB 03 03 19 44 0C 9A 00 23 12 18 4B 41 04 92 05 93 03 E0 03 9B 43 F0 04 03 03 93 4B 98 ?? ?? ?? ?? 8D F8 20 00 9D F9 20 30 8D F8 08 30 7A E7 9D F9 08 10 4B 98 ?? ?? ?? ?? 03 9B 13 F0 08 0F 13 D1 32 9A 33 9B 4B 98 ?? ?? ?? ?? 00 23 34 93 00 23 35 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 34 9A 35 9B 0A 92 0B 93 64 E0 04 9A 05 9B 03 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 40 D0 ?? ?? ?? ?? 1C 90 1C 9A 22 23 13 60 03 9B 13 F0 01 0F 06 D1 6F F0 00 03 04 93 6F F0 00 03 05 93 2E E0 03 9B 13 F0 02 0F 15 D0 00 20 00 21 ?? ?? ?? ?? 37 91 36 90 36 9B 38 93 37 9B 39 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 38 9A 39 9B 0A 92 0B 93 2F E0 14 E0 00 20 00 21 ?? ?? ?? ?? 3B 91 3A 90 3A 9B 3C 93 3B 9B 3D 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 3C 9A 3D 9B 0A 92 0B 93 19 E0 0A E0 03 9B 13 F0 02 0F 06 D0 04 9A 05 99 00 23 52 42 8B 41 04 92 05 93 04 9B 3E 93 05 9B 3F 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 3E 9A 3F 9B 0A 92 0B 93 0A 98 0B 99 48 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_76_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 1104
		refs = "000c ?validate@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 0026 ??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 006a _CrtDbgReportW 007e _errno 0096 _invalid_parameter 00b6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00c4 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 00d6 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 00e8 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00f4 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 0170 ?parse_digit@__crt_strtox@@YAI_W@Z 01d8 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAAX_W@Z 01f4 __rt_udiv64 0346 ?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_N_K@Z 0354 ??1_LocaleUpdate@@QAA@XZ 036e ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 03ac ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03d8 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z 0440 ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 0444 ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 0448 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 044c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 CA B0 4D 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 0B D1 00 23 22 93 00 23 23 93 4D 98 ?? ?? ?? ?? 22 9A 23 9B 08 92 09 93 FE E1 4E 9B 00 2B 08 D0 4E 9B 02 2B 02 DB 4E 9B 24 2B 02 DD 00 23 0E 93 01 E0 01 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 F9 4B 01 93 FB 4B 00 93 00 23 C8 22 F8 49 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 19 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 C8 23 ED 4A EC 49 EA 48 ?? ?? ?? ?? 00 23 24 93 00 23 25 93 4D 98 ?? ?? ?? ?? 24 9A 25 9B 08 92 09 93 BF E1 4C 99 42 A8 ?? ?? ?? ?? 00 23 04 93 00 23 05 93 4D 98 ?? ?? ?? ?? 27 91 26 90 26 9B 34 93 27 9B 35 93 4D 98 ?? ?? ?? ?? AD F8 2C 00 BD F8 2C 30 AD F8 08 30 42 A8 ?? ?? ?? ?? 21 90 21 99 BD F8 08 00 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 09 D0 4D 98 ?? ?? ?? ?? AD F8 2E 00 BD F8 2E 30 AD F8 08 30 E6 E7 9D F8 3C 31 00 2B 02 D0 01 23 10 93 01 E0 00 23 10 93 10 9B 03 93 BD F8 08 30 2D 2B 03 D1 03 9B 43 F0 02 03 03 93 BD F8 08 30 2D 2B 03 D0 BD F8 08 30 2B 2B 08 D1 4D 98 ?? ?? ?? ?? AD F8 30 00 BD F8 30 30 AD F8 08 30 4E 9B 00 2B 02 D0 4E 9B 10 2B 37 D1 BD F8 08 00 ?? ?? ?? ?? 16 90 16 9B 00 2B 05 D0 4E 9B 00 2B 01 D1 0A 23 4E 93 29 E0 4D 98 ?? ?? ?? ?? AD F8 32 00 BD F8 32 30 AD F8 1C 30 BD F8 1C 30 78 2B 03 D0 BD F8 1C 30 58 2B 0E D1 4E 9B 00 2B 01 D1 10 23 4E 93 4D 98 ?? ?? ?? ?? AD F8 34 00 BD F8 34 30 AD F8 08 30 09 E0 4E 9B 00 2B 01 D1 08 23 4E 93 BD F8 1C 10 4D 98 ?? ?? ?? ?? 4E 98 4E 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 47 93 46 92 14 90 15 91 4E 98 4E 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 49 91 48 90 30 92 31 93 BD F8 08 00 ?? ?? ?? ?? 17 90 17 9B 0A 93 0A 9B B3 F1 FF 3F 03 D0 0A 9A 4E 9B 9A 42 00 D3 74 E0 03 9B 43 F0 08 03 03 93 04 9B 28 93 05 9B 29 93 14 9B 2A 93 15 9B 2B 93 28 9B 18 93 2A 9B 19 93 29 9A 2B 9B 9A 42 2D D3 03 D8 18 9A 19 9B 9A 42 28 D3 04 9B 2C 93 05 9B 2D 93 14 9B 2E 93 15 9B 2F 93 2D 9B 20 93 2F 9B 1B 93 2C 9A 2E 9B 9A 42 14 D1 20 9A 1B 9B 9A 42 10 D1 0A 9A 30 9B 32 93 31 9B 33 93 1C 92 32 9B 1D 93 33 9A 00 23 93 42 08 D3 03 D8 1C 9A 1D 9B 9A 42 03 D9 00 23 8D F8 0A 30 02 E0 01 23 8D F8 0A 30 9D F8 0A 30 8D F8 1A 30 9D F8 1A 30 00 2B 19 D0 4E 98 4E 9B DA 17 04 9B 05 99 11 93 12 90 11 9B 03 FB 02 F2 12 9B 01 FB 03 F3 D1 18 11 9A 12 9B A2 FB 03 03 19 44 0A 9A 00 23 12 18 4B 41 04 92 05 93 03 E0 03 9B 43 F0 04 03 03 93 4D 98 ?? ?? ?? ?? AD F8 36 00 BD F8 36 30 AD F8 08 30 7A E7 BD F8 08 10 4D 98 ?? ?? ?? ?? 03 9B 13 F0 08 0F 13 D1 34 9A 35 9B 4D 98 ?? ?? ?? ?? 00 23 36 93 00 23 37 93 42 A8 ?? ?? ?? ?? 4D 98 ?? ?? ?? ?? 36 9A 37 9B 08 92 09 93 64 E0 04 9A 05 9B 03 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 40 D0 ?? ?? ?? ?? 1E 90 1E 9A 22 23 13 60 03 9B 13 F0 01 0F 06 D1 6F F0 00 03 04 93 6F F0 00 03 05 93 2E E0 03 9B 13 F0 02 0F 15 D0 00 20 00 21 ?? ?? ?? ?? 39 91 38 90 38 9B 3A 93 39 9B 3B 93 42 A8 ?? ?? ?? ?? 4D 98 ?? ?? ?? ?? 3A 9A 3B 9B 08 92 09 93 2F E0 14 E0 00 20 00 21 ?? ?? ?? ?? 3D 91 3C 90 3C 9B 3E 93 3D 9B 3F 93 42 A8 ?? ?? ?? ?? 4D 98 ?? ?? ?? ?? 3E 9A 3F 9B 08 92 09 93 19 E0 0A E0 03 9B 13 F0 02 0F 06 D0 04 9A 05 99 00 23 52 42 8B 41 04 92 05 93 04 9B 40 93 05 9B 41 93 42 A8 ?? ?? ?? ?? 4D 98 ?? ?? ?? ?? 40 9A 41 9B 08 92 09 93 08 98 09 99 4A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_78_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 1104
		refs = "000c ?validate@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 0026 ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@XZ 006a _CrtDbgReportW 007e _errno 0096 _invalid_parameter 00b6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00c4 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ 00d6 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 00e8 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00f4 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 0170 ?parse_digit@__crt_strtox@@YAI_W@Z 01d8 ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAAX_W@Z 01f4 __rt_udiv64 0346 ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_N_K@Z 0354 ??1_LocaleUpdate@@QAA@XZ 036e ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 03ac ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03d8 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z 0440 ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 0444 ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 0448 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 044c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 CA B0 4D 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 0B D1 00 23 22 93 00 23 23 93 4D 98 ?? ?? ?? ?? 22 9A 23 9B 08 92 09 93 FE E1 4E 9B 00 2B 08 D0 4E 9B 02 2B 02 DB 4E 9B 24 2B 02 DD 00 23 0E 93 01 E0 01 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 F9 4B 01 93 FB 4B 00 93 00 23 C8 22 F8 49 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 19 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 C8 23 ED 4A EC 49 EA 48 ?? ?? ?? ?? 00 23 24 93 00 23 25 93 4D 98 ?? ?? ?? ?? 24 9A 25 9B 08 92 09 93 BF E1 4C 99 42 A8 ?? ?? ?? ?? 00 23 04 93 00 23 05 93 4D 98 ?? ?? ?? ?? 27 91 26 90 26 9B 34 93 27 9B 35 93 4D 98 ?? ?? ?? ?? AD F8 2C 00 BD F8 2C 30 AD F8 08 30 42 A8 ?? ?? ?? ?? 21 90 21 99 BD F8 08 00 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 09 D0 4D 98 ?? ?? ?? ?? AD F8 2E 00 BD F8 2E 30 AD F8 08 30 E6 E7 9D F8 3C 31 00 2B 02 D0 01 23 10 93 01 E0 00 23 10 93 10 9B 03 93 BD F8 08 30 2D 2B 03 D1 03 9B 43 F0 02 03 03 93 BD F8 08 30 2D 2B 03 D0 BD F8 08 30 2B 2B 08 D1 4D 98 ?? ?? ?? ?? AD F8 30 00 BD F8 30 30 AD F8 08 30 4E 9B 00 2B 02 D0 4E 9B 10 2B 37 D1 BD F8 08 00 ?? ?? ?? ?? 16 90 16 9B 00 2B 05 D0 4E 9B 00 2B 01 D1 0A 23 4E 93 29 E0 4D 98 ?? ?? ?? ?? AD F8 32 00 BD F8 32 30 AD F8 1C 30 BD F8 1C 30 78 2B 03 D0 BD F8 1C 30 58 2B 0E D1 4E 9B 00 2B 01 D1 10 23 4E 93 4D 98 ?? ?? ?? ?? AD F8 34 00 BD F8 34 30 AD F8 08 30 09 E0 4E 9B 00 2B 01 D1 08 23 4E 93 BD F8 1C 10 4D 98 ?? ?? ?? ?? 4E 98 4E 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 47 93 46 92 14 90 15 91 4E 98 4E 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 49 91 48 90 30 92 31 93 BD F8 08 00 ?? ?? ?? ?? 17 90 17 9B 0A 93 0A 9B B3 F1 FF 3F 03 D0 0A 9A 4E 9B 9A 42 00 D3 74 E0 03 9B 43 F0 08 03 03 93 04 9B 28 93 05 9B 29 93 14 9B 2A 93 15 9B 2B 93 28 9B 18 93 2A 9B 19 93 29 9A 2B 9B 9A 42 2D D3 03 D8 18 9A 19 9B 9A 42 28 D3 04 9B 2C 93 05 9B 2D 93 14 9B 2E 93 15 9B 2F 93 2D 9B 20 93 2F 9B 1B 93 2C 9A 2E 9B 9A 42 14 D1 20 9A 1B 9B 9A 42 10 D1 0A 9A 30 9B 32 93 31 9B 33 93 1C 92 32 9B 1D 93 33 9A 00 23 93 42 08 D3 03 D8 1C 9A 1D 9B 9A 42 03 D9 00 23 8D F8 0A 30 02 E0 01 23 8D F8 0A 30 9D F8 0A 30 8D F8 1A 30 9D F8 1A 30 00 2B 19 D0 4E 98 4E 9B DA 17 04 9B 05 99 11 93 12 90 11 9B 03 FB 02 F2 12 9B 01 FB 03 F3 D1 18 11 9A 12 9B A2 FB 03 03 19 44 0A 9A 00 23 12 18 4B 41 04 92 05 93 03 E0 03 9B 43 F0 04 03 03 93 4D 98 ?? ?? ?? ?? AD F8 36 00 BD F8 36 30 AD F8 08 30 7A E7 BD F8 08 10 4D 98 ?? ?? ?? ?? 03 9B 13 F0 08 0F 13 D1 34 9A 35 9B 4D 98 ?? ?? ?? ?? 00 23 36 93 00 23 37 93 42 A8 ?? ?? ?? ?? 4D 98 ?? ?? ?? ?? 36 9A 37 9B 08 92 09 93 64 E0 04 9A 05 9B 03 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 40 D0 ?? ?? ?? ?? 1E 90 1E 9A 22 23 13 60 03 9B 13 F0 01 0F 06 D1 6F F0 00 03 04 93 6F F0 00 03 05 93 2E E0 03 9B 13 F0 02 0F 15 D0 00 20 00 21 ?? ?? ?? ?? 39 91 38 90 38 9B 3A 93 39 9B 3B 93 42 A8 ?? ?? ?? ?? 4D 98 ?? ?? ?? ?? 3A 9A 3B 9B 08 92 09 93 2F E0 14 E0 00 20 00 21 ?? ?? ?? ?? 3D 91 3C 90 3C 9B 3E 93 3D 9B 3F 93 42 A8 ?? ?? ?? ?? 4D 98 ?? ?? ?? ?? 3E 9A 3F 9B 08 92 09 93 19 E0 0A E0 03 9B 13 F0 02 0F 06 D0 04 9A 05 99 00 23 52 42 8B 41 04 92 05 93 04 9B 40 93 05 9B 41 93 42 A8 ?? ?? ?? ?? 4D 98 ?? ?? ?? ?? 40 9A 41 9B 08 92 09 93 08 98 09 99 4A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_81_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 122
		refs = "0054 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 08 9B 9A 42 23 D0 09 9B 19 88 01 9A 02 23 02 FB 03 F2 06 9B 13 44 1B 88 99 42 0E D0 09 9B 19 88 01 9A 02 23 02 FB 03 F2 07 9B 13 44 1B 88 99 42 03 D0 00 23 8D F8 08 30 0C E0 0A 98 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 09 9B 1A 80 D4 E7 01 23 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_543_38_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$c_string_character_source@_W@0@@Z"
		size = 122
		refs = "0054 ?get@?$c_string_character_source@_W@__crt_strtox@@QAA_WXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 08 9B 9A 42 23 D0 09 9B 19 88 01 9A 02 23 02 FB 03 F2 06 9B 13 44 1B 88 99 42 0E D0 09 9B 19 88 01 9A 02 23 02 FB 03 F2 07 9B 13 44 1B 88 99 42 03 D0 00 23 8D F8 08 30 0C E0 0A 98 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 09 9B 1A 80 D4 E7 01 23 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_82_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 122
		refs = "0054 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9A 08 9B 9A 42 23 D0 09 9B 19 88 01 9A 02 23 02 FB 03 F2 06 9B 13 44 1B 88 99 42 0E D0 09 9B 19 88 01 9A 02 23 02 FB 03 F2 07 9B 13 44 1B 88 99 42 03 D0 00 23 8D F8 08 30 0C E0 0A 98 ?? ?? ?? ?? AD F8 00 00 BD F8 00 20 09 9B 1A 80 D4 E7 01 23 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_83_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 176
		refs = "0022 ?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ 0038 ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 004c ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAM@Z 0072 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 008e ??$write_floating_point@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 00 23 8D F8 08 30 9F ED 26 0A 8D ED 04 0A 0C AB 05 93 16 9B 03 F1 10 00 ?? ?? ?? ?? 0B 91 0A 90 02 AB 00 93 0A 9A 0B 9B 16 99 08 31 05 98 ?? ?? ?? ?? 06 90 06 9B 07 93 04 AA 07 99 16 9B 60 33 18 68 ?? ?? ?? ?? 08 90 08 9B 09 93 9D F8 08 30 00 2B 02 D0 09 9B 01 2B 03 D1 00 23 8D F8 0C 30 18 E0 16 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 09 E0 04 A9 16 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 14 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 }
	condition:
		$1
}

rule file_331_84_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 176
		refs = "0022 ?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ 0038 ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 004c ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAM@Z 0072 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 008e ??$write_floating_point@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 00 23 8D F8 08 30 9F ED 26 0A 8D ED 04 0A 0C AB 05 93 16 9B 03 F1 18 00 ?? ?? ?? ?? 0B 91 0A 90 02 AB 00 93 0A 9A 0B 9B 16 99 08 31 05 98 ?? ?? ?? ?? 06 90 06 9B 07 93 04 AA 07 99 16 9B 68 33 18 68 ?? ?? ?? ?? 08 90 08 9B 09 93 9D F8 08 30 00 2B 02 D0 09 9B 01 2B 03 D1 00 23 8D F8 0C 30 18 E0 16 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 09 E0 04 A9 16 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 14 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 }
	condition:
		$1
}

rule file_331_85_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 176
		refs = "0022 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ 0038 ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 004c ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z 0072 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 008e ??$write_floating_point@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 00 23 8D F8 08 30 9F ED 26 0A 8D ED 04 0A 0C AB 05 93 16 9B 03 F1 10 00 ?? ?? ?? ?? 0B 91 0A 90 02 AB 00 93 0A 9A 0B 9B 16 99 08 31 05 98 ?? ?? ?? ?? 06 90 06 9B 07 93 04 AA 07 99 16 9B 48 33 18 68 ?? ?? ?? ?? 08 90 08 9B 09 93 9D F8 08 30 00 2B 02 D0 09 9B 01 2B 03 D1 00 23 8D F8 0C 30 18 E0 16 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 09 E0 04 A9 16 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 14 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 }
	condition:
		$1
}

rule file_331_86_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 176
		refs = "0022 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ 0038 ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 004c ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z 0072 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 008e ??$write_floating_point@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 00 23 8D F8 08 30 9F ED 26 0A 8D ED 04 0A 0C AB 05 93 16 9B 03 F1 18 00 ?? ?? ?? ?? 0B 91 0A 90 02 AB 00 93 0A 9A 0B 9B 16 99 08 31 05 98 ?? ?? ?? ?? 06 90 06 9B 07 93 04 AA 07 99 16 9B 50 33 18 68 ?? ?? ?? ?? 08 90 08 9B 09 93 9D F8 08 30 00 2B 02 D0 09 9B 01 2B 03 D1 00 23 8D F8 0C 30 18 E0 16 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 09 E0 04 A9 16 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 14 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 }
	condition:
		$1
}

rule file_331_87_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 180
		refs = "0022 ?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ 0038 ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 004c ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAN@Z 0072 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 008e ??$write_floating_point@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 00 23 8D F8 08 30 9F ED 26 0B 8D ED 0C 0B 0E AB 04 93 18 9B 03 F1 10 00 ?? ?? ?? ?? 0B 91 0A 90 02 AB 00 93 0A 9A 0B 9B 18 99 08 31 04 98 ?? ?? ?? ?? 05 90 05 9B 06 93 0C AA 06 99 18 9B 60 33 18 68 ?? ?? ?? ?? 07 90 07 9B 08 93 9D F8 08 30 00 2B 02 D0 08 9B 01 2B 03 D1 00 23 8D F8 0C 30 18 E0 18 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 09 E0 0C A9 18 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 16 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_331_88_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 180
		refs = "0022 ?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ 0038 ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 004c ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAN@Z 0072 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 008e ??$write_floating_point@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 00 23 8D F8 08 30 9F ED 26 0B 8D ED 0C 0B 0E AB 04 93 18 9B 03 F1 18 00 ?? ?? ?? ?? 0B 91 0A 90 02 AB 00 93 0A 9A 0B 9B 18 99 08 31 04 98 ?? ?? ?? ?? 05 90 05 9B 06 93 0C AA 06 99 18 9B 68 33 18 68 ?? ?? ?? ?? 07 90 07 9B 08 93 9D F8 08 30 00 2B 02 D0 08 9B 01 2B 03 D1 00 23 8D F8 0C 30 18 E0 18 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 09 E0 0C A9 18 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 16 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_331_89_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 180
		refs = "0022 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ 0038 ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 004c ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z 0072 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 008e ??$write_floating_point@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 00 23 8D F8 08 30 9F ED 26 0B 8D ED 0C 0B 0E AB 04 93 18 9B 03 F1 10 00 ?? ?? ?? ?? 0B 91 0A 90 02 AB 00 93 0A 9A 0B 9B 18 99 08 31 04 98 ?? ?? ?? ?? 05 90 05 9B 06 93 0C AA 06 99 18 9B 48 33 18 68 ?? ?? ?? ?? 07 90 07 9B 08 93 9D F8 08 30 00 2B 02 D0 08 9B 01 2B 03 D1 00 23 8D F8 0C 30 18 E0 18 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 09 E0 0C A9 18 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 16 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_331_90_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 180
		refs = "0022 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ 0038 ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 004c ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z 0072 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 008e ??$write_floating_point@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 00 23 8D F8 08 30 9F ED 26 0B 8D ED 0C 0B 0E AB 04 93 18 9B 03 F1 18 00 ?? ?? ?? ?? 0B 91 0A 90 02 AB 00 93 0A 9A 0B 9B 18 99 08 31 04 98 ?? ?? ?? ?? 05 90 05 9B 06 93 0C AA 06 99 18 9B 50 33 18 68 ?? ?? ?? ?? 07 90 07 9B 08 93 9D F8 08 30 00 2B 02 D0 08 9B 01 2B 03 D1 00 23 8D F8 0C 30 18 E0 18 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 09 E0 0C A9 18 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 16 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_331_91_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z"
		size = 800
		refs = "0014 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 007c _CrtDbgReportW 0090 _errno 00aa _invalid_parameter 00be ?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 0122 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAAHXZ 0146 ?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ 01da ?is_character_allowed_in_string@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@H@Z 01f2 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAAXH@Z 021a ??$reset_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z 0244 ?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQADIAAPADAAID@Z 02e8 ??$fill_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADII@Z 0310 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0314 ??_C@_1PM@PHBNIJNE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0318 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 031c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AE B0 00 23 02 93 30 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 48 D1 30 9B 03 F1 64 01 30 9B 64 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 0E 93 30 9B 03 F1 64 02 0E 9B 13 60 0E 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 A9 4B 01 93 AB 4B 00 93 00 23 40 F2 DA 42 A7 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 00 23 00 93 40 F2 DA 43 9C 4A 9B 49 99 48 ?? ?? ?? ?? 00 23 8D F8 14 30 24 E1 02 9B 00 2B 1F D0 30 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 16 D0 30 9B 03 F1 64 01 30 9B 64 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 11 93 30 9B 03 F1 64 02 11 9B 13 60 11 9B 1B 1F 1B 68 12 93 02 E0 6F F0 00 03 12 93 12 9B 07 93 07 9B 00 2B 19 D1 30 9B 14 93 14 9B 1B 68 03 F0 04 03 00 2B 07 D0 30 9B 03 F1 08 00 ?? ?? ?? ?? 02 9A 00 23 13 70 ?? ?? ?? ?? 15 90 15 9A 0C 23 13 60 00 23 8D F8 14 30 DF E0 30 9B 03 F1 10 00 ?? ?? ?? ?? 21 91 20 90 20 9B 0C 93 21 9B 0D 93 02 9B 13 93 07 9B 06 93 31 9B 00 2B 06 D0 06 9B B3 F1 FF 3F 02 D0 06 9B 5B 1E 06 93 00 23 08 93 00 23 09 93 06 E0 08 9A 09 99 00 23 52 1C 4B 41 08 92 09 93 0C 9B 22 93 0D 9B 23 93 23 9A 22 9B 13 43 00 2B 13 D0 08 9B 24 93 09 9B 25 93 0C 9B 26 93 0D 9B 27 93 25 9B 16 93 27 9B 17 93 24 9A 26 9B 9A 42 03 D1 16 9A 17 9B 9A 42 49 D0 30 9B 03 F1 08 00 ?? ?? ?? ?? 18 90 18 9B 0A 93 0A 9A 31 99 30 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 06 D1 0A 99 30 9B 03 F1 08 00 ?? ?? ?? ?? 2F E0 30 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 00 D0 B5 E7 06 9B 00 2B 0D D1 07 99 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 19 90 19 9A 0C 23 13 60 00 23 8D F8 14 30 66 E0 0A 9B 5B B2 01 93 06 AB 00 93 13 AB 07 9A 02 99 30 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 00 D1 00 E0 91 E7 08 9B 28 93 09 9B 29 93 29 9A 28 9B 13 43 00 2B 03 D1 00 23 8D F8 14 30 46 E0 31 9B 00 2B 1F D1 08 9B 2A 93 09 9B 2B 93 0C 9B 2C 93 0D 9B 2D 93 2B 9B 1A 93 2D 9B 1B 93 2A 9A 2C 9B 9A 42 03 D1 1A 9A 1B 9B 9A 42 0B D0 30 9B 1C 93 1C 9B 1B 68 03 F0 04 03 00 2B 03 D1 00 23 8D F8 14 30 23 E0 30 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D0 01 23 8D F8 14 30 14 E0 31 9B 00 2B 07 D0 13 9A 00 23 13 70 06 9A 07 99 02 98 ?? ?? ?? ?? 30 9B 68 33 1B 68 5A 1C 30 9B 68 33 1A 60 01 23 8D F8 14 30 9D F8 14 00 2E B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_92_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z"
		size = 800
		refs = "0014 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 007c _CrtDbgReportW 0090 _errno 00aa _invalid_parameter 00be ?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 0122 ?get@?$string_input_adapter@D@__crt_stdio_input@@QAAHXZ 0146 ?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ 01da ?is_character_allowed_in_string@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@H@Z 01f2 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAAXH@Z 021a ??$reset_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z 0244 ?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQADIAAPADAAID@Z 02e8 ??$fill_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADII@Z 0310 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0314 ??_C@_1PM@CNEAEDGI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0318 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 031c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AE B0 00 23 02 93 30 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 48 D1 30 9B 03 F1 6C 01 30 9B 6C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 0E 93 30 9B 03 F1 6C 02 0E 9B 13 60 0E 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 A9 4B 01 93 AB 4B 00 93 00 23 40 F2 DA 42 A7 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 00 23 00 93 40 F2 DA 43 9C 4A 9B 49 99 48 ?? ?? ?? ?? 00 23 8D F8 14 30 24 E1 02 9B 00 2B 1F D0 30 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 16 D0 30 9B 03 F1 6C 01 30 9B 6C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 11 93 30 9B 03 F1 6C 02 11 9B 13 60 11 9B 1B 1F 1B 68 12 93 02 E0 6F F0 00 03 12 93 12 9B 07 93 07 9B 00 2B 19 D1 30 9B 14 93 14 9B 1B 68 03 F0 04 03 00 2B 07 D0 30 9B 03 F1 08 00 ?? ?? ?? ?? 02 9A 00 23 13 70 ?? ?? ?? ?? 15 90 15 9A 0C 23 13 60 00 23 8D F8 14 30 DF E0 30 9B 03 F1 18 00 ?? ?? ?? ?? 21 91 20 90 20 9B 0C 93 21 9B 0D 93 02 9B 13 93 07 9B 06 93 31 9B 00 2B 06 D0 06 9B B3 F1 FF 3F 02 D0 06 9B 5B 1E 06 93 00 23 08 93 00 23 09 93 06 E0 08 9A 09 99 00 23 52 1C 4B 41 08 92 09 93 0C 9B 22 93 0D 9B 23 93 23 9A 22 9B 13 43 00 2B 13 D0 08 9B 24 93 09 9B 25 93 0C 9B 26 93 0D 9B 27 93 25 9B 16 93 27 9B 17 93 24 9A 26 9B 9A 42 03 D1 16 9A 17 9B 9A 42 49 D0 30 9B 03 F1 08 00 ?? ?? ?? ?? 18 90 18 9B 0A 93 0A 9A 31 99 30 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 06 D1 0A 99 30 9B 03 F1 08 00 ?? ?? ?? ?? 2F E0 30 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 00 D0 B5 E7 06 9B 00 2B 0D D1 07 99 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 19 90 19 9A 0C 23 13 60 00 23 8D F8 14 30 66 E0 0A 9B 5B B2 01 93 06 AB 00 93 13 AB 07 9A 02 99 30 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 00 D1 00 E0 91 E7 08 9B 28 93 09 9B 29 93 29 9A 28 9B 13 43 00 2B 03 D1 00 23 8D F8 14 30 46 E0 31 9B 00 2B 1F D1 08 9B 2A 93 09 9B 2B 93 0C 9B 2C 93 0D 9B 2D 93 2B 9B 1A 93 2D 9B 1B 93 2A 9A 2C 9B 9A 42 03 D1 1A 9A 1B 9B 9A 42 0B D0 30 9B 1C 93 1C 9B 1B 68 03 F0 04 03 00 2B 03 D1 00 23 8D F8 14 30 23 E0 30 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D0 01 23 8D F8 14 30 14 E0 31 9B 00 2B 07 D0 13 9A 00 23 13 70 06 9A 07 99 02 98 ?? ?? ?? ?? 30 9B 70 33 1B 68 5A 1C 30 9B 70 33 1A 60 01 23 8D F8 14 30 9D F8 14 00 2E B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_93_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z"
		size = 808
		refs = "0014 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 007c _CrtDbgReportW 0090 _errno 00aa _invalid_parameter 00be ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 0122 ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAAGXZ 0146 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ 01e2 ?is_character_allowed_in_string@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@G@Z 01fc ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAAXG@Z 0224 ??$reset_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z 024e ?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQADIAAPADAAI_W@Z 02f2 ??$fill_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADII@Z 0318 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 031c ??_C@_1BAI@ODILPBMP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0320 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0324 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AC B0 00 23 02 93 2E 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 48 D1 2E 9B 03 F1 4C 01 2E 9B 4C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 0E 93 2E 9B 03 F1 4C 02 0E 9B 13 60 0E 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 AB 4B 01 93 AD 4B 00 93 00 23 40 F2 DA 42 A9 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 00 23 00 93 40 F2 DA 43 9E 4A 9D 49 9B 48 ?? ?? ?? ?? 00 23 8D F8 14 30 29 E1 02 9B 00 2B 1F D0 2E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 16 D0 2E 9B 03 F1 4C 01 2E 9B 4C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 11 93 2E 9B 03 F1 4C 02 11 9B 13 60 11 9B 1B 1F 1B 68 12 93 02 E0 6F F0 00 03 12 93 12 9B 07 93 07 9B 00 2B 19 D1 2E 9B 14 93 14 9B 1B 68 03 F0 04 03 00 2B 07 D0 2E 9B 03 F1 08 00 ?? ?? ?? ?? 02 9A 00 23 13 70 ?? ?? ?? ?? 15 90 15 9A 0C 23 13 60 00 23 8D F8 14 30 E4 E0 2E 9B 03 F1 10 00 ?? ?? ?? ?? 1F 91 1E 90 1E 9B 0C 93 1F 9B 0D 93 02 9B 13 93 07 9B 06 93 2F 9B 00 2B 06 D0 06 9B B3 F1 FF 3F 02 D0 06 9B 5B 1E 06 93 00 23 08 93 00 23 09 93 06 E0 08 9A 09 99 00 23 52 1C 4B 41 08 92 09 93 0C 9B 20 93 0D 9B 21 93 21 9A 20 9B 13 43 00 2B 13 D0 08 9B 22 93 09 9B 23 93 0C 9B 24 93 0D 9B 25 93 23 9B 16 93 25 9B 17 93 22 9A 24 9B 9A 42 03 D1 16 9A 17 9B 9A 42 4E D0 2E 9B 03 F1 08 00 ?? ?? ?? ?? AD F8 28 00 BD F8 28 30 AD F8 12 30 BD F8 12 20 2F 99 2E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 07 D1 BD F8 12 10 2E 9B 03 F1 08 00 ?? ?? ?? ?? 2F E0 2E 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 00 D0 B0 E7 06 9B 00 2B 0D D1 07 99 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 18 90 18 9A 0C 23 13 60 00 23 8D F8 14 30 66 E0 BD F8 12 30 01 93 06 AB 00 93 13 AB 07 9A 02 99 2E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 00 D1 00 E0 8C E7 08 9B 26 93 09 9B 27 93 27 9A 26 9B 13 43 00 2B 03 D1 00 23 8D F8 14 30 46 E0 2F 9B 00 2B 1F D1 08 9B 28 93 09 9B 29 93 0C 9B 2A 93 0D 9B 2B 93 29 9B 19 93 2B 9B 1A 93 28 9A 2A 9B 9A 42 03 D1 19 9A 1A 9B 9A 42 0B D0 2E 9B 1B 93 1B 9B 1B 68 03 F0 04 03 00 2B 03 D1 00 23 8D F8 14 30 23 E0 2E 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D0 01 23 8D F8 14 30 14 E0 2F 9B 00 2B 07 D0 13 9A 00 23 13 70 06 9A 07 99 02 98 ?? ?? ?? ?? 2E 9B 50 33 1B 68 5A 1C 2E 9B 50 33 1A 60 01 23 8D F8 14 30 9D F8 14 00 2C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_94_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z"
		size = 808
		refs = "0014 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 007c _CrtDbgReportW 0090 _errno 00aa _invalid_parameter 00be ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 0122 ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAAGXZ 0146 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ 01e2 ?is_character_allowed_in_string@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@G@Z 01fc ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAAXG@Z 0224 ??$reset_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z 024e ?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQADIAAPADAAI_W@Z 02f2 ??$fill_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADII@Z 0318 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 031c ??_C@_1BAI@JEFPLFCC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0320 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0324 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AC B0 00 23 02 93 2E 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 48 D1 2E 9B 03 F1 54 01 2E 9B 54 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 0E 93 2E 9B 03 F1 54 02 0E 9B 13 60 0E 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 AB 4B 01 93 AD 4B 00 93 00 23 40 F2 DA 42 A9 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 00 23 00 93 40 F2 DA 43 9E 4A 9D 49 9B 48 ?? ?? ?? ?? 00 23 8D F8 14 30 29 E1 02 9B 00 2B 1F D0 2E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 16 D0 2E 9B 03 F1 54 01 2E 9B 54 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 11 93 2E 9B 03 F1 54 02 11 9B 13 60 11 9B 1B 1F 1B 68 12 93 02 E0 6F F0 00 03 12 93 12 9B 07 93 07 9B 00 2B 19 D1 2E 9B 14 93 14 9B 1B 68 03 F0 04 03 00 2B 07 D0 2E 9B 03 F1 08 00 ?? ?? ?? ?? 02 9A 00 23 13 70 ?? ?? ?? ?? 15 90 15 9A 0C 23 13 60 00 23 8D F8 14 30 E4 E0 2E 9B 03 F1 18 00 ?? ?? ?? ?? 1F 91 1E 90 1E 9B 0C 93 1F 9B 0D 93 02 9B 13 93 07 9B 06 93 2F 9B 00 2B 06 D0 06 9B B3 F1 FF 3F 02 D0 06 9B 5B 1E 06 93 00 23 08 93 00 23 09 93 06 E0 08 9A 09 99 00 23 52 1C 4B 41 08 92 09 93 0C 9B 20 93 0D 9B 21 93 21 9A 20 9B 13 43 00 2B 13 D0 08 9B 22 93 09 9B 23 93 0C 9B 24 93 0D 9B 25 93 23 9B 16 93 25 9B 17 93 22 9A 24 9B 9A 42 03 D1 16 9A 17 9B 9A 42 4E D0 2E 9B 03 F1 08 00 ?? ?? ?? ?? AD F8 28 00 BD F8 28 30 AD F8 12 30 BD F8 12 20 2F 99 2E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 07 D1 BD F8 12 10 2E 9B 03 F1 08 00 ?? ?? ?? ?? 2F E0 2E 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 00 D0 B0 E7 06 9B 00 2B 0D D1 07 99 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 18 90 18 9A 0C 23 13 60 00 23 8D F8 14 30 66 E0 BD F8 12 30 01 93 06 AB 00 93 13 AB 07 9A 02 99 2E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 00 D1 00 E0 8C E7 08 9B 26 93 09 9B 27 93 27 9A 26 9B 13 43 00 2B 03 D1 00 23 8D F8 14 30 46 E0 2F 9B 00 2B 1F D1 08 9B 28 93 09 9B 29 93 0C 9B 2A 93 0D 9B 2B 93 29 9B 19 93 2B 9B 1A 93 28 9A 2A 9B 9A 42 03 D1 19 9A 1A 9B 9A 42 0B D0 2E 9B 1B 93 1B 9B 1B 68 03 F0 04 03 00 2B 03 D1 00 23 8D F8 14 30 23 E0 2E 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D0 01 23 8D F8 14 30 14 E0 2F 9B 00 2B 07 D0 13 9A 00 23 13 70 06 9A 07 99 02 98 ?? ?? ?? ?? 2E 9B 58 33 1B 68 5A 1C 2E 9B 58 33 1A 60 01 23 8D F8 14 30 9D F8 14 00 2C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_95_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z"
		size = 800
		refs = "0014 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 007c _CrtDbgReportW 0090 _errno 00aa _invalid_parameter 00be ?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 0122 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAAHXZ 0146 ?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ 01da ?is_character_allowed_in_string@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@H@Z 01f2 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAAXH@Z 021a ??$reset_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WI@Z 0244 ?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQFA_WIAAPFA_WAAID@Z 02e8 ??$fill_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WII@Z 0310 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0314 ??_C@_1PM@PHBNIJNE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0318 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 031c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AE B0 00 23 02 93 30 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 48 D1 30 9B 03 F1 64 01 30 9B 64 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 0E 93 30 9B 03 F1 64 02 0E 9B 13 60 0E 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 A9 4B 01 93 AB 4B 00 93 00 23 40 F2 DA 42 A7 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 00 23 00 93 40 F2 DA 43 9C 4A 9B 49 99 48 ?? ?? ?? ?? 00 23 8D F8 14 30 24 E1 02 9B 00 2B 1F D0 30 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 16 D0 30 9B 03 F1 64 01 30 9B 64 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 11 93 30 9B 03 F1 64 02 11 9B 13 60 11 9B 1B 1F 1B 68 12 93 02 E0 6F F0 00 03 12 93 12 9B 07 93 07 9B 00 2B 19 D1 30 9B 14 93 14 9B 1B 68 03 F0 04 03 00 2B 07 D0 30 9B 03 F1 08 00 ?? ?? ?? ?? 02 9A 00 23 13 80 ?? ?? ?? ?? 15 90 15 9A 0C 23 13 60 00 23 8D F8 14 30 DF E0 30 9B 03 F1 10 00 ?? ?? ?? ?? 21 91 20 90 20 9B 0C 93 21 9B 0D 93 02 9B 13 93 07 9B 06 93 31 9B 00 2B 06 D0 06 9B B3 F1 FF 3F 02 D0 06 9B 5B 1E 06 93 00 23 08 93 00 23 09 93 06 E0 08 9A 09 99 00 23 52 1C 4B 41 08 92 09 93 0C 9B 22 93 0D 9B 23 93 23 9A 22 9B 13 43 00 2B 13 D0 08 9B 24 93 09 9B 25 93 0C 9B 26 93 0D 9B 27 93 25 9B 16 93 27 9B 17 93 24 9A 26 9B 9A 42 03 D1 16 9A 17 9B 9A 42 49 D0 30 9B 03 F1 08 00 ?? ?? ?? ?? 18 90 18 9B 0A 93 0A 9A 31 99 30 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 06 D1 0A 99 30 9B 03 F1 08 00 ?? ?? ?? ?? 2F E0 30 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 00 D0 B5 E7 06 9B 00 2B 0D D1 07 99 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 19 90 19 9A 0C 23 13 60 00 23 8D F8 14 30 66 E0 0A 9B 5B B2 01 93 06 AB 00 93 13 AB 07 9A 02 99 30 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 00 D1 00 E0 91 E7 08 9B 28 93 09 9B 29 93 29 9A 28 9B 13 43 00 2B 03 D1 00 23 8D F8 14 30 46 E0 31 9B 00 2B 1F D1 08 9B 2A 93 09 9B 2B 93 0C 9B 2C 93 0D 9B 2D 93 2B 9B 1A 93 2D 9B 1B 93 2A 9A 2C 9B 9A 42 03 D1 1A 9A 1B 9B 9A 42 0B D0 30 9B 1C 93 1C 9B 1B 68 03 F0 04 03 00 2B 03 D1 00 23 8D F8 14 30 23 E0 30 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D0 01 23 8D F8 14 30 14 E0 31 9B 00 2B 07 D0 13 9A 00 23 13 80 06 9A 07 99 02 98 ?? ?? ?? ?? 30 9B 68 33 1B 68 5A 1C 30 9B 68 33 1A 60 01 23 8D F8 14 30 9D F8 14 00 2E B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_96_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z"
		size = 800
		refs = "0014 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 007c _CrtDbgReportW 0090 _errno 00aa _invalid_parameter 00be ?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 0122 ?get@?$string_input_adapter@D@__crt_stdio_input@@QAAHXZ 0146 ?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ 01da ?is_character_allowed_in_string@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@H@Z 01f2 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAAXH@Z 021a ??$reset_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WI@Z 0244 ?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQFA_WIAAPFA_WAAID@Z 02e8 ??$fill_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WII@Z 0310 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0314 ??_C@_1PM@CNEAEDGI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0318 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 031c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AE B0 00 23 02 93 30 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 48 D1 30 9B 03 F1 6C 01 30 9B 6C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 0E 93 30 9B 03 F1 6C 02 0E 9B 13 60 0E 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 A9 4B 01 93 AB 4B 00 93 00 23 40 F2 DA 42 A7 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 00 23 00 93 40 F2 DA 43 9C 4A 9B 49 99 48 ?? ?? ?? ?? 00 23 8D F8 14 30 24 E1 02 9B 00 2B 1F D0 30 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 16 D0 30 9B 03 F1 6C 01 30 9B 6C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 11 93 30 9B 03 F1 6C 02 11 9B 13 60 11 9B 1B 1F 1B 68 12 93 02 E0 6F F0 00 03 12 93 12 9B 07 93 07 9B 00 2B 19 D1 30 9B 14 93 14 9B 1B 68 03 F0 04 03 00 2B 07 D0 30 9B 03 F1 08 00 ?? ?? ?? ?? 02 9A 00 23 13 80 ?? ?? ?? ?? 15 90 15 9A 0C 23 13 60 00 23 8D F8 14 30 DF E0 30 9B 03 F1 18 00 ?? ?? ?? ?? 21 91 20 90 20 9B 0C 93 21 9B 0D 93 02 9B 13 93 07 9B 06 93 31 9B 00 2B 06 D0 06 9B B3 F1 FF 3F 02 D0 06 9B 5B 1E 06 93 00 23 08 93 00 23 09 93 06 E0 08 9A 09 99 00 23 52 1C 4B 41 08 92 09 93 0C 9B 22 93 0D 9B 23 93 23 9A 22 9B 13 43 00 2B 13 D0 08 9B 24 93 09 9B 25 93 0C 9B 26 93 0D 9B 27 93 25 9B 16 93 27 9B 17 93 24 9A 26 9B 9A 42 03 D1 16 9A 17 9B 9A 42 49 D0 30 9B 03 F1 08 00 ?? ?? ?? ?? 18 90 18 9B 0A 93 0A 9A 31 99 30 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 06 D1 0A 99 30 9B 03 F1 08 00 ?? ?? ?? ?? 2F E0 30 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 00 D0 B5 E7 06 9B 00 2B 0D D1 07 99 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 19 90 19 9A 0C 23 13 60 00 23 8D F8 14 30 66 E0 0A 9B 5B B2 01 93 06 AB 00 93 13 AB 07 9A 02 99 30 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 00 D1 00 E0 91 E7 08 9B 28 93 09 9B 29 93 29 9A 28 9B 13 43 00 2B 03 D1 00 23 8D F8 14 30 46 E0 31 9B 00 2B 1F D1 08 9B 2A 93 09 9B 2B 93 0C 9B 2C 93 0D 9B 2D 93 2B 9B 1A 93 2D 9B 1B 93 2A 9A 2C 9B 9A 42 03 D1 1A 9A 1B 9B 9A 42 0B D0 30 9B 1C 93 1C 9B 1B 68 03 F0 04 03 00 2B 03 D1 00 23 8D F8 14 30 23 E0 30 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D0 01 23 8D F8 14 30 14 E0 31 9B 00 2B 07 D0 13 9A 00 23 13 80 06 9A 07 99 02 98 ?? ?? ?? ?? 30 9B 70 33 1B 68 5A 1C 30 9B 70 33 1A 60 01 23 8D F8 14 30 9D F8 14 00 2E B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_97_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z"
		size = 808
		refs = "0014 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 007c _CrtDbgReportW 0090 _errno 00aa _invalid_parameter 00be ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 0122 ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAAGXZ 0146 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ 01e2 ?is_character_allowed_in_string@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@G@Z 01fc ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAAXG@Z 0224 ??$reset_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WI@Z 024e ?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQFA_WIAAPFA_WAAI_W@Z 02f2 ??$fill_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WII@Z 0318 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 031c ??_C@_1BAI@ODILPBMP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0320 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0324 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AC B0 00 23 02 93 2E 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 48 D1 2E 9B 03 F1 4C 01 2E 9B 4C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 0E 93 2E 9B 03 F1 4C 02 0E 9B 13 60 0E 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 AB 4B 01 93 AD 4B 00 93 00 23 40 F2 DA 42 A9 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 00 23 00 93 40 F2 DA 43 9E 4A 9D 49 9B 48 ?? ?? ?? ?? 00 23 8D F8 14 30 29 E1 02 9B 00 2B 1F D0 2E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 16 D0 2E 9B 03 F1 4C 01 2E 9B 4C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 11 93 2E 9B 03 F1 4C 02 11 9B 13 60 11 9B 1B 1F 1B 68 12 93 02 E0 6F F0 00 03 12 93 12 9B 07 93 07 9B 00 2B 19 D1 2E 9B 14 93 14 9B 1B 68 03 F0 04 03 00 2B 07 D0 2E 9B 03 F1 08 00 ?? ?? ?? ?? 02 9A 00 23 13 80 ?? ?? ?? ?? 15 90 15 9A 0C 23 13 60 00 23 8D F8 14 30 E4 E0 2E 9B 03 F1 10 00 ?? ?? ?? ?? 1F 91 1E 90 1E 9B 0C 93 1F 9B 0D 93 02 9B 13 93 07 9B 06 93 2F 9B 00 2B 06 D0 06 9B B3 F1 FF 3F 02 D0 06 9B 5B 1E 06 93 00 23 08 93 00 23 09 93 06 E0 08 9A 09 99 00 23 52 1C 4B 41 08 92 09 93 0C 9B 20 93 0D 9B 21 93 21 9A 20 9B 13 43 00 2B 13 D0 08 9B 22 93 09 9B 23 93 0C 9B 24 93 0D 9B 25 93 23 9B 16 93 25 9B 17 93 22 9A 24 9B 9A 42 03 D1 16 9A 17 9B 9A 42 4E D0 2E 9B 03 F1 08 00 ?? ?? ?? ?? AD F8 28 00 BD F8 28 30 AD F8 12 30 BD F8 12 20 2F 99 2E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 07 D1 BD F8 12 10 2E 9B 03 F1 08 00 ?? ?? ?? ?? 2F E0 2E 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 00 D0 B0 E7 06 9B 00 2B 0D D1 07 99 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 18 90 18 9A 0C 23 13 60 00 23 8D F8 14 30 66 E0 BD F8 12 30 01 93 06 AB 00 93 13 AB 07 9A 02 99 2E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 00 D1 00 E0 8C E7 08 9B 26 93 09 9B 27 93 27 9A 26 9B 13 43 00 2B 03 D1 00 23 8D F8 14 30 46 E0 2F 9B 00 2B 1F D1 08 9B 28 93 09 9B 29 93 0C 9B 2A 93 0D 9B 2B 93 29 9B 19 93 2B 9B 1A 93 28 9A 2A 9B 9A 42 03 D1 19 9A 1A 9B 9A 42 0B D0 2E 9B 1B 93 1B 9B 1B 68 03 F0 04 03 00 2B 03 D1 00 23 8D F8 14 30 23 E0 2E 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D0 01 23 8D F8 14 30 14 E0 2F 9B 00 2B 07 D0 13 9A 00 23 13 80 06 9A 07 99 02 98 ?? ?? ?? ?? 2E 9B 50 33 1B 68 5A 1C 2E 9B 50 33 1A 60 01 23 8D F8 14 30 9D F8 14 00 2C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_98_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z"
		size = 808
		refs = "0014 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 007c _CrtDbgReportW 0090 _errno 00aa _invalid_parameter 00be ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 0122 ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAAGXZ 0146 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ 01e2 ?is_character_allowed_in_string@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@G@Z 01fc ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAAXG@Z 0224 ??$reset_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WI@Z 024e ?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQFA_WIAAPFA_WAAI_W@Z 02f2 ??$fill_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WII@Z 0318 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 031c ??_C@_1BAI@JEFPLFCC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0320 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0324 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AC B0 00 23 02 93 2E 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 48 D1 2E 9B 03 F1 54 01 2E 9B 54 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 0E 93 2E 9B 03 F1 54 02 0E 9B 13 60 0E 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 AB 4B 01 93 AD 4B 00 93 00 23 40 F2 DA 42 A9 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 10 9B 00 2B 12 D1 ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 00 23 00 93 40 F2 DA 43 9E 4A 9D 49 9B 48 ?? ?? ?? ?? 00 23 8D F8 14 30 29 E1 02 9B 00 2B 1F D0 2E 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 16 D0 2E 9B 03 F1 54 01 2E 9B 54 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 11 93 2E 9B 03 F1 54 02 11 9B 13 60 11 9B 1B 1F 1B 68 12 93 02 E0 6F F0 00 03 12 93 12 9B 07 93 07 9B 00 2B 19 D1 2E 9B 14 93 14 9B 1B 68 03 F0 04 03 00 2B 07 D0 2E 9B 03 F1 08 00 ?? ?? ?? ?? 02 9A 00 23 13 80 ?? ?? ?? ?? 15 90 15 9A 0C 23 13 60 00 23 8D F8 14 30 E4 E0 2E 9B 03 F1 18 00 ?? ?? ?? ?? 1F 91 1E 90 1E 9B 0C 93 1F 9B 0D 93 02 9B 13 93 07 9B 06 93 2F 9B 00 2B 06 D0 06 9B B3 F1 FF 3F 02 D0 06 9B 5B 1E 06 93 00 23 08 93 00 23 09 93 06 E0 08 9A 09 99 00 23 52 1C 4B 41 08 92 09 93 0C 9B 20 93 0D 9B 21 93 21 9A 20 9B 13 43 00 2B 13 D0 08 9B 22 93 09 9B 23 93 0C 9B 24 93 0D 9B 25 93 23 9B 16 93 25 9B 17 93 22 9A 24 9B 9A 42 03 D1 16 9A 17 9B 9A 42 4E D0 2E 9B 03 F1 08 00 ?? ?? ?? ?? AD F8 28 00 BD F8 28 30 AD F8 12 30 BD F8 12 20 2F 99 2E 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 07 D1 BD F8 12 10 2E 9B 03 F1 08 00 ?? ?? ?? ?? 2F E0 2E 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 00 D0 B0 E7 06 9B 00 2B 0D D1 07 99 02 98 ?? ?? ?? ?? ?? ?? ?? ?? 18 90 18 9A 0C 23 13 60 00 23 8D F8 14 30 66 E0 BD F8 12 30 01 93 06 AB 00 93 13 AB 07 9A 02 99 2E 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 00 D1 00 E0 8C E7 08 9B 26 93 09 9B 27 93 27 9A 26 9B 13 43 00 2B 03 D1 00 23 8D F8 14 30 46 E0 2F 9B 00 2B 1F D1 08 9B 28 93 09 9B 29 93 0C 9B 2A 93 0D 9B 2B 93 29 9B 19 93 2B 9B 1A 93 28 9A 2A 9B 9A 42 03 D1 19 9A 1A 9B 9A 42 0B D0 2E 9B 1B 93 1B 9B 1B 68 03 F0 04 03 00 2B 03 D1 00 23 8D F8 14 30 23 E0 2E 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D0 01 23 8D F8 14 30 14 E0 2F 9B 00 2B 07 D0 13 9A 00 23 13 80 06 9A 07 99 02 98 ?? ?? ?? ?? 2E 9B 58 33 1B 68 5A 1C 2E 9B 58 33 1A 60 01 23 8D F8 14 30 9D F8 14 00 2C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_99_0 {
	meta:
		name = "??$reset_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z"
		size = 104
		refs = "0032 _CrtGetDebugFillThreshold 005a memset"
		altNames = "??$reset_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z ??$reset_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z ??$reset_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B B3 F1 FF 3F 00 D1 24 E0 06 9A 00 23 13 70 07 9B B3 F1 FF 3F 1D D0 07 9A 6F F0 00 43 9A 42 18 D0 07 9B 01 2B 15 D9 ?? ?? ?? ?? 02 90 02 9B 00 93 07 9B 5A 1E 00 9B 93 42 02 D2 00 9B 01 93 02 E0 07 9B 5B 1E 01 93 01 9A FE 21 06 9B 58 1C ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_103_0 {
	meta:
		name = "??$reset_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WI@Z"
		size = 110
		refs = "0032 _CrtGetDebugFillThreshold 0060 memset"
		altNames = "??$reset_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WI@Z ??$reset_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WI@Z ??$reset_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WI@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B B3 F1 FF 3F 00 D1 27 E0 06 9A 00 23 13 80 07 9B B3 F1 FF 3F 20 D0 07 9A 6F F0 00 43 9A 42 1B D0 07 9B 01 2B 18 D9 ?? ?? ?? ?? 02 90 02 9B 00 93 07 9B 5A 1E 00 9B 93 42 02 D2 00 9B 01 93 02 E0 07 9B 5B 1E 01 93 01 9A 02 23 02 FB 03 F2 FE 21 06 9B 98 1C ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_107_0 {
	meta:
		name = "??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$stream_input_adapter@D@0@QAU__crt_locale_pointers@@@Z"
		size = 70
		refs = "000c ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAAHXZ 0026 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 01 9B B3 F1 FF 3F 00 D1 0A E0 07 99 01 9B 58 B2 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B E9 D1 01 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_109_0 {
	meta:
		name = "??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$string_input_adapter@D@0@QAU__crt_locale_pointers@@@Z"
		size = 70
		refs = "000c ?get@?$string_input_adapter@D@__crt_stdio_input@@QAAHXZ 0026 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 01 9B B3 F1 FF 3F 00 D1 0A E0 07 99 01 9B 58 B2 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B E9 D1 01 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_108_0 {
	meta:
		name = "??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$stream_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z"
		size = 86
		refs = "000c ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAAGXZ 0030 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 02 30 BD F8 02 20 4F F6 FF 73 9A 42 00 D1 0A E0 07 99 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B E4 D1 BD F8 02 30 AD F8 08 30 BD F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_110_0 {
	meta:
		name = "??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$string_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z"
		size = 86
		refs = "000c ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAAGXZ 0030 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 02 30 BD F8 02 20 4F F6 FF 73 9A 42 00 D1 0A E0 07 99 BD F8 02 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B E4 D1 BD F8 02 30 AD F8 08 30 BD F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_117_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z"
		size = 268
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b0 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 00f8 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 0104 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0108 ??_C@_1OI@EKMBGHJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 64 01 0E 9B 64 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 02 93 0E 9B 03 F1 64 02 02 9B 13 60 02 9B 1B 1F 1B 68 05 93 05 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 2C 4B 01 93 29 4B 00 93 00 23 40 F2 2F 62 26 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 2F 63 1B 4A 1E 49 1D 48 ?? ?? ?? ?? 00 23 8D F8 18 30 26 E0 0E 9B 68 33 1B 68 5A 1C 0E 9B 68 33 1A 60 0E 9B 03 F1 10 00 ?? ?? ?? ?? 09 90 09 9B 04 2B 0F D0 10 4B 01 93 0E 4B 00 93 00 23 40 F2 33 62 0B 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 0F 9B 1A 68 05 9B 1A 60 01 23 8D F8 18 30 9D F8 18 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_118_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z"
		size = 268
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b0 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 00f8 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 0104 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0108 ??_C@_1OI@BOLKHOLE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 6C 01 0E 9B 6C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 02 93 0E 9B 03 F1 6C 02 02 9B 13 60 02 9B 1B 1F 1B 68 05 93 05 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 2C 4B 01 93 29 4B 00 93 00 23 40 F2 2F 62 26 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 2F 63 1B 4A 1E 49 1D 48 ?? ?? ?? ?? 00 23 8D F8 18 30 26 E0 0E 9B 70 33 1B 68 5A 1C 0E 9B 70 33 1A 60 0E 9B 03 F1 18 00 ?? ?? ?? ?? 09 90 09 9B 04 2B 0F D0 10 4B 01 93 0E 4B 00 93 00 23 40 F2 33 62 0B 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 0F 9B 1A 68 05 9B 1A 60 01 23 8D F8 18 30 9D F8 18 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_119_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z"
		size = 268
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b0 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 00f8 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 0104 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0108 ??_C@_1PE@LIDKBJDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 4C 01 0E 9B 4C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 02 93 0E 9B 03 F1 4C 02 02 9B 13 60 02 9B 1B 1F 1B 68 05 93 05 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 2C 4B 01 93 29 4B 00 93 00 23 40 F2 2F 62 26 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 2F 63 1B 4A 1E 49 1D 48 ?? ?? ?? ?? 00 23 8D F8 18 30 26 E0 0E 9B 50 33 1B 68 5A 1C 0E 9B 50 33 1A 60 0E 9B 03 F1 10 00 ?? ?? ?? ?? 09 90 09 9B 04 2B 0F D0 10 4B 01 93 0E 4B 00 93 00 23 40 F2 33 62 0B 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 0F 9B 1A 68 05 9B 1A 60 01 23 8D F8 18 30 9D F8 18 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_120_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z"
		size = 268
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b0 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 00f8 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 0104 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0108 ??_C@_1PE@FONEIAO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 54 01 0E 9B 54 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 02 93 0E 9B 03 F1 54 02 02 9B 13 60 02 9B 1B 1F 1B 68 05 93 05 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 2C 4B 01 93 29 4B 00 93 00 23 40 F2 2F 62 26 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 2F 63 1B 4A 1E 49 1D 48 ?? ?? ?? ?? 00 23 8D F8 18 30 26 E0 0E 9B 58 33 1B 68 5A 1C 0E 9B 58 33 1A 60 0E 9B 03 F1 18 00 ?? ?? ?? ?? 09 90 09 9B 04 2B 0F D0 10 4B 01 93 0E 4B 00 93 00 23 40 F2 33 62 0B 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 0F 9B 1A 68 05 9B 1A 60 01 23 8D F8 18 30 9D F8 18 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_121_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z"
		size = 276
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b0 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0100 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 010c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0110 ??_C@_1OI@EKMBGHJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 64 01 0E 9B 64 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 03 93 0E 9B 03 F1 64 02 03 9B 13 60 03 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 2E 4B 01 93 2B 4B 00 93 00 23 40 F2 2F 62 28 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 2F 63 1D 4A 20 49 1F 48 ?? ?? ?? ?? 00 23 8D F8 18 30 2A E0 0E 9B 68 33 1B 68 5A 1C 0E 9B 68 33 1A 60 0E 9B 03 F1 10 00 ?? ?? ?? ?? 09 90 09 9B 08 2B 0F D0 12 4B 01 93 10 4B 00 93 00 23 40 F2 33 62 0D 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 0F 9B 1A 68 02 9B 1A 60 0F 9B 5A 68 02 9B 5A 60 01 23 8D F8 18 30 9D F8 18 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_122_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z"
		size = 276
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b0 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0100 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 010c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0110 ??_C@_1OI@BOLKHOLE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 6C 01 0E 9B 6C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 03 93 0E 9B 03 F1 6C 02 03 9B 13 60 03 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 2E 4B 01 93 2B 4B 00 93 00 23 40 F2 2F 62 28 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 2F 63 1D 4A 20 49 1F 48 ?? ?? ?? ?? 00 23 8D F8 18 30 2A E0 0E 9B 70 33 1B 68 5A 1C 0E 9B 70 33 1A 60 0E 9B 03 F1 18 00 ?? ?? ?? ?? 09 90 09 9B 08 2B 0F D0 12 4B 01 93 10 4B 00 93 00 23 40 F2 33 62 0D 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 0F 9B 1A 68 02 9B 1A 60 0F 9B 5A 68 02 9B 5A 60 01 23 8D F8 18 30 9D F8 18 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_123_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z"
		size = 276
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b0 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 0100 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 010c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0110 ??_C@_1PE@LIDKBJDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 4C 01 0E 9B 4C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 03 93 0E 9B 03 F1 4C 02 03 9B 13 60 03 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 2E 4B 01 93 2B 4B 00 93 00 23 40 F2 2F 62 28 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 2F 63 1D 4A 20 49 1F 48 ?? ?? ?? ?? 00 23 8D F8 18 30 2A E0 0E 9B 50 33 1B 68 5A 1C 0E 9B 50 33 1A 60 0E 9B 03 F1 10 00 ?? ?? ?? ?? 09 90 09 9B 08 2B 0F D0 12 4B 01 93 10 4B 00 93 00 23 40 F2 33 62 0D 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 0F 9B 1A 68 02 9B 1A 60 0F 9B 5A 68 02 9B 5A 60 01 23 8D F8 18 30 9D F8 18 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_124_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z"
		size = 276
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b0 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 0100 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0108 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 010c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0110 ??_C@_1PE@FONEIAO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 54 01 0E 9B 54 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 03 93 0E 9B 03 F1 54 02 03 9B 13 60 03 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 2E 4B 01 93 2B 4B 00 93 00 23 40 F2 2F 62 28 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 2F 63 1D 4A 20 49 1F 48 ?? ?? ?? ?? 00 23 8D F8 18 30 2A E0 0E 9B 58 33 1B 68 5A 1C 0E 9B 58 33 1A 60 0E 9B 03 F1 18 00 ?? ?? ?? ?? 09 90 09 9B 08 2B 0F D0 12 4B 01 93 10 4B 00 93 00 23 40 F2 33 62 0D 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 0F 9B 1A 68 02 9B 1A 60 0F 9B 5A 68 02 9B 5A 60 01 23 8D F8 18 30 9D F8 18 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_144_0 {
	meta:
		name = "??0?$format_string_parser@D@__crt_stdio_input@@QAA@_KQBE@Z"
		size = 78
		refs = "0034 ??0?$scanset_buffer@E@__crt_stdio_input@@QAA@XZ 003a ?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 06 9A 00 9B 1A 60 07 9A 00 9B 5A 60 04 9B 03 F1 08 02 08 9B 13 60 04 9B 03 F1 0C 02 00 23 13 60 04 9B 03 F1 2C 00 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_145_0 {
	meta:
		name = "??0?$format_string_parser@_W@__crt_stdio_input@@QAA@_KQB_W@Z"
		size = 78
		refs = "0034 ??0?$scanset_buffer@_W@__crt_stdio_input@@QAA@XZ 003a ?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 06 9A 00 9B 1A 60 07 9A 00 9B 5A 60 04 9B 03 F1 08 02 08 9B 13 60 04 9B 03 F1 0C 02 00 23 13 60 04 9B 03 F1 34 00 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_146_0 {
	meta:
		name = "??0?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
		size = 90
		altNames = "??0?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z ??0?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z ??0?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9A 07 9B 13 60 06 9B 08 33 00 93 08 9A 00 9B 1A 60 09 9A 00 9B 5A 60 06 9B 10 33 01 93 01 9A 00 23 13 60 01 9A 00 23 53 60 06 9B 03 F1 18 02 0A 9B 13 60 0A 9B 00 2B 02 D0 0A 9A 01 23 13 70 06 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_150_0 {
	meta:
		name = "??0?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAA@ABV?$stream_input_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 114
		refs = "0024 memcpy 0036 ??0?$format_string_parser@D@__crt_stdio_input@@QAA@_KQBE@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 02 93 08 9A 02 9B 1A 60 09 9A 02 9B 5A 60 07 99 06 9B 03 F1 08 00 08 22 ?? ?? ?? ?? 06 9B 03 F1 10 00 0A 9B 00 93 08 9A 09 9B ?? ?? ?? ?? 06 9B 03 F1 60 02 0B 9B 13 60 06 9B 03 F1 64 02 0C 9B 13 60 06 9B 03 F1 68 02 00 23 13 60 06 9B 03 F1 6C 02 00 23 13 60 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_151_0 {
	meta:
		name = "??0?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAA@ABV?$string_input_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 118
		refs = "003a ??0?$format_string_parser@D@__crt_stdio_input@@QAA@_KQBE@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 85 B0 08 9B 02 93 0A 9A 02 9B 1A 60 0B 9A 02 9B 5A 60 09 98 08 9B 03 F1 08 04 90 E8 0E 00 84 E8 0E 00 08 9B 03 F1 18 00 0C 9B 00 93 0A 9A 0B 9B ?? ?? ?? ?? 08 9B 03 F1 68 02 0D 9B 13 60 08 9B 03 F1 6C 02 0E 9B 13 60 08 9B 03 F1 70 02 00 23 13 60 08 9B 03 F1 74 02 00 23 13 60 08 9B 03 93 03 98 05 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_331_152_0 {
	meta:
		name = "??0?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAA@ABV?$stream_input_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 114
		refs = "0024 memcpy 0036 ??0?$format_string_parser@_W@__crt_stdio_input@@QAA@_KQB_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 9B 02 93 08 9A 02 9B 1A 60 09 9A 02 9B 5A 60 07 99 06 9B 03 F1 08 00 08 22 ?? ?? ?? ?? 06 9B 03 F1 10 00 0A 9B 00 93 08 9A 09 9B ?? ?? ?? ?? 06 9B 03 F1 48 02 0B 9B 13 60 06 9B 03 F1 4C 02 0C 9B 13 60 06 9B 03 F1 50 02 00 23 13 60 06 9B 03 F1 54 02 00 23 13 60 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_153_0 {
	meta:
		name = "??0?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAA@ABV?$string_input_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 118
		refs = "003a ??0?$format_string_parser@_W@__crt_stdio_input@@QAA@_KQB_W@Z"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 85 B0 08 9B 02 93 0A 9A 02 9B 1A 60 0B 9A 02 9B 5A 60 09 98 08 9B 03 F1 08 04 90 E8 0E 00 84 E8 0E 00 08 9B 03 F1 18 00 0C 9B 00 93 0A 9A 0B 9B ?? ?? ?? ?? 08 9B 03 F1 50 02 0D 9B 13 60 08 9B 03 F1 54 02 0E 9B 13 60 08 9B 03 F1 58 02 00 23 13 60 08 9B 03 F1 5C 02 00 23 13 60 08 9B 03 93 03 98 05 B0 BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_331_154_0 {
	meta:
		name = "??0?$scanset_buffer@E@__crt_stdio_input@@QAA@XZ"
		size = 32
		refs = "000c ??0?$scanset_storage@$00@__crt_stdio_input@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_155_0 {
	meta:
		name = "??0?$scanset_buffer@_W@__crt_stdio_input@@QAA@XZ"
		size = 32
		refs = "000c ??0?$scanset_storage@$01@__crt_stdio_input@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_156_0 {
	meta:
		name = "??0?$scanset_storage@$00@__crt_stdio_input@@QAA@XZ"
		size = 36
		refs = "0010 memset"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 22 00 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_157_0 {
	meta:
		name = "??0?$scanset_storage@$01@__crt_stdio_input@@QAA@XZ"
		size = 34
		refs = "000e ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@QAE@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 21 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_158_0 {
	meta:
		name = "??0?$stream_input_adapter@D@__crt_stdio_input@@QAA@QAU_iobuf@@@Z"
		size = 42
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z"
		altNames = "??0?$stream_input_adapter@_W@__crt_stdio_input@@QAA@QAU_iobuf@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 05 99 ?? ?? ?? ?? 04 9B 1A 1D 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_160_0 {
	meta:
		name = "??0?$string_input_adapter@D@__crt_stdio_input@@QAA@QBDI@Z"
		size = 54
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 05 9A 06 9B 1A 44 04 9B 1B 1D 1A 60 04 9B 03 F1 08 02 05 9B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_161_0 {
	meta:
		name = "??0?$string_input_adapter@_W@__crt_stdio_input@@QAA@QB_WI@Z"
		size = 60
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 13 60 06 9A 02 23 02 FB 03 F2 05 9B 1A 44 04 9B 1B 1D 1A 60 04 9B 03 F1 08 02 05 9B 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_166_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QAA@QAM@Z"
		size = 92
		refs = "0030 _CrtDbgReportW 0050 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9A 07 9B 13 60 06 9B 1A 1D 00 23 13 70 07 9B 00 2B 0F D1 0E 4B 01 93 0C 4B 00 93 00 23 40 F2 95 12 08 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_167_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QAA@QAN@Z"
		size = 92
		refs = "0030 _CrtDbgReportW 0050 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9A 07 9B 13 60 06 9B 1A 1D 01 23 13 70 07 9B 00 2B 0F D1 0E 4B 01 93 0C 4B 00 93 00 23 40 F2 8F 12 08 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_169_0 {
	meta:
		name = "??1?$format_string_parser@_W@__crt_stdio_input@@QAA@XZ"
		size = 26
		refs = "000e ??1?$scanset_buffer@_W@__crt_stdio_input@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 34 00 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_170_0 {
	meta:
		name = "??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@XZ"
		size = 68
		altNames = "??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@XZ ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@XZ ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 18 33 1B 68 00 2B 12 D0 06 9B 10 33 00 93 00 9B 1B 68 02 93 00 9B 5B 68 03 93 03 9A 02 9B 13 43 00 2B 04 D1 06 9B 18 33 1A 68 00 23 13 70 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_174_0 {
	meta:
		name = "??1?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAA@XZ"
		size = 26
		refs = "000e ??1?$format_string_parser@_W@__crt_stdio_input@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 10 00 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_175_0 {
	meta:
		name = "??1?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAA@XZ"
		size = 26
		refs = "000e ??1?$format_string_parser@_W@__crt_stdio_input@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 18 00 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_182_0 {
	meta:
		name = "??M__crt_strtox@@YA_NABUbig_integer@0@0@Z"
		size = 192
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 05 9B 12 68 1B 68 9A 42 03 D9 00 23 8D F8 04 30 49 E0 04 9A 05 9B 12 68 1B 68 9A 42 03 D2 01 23 8D F8 04 30 3F E0 04 9B 1B 68 5B 1E 00 93 02 E0 00 9B 5B 1E 00 93 00 9B B3 F1 FF 3F 12 D0 04 9B 19 1D 00 9A 04 23 02 FB 03 F3 C8 18 05 9B 19 1D 00 9A 04 23 02 FB 03 F3 0B 44 02 68 1B 68 9A 42 00 D1 E5 E7 00 9B B3 F1 FF 3F 03 D1 00 23 8D F8 04 30 18 E0 04 9B 19 1D 00 9A 04 23 02 FB 03 F3 C8 18 05 9B 19 1D 00 9A 04 23 02 FB 03 F3 0B 44 02 68 1B 68 9A 42 03 D8 01 23 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_203_0 {
	meta:
		name = "?accumulate_decimal_digits_into_big_integer@__crt_strtox@@YAXQBE0AAUbig_integer@1@@Z"
		size = 132
		refs = "0030 ?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 0038 ?add@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 006a ?multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 00 23 01 93 06 9B 02 93 02 E0 02 9B 5B 1C 02 93 02 9A 07 9B 9A 42 1C D0 01 9B 09 2B 0B D1 14 49 08 98 ?? ?? ?? ?? 00 99 08 98 ?? ?? ?? ?? 00 23 00 93 00 23 01 93 00 9A 0A 23 02 FB 03 F3 00 93 02 9B 1A 78 00 9B 13 44 00 93 01 9B 5B 1C 01 93 DB E7 01 9B 00 2B 07 D0 01 99 08 98 ?? ?? ?? ?? 00 99 08 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB 00 CA 9A 3B }
	condition:
		$1
}

rule file_331_204_0 {
	meta:
		name = "?add@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 202
		refs = "0008 __security_push_cookie 009c ??0big_integer@__crt_strtox@@QAA@XZ 00a6 ??4big_integer@__crt_strtox@@QAAAAU01@ABU01@@Z 00be __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? FB B0 7F 9B 00 2B 03 D1 01 23 8D F8 08 30 4D E0 7F 9B 01 93 00 23 00 93 02 E0 00 9B 5B 1C 00 93 7E 9B 00 9A 1B 68 9A 42 1A D0 7E 9B 19 1D 00 9A 04 23 02 FB 03 F3 0B 44 18 68 01 9A 00 21 00 23 12 18 4B 41 04 92 05 93 04 98 7E 9B 19 1D 00 9A 04 23 02 FB 03 F3 0B 44 18 60 05 9B 01 93 DC E7 01 9B 00 2B 1F D0 7E 9B 1B 68 73 2B 0F D2 7E 9B 19 1D 7E 9B 1A 68 04 23 02 FB 03 F3 CA 18 01 9B 13 60 7E 9B 1B 68 5A 1C 7E 9B 1A 60 0B E0 06 A8 ?? ?? ?? ?? 03 90 03 99 7E 98 ?? ?? ?? ?? 00 23 8D F8 08 30 02 E0 01 23 8D F8 08 30 9D F8 08 00 7B B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_207_0 {
	meta:
		name = "?advance@?$format_string_parser@D@__crt_stdio_input@@QAA_NXZ"
		size = 404
		refs = "001e ?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ 0046 ??$istspace@ABE@?$__crt_char_traits@D@@SAHABE@Z 00e4 ?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AAA_ND@Z 0110 ?scan_optional_assignment_suppressor@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ 0116 ?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ 0130 ?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ 0136 ?scan_optional_wide_modifier@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ 013c ?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ 0160 ?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z 0174 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 0C 33 1B 68 00 2B 03 D0 00 23 8D F8 04 30 B4 E0 08 98 ?? ?? ?? ?? 08 9B 08 33 1B 68 1B 78 00 2B 08 D1 08 9B 03 F1 10 02 01 23 13 60 00 23 8D F8 04 30 A2 E0 08 9B 08 33 18 68 ?? ?? ?? ?? 03 90 03 9B 00 2B 19 D0 08 9B 03 F1 10 02 02 23 13 60 08 9B 08 33 18 68 ?? ?? ?? ?? 04 90 04 9B 00 2B 07 D0 08 9B 08 33 1B 68 5A 1C 08 9B 08 33 1A 60 EE E7 01 23 8D F8 04 30 7F E0 08 9B 08 33 1B 68 1B 78 25 2B 06 D1 08 9B 08 33 1B 68 5B 1C 1B 78 25 2B 2A D1 08 9B 03 F1 10 02 03 23 13 60 08 9B 08 33 19 68 08 9B 03 F1 14 02 0B 78 13 70 08 9B 08 33 1B 68 1B 78 25 2B 02 D0 01 23 02 93 01 E0 02 23 02 93 08 9B 08 33 1A 68 02 9B 1A 44 08 9B 08 33 1A 60 00 21 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 47 E0 08 9B 03 F1 10 02 04 23 13 60 08 9B 08 33 1B 68 5A 1C 08 9B 08 33 1A 60 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 2B E0 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 00 23 8D F8 04 30 18 E0 08 9B 20 33 19 68 08 9B 28 33 18 68 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 07 D1 16 21 08 98 ?? ?? ?? ?? 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_208_0 {
	meta:
		name = "?advance@?$format_string_parser@_W@__crt_stdio_input@@QAA_NXZ"
		size = 412
		refs = "001e ?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ 0046 ??$istspace@AB_W@?$__crt_char_traits@_W@@SAHAB_W@Z 00ec ?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@_W@__crt_stdio_input@@AAA_N_W@Z 0118 ?scan_optional_assignment_suppressor@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ 011e ?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ 0138 ?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ 013e ?scan_optional_wide_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ 0144 ?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ 0168 ?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z 017c ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 0C 33 1B 68 00 2B 03 D0 00 23 8D F8 04 30 B8 E0 08 98 ?? ?? ?? ?? 08 9B 08 33 1B 68 1B 88 00 2B 08 D1 08 9B 03 F1 10 02 01 23 13 60 00 23 8D F8 04 30 A6 E0 08 9B 08 33 18 68 ?? ?? ?? ?? 03 90 03 9B 00 2B 19 D0 08 9B 03 F1 10 02 02 23 13 60 08 9B 08 33 18 68 ?? ?? ?? ?? 04 90 04 9B 00 2B 07 D0 08 9B 08 33 1B 68 9A 1C 08 9B 08 33 1A 60 EE E7 01 23 8D F8 04 30 83 E0 08 9B 08 33 1B 68 1B 88 25 2B 06 D1 08 9B 08 33 1B 68 9B 1C 1B 88 25 2B 2E D1 08 9B 03 F1 10 02 03 23 13 60 08 9B 08 33 19 68 08 9B 03 F1 14 02 0B 88 13 80 08 9B 08 33 1B 68 1B 88 25 2B 02 D0 01 23 02 93 01 E0 02 23 02 93 08 9B 03 F1 08 01 02 9A 02 23 02 FB 03 F2 0B 68 1A 44 08 9B 08 33 1A 60 00 21 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 47 E0 08 9B 03 F1 10 02 04 23 13 60 08 9B 08 33 1B 68 9A 1C 08 9B 08 33 1A 60 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 2B E0 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 08 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 03 D1 00 23 8D F8 04 30 18 E0 08 9B 28 33 19 68 08 9B 30 33 18 68 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 07 D1 16 21 08 98 ?? ?? ?? ?? 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_209_0 {
	meta:
		name = "?as_double@floating_point_value@__crt_strtox@@QBAAANXZ"
		size = 120
		refs = "0026 _CrtDbgReportW 004c _invoke_watson 0064 ??_C@_1BG@GEMHBGAF@?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 0068 ??_C@_1FM@FELNCOBF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 006c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0070 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1BK@ICEICMHI@?$AA?$CI?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 1D 1B 78 00 2B 0F D1 17 4B 01 93 15 4B 00 93 00 23 40 F2 9F 12 12 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 1B 1D 1B 78 00 2B 08 D1 00 23 00 93 40 F2 9F 13 09 4A 07 49 06 48 ?? ?? ?? ?? 06 9B 1B 68 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_210_0 {
	meta:
		name = "?as_float@floating_point_value@__crt_strtox@@QBAAAMXZ"
		size = 120
		refs = "0026 _CrtDbgReportW 004c _invoke_watson 0064 ??_C@_1BI@BANMPGJI@?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 0068 ??_C@_1FK@JOJELFFO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 006c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0070 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0074 ??_C@_1BM@CEPACFMA@?$AA?$CI?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 1D 1B 78 00 2B 0F D0 17 4B 01 93 15 4B 00 93 00 23 40 F2 A5 12 12 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 1B 1D 1B 78 00 2B 08 D0 00 23 00 93 40 F2 A5 13 09 4A 07 49 06 48 ?? ?? ?? ?? 06 9B 1B 68 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_211_0 {
	meta:
		name = "?assemble_floating_point_infinity@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z"
		size = 76
		refs = "000c ?is_double@floating_point_value@__crt_strtox@@QBA_NXZ 001e ?as_double@floating_point_value@__crt_strtox@@QBAAANXZ 002a ??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z 0032 ?as_float@floating_point_value@__crt_strtox@@QBAAAMXZ 003e ??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAAM@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 09 D0 07 98 ?? ?? ?? ?? 01 90 01 99 9D F8 18 00 ?? ?? ?? ?? 08 E0 07 98 ?? ?? ?? ?? 02 90 02 99 9D F8 18 00 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_214_0 {
	meta:
		name = "?assemble_floating_point_zero@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z"
		size = 76
		refs = "000c ?is_double@floating_point_value@__crt_strtox@@QBA_NXZ 001e ?as_double@floating_point_value@__crt_strtox@@QBAAANXZ 002a ??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z 0032 ?as_float@floating_point_value@__crt_strtox@@QBAAAMXZ 003e ??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAAM@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 09 D0 07 98 ?? ?? ?? ?? 01 90 01 99 9D F8 18 00 ?? ?? ?? ?? 08 E0 07 98 ?? ?? ?? ?? 02 90 02 99 9D F8 18 00 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_212_0 {
	meta:
		name = "?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z"
		size = 678
		refs = "000e ?bit_scan_reverse@__crt_strtox@@YAI_K@Z 001a ?mantissa_bits@floating_point_value@__crt_strtox@@QBAHXZ 003e ?maximum_binary_exponent@floating_point_value@__crt_strtox@@QBAHXZ 0052 ?assemble_floating_point_infinity@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 0060 ?minimum_binary_exponent@floating_point_value@__crt_strtox@@QBAHXZ 0070 ?exponent_bias@floating_point_value@__crt_strtox@@QBAHXZ 00ac ?right_shift_with_rounding@__crt_strtox@@YA_K_N_KI0@Z 00d4 ?assemble_floating_point_zero@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 00e0 ?denormal_mantissa_mask@floating_point_value@__crt_strtox@@QBA_KXZ 0180 ?normal_mantissa_mask@floating_point_value@__crt_strtox@@QBA_KXZ 0244 ?is_double@floating_point_value@__crt_strtox@@QBA_NXZ 0256 ?as_double@floating_point_value@__crt_strtox@@QBAAANXZ 026a ??$assemble_floating_point_value_t@N@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAN@Z 0278 ?as_float@floating_point_value@__crt_strtox@@QBAAAMXZ 028c ??$assemble_floating_point_value_t@M@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAM@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B0 B0 32 98 33 99 ?? ?? ?? ?? 1B 90 1B 9B 0D 93 37 98 ?? ?? ?? ?? 0C 90 0C 9A 0D 9B D3 1A 04 93 34 9A 04 9B D3 1A 08 93 32 9B 02 93 33 9B 03 93 08 9B 07 93 37 98 ?? ?? ?? ?? 0E 90 08 9A 0E 9B 9A 42 08 DD 37 99 9D F8 D4 00 ?? ?? ?? ?? 03 23 09 93 1E E1 E3 E0 37 98 ?? ?? ?? ?? 0F 90 08 9A 0F 9B 9A 42 72 DA 37 98 ?? ?? ?? ?? 10 90 04 9A 08 9B 1A 44 10 9B 13 44 5B 1E 06 93 37 98 ?? ?? ?? ?? 11 90 11 9B 5B 42 07 93 06 9B 00 2B 44 DA 9D F8 D8 30 01 93 06 9B 5B 42 00 93 02 9A 03 9B 9D F8 D4 00 ?? ?? ?? ?? 1D 91 1C 90 1C 9B 02 93 1D 9B 03 93 02 9B 1E 93 03 9B 1F 93 1F 9A 1E 9B 13 43 00 2B 07 D1 37 99 9D F8 D4 00 ?? ?? ?? ?? 02 23 09 93 DD E0 37 98 ?? ?? ?? ?? 21 91 20 90 02 9B 22 93 03 9B 23 93 20 9B 24 93 21 9B 25 93 22 9B 12 93 24 9B 13 93 23 9A 25 9B 9A 42 0B D3 03 D8 12 9A 13 9B 9A 42 06 D9 06 9B 5A 1C 34 9B 9A 1A 04 9B D3 1A 07 93 17 E0 03 9A 06 9B 02 FA 03 F1 06 9B C3 F1 20 02 02 9B D3 40 41 EA 03 00 06 9B A3 F1 20 02 02 9B 03 FA 02 F1 02 9A 06 9B 9A 40 40 EA 01 03 02 92 03 93 68 E0 04 9B 00 2B 4A DA 9D F8 D8 30 01 93 04 9B 5B 42 00 93 02 9A 03 9B 9D F8 D4 00 ?? ?? ?? ?? 27 91 26 90 26 9B 02 93 27 9B 03 93 37 98 ?? ?? ?? ?? 29 91 28 90 02 9B 2A 93 03 9B 2B 93 28 9B 2C 93 29 9B 2D 93 2A 9B 14 93 2C 9B 15 93 2B 9A 2D 9B 9A 42 22 D3 03 D8 14 9A 15 9B 9A 42 1D D9 02 9A 03 9B 0A 93 52 08 0A 9B DB 07 1A 43 0A 9B 5B 08 02 92 03 93 07 9B 5B 1C 07 93 37 98 ?? ?? ?? ?? 16 90 07 9A 16 9B 9A 42 07 DD 37 99 9D F8 D4 00 ?? ?? ?? ?? 03 23 09 93 55 E0 1A E0 04 9B 00 2B 17 DD 03 9A 04 9B 02 FA 03 F1 04 9B C3 F1 20 02 02 9B D3 40 41 EA 03 00 04 9B A3 F1 20 02 02 9B 03 FA 02 F1 02 9A 04 9B 9A 40 40 EA 01 03 02 92 03 93 37 98 ?? ?? ?? ?? 2F 91 2E 90 02 9A 2E 9B 02 EA 03 01 03 9A 2F 9B 13 40 02 91 03 93 37 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 10 D0 37 98 ?? ?? ?? ?? 17 90 17 9B 00 93 02 9A 03 9B 07 99 9D F8 D4 00 ?? ?? ?? ?? 18 90 18 9B 0B 93 0F E0 37 98 ?? ?? ?? ?? 19 90 19 9B 00 93 02 9A 03 9B 07 99 9D F8 D4 00 ?? ?? ?? ?? 1A 90 1A 9B 0B 93 0B 9B 09 93 09 98 30 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_213_0 {
	meta:
		name = "?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@ABUbig_integer@1@I_N1ABVfloating_point_value@1@@Z"
		size = 772
		refs = "000e ?mantissa_bits@floating_point_value@__crt_strtox@@QBAHXZ 008c ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z 009c __rt_udiv"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B A7 B0 30 98 ?? ?? ?? ?? 15 90 15 9B 5B 1E 0A 93 2D 9B 40 2B 3B D8 0A 9B 18 93 2C 9B 1B 68 00 2B 04 D9 2C 9B 1B 1D 1B 68 0E 93 01 E0 00 23 0E 93 0E 9B 16 93 2C 9B 1B 68 01 2B 05 D9 2C 9B 1B 1D 1B 1D 1B 68 0F 93 01 E0 00 23 0F 93 0F 9B 17 93 16 9A 17 9B 20 92 21 93 9D F8 BC 30 00 2B 03 D1 01 23 8D F8 0A 30 02 E0 00 23 8D F8 0A 30 30 9B 01 93 9D F8 0A 30 00 93 9D F8 B8 30 18 9A 20 98 21 99 ?? ?? ?? ?? 19 90 19 9B 0D 93 2F E1 2D 99 20 20 ?? ?? ?? ?? 04 91 2D 99 20 20 ?? ?? ?? ?? 0B 90 0B 9B 5B 1E 12 93 0B 9B 9B 1E 03 93 04 9B 00 2B 56 D1 03 9A 20 23 02 FB 03 F2 0A 9B 13 44 1A 93 2C 9B 19 1D 03 9A 04 23 02 FB 03 F3 0B 44 18 68 2C 9B 19 1D 12 9A 04 23 02 FB 03 F3 0B 44 1B 68 22 90 23 93 9D F8 BC 30 00 2B 02 D1 01 23 10 93 01 E0 00 23 10 93 10 9B DB B2 8D F8 08 30 00 23 06 93 02 E0 06 9B 5B 1C 06 93 06 9A 03 9B 9A 42 16 D0 2C 9B 19 1D 06 9A 04 23 02 FB 03 F3 0B 44 1B 68 00 2B 02 D1 01 23 11 93 01 E0 00 23 11 93 9D F8 08 20 11 9B 13 40 DB B2 8D F8 08 30 E1 E7 30 9B 01 93 9D F8 08 30 00 93 9D F8 B8 30 1A 9A 22 98 23 99 ?? ?? ?? ?? 1B 90 1B 9B 0D 93 C5 E0 04 9A 01 23 93 40 5B 1E 0C 93 04 9B C3 F1 40 03 05 93 05 9B 20 3B 07 93 04 9B C3 F1 20 03 1C 93 0C 9B DB 43 1D 93 1C 9B C3 F1 20 03 08 93 03 9A 20 23 02 FB 03 F2 0A 9B 1A 44 04 9B 13 44 1E 93 2C 9B 19 1D 0B 9A 04 23 02 FB 03 F3 0B 44 1A 68 0C 9B 02 EA 03 00 05 9A 00 23 02 FB 03 F2 05 9B C3 F1 20 03 20 FA 03 F3 42 EA 03 01 05 9B 20 3B 00 FA 03 F2 05 9B 00 FA 03 F6 41 EA 02 05 2C 9B 19 1D 12 9A 04 23 02 FB 03 F3 0B 44 1C 68 07 9A 00 23 02 FB 03 F2 07 9B C3 F1 20 03 24 FA 03 F3 42 EA 03 00 07 9B 20 3B 04 FA 03 F1 07 9B 04 FA 03 F2 40 EA 01 03 B4 18 45 EB 03 00 2C 9B 19 1D 03 9A 04 23 02 FB 03 F3 0B 44 1A 68 1D 9B 1A 40 00 21 08 9B DA 40 08 9B C3 F1 20 03 01 FA 03 F3 1A 43 08 9B 20 3B 21 FA 03 F3 1A 43 08 9B 21 FA 03 F3 12 19 43 41 24 92 25 93 9D F8 BC 30 00 2B 0E D1 2C 9B 19 1D 03 9A 04 23 02 FB 03 F3 0B 44 1A 68 0C 9B 13 40 00 2B 02 D1 01 23 13 93 01 E0 00 23 13 93 13 9B DB B2 8D F8 09 30 00 23 09 93 02 E0 09 9B 5B 1C 09 93 09 9A 03 9B 9A 42 16 D0 2C 9B 19 1D 09 9A 04 23 02 FB 03 F3 0B 44 1B 68 00 2B 02 D1 01 23 14 93 01 E0 00 23 14 93 9D F8 09 20 14 9B 13 40 DB B2 8D F8 09 30 E1 E7 30 9B 01 93 9D F8 09 30 00 93 9D F8 B8 30 1E 9A 24 98 25 99 ?? ?? ?? ?? 1F 90 1F 9B 0D 93 0D 98 27 B0 BD E8 70 08 5D F8 14 FB }
	condition:
		$1
}

rule file_331_215_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAIABUbig_integer@1@@Z"
		size = 80
		refs = "002c ?bit_scan_reverse@__crt_strtox@@YAII@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 2B 02 D1 00 23 00 93 15 E0 04 9B 19 1D 04 9B 1B 68 5A 1E 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 01 90 04 9B 1B 68 5A 1E 20 23 02 FB 03 F2 01 9B 13 44 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_217_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAI_K@Z"
		size = 84
		refs = "002a ?bit_scan_reverse@__crt_strtox@@YAII@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 04 93 09 9B 05 93 04 9B 01 93 05 9B 00 2B 03 D8 01 9B B3 F1 FF 3F 0A D9 08 AB 1B 1D 18 68 ?? ?? ?? ?? 02 90 02 9B 20 33 00 93 07 E0 06 E0 08 AB 18 68 ?? ?? ?? ?? 03 90 03 9B 00 93 00 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_218_0 {
	meta:
		name = "?characters_read@?$stream_input_adapter@D@__crt_stdio_input@@QBAIXZ"
		size = 30
		altNames = "?characters_read@?$stream_input_adapter@_W@__crt_stdio_input@@QBAIXZ ?end@?$argument_list@D@?A0x5f5c8891@@QBAPAPADXZ ?end@?$argument_list@_W@?A0x5f5c8891@@QBAPAPA_WXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_220_0 {
	meta:
		name = "?characters_read@?$string_input_adapter@D@__crt_stdio_input@@QBAIXZ"
		size = 38
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 08 02 04 9B 12 68 1B 68 D3 1A 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_221_0 {
	meta:
		name = "?characters_read@?$string_input_adapter@_W@__crt_stdio_input@@QBAIXZ"
		size = 40
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 08 02 04 9B 12 68 1B 68 D3 1A 5B 10 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_222_0 {
	meta:
		name = "?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
		size = 994
		refs = "000a __security_push_cookie 0016 ?mantissa_bits@floating_point_value@__crt_strtox@@QBAHXZ 00a0 ??0big_integer@__crt_strtox@@QAA@XZ 00aa ?accumulate_decimal_digits_into_big_integer@__crt_strtox@@YAXQBE0AAUbig_integer@1@@Z 00b8 ?multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 00d6 ?assemble_floating_point_infinity@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 00e2 ?bit_scan_reverse@__crt_strtox@@YAIABUbig_integer@1@@Z 0126 ?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@ABUbig_integer@1@I_N1ABVfloating_point_value@1@@Z 016c ?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z 0194 ?assemble_floating_point_zero@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 01dc ?shift_left@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 0240 ??M__crt_strtox@@YA_NABUbig_integer@0@0@Z 026e ?divide@__crt_strtox@@YA_KAAUbig_integer@1@ABU21@@Z 029a ?bit_scan_reverse@__crt_strtox@@YAI_K@Z 03c6 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z 03d6 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 C9 6D DD F8 5C 06 ?? ?? ?? ?? 2A 90 2A 9B 5B 1C 18 93 DD F8 58 36 1B 68 00 2B 02 DA 00 23 20 93 03 E0 DD F8 58 36 1B 68 20 93 20 9B 0D 93 DD F8 58 36 1B 1D 0D 9A 1B 68 9A 42 02 D2 0D 9B 0E 93 04 E0 DD F8 58 36 1B 1D 1B 68 0E 93 0E 9B 0F 93 0D 9A 0F 9B D3 1A 11 93 DD F8 58 36 08 33 31 93 DD F8 58 36 03 F1 08 02 0F 9B 13 44 10 93 10 9B 13 93 DD F8 58 36 03 F1 08 02 DD F8 58 36 1B 1D 1B 68 13 44 12 93 12 9A 13 9B D3 1A 0A 93 36 A8 ?? ?? ?? ?? 36 AA 10 99 31 98 ?? ?? ?? ?? 11 9B 00 2B 15 D9 11 99 36 A8 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 0B D1 DD F8 5C 16 DD F8 58 36 03 F5 42 73 18 78 ?? ?? ?? ?? 03 23 0B 93 77 E1 36 A8 ?? ?? ?? ?? 24 90 24 9B 05 93 05 9A 18 9B 9A 42 02 D2 0A 9B 00 2B 1B D1 0A 9B 00 2B 03 D0 01 23 8D F8 09 30 02 E0 00 23 8D F8 09 30 DD F8 5C 36 00 93 9D F8 09 30 DD F8 58 26 02 F5 42 72 12 78 05 99 36 A8 ?? ?? ?? ?? 25 90 25 9B 0B 93 4E E1 AA A8 ?? ?? ?? ?? AA AA 12 99 13 98 ?? ?? ?? ?? DD F8 58 36 1B 68 00 2B 07 DA DD F8 58 36 1B 68 5A 42 0A 9B 13 44 14 93 01 E0 0A 9B 14 93 14 9B 26 93 01 22 00 23 0D F5 8F 60 ?? ?? ?? ?? 26 99 0D F5 8F 60 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 0B D1 DD F8 5C 16 DD F8 58 36 03 F5 42 73 18 78 ?? ?? ?? ?? 02 23 0B 93 18 E1 AA A8 ?? ?? ?? ?? 27 90 27 9B 16 93 0D F5 8F 60 ?? ?? ?? ?? 28 90 28 9B 15 93 15 9A 16 9B 9A 42 04 D9 15 9A 16 9B D3 1A 17 93 01 E0 00 23 17 93 17 9B 06 93 06 9B 00 2B 03 D9 06 99 AA A8 ?? ?? ?? ?? 18 9A 05 9B D3 1A 04 93 04 9B 0C 93 05 9B 00 2B 23 D9 06 9A 0C 9B 9A 42 1B D9 0A 9B 00 2B 03 D0 01 23 8D F8 0A 30 02 E0 00 23 8D F8 0A 30 DD F8 5C 36 00 93 9D F8 0A 30 DD F8 58 26 02 F5 42 72 12 78 05 99 36 A8 ?? ?? ?? ?? 29 90 29 9B 0B 93 CE E0 0C 9A 06 9B D3 1A 0C 93 0D F5 8F 61 AA A8 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 03 D0 06 9B 5B 1C 19 93 01 E0 06 9B 19 93 19 9B 2D 93 0C 99 AA A8 ?? ?? ?? ?? 0D F5 8F 61 AA A8 ?? ?? ?? ?? 33 91 32 90 32 9B 08 93 33 9B 09 93 AA 9B 00 2B 02 D1 01 23 1A 93 01 E0 00 23 1A 93 1A 9B DB B2 8D F8 08 30 08 98 09 99 ?? ?? ?? ?? 30 90 30 9B 1B 93 1B 9A 04 9B 9A 42 3A D9 1B 9A 04 9B D3 1A 07 93 9D F8 08 30 00 2B 16 D0 07 9B A3 F1 20 02 01 23 03 FA 02 F1 07 9A 01 23 03 FA 02 F2 00 23 52 1E 99 41 08 9B 1A 40 09 9B 0B 40 13 43 00 2B 02 D1 01 23 1C 93 01 E0 00 23 1C 93 1C 9B DB B2 8D F8 08 30 08 9A 07 9B 22 FA 03 F1 07 9B C3 F1 20 02 09 9B 93 40 19 43 07 9B A3 F1 20 02 09 9B D3 40 19 43 09 9A 07 9B 22 FA 03 F3 08 91 09 93 36 9B 00 2B 03 D9 37 AB 1B 68 1D 93 01 E0 00 23 1D 93 1D 9B 2B 93 36 9B 01 2B 04 D9 37 AB 1B 1D 1B 68 1E 93 01 E0 00 23 1E 93 1E 9B 2C 93 2B 9A 2C 9B 22 92 23 93 23 9A 04 9B 02 FA 03 F1 04 9B C3 F1 20 02 22 9B D3 40 41 EA 03 04 04 9B A3 F1 20 02 22 9B 03 FA 02 F1 22 9A 04 9B 02 FA 03 F0 21 43 08 9A 09 9B 12 18 4B 41 34 92 35 93 05 9B 00 2B 03 D9 05 9B 9B 1E 1F 93 03 E0 2D 9B 5B 42 5B 1E 1F 93 1F 9B 2E 93 DD F8 5C 36 01 93 9D F8 08 30 00 93 DD F8 58 36 03 F5 42 73 1B 78 2E 9A 34 98 35 99 ?? ?? ?? ?? 2F 90 2F 9B 0B 93 0B 98 0D F5 C9 6D ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_331_223_0 {
	meta:
		name = "?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
		size = 294
		refs = "0014 ?mantissa_bits@floating_point_value@__crt_strtox@@QBAHXZ 0046 ?normal_mantissa_mask@floating_point_value@__crt_strtox@@QBA_KXZ 0110 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 00 23 0E 93 00 23 0F 93 19 98 ?? ?? ?? ?? 09 90 18 9B 1A 68 09 9B 13 44 5B 1E 04 93 18 9B 03 F1 08 02 18 9B 1B 1D 1B 68 13 44 07 93 18 9B 08 33 03 93 03 9A 07 9B 9A 42 38 D0 19 98 ?? ?? ?? ?? 11 91 10 90 0E 9B 12 93 0F 9B 13 93 10 9B 14 93 11 9B 15 93 12 9B 0A 93 14 9B 0B 93 13 9A 15 9B 9A 42 23 D8 03 D3 0A 9A 0B 9B 9A 42 1E D8 0E 9A 0F 9B 05 92 18 01 05 9B 19 0F 05 9B 1A 01 40 EA 01 03 0E 92 0F 93 03 9B 1B 78 06 93 06 98 06 9B D9 17 0E 9A 0F 9B 12 18 4B 41 0E 92 0F 93 03 9B 5B 1C 03 93 04 9B 1B 1F 04 93 C2 E7 01 23 8D F8 08 30 03 9A 07 9B 9A 42 19 D0 9D F8 08 30 00 2B 15 D0 9D F8 08 30 00 2B 0A D0 03 9B 1B 78 00 2B 03 9B 03 F1 01 03 03 93 02 D1 01 23 08 93 01 E0 00 23 08 93 08 9B DB B2 8D F8 08 30 E1 E7 19 9B 01 93 9D F8 08 30 00 93 18 9B 03 F5 42 73 1B 78 04 9A 0E 98 0F 99 ?? ?? ?? ?? 0C 90 0C 9B 0D 93 0D 98 16 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_226_0 {
	meta:
		name = "?data@?$scanset_storage@$01@__crt_stdio_input@@QBAPAEXZ"
		size = 108
		refs = "000c ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBA_NXZ 002c _calloc_dbg 0036 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@QAE@Z 0044 ??4?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAAAV0@$$QAV0@@Z 004a ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@XZ 0050 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBAPAEXZ 0068 ??_C@_0DH@PKLJEKJC@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 18 D1 40 F2 0B 13 00 93 11 4B 02 22 01 21 4F F4 00 50 ?? ?? ?? ?? 03 90 03 99 06 A8 ?? ?? ?? ?? 04 90 04 9B 05 93 05 99 0C 98 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 0C 98 ?? ?? ?? ?? 07 90 07 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_227_0 {
	meta:
		name = "?denormal_mantissa_mask@floating_point_value@__crt_strtox@@QBA_KXZ"
		size = 70
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 1D 1B 78 00 2B 07 D0 6F F0 00 03 00 93 01 23 1B 05 5B 1E 01 93 05 E0 01 23 DB 05 5B 1E 00 93 00 23 01 93 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_229_0 {
	meta:
		name = "?error_code@?$format_string_parser@D@__crt_stdio_input@@QBAHXZ"
		size = 30
		altNames = "?error_code@?$format_string_parser@_W@__crt_stdio_input@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 0C 33 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_231_0 {
	meta:
		name = "?exponent_bias@floating_point_value@__crt_strtox@@QBAHXZ"
		size = 48
		altNames = "?maximum_binary_exponent@floating_point_value@__crt_strtox@@QBAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 03 D0 40 F2 FF 33 00 93 01 E0 7F 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_233_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ"
		size = 190
		refs = "008e ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 10 33 01 93 01 9B 19 68 01 9B 5A 68 00 23 49 1C 5A 41 10 9B 10 33 02 93 02 9B 19 60 02 9B 5A 60 10 9B 08 33 03 93 03 9B 1B 68 0A 93 03 9B 5B 68 0B 93 0B 9A 0A 9B 13 43 00 2B 20 D0 10 9B 03 F1 10 01 10 9B 03 F1 08 02 04 91 04 9B 1B 68 0C 93 04 9B 5B 68 0D 93 05 92 0C 9B 07 93 05 9B 1B 68 08 93 0D 9A 05 9B 5B 68 9A 42 08 D3 03 D8 07 9A 08 9B 9A 42 03 D9 00 23 8D F8 00 30 12 E0 10 9B 18 68 ?? ?? ?? ?? 09 90 09 9B 06 93 06 9B B3 F1 FF 3F 03 D1 00 23 8D F8 00 30 03 E0 06 9B 5B B2 8D F8 00 30 9D F9 00 00 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_235_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ"
		size = 190
		refs = "008e ?get@?$string_input_adapter@D@__crt_stdio_input@@QAAHXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 10 33 01 93 01 9B 19 68 01 9B 5A 68 00 23 49 1C 5A 41 10 9B 10 33 02 93 02 9B 19 60 02 9B 5A 60 10 9B 08 33 03 93 03 9B 1B 68 0A 93 03 9B 5B 68 0B 93 0B 9A 0A 9B 13 43 00 2B 20 D0 10 9B 03 F1 10 01 10 9B 03 F1 08 02 04 91 04 9B 1B 68 0C 93 04 9B 5B 68 0D 93 05 92 0C 9B 07 93 05 9B 1B 68 08 93 0D 9A 05 9B 5B 68 9A 42 08 D3 03 D8 07 9A 08 9B 9A 42 03 D9 00 23 8D F8 00 30 12 E0 10 9B 18 68 ?? ?? ?? ?? 09 90 09 9B 06 93 06 9B B3 F1 FF 3F 03 D1 00 23 8D F8 00 30 03 E0 06 9B 5B B2 8D F8 00 30 9D F9 00 00 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_234_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ"
		size = 200
		refs = "008e ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 10 33 02 93 02 9B 19 68 02 9B 5A 68 00 23 49 1C 5A 41 10 9B 10 33 03 93 03 9B 19 60 03 9B 5A 60 10 9B 08 33 04 93 04 9B 1B 68 0A 93 04 9B 5B 68 0B 93 0B 9A 0A 9B 13 43 00 2B 20 D0 10 9B 03 F1 10 01 10 9B 03 F1 08 02 05 91 05 9B 1B 68 0C 93 05 9B 5B 68 0D 93 06 92 0C 9B 07 93 06 9B 1B 68 08 93 0D 9A 06 9B 5B 68 9A 42 08 D3 03 D8 07 9A 08 9B 9A 42 03 D9 00 23 AD F8 04 30 17 E0 10 9B 18 68 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 00 30 BD F8 00 20 4F F6 FF 73 9A 42 03 D1 00 23 AD F8 04 30 03 E0 BD F8 00 30 AD F8 04 30 BD F8 04 00 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_236_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ"
		size = 200
		refs = "008e ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAAGXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 10 33 02 93 02 9B 19 68 02 9B 5A 68 00 23 49 1C 5A 41 10 9B 10 33 03 93 03 9B 19 60 03 9B 5A 60 10 9B 08 33 04 93 04 9B 1B 68 0A 93 04 9B 5B 68 0B 93 0B 9A 0A 9B 13 43 00 2B 20 D0 10 9B 03 F1 10 01 10 9B 03 F1 08 02 05 91 05 9B 1B 68 0C 93 05 9B 5B 68 0D 93 06 92 0C 9B 07 93 06 9B 1B 68 08 93 0D 9A 06 9B 5B 68 9A 42 08 D3 03 D8 07 9A 08 9B 9A 42 03 D9 00 23 AD F8 04 30 17 E0 10 9B 18 68 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 00 30 BD F8 00 20 4F F6 FF 73 9A 42 03 D1 00 23 AD F8 04 30 03 E0 BD F8 00 30 AD F8 04 30 BD F8 04 00 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_237_0 {
	meta:
		name = "?get@?$stream_input_adapter@D@__crt_stdio_input@@QAAHXZ"
		size = 72
		refs = "000c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0018 ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 A8 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B B3 F1 FF 3F 06 D0 08 9B 1B 1D 1B 68 5A 1C 08 9B 1B 1D 1A 60 00 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_238_0 {
	meta:
		name = "?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAAGXZ"
		size = 88
		refs = "000c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0018 ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F8 02 30 AD F8 00 30 BD F8 00 20 4F F6 FF 73 9A 42 06 D0 06 9B 1B 1D 1B 68 5A 1C 06 9B 1B 1D 1A 60 BD F8 00 30 AD F8 0C 30 BD F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_239_0 {
	meta:
		name = "?get@?$string_input_adapter@D@__crt_stdio_input@@QAAHXZ"
		size = 80
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 08 02 04 9B 1B 1D 12 68 1B 68 9A 42 03 D1 6F F0 00 03 00 93 0F E0 04 9B 08 33 1B 68 93 F9 00 30 DB B2 01 93 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 01 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_240_0 {
	meta:
		name = "?get@?$string_input_adapter@_W@__crt_stdio_input@@QAAGXZ"
		size = 86
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 08 02 04 9B 1B 1D 12 68 1B 68 9A 42 04 D1 4F F6 FF 73 AD F8 04 30 10 E0 04 9B 08 33 1B 68 1B 88 AD F8 00 30 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_242_0 {
	meta:
		name = "?invert@?$scanset_buffer@E@__crt_stdio_input@@QAAXXZ"
		size = 84
		refs = "000c ?data@?$scanset_storage@$00@__crt_stdio_input@@QBAPAEXZ 0018 ?size@?$scanset_storage@$00@__crt_stdio_input@@QBAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 08 98 ?? ?? ?? ?? 03 90 01 9A 03 9B 13 44 04 93 01 9B 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 04 9B 9A 42 07 D0 00 9B 1B 78 83 F0 FF 03 DA B2 00 9B 1A 70 F0 E7 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_243_0 {
	meta:
		name = "?invert@?$scanset_buffer@_W@__crt_stdio_input@@QAAXXZ"
		size = 84
		refs = "000c ?data@?$scanset_storage@$01@__crt_stdio_input@@QBAPAEXZ 0018 ?size@?$scanset_storage@$01@__crt_stdio_input@@QBAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 02 90 02 9B 01 93 08 98 ?? ?? ?? ?? 03 90 01 9A 03 9B 13 44 04 93 01 9B 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 04 9B 9A 42 07 D0 00 9B 1B 78 83 F0 FF 03 DA B2 00 9B 1A 70 F0 E7 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_244_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@H@Z"
		size = 170
		refs = "006a ?scanset@?$format_string_parser@D@__crt_stdio_input@@QBAABV?$scanset_buffer@E@2@XZ 0076 ?test@?$scanset_buffer@E@__crt_stdio_input@@QBA_NE@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B B3 F1 FF 3F 03 D1 00 23 8D F8 04 30 40 E0 07 9B 02 93 02 9B 00 2B 06 D0 02 9B 01 2B 07 D0 02 9B 08 2B 19 D0 31 E0 01 23 8D F8 04 30 30 E0 08 9B 09 2B 06 DB 08 9B 0D 2B 03 DC 00 23 8D F8 04 30 26 E0 08 9B 20 2B 03 D1 00 23 8D F8 04 30 1F E0 01 23 8D F8 04 30 1B E0 06 9B 03 F1 10 00 ?? ?? ?? ?? 03 90 08 9B D9 B2 03 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 06 E0 01 23 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_245_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@H@Z"
		size = 170
		refs = "006a ?scanset@?$format_string_parser@D@__crt_stdio_input@@QBAABV?$scanset_buffer@E@2@XZ 0076 ?test@?$scanset_buffer@E@__crt_stdio_input@@QBA_NE@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B B3 F1 FF 3F 03 D1 00 23 8D F8 04 30 40 E0 07 9B 02 93 02 9B 00 2B 06 D0 02 9B 01 2B 07 D0 02 9B 08 2B 19 D0 31 E0 01 23 8D F8 04 30 30 E0 08 9B 09 2B 06 DB 08 9B 0D 2B 03 DC 00 23 8D F8 04 30 26 E0 08 9B 20 2B 03 D1 00 23 8D F8 04 30 1F E0 01 23 8D F8 04 30 1B E0 06 9B 03 F1 18 00 ?? ?? ?? ?? 03 90 08 9B D9 B2 03 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 06 E0 01 23 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_246_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@G@Z"
		size = 180
		refs = "0074 ?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBAABV?$scanset_buffer@_W@2@XZ 0080 ?test@?$scanset_buffer@_W@__crt_stdio_input@@QBA_N_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 BD F8 20 20 4F F6 FF 73 9A 42 03 D1 00 23 8D F8 04 30 43 E0 07 9B 02 93 02 9B 00 2B 06 D0 02 9B 01 2B 07 D0 02 9B 08 2B 1C D0 34 E0 01 23 8D F8 04 30 33 E0 BD F8 20 30 09 2B 07 DB BD F8 20 30 0D 2B 03 DC 00 23 8D F8 04 30 27 E0 BD F8 20 30 20 2B 03 D1 00 23 8D F8 04 30 1F E0 01 23 8D F8 04 30 1B E0 06 9B 03 F1 10 00 ?? ?? ?? ?? 03 90 BD F8 20 10 03 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 06 E0 01 23 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_247_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@G@Z"
		size = 180
		refs = "0074 ?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBAABV?$scanset_buffer@_W@2@XZ 0080 ?test@?$scanset_buffer@_W@__crt_stdio_input@@QBA_N_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 BD F8 20 20 4F F6 FF 73 9A 42 03 D1 00 23 8D F8 04 30 43 E0 07 9B 02 93 02 9B 00 2B 06 D0 02 9B 01 2B 07 D0 02 9B 08 2B 1C D0 34 E0 01 23 8D F8 04 30 33 E0 BD F8 20 30 09 2B 07 DB BD F8 20 30 0D 2B 03 DC 00 23 8D F8 04 30 27 E0 BD F8 20 30 20 2B 03 D1 00 23 8D F8 04 30 1F E0 01 23 8D F8 04 30 1B E0 06 9B 03 F1 18 00 ?? ?? ?? ?? 03 90 BD F8 20 10 03 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 06 E0 01 23 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_249_0 {
	meta:
		name = "?is_double@floating_point_value@__crt_strtox@@QBA_NXZ"
		size = 34
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_250_0 {
	meta:
		name = "?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z"
		size = 76
		refs = "0048 ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 0C 23 02 FB 03 F2 0D 4B 99 18 05 9A 01 23 02 FB 03 F3 0B 44 1B 78 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_252_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "0010 iswctype"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 08 21 BD F8 18 00 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_254_0 {
	meta:
		name = "?is_usable@?$scanset_buffer@E@__crt_stdio_input@@QAA_NXZ"
		size = 56
		refs = "000c ?data@?$scanset_storage@$00@__crt_stdio_input@@QBAPAEXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_255_0 {
	meta:
		name = "?is_usable@?$scanset_buffer@_W@__crt_stdio_input@@QAA_NXZ"
		size = 56
		refs = "000c ?data@?$scanset_storage@$01@__crt_stdio_input@@QBAPAEXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_257_0 {
	meta:
		name = "?kind@?$format_string_parser@D@__crt_stdio_input@@QBA?AW4format_directive_kind@2@XZ"
		size = 30
		altNames = "?kind@?$format_string_parser@_W@__crt_stdio_input@@QBA?AW4format_directive_kind@2@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 10 33 1B 68 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_259_0 {
	meta:
		name = "?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ"
		size = 172
		refs = "0026 _CrtDbgReportW 0072 ?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 0084 ?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 00a0 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a8 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 10 33 1B 68 04 2B 0F D0 24 4B 01 93 22 4B 00 93 00 23 40 F2 3E 22 1F 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 0A 9B 28 33 1B 68 03 93 03 9B 09 2B 26 D8 03 9A DF E8 02 F0 05 05 12 12 12 12 12 1B 05 12 0A 9B 24 33 1B 78 00 2B 02 D0 02 23 04 93 01 E0 01 23 04 93 04 9B 02 93 13 E0 0A 9B 20 33 18 68 ?? ?? ?? ?? 06 90 06 9B 02 93 0A E0 0A 9B 20 33 18 68 ?? ?? ?? ?? 07 90 07 9B 02 93 01 E0 00 23 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_260_0 {
	meta:
		name = "?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ"
		size = 172
		refs = "0026 _CrtDbgReportW 0072 ?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 0084 ?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 00a0 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a8 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 10 33 1B 68 04 2B 0F D0 24 4B 01 93 22 4B 00 93 00 23 40 F2 3E 22 1F 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 0A 9B 30 33 1B 68 03 93 03 9B 09 2B 26 D8 03 9A DF E8 02 F0 05 05 12 12 12 12 12 1B 05 12 0A 9B 2C 33 1B 78 00 2B 02 D0 02 23 04 93 01 E0 01 23 04 93 04 9B 02 93 13 E0 0A 9B 28 33 18 68 ?? ?? ?? ?? 06 90 06 9B 02 93 0A E0 0A 9B 28 33 18 68 ?? ?? ?? ?? 07 90 07 9B 02 93 01 E0 00 23 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_261_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QBAEXZ"
		size = 88
		refs = "0026 _CrtDbgReportW 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 10 33 1B 68 03 2B 0F D0 0F 4B 01 93 0D 4B 00 93 00 23 40 F2 26 22 0A 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 14 33 1B 78 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_262_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QBA_WXZ"
		size = 88
		refs = "0026 _CrtDbgReportW 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 10 33 1B 68 03 2B 0F D0 0F 4B 01 93 0D 4B 00 93 00 23 40 F2 26 22 0A 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 14 33 1B 88 AD F8 0C 30 BD F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_263_0 {
	meta:
		name = "?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QBAEXZ"
		size = 88
		refs = "0026 _CrtDbgReportW 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 10 33 1B 68 03 2B 0F D0 0F 4B 01 93 0D 4B 00 93 00 23 4F F4 0B 72 0A 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 15 33 1B 78 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_265_0 {
	meta:
		name = "?mantissa_bits@floating_point_value@__crt_strtox@@QBAHXZ"
		size = 46
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 02 D0 35 23 00 93 01 E0 18 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_267_0 {
	meta:
		name = "?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
		size = 36
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 6F F0 00 03 00 93 6F F0 00 43 01 93 00 98 01 99 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_268_0 {
	meta:
		name = "?minimum_binary_exponent@floating_point_value@__crt_strtox@@QBAHXZ"
		size = 52
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 1D 1B 78 00 2B 02 D0 06 4B 00 93 02 E0 6F F0 7D 03 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB 02 FC FF FF }
	condition:
		$1
}

rule file_331_269_0 {
	meta:
		name = "?minimum_signed_value@__crt_strtox@@YA_J_K@Z"
		size = 34
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 4F F0 00 43 01 93 00 98 01 99 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_270_0 {
	meta:
		name = "?mode@?$format_string_parser@D@__crt_stdio_input@@QBA?AW4conversion_mode@2@XZ"
		size = 84
		refs = "0026 _CrtDbgReportW 0048 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0050 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 10 33 1B 68 04 2B 0F D0 0E 4B 01 93 0C 4B 00 93 00 23 40 F2 57 22 09 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 28 33 1B 68 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_271_0 {
	meta:
		name = "?mode@?$format_string_parser@_W@__crt_stdio_input@@QBA?AW4conversion_mode@2@XZ"
		size = 84
		refs = "0026 _CrtDbgReportW 0048 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0050 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 10 33 1B 68 04 2B 0F D0 0E 4B 01 93 0C 4B 00 93 00 23 40 F2 57 22 09 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 30 33 1B 68 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_277_0 {
	meta:
		name = "?normal_mantissa_mask@floating_point_value@__crt_strtox@@QBA_KXZ"
		size = 68
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 1B 1D 1B 78 00 2B 07 D0 6F F0 00 03 00 93 01 23 5B 05 5B 1E 01 93 04 E0 6F F0 7F 43 00 93 00 23 01 93 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_279_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAI_W@Z"
		size = 132
		refs = "000e ?wide_character_to_digit@__crt_strtox@@YAH_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 BD F8 18 00 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B B3 F1 FF 3F 02 D0 01 9B 00 93 28 E0 BD F8 18 30 41 2B 03 DB BD F8 18 30 5A 2B 07 DD BD F8 18 30 61 2B 19 DB BD F8 18 30 7A 2B 15 DC BD F8 18 30 61 2B 09 DB BD F8 18 30 7A 2B 05 DC BD F8 18 30 61 3B 41 33 02 93 02 E0 BD F8 18 30 02 93 02 9B 41 3B 0A 33 00 93 02 E0 6F F0 00 03 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_280_0 {
	meta:
		name = "?process@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAAHXZ"
		size = 348
		refs = "0010 ?validate@?$stream_input_adapter@D@__crt_stdio_input@@QBA_NXZ 002e ?validate@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 004c ?advance@?$format_string_parser@D@__crt_stdio_input@@QAA_NXZ 005e ?process_state@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 008a ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAAHXZ 00aa ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAAXH@Z 00b0 ?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 00c6 ?error_code@?$format_string_parser@D@__crt_stdio_input@@QBAHXZ 00f8 _CrtDbgReportW 0118 _errno 0132 _invalid_parameter 014c ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 0150 ??_C@_1MO@NIEGHDEO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0154 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0158 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 03 F1 08 00 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 6F F0 00 03 04 93 8B E0 10 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 04 93 7C E0 10 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 0A D0 10 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 00 D1 00 E0 E9 E7 10 9B 68 33 1B 68 05 93 10 9B 6C 33 1B 68 00 2B 14 D1 10 9B 03 F1 08 00 ?? ?? ?? ?? 09 90 09 9B 06 93 06 9B B3 F1 FF 3F 02 D1 6F F0 00 03 05 93 06 99 10 9B 03 F1 08 00 ?? ?? ?? ?? 10 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 3D D0 10 9B 03 F1 10 00 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 19 4B 01 93 1B 4B 00 93 00 23 40 F2 5B 42 17 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 17 D1 10 9B 03 F1 10 00 ?? ?? ?? ?? 0C 90 ?? ?? ?? ?? 0D 90 0C 9A 0D 9B 1A 60 00 23 00 93 40 F2 5B 43 09 4A 08 49 06 48 ?? ?? ?? ?? 05 9B 04 93 01 E0 05 9B 04 93 04 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_281_0 {
	meta:
		name = "?process@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAAHXZ"
		size = 348
		refs = "0010 ?validate@?$string_input_adapter@D@__crt_stdio_input@@QAA_NXZ 002e ?validate@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 004c ?advance@?$format_string_parser@D@__crt_stdio_input@@QAA_NXZ 005e ?process_state@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 008a ?get@?$string_input_adapter@D@__crt_stdio_input@@QAAHXZ 00aa ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAAXH@Z 00b0 ?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 00c6 ?error_code@?$format_string_parser@D@__crt_stdio_input@@QBAHXZ 00f8 _CrtDbgReportW 0118 _errno 0132 _invalid_parameter 014c ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 0150 ??_C@_1MO@OMPGGAA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0154 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0158 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 03 F1 08 00 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 6F F0 00 03 04 93 8B E0 10 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 04 93 7C E0 10 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 0A D0 10 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 00 D1 00 E0 E9 E7 10 9B 70 33 1B 68 05 93 10 9B 74 33 1B 68 00 2B 14 D1 10 9B 03 F1 08 00 ?? ?? ?? ?? 09 90 09 9B 06 93 06 9B B3 F1 FF 3F 02 D1 6F F0 00 03 05 93 06 99 10 9B 03 F1 08 00 ?? ?? ?? ?? 10 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 3D D0 10 9B 03 F1 18 00 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 19 4B 01 93 1B 4B 00 93 00 23 40 F2 5B 42 17 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 17 D1 10 9B 03 F1 18 00 ?? ?? ?? ?? 0C 90 ?? ?? ?? ?? 0D 90 0C 9A 0D 9B 1A 60 00 23 00 93 40 F2 5B 43 09 4A 08 49 06 48 ?? ?? ?? ?? 05 9B 04 93 01 E0 05 9B 04 93 04 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_282_0 {
	meta:
		name = "?process@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAAHXZ"
		size = 360
		refs = "0010 ?validate@?$stream_input_adapter@_W@__crt_stdio_input@@QBA_NXZ 002e ?validate@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 004c ?advance@?$format_string_parser@_W@__crt_stdio_input@@QAA_NXZ 005e ?process_state@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 008a ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAAGXZ 00b6 ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAAXG@Z 00bc ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 00d2 ?error_code@?$format_string_parser@_W@__crt_stdio_input@@QBAHXZ 0104 _CrtDbgReportW 0124 _errno 013e _invalid_parameter 0158 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 015c ??_C@_1NK@EEOJFCHD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0160 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0164 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 03 F1 08 00 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 6F F0 00 03 05 93 91 E0 10 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 05 93 82 E0 10 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 0A D0 10 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 00 D1 00 E0 E9 E7 10 9B 50 33 1B 68 06 93 10 9B 54 33 1B 68 00 2B 1A D1 10 9B 03 F1 08 00 ?? ?? ?? ?? AD F8 10 00 BD F8 10 30 AD F8 0E 30 BD F8 0E 20 4F F6 FF 73 9A 42 02 D1 6F F0 00 03 06 93 BD F8 0E 10 10 9B 03 F1 08 00 ?? ?? ?? ?? 10 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 3D D0 10 9B 03 F1 10 00 ?? ?? ?? ?? 09 90 09 9B 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 19 4B 01 93 1B 4B 00 93 00 23 40 F2 5B 42 17 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 08 9B 00 2B 17 D1 10 9B 03 F1 10 00 ?? ?? ?? ?? 0B 90 ?? ?? ?? ?? 0C 90 0B 9A 0C 9B 1A 60 00 23 00 93 40 F2 5B 43 09 4A 08 49 06 48 ?? ?? ?? ?? 06 9B 05 93 01 E0 06 9B 05 93 05 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_283_0 {
	meta:
		name = "?process@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAAHXZ"
		size = 360
		refs = "0010 ?validate@?$string_input_adapter@_W@__crt_stdio_input@@QAA_NXZ 002e ?validate@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 004c ?advance@?$format_string_parser@_W@__crt_stdio_input@@QAA_NXZ 005e ?process_state@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 008a ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAAGXZ 00b6 ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAAXG@Z 00bc ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ 00d2 ?error_code@?$format_string_parser@_W@__crt_stdio_input@@QBAHXZ 0104 _CrtDbgReportW 0124 _errno 013e _invalid_parameter 0158 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 015c ??_C@_1NK@MAOOJBKO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0160 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0164 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 03 F1 08 00 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D1 6F F0 00 03 05 93 91 E0 10 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D1 6F F0 00 03 05 93 82 E0 10 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 0A D0 10 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 00 D1 00 E0 E9 E7 10 9B 58 33 1B 68 06 93 10 9B 5C 33 1B 68 00 2B 1A D1 10 9B 03 F1 08 00 ?? ?? ?? ?? AD F8 10 00 BD F8 10 30 AD F8 0E 30 BD F8 0E 20 4F F6 FF 73 9A 42 02 D1 6F F0 00 03 06 93 BD F8 0E 10 10 9B 03 F1 08 00 ?? ?? ?? ?? 10 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 3D D0 10 9B 03 F1 18 00 ?? ?? ?? ?? 09 90 09 9B 00 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 19 4B 01 93 1B 4B 00 93 00 23 40 F2 5B 42 17 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 08 9B 00 2B 17 D1 10 9B 03 F1 18 00 ?? ?? ?? ?? 0B 90 ?? ?? ?? ?? 0C 90 0B 9A 0C 9B 1A 60 00 23 00 93 40 F2 5B 43 09 4A 08 49 06 48 ?? ?? ?? ?? 06 9B 05 93 01 E0 06 9B 05 93 05 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_284_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 92
		refs = "0010 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 002e ?characters_read@?$stream_input_adapter@D@__crt_stdio_input@@QBAIXZ 003e ?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 12 E0 08 9B 03 F1 08 00 ?? ?? ?? ?? 04 90 00 23 00 93 04 9A 00 23 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_286_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 92
		refs = "0010 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 002e ?characters_read@?$stream_input_adapter@_W@__crt_stdio_input@@QBAIXZ 003e ?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 12 E0 08 9B 03 F1 08 00 ?? ?? ?? ?? 04 90 00 23 00 93 04 9A 00 23 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_285_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 92
		refs = "0010 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 002e ?characters_read@?$string_input_adapter@D@__crt_stdio_input@@QBAIXZ 003e ?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 12 E0 08 9B 03 F1 08 00 ?? ?? ?? ?? 04 90 00 23 00 93 04 9A 00 23 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_287_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 92
		refs = "0010 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 002e ?characters_read@?$string_input_adapter@_W@__crt_stdio_input@@QBAIXZ 003e ?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 03 D0 01 23 8D F8 0C 30 12 E0 08 9B 03 F1 08 00 ?? ?? ?? ?? 04 90 00 23 00 93 04 9A 00 23 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_288_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 294
		refs = "0010 ?mode@?$format_string_parser@D@__crt_stdio_input@@QBA?AW4conversion_mode@2@XZ 0034 ?process_string_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z 0078 ?process_integer_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z 00ec ?process_floating_point_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0100 ?process_character_count_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 10 00 ?? ?? ?? ?? 05 90 05 9B 04 93 04 9B 09 2B 78 D8 04 9A DF E8 02 F0 05 10 26 32 3E 4A 56 62 1B 6C 00 21 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 0C 30 68 E0 01 21 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 0C 30 5D E0 08 21 08 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 8D F8 0C 30 52 E0 01 22 00 21 08 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 8D F8 0C 30 46 E0 01 22 0A 21 08 98 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 8D F8 0C 30 3A E0 00 22 08 21 08 98 ?? ?? ?? ?? 8D F8 05 00 9D F8 05 30 8D F8 0C 30 2E E0 00 22 0A 21 08 98 ?? ?? ?? ?? 8D F8 06 00 9D F8 06 30 8D F8 0C 30 22 E0 00 22 10 21 08 98 ?? ?? ?? ?? 8D F8 07 00 9D F8 07 30 8D F8 0C 30 16 E0 08 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 0C E0 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 02 E0 00 23 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_290_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 294
		refs = "0010 ?mode@?$format_string_parser@_W@__crt_stdio_input@@QBA?AW4conversion_mode@2@XZ 0034 ?process_string_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z 0078 ?process_integer_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z 00ec ?process_floating_point_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0100 ?process_character_count_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 10 00 ?? ?? ?? ?? 05 90 05 9B 04 93 04 9B 09 2B 78 D8 04 9A DF E8 02 F0 05 10 26 32 3E 4A 56 62 1B 6C 00 21 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 0C 30 68 E0 01 21 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 0C 30 5D E0 08 21 08 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 8D F8 0C 30 52 E0 01 22 00 21 08 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 8D F8 0C 30 46 E0 01 22 0A 21 08 98 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 8D F8 0C 30 3A E0 00 22 08 21 08 98 ?? ?? ?? ?? 8D F8 05 00 9D F8 05 30 8D F8 0C 30 2E E0 00 22 0A 21 08 98 ?? ?? ?? ?? 8D F8 06 00 9D F8 06 30 8D F8 0C 30 22 E0 00 22 10 21 08 98 ?? ?? ?? ?? 8D F8 07 00 9D F8 07 30 8D F8 0C 30 16 E0 08 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 0C E0 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 02 E0 00 23 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_289_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 294
		refs = "0010 ?mode@?$format_string_parser@D@__crt_stdio_input@@QBA?AW4conversion_mode@2@XZ 0034 ?process_string_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z 0078 ?process_integer_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z 00ec ?process_floating_point_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0100 ?process_character_count_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 18 00 ?? ?? ?? ?? 05 90 05 9B 04 93 04 9B 09 2B 78 D8 04 9A DF E8 02 F0 05 10 26 32 3E 4A 56 62 1B 6C 00 21 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 0C 30 68 E0 01 21 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 0C 30 5D E0 08 21 08 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 8D F8 0C 30 52 E0 01 22 00 21 08 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 8D F8 0C 30 46 E0 01 22 0A 21 08 98 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 8D F8 0C 30 3A E0 00 22 08 21 08 98 ?? ?? ?? ?? 8D F8 05 00 9D F8 05 30 8D F8 0C 30 2E E0 00 22 0A 21 08 98 ?? ?? ?? ?? 8D F8 06 00 9D F8 06 30 8D F8 0C 30 22 E0 00 22 10 21 08 98 ?? ?? ?? ?? 8D F8 07 00 9D F8 07 30 8D F8 0C 30 16 E0 08 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 0C E0 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 02 E0 00 23 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_291_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 294
		refs = "0010 ?mode@?$format_string_parser@_W@__crt_stdio_input@@QBA?AW4conversion_mode@2@XZ 0034 ?process_string_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z 0078 ?process_integer_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z 00ec ?process_floating_point_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0100 ?process_character_count_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 18 00 ?? ?? ?? ?? 05 90 05 9B 04 93 04 9B 09 2B 78 D8 04 9A DF E8 02 F0 05 10 26 32 3E 4A 56 62 1B 6C 00 21 08 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 0C 30 68 E0 01 21 08 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 0C 30 5D E0 08 21 08 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 8D F8 0C 30 52 E0 01 22 00 21 08 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 8D F8 0C 30 46 E0 01 22 0A 21 08 98 ?? ?? ?? ?? 8D F8 04 00 9D F8 04 30 8D F8 0C 30 3A E0 00 22 08 21 08 98 ?? ?? ?? ?? 8D F8 05 00 9D F8 05 30 8D F8 0C 30 2E E0 00 22 0A 21 08 98 ?? ?? ?? ?? 8D F8 06 00 9D F8 06 30 8D F8 0C 30 22 E0 00 22 10 21 08 98 ?? ?? ?? ?? 8D F8 07 00 9D F8 07 30 8D F8 0C 30 16 E0 08 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 8D F8 0C 30 0C E0 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 0C 30 02 E0 00 23 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_292_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 106
		refs = "000c ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0016 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0030 ??$process_floating_point_specifier_t@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0044 ??$process_floating_point_specifier_t@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 06 9B 03 F1 10 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 04 2B 03 D0 02 9B 08 2B 0A D0 13 E0 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 0C E0 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_294_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 106
		refs = "000c ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0016 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 0030 ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0044 ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 06 9B 03 F1 10 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 04 2B 03 D0 02 9B 08 2B 0A D0 13 E0 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 0C E0 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_293_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 106
		refs = "000c ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0016 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0030 ??$process_floating_point_specifier_t@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0044 ??$process_floating_point_specifier_t@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 06 9B 03 F1 18 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 04 2B 03 D0 02 9B 08 2B 0A D0 13 E0 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 0C E0 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_295_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 106
		refs = "000c ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0016 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 0030 ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0044 ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 06 9B 03 F1 18 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 04 2B 03 D0 02 9B 08 2B 0A D0 13 E0 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 0C E0 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_296_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z"
		size = 180
		refs = "000c ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0020 ?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ 0036 ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 004e ??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 0074 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 0096 ?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 18 98 ?? ?? ?? ?? 00 23 8D F8 08 30 0E AB 04 93 18 9B 03 F1 10 00 ?? ?? ?? ?? 09 91 08 90 02 AB 00 93 08 9A 09 9B 18 99 08 31 04 98 ?? ?? ?? ?? 05 90 05 9B 06 93 9D F8 68 30 19 9A 06 99 18 98 60 30 00 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9B 0C 93 0B 9B 0D 93 9D F8 08 30 00 2B 03 D1 00 23 8D F8 0C 30 1B E0 18 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 0C E0 01 23 00 93 0C 9A 0D 9B 18 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 16 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_297_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z"
		size = 180
		refs = "000c ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0020 ?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ 0036 ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 004e ??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 0074 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 0096 ?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 18 98 ?? ?? ?? ?? 00 23 8D F8 08 30 0E AB 04 93 18 9B 03 F1 18 00 ?? ?? ?? ?? 09 91 08 90 02 AB 00 93 08 9A 09 9B 18 99 08 31 04 98 ?? ?? ?? ?? 05 90 05 9B 06 93 9D F8 68 30 19 9A 06 99 18 98 68 30 00 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9B 0C 93 0B 9B 0D 93 9D F8 08 30 00 2B 03 D1 00 23 8D F8 0C 30 1B E0 18 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 0C E0 01 23 00 93 0C 9A 0D 9B 18 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 16 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_298_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z"
		size = 180
		refs = "000c ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0020 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ 0036 ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 004e ??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 0074 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 0096 ?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 18 98 ?? ?? ?? ?? 00 23 8D F8 08 30 0E AB 04 93 18 9B 03 F1 10 00 ?? ?? ?? ?? 09 91 08 90 02 AB 00 93 08 9A 09 9B 18 99 08 31 04 98 ?? ?? ?? ?? 05 90 05 9B 06 93 9D F8 68 30 19 9A 06 99 18 98 48 30 00 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9B 0C 93 0B 9B 0D 93 9D F8 08 30 00 2B 03 D1 00 23 8D F8 0C 30 1B E0 18 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 0C E0 01 23 00 93 0C 9A 0D 9B 18 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 16 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_299_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z"
		size = 180
		refs = "000c ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0020 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ 0036 ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 004e ??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 0074 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 0096 ?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 18 98 ?? ?? ?? ?? 00 23 8D F8 08 30 0E AB 04 93 18 9B 03 F1 18 00 ?? ?? ?? ?? 09 91 08 90 02 AB 00 93 08 9A 09 9B 18 99 08 31 04 98 ?? ?? ?? ?? 05 90 05 9B 06 93 9D F8 68 30 19 9A 06 99 18 98 50 30 00 68 ?? ?? ?? ?? 0B 91 0A 90 0A 9B 0C 93 0B 9B 0D 93 9D F8 08 30 00 2B 03 D1 00 23 8D F8 0C 30 1B E0 18 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 03 D0 01 23 8D F8 0C 30 0C E0 01 23 00 93 0C 9A 0D 9B 18 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 8D F8 0C 30 9D F8 0C 00 16 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_300_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 122
		refs = "0010 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAAHXZ 0030 ?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QBAEXZ 004a ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAAXH@Z 005c ?process_literal_character_tchar@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 08 00 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B B3 F1 FF 3F 03 D1 00 23 8D F8 08 30 20 E0 06 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 20 01 9B 93 42 09 D0 01 99 06 9B 03 F1 08 00 ?? ?? ?? ?? 00 23 8D F8 08 30 0A E0 01 9B 59 B2 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_301_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 122
		refs = "0010 ?get@?$string_input_adapter@D@__crt_stdio_input@@QAAHXZ 0030 ?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QBAEXZ 004a ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAAXH@Z 005c ?process_literal_character_tchar@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_ND@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 08 00 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B B3 F1 FF 3F 03 D1 00 23 8D F8 08 30 20 E0 06 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 20 01 9B 93 42 09 D0 01 99 06 9B 03 F1 08 00 ?? ?? ?? ?? 00 23 8D F8 08 30 0A E0 01 9B 59 B2 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_302_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 136
		refs = "0010 ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAAGXZ 003a ?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QBA_WXZ 0058 ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAAXG@Z 006a ?process_literal_character_tchar@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 08 00 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 02 30 BD F8 02 20 4F F6 FF 73 9A 42 03 D1 00 23 8D F8 08 30 22 E0 06 9B 03 F1 10 00 ?? ?? ?? ?? AD F8 06 00 BD F8 02 20 BD F8 06 30 9A 42 0A D0 BD F8 02 10 06 9B 03 F1 08 00 ?? ?? ?? ?? 00 23 8D F8 08 30 0A E0 BD F8 02 10 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_303_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 136
		refs = "0010 ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAAGXZ 003a ?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QBA_WXZ 0058 ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAAXG@Z 006a ?process_literal_character_tchar@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 08 00 ?? ?? ?? ?? AD F8 04 00 BD F8 04 30 AD F8 02 30 BD F8 02 20 4F F6 FF 73 9A 42 03 D1 00 23 8D F8 08 30 22 E0 06 9B 03 F1 18 00 ?? ?? ?? ?? AD F8 06 00 BD F8 02 20 BD F8 06 30 9A 42 0A D0 BD F8 02 10 06 9B 03 F1 08 00 ?? ?? ?? ?? 00 23 8D F8 08 30 0A E0 BD F8 02 10 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_304_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_ND@Z"
		size = 142
		refs = "000a __pctype_func 0036 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAAHXZ 0046 ?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QBAEXZ 0060 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 03 90 9D F9 24 30 DA B2 02 23 02 FB 03 F2 03 9B 13 44 1B 88 13 F4 00 4F 03 D1 01 23 8D F8 04 30 27 E0 08 9B 03 F1 08 00 ?? ?? ?? ?? 04 90 04 9B 02 93 08 9B 03 F1 10 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 20 02 9B 93 42 10 D0 02 99 08 9B 03 F1 08 00 ?? ?? ?? ?? 9D F9 24 10 08 9B 03 F1 08 00 ?? ?? ?? ?? 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_305_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_ND@Z"
		size = 142
		refs = "000a __pctype_func 0036 ?get@?$string_input_adapter@D@__crt_stdio_input@@QAAHXZ 0046 ?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QBAEXZ 0060 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 03 90 9D F9 24 30 DA B2 02 23 02 FB 03 F2 03 9B 13 44 1B 88 13 F4 00 4F 03 D1 01 23 8D F8 04 30 27 E0 08 9B 03 F1 08 00 ?? ?? ?? ?? 04 90 04 9B 02 93 08 9B 03 F1 18 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 20 02 9B 93 42 10 D0 02 99 08 9B 03 F1 08 00 ?? ?? ?? ?? 9D F9 24 10 08 9B 03 F1 08 00 ?? ?? ?? ?? 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_308_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 156
		refs = "0010 ?kind@?$format_string_parser@D@__crt_stdio_input@@QBA?AW4format_directive_kind@2@XZ 0030 ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0044 ?process_literal_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0058 ?process_conversion_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 10 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 02 2B 06 D0 02 9B 03 2B 0D D0 02 9B 04 2B 14 D0 2C E0 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 25 E0 06 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 8D F8 04 30 1B E0 06 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 8D F8 00 30 9D F8 00 30 00 2B 06 D0 06 9B 6C 33 1B 68 5A 1C 06 9B 6C 33 1A 60 9D F8 00 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_309_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 156
		refs = "0010 ?kind@?$format_string_parser@D@__crt_stdio_input@@QBA?AW4format_directive_kind@2@XZ 0030 ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0044 ?process_literal_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0058 ?process_conversion_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 18 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 02 2B 06 D0 02 9B 03 2B 0D D0 02 9B 04 2B 14 D0 2C E0 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 25 E0 06 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 8D F8 04 30 1B E0 06 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 8D F8 00 30 9D F8 00 30 00 2B 06 D0 06 9B 74 33 1B 68 5A 1C 06 9B 74 33 1A 60 9D F8 00 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_310_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 156
		refs = "0010 ?kind@?$format_string_parser@_W@__crt_stdio_input@@QBA?AW4format_directive_kind@2@XZ 0030 ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0044 ?process_literal_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0058 ?process_conversion_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 10 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 02 2B 06 D0 02 9B 03 2B 0D D0 02 9B 04 2B 14 D0 2C E0 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 25 E0 06 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 8D F8 04 30 1B E0 06 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 8D F8 00 30 9D F8 00 30 00 2B 06 D0 06 9B 54 33 1B 68 5A 1C 06 9B 54 33 1A 60 9D F8 00 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_311_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 156
		refs = "0010 ?kind@?$format_string_parser@_W@__crt_stdio_input@@QBA?AW4format_directive_kind@2@XZ 0030 ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0044 ?process_literal_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0058 ?process_conversion_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 18 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 02 2B 06 D0 02 9B 03 2B 0D D0 02 9B 04 2B 14 D0 2C E0 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 25 E0 06 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 8D F8 04 30 1B E0 06 98 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 8D F8 00 30 9D F8 00 30 00 2B 06 D0 06 9B 5C 33 1B 68 5A 1C 06 9B 5C 33 1A 60 9D F8 00 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_312_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z"
		size = 120
		refs = "0012 ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 001c ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 003a ??$process_string_specifier_tchar@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z 0052 ??$process_string_specifier_tchar@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 01 2B 02 D1 06 98 ?? ?? ?? ?? 06 9B 03 F1 10 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 01 2B 03 D0 02 9B 02 2B 0C D0 17 E0 00 22 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 0E E0 00 22 07 99 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_314_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z"
		size = 120
		refs = "0012 ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 001c ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 003a ??$process_string_specifier_tchar@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z 0052 ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 01 2B 02 D1 06 98 ?? ?? ?? ?? 06 9B 03 F1 10 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 01 2B 03 D0 02 9B 02 2B 0C D0 17 E0 00 22 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 0E E0 00 22 07 99 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_313_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z"
		size = 120
		refs = "0012 ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 001c ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 003a ??$process_string_specifier_tchar@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z 0052 ??$process_string_specifier_tchar@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 01 2B 02 D1 06 98 ?? ?? ?? ?? 06 9B 03 F1 18 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 01 2B 03 D0 02 9B 02 2B 0C D0 17 E0 00 22 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 0E E0 00 22 07 99 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_315_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z"
		size = 120
		refs = "0012 ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 001c ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 003a ??$process_string_specifier_tchar@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z 0052 ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 01 2B 02 D1 06 98 ?? ?? ?? ?? 06 9B 03 F1 18 00 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B 01 2B 03 D0 02 9B 02 2B 0C D0 17 E0 00 22 07 99 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 0E E0 00 22 07 99 06 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_316_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 60
		refs = "0016 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$stream_input_adapter@D@0@QAU__crt_locale_pointers@@@Z 0024 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 60 33 19 68 04 9B 03 F1 08 00 ?? ?? ?? ?? 00 90 00 99 04 9B 03 F1 08 00 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_317_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 60
		refs = "0016 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$string_input_adapter@D@0@QAU__crt_locale_pointers@@@Z 0024 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 68 33 19 68 04 9B 03 F1 08 00 ?? ?? ?? ?? 00 90 00 99 04 9B 03 F1 08 00 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_318_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 64
		refs = "0016 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$stream_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z 0028 ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAAXG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 48 33 19 68 04 9B 03 F1 08 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 10 04 9B 03 F1 08 00 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_319_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 64
		refs = "0016 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$string_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z 0028 ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAAXG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 50 33 19 68 04 9B 03 F1 08 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 10 04 9B 03 F1 08 00 ?? ?? ?? ?? 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_322_0 {
	meta:
		name = "?reset@?$scanset_buffer@E@__crt_stdio_input@@QAAXXZ"
		size = 58
		refs = "000c ?data@?$scanset_storage@$00@__crt_stdio_input@@QBAPAEXZ 0020 ?size@?$scanset_storage@$00@__crt_stdio_input@@QBAIXZ 002c memset"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 00 D1 08 E0 06 98 ?? ?? ?? ?? 02 90 02 9A 00 21 00 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_323_0 {
	meta:
		name = "?reset@?$scanset_buffer@_W@__crt_stdio_input@@QAAXXZ"
		size = 58
		refs = "000c ?data@?$scanset_storage@$01@__crt_stdio_input@@QBAPAEXZ 0020 ?size@?$scanset_storage@$01@__crt_stdio_input@@QBAIXZ 002c memset"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 00 2B 00 D1 08 E0 06 98 ?? ?? ?? ?? 02 90 02 9A 00 21 00 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_324_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
		size = 108
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 10 02 00 23 13 60 04 9B 03 F1 14 02 00 23 13 70 04 9B 03 F1 15 02 00 23 13 70 04 9B 03 F1 16 02 00 23 13 70 04 9B 18 33 00 93 00 9A 00 23 13 60 00 9A 00 23 53 60 04 9B 03 F1 20 02 00 23 13 60 04 9B 03 F1 24 02 00 23 13 70 04 9B 03 F1 28 02 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_325_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
		size = 108
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F1 10 02 00 23 13 60 04 9B 03 F1 14 02 00 23 13 80 04 9B 03 F1 16 02 00 23 13 80 04 9B 03 F1 18 02 00 23 13 70 04 9B 20 33 00 93 00 9A 00 23 13 60 00 9A 00 23 53 60 04 9B 03 F1 28 02 00 23 13 60 04 9B 03 F1 2C 02 00 23 13 70 04 9B 03 F1 30 02 00 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_326_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAAXH@Z"
		size = 32
		refs = "000a ?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 02 9B 03 F1 0C 02 03 9B 13 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_327_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAAXH@Z"
		size = 32
		refs = "000a ?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 98 ?? ?? ?? ?? 02 9B 03 F1 0C 02 03 9B 13 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_328_0 {
	meta:
		name = "?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA_N_K@Z"
		size = 92
		altNames = "?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_N_K@Z ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA_N_K@Z ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_N_K@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 10 02 0A 9B 04 93 0B 9B 05 93 00 92 05 9B 02 93 00 9B 5B 68 03 93 04 9A 00 9B 1B 68 9A 42 03 D1 02 9A 03 9B 9A 42 08 D0 08 9B 18 33 1A 68 00 23 13 70 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_332_0 {
	meta:
		name = "?right_shift_with_rounding@__crt_strtox@@YA_K_N_KI0@Z"
		size = 336
		refs = "00fc ?should_round_up@__crt_strtox@@YA_N_N000@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 12 9B 40 2B 04 D3 00 23 04 93 00 23 05 93 93 E0 12 9B 58 1E A0 F1 20 02 01 23 03 FA 02 F1 01 23 03 FA 00 F2 00 23 52 1E 61 EB 03 03 0A 92 0B 93 12 9B 59 1E A1 F1 20 02 01 23 03 FA 02 F2 01 23 8B 40 08 93 09 92 12 9B A3 F1 20 02 01 23 03 FA 02 F1 12 9A 01 23 93 40 06 93 07 91 10 9A 06 9B 02 EA 03 01 11 9A 07 9B 13 40 0B 43 00 2B 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 05 30 10 9A 08 9B 02 EA 03 01 11 9A 09 9B 13 40 0B 43 00 2B 03 D0 01 23 8D F8 01 30 02 E0 00 23 8D F8 01 30 9D F8 01 30 8D F8 04 30 9D F8 4C 30 00 2B 0D D0 10 9A 0A 9B 02 EA 03 01 11 9A 0B 9B 13 40 0B 43 00 2B 03 D1 00 23 8D F8 02 30 02 E0 01 23 8D F8 02 30 9D F8 02 30 8D F8 03 30 9D F8 03 30 9D F8 04 20 9D F8 05 10 9D F8 38 00 ?? ?? ?? ?? 8D F8 06 00 10 9A 12 9B 22 FA 03 F1 12 9B C3 F1 20 02 11 9B 93 40 19 43 12 9B A3 F1 20 02 11 9B D3 40 41 EA 03 00 11 9A 12 9B 22 FA 03 F1 9D F8 06 30 02 93 02 9A 02 9B DB 17 12 18 4B 41 04 92 05 93 04 98 05 99 0C B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_333_0 {
	meta:
		name = "?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ"
		size = 42
		altNames = "?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 10 33 00 93 00 9B 1A 68 00 9B 5B 68 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_337_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ"
		size = 618
		refs = "00c8 ?set_wide_for_c_s_or_scanset@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ 021c ?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ 0252 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 08 33 1B 68 1B 78 02 93 02 9B 41 3B 02 93 02 9B 37 2B 00 F2 16 81 02 9A DF E8 12 F0 DA 00 13 01 38 00 13 01 DA 00 DA 00 DA 00 13 01 75 00 13 01 13 01 13 01 13 01 13 01 13 01 13 01 13 01 13 01 62 00 13 01 13 01 13 01 13 01 A5 00 13 01 13 01 EA 00 13 01 13 01 13 01 13 01 13 01 DA 00 13 01 38 00 85 00 DA 00 DA 00 DA 00 13 01 75 00 13 01 13 01 13 01 13 01 03 01 CA 00 B5 00 13 01 13 01 62 00 13 01 95 00 13 01 13 01 A5 00 0A 9B 18 33 03 93 03 9B 1B 68 06 93 03 9B 5B 68 07 93 07 9A 06 9B 13 43 00 2B 08 D1 0A 9B 18 33 04 93 04 9A 01 23 13 60 04 9A 00 23 53 60 0A 98 ?? ?? ?? ?? 0A 9B 03 F1 28 02 00 23 13 60 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 B7 E0 0A 98 ?? ?? ?? ?? 0A 9B 03 F1 28 02 01 23 13 60 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 A4 E0 0A 9B 03 F1 28 02 02 23 13 60 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 94 E0 0A 9B 03 F1 28 02 03 23 13 60 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 84 E0 0A 9B 03 F1 28 02 05 23 13 60 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 74 E0 0A 9B 03 F1 28 02 06 23 13 60 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 64 E0 0A 9B 03 F1 20 02 09 23 13 60 0A 9B 03 F1 28 02 06 23 13 60 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 4F E0 0A 9B 03 F1 28 02 04 23 13 60 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 3F E0 0A 9B 03 F1 28 02 07 23 13 60 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 2F E0 0A 98 ?? ?? ?? ?? 0A 9B 03 F1 28 02 08 23 13 60 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 16 E0 0A 9B 03 F1 28 02 09 23 13 60 0A 9B 08 33 1B 68 5A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 06 E0 16 21 0A 98 ?? ?? ?? ?? 00 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_338_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ"
		size = 618
		refs = "00c8 ?set_wide_for_c_s_or_scanset@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ 021c ?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ 0252 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 08 33 1B 68 1B 88 02 93 02 9B 41 3B 02 93 02 9B 37 2B 00 F2 16 81 02 9A DF E8 12 F0 DA 00 13 01 38 00 13 01 DA 00 DA 00 DA 00 13 01 75 00 13 01 13 01 13 01 13 01 13 01 13 01 13 01 13 01 13 01 62 00 13 01 13 01 13 01 13 01 A5 00 13 01 13 01 EA 00 13 01 13 01 13 01 13 01 13 01 DA 00 13 01 38 00 85 00 DA 00 DA 00 DA 00 13 01 75 00 13 01 13 01 13 01 13 01 03 01 CA 00 B5 00 13 01 13 01 62 00 13 01 95 00 13 01 13 01 A5 00 0A 9B 20 33 03 93 03 9B 1B 68 06 93 03 9B 5B 68 07 93 07 9A 06 9B 13 43 00 2B 08 D1 0A 9B 20 33 04 93 04 9A 01 23 13 60 04 9A 00 23 53 60 0A 98 ?? ?? ?? ?? 0A 9B 03 F1 30 02 00 23 13 60 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 B7 E0 0A 98 ?? ?? ?? ?? 0A 9B 03 F1 30 02 01 23 13 60 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 A4 E0 0A 9B 03 F1 30 02 02 23 13 60 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 94 E0 0A 9B 03 F1 30 02 03 23 13 60 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 84 E0 0A 9B 03 F1 30 02 05 23 13 60 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 74 E0 0A 9B 03 F1 30 02 06 23 13 60 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 64 E0 0A 9B 03 F1 28 02 09 23 13 60 0A 9B 03 F1 30 02 06 23 13 60 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 4F E0 0A 9B 03 F1 30 02 04 23 13 60 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 3F E0 0A 9B 03 F1 30 02 07 23 13 60 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 2F E0 0A 98 ?? ?? ?? ?? 0A 9B 03 F1 30 02 08 23 13 60 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 0A 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 16 E0 0A 9B 03 F1 30 02 09 23 13 60 0A 9B 08 33 1B 68 9A 1C 0A 9B 08 33 1A 60 01 23 8D F8 04 30 06 E0 16 21 0A 98 ?? ?? ?? ?? 00 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_339_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
		size = 54
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 08 33 1B 68 1B 78 2A 2B 00 D0 0B E0 02 9B 03 F1 16 02 01 23 13 70 02 9B 08 33 1B 68 5A 1C 02 9B 08 33 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_340_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
		size = 54
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 08 33 1B 68 1B 88 2A 2B 00 D0 0B E0 02 9B 03 F1 18 02 01 23 13 70 02 9B 08 33 1B 68 9A 1C 02 9B 08 33 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_341_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ"
		size = 176
		refs = "0014 ?parse_digit@__crt_strtox@@YAID@Z 0042 ??$tcstoull@PBDPAPADH@?$__crt_char_traits@D@@SA_K$$QAPBD$$QAPAPAD$$QAH@Z 0074 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 08 33 1B 68 1B 78 58 B2 ?? ?? ?? ?? 03 90 03 9B 09 2B 03 D9 01 23 8D F8 04 30 3C E0 00 23 00 93 0A 23 04 93 6B 46 05 93 10 9B 08 33 1B 68 06 93 04 AA 05 A9 06 A8 ?? ?? ?? ?? 0B 91 0A 90 0A 9B 08 93 0B 9B 09 93 08 9B 0C 93 09 9B 0D 93 0D 9A 0C 9B 13 43 00 2B 05 D0 10 9B 08 33 00 9A 1B 68 9A 42 07 D1 16 21 10 98 ?? ?? ?? ?? 00 23 8D F8 04 30 10 E0 10 9B 18 33 02 93 08 9A 02 9B 1A 60 09 9A 02 9B 5A 60 10 9B 03 F1 08 02 00 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_342_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ"
		size = 170
		refs = "0012 ?parse_digit@__crt_strtox@@YAI_W@Z 003c ??$tcstoull@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SA_KAAPB_W$$QAPAPA_W$$QAH@Z 006e ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 08 33 1B 68 18 88 ?? ?? ?? ?? 03 90 03 9B 09 2B 03 D9 01 23 8D F8 04 30 3A E0 00 23 00 93 0A 23 04 93 6B 46 05 93 04 AA 05 A9 0E 9B 03 F1 08 00 ?? ?? ?? ?? 09 91 08 90 08 9B 06 93 09 9B 07 93 06 9B 0A 93 07 9B 0B 93 0B 9A 0A 9B 13 43 00 2B 05 D0 0E 9B 08 33 00 9A 1B 68 9A 42 07 D1 16 21 0E 98 ?? ?? ?? ?? 00 23 8D F8 04 30 10 E0 0E 9B 20 33 02 93 06 9A 02 9B 1A 60 07 9A 02 9B 5A 60 0E 9B 03 F1 08 02 00 9B 13 60 01 23 8D F8 04 30 9D F8 04 00 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_343_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
		size = 588
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 08 33 1B 68 1B 78 00 93 00 9B 6A 2B 16 DC 00 9B 6A 2B 00 F0 DD 80 00 9B 54 2B 0B DC 00 9B 54 2B 00 F0 FD 80 00 9B 49 2B 36 D0 00 9B 4C 2B 00 F0 C2 80 00 E1 00 9B 68 2B 0D D0 FC E0 00 9B 6C 2B 00 F0 98 80 00 9B 74 2B 00 F0 CF 80 00 9B 7A 2B 00 F0 D8 80 EF E0 04 9B 08 33 1B 68 5B 1C 1B 78 68 2B 0C D1 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 01 23 13 60 0B E0 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 02 23 13 60 CE E0 04 9B 08 33 1B 68 5B 1C 1B 78 33 2B 13 D1 04 9B 08 33 1B 68 9B 1C 1B 78 32 2B 0C D1 04 9B 08 33 1B 68 DA 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 09 23 13 60 B3 E0 04 9B 08 33 1B 68 5B 1C 1B 78 36 2B 13 D1 04 9B 08 33 1B 68 9B 1C 1B 78 34 2B 0C D1 04 9B 08 33 1B 68 DA 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 0A 23 13 60 98 E0 04 9B 08 33 1B 68 5B 1C 1B 78 64 2B 22 D0 04 9B 08 33 1B 68 5B 1C 1B 78 69 2B 1B D0 04 9B 08 33 1B 68 5B 1C 1B 78 6F 2B 14 D0 04 9B 08 33 1B 68 5B 1C 1B 78 75 2B 0D D0 04 9B 08 33 1B 68 5B 1C 1B 78 78 2B 06 D0 04 9B 08 33 1B 68 5B 1C 1B 78 58 2B 0C D1 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 09 23 13 60 61 E0 60 E0 04 9B 08 33 1B 68 5B 1C 1B 78 6C 2B 0C D1 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 04 23 13 60 0B E0 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 03 23 13 60 3F E0 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 08 23 13 60 32 E0 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 05 23 13 60 25 E0 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 07 23 13 60 18 E0 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 06 23 13 60 0B E0 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 04 9B 03 F1 20 02 0B 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_344_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
		size = 588
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 08 33 1B 68 1B 88 00 93 00 9B 6A 2B 16 DC 00 9B 6A 2B 00 F0 DD 80 00 9B 54 2B 0B DC 00 9B 54 2B 00 F0 FD 80 00 9B 49 2B 36 D0 00 9B 4C 2B 00 F0 C2 80 00 E1 00 9B 68 2B 0D D0 FC E0 00 9B 6C 2B 00 F0 98 80 00 9B 74 2B 00 F0 CF 80 00 9B 7A 2B 00 F0 D8 80 EF E0 04 9B 08 33 1B 68 9B 1C 1B 88 68 2B 0C D1 04 9B 08 33 1B 68 1A 1D 04 9B 08 33 1A 60 04 9B 03 F1 28 02 01 23 13 60 0B E0 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 04 9B 03 F1 28 02 02 23 13 60 CE E0 04 9B 08 33 1B 68 9B 1C 1B 88 33 2B 13 D1 04 9B 08 33 1B 68 1B 1D 1B 88 32 2B 0C D1 04 9B 08 33 1B 68 9A 1D 04 9B 08 33 1A 60 04 9B 03 F1 28 02 09 23 13 60 B3 E0 04 9B 08 33 1B 68 9B 1C 1B 88 36 2B 13 D1 04 9B 08 33 1B 68 1B 1D 1B 88 34 2B 0C D1 04 9B 08 33 1B 68 9A 1D 04 9B 08 33 1A 60 04 9B 03 F1 28 02 0A 23 13 60 98 E0 04 9B 08 33 1B 68 9B 1C 1B 88 64 2B 22 D0 04 9B 08 33 1B 68 9B 1C 1B 88 69 2B 1B D0 04 9B 08 33 1B 68 9B 1C 1B 88 6F 2B 14 D0 04 9B 08 33 1B 68 9B 1C 1B 88 75 2B 0D D0 04 9B 08 33 1B 68 9B 1C 1B 88 78 2B 06 D0 04 9B 08 33 1B 68 9B 1C 1B 88 58 2B 0C D1 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 04 9B 03 F1 28 02 09 23 13 60 61 E0 60 E0 04 9B 08 33 1B 68 9B 1C 1B 88 6C 2B 0C D1 04 9B 08 33 1B 68 1A 1D 04 9B 08 33 1A 60 04 9B 03 F1 28 02 04 23 13 60 0B E0 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 04 9B 03 F1 28 02 03 23 13 60 3F E0 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 04 9B 03 F1 28 02 08 23 13 60 32 E0 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 04 9B 03 F1 28 02 05 23 13 60 25 E0 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 04 9B 03 F1 28 02 07 23 13 60 18 E0 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 04 9B 03 F1 28 02 06 23 13 60 0B E0 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 04 9B 03 F1 28 02 0B 23 13 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_345_0 {
	meta:
		name = "?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AAA_ND@Z"
		size = 126
		refs = "000a __pctype_func 0040 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 01 90 04 9B 14 33 1A 78 02 23 02 FB 03 F2 01 9B 13 44 1B 88 13 F4 00 4F 03 D1 01 23 8D F8 00 30 1F E0 04 9B 08 33 1B 68 1B 78 00 2B 07 D1 2A 21 04 98 ?? ?? ?? ?? 00 23 8D F8 00 30 11 E0 04 9B 08 33 19 68 04 9B 03 F1 15 02 0B 78 13 70 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_347_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
		size = 94
		refs = "003a ?should_default_to_wide@?$format_string_parser@D@__crt_stdio_input@@AAA_NE@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 08 33 1B 68 1B 78 77 2B 0C D1 04 9B 08 33 1B 68 5A 1C 04 9B 08 33 1A 60 04 9B 03 F1 24 02 01 23 13 70 11 E0 04 9B 08 33 1B 68 19 78 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 04 D0 04 9B 03 F1 24 02 01 23 13 70 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_348_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
		size = 94
		refs = "003a ?should_default_to_wide@?$format_string_parser@_W@__crt_stdio_input@@AAA_N_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 08 33 1B 68 1B 88 77 2B 0C D1 04 9B 08 33 1B 68 9A 1C 04 9B 08 33 1A 60 04 9B 03 F1 2C 02 01 23 13 70 11 E0 04 9B 08 33 1B 68 19 88 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 04 D0 04 9B 03 F1 2C 02 01 23 13 70 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_349_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ"
		size = 466
		refs = "0010 ?is_usable@?$scanset_buffer@E@__crt_stdio_input@@QAA_NXZ 0024 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAAXH@Z 0036 ?reset@?$scanset_buffer@E@__crt_stdio_input@@QAAXXZ 0094 ?set@?$scanset_buffer@E@__crt_stdio_input@@QAAXE@Z 01ac ?invert@?$scanset_buffer@E@__crt_stdio_input@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F1 2C 00 ?? ?? ?? ?? 8D F8 05 00 9D F8 05 30 00 2B 07 D1 0C 21 06 98 ?? ?? ?? ?? 00 23 8D F8 08 30 C9 E0 06 9B 03 F1 2C 00 ?? ?? ?? ?? 06 9B 08 33 1B 68 1B 78 5E 2B 03 D1 01 23 8D F8 03 30 02 E0 00 23 8D F8 03 30 9D F8 03 30 8D F8 04 30 9D F8 04 30 00 2B 06 D0 06 9B 08 33 1B 68 5A 1C 06 9B 08 33 1A 60 06 9B 08 33 1B 68 1B 78 5D 2B 0C D1 06 9B 08 33 1B 68 5A 1C 06 9B 08 33 1A 60 5D 21 06 9B 03 F1 2C 00 ?? ?? ?? ?? 06 9B 08 33 1B 68 03 93 06 E0 06 9B 08 33 1B 68 5A 1C 06 9B 08 33 1A 60 06 9B 08 33 1B 68 1B 78 5D 2B 62 D0 06 9B 08 33 1B 68 1B 78 00 2B 5C D0 06 9B 08 33 1B 68 1B 78 2D 2B 0C D1 06 9B 08 33 1A 68 03 9B 9A 42 06 D0 06 9B 08 33 1B 68 5B 1C 1B 78 5D 2B 09 D1 06 9B 08 33 1B 68 19 78 06 9B 03 F1 2C 00 ?? ?? ?? ?? 3E E0 06 9B 08 33 1B 68 5B 1E 1B 78 8D F8 01 30 06 9B 08 33 1B 68 5B 1C 1B 78 8D F8 00 30 9D F8 01 20 9D F8 00 30 9A 42 0B DD 9D F8 01 30 8D F8 06 30 9D F8 00 30 8D F8 01 30 9D F8 06 30 8D F8 00 30 9D F8 00 30 5B 1C DB B2 8D F8 00 30 9D F8 01 30 8D F8 02 30 05 E0 9D F8 02 30 5B 1C DB B2 8D F8 02 30 9D F8 02 20 9D F8 00 30 9A 42 07 D0 9D F8 02 10 06 9B 03 F1 2C 00 ?? ?? ?? ?? EB E7 8F E7 06 9B 08 33 1B 68 1B 78 00 2B 07 D1 16 21 06 98 ?? ?? ?? ?? 00 23 8D F8 08 30 12 E0 9D F8 04 30 00 2B 04 D0 06 9B 03 F1 2C 00 ?? ?? ?? ?? 06 9B 08 33 1B 68 5A 1C 06 9B 08 33 1A 60 01 23 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_350_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ"
		size = 470
		refs = "0010 ?is_usable@?$scanset_buffer@_W@__crt_stdio_input@@QAA_NXZ 0024 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAAXH@Z 0036 ?reset@?$scanset_buffer@_W@__crt_stdio_input@@QAAXXZ 0094 ?set@?$scanset_buffer@_W@__crt_stdio_input@@QAAX_W@Z 01b0 ?invert@?$scanset_buffer@_W@__crt_stdio_input@@QAAXXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 F1 34 00 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 07 D1 0C 21 08 98 ?? ?? ?? ?? 00 23 8D F8 0C 30 CB E0 08 9B 03 F1 34 00 ?? ?? ?? ?? 08 9B 08 33 1B 68 1B 88 5E 2B 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 01 30 9D F8 01 30 00 2B 06 D0 08 9B 08 33 1B 68 9A 1C 08 9B 08 33 1A 60 08 9B 08 33 1B 68 1B 88 5D 2B 0C D1 08 9B 08 33 1B 68 9A 1C 08 9B 08 33 1A 60 5D 21 08 9B 03 F1 34 00 ?? ?? ?? ?? 08 9B 08 33 1B 68 04 93 06 E0 08 9B 08 33 1B 68 9A 1C 08 9B 08 33 1A 60 08 9B 08 33 1B 68 1B 88 5D 2B 64 D0 08 9B 08 33 1B 68 1B 88 00 2B 5E D0 08 9B 08 33 1B 68 1B 88 2D 2B 0C D1 08 9B 08 33 1A 68 04 9B 9A 42 06 D0 08 9B 08 33 1B 68 9B 1C 1B 88 5D 2B 09 D1 08 9B 08 33 1B 68 19 88 08 9B 03 F1 34 00 ?? ?? ?? ?? 40 E0 08 9B 08 33 6F F0 01 02 1B 68 13 44 1B 88 AD F8 06 30 08 9B 08 33 1B 68 9B 1C 1B 88 AD F8 04 30 BD F8 06 20 BD F8 04 30 9A 42 0B DD BD F8 06 30 AD F8 0A 30 BD F8 04 30 AD F8 06 30 BD F8 0A 30 AD F8 04 30 BD F8 04 30 5B 1C 9B B2 AD F8 04 30 BD F8 06 30 AD F8 08 30 05 E0 BD F8 08 30 5B 1C 9B B2 AD F8 08 30 BD F8 08 20 BD F8 04 30 9A 42 07 D0 BD F8 08 10 08 9B 03 F1 34 00 ?? ?? ?? ?? EB E7 8D E7 08 9B 08 33 1B 68 1B 88 00 2B 07 D1 16 21 08 98 ?? ?? ?? ?? 00 23 8D F8 0C 30 12 E0 9D F8 01 30 00 2B 04 D0 08 9B 03 F1 34 00 ?? ?? ?? ?? 08 9B 08 33 1B 68 9A 1C 08 9B 08 33 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_351_0 {
	meta:
		name = "?scanset@?$format_string_parser@D@__crt_stdio_input@@QBAABV?$scanset_buffer@E@2@XZ"
		size = 92
		refs = "0030 _CrtDbgReportW 0050 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 10 33 1B 68 04 2B 04 D1 06 9B 28 33 1B 68 08 2B 0F D0 0E 4B 01 93 0C 4B 00 93 00 23 40 F2 5D 22 08 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 2C 33 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_352_0 {
	meta:
		name = "?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBAABV?$scanset_buffer@_W@2@XZ"
		size = 92
		refs = "0030 _CrtDbgReportW 0050 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 10 33 1B 68 04 2B 04 D1 06 9B 30 33 1B 68 08 2B 0F D0 0E 4B 01 93 0C 4B 00 93 00 23 40 F2 5D 22 08 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 34 33 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_353_0 {
	meta:
		name = "?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ"
		size = 58
		altNames = "?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 01 9B 1B 68 03 F0 01 03 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_357_0 {
	meta:
		name = "?set@?$scanset_buffer@E@__crt_stdio_input@@QAAXE@Z"
		size = 78
		refs = "000c ?data@?$scanset_storage@$00@__crt_stdio_input@@QBAPAEXZ 0018 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 9D F8 14 10 08 20 ?? ?? ?? ?? 01 23 00 FB 03 F2 01 9B 13 44 00 93 9D F8 14 10 08 20 ?? ?? ?? ?? 01 23 03 FA 01 F2 00 9B 1B 78 13 43 DA B2 00 9B 1A 70 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_358_0 {
	meta:
		name = "?set@?$scanset_buffer@_W@__crt_stdio_input@@QAAX_W@Z"
		size = 78
		refs = "000c ?data@?$scanset_storage@$01@__crt_stdio_input@@QBAPAEXZ 0018 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 01 90 BD F8 14 10 08 20 ?? ?? ?? ?? 01 23 00 FB 03 F2 01 9B 13 44 00 93 BD F8 14 10 08 20 ?? ?? ?? ?? 01 23 03 FA 01 F2 00 9B 1B 78 13 43 DA B2 00 9B 1A 70 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_359_0 {
	meta:
		name = "?set_wide_for_c_s_or_scanset@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
		size = 76
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 20 33 1B 68 02 2B 04 D1 02 9B 03 F1 24 02 00 23 13 70 02 9B 20 33 1B 68 03 2B 09 D0 02 9B 20 33 1B 68 04 2B 04 D0 02 9B 20 33 1B 68 08 2B 04 D1 02 9B 03 F1 24 02 01 23 13 70 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_360_0 {
	meta:
		name = "?set_wide_for_c_s_or_scanset@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
		size = 76
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 28 33 1B 68 02 2B 04 D1 02 9B 03 F1 2C 02 00 23 13 70 02 9B 28 33 1B 68 03 2B 09 D0 02 9B 28 33 1B 68 04 2B 04 D0 02 9B 28 33 1B 68 08 2B 04 D1 02 9B 03 F1 2C 02 01 23 13 70 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_362_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@D@__crt_stdio_input@@AAA_NE@Z"
		size = 58
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F8 14 30 43 2B 06 D0 9D F8 14 30 53 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_363_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@_W@__crt_stdio_input@@AAA_N_W@Z"
		size = 100
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 BD F8 1C 30 43 2B 03 D0 BD F8 1C 30 53 2B 03 D1 00 23 8D F8 00 30 19 E0 06 9B 28 33 1B 68 0B 2B 03 D1 01 23 8D F8 00 30 10 E0 06 9B 02 93 02 9B 1B 68 03 F0 02 03 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 01 9B DB B2 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_364_0 {
	meta:
		name = "?should_round_up@__crt_strtox@@YA_N_N000@Z"
		size = 272
		refs = "0040 fegetround 00e0 _CrtDbgReportW 0104 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0108 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 9D F8 38 30 00 2B 07 D1 9D F8 3C 30 00 2B 03 D1 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 2B 03 D0 00 23 8D F8 0C 30 59 E0 ?? ?? ?? ?? 07 90 07 9B 04 93 04 9B B3 F5 00 7F 0B DC 04 9B B3 F5 00 7F 22 D0 04 9B 00 2B 09 D0 04 9B B3 F5 80 7F 29 D0 31 E0 04 9B B3 F5 40 7F 29 D0 2C E0 9D F8 38 30 00 2B 0A D0 9D F8 3C 30 00 2B 03 D1 9D F8 34 30 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B DB B2 8D F8 0C 30 29 E0 9D F8 30 30 00 2B 02 D1 01 23 06 93 01 E0 00 23 06 93 06 9B DB B2 8D F8 0C 30 1B E0 9D F8 30 30 8D F8 0C 30 16 E0 00 23 8D F8 0C 30 12 E0 0F 4B 01 93 0D 4B 00 93 00 23 4F F4 18 72 09 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 00 23 8D F8 0C 30 9D F8 0C 00 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_365_0 {
	meta:
		name = "?size@?$scanset_storage@$00@__crt_stdio_input@@QBAIXZ"
		size = 26
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_366_0 {
	meta:
		name = "?size@?$scanset_storage@$01@__crt_stdio_input@@QBAIXZ"
		size = 28
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 4F F4 00 53 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_367_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ"
		size = 88
		refs = "0026 _CrtDbgReportW 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 10 33 1B 68 04 2B 0F D0 0F 4B 01 93 0D 4B 00 93 00 23 40 F2 32 22 0A 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 16 33 1B 78 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_368_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ"
		size = 88
		refs = "0026 _CrtDbgReportW 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 10 33 1B 68 04 2B 0F D0 0F 4B 01 93 0D 4B 00 93 00 23 40 F2 32 22 0A 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 06 9B 18 33 1B 78 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_369_0 {
	meta:
		name = "?test@?$scanset_buffer@E@__crt_stdio_input@@QBA_NE@Z"
		size = 94
		refs = "000e ?data@?$scanset_storage@$00@__crt_stdio_input@@QBAPAEXZ 001a __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 98 ?? ?? ?? ?? 01 90 9D F8 1C 10 08 20 ?? ?? ?? ?? 01 23 00 FB 03 F2 01 9B 13 44 1C 78 9D F8 1C 10 08 20 ?? ?? ?? ?? 01 23 8B 40 23 40 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_331_370_0 {
	meta:
		name = "?test@?$scanset_buffer@_W@__crt_stdio_input@@QBA_N_W@Z"
		size = 94
		refs = "000e ?data@?$scanset_storage@$01@__crt_stdio_input@@QBAPAEXZ 001a __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 06 98 ?? ?? ?? ?? 01 90 BD F8 1C 10 08 20 ?? ?? ?? ?? 01 23 00 FB 03 F2 01 9B 13 44 1C 78 BD F8 1C 10 08 20 ?? ?? ?? ?? 01 23 8B 40 23 40 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 03 B0 BD E8 10 08 5D F8 0C FB }
	condition:
		$1
}

rule file_331_371_0 {
	meta:
		name = "?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z"
		size = 112
		refs = "0046 _CrtDbgReportW 0064 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 93 03 9B 00 2B 06 D0 03 9B 03 2B 06 D0 03 9B 08 2B 06 D0 08 E0 04 23 02 93 17 E0 08 23 02 93 14 E0 08 23 02 93 11 E0 0D 4B 01 93 0B 4B 00 93 00 23 4F F4 C6 72 08 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_372_0 {
	meta:
		name = "?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z"
		size = 160
		refs = "0074 _CrtDbgReportW 0094 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 03 93 03 9B 0A 2B 26 D8 03 9A DF E8 02 F0 06 09 0C 0F 12 15 18 1B 24 1E 21 21 04 23 02 93 2C E0 01 23 02 93 29 E0 02 23 02 93 26 E0 04 23 02 93 23 E0 08 23 02 93 20 E0 08 23 02 93 1D E0 04 23 02 93 1A E0 04 23 02 93 17 E0 04 23 02 93 14 E0 08 23 02 93 11 E0 0E 4B 01 93 0C 4B 00 93 00 23 4F F4 BF 72 08 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 00 23 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_373_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAAXD@Z"
		size = 174
		refs = "00a0 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 10 33 00 93 00 9B 19 68 00 9B 5A 68 00 23 49 1E 9A 41 0E 9B 10 33 01 93 01 9B 19 60 01 9B 5A 60 0E 9B 08 33 02 93 02 9B 1B 68 08 93 02 9B 5B 68 09 93 09 9A 08 9B 13 43 00 2B 1D D0 0E 9B 03 F1 10 01 0E 9B 03 F1 08 02 03 91 03 9B 1B 68 0A 93 03 9B 5B 68 0B 93 04 92 0A 9B 05 93 04 9B 1B 68 06 93 0B 9A 04 9B 5B 68 9A 42 05 D3 03 D8 05 9A 06 9B 9A 42 00 D9 0F E0 9D F9 3C 30 00 2B 04 D0 9D F9 3C 30 B3 F1 FF 3F 00 D1 05 E0 9D F9 3C 10 0E 9B 18 68 ?? ?? ?? ?? 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_375_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAAXD@Z"
		size = 174
		refs = "00a0 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAAXH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 10 33 00 93 00 9B 19 68 00 9B 5A 68 00 23 49 1E 9A 41 0E 9B 10 33 01 93 01 9B 19 60 01 9B 5A 60 0E 9B 08 33 02 93 02 9B 1B 68 08 93 02 9B 5B 68 09 93 09 9A 08 9B 13 43 00 2B 1D D0 0E 9B 03 F1 10 01 0E 9B 03 F1 08 02 03 91 03 9B 1B 68 0A 93 03 9B 5B 68 0B 93 04 92 0A 9B 05 93 04 9B 1B 68 06 93 0B 9A 04 9B 5B 68 9A 42 05 D3 03 D8 05 9A 06 9B 9A 42 00 D9 0F E0 9D F9 3C 30 00 2B 04 D0 9D F9 3C 30 B3 F1 FF 3F 00 D1 05 E0 9D F9 3C 10 0E 9B 18 68 ?? ?? ?? ?? 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_374_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAAX_W@Z"
		size = 176
		refs = "00a2 ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAAXG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 10 33 00 93 00 9B 19 68 00 9B 5A 68 00 23 49 1E 9A 41 0E 9B 10 33 01 93 01 9B 19 60 01 9B 5A 60 0E 9B 08 33 02 93 02 9B 1B 68 08 93 02 9B 5B 68 09 93 09 9A 08 9B 13 43 00 2B 1D D0 0E 9B 03 F1 10 01 0E 9B 03 F1 08 02 03 91 03 9B 1B 68 0A 93 03 9B 5B 68 0B 93 04 92 0A 9B 05 93 04 9B 1B 68 06 93 0B 9A 04 9B 5B 68 9A 42 05 D3 03 D8 05 9A 06 9B 9A 42 00 D9 10 E0 BD F8 3C 30 00 2B 05 D0 BD F8 3C 20 4F F6 FF 73 9A 42 00 D1 05 E0 BD F8 3C 10 0E 9B 18 68 ?? ?? ?? ?? 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_376_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAAX_W@Z"
		size = 176
		refs = "00a2 ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAAXG@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 10 33 00 93 00 9B 19 68 00 9B 5A 68 00 23 49 1E 9A 41 0E 9B 10 33 01 93 01 9B 19 60 01 9B 5A 60 0E 9B 08 33 02 93 02 9B 1B 68 08 93 02 9B 5B 68 09 93 09 9A 08 9B 13 43 00 2B 1D D0 0E 9B 03 F1 10 01 0E 9B 03 F1 08 02 03 91 03 9B 1B 68 0A 93 03 9B 5B 68 0B 93 04 92 0A 9B 05 93 04 9B 1B 68 06 93 0B 9A 04 9B 5B 68 9A 42 05 D3 03 D8 05 9A 06 9B 9A 42 00 D9 10 E0 BD F8 3C 30 00 2B 05 D0 BD F8 3C 20 4F F6 FF 73 9A 42 00 D1 05 E0 BD F8 3C 10 0E 9B 18 68 ?? ?? ?? ?? 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_377_0 {
	meta:
		name = "?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAAXH@Z"
		size = 64
		refs = "0024 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0032 ??$ungettc_nolock@ABHPAU_iobuf@@@?$__crt_char_traits@D@@SAHABH$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B B3 F1 FF 3F 00 D1 10 E0 04 9B 1B 1D 1B 68 5A 1E 04 9B 1B 1D 1A 60 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 A9 05 A8 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_378_0 {
	meta:
		name = "?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAAXG@Z"
		size = 68
		refs = "0028 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0036 ??$ungettc_nolock@ABGPAU_iobuf@@@?$__crt_char_traits@_W@@SAGABG$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 14 20 4F F6 FF 73 9A 42 00 D1 10 E0 04 9B 1B 1D 1B 68 5A 1E 04 9B 1B 1D 1A 60 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 A9 05 A8 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_379_0 {
	meta:
		name = "?unget@?$string_input_adapter@D@__crt_stdio_input@@QAAXH@Z"
		size = 76
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 08 02 02 9B 12 68 1B 68 9A 42 00 D1 14 E0 02 9B 03 F1 08 02 02 9B 1B 1D 12 68 1B 68 9A 42 04 D1 03 9B B3 F1 FF 3F 00 D1 06 E0 02 9B 08 33 1B 68 5A 1E 02 9B 08 33 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_380_0 {
	meta:
		name = "?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAAXG@Z"
		size = 80
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 03 F1 08 02 02 9B 12 68 1B 68 9A 42 00 D1 16 E0 02 9B 03 F1 08 02 02 9B 1B 1D 12 68 1B 68 9A 42 06 D1 BD F8 0C 20 4F F6 FF 73 9A 42 00 D1 06 E0 02 9B 08 33 1B 68 9A 1E 02 9B 08 33 1A 60 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_382_0 {
	meta:
		name = "?validate@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ"
		size = 152
		refs = "003a _CrtDbgReportW 004e _errno 0068 _invalid_parameter 0088 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 008c ??_C@_1HA@IKGGPHAH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 0090 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 08 33 1B 68 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 D9 12 16 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 40 F2 D9 13 0B 4A 09 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_383_0 {
	meta:
		name = "?validate@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ"
		size = 152
		refs = "003a _CrtDbgReportW 004e _errno 0068 _invalid_parameter 0088 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 008c ??_C@_1HG@GNOOGACN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 0090 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 08 33 1B 68 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 D9 12 16 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 40 F2 D9 13 0B 4A 09 49 08 48 ?? ?? ?? ?? 00 23 8D F8 10 30 02 E0 01 23 8D F8 10 30 9D F8 10 00 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_384_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ"
		size = 260
		refs = "0038 _CrtDbgReportW 004c _errno 0066 _invalid_parameter 00f0 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??_C@_1NK@HEPFLICA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 00f8 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 1B 68 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 36 4B 01 93 34 4B 00 93 00 23 40 F2 62 72 30 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 62 73 25 4A 24 49 26 48 ?? ?? ?? ?? 00 23 8D F8 08 30 37 E0 0E 9B 18 33 1B 68 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 63 72 16 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 63 73 0B 4A 09 49 08 48 ?? ?? ?? ?? 00 23 8D F8 08 30 02 E0 01 23 8D F8 08 30 9D F8 08 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_385_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ"
		size = 260
		refs = "0038 _CrtDbgReportW 004c _errno 0066 _invalid_parameter 00f0 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??_C@_1OA@DIPMNDML@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 00f8 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 1B 68 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 36 4B 01 93 34 4B 00 93 00 23 40 F2 62 72 30 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 62 73 25 4A 24 49 26 48 ?? ?? ?? ?? 00 23 8D F8 08 30 37 E0 0E 9B 18 33 1B 68 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 63 72 16 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 63 73 0B 4A 09 49 08 48 ?? ?? ?? ?? 00 23 8D F8 08 30 02 E0 01 23 8D F8 08 30 9D F8 08 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_386_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ"
		size = 260
		refs = "0038 _CrtDbgReportW 004c _errno 0066 _invalid_parameter 00f0 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??_C@_1NK@HHNCOIMJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 00f8 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 1B 68 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 36 4B 01 93 34 4B 00 93 00 23 40 F2 62 72 30 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 62 73 25 4A 24 49 26 48 ?? ?? ?? ?? 00 23 8D F8 08 30 37 E0 0E 9B 18 33 1B 68 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 63 72 16 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 63 73 0B 4A 09 49 08 48 ?? ?? ?? ?? 00 23 8D F8 08 30 02 E0 01 23 8D F8 08 30 9D F8 08 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_387_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ"
		size = 260
		refs = "0038 _CrtDbgReportW 004c _errno 0066 _invalid_parameter 00f0 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??_C@_1OA@OAHHPJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 00f8 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 1B 68 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 36 4B 01 93 34 4B 00 93 00 23 40 F2 62 72 30 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 62 73 25 4A 24 49 26 48 ?? ?? ?? ?? 00 23 8D F8 08 30 37 E0 0E 9B 18 33 1B 68 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 17 4B 01 93 19 4B 00 93 00 23 40 F2 63 72 16 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 40 F2 63 73 0B 4A 09 49 08 48 ?? ?? ?? ?? 00 23 8D F8 08 30 02 E0 01 23 8D F8 08 30 9D F8 08 00 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_388_0 {
	meta:
		name = "?validate@?$stream_input_adapter@D@__crt_stdio_input@@QBA_NXZ"
		size = 176
		refs = "000c ?valid@__crt_stdio_stream@@QBA_NXZ 0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 007a ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0082 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQAU_iobuf@@@Z 00a0 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 00a4 ??_C@_1HA@GIJAHOIO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 00a8 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 5F 22 1A 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 5F 23 10 4A 0E 49 0D 48 ?? ?? ?? ?? 00 23 8D F8 14 30 0C E0 0C 98 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 14 30 9D F8 14 00 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_389_0 {
	meta:
		name = "?validate@?$stream_input_adapter@_W@__crt_stdio_input@@QBA_NXZ"
		size = 176
		refs = "000c ?valid@__crt_stdio_stream@@QBA_NXZ 0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 007a ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0082 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQAU_iobuf@@@Z 00a0 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 00a4 ??_C@_1HG@OBMMLKGL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 00a8 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 5F 22 1A 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 5F 23 10 4A 0E 49 0D 48 ?? ?? ?? ?? 00 23 8D F8 14 30 0C E0 0C 98 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 8D F8 14 30 9D F8 14 00 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_390_0 {
	meta:
		name = "?validate@?$string_input_adapter@D@__crt_stdio_input@@QAA_NXZ"
		size = 264
		refs = "0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 00f4 ??_C@_1BK@DPJMGFFG@?$AA_?$AAi?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?$AA@ 00f8 ??_C@_1HA@NLLONGLH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 00fc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0104 ??_C@_1BO@JKIEMPPA@?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 08 33 1B 68 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 36 4B 01 93 34 4B 00 93 00 23 95 22 31 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 95 23 27 4A 25 49 28 48 ?? ?? ?? ?? 00 23 8D F8 08 30 39 E0 0E 9B 03 F1 08 02 0E 9B 1B 1D 12 68 1B 68 9A 42 02 D8 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 17 4B 01 93 19 4B 00 93 00 23 96 22 16 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 96 23 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 08 30 02 E0 01 23 8D F8 08 30 9D F8 08 00 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_391_0 {
	meta:
		name = "?validate@?$string_input_adapter@_W@__crt_stdio_input@@QAA_NXZ"
		size = 264
		refs = "0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 00f4 ??_C@_1BK@DPJMGFFG@?$AA_?$AAi?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?$AA@ 00f8 ??_C@_1HG@FBLKABN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 00fc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0104 ??_C@_1BO@JKIEMPPA@?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 08 33 1B 68 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 36 4B 01 93 34 4B 00 93 00 23 95 22 31 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 95 23 27 4A 25 49 28 48 ?? ?? ?? ?? 00 23 8D F8 08 30 39 E0 0E 9B 03 F1 08 02 0E 9B 1B 1D 12 68 1B 68 9A 42 02 D8 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 17 4B 01 93 19 4B 00 93 00 23 96 22 16 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 96 23 0B 4A 0A 49 08 48 ?? ?? ?? ?? 00 23 8D F8 08 30 02 E0 01 23 8D F8 08 30 9D F8 08 00 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_394_0 {
	meta:
		name = "?wide_character_to_digit@__crt_strtox@@YAH_W@Z"
		size = 786
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 10 30 30 2B 03 DA 6F F0 00 03 00 93 75 E1 BD F8 10 30 3A 2B 04 DA BD F8 10 30 30 3B 00 93 6C E1 BD F8 10 20 4F F6 10 73 9A 42 80 F2 56 81 BD F8 10 30 B3 F5 CC 6F 03 DA 6F F0 00 03 00 93 5C E1 BD F8 10 20 40 F2 6A 63 9A 42 05 DA BD F8 10 30 A3 F5 CC 63 00 93 50 E1 BD F8 10 30 B3 F5 DE 6F 03 DA 6F F0 00 03 00 93 47 E1 BD F8 10 20 40 F2 FA 63 9A 42 05 DA BD F8 10 30 A3 F5 DE 63 00 93 3B E1 BD F8 10 20 40 F6 66 13 9A 42 03 DA 6F F0 00 03 00 93 31 E1 BD F8 10 30 B3 F5 17 6F 05 DA BD F8 10 30 A3 F6 66 13 00 93 26 E1 BD F8 10 20 40 F6 E6 13 9A 42 03 DA 6F F0 00 03 00 93 1C E1 BD F8 10 30 B3 F5 1F 6F 05 DA BD F8 10 30 A3 F6 E6 13 00 93 11 E1 BD F8 10 20 40 F6 66 23 9A 42 03 DA 6F F0 00 03 00 93 07 E1 BD F8 10 30 B3 F5 27 6F 05 DA BD F8 10 30 A3 F6 66 23 00 93 FC E0 BD F8 10 20 40 F6 E6 23 9A 42 03 DA 6F F0 00 03 00 93 F2 E0 BD F8 10 30 B3 F5 2F 6F 05 DA BD F8 10 30 A3 F6 E6 23 00 93 E7 E0 BD F8 10 20 40 F6 66 33 9A 42 03 DA 6F F0 00 03 00 93 DD E0 BD F8 10 30 B3 F5 37 6F 05 DA BD F8 10 30 A3 F6 66 33 00 93 D2 E0 BD F8 10 20 40 F6 66 43 9A 42 03 DA 6F F0 00 03 00 93 C8 E0 BD F8 10 30 B3 F5 47 6F 05 DA BD F8 10 30 A3 F6 66 43 00 93 BD E0 BD F8 10 20 40 F6 E6 43 9A 42 03 DA 6F F0 00 03 00 93 B3 E0 BD F8 10 30 B3 F5 4F 6F 05 DA BD F8 10 30 A3 F6 E6 43 00 93 A8 E0 BD F8 10 20 40 F6 66 53 9A 42 03 DA 6F F0 00 03 00 93 9E E0 BD F8 10 30 B3 F5 57 6F 05 DA BD F8 10 30 A3 F6 66 53 00 93 93 E0 BD F8 10 30 B3 F5 65 6F 03 DA 6F F0 00 03 00 93 8A E0 BD F8 10 20 40 F6 5A 63 9A 42 05 DA BD F8 10 30 A3 F5 65 63 00 93 7E E0 BD F8 10 30 B3 F5 6D 6F 03 DA 6F F0 00 03 00 93 75 E0 BD F8 10 20 40 F6 DA 63 9A 42 05 DA BD F8 10 30 A3 F5 6D 63 00 93 69 E0 BD F8 10 30 B3 F5 72 6F 03 DA 6F F0 00 03 00 93 60 E0 BD F8 10 20 40 F6 2A 73 9A 42 05 DA BD F8 10 30 A3 F5 72 63 00 93 54 E0 BD F8 10 30 B3 F5 82 5F 03 DA 6F F0 00 03 00 93 4B E0 BD F8 10 20 41 F2 4A 03 9A 42 05 DA BD F8 10 30 A3 F5 82 53 00 93 3F E0 BD F8 10 30 B3 F5 BF 5F 03 DA 6F F0 00 03 00 93 36 E0 BD F8 10 20 41 F2 EA 73 9A 42 05 DA BD F8 10 30 A3 F5 BF 53 00 93 2A E0 BD F8 10 20 41 F6 10 03 9A 42 03 DA 6F F0 00 03 00 93 20 E0 BD F8 10 20 41 F6 1A 03 9A 42 06 DA BD F8 10 20 41 F6 10 03 D3 1A 00 93 13 E0 6F F0 00 03 00 93 0F E0 BD F8 10 20 4F F6 1A 73 9A 42 06 DA BD F8 10 20 4F F6 10 73 D3 1A 00 93 02 E0 6F F0 00 03 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_331_395_0 {
	meta:
		name = "?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ"
		size = 96
		refs = "0026 _CrtDbgReportW 0054 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 10 33 1B 68 04 2B 0F D0 11 4B 01 93 0F 4B 00 93 00 23 4F F4 0E 72 0C 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 08 9B 18 33 02 93 02 9B 1A 68 02 9B 5B 68 04 92 05 93 04 98 05 99 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_396_0 {
	meta:
		name = "?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ"
		size = 96
		refs = "0026 _CrtDbgReportW 0054 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 10 33 1B 68 04 2B 0F D0 11 4B 01 93 0F 4B 00 93 00 23 4F F4 0E 72 0C 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 08 9B 20 33 02 93 02 9B 1A 68 02 9B 5B 68 04 92 05 93 04 98 05 99 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_397_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQADIAAPADAAID@Z"
		size = 60
		altNames = "?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQADIAAPADAAID@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1A 68 9D F9 24 30 13 70 07 9B 1B 68 5A 1C 07 9B 1A 60 08 9B 1B 68 5A 1E 08 9B 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_398_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQFA_WIAAPFA_WAAID@Z"
		size = 162
		refs = "0018 __pctype_func 003c ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAAHXZ 006a _mbtowc_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 9D F9 2C 30 8D F8 00 30 00 23 8D F8 01 30 ?? ?? ?? ?? 01 90 9D F9 2C 30 DA B2 02 23 02 FB 03 F2 01 9B 13 44 1B 88 13 F4 00 4F 0A D0 06 9B 03 F1 08 00 ?? ?? ?? ?? 02 90 02 9B 5A B2 6B 46 5B 1C 1A 70 3F 23 AD F8 02 30 06 9B 60 33 1B 68 06 9A 60 32 12 68 12 68 12 1D 12 68 69 46 0D F1 02 00 ?? ?? ?? ?? 9D F9 2C 30 9A B2 09 9B 1B 68 1A 80 09 9B 1B 68 9A 1C 09 9B 1A 60 0A 9B 1B 68 5A 1E 0A 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_400_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQFA_WIAAPFA_WAAID@Z"
		size = 162
		refs = "0018 __pctype_func 003c ?get@?$string_input_adapter@D@__crt_stdio_input@@QAAHXZ 006a _mbtowc_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 9D F9 2C 30 8D F8 00 30 00 23 8D F8 01 30 ?? ?? ?? ?? 01 90 9D F9 2C 30 DA B2 02 23 02 FB 03 F2 01 9B 13 44 1B 88 13 F4 00 4F 0A D0 06 9B 03 F1 08 00 ?? ?? ?? ?? 02 90 02 9B 5A B2 6B 46 5B 1C 1A 70 3F 23 AD F8 02 30 06 9B 68 33 1B 68 06 9A 68 32 12 68 12 68 12 1D 12 68 69 46 0D F1 02 00 ?? ?? ?? ?? 9D F9 2C 30 9A B2 09 9B 1B 68 1A 80 09 9B 1B 68 9A 1C 09 9B 1A 60 0A 9B 1B 68 5A 1E 0A 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_401_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQADIAAPADAAI_W@Z"
		size = 212
		refs = "0022 wctomb_s 0042 _invoke_watson_if_oneof 008a ??$reset_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z 00c8 ??_C@_1FM@MOIHLFHI@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp@ 00cc ??_C@_1OK@BKPOHNLP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00d0 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9B B3 F1 FF 3F 2A D1 00 23 05 93 BD F8 44 30 05 22 0F 99 09 68 05 A8 ?? ?? ?? ?? 07 90 00 23 03 93 40 F2 56 53 02 93 27 4B 01 93 25 4B 00 93 23 4B 22 22 16 21 07 98 ?? ?? ?? ?? 08 90 08 9B 00 2B 0B D1 0F 9B 1A 68 05 9B 1A 44 0F 9B 1A 60 10 9B 1A 68 05 9B D2 1A 10 9B 1A 60 25 E0 00 23 04 93 BD F8 44 30 10 9A 12 68 0F 99 09 68 04 A8 ?? ?? ?? ?? 09 90 09 9B 22 2B 07 D1 0E 99 0D 98 ?? ?? ?? ?? 00 23 8D F8 18 30 11 E0 04 9B 00 2B 0B DD 0F 9B 1A 68 04 9B 1A 44 0F 9B 1A 60 10 9B 1A 68 04 9B D2 1A 10 9B 1A 60 01 23 8D F8 18 30 9D F8 18 00 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_403_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQADIAAPADAAI_W@Z"
		size = 212
		refs = "0022 wctomb_s 0042 _invoke_watson_if_oneof 008a ??$reset_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z 00c8 ??_C@_1FM@MOIHLFHI@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp@ 00cc ??_C@_1OK@BHAPBOII@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00d0 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9B B3 F1 FF 3F 2A D1 00 23 05 93 BD F8 44 30 05 22 0F 99 09 68 05 A8 ?? ?? ?? ?? 07 90 00 23 03 93 40 F2 56 53 02 93 27 4B 01 93 25 4B 00 93 23 4B 22 22 16 21 07 98 ?? ?? ?? ?? 08 90 08 9B 00 2B 0B D1 0F 9B 1A 68 05 9B 1A 44 0F 9B 1A 60 10 9B 1A 68 05 9B D2 1A 10 9B 1A 60 25 E0 00 23 04 93 BD F8 44 30 10 9A 12 68 0F 99 09 68 04 A8 ?? ?? ?? ?? 09 90 09 9B 22 2B 07 D1 0E 99 0D 98 ?? ?? ?? ?? 00 23 8D F8 18 30 11 E0 04 9B 00 2B 0B DD 0F 9B 1A 68 04 9B 1A 44 0F 9B 1A 60 10 9B 1A 68 04 9B D2 1A 10 9B 1A 60 01 23 8D F8 18 30 9D F8 18 00 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_402_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQFA_WIAAPFA_WAAI_W@Z"
		size = 60
		altNames = "?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQFA_WIAAPFA_WAAI_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 1A 68 BD F8 24 30 13 80 07 9B 1B 68 9A 1C 07 9B 1A 60 08 9B 1B 68 5A 1E 08 9B 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_331_405_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
		size = 324
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b8 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0134 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0138 ??_C@_1NK@LNDNKEBK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 013c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 64 01 0E 9B 64 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 05 93 0E 9B 03 F1 64 02 05 9B 13 60 05 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 4F F4 C3 62 37 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 4F F4 C3 63 2C 4A 2A 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 43 E0 9D F8 48 30 00 2B 06 D0 0E 9B 68 33 1B 68 5A 1C 0E 9B 68 33 1A 60 0E 9B 03 F1 10 00 ?? ?? ?? ?? 0A 90 0A 9B 04 93 04 9B 5B 1E 04 93 04 9B 07 2B 27 D8 04 9A DF E8 02 F0 04 0C 25 14 25 25 25 1B 10 9B DA B2 02 9B 1A 70 01 23 8D F8 0C 30 1B E0 10 9B 9A B2 02 9B 1A 80 01 23 8D F8 0C 30 13 E0 10 9A 02 9B 1A 60 01 23 8D F8 0C 30 0C E0 10 9A 02 9B 1A 60 11 9A 02 9B 5A 60 01 23 8D F8 0C 30 02 E0 00 23 8D F8 0C 30 9D F8 0C 00 0C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_406_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
		size = 324
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b8 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0134 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0138 ??_C@_1NK@MGMDLCAF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 013c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 6C 01 0E 9B 6C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 05 93 0E 9B 03 F1 6C 02 05 9B 13 60 05 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 4F F4 C3 62 37 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 4F F4 C3 63 2C 4A 2A 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 43 E0 9D F8 48 30 00 2B 06 D0 0E 9B 70 33 1B 68 5A 1C 0E 9B 70 33 1A 60 0E 9B 03 F1 18 00 ?? ?? ?? ?? 0A 90 0A 9B 04 93 04 9B 5B 1E 04 93 04 9B 07 2B 27 D8 04 9A DF E8 02 F0 04 0C 25 14 25 25 25 1B 10 9B DA B2 02 9B 1A 70 01 23 8D F8 0C 30 1B E0 10 9B 9A B2 02 9B 1A 80 01 23 8D F8 0C 30 13 E0 10 9A 02 9B 1A 60 01 23 8D F8 0C 30 0C E0 10 9A 02 9B 1A 60 11 9A 02 9B 5A 60 01 23 8D F8 0C 30 02 E0 00 23 8D F8 0C 30 9D F8 0C 00 0C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_407_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
		size = 324
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b8 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 0134 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0138 ??_C@_1OG@EFLCDJB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 013c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 4C 01 0E 9B 4C 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 05 93 0E 9B 03 F1 4C 02 05 9B 13 60 05 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 4F F4 C3 62 37 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 4F F4 C3 63 2C 4A 2A 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 43 E0 9D F8 48 30 00 2B 06 D0 0E 9B 50 33 1B 68 5A 1C 0E 9B 50 33 1A 60 0E 9B 03 F1 10 00 ?? ?? ?? ?? 0A 90 0A 9B 04 93 04 9B 5B 1E 04 93 04 9B 07 2B 27 D8 04 9A DF E8 02 F0 04 0C 25 14 25 25 25 1B 10 9B DA B2 02 9B 1A 70 01 23 8D F8 0C 30 1B E0 10 9B 9A B2 02 9B 1A 80 01 23 8D F8 0C 30 13 E0 10 9A 02 9B 1A 60 01 23 8D F8 0C 30 0C E0 10 9A 02 9B 1A 60 11 9A 02 9B 5A 60 01 23 8D F8 0C 30 02 E0 00 23 8D F8 0C 30 9D F8 0C 00 0C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_331_408_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
		size = 324
		refs = "0062 _CrtDbgReportW 0076 _errno 0090 _invalid_parameter 00b8 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 0134 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0138 ??_C@_1OG@CHGGBHNI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 013c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 03 F1 54 01 0E 9B 54 33 1B 68 5B 42 03 F0 03 03 1A 1D 0B 68 13 44 05 93 0E 9B 03 F1 54 02 05 9B 13 60 05 9B 1B 1F 1B 68 02 93 02 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0F D1 38 4B 01 93 3A 4B 00 93 00 23 4F F4 C3 62 37 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 07 9B 00 2B 12 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 4F F4 C3 63 2C 4A 2A 49 29 48 ?? ?? ?? ?? 00 23 8D F8 0C 30 43 E0 9D F8 48 30 00 2B 06 D0 0E 9B 58 33 1B 68 5A 1C 0E 9B 58 33 1A 60 0E 9B 03 F1 18 00 ?? ?? ?? ?? 0A 90 0A 9B 04 93 04 9B 5B 1E 04 93 04 9B 07 2B 27 D8 04 9A DF E8 02 F0 04 0C 25 14 25 25 25 1B 10 9B DA B2 02 9B 1A 70 01 23 8D F8 0C 30 1B E0 10 9B 9A B2 02 9B 1A 80 01 23 8D F8 0C 30 13 E0 10 9A 02 9B 1A 60 01 23 8D F8 0C 30 0C E0 10 9A 02 9B 1A 60 11 9A 02 9B 5A 60 01 23 8D F8 0C 30 02 E0 00 23 8D F8 0C 30 9D F8 0C 00 0C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_332_0_0 {
	meta:
		name = "lrintf"
		size = 168
		refs = "000e _fdtest 0032 nearbyintf 0056 _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 03 0A 03 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 38 D0 02 9B 00 2B 02 DD 02 9B 02 2B 2F DD 9D ED 03 0A ?? ?? ?? ?? 8D ED 05 0A 9D ED 05 0A 8D ED 01 0A DD ED 01 0A 9D ED 03 0A F4 EE 40 0A F1 EE 10 FA 02 D0 20 20 ?? ?? ?? ?? DF ED 12 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 10 D8 DD ED 01 0A 9F ED 0B 0A F4 EE C0 0A F1 EE 10 FA 07 D8 9D ED 01 0A BD EE C0 0A 10 EE 10 3A 04 93 04 E0 01 20 ?? ?? ?? ?? 00 23 04 93 04 98 06 B0 BD E8 00 88 00 00 00 4F 00 00 00 CF }
	condition:
		$1
}

rule file_333_0_0 {
	meta:
		name = "??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z"
		size = 1696
		refs = "000a __security_push_cookie 0016 memset 0020 memcpy 00ae _CrtDbgReportW 00c2 _errno 00e2 _invalid_parameter 01c2 ?__acrt_stdio_parse_mode_plus@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 01d6 ?__acrt_stdio_parse_mode_b@@YA_NAAU__acrt_stdio_stream_mode@@@Z 01ea ?__acrt_stdio_parse_mode_t@@YA_NAAU__acrt_stdio_stream_mode@@@Z 0200 ?__acrt_stdio_parse_mode_c@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 0216 ?__acrt_stdio_parse_mode_n@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 022e ?__acrt_stdio_parse_mode_S@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 0246 ?__acrt_stdio_parse_mode_R@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 025a ?__acrt_stdio_parse_mode_T@@YA_NAAU__acrt_stdio_stream_mode@@@Z 026e ?__acrt_stdio_parse_mode_D@@YA_NAAU__acrt_stdio_stream_mode@@@Z 0282 ?__acrt_stdio_parse_mode_N@@YA_NAAU__acrt_stdio_stream_mode@@@Z 03d0 ??$tcsncmp@AAPBDAAY02$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY02$$CBD$$QAI@Z 04f8 ??$tcsnicmp@AAPBDAAY04$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY04$$CBD$$QAI@Z 051e ??$tcsnicmp@AAPBDAAY07$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY07$$CBD$$QAI@Z 0544 ??$tcsnicmp@AAPBDAAY06$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY06$$CBD$$QAI@Z 066c __security_pop_cookie 0678 ??_C@_1BI@PDNFEGCG@?$AA?$CK?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 067c ??_C@_1DA@KPIHAHGC@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0680 ??_C@_1GC@LCDLABEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0684 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0688 ??_C@_1DM@FOFGGBBM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 068c ?unicode_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z@4QBDB 0690 ?utf16_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z@4QBDB 0694 ?utf8_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z@4QBDB 0698 ?ccs@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z@4QBDB 069c _commode"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? BC B0 0C 22 00 21 38 A8 ?? ?? ?? ?? 34 A8 38 A9 0C 22 ?? ?? ?? ?? DF F8 74 36 1B 68 35 93 41 9B 03 93 03 9B 93 F9 00 30 20 2B 03 D1 03 9B 5B 1C 03 93 F6 E7 03 9B 93 F9 00 30 0A 93 0A 9B 61 2B 11 D0 0A 9B 72 2B 03 D0 0A 9B 77 2B 05 D0 10 E0 00 23 34 93 01 23 35 93 47 E0 40 F2 01 33 34 93 02 23 35 93 41 E0 40 F2 09 13 34 93 02 23 35 93 3B E0 02 E0 01 23 1D 93 01 E0 00 23 1D 93 1D 9B 0F 93 0F 9B 00 2B 12 D1 DF F8 F0 35 01 93 DF F8 E4 35 00 93 00 23 40 F2 63 22 DF F8 D4 15 02 20 ?? ?? ?? ?? 33 90 33 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 1A D1 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 00 23 00 93 40 F2 63 23 DF F8 A8 25 DF F8 A0 15 DF F8 A8 05 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 B7 E2 03 9B 5B 1C 03 93 00 23 8D F8 18 30 00 23 8D F8 1A 30 00 23 8D F8 19 30 00 23 8D F8 10 30 01 23 8D F8 08 30 0C E0 9D F8 08 30 00 2B 02 D0 01 23 10 93 01 E0 00 23 10 93 03 9A 10 9B 13 44 03 93 9D F8 08 30 00 2B 00 F0 E8 80 03 9B 93 F9 00 30 00 2B 00 F0 E2 80 03 9B 93 F9 00 30 05 93 05 9B 53 2B 1B DC 05 9B 53 2B 62 D0 05 9B 44 2B 0E DC 05 9B 44 2B 7E D0 05 9B 20 2B 00 F0 8F 80 05 9B 2B 2B 1F D0 05 9B 2C 2B 00 F0 89 80 8E E0 05 9B 4E 2B 79 D0 05 9B 52 2B 56 D0 87 E0 05 9B 63 2B 09 DC 05 9B 63 2B 2D D0 05 9B 54 2B 58 D0 05 9B 62 2B 13 D0 7A E0 05 9B 6E 2B 2E D0 05 9B 74 2B 16 D0 73 E0 0D F1 1A 01 34 A8 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 9D E0 34 A8 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 93 E0 34 A8 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 8D F8 08 30 89 E0 06 A9 34 A8 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 8D F8 08 30 7E E0 06 A9 34 A8 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 8D F8 08 30 73 E0 0D F1 19 01 34 A8 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 8D F8 08 30 67 E0 0D F1 19 01 34 A8 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 8D F8 08 30 5B E0 34 A8 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 8D F8 08 30 51 E0 34 A8 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 8D F8 08 30 47 E0 34 A8 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 8D F8 08 30 3D E0 3C E0 01 23 8D F8 10 30 00 23 8D F8 08 30 35 E0 02 E0 01 23 11 93 01 E0 00 23 11 93 11 9B 12 93 12 9B 00 2B 0F D1 F3 4B 01 93 F1 4B 00 93 00 23 4F F4 24 72 ED 49 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 12 9B 00 2B 17 D1 ?? ?? ?? ?? 20 90 20 9A 16 23 13 60 00 23 00 93 4F F4 24 73 E2 4A E1 49 E3 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 AB E1 05 E7 9D F8 10 30 00 2B 02 D0 03 9B 5B 1C 03 93 03 9B 93 F9 00 30 20 2B 03 D1 03 9B 5B 1C 03 93 F6 E7 9D F8 10 30 00 2B 45 D1 03 9B 93 F9 00 30 00 2B 02 D1 01 23 13 93 01 E0 00 23 13 93 13 9B 14 93 14 9B 00 2B 0F D1 C7 4B 01 93 C9 4B 00 93 00 23 40 F2 9F 22 C6 49 02 20 ?? ?? ?? ?? 21 90 21 9B 01 2B 00 D1 FE DE 14 9B 00 2B 17 D1 ?? ?? ?? ?? 22 90 22 9A 16 23 13 60 00 23 00 93 40 F2 9F 23 BB 4A B9 49 B8 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 5C E1 01 23 8D F8 D8 30 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 50 E1 03 23 23 93 23 AA B2 49 03 A8 ?? ?? ?? ?? 24 90 24 9B 00 2B 35 D0 02 E0 01 23 15 93 01 E0 00 23 15 93 15 9B 16 93 16 9B 00 2B 0F D1 A5 4B 01 93 A3 4B 00 93 00 23 4F F4 2B 72 9F 49 02 20 ?? ?? ?? ?? 25 90 25 9B 01 2B 00 D1 FE DE 16 9B 00 2B 17 D1 ?? ?? ?? ?? 26 90 26 9A 16 23 13 60 00 23 00 93 4F F4 2B 73 94 4A 93 49 95 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 0F E1 03 9B DB 1C 03 93 03 9B 93 F9 00 30 20 2B 03 D1 03 9B 5B 1C 03 93 F6 E7 03 9B 93 F9 00 30 3D 2B 35 D0 02 E0 01 23 17 93 01 E0 00 23 17 93 17 9B 18 93 18 9B 00 2B 0F D1 81 4B 01 93 7F 4B 00 93 00 23 4F F4 2D 72 7C 49 02 20 ?? ?? ?? ?? 27 90 27 9B 01 2B 00 D1 FE DE 18 9B 00 2B 17 D1 ?? ?? ?? ?? 28 90 28 9A 16 23 13 60 00 23 00 93 4F F4 2D 73 71 4A 6F 49 72 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 C8 E0 03 9B 5B 1C 03 93 03 9B 93 F9 00 30 20 2B 03 D1 03 9B 5B 1C 03 93 F6 E7 05 23 29 93 29 AA 67 49 03 A8 ?? ?? ?? ?? 2A 90 2A 9B 00 2B 07 D1 03 9B 5B 1D 03 93 34 9B 43 F4 80 23 34 93 5B E0 08 23 2B 93 2B AA 5D 49 03 A8 ?? ?? ?? ?? 2C 90 2C 9B 00 2B 07 D1 03 9B 08 33 03 93 34 9B 43 F4 00 33 34 93 48 E0 07 23 2D 93 2D AA 52 49 03 A8 ?? ?? ?? ?? 2E 90 2E 9B 00 2B 07 D1 03 9B DB 1D 03 93 34 9B 43 F4 80 33 34 93 35 E0 02 E0 01 23 19 93 01 E0 00 23 19 93 19 9B 1A 93 1A 9B 00 2B 0F D1 44 4B 01 93 42 4B 00 93 00 23 4F F4 33 72 3E 49 02 20 ?? ?? ?? ?? 2F 90 2F 9B 01 2B 00 D1 FE DE 1A 9B 00 2B 17 D1 ?? ?? ?? ?? 30 90 30 9A 16 23 13 60 00 23 00 93 4F F4 33 73 33 4A 32 49 34 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 4D E0 03 9B 93 F9 00 30 20 2B 03 D1 03 9B 5B 1C 03 93 F6 E7 03 9B 93 F9 00 30 00 2B 02 D1 01 23 1B 93 01 E0 00 23 1B 93 1B 9B 1C 93 1C 9B 00 2B 0F D1 1E 4B 01 93 20 4B 00 93 00 23 4F F4 35 72 1D 49 02 20 ?? ?? ?? ?? 31 90 31 9B 01 2B 00 D1 FE DE 1C 9B 00 2B 17 D1 ?? ?? ?? ?? 32 90 32 9A 16 23 13 60 00 23 00 93 4F F4 35 73 12 4A 10 49 0F 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 0A E0 01 23 8D F8 D8 30 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 0C 98 3C B0 ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_333_1_0 {
	meta:
		name = "??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z"
		size = 1680
		refs = "000a __security_push_cookie 0016 memset 0020 memcpy 00aa _CrtDbgReportW 00be _errno 00de _invalid_parameter 01c0 ?__acrt_stdio_parse_mode_plus@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 01d4 ?__acrt_stdio_parse_mode_b@@YA_NAAU__acrt_stdio_stream_mode@@@Z 01e8 ?__acrt_stdio_parse_mode_t@@YA_NAAU__acrt_stdio_stream_mode@@@Z 01fe ?__acrt_stdio_parse_mode_c@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 0214 ?__acrt_stdio_parse_mode_n@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 022c ?__acrt_stdio_parse_mode_S@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 0244 ?__acrt_stdio_parse_mode_R@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 0258 ?__acrt_stdio_parse_mode_T@@YA_NAAU__acrt_stdio_stream_mode@@@Z 026c ?__acrt_stdio_parse_mode_D@@YA_NAAU__acrt_stdio_stream_mode@@@Z 0280 ?__acrt_stdio_parse_mode_N@@YA_NAAU__acrt_stdio_stream_mode@@@Z 03ca ??$tcsncmp@AAPB_WAAY02$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY02$$CB_W$$QAI@Z 04ec ??$tcsnicmp@AAPB_WAAY04$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY04$$CB_W$$QAI@Z 0512 ??$tcsnicmp@AAPB_WAAY07$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY07$$CB_W$$QAI@Z 0538 ??$tcsnicmp@AAPB_WAAY06$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY06$$CB_W$$QAI@Z 065c __security_pop_cookie 0668 ??_C@_1BI@PDNFEGCG@?$AA?$CK?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 066c ??_C@_1DA@KPIHAHGC@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0670 ??_C@_1GC@LCDLABEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0674 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0678 ??_C@_1DM@FOFGGBBM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 067c ?unicode_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z@4QB_WB 0680 ?utf16_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z@4QB_WB 0684 ?utf8_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z@4QB_WB 0688 ?ccs@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z@4QB_WB 068c _commode"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? BC B0 0C 22 00 21 38 A8 ?? ?? ?? ?? 34 A8 38 A9 0C 22 ?? ?? ?? ?? DF F8 64 36 1B 68 35 93 41 9B 03 93 03 9B 1B 88 20 2B 03 D1 03 9B 9B 1C 03 93 F7 E7 03 9B 1B 88 0A 93 0A 9B 61 2B 11 D0 0A 9B 72 2B 03 D0 0A 9B 77 2B 05 D0 10 E0 00 23 34 93 01 23 35 93 47 E0 40 F2 01 33 34 93 02 23 35 93 41 E0 40 F2 09 13 34 93 02 23 35 93 3B E0 02 E0 01 23 1D 93 01 E0 00 23 1D 93 1D 9B 0F 93 0F 9B 00 2B 12 D1 DF F8 E4 35 01 93 DF F8 D8 35 00 93 00 23 40 F2 63 22 DF F8 C8 15 02 20 ?? ?? ?? ?? 33 90 33 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 1A D1 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 00 23 00 93 40 F2 63 23 DF F8 9C 25 DF F8 94 15 DF F8 9C 05 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 B1 E2 03 9B 9B 1C 03 93 00 23 8D F8 18 30 00 23 8D F8 1A 30 00 23 8D F8 19 30 00 23 8D F8 10 30 01 23 8D F8 08 30 0F E0 9D F8 08 30 00 2B 02 D0 01 23 10 93 01 E0 00 23 10 93 10 9A 02 23 02 FB 03 F2 03 9B 13 44 03 93 9D F8 08 30 00 2B 00 F0 E6 80 03 9B 1B 88 00 2B 00 F0 E1 80 03 9B 1B 88 05 93 05 9B 53 2B 1B DC 05 9B 53 2B 62 D0 05 9B 44 2B 0E DC 05 9B 44 2B 7E D0 05 9B 20 2B 00 F0 8F 80 05 9B 2B 2B 1F D0 05 9B 2C 2B 00 F0 89 80 8E E0 05 9B 4E 2B 79 D0 05 9B 52 2B 56 D0 87 E0 05 9B 63 2B 09 DC 05 9B 63 2B 2D D0 05 9B 54 2B 58 D0 05 9B 62 2B 13 D0 7A E0 05 9B 6E 2B 2E D0 05 9B 74 2B 16 D0 73 E0 0D F1 1A 01 34 A8 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 8D F8 08 30 9D E0 34 A8 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 8D F8 08 30 93 E0 34 A8 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 8D F8 08 30 89 E0 06 A9 34 A8 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 8D F8 08 30 7E E0 06 A9 34 A8 ?? ?? ?? ?? 8D F8 1F 00 9D F8 1F 30 8D F8 08 30 73 E0 0D F1 19 01 34 A8 ?? ?? ?? ?? 8D F8 20 00 9D F8 20 30 8D F8 08 30 67 E0 0D F1 19 01 34 A8 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 8D F8 08 30 5B E0 34 A8 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 8D F8 08 30 51 E0 34 A8 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 8D F8 08 30 47 E0 34 A8 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 8D F8 08 30 3D E0 3C E0 01 23 8D F8 10 30 00 23 8D F8 08 30 35 E0 02 E0 01 23 11 93 01 E0 00 23 11 93 11 9B 12 93 12 9B 00 2B 0F D1 EF 4B 01 93 ED 4B 00 93 00 23 4F F4 24 72 EA 49 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 12 9B 00 2B 17 D1 ?? ?? ?? ?? 20 90 20 9A 16 23 13 60 00 23 00 93 4F F4 24 73 DF 4A DD 49 E0 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 A4 E1 04 E7 9D F8 10 30 00 2B 02 D0 03 9B 9B 1C 03 93 03 9B 1B 88 20 2B 03 D1 03 9B 9B 1C 03 93 F7 E7 9D F8 10 30 00 2B 44 D1 03 9B 1B 88 00 2B 02 D1 01 23 13 93 01 E0 00 23 13 93 13 9B 14 93 14 9B 00 2B 0F D1 C5 4B 01 93 C7 4B 00 93 00 23 40 F2 9F 22 C3 49 02 20 ?? ?? ?? ?? 21 90 21 9B 01 2B 00 D1 FE DE 14 9B 00 2B 17 D1 ?? ?? ?? ?? 22 90 22 9A 16 23 13 60 00 23 00 93 40 F2 9F 23 B8 4A B7 49 B5 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 57 E1 01 23 8D F8 D8 30 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 4B E1 03 23 23 93 23 AA B0 49 03 A8 ?? ?? ?? ?? 24 90 24 9B 00 2B 35 D0 02 E0 01 23 15 93 01 E0 00 23 15 93 15 9B 16 93 16 9B 00 2B 0F D1 A2 4B 01 93 A0 4B 00 93 00 23 4F F4 2B 72 9D 49 02 20 ?? ?? ?? ?? 25 90 25 9B 01 2B 00 D1 FE DE 16 9B 00 2B 17 D1 ?? ?? ?? ?? 26 90 26 9A 16 23 13 60 00 23 00 93 4F F4 2B 73 92 4A 90 49 93 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 0A E1 03 9B 9B 1D 03 93 03 9B 1B 88 20 2B 03 D1 03 9B 9B 1C 03 93 F7 E7 03 9B 1B 88 3D 2B 35 D0 02 E0 01 23 17 93 01 E0 00 23 17 93 17 9B 18 93 18 9B 00 2B 0F D1 80 4B 01 93 7E 4B 00 93 00 23 4F F4 2D 72 7A 49 02 20 ?? ?? ?? ?? 27 90 27 9B 01 2B 00 D1 FE DE 18 9B 00 2B 17 D1 ?? ?? ?? ?? 28 90 28 9A 16 23 13 60 00 23 00 93 4F F4 2D 73 6F 4A 6E 49 70 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 C5 E0 03 9B 9B 1C 03 93 03 9B 1B 88 20 2B 03 D1 03 9B 9B 1C 03 93 F7 E7 05 23 29 93 29 AA 66 49 03 A8 ?? ?? ?? ?? 2A 90 2A 9B 00 2B 07 D1 03 9B 0A 33 03 93 34 9B 43 F4 80 23 34 93 5B E0 08 23 2B 93 2B AA 5C 49 03 A8 ?? ?? ?? ?? 2C 90 2C 9B 00 2B 07 D1 03 9B 10 33 03 93 34 9B 43 F4 00 33 34 93 48 E0 07 23 2D 93 2D AA 51 49 03 A8 ?? ?? ?? ?? 2E 90 2E 9B 00 2B 07 D1 03 9B 0E 33 03 93 34 9B 43 F4 80 33 34 93 35 E0 02 E0 01 23 19 93 01 E0 00 23 19 93 19 9B 1A 93 1A 9B 00 2B 0F D1 43 4B 01 93 41 4B 00 93 00 23 4F F4 33 72 3D 49 02 20 ?? ?? ?? ?? 2F 90 2F 9B 01 2B 00 D1 FE DE 1A 9B 00 2B 17 D1 ?? ?? ?? ?? 30 90 30 9A 16 23 13 60 00 23 00 93 4F F4 33 73 32 4A 31 49 33 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 4B E0 03 9B 1B 88 20 2B 03 D1 03 9B 9B 1C 03 93 F7 E7 03 9B 1B 88 00 2B 02 D1 01 23 1B 93 01 E0 00 23 1B 93 1B 9B 1C 93 1C 9B 00 2B 0F D1 1E 4B 01 93 20 4B 00 93 00 23 4F F4 35 72 1D 49 02 20 ?? ?? ?? ?? 31 90 31 9B 01 2B 00 D1 FE DE 1C 9B 00 2B 17 D1 ?? ?? ?? ?? 32 90 32 9A 16 23 13 60 00 23 00 93 4F F4 35 73 12 4A 10 49 0F 48 ?? ?? ?? ?? 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 0A E0 01 23 8D F8 D8 30 40 9C 34 A8 90 E8 0E 00 84 E8 0E 00 40 9B 0C 93 0C 98 3C B0 ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_333_2_0 {
	meta:
		name = "??$common_fdopen@D@@YAPAU_iobuf@@HQBD@Z"
		size = 608
		refs = "000a __security_push_cookie 0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 018e ??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z 01b0 memcpy 01c6 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 01ce ?valid@__crt_stdio_stream@@QBA_NXZ 01fc ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 0204 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 021a ?unlock@__crt_stdio_stream@@QBAXXZ 0222 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0230 __security_pop_cookie 023c _cflush 0240 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0244 ??_C@_1BM@JLCPPPD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0248 ??_C@_1GA@LGDDDCKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 024c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0250 __pioinfo 0254 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0258 _nhandle 025c ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B ?? ?? ?? ?? 9F B0 6F 46 82 B0 D7 F8 94 30 00 2B 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 8A 4B 01 93 85 4B 00 93 00 23 19 22 82 49 02 20 ?? ?? ?? ?? 78 62 7B 6A 01 2B 00 D1 FE DE 3B 69 00 2B 10 D1 ?? ?? ?? ?? B8 62 BA 6A 16 23 13 60 00 23 00 93 19 23 78 4A 76 49 7C 48 ?? ?? ?? ?? 00 23 7B 60 DA E0 D7 F8 90 30 13 F1 02 0F 08 D1 ?? ?? ?? ?? F8 62 FA 6A 09 23 13 60 00 23 7B 60 CC E0 D7 F8 90 30 00 2B 08 DB D7 F8 90 20 6E 4B 1B 68 9A 42 02 D2 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 66 4B 01 93 63 4B 00 93 00 23 1C 22 60 49 02 20 ?? ?? ?? ?? 38 63 3B 6B 01 2B 00 D1 FE DE BB 69 00 2B 10 D1 ?? ?? ?? ?? 78 63 7A 6B 09 23 13 60 00 23 00 93 1C 23 55 4A 54 49 57 48 ?? ?? ?? ?? 00 23 7B 60 95 E0 D7 F8 90 30 9A 11 04 23 02 FB 03 F2 50 4B 99 18 D7 F8 90 30 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 FB 61 01 E0 00 23 FB 61 FB 69 3B 62 3B 6A 00 2B 0E D1 3F 4B 01 93 41 4B 00 93 00 23 1D 22 3E 49 02 20 ?? ?? ?? ?? B8 63 BB 6B 01 2B 00 D1 FE DE 3B 6A 00 2B 10 D1 ?? ?? ?? ?? F8 63 FA 6B 09 23 13 60 00 23 00 93 1D 23 34 4A 32 49 31 48 ?? ?? ?? ?? 00 23 7B 60 52 E0 D7 F8 94 10 17 F1 50 00 ?? ?? ?? ?? 17 F1 50 03 3B 64 38 6C 17 F1 70 04 90 E8 0E 00 84 E8 0E 00 17 F1 60 00 17 F1 70 01 0C 22 ?? ?? ?? ?? 97 F8 68 30 00 2B 02 D1 00 23 7B 60 34 E0 17 F1 08 00 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 08 D1 ?? ?? ?? ?? 78 64 7A 6C 18 23 13 60 00 23 7B 60 1F E0 13 4B 1B 68 5A 1C 12 4B 1A 60 79 6E 17 F1 08 00 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? B8 64 BB 6C 03 F1 10 02 D7 F8 90 30 13 60 17 F1 08 00 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? F8 64 FB 6C 7B 60 78 68 21 B0 ?? ?? ?? ?? BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_333_4_0 {
	meta:
		name = "??$common_fdopen@_W@@YAPAU_iobuf@@HQB_W@Z"
		size = 608
		refs = "000a __security_push_cookie 0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 018e ??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z 01b0 memcpy 01c6 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 01ce ?valid@__crt_stdio_stream@@QBA_NXZ 01fc ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 0204 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 021a ?unlock@__crt_stdio_stream@@QBAXXZ 0222 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0230 __security_pop_cookie 023c _cflush 0240 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0244 ??_C@_1BM@JLCPPPD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0248 ??_C@_1GA@LGDDDCKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 024c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0250 __pioinfo 0254 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0258 _nhandle 025c ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B ?? ?? ?? ?? 9F B0 6F 46 82 B0 D7 F8 94 30 00 2B 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 8A 4B 01 93 85 4B 00 93 00 23 19 22 82 49 02 20 ?? ?? ?? ?? 78 62 7B 6A 01 2B 00 D1 FE DE 3B 69 00 2B 10 D1 ?? ?? ?? ?? B8 62 BA 6A 16 23 13 60 00 23 00 93 19 23 78 4A 76 49 7C 48 ?? ?? ?? ?? 00 23 7B 60 DA E0 D7 F8 90 30 13 F1 02 0F 08 D1 ?? ?? ?? ?? F8 62 FA 6A 09 23 13 60 00 23 7B 60 CC E0 D7 F8 90 30 00 2B 08 DB D7 F8 90 20 6E 4B 1B 68 9A 42 02 D2 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 66 4B 01 93 63 4B 00 93 00 23 1C 22 60 49 02 20 ?? ?? ?? ?? 38 63 3B 6B 01 2B 00 D1 FE DE BB 69 00 2B 10 D1 ?? ?? ?? ?? 78 63 7A 6B 09 23 13 60 00 23 00 93 1C 23 55 4A 54 49 57 48 ?? ?? ?? ?? 00 23 7B 60 95 E0 D7 F8 90 30 9A 11 04 23 02 FB 03 F2 50 4B 99 18 D7 F8 90 30 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 FB 61 01 E0 00 23 FB 61 FB 69 3B 62 3B 6A 00 2B 0E D1 3F 4B 01 93 41 4B 00 93 00 23 1D 22 3E 49 02 20 ?? ?? ?? ?? B8 63 BB 6B 01 2B 00 D1 FE DE 3B 6A 00 2B 10 D1 ?? ?? ?? ?? F8 63 FA 6B 09 23 13 60 00 23 00 93 1D 23 34 4A 32 49 31 48 ?? ?? ?? ?? 00 23 7B 60 52 E0 D7 F8 94 10 17 F1 50 00 ?? ?? ?? ?? 17 F1 50 03 3B 64 38 6C 17 F1 70 04 90 E8 0E 00 84 E8 0E 00 17 F1 60 00 17 F1 70 01 0C 22 ?? ?? ?? ?? 97 F8 68 30 00 2B 02 D1 00 23 7B 60 34 E0 17 F1 08 00 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 08 D1 ?? ?? ?? ?? 78 64 7A 6C 18 23 13 60 00 23 7B 60 1F E0 13 4B 1B 68 5A 1C 12 4B 1A 60 79 6E 17 F1 08 00 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? B8 64 BB 6C 03 F1 10 02 D7 F8 90 30 13 60 17 F1 08 00 ?? ?? ?? ?? 17 F1 08 00 ?? ?? ?? ?? F8 64 FB 6C 7B 60 78 68 21 B0 ?? ?? ?? ?? BD E8 90 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_333_3_0 {
	meta:
		name = "?fin$0@?0???$common_fdopen@D@@YAPAU_iobuf@@HQBD@Z@4HA"
		size = 18
		refs = "0008 ?unlock@__crt_stdio_stream@@QBAXXZ"
		altNames = "?fin$0@?0???$common_fdopen@_W@@YAPAU_iobuf@@HQB_W@Z@4HA"
	strings:
		$1 = { 10 B5 82 B0 17 F1 08 00 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_333_6_0 {
	meta:
		name = "??$tcsncmp@AAPBDAAY02$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY02$$CBD$$QAI@Z"
		size = 42
		refs = "0014 strncmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 99 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_333_7_0 {
	meta:
		name = "??$tcsncmp@AAPB_WAAY02$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY02$$CB_W$$QAI@Z"
		size = 42
		refs = "0014 wcsncmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 99 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_333_8_0 {
	meta:
		name = "??$tcsnicmp@AAPBDAAY04$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY04$$CBD$$QAI@Z"
		size = 42
		refs = "0014 _strnicmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 99 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_333_9_2 {
	meta:
		name = "??$tcsnicmp@AAPBDAAY06$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY06$$CBD$$QAI@Z"
		size = 42
		refs = "0014 _strnicmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 99 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_544_8_2 {
	meta:
		name = "??$tcsnicmp@AAPBDAAY07$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY07$$CBD$$QAI@Z"
		size = 42
		refs = "0014 _strnicmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 99 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_544_9_3 {
	meta:
		name = "??$tcsnicmp@AAPB_WAAY04$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY04$$CB_W$$QAI@Z"
		size = 42
		refs = "0014 _wcsnicmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 99 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_333_12_2 {
	meta:
		name = "??$tcsnicmp@AAPB_WAAY06$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY06$$CB_W$$QAI@Z"
		size = 42
		refs = "0014 _wcsnicmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 99 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_544_11_4 {
	meta:
		name = "??$tcsnicmp@AAPB_WAAY07$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY07$$CB_W$$QAI@Z"
		size = 42
		refs = "0014 _wcsnicmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 99 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_333_15_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_D@@YA_NAAU__acrt_stdio_stream_mode@@@Z"
		size = 60
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 13 F0 40 0F 03 D0 00 23 8D F8 00 30 08 E0 04 9B 1B 68 43 F0 40 02 04 9B 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_333_16_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_N@@YA_NAAU__acrt_stdio_stream_mode@@@Z"
		size = 42
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 43 F0 80 02 04 9B 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_333_17_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_R@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z"
		size = 64
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 1B 78 00 2B 03 D0 00 23 8D F8 00 30 0B E0 05 9A 01 23 13 70 04 9B 1B 68 43 F0 10 02 04 9B 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_333_18_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_S@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z"
		size = 64
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 1B 78 00 2B 03 D0 00 23 8D F8 00 30 0B E0 05 9A 01 23 13 70 04 9B 1B 68 43 F0 20 02 04 9B 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_333_19_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_T@@YA_NAAU__acrt_stdio_stream_mode@@@Z"
		size = 60
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 13 F4 80 5F 03 D0 00 23 8D F8 00 30 08 E0 04 9B 1B 68 43 F4 80 52 04 9B 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_333_20_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_b@@YA_NAAU__acrt_stdio_stream_mode@@@Z"
		size = 62
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 03 F4 40 43 00 2B 03 D0 00 23 8D F8 00 30 08 E0 04 9B 1B 68 43 F4 00 42 04 9B 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_333_21_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_c@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z"
		size = 68
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 1B 78 00 2B 03 D0 00 23 8D F8 00 30 0D E0 05 9A 01 23 13 70 04 9B 1B 1D 1B 68 43 F4 00 62 04 9B 1B 1D 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_333_22_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_n@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z"
		size = 68
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 1B 78 00 2B 03 D0 00 23 8D F8 00 30 0D E0 05 9A 01 23 13 70 04 9B 1B 1D 1B 68 23 F4 00 62 04 9B 1B 1D 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_333_23_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_plus@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z"
		size = 126
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 1B 78 00 2B 03 D0 00 23 8D F8 00 30 2A E0 05 9A 01 23 13 70 04 9B 1B 68 13 F0 02 0F 03 D0 00 23 8D F8 00 30 1E E0 04 9B 1B 68 43 F0 02 02 04 9B 1A 60 04 9B 1B 68 23 F0 01 02 04 9B 1A 60 04 9B 1B 1D 1B 68 43 F0 04 02 04 9B 1B 1D 1A 60 04 9B 1B 1D 1B 68 23 F0 03 02 04 9B 1B 1D 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_333_24_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_t@@YA_NAAU__acrt_stdio_stream_mode@@@Z"
		size = 62
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 03 F4 40 43 00 2B 03 D0 00 23 8D F8 00 30 08 E0 04 9B 1B 68 43 F4 80 42 04 9B 1A 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_334_5_0 {
	meta:
		name = "_mbbtype_l"
		size = 110
		refs = "0010 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 0C 46 05 46 68 46 11 46 ?? ?? ?? ?? 02 9B 01 2C 13 D0 2B 44 59 7E 11 F0 04 0F 18 BF 01 20 15 D1 01 9B 1B 68 33 F8 15 20 40 F2 57 13 1A 42 02 D1 11 F0 03 0F 08 D0 00 20 08 E0 2B 44 5B 7E 13 F0 08 0F 18 BF 02 20 01 D1 6F F0 00 00 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 04 B0 BD E8 30 88 }
	condition:
		$1
}

rule file_337_3_0 {
	meta:
		name = "?_mbstowcs_l_helper@@YAIPA_WPBDIPAU__crt_locale_pointers@@@Z"
		size = 824
		refs = "005e _CrtDbgReportW 0072 _errno 008a _invalid_parameter 009a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00a8 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00f4 ??1_LocaleUpdate@@QAA@XZ 01c6 _isleadbyte_l 0290 strlen 0320 __imp_MultiByteToWideChar 0324 __imp_GetLastError 0328 ??_C@_1BK@FPAMLIDG@?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 032c ??_C@_1CG@JEHFHLNG@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAl?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0330 ??_C@_1GI@KABMHNPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0334 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B AB B0 00 23 02 93 2E 9B 00 2B 05 D0 30 9B 00 2B 02 D1 00 23 03 93 77 E1 2E 9B 00 2B 05 D0 30 9B 00 2B 02 D9 2E 9A 00 23 13 80 2F 9B 00 2B 02 D0 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 0E D1 B6 4B 01 93 B8 4B 00 93 00 23 3E 22 B5 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 11 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 3E 23 AA 4A A9 49 A7 48 ?? ?? ?? ?? 6F F0 00 03 03 93 3D E1 31 99 06 A8 ?? ?? ?? ?? 2E 9B 00 2B 00 F0 E9 80 06 A8 ?? ?? ?? ?? 0F 90 0F 9B 1B 68 A0 33 08 33 1B 68 00 2B 30 D1 02 9A 30 9B 9A 42 23 D2 02 9A 01 23 02 FB 03 F2 2F 9B 13 44 93 F9 00 30 DA B2 2E 9B 1A 80 02 9A 01 23 02 FB 03 F2 2F 9B 13 44 93 F9 00 30 00 2B 07 D1 02 9B 10 93 06 A8 ?? ?? ?? ?? 10 9B 03 93 09 E1 02 9B 5B 1C 02 93 2E 9B 9B 1C 2E 93 D7 E7 02 9B 11 93 06 A8 ?? ?? ?? ?? 11 9B 03 93 FA E0 AB E0 06 A8 ?? ?? ?? ?? 12 90 30 9B 01 93 2E 9B 00 93 6F F0 00 03 2F 9A 09 21 12 98 00 68 08 30 00 68 78 4C 24 68 A0 47 13 90 13 9B 02 93 02 9B 00 2B 08 D0 02 9B 5B 1E 14 93 06 A8 ?? ?? ?? ?? 14 9B 03 93 D7 E0 70 4B 1B 68 98 47 15 90 15 9B 7A 2B 11 D0 ?? ?? ?? ?? 16 90 16 9A 2A 23 13 60 2E 9A 00 23 13 80 6F F0 00 03 17 93 06 A8 ?? ?? ?? ?? 17 9B 03 93 BE E0 30 9B 0A 93 2F 9B 04 93 02 E0 04 9B 5B 1C 04 93 0A 9A 0A 9B 5B 1E 0A 93 00 2A 2C D0 04 9B 1B 78 00 2B 28 D0 06 A8 ?? ?? ?? ?? 18 90 18 99 04 9B 18 78 ?? ?? ?? ?? 29 90 29 9B 00 2B 1A D0 04 9B 5B 1C 1B 78 00 2B 12 D1 ?? ?? ?? ?? 19 90 19 9A 2A 23 13 60 2E 9A 00 23 13 80 6F F0 00 03 1A 93 06 A8 ?? ?? ?? ?? 1A 9B 03 93 88 E0 02 E0 04 9B 5B 1C 04 93 C9 E7 04 9A 2F 9B D3 1A 1B 93 06 A8 ?? ?? ?? ?? 1C 90 30 9B 01 93 2E 9B 00 93 1B 9B 2F 9A 01 21 1C 98 00 68 08 30 00 68 3B 4C 24 68 A0 47 1D 90 1D 9B 02 93 02 9B 00 2B 11 D1 ?? ?? ?? ?? 1E 90 1E 9A 2A 23 13 60 2E 9A 00 23 13 80 6F F0 00 03 1F 93 06 A8 ?? ?? ?? ?? 1F 9B 03 93 55 E0 02 9B 20 93 06 A8 ?? ?? ?? ?? 20 9B 03 93 4D E0 49 E0 06 A8 ?? ?? ?? ?? 21 90 21 9B 1B 68 A0 33 08 33 1B 68 00 2B 0C D1 2F 98 ?? ?? ?? ?? 22 90 22 9B 23 93 06 A8 ?? ?? ?? ?? 23 9B 03 93 35 E0 31 E0 06 A8 ?? ?? ?? ?? 24 90 00 23 01 93 00 23 00 93 6F F0 00 03 2F 9A 09 21 24 98 00 68 08 30 00 68 15 4C 24 68 A0 47 25 90 25 9B 02 93 02 9B 00 2B 0F D1 ?? ?? ?? ?? 26 90 26 9A 2A 23 13 60 6F F0 00 03 27 93 06 A8 ?? ?? ?? ?? 27 9B 03 93 0C E0 08 E0 02 9B 5B 1E 28 93 06 A8 ?? ?? ?? ?? 28 9B 03 93 02 E0 06 A8 ?? ?? ?? ?? 03 98 2B B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_337_6_0 {
	meta:
		name = "_mbstowcs_s_l"
		size = 820
		refs = "004a _CrtDbgReportW 005e _errno 0076 _invalid_parameter 00a4 _CrtGetDebugFillThreshold 00d2 memset 00e6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0164 ??1_LocaleUpdate@@QAA@XZ 0170 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 017e ?_mbstowcs_l_helper@@YAIPA_WPBDIPAU__crt_locale_pointers@@@Z 031c ??_C@_1CO@JNPEPJAL@?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?$AA@ 0320 ??_C@_1BM@PHENIGHD@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0324 ??_C@_1GI@KABMHNPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0328 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 032c ??_C@_1CM@LLECFMFH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AAS?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0330 ??_C@_1JM@MEKBACIG@?$AA?$CI?$AAp?$AAw?$AAc?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A8 B0 00 23 12 93 2B 9B 00 2B 02 D1 2C 9B 00 2B 08 D0 2B 9B 00 2B 02 D0 2C 9B 00 2B 02 D8 00 23 04 93 01 E0 01 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 BD 4B 01 93 BA 4B 00 93 00 23 ED 22 B7 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 ED 23 AC 4A AB 49 AE 48 ?? ?? ?? ?? 16 23 03 93 46 E1 2B 9B 00 2B 27 D0 2B 9A 00 23 13 80 2C 9B B3 F1 FF 3F 20 D0 2C 9A 6F F0 00 43 9A 42 1B D0 2C 9B 01 2B 18 D9 ?? ?? ?? ?? 15 90 15 9B 06 93 2C 9B 5A 1E 06 9B 93 42 02 D2 06 9B 07 93 02 E0 2C 9B 5B 1E 07 93 07 9A 02 23 02 FB 03 F2 FE 21 2B 9B 98 1C ?? ?? ?? ?? 2A 9B 00 2B 02 D0 2A 9A 00 23 13 60 2F 99 24 A8 ?? ?? ?? ?? 2E 9A 2C 9B 9A 42 02 D9 2C 9B 08 93 01 E0 2E 9B 08 93 08 9B 0B 93 0B 9A 6F F0 00 43 9A 42 02 D8 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 83 4B 01 93 81 4B 00 93 00 23 FD 22 7E 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 15 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 FD 23 73 4A 72 49 74 48 ?? ?? ?? ?? 16 23 18 93 24 A8 ?? ?? ?? ?? 18 9B 03 93 CF E0 24 A8 ?? ?? ?? ?? 19 90 19 9B 0B 9A 2D 99 2B 98 ?? ?? ?? ?? 1A 90 1A 9B 02 93 02 9B B3 F1 FF 3F 36 D1 2B 9B 00 2B 27 D0 2B 9A 00 23 13 80 2C 9B B3 F1 FF 3F 20 D0 2C 9A 6F F0 00 43 9A 42 1B D0 2C 9B 01 2B 18 D9 ?? ?? ?? ?? 1B 90 1B 9B 0C 93 2C 9B 5A 1E 0C 9B 93 42 02 D2 0C 9B 0D 93 02 E0 2C 9B 5B 1E 0D 93 0D 9A 02 23 02 FB 03 F2 FE 21 2B 9B 98 1C ?? ?? ?? ?? ?? ?? ?? ?? 1C 90 1C 9B 1B 68 1D 93 24 A8 ?? ?? ?? ?? 1D 9B 03 93 87 E0 02 9B 5B 1C 02 93 2B 9B 00 2B 74 D0 02 9A 2C 9B 9A 42 67 D9 2E 9B B3 F1 FF 3F 5F D0 2B 9A 00 23 13 80 2C 9B B3 F1 FF 3F 20 D0 2C 9A 6F F0 00 43 9A 42 1B D0 2C 9B 01 2B 18 D9 ?? ?? ?? ?? 1E 90 1E 9B 0E 93 2C 9B 5A 1E 0E 9B 93 42 02 D2 0E 9B 0F 93 02 E0 2C 9B 5B 1E 0F 93 0F 9A 02 23 02 FB 03 F2 FE 21 2B 9B 98 1C ?? ?? ?? ?? 02 9A 2C 9B 9A 42 02 D8 01 23 10 93 01 E0 00 23 10 93 10 9B 11 93 11 9B 00 2B 0F D1 25 4B 01 93 27 4B 00 93 00 23 40 F2 17 12 23 49 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 11 9B 00 2B 16 D1 ?? ?? ?? ?? 20 90 20 9A 22 23 13 60 00 23 00 93 40 F2 17 13 18 4A 17 49 15 48 ?? ?? ?? ?? 22 23 21 93 24 A8 ?? ?? ?? ?? 21 9B 03 93 19 E0 2C 9B 02 93 50 23 12 93 02 9B 5A 1E 02 23 02 FB 03 F2 2B 9B 1A 44 00 23 13 80 2A 9B 00 2B 02 D0 02 9A 2A 9B 1A 60 12 9B 22 93 24 A8 ?? ?? ?? ?? 22 9B 03 93 03 98 28 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_337_7_0 {
	meta:
		name = "mbstowcs"
		size = 84
		refs = "000a __acrt_locale_changed 0022 _mbstowcs_l 0050 __acrt_initial_locale_pointers"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 0A D1 0D 4B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 09 E0 08 E0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_337_8_0 {
	meta:
		name = "mbstowcs_s"
		size = 48
		refs = "001a _mbstowcs_s_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_641_19_0 {
	meta:
		name = "_Strftime"
		size = 48
		refs = "001a _Strftime_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_625_30_0 {
	meta:
		name = "_Wcsftime"
		size = 48
		refs = "001a _Wcsftime_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_378_10_0 {
	meta:
		name = "wcstombs_s"
		size = 48
		refs = "001a _wcstombs_s_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_338_0_0 {
	meta:
		name = "nearbyint"
		size = 82
		refs = "000e _dtest 0038 _drint"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 08 DB 01 9B 02 2B 00 DD 04 E0 9D ED 02 0B 8D ED 04 0B 09 E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 9D ED 04 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_366_0_0 {
	meta:
		name = "nearbyintl"
		size = 82
		refs = "000e _ldtest 0038 _ldrint"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 08 DB 01 9B 02 2B 00 DD 04 E0 9D ED 02 0B 8D ED 04 0B 09 E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 9D ED 04 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_339_4_0 {
	meta:
		name = "??$common_get_initial_environment@D@@YAPAPADXZ"
		size = 60
		refs = "001c ??$common_initialize_environment_nolock@D@@YAHXZ 0022 ??$initialize_environment_by_cloning_nolock@D@@YAHXZ 0034 _environ_table 0038 __dcrt_initial_narrow_environment"
		altNames = "_get_initial_narrow_environment"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0B 4D 28 68 78 B9 09 4C 20 68 58 B9 63 68 0B B9 00 20 07 E0 ?? ?? ?? ?? 18 B1 ?? ?? ?? ?? 00 28 F6 D1 20 68 28 60 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_5_0 {
	meta:
		name = "??$common_get_initial_environment@_W@@YAPAPA_WXZ"
		size = 60
		refs = "001c ??$common_initialize_environment_nolock@_W@@YAHXZ 0022 ??$initialize_environment_by_cloning_nolock@_W@@YAHXZ 0034 _environ_table 0038 __dcrt_initial_wide_environment"
		altNames = "_get_initial_wide_environment"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0B 4D 28 68 78 B9 09 4C 60 68 58 B9 23 68 0B B9 00 20 07 E0 ?? ?? ?? ?? 18 B1 ?? ?? ?? ?? 00 28 F6 D1 60 68 28 60 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_6_0 {
	meta:
		name = "??$common_get_or_create_environment_nolock@D@@YAPAPADXZ"
		size = 48
		refs = "0016 ??$common_initialize_environment_nolock@D@@YAHXZ 001c ??$initialize_environment_by_cloning_nolock@D@@YAHXZ 002c _environ_table"
		altNames = "__dcrt_get_or_create_narrow_environment_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4C 20 68 58 B9 63 68 0B B9 00 20 07 E0 ?? ?? ?? ?? 18 B1 ?? ?? ?? ?? 00 28 F6 D1 20 68 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_7_0 {
	meta:
		name = "??$common_get_or_create_environment_nolock@_W@@YAPAPA_WXZ"
		size = 48
		refs = "0016 ??$common_initialize_environment_nolock@_W@@YAHXZ 001c ??$initialize_environment_by_cloning_nolock@_W@@YAHXZ 002c _environ_table"
		altNames = "__dcrt_get_or_create_wide_environment_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 08 4C 60 68 58 B9 23 68 0B B9 00 20 07 E0 ?? ?? ?? ?? 18 B1 ?? ?? ?? ?? 00 28 F6 D1 60 68 BD E8 18 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_8_0 {
	meta:
		name = "??$common_initialize_environment_nolock@D@@YAHXZ"
		size = 92
		refs = "0012 __acrt_initialize_multibyte 0016 __dcrt_get_narrow_environment_from_os 0026 ??$create_environment@D@@YAQAPADQAD@Z 0042 _free_dbg 0054 __dcrt_initial_narrow_environment 0058 _environ_table"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 13 4C 23 68 0B B1 00 24 1D E0 ?? ?? ?? ?? ?? ?? ?? ?? 05 46 15 B9 6F F0 00 04 10 E0 28 46 ?? ?? ?? ?? 03 46 10 B9 6F F0 00 04 04 E0 07 4B 20 60 18 60 00 23 00 24 02 21 18 46 ?? ?? ?? ?? 02 21 28 46 ?? ?? ?? ?? 20 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_9_0 {
	meta:
		name = "??$common_initialize_environment_nolock@_W@@YAHXZ"
		size = 88
		refs = "0012 __dcrt_get_wide_environment_from_os 0022 ??$create_environment@_W@@YAQAPA_WQA_W@Z 003e _free_dbg 0050 __dcrt_initial_wide_environment 0054 _wenviron_table"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 12 4C 23 68 0B B1 00 24 1B E0 ?? ?? ?? ?? 05 46 15 B9 6F F0 00 04 10 E0 28 46 ?? ?? ?? ?? 03 46 10 B9 6F F0 00 04 04 E0 07 4B 20 60 18 60 00 23 00 24 02 21 18 46 ?? ?? ?? ?? 02 21 28 46 ?? ?? ?? ?? 20 46 BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_10_0 {
	meta:
		name = "??$count_variables_in_environment_block@D@@YA?BIQAD@Z"
		size = 44
		refs = "0016 strlen"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 00 24 07 E0 3D 2B 28 46 18 BF 64 1C ?? ?? ?? ?? 43 19 5D 1C 95 F9 00 30 00 2B F3 D1 20 46 BD E8 30 88 }
	condition:
		$1
}

rule file_339_11_0 {
	meta:
		name = "??$count_variables_in_environment_block@_W@@YA?BIQA_W@Z"
		size = 44
		refs = "0016 wcslen"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 00 24 08 E0 3D 2B 28 46 18 BF 64 1C ?? ?? ?? ?? 43 1C 05 EB 43 05 2B 88 00 2B F3 D1 20 46 BD E8 30 88 }
	condition:
		$1
}

rule file_339_12_0 {
	meta:
		name = "??$create_environment@D@@YAQAPADQAD@Z"
		size = 244
		refs = "001c strlen 0038 _calloc_dbg 0078 strcpy_s 0086 _free_dbg 00dc _invoke_watson 00e4 ??_C@_1HI@OOPIFFGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0@ 00e8 ??_C@_1CG@MNNNBNAK@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 00ec ??_C@_1IM@IMOFFPLG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00f0 ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 90 F9 00 30 05 46 00 24 06 46 09 E0 3D 2B 30 46 18 BF 64 1C ?? ?? ?? ?? 83 19 5E 1C 96 F9 00 30 00 2B F3 D1 73 23 00 93 2F 4B 60 1C 02 22 04 21 ?? ?? ?? ?? 04 46 00 2C 06 46 43 D0 95 F9 00 30 23 B3 4F F0 81 09 28 46 ?? ?? ?? ?? 95 F9 00 30 00 F1 01 08 3D 2B 14 D0 23 4B 02 22 01 21 40 46 CD F8 00 90 ?? ?? ?? ?? 07 46 BF B1 2A 46 41 46 ?? ?? ?? ?? 40 BB 37 60 36 1D 02 21 00 20 ?? ?? ?? ?? 45 44 95 F9 00 30 00 2B DC D1 00 26 02 21 30 46 ?? ?? ?? ?? 20 46 BD E8 FC 8B 00 26 6C B1 20 68 25 46 04 E0 02 21 ?? ?? ?? ?? 55 F8 04 0F 00 28 F8 D1 02 21 20 46 ?? ?? ?? ?? 02 21 38 46 ?? ?? ?? ?? 00 24 E2 E7 06 4A 05 49 03 48 00 23 00 93 88 23 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_13_0 {
	meta:
		name = "??$create_environment@_W@@YAQAPA_WQA_W@Z"
		size = 236
		refs = "001a wcslen 0036 _calloc_dbg 0072 wcscpy_s 0080 _free_dbg 00d6 _invoke_watson 00dc ??_C@_1HI@OOPIFFGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0@ 00e0 ??_C@_1CG@MNNNBNAK@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 00e4 ??_C@_1IM@IMOFFPLG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00e8 ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 05 46 2B 88 00 24 06 46 09 E0 3D 2B 30 46 18 BF 64 1C ?? ?? ?? ?? 43 1C 06 EB 43 06 33 88 00 2B F3 D1 73 23 00 93 2E 4B 60 1C 02 22 04 21 ?? ?? ?? ?? 04 46 00 2C 06 46 41 D0 2B 88 1B B3 4F F0 81 09 28 46 ?? ?? ?? ?? 2B 88 00 F1 01 08 3D 2B 14 D0 23 4B 02 22 02 21 40 46 CD F8 00 90 ?? ?? ?? ?? 07 46 BF B1 2A 46 41 46 ?? ?? ?? ?? 40 BB 37 60 36 1D 02 21 00 20 ?? ?? ?? ?? 05 EB 48 05 2B 88 00 2B DD D1 00 26 02 21 30 46 ?? ?? ?? ?? 20 46 BD E8 FC 8B 00 26 6C B1 20 68 25 46 04 E0 02 21 ?? ?? ?? ?? 55 F8 04 0F 00 28 F8 D1 02 21 20 46 ?? ?? ?? ?? 02 21 38 46 ?? ?? ?? ?? 00 24 E2 E7 06 4A 04 49 03 48 00 23 00 93 88 23 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_14_0 {
	meta:
		name = "??$free_environment@D@@YAXQAPAD@Z"
		size = 44
		refs = "0014 _free_dbg"
		altNames = "??$free_environment@_W@@YAXQAPA_W@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 6C B1 05 46 20 68 04 E0 02 21 ?? ?? ?? ?? 55 F8 04 0F 00 28 F8 D1 02 21 20 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_339_18_0 {
	meta:
		name = "??$initialize_environment_by_cloning_nolock@D@@YAHXZ"
		size = 176
		refs = "0050 _calloc_dbg 0076 __dcrt_set_variable_in_narrow_environment_nolock 007e _free_dbg 00a4 ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@ 00a8 __imp_WideCharToMultiByte 00ac _wenviron_table"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 85 B0 28 4B 1E 68 16 B9 6F F0 00 05 3C E0 33 68 CB B3 DF F8 8C 80 DF F8 88 A0 6F F0 00 05 00 23 4F F4 80 79 32 68 D8 F8 00 40 03 93 02 93 01 93 00 93 2B 46 00 21 00 20 A0 47 04 46 24 B3 17 4B 02 22 01 21 CD F8 00 90 ?? ?? ?? ?? 07 46 FF B1 32 68 00 23 01 94 DA F8 00 40 03 93 02 93 2B 46 00 21 00 20 00 97 A0 47 90 B1 00 21 38 46 ?? ?? ?? ?? 02 21 00 20 ?? ?? ?? ?? 56 F8 04 3F 00 2B 4F F0 00 03 CE D1 00 25 28 46 05 B0 BD E8 F0 8F 02 21 38 46 ?? ?? ?? ?? F6 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_19_0 {
	meta:
		name = "??$initialize_environment_by_cloning_nolock@_W@@YAHXZ"
		size = 160
		refs = "004a _calloc_dbg 006a __dcrt_set_variable_in_wide_environment_nolock 0072 _free_dbg 0094 ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@ 0098 __imp_MultiByteToWideChar 009c _environ_table"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B 24 4B 1E 68 16 B9 6F F0 00 05 37 E0 33 68 A3 B3 DF F8 7C 80 DF F8 78 A0 6F F0 00 05 00 23 4F F4 80 79 32 68 D8 F8 00 40 01 93 00 93 2B 46 00 21 00 20 A0 47 04 46 0C B3 14 4B 02 22 02 21 CD F8 00 90 ?? ?? ?? ?? 07 46 DF B1 32 68 01 94 DA F8 00 40 2B 46 00 21 00 20 00 97 A0 47 88 B1 00 21 38 46 ?? ?? ?? ?? 02 21 00 20 ?? ?? ?? ?? 56 F8 04 3F 00 2B 4F F0 00 03 D3 D1 00 25 28 46 BD E8 FE 8F 02 21 38 46 ?? ?? ?? ?? F7 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_26_0 {
	meta:
		name = "??$uninitialize@A6AXAAPAPAD@Z@?$dual_state_global@PAPAD@__crt_state_management@@QAAXA6AXAAPAPAD@Z@Z"
		size = 44
		refs = "0028 __guard_check_icall_fptr"
		altNames = "??$uninitialize@A6AXAAPAPA_W@Z@?$dual_state_global@PAPA_W@__crt_state_management@@QAAXA6AXAAPAPA_W@Z@Z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 04 46 26 1D B4 42 0F 46 08 D0 05 4D 2B 68 38 46 98 47 20 46 B8 47 24 1D B4 42 F7 D1 BD E8 F0 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_28_0 {
	meta:
		name = "??$uninitialize_environment_internal@D@@YAXAAPAPAD@Z"
		size = 56
		refs = "001c _free_dbg 0034 __dcrt_initial_narrow_environment"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0A 4B 04 68 1B 68 9C 42 0E D0 6C B1 20 68 25 46 04 E0 02 21 ?? ?? ?? ?? 55 F8 04 0F 00 28 F8 D1 02 21 20 46 ?? ?? ?? ?? BD E8 30 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_29_0 {
	meta:
		name = "??$uninitialize_environment_internal@_W@@YAXAAPAPA_W@Z"
		size = 56
		refs = "001c _free_dbg 0034 __dcrt_initial_wide_environment"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0A 4B 04 68 1B 68 9C 42 0E D0 6C B1 20 68 25 46 04 E0 02 21 ?? ?? ?? ?? 55 F8 04 0F 00 28 F8 D1 02 21 20 46 ?? ?? ?? ?? BD E8 30 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_42_0 {
	meta:
		name = "?__crt_compute_required_transform_buffer_count@@YAIIQBD@Z"
		size = 36
		refs = "0020 __imp_MultiByteToWideChar"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 05 4C 00 23 01 93 24 68 00 93 0A 46 DB 43 00 21 A0 47 BD E8 1E 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_43_0 {
	meta:
		name = "?__crt_compute_required_transform_buffer_count@@YAIIQB_W@Z"
		size = 44
		refs = "0028 __imp_WideCharToMultiByte"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 07 4C 00 23 03 93 24 68 02 93 01 93 00 93 0A 46 DB 43 00 21 A0 47 05 B0 BD E8 10 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_44_0 {
	meta:
		name = "?__crt_transform_string@@YAIIQBDQA_WI@Z"
		size = 36
		refs = "0020 __imp_MultiByteToWideChar"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 14 46 00 94 04 4C 0A 46 01 93 24 68 6F F0 00 03 00 21 A0 47 BD E8 1E 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_45_0 {
	meta:
		name = "?__crt_transform_string@@YAIIQB_WQADI@Z"
		size = 44
		refs = "0028 __imp_WideCharToMultiByte"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 14 46 00 94 06 4C 0A 46 00 21 24 68 01 93 CB 43 03 91 02 91 A0 47 05 B0 BD E8 10 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_339_61_0 {
	meta:
		name = "?initialize@?$dual_state_global@PAPAD@__crt_state_management@@QAAXQAPAD@Z"
		size = 42
		altNames = "?initialize@?$dual_state_global@PAPA_W@__crt_state_management@@QAAXQAPA_W@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 02 1D 13 1A DB 1C 00 24 90 42 98 BF 9B 08 88 BF 00 23 23 B1 64 1C 9C 42 40 F8 04 1B FA D1 BD E8 18 88 }
	condition:
		$1
}

rule file_339_77_0 {
	meta:
		name = "__dcrt_uninitialize_environments_nolock"
		size = 108
		refs = "000c ??$uninitialize_environment_internal@D@@YAXAAPAPAD@Z 0012 ??$uninitialize_environment_internal@_W@@YAXAAPAPA_W@Z 0024 _free_dbg 0060 __dcrt_initial_wide_environment 0064 __dcrt_initial_narrow_environment 0068 _environ_table"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 17 4C 20 46 ?? ?? ?? ?? 20 1D ?? ?? ?? ?? 13 4B 1C 68 6C B1 20 68 25 46 04 E0 02 21 ?? ?? ?? ?? 55 F8 04 0F 00 28 F8 D1 02 21 20 46 ?? ?? ?? ?? 09 4B 1C 68 6C B1 20 68 25 46 04 E0 02 21 ?? ?? ?? ?? 55 F8 04 0F 00 28 F8 D1 02 21 20 46 ?? ?? ?? ?? BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_340_1_0 {
	meta:
		name = "bsearch_s"
		size = 624
		refs = "003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0152 __rt_udiv 01ae ??1scoped_global_state_reset@__crt_state_management@@QAA@XZ 0254 __guard_check_icall_fptr 0258 ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 025c ??_C@_1BE@BBDJDLEB@?$AAb?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA_?$AAs?$AA?$AA@ 0260 ??_C@_1GE@FFLJBFNL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0264 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0268 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 026c ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 9F B0 25 9B 00 2B 05 D1 26 9B 00 2B 02 D0 00 23 07 93 01 E0 01 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 8F 4B 01 93 8C 4B 00 93 00 23 4A 22 89 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 4A 23 7F 4A 7D 49 81 48 ?? ?? ?? ?? 00 23 04 93 EA E0 27 9B 00 2B 02 D9 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 76 4B 01 93 74 4B 00 93 00 23 4B 22 71 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 10 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 4B 23 67 4A 65 49 68 48 ?? ?? ?? ?? 00 23 04 93 BA E0 28 9B 00 2B 02 D0 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 0E D1 5A 4B 01 93 5C 4B 00 93 00 23 4C 22 59 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 10 D1 ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 00 23 00 93 4C 23 4F 4A 4D 49 4C 48 ?? ?? ?? ?? 00 23 04 93 8A E0 25 9B 05 93 26 9B 5A 1E 27 9B 02 FB 03 F2 25 9B 13 44 10 93 05 9A 10 9B 9A 42 75 D8 26 99 02 20 ?? ?? ?? ?? 03 90 03 9B 00 2B 48 D0 26 9B 13 F0 01 0F 02 D0 03 9B 0D 93 02 E0 03 9B 5B 1E 0D 93 0D 9A 27 9B 02 FB 03 F2 05 9B 13 44 06 93 06 9E 24 9D 29 9C 28 9B 0E 93 0E 98 31 4B 1B 68 98 47 0E 9B 20 46 29 46 32 46 98 47 1A 90 1A 9B 0F 93 0F 9B 00 2B 08 D1 06 9B 1B 93 02 A8 ?? ?? ?? ?? 1B 9B 04 93 47 E0 19 E0 0F 9B 00 2B 10 DA 06 9A 27 9B D3 1A 10 93 26 9B 13 F0 01 0F 02 D0 03 9B 11 93 02 E0 03 9B 5B 1E 11 93 11 9B 26 93 05 E0 06 9A 27 9B 13 44 05 93 03 9B 26 93 23 E0 26 9B 00 2B 1F D0 05 9E 24 9D 29 9C 28 9B 12 93 12 98 14 4B 1B 68 98 47 12 9B 20 46 29 46 32 46 98 47 1C 90 1C 9B 00 2B 02 D0 00 23 13 93 01 E0 05 9B 13 93 13 9B 1D 93 02 A8 ?? ?? ?? ?? 1D 9B 04 93 09 E0 00 E0 00 E0 85 E7 00 23 1E 93 02 A8 ?? ?? ?? ?? 1E 9B 04 93 04 98 1F B0 BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_341_0_0 {
	meta:
		name = "??$common_tcsncat_s@D@@YAHQADIQBDI@Z"
		size = 1032
		refs = "0052 _CrtDbgReportW 0066 _errno 007e _invalid_parameter 00b2 _CrtGetDebugFillThreshold 00da memset 03e4 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 03e8 ??_C@_1CC@HELMJGIF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 03ec ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 03f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 03f4 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 03f8 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 03fc ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0400 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0404 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A4 B0 29 9B 00 2B 08 D1 26 9B 00 2B 05 D1 27 9B 00 2B 02 D1 00 23 04 93 D9 E1 26 9B 00 2B 05 D0 27 9B 00 2B 02 D9 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 F0 4B 01 93 EA 4B 00 93 00 23 69 22 E7 49 02 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 00 23 00 93 69 23 DC 4A DB 49 E1 48 ?? ?? ?? ?? 16 23 04 93 A6 E1 29 9B 00 2B 57 D0 28 9B 00 2B 54 D1 26 9A 00 23 13 70 27 9B B3 F1 FF 3F 1D D0 27 9A 6F F0 00 43 9A 42 18 D0 27 9B 01 2B 15 D9 ?? ?? ?? ?? 19 90 19 9B 09 93 27 9B 5A 1E 09 9B 93 42 02 D2 09 9B 0A 93 02 E0 27 9B 5B 1E 0A 93 0A 9A FE 21 26 9B 58 1C ?? ?? ?? ?? 28 9B 00 2B 02 D0 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 0E D1 C1 4B 01 93 BC 4B 00 93 00 23 6C 22 B9 49 02 20 ?? ?? ?? ?? 1A 90 1A 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 10 D1 ?? ?? ?? ?? 1B 90 1B 9A 16 23 13 60 00 23 00 93 6C 23 AF 4A AD 49 B3 48 ?? ?? ?? ?? 16 23 04 93 4B E1 26 9B 03 93 27 9B 02 93 29 9B 06 93 02 9B 00 2B 0B D9 03 9B 93 F9 00 30 00 2B 06 D0 03 9B 5B 1C 03 93 02 9B 5B 1E 02 93 F0 E7 02 9B 00 2B 55 D1 26 9A 00 23 13 70 27 9B B3 F1 FF 3F 1D D0 27 9A 6F F0 00 43 9A 42 18 D0 27 9B 01 2B 15 D9 ?? ?? ?? ?? 1C 90 1C 9B 0D 93 27 9B 5A 1E 0D 9B 93 42 02 D2 0D 9B 0E 93 02 E0 27 9B 5B 1E 0E 93 0E 9A FE 21 26 9B 58 1C ?? ?? ?? ?? 90 4B 00 2B 03 D0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0E D1 88 4B 01 93 85 4B 00 93 00 23 7C 22 82 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 10 9B 00 2B 10 D1 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 00 23 00 93 7C 23 78 4A 76 49 7A 48 ?? ?? ?? ?? 16 23 04 93 DD E0 28 9B 05 93 29 9B B3 F1 FF 3F 17 D1 05 9B 93 F9 00 20 03 9B 1A 70 03 9B 93 F9 00 20 03 9B 5B 1C 03 93 05 9B 5B 1C 05 93 00 2A 06 D0 02 9B 5B 1E 02 93 02 9B 00 2B 00 D9 E8 E7 22 E0 06 9B 00 2B 19 D9 05 9B 93 F9 00 20 03 9B 1A 70 03 9B 93 F9 00 20 03 9B 5B 1C 03 93 05 9B 5B 1C 05 93 00 2A 09 D0 02 9B 5B 1E 02 93 02 9B 00 2B 03 D9 06 9B 5B 1E 06 93 E2 E7 06 9B 00 2B 02 D1 03 9A 00 23 13 70 02 9B 00 2B 65 D1 29 9B B3 F1 FF 3F 0B D1 27 9B 5A 1E 01 23 02 FB 03 F2 26 9B 1A 44 00 23 13 70 50 23 04 93 89 E0 26 9A 00 23 13 70 27 9B B3 F1 FF 3F 1D D0 27 9A 6F F0 00 43 9A 42 18 D0 27 9B 01 2B 15 D9 ?? ?? ?? ?? 1F 90 1F 9B 11 93 27 9B 5A 1E 11 9B 93 42 02 D2 11 9B 12 93 02 E0 27 9B 5B 1E 12 93 12 9A FE 21 26 9B 58 1C ?? ?? ?? ?? 39 4B 00 2B 03 D0 02 E0 01 23 13 93 01 E0 00 23 13 93 13 9B 14 93 14 9B 00 2B 0E D1 2E 4B 01 93 30 4B 00 93 00 23 9B 22 2D 49 02 20 ?? ?? ?? ?? 20 90 20 9B 01 2B 00 D1 FE DE 14 9B 00 2B 10 D1 ?? ?? ?? ?? 21 90 21 9A 22 23 13 60 00 23 00 93 9B 23 23 4A 21 49 20 48 ?? ?? ?? ?? 22 23 04 93 33 E0 27 9B B3 F1 FF 3F 2D D0 27 9A 6F F0 00 43 9A 42 28 D0 27 9A 02 9B D3 1A 5A 1C 27 9B 9A 42 21 D2 ?? ?? ?? ?? 22 90 22 9B 15 93 27 9A 02 9B D3 1A 5A 1C 27 9B 9A 1A 15 9B 93 42 02 D2 15 9B 16 93 06 E0 27 9A 02 9B D3 1A 5A 1C 27 9B 9B 1A 16 93 16 9A FE 21 27 98 02 9B C3 1A 58 1C 26 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 24 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_342_5_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QAA@XZ"
		size = 32
		refs = "001c __imp_FreeEnvironmentStringsW"
		altNames = "?close@?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 20 B1 03 4B 1B 68 98 47 00 23 23 60 BD E8 18 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_342_12_0 {
	meta:
		name = "?close@environment_strings_traits@?A0x1bf47908@@SA_NPA_W@Z"
		size = 24
		refs = "0014 __imp_FreeEnvironmentStringsW"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 4B 1B 68 98 47 01 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_342_15_0 {
	meta:
		name = "?find_end_of_double_null_terminated_sequence@@YAPB_WQB_W@Z"
		size = 36
		refs = "000e wcslen"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 05 E0 20 46 ?? ?? ?? ?? 43 1C 04 EB 43 04 23 88 00 2B F6 D1 A0 1C BD E8 18 88 }
	condition:
		$1
}

rule file_342_25_0 {
	meta:
		name = "__dcrt_get_narrow_environment_from_os"
		size = 184
		refs = "001c wcslen 005c _malloc_dbg 008c _free_dbg 00a8 __imp_FreeEnvironmentStringsW 00ac __imp_WideCharToMultiByte 00b0 ??_C@_0ED@BLPEHJAI@minkernel?2crts?2ucrt?2src?2desktopc@ 00b4 __imp_GetEnvironmentStringsW"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 85 B0 2A 4B 1B 68 98 47 05 46 F5 B3 2B 88 04 46 06 E0 20 46 ?? ?? ?? ?? 43 1C 04 EB 43 04 23 88 00 2B F6 D1 63 1B 1F 4C 9F 1C 4F F0 00 08 24 68 7B 10 2A 46 00 21 00 20 CD F8 0C 80 CD F8 08 80 CD F8 04 80 CD F8 00 80 A0 47 04 46 EC B1 16 4A 66 23 02 21 ?? ?? ?? ?? 06 46 04 96 86 B1 01 94 10 4C 7B 10 2A 46 24 68 00 21 00 20 CD F8 0C 80 CD F8 08 80 00 96 A0 47 08 B1 00 20 01 E0 04 98 00 26 02 21 ?? ?? ?? ?? 00 E0 00 26 1D B1 04 4B 28 46 1B 68 98 47 30 46 05 B0 BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_342_26_0 {
	meta:
		name = "__dcrt_get_wide_environment_from_os"
		size = 120
		refs = "001e wcslen 003c _malloc_dbg 004e memcpy 0056 _free_dbg 006c __imp_FreeEnvironmentStringsW 0070 ??_C@_0ED@BLPEHJAI@minkernel?2crts?2ucrt?2src?2desktopc@ 0074 __imp_GetEnvironmentStringsW"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 1A 4B 1B 68 98 47 04 46 0C B9 00 25 21 E0 23 88 25 46 06 E0 28 46 ?? ?? ?? ?? 43 1C 05 EB 43 05 2B 88 00 2B F6 D1 2B 1B 9B 1C 0F 4A 5E 10 70 00 40 23 02 21 ?? ?? ?? ?? 05 46 0D B9 00 25 05 E0 72 00 21 46 28 46 ?? ?? ?? ?? 00 20 02 21 ?? ?? ?? ?? 1C B1 03 4B 20 46 1B 68 98 47 28 46 BD E8 78 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_343_0_0 {
	meta:
		name = "_reduce"
		size = 68
		refs = "0018 _frnd"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 00 0B B3 EE 00 1B 9D ED 00 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 02 0B 9F ED 06 1B 9D ED 02 0B 21 EE 00 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 FE DE 00 00 00 00 00 00 B0 3F }
	condition:
		$1
}

rule file_343_1_0 {
	meta:
		name = "pow"
		size = 2964
		refs = "001a _ctrlfp 0030 _fpclass 008a _d_inttype 00b2 _copysign 00ec _except2 0130 _d_inf 0238 _handle_qnan2 0256 _powhlp 041e _decomp 04ce _get_exp 05fc log 0640 __rt_sdiv 0748 K 074c p1 0750 p2 0754 p3 0758 p4 075c a1 0760 a2 076c log2inv 0784 ymax 0788 _d_ind 0798 _reduce 0a3e _set_exp 0b68 q1 0b6c q2 0b70 q3 0b74 q4 0b78 q5 0b7c q6 0b80 q7 0b8c _uflx 0b90 _ovfx"
	strings:
		$1 = { 2D E9 00 48 EB 46 2D ED 02 8B F8 B0 8D ED 00 1B 8D ED 04 0B 47 49 4F F4 1F 40 ?? ?? ?? ?? 2C 90 2C 9B 02 93 9D ED 04 0B 8D ED 0E 0B 9D ED 00 0B ?? ?? ?? ?? 2D 90 2D 9B 03 F0 60 03 00 2B 09 D0 3C 49 02 98 ?? ?? ?? ?? B7 EE 00 0B 8D ED 06 0B 00 F0 79 BD 9D ED 04 0B ?? ?? ?? ?? 2E 90 2E 9B 03 F0 60 03 00 2B 78 D0 BD F8 06 20 47 F6 F8 73 1A 40 47 F6 F8 73 9A 42 05 D1 9D ED 00 0B 8D ED 06 0B 00 F0 60 BD 9D ED 00 0B ?? ?? ?? ?? 2F 90 2F 9B 20 93 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 2F D2 20 9B 01 2B 0D D1 9D ED 04 1B 20 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 46 0B 9D ED 46 0B 8D ED 3C 0B 04 E0 1A 4B 93 ED 00 0B 8D ED 3C 0B 9D ED 3C 0B 8D ED 16 0B 02 9B 43 F0 02 02 9D ED 16 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 04 20 ?? ?? ?? ?? 8D ED 48 0B 9D ED 48 0B 8D ED 06 0B 00 F0 23 BD 2B E0 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 24 DD 20 9B 01 2B 04 D1 9D ED 04 0B 8D ED 3E 0B 0D E0 9F ED 01 0B 08 E0 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 00 9F C0 03 8D ED 3E 0B 9D ED 3E 0B 8D ED 16 0B DF F8 38 16 02 98 ?? ?? ?? ?? 9D ED 16 0B 8D ED 06 0B 00 F0 F6 BC BD F8 16 20 47 F6 F0 73 1A 40 47 F6 F0 73 9A 42 09 D0 BD F8 06 20 47 F6 F0 73 1A 40 47 F6 F0 73 9A 42 40 F0 8F 80 BD F8 16 20 47 F6 F8 73 1A 40 47 F6 F0 73 9A 42 06 D1 05 9B 5B 03 00 2B 12 D1 04 9B 00 2B 0F D1 BD F8 06 20 47 F6 F8 73 1A 40 47 F6 F0 73 9A 42 1D D1 01 9B 5B 03 00 2B 02 D1 00 9B 00 2B 16 D0 02 9A 9D ED 04 1B 9D ED 00 0B 31 EE 00 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 08 20 ?? ?? ?? ?? 8D ED 4A 0B 9D ED 4A 0B 8D ED 06 0B 00 F0 AC BC 9D ED 04 1B B7 EE 00 0B B4 EE 40 1B F1 EE 10 FA 05 D1 B7 EE 00 0B 8D ED 06 0B 00 F0 9D BC BD F8 16 20 47 F6 F8 73 1A 40 47 F6 F8 73 9A 42 08 D0 BD F8 06 20 47 F6 F8 73 1A 40 47 F6 F8 73 9A 42 0D D1 9D ED 00 1B 9D ED 04 0B ?? ?? ?? ?? 8D ED 4C 0B 9D ED 4C 0B 8D ED 06 0B 00 F0 7D BC 16 A8 9D ED 00 1B 9D ED 04 0B ?? ?? ?? ?? 30 90 30 9B 00 2B 12 D0 02 9A 9D ED 16 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 08 20 ?? ?? ?? ?? 8D ED 4E 0B 9D ED 4E 0B 8D ED 06 0B 00 F0 5F BC DF F8 F4 14 02 98 ?? ?? ?? ?? 9D ED 16 0B 8D ED 06 0B 00 F0 54 BC B7 EE 00 0B 8D ED 0C 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 2D D2 9D ED 00 0B ?? ?? ?? ?? 31 90 31 9B 21 93 21 9B 01 2B 03 D0 21 9B 02 2B 04 D0 0A E0 BF EE 00 0B 8D ED 0C 0B 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 14 E0 02 9A DF F8 9C 34 93 ED 00 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 08 20 ?? ?? ?? ?? 8D ED 50 0B 9D ED 50 0B 8D ED 06 0B 00 F0 1B BC 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 00 0B B1 EE 40 0B 8D ED 40 0B 03 E0 9D ED 00 0B 8D ED 40 0B 9D ED 40 1B DF F8 48 34 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 66 DD 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 0D D2 9D ED 00 0B B1 EE 40 0B 8D ED 00 0B B7 EE 00 1B 9D ED 04 0B 81 EE 00 0B 8D ED 04 0B 9D ED 04 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 19 DD 02 9B 43 F0 04 02 9D ED 0C 1B F8 4B 93 ED 00 0B 21 EE 00 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 11 20 ?? ?? ?? ?? 8D ED 52 0B 9D ED 52 0B 8D ED 06 0B C6 E3 2E E0 9D ED 04 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 18 D2 02 9B 43 F0 08 02 9D ED 0C 1B 9F ED E3 0B 21 EE 00 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 12 20 ?? ?? ?? ?? 8D ED 54 0B 9D ED 54 0B 8D ED 06 0B A4 E3 0C E0 E0 49 02 98 ?? ?? ?? ?? 9D ED 0C 1B B7 EE 00 0B 21 EE 00 0B 8D ED 06 0B 96 E3 13 A8 9D ED 04 0B ?? ?? ?? ?? 8D ED 56 0B 9D ED 56 0B 8D ED 1A 0B 9D ED 00 1B 9F ED D1 0B B4 EE C0 1B F1 EE 10 FA 00 F2 8B 80 9D ED 04 0B ?? ?? ?? ?? 32 90 32 9B 00 2B 00 F0 82 80 9D ED 00 0B ?? ?? ?? ?? 33 90 33 9B 00 2B 79 D0 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 72 DD 9D ED 00 0B BD EE C0 0B 10 EE 10 3A 12 93 13 9A 12 9B 02 FB 03 F3 18 93 B7 EE 00 0B 8D ED 10 0B 0A E0 12 9B 5B 10 12 93 9D ED 1A 1B 9D ED 1A 0B 21 EE 00 0B 8D ED 1A 0B 12 9B 00 2B 0C D0 12 9B 13 F0 01 0F 07 D0 9D ED 10 1B 9D ED 1A 0B 21 EE 00 0B 8D ED 10 0B E4 E7 9D ED 10 0B ?? ?? ?? ?? 34 90 34 9A 18 9B 13 44 08 93 08 9B B3 F5 20 6F 1A DD 02 9A 9D ED 0C 1B 9D ED 10 0B 21 EE 00 1B A0 4B 93 ED 00 0B 21 EE 00 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 11 20 ?? ?? ?? ?? 8D ED 58 0B 9D ED 58 0B 8D ED 06 0B 15 E3 08 9A 94 4B 9A 42 19 DA 02 9A 9D ED 0C 1B 9D ED 10 0B 21 EE 00 1B 9F ED 8C 0B 21 EE 00 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 12 20 ?? ?? ?? ?? 8D ED 5A 0B 9D ED 5A 0B 8D ED 06 0B F7 E2 69 E2 01 23 03 93 7F 4B 48 33 9D ED 1A 1B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 01 D8 09 23 03 93 03 9B 1A 1D 08 23 02 FB 03 F2 76 4B 13 44 9D ED 1A 1B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 02 D8 03 9B 1B 1D 03 93 03 9B 9A 1C 08 23 02 FB 03 F2 6D 4B 13 44 9D ED 1A 1B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 02 D8 03 9B 9B 1C 03 93 13 9A 10 23 02 FB 03 F2 03 9B D3 1A 00 2B 08 DA 13 9A 10 23 02 FB 03 F2 03 9B D3 1A 5B 42 22 93 06 E0 13 9A 10 23 02 FB 03 F2 03 9B D3 1A 22 93 22 9B 01 2B 13 D1 9D ED 04 0B ?? ?? ?? ?? 8D ED 5C 0B 9D ED 5C 1B 58 4B 93 ED 00 0B 21 EE 00 0B 8D ED 38 0B 9F ED 53 0B 8D ED 42 0B B9 E0 03 9B 5A 1C 08 23 02 FB 03 F2 4C 4B 13 44 9D ED 1A 1B 93 ED 00 0B 31 EE 40 8B 03 9B 59 1C 02 20 ?? ?? ?? ?? 08 23 00 FB 03 F2 45 4B 13 44 93 ED 00 0B 38 EE 40 2B 03 9B 5A 1C 08 23 02 FB 03 F2 3E 4B 13 44 9D ED 1A 1B 93 ED 00 0B 31 EE 00 0B 82 EE 00 0B 8D ED 1C 0B 9D ED 1C 1B 9D ED 1C 0B 31 EE 00 0B 8D ED 1C 0B 9D ED 1C 1B 9D ED 1C 0B 21 EE 00 0B 8D ED 28 0B 2F 4B 93 ED 00 1B 9D ED 28 0B 21 EE 00 1B 2B 4B 93 ED 00 0B 31 EE 00 1B 9D ED 28 0B 21 EE 00 1B 25 4B 93 ED 00 0B 31 EE 00 1B 9D ED 28 0B 21 EE 00 1B 20 4B 93 ED 00 0B 31 EE 00 1B 9D ED 28 0B 21 EE 00 1B 9D ED 1C 0B 21 EE 00 0B 8D ED 2A 0B 17 4B 93 ED 00 1B 9D ED 2A 0B 21 EE 00 1B 9D ED 2A 0B 30 EE 01 0B 8D ED 2A 0B 9D ED 1C 1B 10 4B 93 ED 00 0B 21 EE 00 1B 9D ED 2A 0B 30 EE 01 1B 9D ED 1C 0B 31 EE 00 0B 8D ED 42 0B 13 9A 10 23 02 FB 03 F2 03 9B D3 1A 00 EE 10 3A B8 EE C0 1B 9F ED 01 0B 26 E0 FE DE 00 00 00 00 00 00 B0 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 03 F6 FF FF ?? ?? ?? ?? 00 00 00 00 00 00 60 40 00 9F C0 03 ?? ?? ?? ?? ?? ?? ?? ?? 21 EE 00 0B 8D ED 38 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 5E 0B 9D ED 5E 0B 8D ED 44 0B 9D ED 00 1B 9D ED 44 0B 31 EE 40 0B 8D ED 60 0B 9D ED 42 1B 9D ED 00 0B 21 EE 00 2B 9D ED 38 1B 9D ED 60 0B 21 EE 00 0B 32 EE 00 0B 8D ED 1E 0B 9D ED 1E 0B ?? ?? ?? ?? 8D ED 62 0B 9D ED 62 0B 8D ED 26 0B 9D ED 1E 1B 9D ED 26 0B 31 EE 40 0B 8D ED 0A 0B 9D ED 38 1B 9D ED 44 0B 21 EE 00 1B 9D ED 26 0B 30 EE 01 0B 8D ED 1E 0B 9D ED 1E 0B ?? ?? ?? ?? 8D ED 64 0B 9D ED 64 0B 8D ED 26 0B 9D ED 1E 1B 9D ED 26 0B 31 EE 40 1B 9D ED 0A 0B 30 EE 01 0B 8D ED 0A 0B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 66 0B 9D ED 66 0B 8D ED 1E 0B 9D ED 26 1B 9D ED 1E 0B 31 EE 00 1B B3 EE 00 0B 20 EE 01 0B 8D ED 3A 0B 9D ED 0A 1B 9D ED 1E 0B 31 EE 40 0B 8D ED 0A 0B 9D ED 3A 1B C3 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 18 DD 02 9B 43 F0 04 02 9D ED 0C 1B B1 4B 93 ED 00 0B 21 EE 00 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 11 20 ?? ?? ?? ?? 8D ED 68 0B 9D ED 68 0B 8D ED 06 0B 41 E1 9D ED 3A 1B B1 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 17 D2 02 9B 43 F0 08 02 9D ED 0C 1B 9F ED 9D 0B 21 EE 00 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 12 20 ?? ?? ?? ?? 8D ED 6A 0B 9D ED 6A 0B 8D ED 06 0B 1F E1 9D ED 3A 0B BD EE C0 0B 10 EE 10 3A 14 93 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 0A DD 14 9B 5B 1C 14 93 9D ED 0A 1B 9F ED 95 0B 31 EE 40 0B 8D ED 0A 0B 14 9B 00 2B 02 DA 00 23 23 93 01 E0 01 23 23 93 23 9B 35 93 14 99 10 20 ?? ?? ?? ?? 35 9B 03 44 18 93 18 9A 10 23 02 FB 03 F2 14 9B D3 1A 24 93 85 4B 93 ED 00 1B 9D ED 0A 0B 21 EE 00 1B 81 4B 93 ED 00 0B 31 EE 00 1B 9D ED 0A 0B 21 EE 00 1B 7B 4B 93 ED 00 0B 31 EE 00 1B 9D ED 0A 0B 21 EE 00 1B 76 4B 93 ED 00 0B 31 EE 00 1B 9D ED 0A 0B 21 EE 00 1B 70 4B 93 ED 00 0B 31 EE 00 1B 9D ED 0A 0B 21 EE 00 1B 6B 4B 93 ED 00 0B 31 EE 00 1B 9D ED 0A 0B 21 EE 00 1B 65 4B 93 ED 00 0B 31 EE 00 1B 9D ED 0A 0B 21 EE 00 0B 8D ED 10 0B 24 9B 5A 1C 08 23 02 FB 03 F2 5C 4B 99 18 24 9B 5A 1C 08 23 02 FB 03 F2 59 4B 13 44 93 ED 00 1B 9D ED 10 0B 21 EE 00 1B 91 ED 00 0B 30 EE 01 0B 8D ED 10 0B 9D ED 10 0B ?? ?? ?? ?? 36 90 36 9A 18 9B 13 44 08 93 08 9B B3 F5 80 6F 29 DD 08 9B A3 F5 C0 60 9D ED 10 0B ?? ?? ?? ?? 8D ED 6C 0B 9D ED 0C 1B 9D ED 6C 0B 21 EE 00 0B 8D ED 16 0B 02 9B 43 F0 04 02 9D ED 0C 1B 3F 4B 93 ED 00 0B 21 EE 00 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 11 20 ?? ?? ?? ?? 8D ED 6E 0B 9D ED 6E 0B 8D ED 06 0B 5E E0 08 9A 6F F4 7F 73 9A 42 28 DA 08 9B 03 F5 C0 60 9D ED 10 0B ?? ?? ?? ?? 8D ED 70 0B 9D ED 0C 1B 9D ED 70 0B 21 EE 00 0B 8D ED 16 0B 02 9B 43 F0 08 02 9D ED 0C 1B 9F ED 26 0B 21 EE 00 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 12 20 ?? ?? ?? ?? 8D ED 72 0B 9D ED 72 0B 8D ED 06 0B 30 E0 08 98 9D ED 10 0B ?? ?? ?? ?? 8D ED 74 0B 9D ED 0C 1B 9D ED 74 0B 21 EE 00 0B 8D ED 16 0B 02 9B 00 2B 0B D0 12 49 02 9B 43 F0 10 00 ?? ?? ?? ?? 9D ED 16 0B 8D ED 06 0B 13 E0 12 E0 02 9B 43 F0 10 02 9D ED 16 2B 9D ED 00 1B 9D ED 0E 0B 1D 21 10 20 ?? ?? ?? ?? 8D ED 76 0B 9D ED 76 0B 8D ED 06 0B 9D ED 06 0B 78 B0 BD EC 02 8B BD E8 00 88 00 9F C0 03 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 B0 3F ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_344_0_0 {
	meta:
		name = "dekker_mul12"
		size = 226
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 8D ED 04 1B 8D ED 02 0B 9D ED 02 0B 53 EC 10 2B 00 92 01 93 00 9B 03 F0 78 42 01 9B 00 92 01 93 00 9A 01 9B 43 EC 10 2B 8D ED 06 0B 9D ED 02 1B 9D ED 06 0B 31 EE 40 0B 8D ED 0A 0B 9D ED 04 0B 53 EC 10 2B 00 92 01 93 00 9B 03 F0 78 42 01 9B 00 92 01 93 00 9A 01 9B 43 EC 10 2B 8D ED 08 0B 9D ED 04 1B 9D ED 08 0B 31 EE 40 0B 8D ED 0C 0B 9D ED 02 1B 9D ED 04 0B 21 EE 00 0B 10 9B 83 ED 00 0B 9D ED 06 1B 9D ED 08 0B 21 EE 00 1B 10 9B 93 ED 00 0B 31 EE 40 2B 9D ED 06 1B 9D ED 0C 0B 21 EE 00 0B 32 EE 00 2B 9D ED 0A 1B 9D ED 08 0B 21 EE 00 0B 32 EE 00 2B 9D ED 0A 1B 9D ED 0C 0B 21 EE 00 0B 32 EE 00 0B 11 9B 83 ED 00 0B 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_344_1_0 {
	meta:
		name = "fmod"
		size = 1352
		refs = "00a6 _handle_nan 00de _handle_error 034e __rt_sdiv 0378 scaleDouble_3 03b4 __dtoi64 03b8 __i64tod 03cc dekker_mul12 053c ??_C@_04KEPJIHGP@fmod?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 DA B0 8D ED 24 1B 8D ED 16 0B 9D ED 16 0B 8D ED 04 0B 9D ED 24 0B 8D ED 26 0B 9D ED 04 0B 53 EC 10 2B 14 92 15 93 9D ED 26 0B 53 EC 10 2B 18 92 19 93 14 9A 15 9B 23 F0 00 43 0C 92 0D 93 18 9A 19 9B 23 F0 00 43 0A 92 0B 93 15 9A DF F8 F0 34 13 40 1B 0D 06 93 19 9A DF F8 E4 34 13 40 1B 0D 07 93 06 9B 01 2B 0D DB 06 9A 40 F2 FE 73 9A 42 08 DC 07 9B 01 2B 05 DB 07 9A 40 F2 FE 73 9A 42 40 F3 F7 80 06 9A 40 F2 FE 73 9A 42 2E DD 14 9A 15 9B 6F F3 1F 53 13 43 00 2B 0B D0 14 98 15 99 ?? ?? ?? ?? 8D ED 4E 0B 9D ED 4E 0B 8D ED 10 0B 39 E2 1A E0 02 23 03 93 9D ED 24 1B 9D ED 16 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 DF F8 68 34 16 21 DF F8 60 04 ?? ?? ?? ?? 8D ED 50 0B 9D ED 50 0B 8D ED 10 0B 1D E2 71 E0 07 9A 40 F2 FE 73 9A 42 18 DD 18 9A 19 9B 6F F3 1F 53 13 43 00 2B 0B D0 18 98 19 99 ?? ?? ?? ?? 8D ED 52 0B 9D ED 52 0B 8D ED 10 0B 05 E2 04 E0 9D ED 16 0B 8D ED 10 0B FF E1 53 E0 0C 9B 30 93 0D 9B 31 93 31 9A 30 9B 13 43 00 2B 28 D1 0A 9B 32 93 0B 9B 33 93 33 9A 32 9B 13 43 00 2B 19 D1 02 23 03 93 9D ED 24 1B 9D ED 16 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 F4 4B 16 21 F2 48 ?? ?? ?? ?? 8D ED 54 0B 9D ED 54 0B 8D ED 10 0B D3 E1 04 E0 9D ED 16 0B 8D ED 10 0B CD E1 21 E0 0A 9B 34 93 0B 9B 35 93 35 9A 34 9B 13 43 00 2B 18 D1 02 23 03 93 9D ED 24 1B 9D ED 16 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 E0 4B 16 21 DE 48 ?? ?? ?? ?? 8D ED 56 0B 9D ED 56 0B 8D ED 10 0B AA E1 06 9B 01 2B 24 DA 0C 9B 08 93 0D 9B 09 93 08 9B 36 93 09 9B 37 93 36 9B 28 93 37 9B B3 F5 80 1F 13 D8 02 D3 28 9B 00 2B 0F D2 06 9B 5B 1E 06 93 08 9A 09 9B 1C 92 58 00 1C 9B D9 0F 1C 9B 5A 00 40 EA 01 03 08 92 09 93 E1 E7 06 9B 5B 1C 06 93 07 9B 01 2B 24 DA 0A 9B 08 93 0B 9B 09 93 08 9B 38 93 09 9B 39 93 38 9B 29 93 39 9B B3 F5 80 1F 13 D8 02 D3 29 9B 00 2B 0F D2 07 9B 5B 1E 07 93 08 9A 09 9B 1D 92 58 00 1D 9B D9 0F 1D 9B 5A 00 40 EA 01 03 08 92 09 93 E1 E7 07 9B 5B 1C 07 93 20 E0 0C 9B 3A 93 0D 9B 3B 93 0A 9B 3C 93 0B 9B 3D 93 3B 9B 2A 93 3D 9B 2B 93 3A 9A 3C 9B 9A 42 10 D1 2A 9A 2B 9B 9A 42 0C D1 15 9B 03 F0 00 42 00 23 42 EC 10 3B 8D ED 04 0B 9D ED 04 0B 8D ED 10 0B 38 E1 0C 9A 0D 9B 43 EC 10 2B 8D ED 04 0B 0A 9A 0B 9B 43 EC 10 2B 8D ED 26 0B 0C 9B 3E 93 0D 9B 3F 93 0A 9B 40 93 0B 9B 41 93 3E 9B 2C 93 40 9B 2D 93 3F 9A 41 9B 9A 42 1B D8 03 D3 2C 9A 2D 9B 9A 42 16 D2 9D ED 16 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 04 0B B1 EE 40 0B 8D ED 48 0B 03 E0 9D ED 04 0B 8D ED 48 0B 9D ED 48 0B 8D ED 10 0B 00 E1 F1 EE 10 3A 2E 93 2E 9B 83 F4 1F 43 2F 93 06 9A 07 9B 9A 42 02 DC 00 23 12 93 06 E0 06 9A 07 9B D1 1A 34 20 ?? ?? ?? ?? 12 90 12 9B 00 2B 08 D1 9D ED 26 0B 8D ED 0E 0B B7 EE 00 0B 8D ED 4A 0B 13 E0 12 9A 34 23 02 FB 03 F0 9D ED 26 0B ?? ?? ?? ?? 8D ED 58 0B 9D ED 58 0B 8D ED 0E 0B 00 22 6B 4B 43 EC 10 2B 8D ED 4A 0B 00 23 1A 93 02 E0 1A 9B 5B 1C 1A 93 1A 9A 12 9B 9A 42 47 DA 9D ED 04 1B 9D ED 0E 0B 81 EE 00 0B ?? ?? ?? ?? ?? ?? ?? ?? 8D ED 42 0B 44 A9 22 A8 9D ED 42 1B 9D ED 0E 0B ?? ?? ?? ?? 9D ED 04 1B 9D ED 22 0B 31 EE 40 0B 8D ED 1E 0B 9D ED 04 1B 9D ED 1E 0B 31 EE 40 1B 9D ED 22 0B 31 EE 40 1B 9D ED 44 0B 31 EE 40 1B 9D ED 1E 0B 30 EE 01 0B 8D ED 04 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 07 D2 9D ED 04 1B 9D ED 0E 0B 31 EE 00 0B 8D ED 04 0B 9D ED 0E 1B 9D ED 4A 0B 21 EE 00 0B 8D ED 0E 0B B0 E7 9D ED 04 1B 9D ED 0E 0B 81 EE 00 0B ?? ?? ?? ?? ?? ?? ?? ?? 8D ED 42 0B 9D ED 04 1B 9D ED 0E 0B 81 EE 00 0B ?? ?? ?? ?? 00 F0 01 03 20 93 00 23 21 93 44 A9 22 A8 9D ED 42 1B 9D ED 0E 0B ?? ?? ?? ?? 9D ED 04 1B 9D ED 22 0B 31 EE 40 0B 8D ED 1E 0B 9D ED 04 1B 9D ED 1E 0B 31 EE 40 1B 9D ED 22 0B 31 EE 40 1B 9D ED 44 0B 31 EE 40 1B 9D ED 1E 0B 30 EE 01 0B 8D ED 04 0B 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 1A D2 20 9B 46 93 21 9B 47 93 47 9A 46 9B 13 43 00 2B 02 D1 01 23 1B 93 01 E0 00 23 1B 93 1B 9A 1B 9B DB 17 20 92 21 93 9D ED 04 1B 9D ED 0E 0B 31 EE 00 0B 8D ED 04 0B 2F 9B 83 F4 1F 43 E1 EE 10 3A 9D ED 16 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 04 0B B1 EE 40 0B 8D ED 4C 0B 03 E0 9D ED 04 0B 8D ED 4C 0B 9D ED 4C 0B 8D ED 10 0B 9D ED 10 0B 5A B0 BD E8 00 88 FE DE 00 00 B0 3C ?? ?? ?? ?? 00 00 F8 FF 00 00 F0 7F }
	condition:
		$1
}

rule file_344_2_0 {
	meta:
		name = "scaleDouble_3"
		size = 156
		refs = "0012 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 8D ED 04 0B 10 99 03 20 ?? ?? ?? ?? 00 90 10 9A 00 9B D1 1A 02 20 ?? ?? ?? ?? 01 90 10 9A 00 9B D2 1A 01 9B D3 1A 02 93 00 9A 40 F2 FF 33 13 44 1A 05 00 23 42 EC 10 3B 8D ED 06 0B 01 9A 40 F2 FF 33 13 44 1A 05 00 23 42 EC 10 3B 8D ED 08 0B 02 9A 40 F2 FF 33 13 44 1A 05 00 23 42 EC 10 3B 8D ED 0A 0B 9D ED 04 1B 9D ED 06 0B 21 EE 00 1B 9D ED 08 0B 21 EE 00 1B 9D ED 0A 0B 21 EE 00 0B 8D ED 0C 0B 9D ED 0C 0B 0E B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_345_1_0 {
	meta:
		name = "??$common_gets@D@@YAPADQADI_N@Z"
		size = 892
		refs = "003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 00dc __acrt_iob_func 00e4 _lock_file 00f2 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQAU_iobuf@@@Z 0114 ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@@Z 0204 _CrtGetDebugFillThreshold 0236 memset 02aa __jump_unwind 033a _unlock_file 035c $LN40 0360 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0364 ??_C@_1BI@DDFPMEGN@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 0368 ??_C@_1FM@BGPNBDKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 036c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0370 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0374 ??_C@_1DM@FODNGEOJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0378 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B A7 B0 6F 46 82 B0 D7 F8 A8 30 00 2B 02 D0 01 23 3B 62 01 E0 00 23 3B 62 3B 6A 7B 62 7B 6A 00 2B 0E D1 D2 4B 01 93 CE 4B 00 93 00 23 29 22 CB 49 02 20 ?? ?? ?? ?? B8 64 BB 6C 01 2B 00 D1 FE DE 7B 6A 00 2B 10 D1 ?? ?? ?? ?? F8 64 FA 6C 16 23 13 60 00 23 00 93 29 23 C1 4A BF 49 C4 48 ?? ?? ?? ?? 00 23 7B 61 6D E1 D7 F8 AC 30 00 2B 02 D9 01 23 BB 62 01 E0 00 23 BB 62 BB 6A FB 62 FB 6A 00 2B 0E D1 B9 4B 01 93 B6 4B 00 93 00 23 2A 22 B3 49 02 20 ?? ?? ?? ?? 38 65 3B 6D 01 2B 00 D1 FE DE FB 6A 00 2B 10 D1 ?? ?? ?? ?? 78 65 7A 6D 16 23 13 60 00 23 00 93 2A 23 A8 4A A7 49 AA 48 ?? ?? ?? ?? 00 23 7B 61 3C E1 D7 F8 A8 30 FB 61 00 20 ?? ?? ?? ?? B8 65 B8 6D ?? ?? ?? ?? 00 20 ?? ?? ?? ?? F8 65 F8 6D ?? ?? ?? ?? 38 72 3B 7A 00 2B 02 D1 00 23 FB 61 15 E1 00 20 ?? ?? ?? ?? 38 66 3B 6E 7B 66 17 F1 64 00 ?? ?? ?? ?? B8 66 BB 6E 3B 60 3B 68 B3 F1 FF 3F 06 D1 00 23 FB 61 97 F8 B0 30 00 2B 00 D0 FD E0 D7 F8 AC 30 B3 F1 FF 3F 22 D1 D7 F8 A8 30 FB 60 3B 68 0A 2B 18 D0 3B 68 B3 F1 FF 3F 14 D0 3B 68 5A B2 FB 68 1A 70 FB 68 5B 1C FB 60 00 20 ?? ?? ?? ?? F8 66 FB 6E 3B 67 17 F1 70 00 ?? ?? ?? ?? 78 67 7B 6F 3B 60 E3 E7 FA 68 00 23 13 70 D5 E0 D7 F8 AC 30 7B 60 D7 F8 A8 30 3B 61 3B 68 0A 2B 20 D0 3B 68 B3 F1 FF 3F 1C D0 7B 68 00 2B 09 D9 7B 68 5B 1E 7B 60 3B 68 5A B2 3B 69 1A 70 3B 69 5B 1C 3B 61 00 20 ?? ?? ?? ?? B8 67 BB 6F FB 67 17 F1 7C 00 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 3B 60 DB E7 7B 68 00 2B 67 D1 D7 F8 A8 20 00 23 13 70 D7 F8 AC 30 B3 F1 FF 3F 24 D0 D7 F8 AC 20 6F F0 00 43 9A 42 1E D0 D7 F8 AC 30 01 2B 1A D9 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 30 3B 63 D7 F8 AC 30 5A 1E 3B 6B 93 42 02 D2 3B 6B 7B 63 03 E0 D7 F8 AC 30 5B 1E 7B 63 7A 6B FE 21 D7 F8 A8 30 58 1C ?? ?? ?? ?? 4D 4B 00 2B 03 D0 02 E0 01 23 BB 63 01 E0 00 23 BB 63 BB 6B FB 63 FB 6B 00 2B 10 D1 42 4B 01 93 44 4B 00 93 00 23 67 22 41 49 02 20 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 30 01 2B 00 D1 FE DE FB 6B 00 2B 17 D1 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 20 22 23 13 60 00 23 00 93 67 23 34 4A 33 49 31 48 ?? ?? ?? ?? 00 23 C7 F8 94 30 2D 49 07 F1 B8 00 ?? ?? ?? ?? 3A 69 00 23 13 70 D7 F8 AC 30 B3 F1 FF 3F 38 D0 D7 F8 AC 20 6F F0 00 43 9A 42 32 D0 D7 F8 AC 20 7B 68 D3 1A 5A 1C D7 F8 AC 30 9A 42 29 D2 ?? ?? ?? ?? C7 F8 90 00 D7 F8 90 30 3B 64 D7 F8 AC 20 7B 68 D3 1A 5A 1C D7 F8 AC 30 9A 1A 3B 6C 93 42 02 D2 3B 6C 7B 64 08 E0 D7 F8 AC 20 7B 68 D3 1A 5A 1C D7 F8 AC 30 9B 1A 7B 64 7A 6C FE 21 D7 F8 AC 00 7B 68 C3 1A 58 1C D7 F8 A8 30 18 44 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? B8 61 B8 69 ?? ?? ?? ?? FB 69 7B 61 04 E0 03 E0 00 BF D7 F8 94 30 7B 61 78 69 29 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_345_2_0 {
	meta:
		name = "?fin$0@?0???$common_gets@D@@YAPADQADI_N@Z@4HA"
		size = 24
		refs = "0006 __acrt_iob_func 000e _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 00 20 ?? ?? ?? ?? B8 61 B8 69 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_345_3_0 {
	meta:
		name = "??$common_gets@_W@@YAPA_WQA_WI_N@Z"
		size = 908
		refs = "003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 00dc __acrt_iob_func 00e4 _lock_file 00f2 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQAU_iobuf@@@Z 0114 ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QAPAU_iobuf@@@Z 0202 _CrtGetDebugFillThreshold 023a memset 02ae __jump_unwind 034a _unlock_file 036c $LN40 0370 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0374 ??_C@_1BI@DDFPMEGN@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 0378 ??_C@_1FM@BGPNBDKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 037c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0380 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0384 ??_C@_1DM@FODNGEOJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0388 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B A5 B0 6F 46 82 B0 D7 F8 A0 30 00 2B 02 D0 01 23 BB 62 01 E0 00 23 BB 62 BB 6A FB 62 FB 6A 00 2B 0E D1 D6 4B 01 93 D2 4B 00 93 00 23 29 22 CF 49 02 20 ?? ?? ?? ?? 38 65 3B 6D 01 2B 00 D1 FE DE FB 6A 00 2B 10 D1 ?? ?? ?? ?? 78 65 7A 6D 16 23 13 60 00 23 00 93 29 23 C5 4A C3 49 C8 48 ?? ?? ?? ?? 00 23 7B 61 75 E1 D7 F8 A4 30 00 2B 02 D9 01 23 3B 63 01 E0 00 23 3B 63 3B 6B 7B 63 7B 6B 00 2B 0E D1 BD 4B 01 93 BA 4B 00 93 00 23 2A 22 B7 49 02 20 ?? ?? ?? ?? B8 65 BB 6D 01 2B 00 D1 FE DE 7B 6B 00 2B 10 D1 ?? ?? ?? ?? F8 65 FA 6D 16 23 13 60 00 23 00 93 2A 23 AC 4A AB 49 AE 48 ?? ?? ?? ?? 00 23 7B 61 44 E1 D7 F8 A0 30 7B 62 00 20 ?? ?? ?? ?? 38 66 38 6E ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 78 66 78 6E ?? ?? ?? ?? 38 72 3B 7A 00 2B 02 D1 00 23 7B 62 1D E1 00 20 ?? ?? ?? ?? B8 66 BB 6E FB 66 17 F1 6C 00 ?? ?? ?? ?? 38 83 3B 8B 3B 80 3A 88 4F F6 FF 73 9A 42 06 D1 00 23 7B 62 97 F8 A8 30 00 2B 00 D0 04 E1 D7 F8 A4 30 B3 F1 FF 3F 22 D1 D7 F8 A0 30 FB 60 3B 88 0A 2B 18 D0 3A 88 4F F6 FF 73 9A 42 13 D0 3A 88 FB 68 1A 80 FB 68 9B 1C FB 60 00 20 ?? ?? ?? ?? 38 67 3B 6F 7B 67 17 F1 74 00 ?? ?? ?? ?? 78 83 7B 8B 3B 80 E3 E7 FA 68 00 23 13 80 DC E0 D7 F8 A4 30 7B 60 D7 F8 A0 30 3B 61 3B 88 0A 2B 1E D0 3A 88 4F F6 FF 73 9A 42 19 D0 7B 68 00 2B 08 D9 7B 68 5B 1E 7B 60 3A 88 3B 69 1A 80 3B 69 9B 1C 3B 61 00 20 ?? ?? ?? ?? B8 67 BB 6F FB 67 17 F1 7C 00 ?? ?? ?? ?? B8 83 BB 8B 3B 80 DD E7 7B 68 00 2B 6A D1 D7 F8 A0 20 00 23 13 80 D7 F8 A4 30 B3 F1 FF 3F 27 D0 D7 F8 A4 20 6F F0 00 43 9A 42 21 D0 D7 F8 A4 30 01 2B 1D D9 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 BB 63 D7 F8 A4 30 5A 1E BB 6B 93 42 02 D2 BB 6B FB 63 03 E0 D7 F8 A4 30 5B 1E FB 63 FA 6B 02 23 02 FB 03 F2 FE 21 D7 F8 A0 30 98 1C ?? ?? ?? ?? 50 4B 00 2B 03 D0 02 E0 01 23 3B 64 01 E0 00 23 3B 64 3B 6C 7B 64 7B 6C 00 2B 10 D1 45 4B 01 93 47 4B 00 93 00 23 67 22 44 49 02 20 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 30 01 2B 00 D1 FE DE 7B 6C 00 2B 17 D1 ?? ?? ?? ?? C7 F8 88 00 D7 F8 88 20 22 23 13 60 00 23 00 93 67 23 37 4A 36 49 34 48 ?? ?? ?? ?? 00 23 C7 F8 90 30 30 49 07 F1 B0 00 ?? ?? ?? ?? 3A 69 00 23 13 80 D7 F8 A4 30 B3 F1 FF 3F 3E D0 D7 F8 A4 20 6F F0 00 43 9A 42 38 D0 D7 F8 A4 20 7B 68 D3 1A 5A 1C D7 F8 A4 30 9A 42 2F D2 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 BB 64 D7 F8 A4 20 7B 68 D3 1A 5A 1C D7 F8 A4 30 9A 1A BB 6C 93 42 02 D2 BB 6C FB 64 08 E0 D7 F8 A4 20 7B 68 D3 1A 5A 1C D7 F8 A4 30 9B 1A FB 64 FA 6C 02 23 02 FB 03 F2 FE 21 D7 F8 A4 00 7B 68 C3 1A 58 1C 02 23 00 FB 03 F0 D7 F8 A0 30 18 44 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 38 62 38 6A ?? ?? ?? ?? 7B 6A 7B 61 04 E0 03 E0 00 BF D7 F8 90 30 7B 61 78 69 27 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_345_4_0 {
	meta:
		name = "?fin$0@?0???$common_gets@_W@@YAPA_WQA_WI_N@Z@4HA"
		size = 24
		refs = "0006 __acrt_iob_func 000e _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 00 20 ?? ?? ?? ?? 38 62 38 6A ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_345_14_0 {
	meta:
		name = "_getws"
		size = 40
		refs = "0012 ??$common_gets@_W@@YAPA_WQA_WI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 6F F0 00 01 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_345_16_0 {
	meta:
		name = "gets"
		size = 40
		refs = "0012 ??$common_gets@D@@YAPADQADI_N@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 6F F0 00 01 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_346_0_0 {
	meta:
		name = "coshf"
		size = 1076
		refs = "0088 valf_with_flags 00f8 _handle_nanf 010e infinityf_with_flags 01b8 _handle_errorf 0200 splitexp 0218 scaleDouble_1 03a4 ?sinh_lead@?1??coshf@@9@9 03a8 ?cosh_lead@?1??coshf@@9@9 0414 ?thirtytwo_by_log2@?1??coshf@@9@9 0418 ?log2_by_32_lead@?1??coshf@@9@9 041c ?log2_by_32_tail@?1??coshf@@9@9 0420 ?small_threshold@?1??coshf@@9@9 0424 ??_C@_05NHNGJKPP@coshf?$AA@ 042c ?max_cosh_arg@?1??coshf@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 BC B0 8D ED 0B 0A 9D ED 0B 0A B7 EE C0 0A 8D ED 12 0B 9D ED 12 0B 53 EC 10 2B 10 92 11 93 10 9A 11 9B 23 F0 00 43 08 92 09 93 08 9B 20 93 09 9B 21 93 20 9B 16 93 21 9A 19 4B 9A 42 32 D8 02 D3 16 9B 00 2B 2E D2 08 9B 22 93 09 9B 23 93 23 9A 22 9B 13 43 00 2B 04 D1 B7 EE 00 0A 8D ED 06 0A 98 E1 9F ED 0C 1B 9D ED 12 0B 31 EE 00 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 12 DD 10 20 B7 EE 00 0A ?? ?? ?? ?? 8D ED 17 0A 9D ED 17 0A 8D ED 06 0A 7F E1 FE DE 9C 75 00 88 3C E4 37 7E 00 00 10 3F 3A E0 08 9B 24 93 09 9B 25 93 24 9B 18 93 25 9A DD 4B 9A 42 30 D3 02 D8 18 9B 00 2B 2C D3 08 9B 26 93 09 9B 27 93 26 9B 19 93 27 9A D6 4B 9A 42 18 D3 02 D8 19 9B 00 2B 14 D9 9D ED 0B 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 1A 93 1A 98 00 21 ?? ?? ?? ?? 8D ED 1B 0A 9D ED 1B 0A 8D ED 06 0A 47 E1 09 E0 00 20 ?? ?? ?? ?? 8D ED 1C 0A 9D ED 1C 0A 8D ED 06 0A 3C E1 08 9B 28 93 09 9B 29 93 10 9B 2A 93 11 9B 2B 93 29 9B 1D 93 2B 9B 1E 93 28 9A 2A 9B 9A 42 03 D1 1D 9A 1E 9B 9A 42 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9A 0A 9B DB 17 2C 92 2D 93 9D ED 12 0B 8D ED 0E 0B 2C 9B 2E 93 2D 9B 2F 93 2F 9A 2E 9B 13 43 00 2B 05 D0 9D ED 12 0B B1 EE 40 0B 8D ED 0E 0B 9D ED 0E 1B A9 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 1A DB 01 23 03 93 DF ED A3 0A 9D ED 0B 0A 22 23 02 93 11 23 01 93 03 23 00 93 4F F0 FF 42 00 23 13 21 9B 48 ?? ?? ?? ?? 8D ED 1F 0A 9D ED 1F 0A 8D ED 06 0A E7 E0 E0 E0 9D ED 0E 1B 93 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 24 DB 34 AA 32 A9 0C A8 8D 4B 93 ED 00 4B 8A 4B 93 ED 00 3B 88 4B 93 ED 00 2B B7 EE 00 1B 9D ED 0E 0B ?? ?? ?? ?? 0C 9B 5B 1E 0C 93 0C 98 9D ED 32 1B 9D ED 34 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 36 0B 9D ED 36 0B 8D ED 30 0B B1 E0 9D ED 0E 0B BD EE C0 0B 10 EE 10 3A 0D 93 0D 9B 00 EE 10 3A B8 EE C0 1B 9D ED 0E 0B 30 EE 41 0B 8D ED 14 0B 9D ED 14 1B 9D ED 14 0B 21 EE 00 0B 8D ED 04 0B 9D ED 14 1B 9D ED 04 0B 21 EE 00 2B 9F ED 68 1B 9D ED 04 0B 21 EE 00 1B 9F ED 63 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 5D 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 57 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 51 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 4B 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 45 0B 30 EE 01 0B 22 EE 00 1B 9D ED 14 0B 30 EE 01 0B 8D ED 3A 0B 9F ED 3D 1B 9D ED 04 0B 21 EE 00 1B 9F ED 38 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 32 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 2C 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 26 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B 9F ED 20 0B 30 EE 01 1B 9D ED 04 0B 21 EE 00 1B B6 EE 00 0B 30 EE 01 1B 9D ED 04 0B 20 EE 01 1B B7 EE 00 0B 30 EE 01 0B 8D ED 38 0B 0D 9A 08 23 02 FB 03 F2 12 4B 13 44 93 ED 00 1B 9D ED 38 0B 21 EE 00 2B 0D 9A 08 23 02 FB 03 F2 0B 4B 13 44 93 ED 00 1B 9D ED 3A 0B 21 EE 00 0B 32 EE 00 0B 8D ED 30 0B 9D ED 30 0B B7 EE C0 0B 8D ED 06 0A 9D ED 06 0A 3C B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? 02 55 55 55 55 55 A5 3F E5 12 C2 16 6C C1 56 3F 11 90 07 19 A0 01 FA 3E 55 CB F1 69 50 7E 92 3E 20 7B 5B 38 56 EE 21 3E D7 FC 63 7F 4B 98 A9 3D 55 55 55 55 55 55 C5 3F FD 10 11 11 11 11 81 3F 80 EE 01 1A A0 01 2A 3F 7D 3E E1 A4 E3 1D C7 3E C0 61 BE 0F 46 E6 5A 3E BE B7 DC 2B CB 11 E6 3D 8B A0 1E 92 25 41 6B 3D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? 00 00 F0 7F }
	condition:
		$1
}

rule file_347_5_0 {
	meta:
		name = "_mbsnbcat_l"
		size = 328
		refs = "0028 _CrtDbgReportW 0032 _errno 0046 _invalid_parameter 007e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 008e strncat 00ae _mbsbtype_l 0134 ??_C@_1HC@MJOFKHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0138 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 013c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0140 ??_C@_1BI@CBAIJIAM@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAl?$AA?$AA@ 0144 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 87 B0 16 46 00 2E 0F 46 04 46 00 F0 8A 80 D4 B9 48 4B 4A 4C 45 49 00 93 00 23 35 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 35 23 3F 49 3C 4A 20 46 ?? ?? ?? ?? 00 24 6D E0 A7 B9 3A 4B 39 4C 37 49 00 93 00 23 36 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 36 23 E2 E7 02 A8 19 46 ?? ?? ?? ?? 04 99 8B 68 33 B9 32 46 39 46 20 46 ?? ?? ?? ?? 04 46 3F E0 25 46 14 F8 01 3B 00 2B FB D1 64 1E AC 42 09 D0 63 1B 59 1E 03 AA 28 46 ?? ?? ?? ?? 01 28 04 99 08 BF 64 1E 17 F8 01 2B 76 1E 4F F0 00 08 53 18 5B 7E 04 F8 01 2B 13 F0 04 0F 0B D0 76 B1 3B 78 76 1E 07 F1 01 07 23 70 04 F1 01 04 1B B9 04 F8 02 8C 05 E0 22 B1 00 2E E4 D1 01 E0 04 F8 01 8C AC 42 0A D0 63 1B 59 1E 03 AA 28 46 ?? ?? ?? ?? 01 28 02 D1 04 F8 01 8C 01 E0 84 F8 00 80 2C 46 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 07 B0 BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_348_0_0 {
	meta:
		name = "__guard_check_icall_thunk"
		size = 20
		refs = "0004 __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 0F 50 ?? ?? ?? ?? C0 F2 00 01 09 68 88 47 BD E8 0F 90 }
	condition:
		$1
}

rule file_349_0_0 {
	meta:
		name = "ctanh"
		size = 716
		refs = "0018 creal 0030 cimag 0042 _dtest 00b8 _Cbuild 0190 tan 01a4 sinh 0264 sqrt 02c0 _Inf_C 02c4 _Nan_C 02c8 _Zero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 B0 8D ED 1C 1B 8D ED 1A 0B 9D ED 1A 0B 9D ED 1C 1B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1E 0B 8D ED 08 0B 9D ED 1A 0B 9D ED 1C 1B ?? ?? ?? ?? 8D ED 20 0B 9D ED 20 0B 8D ED 02 0B 08 A8 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 00 30 02 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 AD F8 02 30 BD F9 00 30 01 2B 35 D1 02 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 93 4B 93 ED 00 0B B1 EE 40 0B 8D ED 10 0B 03 E0 9F ED 8B 0B 8D ED 10 0B 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 04 D2 BF EE 00 0B 8D ED 12 0B 03 E0 B7 EE 00 0B 8D ED 12 0B 9D ED 10 1B 9D ED 12 0B ?? ?? ?? ?? 8D ED 2A 1B 8D ED 28 0B 9D ED 28 0B 8D ED 04 0B 9D ED 2A 0B 8D ED 06 0B E8 E0 E7 E0 BD F9 02 30 02 2B 13 D1 9D ED 02 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 2E 1B 8D ED 2C 0B 9D ED 2C 0B 8D ED 04 0B 9D ED 2E 0B 8D ED 06 0B D0 E0 CF E0 BD F9 00 30 02 2B 23 D1 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 04 D1 9D ED 02 0B 8D ED 14 0B 03 E0 9D ED 08 0B 8D ED 14 0B 9D ED 14 1B 9D ED 08 0B ?? ?? ?? ?? 8D ED 32 1B 8D ED 30 0B 9D ED 30 0B 8D ED 04 0B 9D ED 32 0B 8D ED 06 0B A8 E0 A7 E0 BD F9 02 30 01 2B 15 D1 58 4B 93 ED 00 1B 57 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 36 1B 8D ED 34 0B 9D ED 34 0B 8D ED 04 0B 9D ED 36 0B 8D ED 06 0B 8E E0 8D E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 22 0B 9D ED 22 0B 8D ED 0C 0B 9D ED 08 0B ?? ?? ?? ?? 8D ED 24 0B 9D ED 24 0B 8D ED 0A 0B 9D ED 0C 1B 9D ED 0C 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 1B 9D ED 0A 0B 20 EE 01 0B 8D ED 18 0B 9D ED 18 1B 9D ED 0A 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 0B 8D ED 0E 0B 9D ED 0E 1B 33 4B 93 ED 00 0B B4 EE 40 1B F1 EE 10 FA 27 D1 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 04 D2 BF EE 00 0B 8D ED 16 0B 03 E0 B7 EE 00 0B 8D ED 16 0B 9D ED 0C 1B 9F ED 24 0B 21 EE 00 1B 9D ED 16 0B ?? ?? ?? ?? 8D ED 3A 1B 8D ED 38 0B 9D ED 38 0B 8D ED 04 0B 9D ED 3A 0B 8D ED 06 0B 2C E0 2B E0 9D ED 0A 1B 9D ED 0A 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 0B ?? ?? ?? ?? 8D ED 26 0B 9D ED 0C 1B 9D ED 0E 0B 81 EE 00 1B 9D ED 26 2B 9D ED 18 0B 22 EE 00 2B 9D ED 0E 0B 82 EE 00 0B ?? ?? ?? ?? 8D ED 3E 1B 8D ED 3C 0B 9D ED 3C 0B 8D ED 04 0B 9D ED 3E 0B 8D ED 06 0B 9D ED 04 0B 9D ED 06 1B 40 B0 BD E8 00 88 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_485_0_0 {
	meta:
		name = "ctanhl"
		size = 716
		refs = "0018 creall 0030 cimagl 0042 _ldtest 00b8 _LCbuild 0190 tanl 01a4 sinhl 0264 sqrtl 02c0 _LInf_C 02c4 _LNan_C 02c8 _LZero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 B0 8D ED 1C 1B 8D ED 1A 0B 9D ED 1A 0B 9D ED 1C 1B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1E 0B 8D ED 08 0B 9D ED 1A 0B 9D ED 1C 1B ?? ?? ?? ?? 8D ED 20 0B 9D ED 20 0B 8D ED 02 0B 08 A8 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 00 30 02 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 AD F8 02 30 BD F9 00 30 01 2B 35 D1 02 AB 9B 1D 1B 88 13 F4 00 4F 07 D0 93 4B 93 ED 00 0B B1 EE 40 0B 8D ED 10 0B 03 E0 9F ED 8B 0B 8D ED 10 0B 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 04 D2 BF EE 00 0B 8D ED 12 0B 03 E0 B7 EE 00 0B 8D ED 12 0B 9D ED 10 1B 9D ED 12 0B ?? ?? ?? ?? 8D ED 2A 1B 8D ED 28 0B 9D ED 28 0B 8D ED 04 0B 9D ED 2A 0B 8D ED 06 0B E8 E0 E7 E0 BD F9 02 30 02 2B 13 D1 9D ED 02 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 2E 1B 8D ED 2C 0B 9D ED 2C 0B 8D ED 04 0B 9D ED 2E 0B 8D ED 06 0B D0 E0 CF E0 BD F9 00 30 02 2B 23 D1 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 04 D1 9D ED 02 0B 8D ED 14 0B 03 E0 9D ED 08 0B 8D ED 14 0B 9D ED 14 1B 9D ED 08 0B ?? ?? ?? ?? 8D ED 32 1B 8D ED 30 0B 9D ED 30 0B 8D ED 04 0B 9D ED 32 0B 8D ED 06 0B A8 E0 A7 E0 BD F9 02 30 01 2B 15 D1 58 4B 93 ED 00 1B 57 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 36 1B 8D ED 34 0B 9D ED 34 0B 8D ED 04 0B 9D ED 36 0B 8D ED 06 0B 8E E0 8D E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 22 0B 9D ED 22 0B 8D ED 0C 0B 9D ED 08 0B ?? ?? ?? ?? 8D ED 24 0B 9D ED 24 0B 8D ED 0A 0B 9D ED 0C 1B 9D ED 0C 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 1B 9D ED 0A 0B 20 EE 01 0B 8D ED 18 0B 9D ED 18 1B 9D ED 0A 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 0B 8D ED 0E 0B 9D ED 0E 1B 33 4B 93 ED 00 0B B4 EE 40 1B F1 EE 10 FA 27 D1 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 04 D2 BF EE 00 0B 8D ED 16 0B 03 E0 B7 EE 00 0B 8D ED 16 0B 9D ED 0C 1B 9F ED 24 0B 21 EE 00 1B 9D ED 16 0B ?? ?? ?? ?? 8D ED 3A 1B 8D ED 38 0B 9D ED 38 0B 8D ED 04 0B 9D ED 3A 0B 8D ED 06 0B 2C E0 2B E0 9D ED 0A 1B 9D ED 0A 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 0B ?? ?? ?? ?? 8D ED 26 0B 9D ED 0C 1B 9D ED 0E 0B 81 EE 00 1B 9D ED 26 2B 9D ED 18 0B 22 EE 00 2B 9D ED 0E 0B 82 EE 00 0B ?? ?? ?? ?? 8D ED 3E 1B 8D ED 3C 0B 9D ED 3C 0B 8D ED 04 0B 9D ED 3E 0B 8D ED 06 0B 9D ED 04 0B 9D ED 06 1B 40 B0 BD E8 00 88 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_350_5_0 {
	meta:
		name = "_mbsrev_l"
		size = 272
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0028 _CrtDbgReportW 0032 _errno 0046 _invalid_parameter 0056 _strrev 00f8 ??_C@_1GO@BCOBJAPD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00fc ??_C@_1BK@NHCDBJID@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DO?$AAs?$AAt?$AAa?$AAr?$AAt?$AA?$AA@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0104 ??_C@_1FE@OKOAGNBP@?$AA?$CI?$AA?$CC?$AAB?$AAa?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAo?$AA?5?$AA_?$AAm@ 0108 ??_C@_1BE@HMKMJMHA@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAe?$AAv?$AA_?$AAl?$AA?$AA@ 010c ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 04 46 06 46 05 46 02 A8 ?? ?? ?? ?? D4 B9 39 4B 3C 4C 36 49 00 93 00 23 31 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 33 49 2E 4A 00 23 00 93 31 23 20 46 ?? ?? ?? ?? 00 26 46 E0 04 99 8B 68 9B B9 20 46 ?? ?? ?? ?? 06 46 3E E0 0B 44 5B 7E 04 F1 01 04 13 F0 04 0F 07 D0 22 78 4A B1 14 F8 01 3C 04 F8 01 2C 23 70 64 1C 23 78 00 2B ED D1 21 E0 ?? ?? ?? ?? 16 23 03 60 1D 4B 1C 4F 19 49 01 93 00 23 4C 22 02 20 00 97 ?? ?? ?? ?? 01 28 00 D1 FE DE B4 42 0B D8 14 4B 12 49 4F 22 01 93 00 23 02 20 00 97 ?? ?? ?? ?? 01 28 00 D1 FE DE 64 1E 00 23 23 70 64 1E 05 E0 14 F8 01 39 2A 78 05 F8 01 3B 62 70 A5 42 F7 D3 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 30 46 06 B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_351_0_0 {
	meta:
		name = "??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z"
		size = 120
		refs = "002c ?minimum_signed_value@__crt_strtox@@YAJK@Z 004e ?maximum_signed_value@__crt_strtox@@YAJK@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 13 F0 04 0F 03 D0 01 23 8D F8 00 30 27 E0 06 9B 13 F0 01 0F 20 D0 06 9B 13 F0 02 0F 0C D0 00 20 ?? ?? ?? ?? 01 90 01 9B 5A 42 07 9B 93 42 03 D9 01 23 8D F8 00 30 12 E0 06 9B 13 F0 02 0F 0B D1 00 20 ?? ?? ?? ?? 02 90 07 9A 02 9B 9A 42 03 D9 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_4_0 {
	meta:
		name = "??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		size = 856
		refs = "000c ?validate@?$c_string_character_source@D@__crt_strtox@@QBA_NXZ 0022 ??1?$c_string_character_source@D@__crt_strtox@@QAA@XZ 0062 _CrtDbgReportW 0076 _errno 008e _invalid_parameter 00a6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00b0 ?save_state@?$c_string_character_source@D@__crt_strtox@@QBAPBDXZ 00bc ?get@?$c_string_character_source@D@__crt_strtox@@QAADXZ 00ce ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00da ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 0156 ?parse_digit@__crt_strtox@@YAID@Z 01be ?unget@?$c_string_character_source@D@__crt_strtox@@QAAXD@Z 01ce __rt_udiv 0286 ?restore_state@?$c_string_character_source@D@__crt_strtox@@QAA_NQBD@Z 0290 ??1_LocaleUpdate@@QAA@XZ 02a4 ??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z 02da ?minimum_signed_value@__crt_strtox@@YAJK@Z 02fa ?maximum_signed_value@__crt_strtox@@YAJK@Z 0348 ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 034c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 0350 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0354 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A4 B0 27 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 07 D1 00 23 0E 93 27 98 ?? ?? ?? ?? 0E 9B 08 93 86 E1 28 9B 00 2B 08 D0 28 9B 02 2B 02 DB 28 9B 24 2B 02 DD 00 23 0A 93 01 E0 01 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 BD 4B 01 93 BF 4B 00 93 00 23 C8 22 BC 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 15 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 C8 23 B1 4A B0 49 AE 48 ?? ?? ?? ?? 00 23 11 93 27 98 ?? ?? ?? ?? 11 9B 08 93 4B E1 26 99 20 A8 ?? ?? ?? ?? 00 23 04 93 27 98 ?? ?? ?? ?? 12 90 12 9B 17 93 27 98 ?? ?? ?? ?? 8D F8 15 00 9D F9 15 30 8D F8 08 30 20 A8 ?? ?? ?? ?? 13 90 13 99 9D F9 08 00 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 09 D0 27 98 ?? ?? ?? ?? 8D F8 17 00 9D F9 17 30 8D F8 08 30 E6 E7 9D F8 A4 30 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 03 93 9D F9 08 30 2D 2B 03 D1 03 9B 43 F0 02 03 03 93 9D F9 08 30 2D 2B 03 D0 9D F9 08 30 2B 2B 08 D1 27 98 ?? ?? ?? ?? 8D F8 18 00 9D F9 18 30 8D F8 08 30 28 9B 00 2B 02 D0 28 9B 10 2B 37 D1 9D F9 08 00 ?? ?? ?? ?? 14 90 14 9B 00 2B 05 D0 28 9B 00 2B 01 D1 0A 23 28 93 29 E0 27 98 ?? ?? ?? ?? 8D F8 19 00 9D F9 19 30 8D F8 09 30 9D F9 09 30 78 2B 03 D0 9D F9 09 30 58 2B 0E D1 28 9B 00 2B 01 D1 10 23 28 93 27 98 ?? ?? ?? ?? 8D F8 1A 00 9D F9 1A 30 8D F8 08 30 09 E0 28 9B 00 2B 01 D1 08 23 28 93 9D F9 09 10 27 98 ?? ?? ?? ?? 28 98 6F F0 00 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 0D 90 28 98 6F F0 00 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 16 91 9D F9 08 00 ?? ?? ?? ?? 15 90 15 9B 09 93 09 9B B3 F1 FF 3F 03 D0 09 9A 28 9B 9A 42 00 D3 34 E0 03 9B 43 F0 08 03 03 93 04 9A 0D 9B 9A 42 0B D3 04 9A 0D 9B 9A 42 03 D1 09 9A 16 9B 9A 42 03 D9 00 23 8D F8 0A 30 02 E0 01 23 8D F8 0A 30 9D F8 0A 30 8D F8 1B 30 9D F8 1B 30 00 2B 07 D0 04 9A 28 9B 02 FB 03 F2 09 9B 13 44 04 93 03 E0 03 9B 43 F0 04 03 03 93 27 98 ?? ?? ?? ?? 8D F8 1C 00 9D F9 1C 30 8D F8 08 30 BA E7 9D F9 08 10 27 98 ?? ?? ?? ?? 03 9B 13 F0 08 0F 0E D1 17 99 27 98 ?? ?? ?? ?? 00 23 18 93 20 A8 ?? ?? ?? ?? 27 98 ?? ?? ?? ?? 18 9B 08 93 4C E0 04 99 03 98 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 00 2B 31 D0 ?? ?? ?? ?? 19 90 19 9A 22 23 13 60 03 9B 13 F0 01 0F 03 D1 6F F0 00 03 04 93 22 E0 03 9B 13 F0 02 0F 0F D0 00 20 ?? ?? ?? ?? 1A 90 1A 9B 1B 93 20 A8 ?? ?? ?? ?? 27 98 ?? ?? ?? ?? 1B 9B 08 93 21 E0 0E E0 00 20 ?? ?? ?? ?? 1C 90 1C 9B 1D 93 20 A8 ?? ?? ?? ?? 27 98 ?? ?? ?? ?? 1D 9B 08 93 11 E0 06 E0 03 9B 13 F0 02 0F 02 D0 04 9B 5B 42 04 93 04 9B 1E 93 20 A8 ?? ?? ?? ?? 27 98 ?? ?? ?? ?? 1E 9B 08 93 08 98 24 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_351_5_0 {
	meta:
		name = "??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
		size = 856
		refs = "000c ?validate@?$c_string_character_source@_W@__crt_strtox@@QBA_NXZ 0022 ??1?$c_string_character_source@_W@__crt_strtox@@QAA@XZ 0062 _CrtDbgReportW 0076 _errno 008e _invalid_parameter 00a6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00b0 ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBAPB_WXZ 00bc ?get@?$c_string_character_source@_W@__crt_strtox@@QAA_WXZ 00ce ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00da ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 0156 ?parse_digit@__crt_strtox@@YAI_W@Z 01be ?unget@?$c_string_character_source@_W@__crt_strtox@@QAAX_W@Z 01ce __rt_udiv 0286 ?restore_state@?$c_string_character_source@_W@__crt_strtox@@QAA_NQB_W@Z 0290 ??1_LocaleUpdate@@QAA@XZ 02a4 ??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z 02da ?minimum_signed_value@__crt_strtox@@YAJK@Z 02fa ?maximum_signed_value@__crt_strtox@@YAJK@Z 0348 ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 034c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 0350 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0354 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A6 B0 29 98 ?? ?? ?? ?? 8D F8 14 00 9D F8 14 30 00 2B 07 D1 00 23 10 93 29 98 ?? ?? ?? ?? 10 9B 07 93 86 E1 2A 9B 00 2B 08 D0 2A 9B 02 2B 02 DB 2A 9B 24 2B 02 DD 00 23 0C 93 01 E0 01 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 BD 4B 01 93 BF 4B 00 93 00 23 C8 22 BC 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 15 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 C8 23 B1 4A B0 49 AE 48 ?? ?? ?? ?? 00 23 13 93 29 98 ?? ?? ?? ?? 13 9B 07 93 4B E1 28 99 22 A8 ?? ?? ?? ?? 00 23 04 93 29 98 ?? ?? ?? ?? 14 90 14 9B 19 93 29 98 ?? ?? ?? ?? AD F8 24 00 BD F8 24 30 AD F8 08 30 22 A8 ?? ?? ?? ?? 15 90 15 99 BD F8 08 00 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 00 2B 09 D0 29 98 ?? ?? ?? ?? AD F8 26 00 BD F8 26 30 AD F8 08 30 E6 E7 9D F8 AC 30 00 2B 02 D0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 03 93 BD F8 08 30 2D 2B 03 D1 03 9B 43 F0 02 03 03 93 BD F8 08 30 2D 2B 03 D0 BD F8 08 30 2B 2B 08 D1 29 98 ?? ?? ?? ?? AD F8 28 00 BD F8 28 30 AD F8 08 30 2A 9B 00 2B 02 D0 2A 9B 10 2B 37 D1 BD F8 08 00 ?? ?? ?? ?? 16 90 16 9B 00 2B 05 D0 2A 9B 00 2B 01 D1 0A 23 2A 93 29 E0 29 98 ?? ?? ?? ?? AD F8 2A 00 BD F8 2A 30 AD F8 18 30 BD F8 18 30 78 2B 03 D0 BD F8 18 30 58 2B 0E D1 2A 9B 00 2B 01 D1 10 23 2A 93 29 98 ?? ?? ?? ?? AD F8 2C 00 BD F8 2C 30 AD F8 08 30 09 E0 2A 9B 00 2B 01 D1 08 23 2A 93 BD F8 18 10 29 98 ?? ?? ?? ?? 2A 98 6F F0 00 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 0F 90 2A 98 6F F0 00 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 18 91 BD F8 08 00 ?? ?? ?? ?? 17 90 17 9B 08 93 08 9B B3 F1 FF 3F 03 D0 08 9A 2A 9B 9A 42 00 D3 34 E0 03 9B 43 F0 08 03 03 93 04 9A 0F 9B 9A 42 0B D3 04 9A 0F 9B 9A 42 03 D1 08 9A 18 9B 9A 42 03 D9 00 23 8D F8 0A 30 02 E0 01 23 8D F8 0A 30 9D F8 0A 30 8D F8 16 30 9D F8 16 30 00 2B 07 D0 04 9A 2A 9B 02 FB 03 F2 08 9B 13 44 04 93 03 E0 03 9B 43 F0 04 03 03 93 29 98 ?? ?? ?? ?? AD F8 2E 00 BD F8 2E 30 AD F8 08 30 BA E7 BD F8 08 10 29 98 ?? ?? ?? ?? 03 9B 13 F0 08 0F 0E D1 19 99 29 98 ?? ?? ?? ?? 00 23 1A 93 22 A8 ?? ?? ?? ?? 29 98 ?? ?? ?? ?? 1A 9B 07 93 4C E0 04 99 03 98 ?? ?? ?? ?? 8D F8 17 00 9D F8 17 30 00 2B 31 D0 ?? ?? ?? ?? 1B 90 1B 9A 22 23 13 60 03 9B 13 F0 01 0F 03 D1 6F F0 00 03 04 93 22 E0 03 9B 13 F0 02 0F 0F D0 00 20 ?? ?? ?? ?? 1C 90 1C 9B 1D 93 22 A8 ?? ?? ?? ?? 29 98 ?? ?? ?? ?? 1D 9B 07 93 21 E0 0E E0 00 20 ?? ?? ?? ?? 1E 90 1E 9B 1F 93 22 A8 ?? ?? ?? ?? 29 98 ?? ?? ?? ?? 1F 9B 07 93 11 E0 06 E0 03 9B 13 F0 02 0F 02 D0 04 9B 5B 42 04 93 04 9B 20 93 22 A8 ?? ?? ?? ?? 29 98 ?? ?? ?? ?? 20 9B 07 93 07 98 26 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_351_6_0 {
	meta:
		name = "??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		size = 1096
		refs = "000c ?validate@?$c_string_character_source@D@__crt_strtox@@QBA_NXZ 0026 ??1?$c_string_character_source@D@__crt_strtox@@QAA@XZ 006a _CrtDbgReportW 007e _errno 0096 _invalid_parameter 00b6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00c4 ?save_state@?$c_string_character_source@D@__crt_strtox@@QBAPBDXZ 00d0 ?get@?$c_string_character_source@D@__crt_strtox@@QAADXZ 00e2 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00ee ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 016a ?parse_digit@__crt_strtox@@YAID@Z 01d2 ?unget@?$c_string_character_source@D@__crt_strtox@@QAAXD@Z 01ee __rt_udiv64 033e ?restore_state@?$c_string_character_source@D@__crt_strtox@@QAA_NQBD@Z 034c ??1_LocaleUpdate@@QAA@XZ 0366 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 03a4 ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03d0 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z 0438 ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 043c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 0440 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0444 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 C6 B0 49 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 0B D1 00 23 22 93 00 23 23 93 49 98 ?? ?? ?? ?? 22 9A 23 9B 0A 92 0B 93 FA E1 4A 9B 00 2B 08 D0 4A 9B 02 2B 02 DB 4A 9B 24 2B 02 DD 00 23 0D 93 01 E0 01 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0E D1 F7 4B 01 93 F9 4B 00 93 00 23 C8 22 F6 49 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 19 D1 ?? ?? ?? ?? 20 90 20 9A 16 23 13 60 00 23 00 93 C8 23 EB 4A EA 49 E8 48 ?? ?? ?? ?? 00 23 24 93 00 23 25 93 49 98 ?? ?? ?? ?? 24 9A 25 9B 0A 92 0B 93 BB E1 48 99 3E A8 ?? ?? ?? ?? 00 23 04 93 00 23 05 93 49 98 ?? ?? ?? ?? 21 90 21 9B 1D 93 49 98 ?? ?? ?? ?? 8D F8 19 00 9D F9 19 30 8D F8 08 30 3E A8 ?? ?? ?? ?? 14 90 14 99 9D F9 08 00 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 09 D0 49 98 ?? ?? ?? ?? 8D F8 1B 00 9D F9 1B 30 8D F8 08 30 E6 E7 9D F8 2C 31 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 03 93 9D F9 08 30 2D 2B 03 D1 03 9B 43 F0 02 03 03 93 9D F9 08 30 2D 2B 03 D0 9D F9 08 30 2B 2B 08 D1 49 98 ?? ?? ?? ?? 8D F8 1C 00 9D F9 1C 30 8D F8 08 30 4A 9B 00 2B 02 D0 4A 9B 10 2B 37 D1 9D F9 08 00 ?? ?? ?? ?? 15 90 15 9B 00 2B 05 D0 4A 9B 00 2B 01 D1 0A 23 4A 93 29 E0 49 98 ?? ?? ?? ?? 8D F8 1D 00 9D F9 1D 30 8D F8 09 30 9D F9 09 30 78 2B 03 D0 9D F9 09 30 58 2B 0E D1 4A 9B 00 2B 01 D1 10 23 4A 93 49 98 ?? ?? ?? ?? 8D F8 1E 00 9D F9 1E 30 8D F8 08 30 09 E0 4A 9B 00 2B 01 D1 08 23 4A 93 9D F9 09 10 49 98 ?? ?? ?? ?? 4A 98 4A 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 43 93 42 92 12 90 13 91 4A 98 4A 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 45 91 44 90 2E 92 2F 93 9D F9 08 00 ?? ?? ?? ?? 16 90 16 9B 0C 93 0C 9B B3 F1 FF 3F 03 D0 0C 9A 4A 9B 9A 42 00 D3 74 E0 03 9B 43 F0 08 03 03 93 04 9B 26 93 05 9B 27 93 12 9B 28 93 13 9B 29 93 26 9B 17 93 28 9B 18 93 27 9A 29 9B 9A 42 2D D3 03 D8 17 9A 18 9B 9A 42 28 D3 04 9B 2A 93 05 9B 2B 93 12 9B 2C 93 13 9B 2D 93 2B 9B 19 93 2D 9B 1A 93 2A 9A 2C 9B 9A 42 14 D1 19 9A 1A 9B 9A 42 10 D1 0C 9A 2E 9B 30 93 2F 9B 31 93 1B 92 30 9B 1C 93 31 9A 00 23 93 42 08 D3 03 D8 1B 9A 1C 9B 9A 42 03 D9 00 23 8D F8 0A 30 02 E0 01 23 8D F8 0A 30 9D F8 0A 30 8D F8 1F 30 9D F8 1F 30 00 2B 19 D0 4A 98 4A 9B DA 17 04 9B 05 99 10 93 11 90 10 9B 03 FB 02 F2 11 9B 01 FB 03 F3 D1 18 10 9A 11 9B A2 FB 03 03 19 44 0C 9A 00 23 12 18 4B 41 04 92 05 93 03 E0 03 9B 43 F0 04 03 03 93 49 98 ?? ?? ?? ?? 8D F8 20 00 9D F9 20 30 8D F8 08 30 7A E7 9D F9 08 10 49 98 ?? ?? ?? ?? 03 9B 13 F0 08 0F 12 D1 1D 99 49 98 ?? ?? ?? ?? 00 23 32 93 00 23 33 93 3E A8 ?? ?? ?? ?? 49 98 ?? ?? ?? ?? 32 9A 33 9B 0A 92 0B 93 64 E0 04 9A 05 9B 03 98 ?? ?? ?? ?? 8D F8 21 00 9D F8 21 30 00 2B 40 D0 ?? ?? ?? ?? 1E 90 1E 9A 22 23 13 60 03 9B 13 F0 01 0F 06 D1 6F F0 00 03 04 93 6F F0 00 03 05 93 2E E0 03 9B 13 F0 02 0F 15 D0 00 20 00 21 ?? ?? ?? ?? 35 91 34 90 34 9B 36 93 35 9B 37 93 3E A8 ?? ?? ?? ?? 49 98 ?? ?? ?? ?? 36 9A 37 9B 0A 92 0B 93 2F E0 14 E0 00 20 00 21 ?? ?? ?? ?? 39 91 38 90 38 9B 3A 93 39 9B 3B 93 3E A8 ?? ?? ?? ?? 49 98 ?? ?? ?? ?? 3A 9A 3B 9B 0A 92 0B 93 19 E0 0A E0 03 9B 13 F0 02 0F 06 D0 04 9A 05 99 00 23 52 42 8B 41 04 92 05 93 04 9B 3C 93 05 9B 3D 93 3E A8 ?? ?? ?? ?? 49 98 ?? ?? ?? ?? 3C 9A 3D 9B 0A 92 0B 93 0A 98 0B 99 46 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_351_7_0 {
	meta:
		name = "??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
		size = 1096
		refs = "000c ?validate@?$c_string_character_source@_W@__crt_strtox@@QBA_NXZ 0026 ??1?$c_string_character_source@_W@__crt_strtox@@QAA@XZ 006a _CrtDbgReportW 007e _errno 0096 _invalid_parameter 00b6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00c4 ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBAPB_WXZ 00d0 ?get@?$c_string_character_source@_W@__crt_strtox@@QAA_WXZ 00e2 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00ee ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 016a ?parse_digit@__crt_strtox@@YAI_W@Z 01d2 ?unget@?$c_string_character_source@_W@__crt_strtox@@QAAX_W@Z 01ee __rt_udiv64 033e ?restore_state@?$c_string_character_source@_W@__crt_strtox@@QAA_NQB_W@Z 034c ??1_LocaleUpdate@@QAA@XZ 0366 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 03a4 ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03d0 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z 0438 ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 043c ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 0440 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0444 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 C8 B0 4B 98 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 0B D1 00 23 24 93 00 23 25 93 4B 98 ?? ?? ?? ?? 24 9A 25 9B 08 92 09 93 FA E1 4C 9B 00 2B 08 D0 4C 9B 02 2B 02 DB 4C 9B 24 2B 02 DD 00 23 0E 93 01 E0 01 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 F7 4B 01 93 F9 4B 00 93 00 23 C8 22 F6 49 02 20 ?? ?? ?? ?? 21 90 21 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 19 D1 ?? ?? ?? ?? 22 90 22 9A 16 23 13 60 00 23 00 93 C8 23 EB 4A EA 49 E8 48 ?? ?? ?? ?? 00 23 26 93 00 23 27 93 4B 98 ?? ?? ?? ?? 26 9A 27 9B 08 92 09 93 BB E1 4A 99 40 A8 ?? ?? ?? ?? 00 23 04 93 00 23 05 93 4B 98 ?? ?? ?? ?? 23 90 23 9B 1F 93 4B 98 ?? ?? ?? ?? AD F8 2C 00 BD F8 2C 30 AD F8 08 30 40 A8 ?? ?? ?? ?? 16 90 16 99 BD F8 08 00 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 09 D0 4B 98 ?? ?? ?? ?? AD F8 2E 00 BD F8 2E 30 AD F8 08 30 E6 E7 9D F8 34 31 00 2B 02 D0 01 23 10 93 01 E0 00 23 10 93 10 9B 03 93 BD F8 08 30 2D 2B 03 D1 03 9B 43 F0 02 03 03 93 BD F8 08 30 2D 2B 03 D0 BD F8 08 30 2B 2B 08 D1 4B 98 ?? ?? ?? ?? AD F8 30 00 BD F8 30 30 AD F8 08 30 4C 9B 00 2B 02 D0 4C 9B 10 2B 37 D1 BD F8 08 00 ?? ?? ?? ?? 17 90 17 9B 00 2B 05 D0 4C 9B 00 2B 01 D1 0A 23 4C 93 29 E0 4B 98 ?? ?? ?? ?? AD F8 32 00 BD F8 32 30 AD F8 1C 30 BD F8 1C 30 78 2B 03 D0 BD F8 1C 30 58 2B 0E D1 4C 9B 00 2B 01 D1 10 23 4C 93 4B 98 ?? ?? ?? ?? AD F8 34 00 BD F8 34 30 AD F8 08 30 09 E0 4C 9B 00 2B 01 D1 08 23 4C 93 BD F8 1C 10 4B 98 ?? ?? ?? ?? 4C 98 4C 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 45 93 44 92 14 90 15 91 4C 98 4C 9B D9 17 6F F0 00 02 6F F0 00 03 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 47 91 46 90 30 92 31 93 BD F8 08 00 ?? ?? ?? ?? 18 90 18 9B 0A 93 0A 9B B3 F1 FF 3F 03 D0 0A 9A 4C 9B 9A 42 00 D3 74 E0 03 9B 43 F0 08 03 03 93 04 9B 28 93 05 9B 29 93 14 9B 2A 93 15 9B 2B 93 28 9B 19 93 2A 9B 1A 93 29 9A 2B 9B 9A 42 2D D3 03 D8 19 9A 1A 9B 9A 42 28 D3 04 9B 2C 93 05 9B 2D 93 14 9B 2E 93 15 9B 2F 93 2D 9B 1B 93 2F 9B 1C 93 2C 9A 2E 9B 9A 42 14 D1 1B 9A 1C 9B 9A 42 10 D1 0A 9A 30 9B 32 93 31 9B 33 93 1D 92 32 9B 1E 93 33 9A 00 23 93 42 08 D3 03 D8 1D 9A 1E 9B 9A 42 03 D9 00 23 8D F8 0A 30 02 E0 01 23 8D F8 0A 30 9D F8 0A 30 8D F8 1A 30 9D F8 1A 30 00 2B 19 D0 4C 98 4C 9B DA 17 04 9B 05 99 11 93 12 90 11 9B 03 FB 02 F2 12 9B 01 FB 03 F3 D1 18 11 9A 12 9B A2 FB 03 03 19 44 0A 9A 00 23 12 18 4B 41 04 92 05 93 03 E0 03 9B 43 F0 04 03 03 93 4B 98 ?? ?? ?? ?? AD F8 36 00 BD F8 36 30 AD F8 08 30 7A E7 BD F8 08 10 4B 98 ?? ?? ?? ?? 03 9B 13 F0 08 0F 12 D1 1F 99 4B 98 ?? ?? ?? ?? 00 23 34 93 00 23 35 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 34 9A 35 9B 08 92 09 93 64 E0 04 9A 05 9B 03 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 40 D0 ?? ?? ?? ?? 20 90 20 9A 22 23 13 60 03 9B 13 F0 01 0F 06 D1 6F F0 00 03 04 93 6F F0 00 03 05 93 2E E0 03 9B 13 F0 02 0F 15 D0 00 20 00 21 ?? ?? ?? ?? 37 91 36 90 36 9B 38 93 37 9B 39 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 38 9A 39 9B 08 92 09 93 2F E0 14 E0 00 20 00 21 ?? ?? ?? ?? 3B 91 3A 90 3A 9B 3C 93 3B 9B 3D 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 3C 9A 3D 9B 08 92 09 93 19 E0 0A E0 03 9B 13 F0 02 0F 06 D0 04 9A 05 99 00 23 52 42 8B 41 04 92 05 93 04 9B 3E 93 05 9B 3F 93 40 A8 ?? ?? ?? ?? 4B 98 ?? ?? ?? ?? 3E 9A 3F 9B 08 92 09 93 08 98 09 99 48 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_351_8_0 {
	meta:
		name = "??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQBD$$THQAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "0014 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 0026 ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 06 AB 00 93 0B 9A 0A 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 01 23 0C 9A 02 99 0D 98 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_8_0 {
	meta:
		name = "??$parse_integer_from_string@JDPAPAD@__crt_strtox@@YAJQBDQAPADHQAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "0014 ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 0026 ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 06 AB 00 93 0B 9A 0A 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 01 23 0C 9A 02 99 0D 98 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_351_9_0 {
	meta:
		name = "??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQB_W$$THQAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "0014 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_W$$T@Z 0026 ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 06 AB 00 93 0B 9A 0A 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 01 23 0C 9A 02 99 0D 98 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_9_0 {
	meta:
		name = "??$parse_integer_from_string@J_WPAPA_W@__crt_strtox@@YAJQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "0014 ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 0026 ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 06 AB 00 93 0B 9A 0A 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 01 23 0C 9A 02 99 0D 98 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_351_10_0 {
	meta:
		name = "??$parse_integer_from_string@_JD$$T@__crt_strtox@@YA_JQBD$$THQAU__crt_locale_pointers@@@Z"
		size = 68
		refs = "0014 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 0026 ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 08 AB 00 93 0D 9A 0C 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 01 23 0E 9A 02 99 0F 98 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_12_0 {
	meta:
		name = "??$parse_integer_from_string@_JDPAPAD@__crt_strtox@@YA_JQBDQAPADHQAU__crt_locale_pointers@@@Z"
		size = 68
		refs = "0014 ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 0026 ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 08 AB 00 93 0D 9A 0C 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 01 23 0E 9A 02 99 0F 98 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_351_11_0 {
	meta:
		name = "??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQB_W$$THQAU__crt_locale_pointers@@@Z"
		size = 68
		refs = "0014 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_W$$T@Z 0026 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 08 AB 00 93 0D 9A 0C 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 01 23 0E 9A 02 99 0F 98 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_13_0 {
	meta:
		name = "??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
		size = 68
		refs = "0014 ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 0026 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 08 AB 00 93 0D 9A 0C 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 01 23 0E 9A 02 99 0F 98 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_351_20_0 {
	meta:
		name = "?get@?$c_string_character_source@_W@__crt_strtox@@QAA_WXZ"
		size = 52
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 1B 88 AD F8 00 30 04 9B 1B 68 9A 1C 04 9B 1A 60 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_23_0 {
	meta:
		name = "?maximum_signed_value@__crt_strtox@@YAJK@Z"
		size = 28
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 6F F0 00 43 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_25_0 {
	meta:
		name = "?minimum_signed_value@__crt_strtox@@YAJK@Z"
		size = 28
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 4F F0 00 43 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_34_0 {
	meta:
		name = "?unget@?$c_string_character_source@_W@__crt_strtox@@QAAX_W@Z"
		size = 156
		refs = "0050 _CrtDbgReportW 0064 _errno 007e _invalid_parameter 008c ??_C@_1CM@GJENOOEJ@?$AAc?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAc?$AA?$AA@ 0090 ??_C@_1HA@CONLANFI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 0094 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 1B 68 9A 1E 08 9B 1A 60 BD F8 24 30 00 2B 09 D0 08 9B 1B 68 1A 88 BD F8 24 30 9A 42 02 D0 00 23 02 93 01 E0 01 23 02 93 02 9B 03 93 03 9B 00 2B 0F D1 13 4B 01 93 15 4B 00 93 00 23 4F F4 DF 62 11 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 03 9B 00 2B 0E D1 ?? ?? ?? ?? 05 90 05 9A 16 23 13 60 00 23 00 93 4F F4 DF 63 06 4A 05 49 03 48 ?? ?? ?? ?? 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_351_40_0 {
	meta:
		name = "_atoi64"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_JD$$T@__crt_strtox@@YA_JQBD$$THQAU__crt_locale_pointers@@@Z"
		altNames = "atoll"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 0A 22 00 21 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_48_0 {
	meta:
		name = "_wtoi64"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 0A 22 00 21 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_53_0 {
	meta:
		name = "_wtoll"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 0A 22 00 21 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_41_0 {
	meta:
		name = "_atoi64_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_JD$$T@__crt_strtox@@YA_JQBD$$THQAU__crt_locale_pointers@@@Z"
		altNames = "_atoll_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 0A 22 00 21 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_49_0 {
	meta:
		name = "_wtoi64_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 0A 22 00 21 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_54_0 {
	meta:
		name = "_wtoll_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 0A 22 00 21 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_42_0 {
	meta:
		name = "_atoi_l"
		size = 40
		refs = "0012 ??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQBD$$THQAU__crt_locale_pointers@@@Z"
		altNames = "_atol_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 0A 22 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_50_0 {
	meta:
		name = "_wtoi_l"
		size = 40
		refs = "0012 ??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 0A 22 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_52_0 {
	meta:
		name = "_wtol_l"
		size = 40
		refs = "0012 ??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 0A 22 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_47_0 {
	meta:
		name = "_wtoi"
		size = 40
		refs = "0012 ??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQB_W$$THQAU__crt_locale_pointers@@@Z"
		altNames = "_wtol"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 0A 22 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_55_0 {
	meta:
		name = "atoi"
		size = 40
		refs = "0012 ??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQBD$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 0A 22 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_351_56_0 {
	meta:
		name = "atol"
		size = 40
		refs = "0012 ??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQBD$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 0A 22 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_352_0_0 {
	meta:
		name = "?write_binary_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z"
		size = 148
		refs = "000a __security_push_cookie 003e memset 007c __security_pop_cookie 0088 __imp_GetLastError 008c __imp_WriteFile 0090 __pioinfo"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 8E B0 13 9B 9A 11 04 23 02 FB 03 F2 1D 4B 99 18 13 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 02 93 00 23 0A 93 08 22 00 21 0B A8 ?? ?? ?? ?? 00 23 00 93 0B AB 15 9A 14 99 02 98 0F 4C 24 68 A0 47 03 90 03 9B 00 2B 05 D1 0A 4B 1B 68 98 47 04 90 04 9B 0A 93 12 9C 0A A8 90 E8 0E 00 84 E8 0E 00 12 9B 06 93 06 98 0E B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_352_1_0 {
	meta:
		name = "?write_double_translated_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z"
		size = 1016
		refs = "000a __security_push_cookie 0052 memset 00a2 __pctype_func 00f0 _CrtDbgReportW 0180 mbtowc 03cc __security_pop_cookie 03d8 __imp_GetLastError 03dc __imp_WriteFile 03e0 __imp_WideCharToMultiByte 03e4 __pioinfo 03e8 ??_C@_1FO@CAMPMGCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 03ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 03f0 ??_C@_1DI@CNMHHHLG@?$AAi?$AAs?$AAl?$AAe?$AAa?$AAd?$AAb?$AAy?$AAt?$AAe?$AA?$CI?$AA_?$AAd?$AAb?$AAc?$AAs?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?$CJ?$AA?$AA@ 03f4 __imp_GetConsoleCP"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? A4 B0 29 9B 9A 11 04 23 02 FB 03 F2 F2 4B 99 18 29 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 0E 93 2A 9A 2B 9B 13 44 0D 93 ED 4B 1B 68 98 47 0F 90 0F 9B 16 93 00 23 1C 93 08 22 00 21 1D A8 ?? ?? ?? ?? 2A 9B 04 93 04 9A 0D 9B 9A 42 80 F0 AA 81 04 9B 93 F9 00 30 8D F8 16 30 00 23 AD F8 14 30 29 9B 9A 11 04 23 02 FB 03 F2 D9 4B 99 18 29 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 1B 78 C3 F3 80 03 DB B2 00 2B 00 F0 80 80 ?? ?? ?? ?? 10 90 29 9B 9A 11 04 23 02 FB 03 F2 CC 4B 99 18 29 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2E 33 93 F9 00 30 DA B2 02 23 02 FB 03 F2 10 9B 13 44 1B 88 13 F4 00 4F 0E D1 C3 4B 01 93 C1 4B 00 93 00 23 87 22 BE 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 29 9B 9A 11 04 23 02 FB 03 F2 B6 4B 99 18 29 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2E 33 20 AA 93 F9 00 30 13 70 20 AB 5A 1C 04 9B 93 F9 00 30 13 70 29 9B 9A 11 04 23 02 FB 03 F2 A9 4B 99 18 29 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 1B 78 03 F0 FB 00 29 9B 9A 11 04 23 02 FB 03 F2 A0 4B 99 18 29 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 18 70 02 22 20 A9 05 A8 ?? ?? ?? ?? 12 90 12 9B B3 F1 FF 3F 08 D1 28 9C 1C A8 90 E8 0E 00 84 E8 0E 00 28 9B 0A 93 13 E1 84 E0 ?? ?? ?? ?? 13 90 04 9B 93 F9 00 30 DA B2 02 23 02 FB 03 F2 13 9B 13 44 1B 88 13 F4 00 4F 61 D0 04 9B 5A 1C 0D 9B 9A 42 16 D2 02 22 04 99 05 A8 ?? ?? ?? ?? 14 90 14 9B B3 F1 FF 3F 08 D1 28 9C 1C A8 90 E8 0E 00 84 E8 0E 00 28 9B 0A 93 EA E0 04 9B 5B 1C 04 93 44 E0 29 9B 9A 11 04 23 02 FB 03 F2 77 4B 99 18 29 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 2E 02 04 9B 93 F9 00 30 13 70 29 9B 9A 11 04 23 02 FB 03 F2 6D 4B 99 18 29 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 1B 78 43 F0 04 00 29 9B 9A 11 04 23 02 FB 03 F2 63 4B 99 18 29 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 18 70 1D 9B 5B 1C 1D 93 28 9C 1C A8 90 E8 0E 00 84 E8 0E 00 28 9B 0A 93 A1 E0 12 E0 01 22 04 99 05 A8 ?? ?? ?? ?? 15 90 15 9B B3 F1 FF 3F 08 D1 28 9C 1C A8 90 E8 0E 00 84 E8 0E 00 28 9B 0A 93 8D E0 04 9B 5B 1C 04 93 00 23 03 93 00 23 02 93 05 23 01 93 22 AB 00 93 01 23 05 AA 00 21 16 98 45 4C 24 68 A0 47 17 90 17 9B 07 93 07 9B 00 2B 08 D1 28 9C 1C A8 90 E8 0E 00 84 E8 0E 00 28 9B 0A 93 6C E0 00 23 00 93 08 AB 07 9A 22 A9 0E 98 38 4C 24 68 A0 47 18 90 18 9B 00 2B 0E D1 33 4B 1B 68 98 47 19 90 19 9B 1C 93 28 9C 1C A8 90 E8 0E 00 84 E8 0E 00 28 9B 0A 93 50 E0 04 9A 2A 9B D2 1A 1E 9B 13 44 1D 93 08 9A 07 9B 9A 42 08 D2 28 9C 1C A8 90 E8 0E 00 84 E8 0E 00 28 9B 0A 93 3D E0 9D F9 16 30 0A 2B 30 D1 0D 23 AD F8 18 30 00 23 00 93 08 AB 01 22 06 A9 0E 98 1D 4C 24 68 A0 47 1A 90 1A 9B 00 2B 0E D1 18 4B 1B 68 98 47 1B 90 1B 9B 1C 93 28 9C 1C A8 90 E8 0E 00 84 E8 0E 00 28 9B 0A 93 1A E0 08 9B 01 2B 08 D2 28 9C 1C A8 90 E8 0E 00 84 E8 0E 00 28 9B 0A 93 0E E0 1E 9B 5B 1C 1E 93 1D 9B 5B 1C 1D 93 50 E6 28 9C 1C A8 90 E8 0E 00 84 E8 0E 00 28 9B 0A 93 0A 98 24 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_352_2_0 {
	meta:
		name = "?write_double_translated_unicode_nolock@@YA?AUwrite_result@?A0x17268360@@QBDI@Z"
		size = 236
		refs = "000a __security_push_cookie 001a memset 0046 _putwch_nolock 00da __security_pop_cookie 00e8 __imp_GetLastError"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 8E B0 00 23 0A 93 08 22 00 21 0B A8 ?? ?? ?? ?? 13 9A 14 9B 13 44 03 93 13 9B 01 93 02 E0 01 9B 9B 1C 01 93 01 9A 03 9B 9A 42 45 D2 01 9B 1B 88 AD F8 00 30 BD F8 00 00 ?? ?? ?? ?? AD F8 08 00 BD F8 08 20 BD F8 00 30 9A 42 03 D1 0B 9B 9B 1C 0B 93 0E E0 21 4B 1B 68 98 47 04 90 04 9B 0A 93 12 9C 0A A8 90 E8 0E 00 84 E8 0E 00 12 9B 06 93 2A E0 BD F8 00 30 0A 2B 1D D1 0D 20 ?? ?? ?? ?? AD F8 0A 00 BD F8 0A 30 0D 2B 0E D0 13 4B 1B 68 98 47 05 90 05 9B 0A 93 12 9C 0A A8 90 E8 0E 00 84 E8 0E 00 12 9B 06 93 0E E0 0B 9B 5B 1C 0B 93 0C 9B 5B 1C 0C 93 B2 E7 12 9C 0A A8 90 E8 0E 00 84 E8 0E 00 12 9B 06 93 06 98 0E B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_352_3_0 {
	meta:
		name = "?write_requires_double_translation_nolock@@YA_NH@Z"
		size = 272
		refs = "000c _isatty 0050 __acrt_getptd 0108 __imp_GetConsoleMode 010c __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 02 90 02 9B 00 2B 03 D1 00 23 8D F8 04 30 6B E0 0A 9B 9A 11 04 23 02 FB 03 F2 38 4B 99 18 0A 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 80 0F 03 D1 00 23 8D F8 04 30 53 E0 ?? ?? ?? ?? 03 90 03 9B 04 93 04 9B 4C 33 1B 68 A0 33 08 33 1B 68 00 2B 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 01 30 9D F8 01 30 00 2B 17 D0 0A 9B 9A 11 04 23 02 FB 03 F2 1E 4B 99 18 0A 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 29 33 93 F9 00 30 00 2B 03 D1 00 23 8D F8 04 30 1F E0 06 A9 0A 9B 9A 11 04 23 02 FB 03 F2 11 4B 98 18 0A 9B 03 F0 3F 02 30 23 02 FB 03 F2 03 68 13 44 18 33 18 68 0A 4B 1B 68 98 47 05 90 05 9B 00 2B 03 D1 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_352_4_0 {
	meta:
		name = "?write_text_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z"
		size = 400
		refs = "000a __security_push_cookie 0012 __chkstk 0068 memset 0176 __security_pop_cookie 0184 __imp_GetLastError 0188 __imp_WriteFile 018c __pioinfo"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 40 F2 14 54 ?? ?? ?? ?? AD EB 04 0D 41 F2 64 43 5D F8 03 30 9A 11 04 23 02 FB 03 F2 58 4B 99 18 41 F2 64 43 5D F8 03 30 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 09 93 41 F2 68 42 5D F8 02 20 41 F2 6C 43 5D F8 03 30 13 44 05 93 00 23 10 93 08 22 00 21 11 A8 ?? ?? ?? ?? 41 F2 68 43 5D F8 03 30 04 93 04 9A 05 9B 9A 42 69 D2 14 AB 03 F5 A0 53 5B 1E 08 93 14 AB 03 93 03 9A 08 9B 9A 42 20 D2 04 9A 05 9B 9A 42 1C D2 04 9B 93 F9 00 30 8D F8 08 30 04 9B 5B 1C 04 93 9D F9 08 30 0A 2B 08 D1 12 9B 5B 1C 12 93 03 9A 0D 23 13 70 03 9B 5B 1C 03 93 9D F9 08 20 03 9B 1A 70 03 9B 5B 1C 03 93 DA E7 03 9A 14 AB D3 1A 07 93 00 23 00 93 06 AB 07 9A 14 A9 09 98 27 4C 24 68 A0 47 0A 90 0A 9B 00 2B 14 D1 22 4B 1B 68 98 47 0B 90 0B 9B 10 93 4F F4 A3 54 5D F8 04 40 10 A8 90 E8 0E 00 84 E8 0E 00 4F F4 A3 53 5D F8 03 30 0C 93 25 E0 11 9A 06 9B 13 44 11 93 06 9A 07 9B 9A 42 0E D2 4F F4 A3 54 5D F8 04 40 10 A8 90 E8 0E 00 84 E8 0E 00 4F F4 A3 53 5D F8 03 30 0C 93 0E E0 91 E7 4F F4 A3 54 5D F8 04 40 10 A8 90 E8 0E 00 84 E8 0E 00 4F F4 A3 53 5D F8 03 30 0C 93 0C 98 41 F2 50 4C E5 44 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_352_5_0 {
	meta:
		name = "?write_text_utf16le_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z"
		size = 404
		refs = "000a __security_push_cookie 0012 __chkstk 0068 memset 017c __security_pop_cookie 0188 __imp_GetLastError 018c __imp_WriteFile 0190 __pioinfo"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 40 F2 14 54 ?? ?? ?? ?? AD EB 04 0D 41 F2 64 43 5D F8 03 30 9A 11 04 23 02 FB 03 F2 59 4B 99 18 41 F2 64 43 5D F8 03 30 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 09 93 41 F2 68 42 5D F8 02 20 41 F2 6C 43 5D F8 03 30 13 44 05 93 00 23 10 93 08 22 00 21 11 A8 ?? ?? ?? ?? 41 F2 68 43 5D F8 03 30 04 93 04 9A 05 9B 9A 42 6C D2 14 AB 03 F5 A0 53 9B 1E 08 93 14 AB 02 93 02 9A 08 9B 9A 42 1F D2 04 9A 05 9B 9A 42 1B D2 04 9B 1B 88 AD F8 0C 30 04 9B 9B 1C 04 93 BD F8 0C 30 0A 2B 08 D1 12 9B 9B 1C 12 93 02 9A 0D 23 13 80 02 9B 9B 1C 02 93 BD F8 0C 20 02 9B 1A 80 02 9B 9B 1C 02 93 DB E7 02 9A 14 AB D3 1A 5A 10 02 23 02 FB 03 F3 07 93 00 23 00 93 06 AB 07 9A 14 A9 09 98 26 4C 24 68 A0 47 0A 90 0A 9B 00 2B 14 D1 22 4B 1B 68 98 47 0B 90 0B 9B 10 93 4F F4 A3 54 5D F8 04 40 10 A8 90 E8 0E 00 84 E8 0E 00 4F F4 A3 53 5D F8 03 30 0C 93 25 E0 11 9A 06 9B 13 44 11 93 06 9A 07 9B 9A 42 0E D2 4F F4 A3 54 5D F8 04 40 10 A8 90 E8 0E 00 84 E8 0E 00 4F F4 A3 53 5D F8 03 30 0C 93 0E E0 8E E7 4F F4 A3 54 5D F8 04 40 10 A8 90 E8 0E 00 84 E8 0E 00 4F F4 A3 53 5D F8 03 30 0C 93 0C 98 41 F2 50 4C E5 44 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_352_6_0 {
	meta:
		name = "?write_text_utf8_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z"
		size = 496
		refs = "000a __security_push_cookie 0012 __chkstk 0068 memset 01d2 __security_pop_cookie 01e0 __imp_GetLastError 01e4 __imp_WriteFile 01e8 __imp_WideCharToMultiByte 01ec __pioinfo"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 40 F2 1E 54 ?? ?? ?? ?? AD EB 04 0D 41 F2 8C 43 5D F8 03 30 9A 11 04 23 02 FB 03 F2 70 4B 99 18 41 F2 8C 43 5D F8 03 30 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 10 93 41 F2 90 42 5D F8 02 20 41 F2 94 43 5D F8 03 30 13 44 09 93 00 23 18 93 08 22 00 21 19 A8 ?? ?? ?? ?? 41 F2 90 43 5D F8 03 30 05 93 05 9A 09 9B 9A 42 80 F0 97 80 1C AB 03 F5 D5 63 0A 93 1C AB 04 93 04 9A 0A 9B 9A 42 1C D2 05 9A 09 9B 9A 42 18 D2 05 9B 1B 88 AD F8 18 30 05 9B 9B 1C 05 93 BD F8 18 30 0A 2B 05 D1 04 9A 0D 23 13 80 04 9B 9B 1C 04 93 BD F8 18 20 04 9B 1A 80 04 9B 9B 1C 04 93 DE E7 04 9A 1C AB D3 1A 5B 10 0B 93 00 23 03 93 00 23 02 93 40 F6 55 53 01 93 0D F5 E4 63 00 93 0B 9B 1C AA 00 21 4F F6 E9 50 3C 4C 24 68 A0 47 0C 90 0C 9B 08 93 08 9B 00 2B 14 D1 35 4B 1B 68 98 47 0D 90 0D 9B 18 93 41 F2 88 44 5D F8 04 40 18 A8 90 E8 0E 00 84 E8 0E 00 41 F2 88 43 5D F8 03 30 14 93 4B E0 00 23 07 93 07 9A 08 9B 9A 42 2F D2 0D F5 E4 62 07 9B 13 44 0F 93 08 9A 07 9B D3 1A 0E 93 00 23 00 93 13 AB 0E 9A 0F 99 10 98 21 4C 24 68 A0 47 11 90 11 9B 00 2B 14 D1 1D 4B 1B 68 98 47 12 90 12 9B 18 93 41 F2 88 44 5D F8 04 40 18 A8 90 E8 0E 00 84 E8 0E 00 41 F2 88 43 5D F8 03 30 14 93 1A E0 07 9A 13 9B 13 44 07 93 CB E7 05 9A 41 F2 90 43 5D F8 03 30 D3 1A 19 93 63 E7 41 F2 88 44 5D F8 04 40 18 A8 90 E8 0E 00 84 E8 0E 00 41 F2 88 43 5D F8 03 30 14 93 14 98 41 F2 78 4C E5 44 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_352_7_0 {
	meta:
		name = "_write"
		size = 500
		refs = "0018 __doserrno 0024 _errno 006c _CrtDbgReportW 00a4 _invalid_parameter 0142 __acrt_lowio_lock_fh 01b2 _write_nolock 01be __acrt_lowio_unlock_fh 01d4 ??_C@_1FO@CAMPMGCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 01d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01dc ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 01e0 __pioinfo 01e4 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 01e8 ??_C@_1O@KOFKDHPL@?$AA_?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?$AA@ 01ec ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 01f0 _nhandle"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 93 B0 6F 46 82 B0 BB 6D 13 F1 02 0F 0F D1 ?? ?? ?? ?? B8 61 BA 69 00 23 13 60 ?? ?? ?? ?? F8 61 FA 69 09 23 13 60 6F F0 00 03 3B 60 C6 E0 BB 6D 00 2B 07 DB BA 6D 6B 4B 1B 68 9A 42 02 D2 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 63 4B 01 93 5D 4B 00 93 00 23 30 22 5A 49 02 20 ?? ?? ?? ?? 38 62 3B 6A 01 2B 00 D1 FE DE BB 68 00 2B 17 D1 ?? ?? ?? ?? 78 62 7A 6A 00 23 13 60 ?? ?? ?? ?? B8 62 BA 6A 09 23 13 60 00 23 00 93 30 23 4D 4A 51 49 52 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 8A E0 BB 6D 9A 11 04 23 02 FB 03 F2 49 4B 99 18 BB 6D 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 3D 4B 01 93 39 4B 00 93 00 23 31 22 36 49 02 20 ?? ?? ?? ?? F8 62 FB 6A 01 2B 00 D1 FE DE 3B 69 00 2B 17 D1 ?? ?? ?? ?? 38 63 3A 6B 00 23 13 60 ?? ?? ?? ?? 78 63 7A 6B 09 23 13 60 00 23 00 93 31 23 29 4A 2D 49 2C 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 42 E0 B8 6D ?? ?? ?? ?? 6F F0 00 03 7B 61 BB 6D 9A 11 04 23 02 FB 03 F2 22 4B 99 18 BB 6D 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 1B D1 ?? ?? ?? ?? B8 63 BA 6B 09 23 13 60 ?? ?? ?? ?? F8 63 FA 6B 00 23 13 60 13 4B 01 93 11 4B 00 93 00 23 3B 22 0E 49 02 20 ?? ?? ?? ?? 38 64 3B 6C 01 2B 00 D1 FE DE 07 E0 3A 6E F9 6D B8 6D ?? ?? ?? ?? 78 64 7B 6C 7B 61 B8 6D ?? ?? ?? ?? 7B 69 3B 60 38 68 15 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_352_9_0 {
	meta:
		name = "_write_nolock"
		size = 932
		refs = "000a __security_push_cookie 0048 _CrtDbgReportW 005c __doserrno 0068 _errno 0082 _invalid_parameter 00ca __rt_udiv 0170 _lseeki64_nolock 0182 memset 0188 ?write_requires_double_translation_nolock@@YA_NH@Z 01ba ?write_double_translated_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z 01d4 memcpy 01e0 ?write_double_translated_unicode_nolock@@YA?AUwrite_result@?A0x17268360@@QBDI@Z 024a ?write_text_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z 0272 ?write_text_utf16le_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z 029a ?write_text_utf8_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z 02c2 ?write_binary_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z 030e __acrt_errno_map_os_error 037e __security_pop_cookie 038c __pioinfo 0390 ??_C@_1CK@CPEAGIIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CF?$AA?5?$AA2?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0394 ??_C@_1BM@NCANHCIP@?$AA_?$AAw?$AAr?$AAi?$AAt?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0398 ??_C@_1FO@CAMPMGCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 039c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 03a0 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? D0 B0 56 9B 00 2B 02 D1 00 23 04 93 AE E1 55 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 DA 4B 01 93 D8 4B 00 93 00 23 40 F2 0F 22 D4 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 18 D1 ?? ?? ?? ?? 0C 90 0C 9A 00 23 13 60 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 0F 23 C6 4A C5 49 C7 48 ?? ?? ?? ?? 6F F0 00 03 04 93 75 E1 54 9B 9A 11 04 23 02 FB 03 F2 BC 4B 99 18 54 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 29 33 93 F9 00 30 8D F8 08 30 9D F9 08 30 02 2B 03 D0 9D F9 08 30 01 2B 3B D1 56 99 02 20 ?? ?? ?? ?? 00 29 02 D1 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 AA 4B 01 93 AC 4B 00 93 00 23 40 F2 17 22 A8 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 18 D1 ?? ?? ?? ?? 0F 90 0F 9A 00 23 13 60 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 17 23 9A 4A 99 49 97 48 ?? ?? ?? ?? 6F F0 00 03 04 93 1D E1 54 9B 9A 11 04 23 02 FB 03 F2 90 4B 99 18 54 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 20 0F 06 D0 02 23 00 93 00 22 00 23 54 98 ?? ?? ?? ?? 55 9B 03 93 00 23 34 93 08 22 00 21 35 A8 ?? ?? ?? ?? 54 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 33 D0 9D F9 08 30 05 93 05 9B 00 2B 06 D0 05 9B 00 2B 29 DD 05 9B 02 2B 14 DD 25 E0 56 9B 03 9A 54 99 1C A8 ?? ?? ?? ?? 1C AB 11 93 11 98 38 AC 90 E8 0E 00 84 E8 0E 00 34 A8 38 A9 0C 22 ?? ?? ?? ?? 11 E0 56 9A 03 99 20 A8 ?? ?? ?? ?? 20 AB 12 93 12 98 3C AC 90 E8 0E 00 84 E8 0E 00 34 A8 3C A9 0C 22 ?? ?? ?? ?? 6F E0 54 9B 9A 11 04 23 02 FB 03 F2 60 4B 99 18 54 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 80 0F 48 D0 9D F9 08 30 06 93 06 9B 00 2B 06 D0 06 9B 01 2B 2B D0 06 9B 02 2B 14 D0 3A E0 56 9B 03 9A 54 99 24 A8 ?? ?? ?? ?? 24 AB 13 93 13 98 40 AC 90 E8 0E 00 84 E8 0E 00 34 A8 40 A9 0C 22 ?? ?? ?? ?? 26 E0 56 9B 03 9A 54 99 28 A8 ?? ?? ?? ?? 28 AB 14 93 14 98 44 AC 90 E8 0E 00 84 E8 0E 00 34 A8 44 A9 0C 22 ?? ?? ?? ?? 12 E0 56 9B 03 9A 54 99 2C A8 ?? ?? ?? ?? 2C AB 15 93 15 98 48 AC 90 E8 0E 00 84 E8 0E 00 34 A8 48 A9 0C 22 ?? ?? ?? ?? 12 E0 56 9B 03 9A 54 99 30 A8 ?? ?? ?? ?? 30 AB 16 93 16 98 4C AC 90 E8 0E 00 84 E8 0E 00 34 A8 4C A9 0C 22 ?? ?? ?? ?? 35 9B 00 2B 45 D1 34 9B 00 2B 16 D0 34 9B 05 2B 0C D1 ?? ?? ?? ?? 17 90 17 9A 09 23 13 60 ?? ?? ?? ?? 18 90 34 9A 18 9B 1A 60 02 E0 34 98 ?? ?? ?? ?? 6F F0 00 03 04 93 2F E0 54 9B 9A 11 04 23 02 FB 03 F2 19 4B 99 18 54 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 40 0F 07 D0 03 9B 93 F9 00 30 1A 2B 02 D1 00 23 04 93 13 E0 ?? ?? ?? ?? 19 90 19 9A 1C 23 13 60 ?? ?? ?? ?? 1A 90 1A 9A 00 23 13 60 6F F0 00 03 04 93 03 E0 35 9A 36 9B D3 1A 04 93 04 98 50 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_353_2_0 {
	meta:
		name = "??$common_fullpath@D@@YAPADQADQBDIH1H@Z"
		size = 126
		refs = "0038 ??$tgetcwd@ABQADH@?$__crt_char_traits@D@@SAPADABQAD$$QAH@Z 0050 ??$common_fullpath_user_buffer@D@@YAPADQADQBDI@Z 0068 ??$common_fullpath_dynamic_buffer@D@@YAPADQBDIH0H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0B 9B 00 2B 04 D0 0B 9B 93 F9 00 30 00 2B 14 D1 0C 9A 6F F0 00 43 9A 42 02 D2 0C 9B 03 93 02 E0 6F F0 00 43 03 93 03 9B 04 93 04 A9 0A A8 ?? ?? ?? ?? 05 90 05 9B 02 93 16 E0 0A 9B 00 2B 08 D0 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 06 90 06 9B 02 93 0A E0 0F 9B 00 93 0E 9B 0D 9A 0C 99 0B 98 ?? ?? ?? ?? 07 90 07 9B 02 93 02 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_353_3_0 {
	meta:
		name = "??$common_fullpath@_W@@YAPA_WQA_WQB_WIHQBDH@Z"
		size = 124
		refs = "0036 ??$tgetcwd@ABQA_WH@?$__crt_char_traits@_W@@SAPA_WABQA_W$$QAH@Z 004e ??$common_fullpath_user_buffer@_W@@YAPA_WQA_WQB_WI@Z 0066 ??$common_fullpath_dynamic_buffer@_W@@YAPA_WQB_WIHQBDH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0B 9B 00 2B 03 D0 0B 9B 1B 88 00 2B 14 D1 0C 9A 6F F0 00 43 9A 42 02 D2 0C 9B 03 93 02 E0 6F F0 00 43 03 93 03 9B 04 93 04 A9 0A A8 ?? ?? ?? ?? 05 90 05 9B 02 93 16 E0 0A 9B 00 2B 08 D0 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 06 90 06 9B 02 93 0A E0 0F 9B 00 93 0E 9B 0D 9A 0C 99 0B 98 ?? ?? ?? ?? 07 90 07 9B 02 93 02 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_353_4_0 {
	meta:
		name = "??$common_fullpath_dynamic_buffer@D@@YAPADQBDIH0H@Z"
		size = 232
		refs = "0010 ?get_full_path_name@@YAIQADQBDI@Z 002a __acrt_errno_map_os_error 0056 _calloc_dbg 0060 ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@QAD@Z 0066 ??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBA_NXZ 0076 _errno 0088 ??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@XZ 0094 ?get@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBAPADXZ 00a0 ??$common_fullpath_user_buffer@D@@YAPADQADQBDI@Z 00c2 ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAPADXZ 00e4 __imp_GetLastError"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 00 22 16 99 00 20 ?? ?? ?? ?? 08 90 08 9B 05 93 05 9B 00 2B 09 D1 30 4B 1B 68 98 47 09 90 09 98 ?? ?? ?? ?? 00 23 04 93 50 E0 17 9A 05 9B 9A 42 02 D9 17 9B 06 93 01 E0 05 9B 06 93 06 9B 07 93 1A 9B 00 93 19 9B 18 9A 01 21 07 98 ?? ?? ?? ?? 0A 90 0A 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0D D1 ?? ?? ?? ?? 0B 90 0B 9A 0C 23 13 60 00 23 0C 93 03 A8 ?? ?? ?? ?? 0C 9B 04 93 21 E0 03 A8 ?? ?? ?? ?? 0D 90 07 9A 16 99 0D 98 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 0F 9B 00 2B 07 D1 00 23 10 93 03 A8 ?? ?? ?? ?? 10 9B 04 93 0A E0 03 A8 ?? ?? ?? ?? 11 90 11 9B 12 93 03 A8 ?? ?? ?? ?? 12 9B 04 93 04 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_353_5_0 {
	meta:
		name = "??$common_fullpath_dynamic_buffer@_W@@YAPA_WQB_WIHQBDH@Z"
		size = 232
		refs = "0010 ?get_full_path_name@@YAIQA_WQB_WI@Z 002a __acrt_errno_map_os_error 0056 _calloc_dbg 0060 ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAA@QA_W@Z 0066 ??B?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBA_NXZ 0076 _errno 0088 ??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAA@XZ 0094 ?get@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBAPA_WXZ 00a0 ??$common_fullpath_user_buffer@_W@@YAPA_WQA_WQB_WI@Z 00c2 ?detach@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAAPA_WXZ 00e4 __imp_GetLastError"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 00 22 16 99 00 20 ?? ?? ?? ?? 08 90 08 9B 05 93 05 9B 00 2B 09 D1 30 4B 1B 68 98 47 09 90 09 98 ?? ?? ?? ?? 00 23 04 93 50 E0 17 9A 05 9B 9A 42 02 D9 17 9B 06 93 01 E0 05 9B 06 93 06 9B 07 93 1A 9B 00 93 19 9B 18 9A 02 21 07 98 ?? ?? ?? ?? 0A 90 0A 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0D D1 ?? ?? ?? ?? 0B 90 0B 9A 0C 23 13 60 00 23 0C 93 03 A8 ?? ?? ?? ?? 0C 9B 04 93 21 E0 03 A8 ?? ?? ?? ?? 0D 90 07 9A 16 99 0D 98 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 0F 9B 00 2B 07 D1 00 23 10 93 03 A8 ?? ?? ?? ?? 10 9B 04 93 0A E0 03 A8 ?? ?? ?? ?? 11 90 11 9B 12 93 03 A8 ?? ?? ?? ?? 12 9B 04 93 04 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_353_6_0 {
	meta:
		name = "??$common_fullpath_user_buffer@D@@YAPADQADQBDI@Z"
		size = 236
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 008a ?get_full_path_name@@YAIQADQBDI@Z 00be __acrt_errno_map_os_error 00d8 __imp_GetLastError 00dc ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00e0 ??_C@_1DI@JGOABJJO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAl?$AAl?$AAp?$AAa?$AAt?$AAh?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 00e4 ??_C@_1GO@DLHMFDI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 00e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 10 9B 00 2B 02 D9 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 2D 4B 01 93 2F 4B 00 93 00 23 59 22 2C 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 59 23 22 4A 20 49 1F 48 ?? ?? ?? ?? 00 23 02 93 30 E0 10 9B B3 F1 FF 3F 08 D9 ?? ?? ?? ?? 08 90 08 9A 22 23 13 60 00 23 02 93 23 E0 10 9A 0F 99 0E 98 ?? ?? ?? ?? 09 90 09 9B 05 93 05 9A 10 9B 9A 42 08 D3 ?? ?? ?? ?? 0A 90 0A 9A 22 23 13 60 00 23 02 93 0E E0 05 9B 00 2B 09 D1 08 4B 1B 68 98 47 0B 90 0B 98 ?? ?? ?? ?? 00 23 02 93 01 E0 0E 9B 02 93 02 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_353_7_0 {
	meta:
		name = "??$common_fullpath_user_buffer@_W@@YAPA_WQA_WQB_WI@Z"
		size = 236
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 008a ?get_full_path_name@@YAIQA_WQB_WI@Z 00be __acrt_errno_map_os_error 00d8 __imp_GetLastError 00dc ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00e0 ??_C@_1DI@JGOABJJO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAl?$AAl?$AAp?$AAa?$AAt?$AAh?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 00e4 ??_C@_1GO@DLHMFDI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 00e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 10 9B 00 2B 02 D9 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 2D 4B 01 93 2F 4B 00 93 00 23 59 22 2C 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 59 23 22 4A 20 49 1F 48 ?? ?? ?? ?? 00 23 02 93 30 E0 10 9B B3 F1 FF 3F 08 D9 ?? ?? ?? ?? 08 90 08 9A 22 23 13 60 00 23 02 93 23 E0 10 9A 0F 99 0E 98 ?? ?? ?? ?? 09 90 09 9B 05 93 05 9A 10 9B 9A 42 08 D3 ?? ?? ?? ?? 0A 90 0A 9A 22 23 13 60 00 23 02 93 0E E0 05 9B 00 2B 09 D1 08 4B 1B 68 98 47 0B 90 0B 98 ?? ?? ?? ?? 00 23 02 93 01 E0 0E 9B 02 93 02 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_353_20_0 {
	meta:
		name = "?get_full_path_name@@YAIQADQBDI@Z"
		size = 48
		refs = "002c __imp_GetFullPathNameA"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 83 B0 00 23 06 9A 08 99 07 98 05 4C 24 68 A0 47 00 90 00 9B 01 93 01 98 03 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_353_21_0 {
	meta:
		name = "?get_full_path_name@@YAIQA_WQB_WI@Z"
		size = 48
		refs = "002c __imp_GetFullPathNameW"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 83 B0 00 23 06 9A 08 99 07 98 05 4C 24 68 A0 47 00 90 00 9B 01 93 01 98 03 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_353_26_0 {
	meta:
		name = "_fullpath"
		size = 48
		refs = "001a ??$common_fullpath@D@@YAPADQADQBDIH1H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 00 23 00 93 01 23 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_527_0_0 {
	meta:
		name = "_recalloc"
		size = 48
		refs = "001a _recalloc_dbg"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 00 23 00 93 01 23 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_353_28_0 {
	meta:
		name = "_wfullpath"
		size = 48
		refs = "001a ??$common_fullpath@_W@@YAPA_WQA_WQB_WIHQBDH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 00 23 00 93 01 23 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_355_0_0 {
	meta:
		name = "_d_inttype"
		size = 148
		refs = "0010 _fpclass 002a _frnd"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 02 0B 9D ED 02 0B ?? ?? ?? ?? 01 90 01 9B 03 F0 90 03 00 2B 02 D0 00 23 00 93 32 E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 1B 9D ED 02 0B B4 EE 40 1B F1 EE 10 FA 1D D1 9D ED 02 1B B0 EE 00 0B 81 EE 00 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 02 1B B0 EE 00 0B 81 EE 00 1B 9D ED 08 0B B4 EE 41 0B F1 EE 10 FA 03 D1 02 23 00 93 05 E0 02 E0 01 23 00 93 01 E0 00 23 00 93 00 98 0A B0 BD E8 00 88 }
	condition:
		$1
}

rule file_355_1_0 {
	meta:
		name = "_powhlp"
		size = 508
		refs = "0154 _d_inttype 01f0 _d_mzero 01f4 _d_inf"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 8D ED 04 1B 8D ED 06 0B 00 23 02 93 9D ED 06 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 06 0B B1 EE 40 0B 8D ED 0A 0B 03 E0 9D ED 06 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 08 0B 05 9A 6C 4B 9A 42 27 D1 04 9B 00 2B 24 D1 9D ED 08 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 06 DD 64 4B 93 ED 00 0B 12 9B 83 ED 00 0B 13 E0 9D ED 08 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 05 D2 9F ED 59 0B 12 9B 83 ED 00 0B 04 E0 B7 EE 00 0B 12 9B 83 ED 00 0B 9D E0 05 9B 13 F5 80 1F 27 D1 04 9B 00 2B 24 D1 9D ED 08 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 05 DD 9F ED 4B 0B 12 9B 83 ED 00 0B 14 E0 9D ED 08 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 06 D2 46 4B 93 ED 00 0B 12 9B 83 ED 00 0B 04 E0 B7 EE 00 0B 12 9B 83 ED 00 0B 71 E0 07 9A 40 4B 9A 42 23 D1 06 9B 00 2B 20 D1 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 06 DD 39 4B 93 ED 00 0B 12 9B 83 ED 00 0B 11 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9F ED 2F 0B 12 9B 83 ED 00 0B 04 E0 B7 EE 00 0B 12 9B 83 ED 00 0B 49 E0 07 9B 13 F5 80 1F 45 D1 06 9B 00 2B 42 D1 9D ED 04 0B ?? ?? ?? ?? 01 90 01 9B 00 93 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 15 DD 00 9B 01 2B 07 D1 20 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0C 0B 04 E0 1C 4B 93 ED 00 0B 8D ED 0C 0B 9D ED 0C 0B 12 9B 83 ED 00 0B 1E E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 12 D2 00 9B 01 2B 05 D1 10 4B 93 ED 00 0B 8D ED 0E 0B 03 E0 9F ED 0B 0B 8D ED 0E 0B 9D ED 0E 0B 12 9B 83 ED 00 0B 04 E0 B7 EE 00 0B 12 9B 83 ED 00 0B 02 9B 03 93 03 98 10 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F }
	condition:
		$1
}

rule file_357_5_0 {
	meta:
		name = "_mbsnbicmp_l"
		size = 416
		refs = "0014 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002a _strnicmp 0042 _CrtDbgReportW 004c _errno 008c _invalid_parameter 018c ??_C@_1HC@ENIJAOII@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0190 ??_C@_1BK@GEJONGBG@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0194 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0198 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 019c ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 87 B0 0E 46 07 46 02 A8 19 46 15 46 ?? ?? ?? ?? 00 2D 00 F0 A3 80 04 98 83 68 2B B9 2A 46 31 46 38 46 ?? ?? ?? ?? 9F E0 A7 B9 59 4B 59 4C 55 49 00 93 00 23 3C 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 3C 23 14 E0 DE B9 4E 4B 4C 4C 4A 49 00 93 00 23 3D 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 3D 23 42 49 40 4A 20 46 ?? ?? ?? ?? 6F F0 00 40 6C E0 4F F0 04 0E 4F F0 10 08 17 F8 01 1B 6D 1E 50 FA 81 F3 5B 7E 13 EA 0E 0F 22 D0 45 B9 32 78 00 21 13 18 5B 7E 13 EA 0E 0F 4C D0 00 22 4A E0 3B 78 0B B9 00 21 1B E0 43 EA 01 21 83 89 7F 1C 99 42 04 D3 C3 89 99 42 01 D8 03 8A 06 E0 43 8A 99 42 0D D3 83 8A 99 42 0A D8 C3 8A 0B 44 99 B2 06 E0 0A 18 53 7E 13 EA 08 0F 01 D0 92 F8 19 11 32 78 76 1C 50 FA 82 F3 5B 7E 13 EA 0E 0F 1B D0 0D B9 00 22 1F E0 33 78 6D 1E 00 2B F9 D0 43 EA 02 22 83 89 76 1C 9A 42 04 D3 C3 89 9A 42 01 D8 03 8A 06 E0 43 8A 9A 42 0D D3 83 8A 9A 42 0A D8 C3 8A 13 44 9A B2 06 E0 14 18 63 7E 13 EA 08 0F 01 D0 94 F8 19 21 91 42 04 D1 09 B1 00 2D 9C D1 00 20 03 E0 6F F0 00 00 88 BF 01 20 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 07 B0 BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_358_1_0 {
	meta:
		name = "expm1l"
		size = 424
		refs = "000e _ldtest 0176 expl 0198 c 019c s 01a0 lnone_half 01a4 lnhalf"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 06 D0 01 9B 01 2B 08 D0 01 9B 02 2B 00 D0 18 E0 9D ED 02 0B 8D ED 04 0B A9 E0 02 AB 9B 1D 1B 88 13 F4 00 4F 04 D0 BF EE 00 0B 8D ED 06 0B 03 E0 9D ED 02 0B 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 95 E0 50 4B 93 ED 00 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 7D D2 9D ED 02 1B 49 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 73 D2 44 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 40 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 3B 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 36 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 31 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 2C 4B 28 33 93 ED 00 0B 31 EE 00 2B 28 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 25 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 20 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 1B 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 16 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 11 4B 28 33 93 ED 00 0B 31 EE 00 0B 82 EE 00 1B 9D ED 02 0B 21 EE 00 0B 8D ED 04 0B 0E E0 0D E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 1B B7 EE 00 0B 31 EE 40 0B 8D ED 04 0B 9D ED 04 0B 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_638_0_0 {
	meta:
		name = "expm1"
		size = 424
		refs = "000e _dtest 0176 exp 0198 c 019c s 01a0 lnone_half 01a4 lnhalf"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 06 D0 01 9B 01 2B 08 D0 01 9B 02 2B 00 D0 18 E0 9D ED 02 0B 8D ED 04 0B A9 E0 02 AB 9B 1D 1B 88 13 F4 00 4F 04 D0 BF EE 00 0B 8D ED 06 0B 03 E0 9D ED 02 0B 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 95 E0 50 4B 93 ED 00 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 7D D2 9D ED 02 1B 49 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 73 D2 44 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 40 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 3B 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 36 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 31 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 2C 4B 28 33 93 ED 00 0B 31 EE 00 2B 28 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 25 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 20 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 1B 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 16 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 11 4B 28 33 93 ED 00 0B 31 EE 00 0B 82 EE 00 1B 9D ED 02 0B 21 EE 00 0B 8D ED 04 0B 0E E0 0D E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 1B B7 EE 00 0B 31 EE 40 0B 8D ED 04 0B 9D ED 04 0B 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_359_1_0 {
	meta:
		name = "_waccess_s"
		size = 460
		refs = "0008 __security_push_cookie 0038 _CrtDbgReportW 004c __doserrno 0058 _errno 0070 _invalid_parameter 0108 __acrt_errno_map_os_error 01a2 __security_pop_cookie 01b0 __imp_GetLastError 01b4 __imp_GetFileAttributesExW 01b8 ??_C@_1DE@HCFIPAKB@?$AA?$CI?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA6?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01bc ??_C@_1BG@CFNNCJOE@?$AA_?$AAw?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA_?$AAs?$AA?$AA@ 01c0 ??_C@_1GM@JJMGMIIN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 01c4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01c8 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9D B0 20 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 67 4B 01 93 65 4B 00 93 00 23 13 22 62 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 05 9B 00 2B 16 D1 ?? ?? ?? ?? 09 90 09 9A 00 23 13 60 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 13 23 55 4A 53 49 56 48 ?? ?? ?? ?? 16 23 03 93 91 E0 21 9B 23 F0 06 03 00 2B 02 D1 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 47 4B 01 93 49 4B 00 93 00 23 14 22 46 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 07 9B 00 2B 16 D1 ?? ?? ?? ?? 0C 90 0C 9A 00 23 13 60 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 14 23 39 4A 37 49 36 48 ?? ?? ?? ?? 16 23 03 93 59 E0 14 AA 00 21 20 98 30 4B 1B 68 98 47 0E 90 0E 9B 00 2B 0D D1 2C 4B 1B 68 98 47 0F 90 0F 98 ?? ?? ?? ?? ?? ?? ?? ?? 10 90 10 9B 1B 68 03 93 41 E0 14 9B 13 F0 10 0F 02 D0 00 23 03 93 3A E0 14 9B 13 F0 01 0F 03 D0 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 0A 30 21 9B 13 F0 02 0F 03 D0 01 23 8D F8 09 30 02 E0 00 23 8D F8 09 30 9D F8 09 30 8D F8 0B 30 9D F8 0A 30 00 2B 16 D0 9D F8 0B 30 00 2B 12 D0 ?? ?? ?? ?? 11 90 11 9A 05 23 13 60 ?? ?? ?? ?? 12 90 12 9A 0D 23 13 60 ?? ?? ?? ?? 13 90 13 9B 1B 68 03 93 01 E0 00 23 03 93 03 98 1D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_360_0_0 {
	meta:
		name = "_tell"
		size = 38
		refs = "0010 _lseek"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 01 22 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_362_0_0 {
	meta:
		name = "scalbn"
		size = 106
		refs = "0016 _dtest 002a _dscale 0048 _fperrraise"
		altNames = "scalbln"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 02 0B 08 9B 00 2B 1F D0 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 00 2B 16 DA 08 99 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 01 93 01 9B 00 2B 03 D0 01 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_524_0_0 {
	meta:
		name = "scalblnl"
		size = 106
		refs = "0016 _ldtest 002a _ldscale 0048 _fperrraise"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 02 0B 08 9B 00 2B 1F D0 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 00 2B 16 DA 08 99 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 01 93 01 9B 00 2B 03 D0 01 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_575_0_0 {
	meta:
		name = "scalbnl"
		size = 106
		refs = "0016 _ldtest 002a _ldscale 0048 _fperrraise"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 02 0B 08 9B 00 2B 1F D0 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 00 2B 16 DA 08 99 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 01 93 01 9B 00 2B 03 D0 01 9B 01 2B 04 D0 06 E0 10 20 ?? ?? ?? ?? 02 E0 08 20 ?? ?? ?? ?? 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_363_0_0 {
	meta:
		name = "lrint"
		size = 176
		refs = "000e _dtest 0032 nearbyint 0056 _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 06 0B 06 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 38 D0 01 9B 00 2B 02 DD 01 9B 02 2B 2F DD 9D ED 06 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 04 0B 9D ED 04 1B 9D ED 06 0B B4 EE 40 1B F1 EE 10 FA 02 D0 20 20 ?? ?? ?? ?? 9F ED 13 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 10 D8 9D ED 04 1B 9F ED 0B 0B B4 EE C0 1B F1 EE 10 FA 07 D8 9D ED 04 0B BD EE C0 0B 10 EE 10 3A 02 93 04 E0 01 20 ?? ?? ?? ?? 00 23 02 93 02 98 0A B0 BD E8 00 88 00 00 C0 FF FF FF DF 41 00 00 00 00 00 00 E0 C1 }
	condition:
		$1
}

rule file_497_0_0 {
	meta:
		name = "lrintl"
		size = 176
		refs = "000e _ldtest 0032 nearbyintl 0056 _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 06 0B 06 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 00 2B 38 D0 01 9B 00 2B 02 DD 01 9B 02 2B 2F DD 9D ED 06 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 04 0B 9D ED 04 1B 9D ED 06 0B B4 EE 40 1B F1 EE 10 FA 02 D0 20 20 ?? ?? ?? ?? 9F ED 13 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 10 D8 9D ED 04 1B 9F ED 0B 0B B4 EE C0 1B F1 EE 10 FA 07 D8 9D ED 04 0B BD EE C0 0B 10 EE 10 3A 02 93 04 E0 01 20 ?? ?? ?? ?? 00 23 02 93 02 98 0A B0 BD E8 00 88 00 00 C0 FF FF FF DF 41 00 00 00 00 00 00 E0 C1 }
	condition:
		$1
}

rule file_364_2_0 {
	meta:
		name = "??$common_system@D@@YAHQBD@Z"
		size = 284
		refs = "0008 __security_push_cookie 0024 _dupenv_s_dbg 0036 _access_s 005e _CrtDbgReportW 0078 _errno 008c _spawnve 00ca _spawnvpe 00d4 _free_dbg 00dc __security_pop_cookie 00f0 _invoke_watson 00f8 ??_C@_1JK@PAMMDFPO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA_?$AAv?$AAa@ 00fc ??_C@_1BM@NCHJIBJC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA?$AA@ 0100 ??_C@_1GG@LJIGDNNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0104 ?cmd_exe@?1???$common_system@D@@YAHQBD@Z@4QBDB 0108 ?slash_c@?1???$common_system@D@@YAHQBD@Z@4QBDB 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1CG@IPGACMHA@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0114 ?comspec_name@?1???$common_system@D@@YAHQBD@Z@4QBDB 0118 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 89 B0 00 23 02 93 6A 23 01 93 40 4B 3E 4A 04 46 00 93 02 23 02 A8 00 21 ?? ?? ?? ?? 08 B1 16 28 5A D0 5C B9 02 98 38 B1 00 21 ?? ?? ?? ?? 00 28 02 98 08 BF 01 24 46 D0 00 24 44 E0 94 F9 00 30 63 B9 30 4B 2B 49 2B 22 01 93 2D 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 27 4B 02 9A CD E9 05 34 00 23 07 93 04 92 1A B3 ?? ?? ?? ?? 05 68 ?? ?? ?? ?? 00 23 03 60 04 99 04 AA 00 20 ?? ?? ?? ?? 04 46 10 F1 01 0F 03 D0 ?? ?? ?? ?? 05 60 17 E0 ?? ?? ?? ?? 03 68 02 2B 07 D0 ?? ?? ?? ?? 03 68 0D 2B 02 D0 6F F0 00 04 0A E0 ?? ?? ?? ?? 05 60 10 49 04 AA 00 23 00 20 04 91 ?? ?? ?? ?? 04 46 02 98 02 21 ?? ?? ?? ?? 20 46 09 B0 ?? ?? ?? ?? BD E8 30 88 06 4A 05 49 03 48 00 23 00 93 1F 23 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_364_3_0 {
	meta:
		name = "??$common_system@_W@@YAHQB_W@Z"
		size = 280
		refs = "0008 __security_push_cookie 0024 _wdupenv_s_dbg 0036 _waccess_s 005c _CrtDbgReportW 0076 _errno 008a _wspawnve 00c8 _wspawnvpe 00d2 _free_dbg 00da __security_pop_cookie 00ee _invoke_watson 00f4 ??_C@_1JK@PAMMDFPO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA_?$AAv?$AAa@ 00f8 ??_C@_1BM@NCHJIBJC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA?$AA@ 00fc ??_C@_1GG@LJIGDNNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0100 ?cmd_exe@?1???$common_system@_W@@YAHQB_W@Z@4QB_WB 0104 ?slash_c@?1???$common_system@_W@@YAHQB_W@Z@4QB_WB 0108 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1CG@IPGACMHA@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0110 ?comspec_name@?1???$common_system@_W@@YAHQB_W@Z@4QB_WB 0114 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 89 B0 00 23 02 93 79 23 01 93 3F 4B 3D 4A 04 46 00 93 02 23 02 A8 00 21 ?? ?? ?? ?? 08 B1 16 28 59 D0 5C B9 02 98 38 B1 00 21 ?? ?? ?? ?? 00 28 02 98 08 BF 01 24 45 D0 00 24 43 E0 23 88 63 B9 2F 4B 2B 49 2B 22 01 93 2C 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 27 4B 02 9A CD E9 05 34 00 23 07 93 04 92 1A B3 ?? ?? ?? ?? 05 68 ?? ?? ?? ?? 00 23 03 60 04 99 04 AA 00 20 ?? ?? ?? ?? 04 46 10 F1 01 0F 03 D0 ?? ?? ?? ?? 05 60 17 E0 ?? ?? ?? ?? 03 68 02 2B 07 D0 ?? ?? ?? ?? 03 68 0D 2B 02 D0 6F F0 00 04 0A E0 ?? ?? ?? ?? 05 60 10 49 04 AA 00 23 00 20 04 91 ?? ?? ?? ?? 04 46 02 98 02 21 ?? ?? ?? ?? 20 46 09 B0 ?? ?? ?? ?? BD E8 30 88 06 4A 04 49 03 48 00 23 00 93 1F 23 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_364_8_0 {
	meta:
		name = "??$tspawnve@HAAPBDAAY03PBD$$T@?$__crt_char_traits@D@@SAH$$QAHAAPBDAAY03PBD$$QA$$T@Z"
		size = 20
		refs = "0010 _spawnve"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_364_9_0 {
	meta:
		name = "??$tspawnve@HAAPB_WAAY03PB_W$$T@?$__crt_char_traits@_W@@SAH$$QAHAAPB_WAAY03PB_W$$QA$$T@Z"
		size = 20
		refs = "0010 _wspawnve"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_364_10_0 {
	meta:
		name = "??$tspawnvpe@HAAPBDAAY03PBD$$T@?$__crt_char_traits@D@@SAH$$QAHAAPBDAAY03PBD$$QA$$T@Z"
		size = 20
		refs = "0010 _spawnvpe"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_364_11_0 {
	meta:
		name = "??$tspawnvpe@HAAPB_WAAY03PB_W$$T@?$__crt_char_traits@_W@@SAH$$QAHAAPB_WAAY03PB_W$$QA$$T@Z"
		size = 20
		refs = "0010 _wspawnvpe"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_365_0_0 {
	meta:
		name = "_copysign"
		size = 88
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 06 1B 8D ED 02 0B 9D ED 02 0B 53 EC 10 2B 00 92 01 93 9D ED 06 0B 53 EC 10 2B 04 92 05 93 01 9A 05 9B 53 40 03 F0 00 43 00 2B 07 D0 00 9A 01 9B 83 F0 00 43 43 EC 10 2B 8D ED 02 0B 9D ED 02 0B 8D ED 08 0B 9D ED 08 0B 0A B0 BD E8 00 88 }
	condition:
		$1
}

rule file_367_0_0 {
	meta:
		name = "ldexp"
		size = 656
		refs = "0014 _ctrlfp 0034 _sptype 0072 _handle_qnan2 00a4 _except2 00dc _decomp 0142 _copysign 0186 _set_exp 028c _d_inf"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 A6 B0 8D ED 02 0B 9B 49 4F F4 1F 40 ?? ?? ?? ?? 0E 90 0E 9B 01 93 BD F8 0E 20 47 F6 F0 73 1A 40 47 F6 F0 73 9A 42 42 D1 9D ED 02 0B ?? ?? ?? ?? 0F 90 0F 9B 08 93 08 9B 00 2B 1F DD 08 9B 02 2B 03 DD 08 9B 03 2B 09 D0 18 E0 8A 49 01 98 ?? ?? ?? ?? 9D ED 02 0B 8D ED 06 0B 04 E1 28 9B 00 EE 10 3A B8 EE C0 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 0B 8D ED 06 0B F4 E0 01 9A 9D ED 02 1B B7 EE 00 0B 31 EE 00 2B 28 9B 00 EE 10 3A B8 EE C0 1B 9D ED 02 0B 19 21 08 20 ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 06 0B DB E0 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 08 D1 6D 49 01 98 ?? ?? ?? ?? 9D ED 02 0B 8D ED 06 0B CB E0 04 A8 9D ED 02 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 0A 0B 28 9B 00 2B 0F DA 28 9A 4F F0 00 43 9A 1A 04 9B 93 42 03 DA 4F F0 00 43 00 93 03 E0 04 9A 28 9B 13 44 00 93 0E E0 28 9A 6F F0 00 43 9A 1A 04 9B 93 42 03 DD 6F F0 00 43 00 93 03 E0 04 9A 28 9B 13 44 00 93 00 9B B3 F5 20 6F 1D DD 9D ED 0A 1B 53 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 16 0B 01 9A 9D ED 16 2B 28 9B 00 EE 10 3A B8 EE C0 1B 9D ED 02 0B 19 21 11 20 ?? ?? ?? ?? 8D ED 18 0B 9D ED 18 0B 8D ED 06 0B 7C E0 00 9B B3 F5 80 6F 21 DD 00 9B A3 F5 C0 60 9D ED 0A 0B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 1A 0B 8D ED 0C 0B 01 9A 9D ED 0C 2B 28 9B 00 EE 10 3A B8 EE C0 1B 9D ED 02 0B 19 21 11 20 ?? ?? ?? ?? 8D ED 1C 0B 9D ED 1C 0B 8D ED 06 0B 56 E0 00 9A 31 4B 9A 42 18 DA 01 9A 9D ED 0A 1B 9F ED 2C 0B 21 EE 00 2B 28 9B 00 EE 10 3A B8 EE C0 1B 9D ED 02 0B 19 21 12 20 ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1E 0B 8D ED 06 0B 39 E0 00 9A 6F F4 7F 73 9A 42 21 DA 00 9B 03 F5 C0 60 9D ED 0A 0B ?? ?? ?? ?? 8D ED 20 0B 9D ED 20 0B 8D ED 0C 0B 01 9A 9D ED 0C 2B 28 9B 00 EE 10 3A B8 EE C0 1B 9D ED 02 0B 19 21 12 20 ?? ?? ?? ?? 8D ED 22 0B 9D ED 22 0B 8D ED 06 0B 12 E0 00 98 9D ED 0A 0B ?? ?? ?? ?? 8D ED 24 0B 9D ED 24 0B 8D ED 0C 0B 07 49 01 98 ?? ?? ?? ?? 9D ED 0C 0B 8D ED 06 0B 9D ED 06 0B 26 B0 5D F8 04 BB 5D F8 0C FB 00 9F C0 03 00 00 00 00 00 00 00 00 03 F6 FF FF ?? ?? ?? ?? }
	condition:
		$1
}

rule file_368_6_0 {
	meta:
		name = "__acrt_has_user_matherr"
		size = 64
		refs = "000a ?value@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAAAAP6AHPAU_exception@@@ZXZ 0014 ??$__crt_fast_decode_pointer@P6AHPAU_exception@@@Z@@YAP6AHPAU_exception@@@ZQ6AH0@Z@Z 003c ?user_matherr@@3V?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 0C 48 ?? ?? ?? ?? 01 90 01 9B 18 68 ?? ?? ?? ?? 02 90 02 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 0C 30 9D F8 0C 00 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_368_8_0 {
	meta:
		name = "__acrt_invoke_user_matherr"
		size = 92
		refs = "000e ?value@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAAAAP6AHPAU_exception@@@ZXZ 0018 ??$__crt_fast_decode_pointer@P6AHPAU_exception@@@Z@@YAP6AHPAU_exception@@@ZQ6AH0@Z@Z 0054 __guard_check_icall_fptr 0058 ?user_matherr@@3V?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@A"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 12 48 ?? ?? ?? ?? 03 90 03 9B 18 68 ?? ?? ?? ?? 04 90 04 9B 00 93 00 9B 00 2B 02 D1 00 23 02 93 0C E0 0A 9C 00 9B 01 93 01 98 07 4B 1B 68 98 47 01 9B 20 46 98 47 05 90 05 9B 02 93 02 98 07 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_368_9_0 {
	meta:
		name = "__setusermatherr"
		size = 48
		refs = "000c ??$__crt_fast_encode_pointer@P6AHPAU_exception@@@Z@@YAP6AHPAU_exception@@@ZQ6AH0@Z@Z 0014 ?value@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAAAAP6AHPAU_exception@@@ZXZ 002c ?user_matherr@@3V?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 00 90 06 48 ?? ?? ?? ?? 01 90 00 9A 01 9B 1A 60 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_369_0_0 {
	meta:
		name = "_controlfp_s"
		size = 216
		refs = "002a _control87 005c _CrtDbgReportW 0070 _errno 0088 _invalid_parameter 00c4 ??_C@_1DG@JNDMIEJL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00c8 ??_C@_1BK@CDOALEA@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AAf?$AAp?$AA_?$AAs?$AA?$AA@ 00cc ??_C@_1FO@HHLKCIKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9B 23 F4 00 23 0E 93 0D 9A 0E 9B 1A 40 2E 4B 13 40 00 2B 38 D0 0C 9B 00 2B 07 D0 00 21 00 20 ?? ?? ?? ?? 05 90 05 9A 0C 9B 1A 60 02 E0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 1D 4B 01 93 1F 4B 00 93 00 23 2A 22 1C 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 03 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 2A 23 12 4A 10 49 0F 48 ?? ?? ?? ?? 16 23 04 93 11 E0 0C 9B 00 2B 08 D0 0E 99 0D 98 ?? ?? ?? ?? 08 90 08 9A 0C 9B 1A 60 03 E0 0E 99 0D 98 ?? ?? ?? ?? 00 23 04 93 04 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? E0 FC F0 FC }
	condition:
		$1
}

rule file_371_0_0 {
	meta:
		name = "mbrtoc16"
		size = 588
		refs = "00ae _errno 0244 ??_C@_00CNPNBAHC@?$AA@ 0248 ?internal_pst@?1??mbrtoc16@@9@4U_Mbstatet@@A"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0D 9B 00 2B 01 D1 8D 4B 0D 93 0D 9B 9B 1D 1B 88 5B B2 8D F8 00 30 0D 9B 1B 68 02 93 0B 9B 00 2B 05 D1 00 23 0A 93 84 4B 0B 93 01 23 0C 93 0B 9B 01 93 05 E0 01 9B 5B 1C 01 93 0C 9B 5B 1E 0C 93 9D F9 00 30 10 2B 12 D1 0A 9B 00 2B 06 D0 02 9A 37 23 63 F3 9F 22 92 B2 0A 9B 1A 80 0D 9B 9A 1D 00 23 13 80 6F F0 02 03 03 93 DE E0 91 E0 0C 9B 00 2B 0D D1 0D 9A 02 9B 13 60 9D F9 00 30 9A B2 0D 9B 9B 1D 1A 80 6F F0 01 03 03 93 CD E0 80 E0 9D F9 00 30 00 2B 1E DD 01 9B 1B 78 03 F0 C0 03 80 2B 09 D0 ?? ?? ?? ?? 05 90 05 9A 2A 23 13 60 6F F0 00 03 03 93 B8 E0 02 9B 9A 01 01 9B 1B 78 03 F0 3F 03 13 43 02 93 9D F9 00 30 5B 1E 5B B2 8D F8 00 30 5D E0 01 9B 1B 78 13 F0 80 0F 03 D1 01 9B 1B 78 02 93 54 E0 01 9B 1B 78 03 F0 E0 03 C0 2B 08 D1 01 9B 1B 78 03 F0 1F 03 02 93 01 23 8D F8 00 30 45 E0 01 9B 1B 78 03 F0 F0 03 E0 2B 08 D1 01 9B 1B 78 03 F0 0F 03 02 93 02 23 8D F8 00 30 36 E0 01 9B 1B 78 03 F0 F8 03 F0 2B 08 D1 01 9B 1B 78 03 F0 07 03 02 93 03 23 8D F8 00 30 27 E0 01 9B 1B 78 03 F0 FC 03 F8 2B 08 D1 01 9B 1B 78 03 F0 03 03 02 93 04 23 8D F8 00 30 18 E0 01 9B 1B 78 03 F0 FC 03 FC 2B 08 D1 01 9B 1B 78 03 F0 03 03 02 93 05 23 8D F8 00 30 09 E0 ?? ?? ?? ?? 06 90 06 9A 2A 23 13 60 6F F0 00 03 03 93 4B E0 9D F9 00 30 00 2B 46 D1 02 9A 26 4B 9A 42 0A D9 ?? ?? ?? ?? 07 90 07 9A 2A 23 13 60 6F F0 00 03 03 93 39 E0 37 E0 02 9A 4F F6 FF 73 9A 42 17 D9 0A 9B 00 2B 07 D0 02 9B 9B 0A 40 3B 43 F4 58 43 9A B2 0A 9B 1A 80 0D 9B 9A 1D 10 23 13 80 01 9B 5B 1C 01 93 01 9A 0B 9B D3 1A 03 93 1C E0 1A E0 0A 9B 00 2B 03 D0 02 9B 9A B2 0A 9B 1A 80 0D 9B 9A 1D 00 23 13 80 02 9B 00 2B 02 D1 00 23 04 93 06 E0 01 9B 5B 1C 01 93 01 9A 0B 9B D3 1A 04 93 04 9B 03 93 00 E0 04 E7 03 98 08 B0 5D F8 04 BB 5D F8 14 FB FF FF 10 00 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_372_0_0 {
	meta:
		name = "??$common_tcsset_s@D@@YAHQADID@Z"
		size = 484
		refs = "003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 00c6 _CrtGetDebugFillThreshold 00ee memset 01cc ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 01d0 ??_C@_1CA@BBKNBNG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 01d4 ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01dc ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01e0 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 16 9B 00 2B 05 D0 17 9B 00 2B 02 D9 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 6D 4B 01 93 6A 4B 00 93 00 23 4F F4 8D 72 66 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 4F F4 8D 73 5B 4A 5A 49 5D 48 ?? ?? ?? ?? 16 23 04 93 A5 E0 16 9B 03 93 17 9B 02 93 03 9B 93 F9 00 30 00 2B 0D D0 02 9B 5B 1E 02 93 02 9B 00 2B 07 D9 9D F9 60 20 03 9B 1A 70 03 9B 5B 1C 03 93 EC E7 02 9B 00 2B 57 D1 16 9A 00 23 13 70 17 9B B3 F1 FF 3F 1D D0 17 9A 6F F0 00 43 9A 42 18 D0 17 9B 01 2B 15 D9 ?? ?? ?? ?? 0F 90 0F 9B 07 93 17 9B 5A 1E 07 9B 93 42 02 D2 07 9B 08 93 02 E0 17 9B 5B 1E 08 93 08 9A FE 21 16 9B 58 1C ?? ?? ?? ?? 3A 4B 00 2B 03 D0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 2F 4B 01 93 31 4B 00 93 00 23 40 F2 27 12 2D 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 40 F2 27 13 22 4A 21 49 1F 48 ?? ?? ?? ?? 16 23 04 93 33 E0 17 9B B3 F1 FF 3F 2D D0 17 9A 6F F0 00 43 9A 42 28 D0 17 9A 02 9B D3 1A 5A 1C 17 9B 9A 42 21 D2 ?? ?? ?? ?? 12 90 12 9B 0B 93 17 9A 02 9B D3 1A 5A 1C 17 9B 9A 1A 0B 9B 93 42 02 D2 0B 9B 0C 93 06 E0 17 9A 02 9B D3 1A 5A 1C 17 9B 9B 1A 0C 93 0C 9A FE 21 17 98 02 9B C3 1A 58 1C 16 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 14 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_372_1_0 {
	meta:
		name = "_strset_s"
		size = 40
		refs = "0012 ??$common_tcsset_s@D@@YAHQADID@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 5A B2 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_373_0_0 {
	meta:
		name = "_fderfc"
		size = 184
		refs = "0098 _fdexp 00b0 _c 00b4 _s"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 00 0A 9D ED 00 0A F1 EE 40 0A 9D ED 00 0A 20 EE 80 0A 8D ED 01 0A 00 21 24 4B D3 ED 00 0A 9D ED 00 0A 60 EE 80 0A 20 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 00 0A 60 EE 80 0A 1B 4B 08 33 93 ED 00 0A 70 EE 80 0A 9D ED 00 0A 60 EE 80 0A 16 4B 0C 33 93 ED 00 0A 30 EE 80 1A 12 4B D3 ED 00 0A 9D ED 00 0A 60 EE 80 0A 0F 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 00 0A 60 EE 80 0A 0A 4B 08 33 93 ED 00 0A 30 EE 80 0A 81 EE 00 0A 01 A8 ?? ?? ?? ?? 9D ED 01 0A 8D ED 02 0A 9D ED 02 0A 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_373_1_0 {
	meta:
		name = "erff"
		size = 460
		refs = "000e _fdtest 0162 _fderfc 01bc _fderf_one 01c0 c 01c4 s 01c8 _fderf_small"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 02 0A 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 04 93 04 9B 00 2B 06 D0 04 9B 01 2B 08 D0 04 9B 02 2B 00 D0 18 E0 9D ED 02 0A 8D ED 03 0A BA E0 02 AB 9B 1C 1B 88 13 F4 00 4F 04 D0 BF EE 00 0A 8D ED 05 0A 03 E0 B7 EE 00 0A 8D ED 05 0A 9D ED 05 0A 8D ED 03 0A A6 E0 9D ED 02 0A B5 EE C0 0A F1 EE 10 FA 06 D2 9D ED 02 0A B1 EE 40 0A 8D ED 06 0A 03 E0 9D ED 02 0A 8D ED 06 0A 9D ED 06 0A 8D ED 01 0A DD ED 01 0A 4D 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 53 D2 DD ED 02 0A 9D ED 02 0A 20 EE 80 0A 8D ED 01 0A 44 4B D3 ED 00 0A 9D ED 01 0A 60 EE 80 0A 40 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 01 0A 60 EE 80 0A 3B 4B 08 33 93 ED 00 0A 70 EE 80 0A 9D ED 01 0A 60 EE 80 0A 36 4B 0C 33 93 ED 00 0A 30 EE 80 1A 32 4B D3 ED 00 0A 9D ED 01 0A 60 EE 80 0A 2F 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 01 0A 60 EE 80 0A 2A 4B 08 33 93 ED 00 0A 70 EE 80 0A 9D ED 01 0A 60 EE 80 0A 25 4B 0C 33 93 ED 00 0A 30 EE 80 0A C1 EE 00 0A 9D ED 02 0A 20 EE 80 0A 8D ED 03 0A 33 E0 1C E0 DD ED 01 0A 1B 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 0E D2 9D ED 01 0A ?? ?? ?? ?? 8D ED 08 0A F7 EE 00 0A 9D ED 08 0A 30 EE C0 0A 8D ED 01 0A 03 E0 B7 EE 00 0A 8D ED 01 0A 9D ED 02 0A B5 EE C0 0A F1 EE 10 FA 06 D2 9D ED 01 0A B1 EE 40 0A 8D ED 07 0A 03 E0 9D ED 01 0A 8D ED 07 0A 9D ED 07 0A 8D ED 03 0A 9D ED 03 0A 0A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_374_0_0 {
	meta:
		name = "crealf"
		size = 36
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 CD ED 03 0A 8D ED 02 0A 02 AB 93 ED 00 0A 8D ED 00 0A 9D ED 00 0A 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_375_5_0 {
	meta:
		name = "_mbsncmp_l"
		size = 276
		refs = "0014 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0028 strncmp 0040 _CrtDbgReportW 004a _errno 008a _invalid_parameter 0100 ??_C@_1HA@KANKOLPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0104 ??_C@_1BG@HJPKOFMJ@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0108 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 0D 46 04 46 02 A8 19 46 16 46 ?? ?? ?? ?? 00 2E 5E D0 04 98 83 68 2B B9 32 46 29 46 20 46 ?? ?? ?? ?? 5B E0 A4 B9 36 4B 37 4C 32 49 00 93 00 23 3B 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 3B 23 14 E0 DD B9 2B 4B 2A 4C 27 49 00 93 00 23 3C 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 3C 23 1F 49 1E 4A 20 46 ?? ?? ?? ?? 6F F0 00 40 28 E0 04 27 14 F8 01 2B 76 1E 50 FA 82 F3 5B 7E 3B 42 06 D0 23 78 0B B9 00 22 02 E0 43 EA 02 22 64 1C 15 F8 01 1B 50 FA 81 F3 5B 7E 3B 42 06 D0 2B 78 0B B9 00 21 02 E0 43 EA 01 21 6D 1C 8A 42 04 D1 0A B1 00 2E DD D1 00 20 03 E0 6F F0 00 00 88 BF 01 20 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 06 B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_376_0_0 {
	meta:
		name = "fegetenv"
		size = 52
		refs = "000a _getfpcontrolword 0016 _getfpstatusword"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 00 90 06 9A 00 9B 13 60 ?? ?? ?? ?? 01 90 06 9B 1A 1D 01 9B 13 60 00 23 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_378_3_0 {
	meta:
		name = "?_wcstombs_l_helper@@YAIPADPB_WIPAU__crt_locale_pointers@@@Z"
		size = 1456
		refs = "000a __security_push_cookie 006c _CrtDbgReportW 0084 _errno 00a2 _invalid_parameter 00b6 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00cc ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 010a ??1_LocaleUpdate@@QAA@XZ 0194 ?wcsncnt@@YAIPB_WI@Z 058c __security_pop_cookie 0598 __imp_WideCharToMultiByte 059c __imp_GetLastError 05a0 ??_C@_1CA@NOKNKDIG@?$AAp?$AAw?$AAc?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 05a4 ??_C@_1CG@LLJCAOHF@?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAl?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 05a8 ??_C@_1GI@EEJDEALP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 05ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 90 48 0D F1 08 0B ?? ?? ?? ?? BD B0 6F 46 84 B0 6F F0 01 03 C7 E9 38 33 00 23 3B 60 00 23 BB 60 D7 F8 08 31 00 2B 06 D0 D7 F8 10 31 00 2B 02 D1 00 23 7B 60 A6 E2 D7 F8 0C 31 00 2B 02 D0 01 23 3B 63 01 E0 00 23 3B 63 3B 6B 7B 63 7B 6B 00 2B 13 D1 DF F8 48 35 01 93 DF F8 4C 35 00 93 00 23 63 22 DF F8 40 15 02 20 ?? ?? ?? ?? C7 F8 B4 00 D7 F8 B4 30 01 2B 00 D1 FE DE 7B 6B 00 2B 14 D1 ?? ?? ?? ?? 38 64 3A 6C 16 23 13 60 00 23 00 93 63 23 DF F8 10 25 DF F8 08 15 DF F8 00 05 ?? ?? ?? ?? 6F F0 00 03 7B 60 6C E2 D7 F8 14 11 17 F1 10 00 ?? ?? ?? ?? C7 F8 DC 00 D7 F8 08 31 00 2B 00 F0 D1 81 17 F1 10 00 ?? ?? ?? ?? 78 64 7B 6C 1B 68 A0 33 08 33 1B 68 00 2B 46 D1 3A 68 D7 F8 10 31 9A 42 37 D2 D7 F8 0C 31 1B 88 FF 2B 0F DD ?? ?? ?? ?? B8 64 BA 6C 2A 23 13 60 6F F0 00 03 FB 64 17 F1 10 00 ?? ?? ?? ?? FB 6C 7B 60 39 E2 D7 F8 0C 31 1B 88 59 B2 3A 68 01 23 02 FB 03 F2 D7 F8 08 31 13 44 19 70 D7 F8 0C 31 1A 88 D7 F8 0C 31 9B 1C C7 F8 0C 31 00 2A 08 D1 3B 68 3B 65 17 F1 10 00 ?? ?? ?? ?? 3B 6D 7B 60 1A E2 3B 68 5B 1C 3B 60 C2 E7 3B 68 7B 65 17 F1 10 00 ?? ?? ?? ?? 7B 6D 7B 60 0D E2 7C E1 17 F1 10 00 ?? ?? ?? ?? B8 65 BB 6D 1B 68 1B 1D 1B 68 01 2B 58 D1 D7 F8 10 31 00 2B 09 D9 D7 F8 10 11 D7 F8 0C 01 ?? ?? ?? ?? F8 65 FB 6D C7 F8 10 31 17 F1 10 00 ?? ?? ?? ?? 38 66 17 F1 08 03 03 93 00 23 02 93 D7 F8 10 31 01 93 D7 F8 08 31 00 93 D7 F8 10 31 D7 F8 0C 21 00 21 38 6E 00 68 08 30 00 68 F1 4C 24 68 A0 47 78 66 7B 6E 3B 60 3B 68 00 2B 17 D0 BB 68 00 2B 14 D1 D7 F8 08 21 3B 68 13 44 5B 1E 93 F9 00 30 00 2B 02 D1 3B 68 5B 1E 3B 60 3B 68 BB 66 17 F1 10 00 ?? ?? ?? ?? BB 6E 7B 60 B9 E1 ?? ?? ?? ?? F8 66 FA 6E 2A 23 13 60 6F F0 00 03 3B 67 17 F1 10 00 ?? ?? ?? ?? 3B 6F 7B 60 A9 E1 18 E1 17 F1 10 00 ?? ?? ?? ?? 78 67 17 F1 08 03 03 93 00 23 02 93 D7 F8 10 31 01 93 D7 F8 08 31 00 93 6F F0 00 03 D7 F8 0C 21 00 21 78 6F 00 68 08 30 00 68 CB 4C 24 68 00 BF A0 47 B8 67 BB 6F 3B 60 3B 68 00 2B 0C D0 BB 68 00 2B 09 D1 3B 68 5B 1E FB 67 17 F1 10 00 ?? ?? ?? ?? FB 6F 7B 60 78 E1 BB 68 00 2B 09 D1 BF 4B 1B 68 00 BF 98 47 C7 F8 80 00 D7 F8 80 30 7A 2B 13 D0 ?? ?? ?? ?? C7 F8 84 00 D7 F8 84 20 2A 23 13 60 6F F0 00 03 C7 F8 88 30 17 F1 10 00 ?? ?? ?? ?? D7 F8 88 30 7B 60 57 E1 3A 68 D7 F8 10 31 9A 42 80 F0 B7 80 17 F1 10 00 ?? ?? ?? ?? C7 F8 8C 00 D7 F8 8C 30 1B 68 1B 1D 1B 68 BB 63 BB 6B 05 2B 02 DD 05 23 FB 63 01 E0 BB 6B FB 63 17 F1 10 00 ?? ?? ?? ?? C7 F8 90 00 17 F1 08 03 03 93 00 23 02 93 FB 6B 01 93 17 F1 E8 03 00 93 01 23 D7 F8 0C 21 00 21 D7 F8 90 00 00 68 08 30 00 68 96 4C 24 68 00 BF A0 47 C7 F8 94 00 D7 F8 94 30 3B 62 3B 6A 00 2B 02 D0 BB 68 00 2B 13 D0 ?? ?? ?? ?? C7 F8 98 00 D7 F8 98 20 2A 23 13 60 6F F0 00 03 C7 F8 9C 30 17 F1 10 00 ?? ?? ?? ?? D7 F8 9C 30 7B 60 01 E1 3B 6A 00 2B 02 DB 3B 6A 05 2B 13 D9 ?? ?? ?? ?? C7 F8 A0 00 D7 F8 A0 20 2A 23 13 60 6F F0 00 03 C7 F8 A4 30 17 F1 10 00 ?? ?? ?? ?? D7 F8 A4 30 7B 60 E7 E0 3A 68 3B 6A 1A 44 D7 F8 10 31 9A 42 0A D9 3B 68 C7 F8 A8 30 17 F1 10 00 ?? ?? ?? ?? D7 F8 A8 30 7B 60 D5 E0 00 23 7B 62 05 E0 7B 6A 5B 1C 7B 62 3B 68 5B 1C 3B 60 7A 6A 3B 6A 9A 42 27 DA 7A 6A 01 23 02 FB 03 F2 17 F1 E8 03 99 18 3A 68 01 23 02 FB 03 F2 D7 F8 08 31 1A 44 91 F9 00 30 13 70 3A 68 01 23 02 FB 03 F2 D7 F8 08 31 13 44 93 F9 00 30 00 2B 0A D1 3B 68 C7 F8 AC 30 17 F1 10 00 ?? ?? ?? ?? D7 F8 AC 30 7B 60 A1 E0 CD E7 D7 F8 0C 31 9B 1C C7 F8 0C 31 42 E7 3B 68 C7 F8 B0 30 17 F1 10 00 ?? ?? ?? ?? D7 F8 B0 30 7B 60 8F E0 8A E0 17 F1 10 00 ?? ?? ?? ?? C7 F8 CC 00 D7 F8 CC 30 1B 68 A0 33 08 33 1B 68 00 2B 34 D1 00 23 FB 62 D7 F8 0C 31 BB 62 02 E0 BB 6A 9B 1C BB 62 BB 6A 1B 88 00 2B 1B D0 BB 6A 1B 88 FF 2B 13 DD ?? ?? ?? ?? C7 F8 B8 00 D7 F8 B8 20 2A 23 13 60 6F F0 00 03 C7 F8 BC 30 17 F1 10 00 ?? ?? ?? ?? D7 F8 BC 30 7B 60 5B E0 FB 6A 5B 1C FB 62 DC E7 FB 6A C7 F8 C0 30 17 F1 10 00 ?? ?? ?? ?? D7 F8 C0 30 7B 60 4C E0 47 E0 17 F1 10 00 ?? ?? ?? ?? C7 F8 C4 00 17 F1 08 03 03 93 00 23 02 93 00 23 01 93 00 23 00 93 6F F0 00 03 D7 F8 0C 21 00 21 D7 F8 C4 00 00 68 08 30 00 68 1D 4C 24 68 00 BF A0 47 C7 F8 C8 00 D7 F8 C8 30 3B 60 3B 68 00 2B 02 D0 BB 68 00 2B 13 D0 ?? ?? ?? ?? C7 F8 D8 00 D7 F8 D8 20 2A 23 13 60 6F F0 00 03 C7 F8 D0 30 17 F1 10 00 ?? ?? ?? ?? D7 F8 D0 30 7B 60 0F E0 3B 68 5B 1E C7 F8 D4 30 17 F1 10 00 ?? ?? ?? ?? D7 F8 D4 30 7B 60 03 E0 17 F1 10 00 ?? ?? ?? ?? 78 68 41 B0 ?? ?? ?? ?? BD E8 90 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_378_5_0 {
	meta:
		name = "?wcsncnt@@YAIPB_WI@Z"
		size = 92
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 5B 1C 01 93 06 9B 00 93 01 9B 5B 1E 01 93 01 9B 00 2B 07 D0 00 9B 1B 88 00 2B 03 D0 00 9B 9B 1C 00 93 F1 E7 01 9B 00 2B 0A D0 00 9B 1B 88 00 2B 06 D1 00 9A 06 9B D3 1A 5B 10 5B 1C 02 93 01 E0 07 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_378_8_0 {
	meta:
		name = "_wcstombs_s_l"
		size = 752
		refs = "004c _CrtDbgReportW 0060 _errno 007a _invalid_parameter 00a8 _CrtGetDebugFillThreshold 00d0 memset 0166 ?_wcstombs_l_helper@@YAIPADPB_WIPAU__crt_locale_pointers@@@Z 02d8 ??_C@_1CM@KEOGBFLI@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 02dc ??_C@_1BM@BDMCLLDL@?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 02e0 ??_C@_1GI@EEJDEALP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 02e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02e8 ??_C@_1CM@LLECFMFH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AAS?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 02ec ??_C@_1JI@DFNKFCLG@?$AA?$CI?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9E B0 00 23 12 93 21 9B 00 2B 02 D0 22 9B 00 2B 08 D8 21 9B 00 2B 02 D1 22 9B 00 2B 02 D0 00 23 04 93 01 E0 01 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 AC 4B 01 93 A9 4B 00 93 00 23 4F F4 9F 72 A5 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 4F F4 9F 73 9A 4A 99 49 9C 48 ?? ?? ?? ?? 16 23 03 93 23 E1 21 9B 00 2B 24 D0 21 9A 00 23 13 70 22 9B B3 F1 FF 3F 1D D0 22 9A 6F F0 00 43 9A 42 18 D0 22 9B 01 2B 15 D9 ?? ?? ?? ?? 15 90 15 9B 06 93 22 9B 5A 1E 06 9B 93 42 02 D2 06 9B 07 93 02 E0 22 9B 5B 1E 07 93 07 9A FE 21 21 9B 58 1C ?? ?? ?? ?? 20 9B 00 2B 02 D0 20 9A 00 23 13 60 24 9A 22 9B 9A 42 02 D9 22 9B 08 93 01 E0 24 9B 08 93 08 9B 0B 93 0B 9A 6F F0 00 43 9A 42 02 D8 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 74 4B 01 93 72 4B 00 93 00 23 4F F4 A5 72 6F 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 4F F4 A5 73 64 4A 62 49 65 48 ?? ?? ?? ?? 16 23 03 93 B6 E0 25 9B 0B 9A 23 99 21 98 ?? ?? ?? ?? 18 90 18 9B 02 93 02 9B B3 F1 FF 3F 2E D1 21 9B 00 2B 24 D0 21 9A 00 23 13 70 22 9B B3 F1 FF 3F 1D D0 22 9A 6F F0 00 43 9A 42 18 D0 22 9B 01 2B 15 D9 ?? ?? ?? ?? 19 90 19 9B 0C 93 22 9B 5A 1E 0C 9B 93 42 02 D2 0C 9B 0D 93 02 E0 22 9B 5B 1E 0D 93 0D 9A FE 21 21 9B 58 1C ?? ?? ?? ?? ?? ?? ?? ?? 1A 90 1A 9B 1B 68 03 93 7A E0 02 9B 5B 1C 02 93 21 9B 00 2B 6C D0 02 9A 22 9B 9A 42 5F D9 24 9B B3 F1 FF 3F 57 D0 21 9A 00 23 13 70 22 9B B3 F1 FF 3F 1D D0 22 9A 6F F0 00 43 9A 42 18 D0 22 9B 01 2B 15 D9 ?? ?? ?? ?? 1B 90 1B 9B 0E 93 22 9B 5A 1E 0E 9B 93 42 02 D2 0E 9B 0F 93 02 E0 22 9B 5B 1E 0F 93 0F 9A FE 21 21 9B 58 1C ?? ?? ?? ?? 22 9A 02 9B 9A 42 02 D9 01 23 10 93 01 E0 00 23 10 93 10 9B 11 93 11 9B 00 2B 0F D1 1F 4B 01 93 21 4B 00 93 00 23 4F F4 B1 72 1E 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 11 9B 00 2B 11 D1 ?? ?? ?? ?? 1D 90 1D 9A 22 23 13 60 00 23 00 93 4F F4 B1 73 13 4A 11 49 10 48 ?? ?? ?? ?? 22 23 03 93 14 E0 22 9B 02 93 50 23 12 93 02 9B 5A 1E 01 23 02 FB 03 F2 21 9B 1A 44 00 23 13 70 20 9B 00 2B 02 D0 02 9A 20 9B 1A 60 12 9B 03 93 03 98 1E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_0_0 {
	meta:
		name = "?get_std_handle_id@@YAKH@Z"
		size = 76
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 93 01 9B 00 2B 06 D0 01 9B 01 2B 07 D0 01 9B 02 2B 08 D0 0B E0 6F F0 09 03 00 93 0A E0 6F F0 0A 03 00 93 06 E0 6F F0 0B 03 00 93 02 E0 6F F0 0B 03 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_379_1_0 {
	meta:
		name = "?initialize_inherited_file_handles_nolock@@YAXXZ"
		size = 288
		refs = "004e __acrt_lowio_ensure_fh_exists 0110 __pioinfo 0114 __imp_GetFileType 0118 _nhandle 011c __imp_GetStartupInfoW"
	strings:
		$1 = { 2D E9 00 48 EB 46 9E B0 0C A8 44 4B 1B 68 98 47 BD F8 62 30 00 2B 02 D0 19 9B 00 2B 00 D1 73 E0 19 9B 1B 68 04 93 19 9B 1B 1D 06 93 06 9A 04 9B 13 44 09 93 04 9B B3 F5 00 5F 02 DA 04 9B 05 93 02 E0 4F F4 00 53 05 93 05 9B 03 93 03 98 ?? ?? ?? ?? 03 9A 30 4B 1B 68 9A 42 02 DD 2E 4B 1B 68 03 93 06 9B 02 93 09 9B 01 93 00 23 00 93 08 E0 00 9B 5B 1C 00 93 02 9B 5B 1C 02 93 01 9B 1B 1D 01 93 00 9A 03 9B 9A 42 3E D0 01 9B 1B 68 07 93 07 9B B3 F1 FF 3F 00 D1 EA E7 01 9B 1B 68 13 F1 02 0F 00 D1 E4 E7 02 9B 1B 78 13 F0 01 0F 00 D1 DE E7 02 9B 1B 78 13 F0 08 0F 08 D1 07 98 15 4B 1B 68 98 47 0A 90 0A 9B 00 2B 00 D1 D0 E7 00 9B 9A 11 04 23 02 FB 03 F2 0D 4B 99 18 00 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 08 93 08 9B 03 F1 18 02 01 9B 1B 68 13 60 08 9B 03 F1 28 02 02 9B 1B 78 13 70 B3 E7 1E B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_2_0 {
	meta:
		name = "?initialize_stdio_handles_nolock@@YAXXZ"
		size = 372
		refs = "0076 ?get_std_handle_id@@YAKH@Z 0164 __piob 0168 __imp_GetFileType 016c __imp_GetStdHandle 0170 __pioinfo"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 00 23 02 93 02 E0 02 9B 5B 1C 02 93 02 9B 03 2B 00 F0 A1 80 02 9B 9A 11 04 23 02 FB 03 F2 52 4B 99 18 02 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 01 93 01 9B 18 33 1B 68 B3 F1 FF 3F 10 D0 01 9B 18 33 1B 68 13 F1 02 0F 0A D0 01 9B 28 33 1B 78 43 F0 80 01 01 9B 03 F1 28 02 CB B2 13 70 D1 E7 01 9B 03 F1 28 02 81 23 13 70 02 98 ?? ?? ?? ?? 06 90 06 98 3B 4B 1B 68 98 47 07 90 07 9B 03 93 03 9B B3 F1 FF 3F 06 D0 03 9B 00 2B 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 01 30 9D F8 01 30 00 2B 07 D0 03 98 2B 4B 1B 68 98 47 08 90 08 9B 05 93 01 E0 00 23 05 93 05 9B 04 93 04 9B 00 2B 22 D0 01 9B 03 F1 18 02 03 9B 13 60 04 9B DB B2 02 2B 0A D1 01 9B 28 33 1B 78 43 F0 40 01 01 9B 03 F1 28 02 CB B2 13 70 0D E0 04 9B DB B2 03 2B 09 D1 01 9B 28 33 1B 78 43 F0 08 01 01 9B 03 F1 28 02 CB B2 13 70 20 E0 01 9B 28 33 1B 78 43 F0 40 01 01 9B 03 F1 28 02 CB B2 13 70 01 9B 03 F1 18 02 6F F0 01 03 13 60 0A 4B 1B 68 00 2B 0C D0 02 9A 04 23 02 FB 03 F2 06 4B 1B 68 13 44 1B 68 03 F1 10 02 6F F0 01 03 13 60 57 E7 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_379_3_0 {
	meta:
		name = "__acrt_initialize_lowio"
		size = 68
		refs = "000e __acrt_lock 0018 __acrt_lowio_ensure_fh_exists 0026 ?initialize_inherited_file_handles_nolock@@YAXXZ 002a ?initialize_stdio_handles_nolock@@YAXXZ 0034 __acrt_unlock"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 07 20 ?? ?? ?? ?? 00 23 3B 70 00 20 ?? ?? ?? ?? 78 60 7B 68 00 2B 00 D0 05 E0 ?? ?? ?? ?? ?? ?? ?? ?? 01 23 3B 70 07 20 ?? ?? ?? ?? 3B 78 3B 72 38 7A 03 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_379_5_0 {
	meta:
		name = "__acrt_uninitialize_lowio"
		size = 108
		refs = "003e __acrt_lowio_destroy_handle_array 0068 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 80 2B 1B D2 00 9A 04 23 02 FB 03 F2 10 4B 13 44 1B 68 00 2B 00 D1 EF E7 00 9A 04 23 02 FB 03 F2 0B 4B 13 44 18 68 ?? ?? ?? ?? 00 9A 04 23 02 FB 03 F2 07 4B 1A 44 00 23 13 60 DD E7 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_380_4_0 {
	meta:
		name = "_mbsset_s_l"
		size = 472
		refs = "0024 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0034 _strset_s 00a6 _CrtGetDebugFillThreshold 00b8 memset 010c _CrtDbgReportW 0116 _errno 0128 _invalid_parameter 01c4 ??_C@_1HG@CPONDDPJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 01c8 ??_C@_1BI@KPNHPBOK@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 01cc ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 01d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01d4 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 87 B0 06 46 00 2E 17 46 0C 46 4F F0 00 08 00 F0 B8 80 00 2C 00 F0 B5 80 02 A8 19 46 ?? ?? ?? ?? 04 99 8B 68 2B B9 3A 46 21 46 30 46 ?? ?? ?? ?? 9C E0 3B 0A 5F FA 83 FE F8 B2 00 27 BE F1 00 0F 32 46 25 46 1B D0 F8 B1 0E EB 01 03 5B 7E 13 F0 04 0F 19 D0 33 78 0A E0 6D 1E 35 D0 53 78 4B B1 82 F8 00 E0 6D 1E 30 D0 50 70 12 F8 02 3F 00 2B F2 D1 29 E0 17 70 6D 1C 4F F0 01 08 24 E0 43 18 5B 7E 13 F0 04 0F 16 D0 00 23 33 70 B4 F1 FF 3F 65 D0 6F F0 00 43 9C 42 61 D0 01 2C 5F D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 70 1C FE 21 ?? ?? ?? ?? 53 E0 33 78 04 E0 6D 1E 04 D0 10 70 12 F8 01 3F 00 2B F8 D1 75 BB 37 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 70 1C FE 21 ?? ?? ?? ?? 34 4B 35 4C 30 49 00 93 00 23 4D 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 2B 49 29 4A 16 23 03 60 4D 23 20 46 00 97 ?? ?? ?? ?? 16 20 21 E0 B4 F1 FF 3F 14 D0 6F F0 00 43 9C 42 10 D0 63 1B 5B 1C A3 42 0C D2 ?? ?? ?? ?? 02 46 6B 1E 9A 42 28 BF 1A 46 73 1B 23 44 58 1C FE 21 ?? ?? ?? ?? B8 F1 00 0F 05 D0 ?? ?? ?? ?? 2A 23 03 60 2A 20 00 E0 00 20 9D F8 14 30 0B B3 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 19 E0 11 4B 0F 4C 0D 49 00 93 00 23 19 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 06 49 05 4A 00 23 00 93 19 23 20 46 ?? ?? ?? ?? 16 20 07 B0 BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_381_0_0 {
	meta:
		name = "_dclass"
		size = 40
		refs = "000e _dtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 BD F9 04 00 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_425_0_0 {
	meta:
		name = "_ldclass"
		size = 40
		refs = "000e _ldtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 BD F9 04 00 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_381_1_0 {
	meta:
		name = "_dpcomp"
		size = 124
		refs = "0012 _dtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 02 1B 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 08 D0 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 03 D1 00 23 01 93 1C E0 1B E0 9D ED 04 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 03 D2 01 23 01 93 0F E0 0E E0 9D ED 02 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 03 D2 04 23 01 93 02 E0 01 E0 02 23 01 93 01 98 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_425_1_0 {
	meta:
		name = "_ldpcomp"
		size = 124
		refs = "0012 _ldtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 02 1B 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 08 D0 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 03 D1 00 23 01 93 1C E0 1B E0 9D ED 04 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 03 D2 01 23 01 93 0F E0 0E E0 9D ED 02 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 03 D2 04 23 01 93 02 E0 01 E0 02 23 01 93 01 98 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_381_2_0 {
	meta:
		name = "_dsign"
		size = 32
		altNames = "_ldsign"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 02 0B 02 AB 9B 1D 1B 88 03 F4 00 43 00 93 00 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_381_3_0 {
	meta:
		name = "nan"
		size = 40
		refs = "0024 _Nan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 06 4B 93 ED 00 0B 8D ED 00 0B 9D ED 00 0B 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_425_3_0 {
	meta:
		name = "nanl"
		size = 40
		refs = "0024 _LNan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 06 4B 93 ED 00 0B 8D ED 00 0B 9D ED 00 0B 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_382_0_0 {
	meta:
		name = "_wcsrev"
		size = 102
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 01 93 01 9B 1A 88 01 9B 9B 1C 01 93 00 2A 00 D0 F7 E7 01 9B 1B 1F 01 93 06 9B 02 93 02 9A 01 9B 9A 42 12 D2 02 9B 1B 88 AD F8 00 30 01 9B 1A 88 02 9B 1A 80 02 9B 9B 1C 02 93 BD F8 00 20 01 9B 1A 80 01 9B 9B 1E 01 93 E8 E7 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_383_0_0 {
	meta:
		name = "??$common_fopen_s@D@@YAHQAPAU_iobuf@@QBD1@Z"
		size = 180
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0070 ??$common_fsopen@D@@YAPAU_iobuf@@QBD0H@Z 00a4 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a8 ??_C@_1BO@JGGJAKB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAo?$AAp?$AAe?$AAn?$AA_?$AAs?$AA?$AA@ 00ac ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 1F 4B 01 93 21 4B 00 93 00 23 4E 22 1E 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 4E 23 14 4A 12 49 11 48 ?? ?? ?? ?? 16 23 02 93 15 E0 80 22 0E 99 0D 98 ?? ?? ?? ?? 07 90 07 9A 0C 9B 1A 60 0C 9B 1B 68 00 2B 06 D1 ?? ?? ?? ?? 08 90 08 9B 1B 68 02 93 01 E0 00 23 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_383_1_0 {
	meta:
		name = "??$common_fopen_s@_W@@YAHQAPAU_iobuf@@QB_W1@Z"
		size = 180
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0070 ??$common_fsopen@_W@@YAPAU_iobuf@@QB_W0H@Z 00a4 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a8 ??_C@_1BO@JGGJAKB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAo?$AAp?$AAe?$AAn?$AA_?$AAs?$AA?$AA@ 00ac ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 1F 4B 01 93 21 4B 00 93 00 23 4E 22 1E 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 4E 23 14 4A 12 49 11 48 ?? ?? ?? ?? 16 23 02 93 15 E0 80 22 0E 99 0D 98 ?? ?? ?? ?? 07 90 07 9A 0C 9B 1A 60 0C 9B 1B 68 00 2B 06 D1 ?? ?? ?? ?? 08 90 08 9B 1B 68 02 93 01 E0 00 23 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_383_2_0 {
	meta:
		name = "??$common_fsopen@D@@YAPAU_iobuf@@QBD0H@Z"
		size = 476
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0152 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 0158 ?valid@__crt_stdio_stream@@QBA_NXZ 017c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0196 ??$open_file@ABQBDABQBDABHPAU_iobuf@@@?$__crt_char_traits@D@@SAPAU_iobuf@@ABQBD0ABH$$QAPAU1@@Z 01a8 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 01ae ?unlock@__crt_stdio_stream@@QBAXXZ 01c4 ??_C@_1BG@HEFEIBLN@?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01c8 ??_C@_1BM@HBDCPLIA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 01cc ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01d4 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01d8 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 95 B0 6F 46 82 B0 3B 6E 00 2B 02 D0 01 23 3B 61 01 E0 00 23 3B 61 3B 69 7B 61 7B 69 00 2B 0E D1 6B 4B 01 93 68 4B 00 93 00 23 1E 22 65 49 02 20 ?? ?? ?? ?? B8 62 BB 6A 01 2B 00 D1 FE DE 7B 69 00 2B 10 D1 ?? ?? ?? ?? F8 62 FA 6A 16 23 13 60 00 23 00 93 1E 23 5A 4A 59 49 5C 48 ?? ?? ?? ?? 00 23 BB 60 A2 E0 7B 6E 00 2B 02 D0 01 23 BB 61 01 E0 00 23 BB 61 BB 69 FB 61 FB 69 00 2B 0E D1 52 4B 01 93 50 4B 00 93 00 23 1F 22 4D 49 02 20 ?? ?? ?? ?? 38 63 3B 6B 01 2B 00 D1 FE DE FB 69 00 2B 10 D1 ?? ?? ?? ?? 78 63 7A 6B 16 23 13 60 00 23 00 93 1F 23 42 4A 41 49 43 48 ?? ?? ?? ?? 00 23 BB 60 72 E0 7B 6E 93 F9 00 30 00 2B 02 D0 01 23 3B 62 01 E0 00 23 3B 62 3B 6A 7B 62 7B 6A 00 2B 0E D1 35 4B 01 93 37 4B 00 93 00 23 20 22 34 49 02 20 ?? ?? ?? ?? B8 63 BB 6B 01 2B 00 D1 FE DE 7B 6A 00 2B 10 D1 ?? ?? ?? ?? F8 63 FA 6B 16 23 13 60 00 23 00 93 20 23 29 4A 28 49 26 48 ?? ?? ?? ?? 00 23 BB 60 40 E0 3B 6E 93 F9 00 30 00 2B 08 D1 ?? ?? ?? ?? 38 64 3A 6C 16 23 13 60 00 23 BB 60 32 E0 38 1D ?? ?? ?? ?? 38 1D ?? ?? ?? ?? 38 70 3B 78 00 2B 08 D1 ?? ?? ?? ?? 78 64 7A 6C 18 23 13 60 00 23 BB 60 1F E0 00 23 FB 60 38 1D ?? ?? ?? ?? B8 64 BB 6C FB 64 17 F1 4C 03 17 F1 68 02 17 F1 64 01 17 F1 60 00 ?? ?? ?? ?? 38 65 3B 6D FB 60 FB 68 00 2B 02 D1 78 68 ?? ?? ?? ?? 38 1D ?? ?? ?? ?? FB 68 BB 60 B8 68 17 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_383_3_0 {
	meta:
		name = "?fin$0@?0???$common_fsopen@D@@YAPAU_iobuf@@QBD0H@Z@4HA"
		size = 28
		refs = "000c ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 0012 ?unlock@__crt_stdio_stream@@QBAXXZ"
		altNames = "?fin$0@?0???$common_fsopen@_W@@YAPAU_iobuf@@QB_W0H@Z@4HA"
	strings:
		$1 = { 10 B5 82 B0 FB 68 00 2B 02 D1 78 68 ?? ?? ?? ?? 38 1D ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_383_4_0 {
	meta:
		name = "??$common_fsopen@_W@@YAPAU_iobuf@@QB_W0H@Z"
		size = 472
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 014e ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 0154 ?valid@__crt_stdio_stream@@QBA_NXZ 0178 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0192 ??$open_file@ABQB_WABQB_WABHPAU_iobuf@@@?$__crt_char_traits@_W@@SAPAU_iobuf@@ABQB_W0ABH$$QAPAU1@@Z 01a4 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 01aa ?unlock@__crt_stdio_stream@@QBAXXZ 01c0 ??_C@_1BG@HEFEIBLN@?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01c4 ??_C@_1BM@HBDCPLIA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 01c8 ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01d0 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01d4 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 95 B0 6F 46 82 B0 3B 6E 00 2B 02 D0 01 23 3B 61 01 E0 00 23 3B 61 3B 69 7B 61 7B 69 00 2B 0E D1 6A 4B 01 93 67 4B 00 93 00 23 1E 22 64 49 02 20 ?? ?? ?? ?? B8 62 BB 6A 01 2B 00 D1 FE DE 7B 69 00 2B 10 D1 ?? ?? ?? ?? F8 62 FA 6A 16 23 13 60 00 23 00 93 1E 23 59 4A 58 49 5B 48 ?? ?? ?? ?? 00 23 BB 60 A0 E0 7B 6E 00 2B 02 D0 01 23 BB 61 01 E0 00 23 BB 61 BB 69 FB 61 FB 69 00 2B 0E D1 51 4B 01 93 4F 4B 00 93 00 23 1F 22 4C 49 02 20 ?? ?? ?? ?? 38 63 3B 6B 01 2B 00 D1 FE DE FB 69 00 2B 10 D1 ?? ?? ?? ?? 78 63 7A 6B 16 23 13 60 00 23 00 93 1F 23 41 4A 40 49 42 48 ?? ?? ?? ?? 00 23 BB 60 70 E0 7B 6E 1B 88 00 2B 02 D0 01 23 3B 62 01 E0 00 23 3B 62 3B 6A 7B 62 7B 6A 00 2B 0E D1 34 4B 01 93 36 4B 00 93 00 23 20 22 33 49 02 20 ?? ?? ?? ?? B8 63 BB 6B 01 2B 00 D1 FE DE 7B 6A 00 2B 10 D1 ?? ?? ?? ?? F8 63 FA 6B 16 23 13 60 00 23 00 93 20 23 29 4A 27 49 26 48 ?? ?? ?? ?? 00 23 BB 60 3F E0 3B 6E 1B 88 00 2B 08 D1 ?? ?? ?? ?? 38 64 3A 6C 16 23 13 60 00 23 BB 60 32 E0 38 1D ?? ?? ?? ?? 38 1D ?? ?? ?? ?? 38 70 3B 78 00 2B 08 D1 ?? ?? ?? ?? 78 64 7A 6C 18 23 13 60 00 23 BB 60 1F E0 00 23 FB 60 38 1D ?? ?? ?? ?? B8 64 BB 6C FB 64 17 F1 4C 03 17 F1 68 02 17 F1 64 01 17 F1 60 00 ?? ?? ?? ?? 38 65 3B 6D FB 60 FB 68 00 2B 02 D1 78 68 ?? ?? ?? ?? 38 1D ?? ?? ?? ?? FB 68 BB 60 B8 68 17 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_383_12_0 {
	meta:
		name = "_wfopen"
		size = 38
		refs = "0010 ??$common_fsopen@_W@@YAPAU_iobuf@@QB_W0H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 40 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_383_15_0 {
	meta:
		name = "fopen"
		size = 38
		refs = "0010 ??$common_fsopen@D@@YAPAU_iobuf@@QBD0H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 40 22 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_384_0_0 {
	meta:
		name = "_LHypot"
		size = 716
		refs = "0016 _ldunscale 0152 __rt_sdiv 017a _ldscale 01e8 sqrtl 02b4 ?oneplusroot2high@?6??_LHypot@@9@9 02b8 ?oneplusroot2low@?6??_LHypot@@9@9 02bc ?root2@?6??_LHypot@@9@9 02c8 _LInf_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 8D ED 02 1B 8D ED 04 0B 04 A9 68 46 ?? ?? ?? ?? AD F8 1C 00 BD F9 1C 30 AD F8 18 30 02 A9 0D F1 02 00 ?? ?? ?? ?? AD F8 1E 00 BD F9 1E 30 AD F8 1A 30 1E 9A 00 23 13 60 BD F9 18 30 01 2B 03 D0 BD F9 1A 30 01 2B 06 D1 9D 4B 93 ED 00 0B 8D ED 0C 0B 22 E1 21 E1 BD F9 18 30 02 2B 05 D1 9D ED 04 0B 8D ED 0C 0B 18 E1 17 E1 BD F9 1A 30 02 2B 05 D1 9D ED 02 0B 8D ED 0C 0B 0E E1 0D E1 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 0C D1 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 04 D1 9F ED 79 0B 8D ED 0C 0B E0 E0 33 E0 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 14 D0 BD F9 00 20 BD F9 02 30 9A 42 0E DB BD F9 00 20 BD F9 02 30 9A 42 20 D1 9D ED 04 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 17 D2 BD F9 00 30 AD F8 20 30 9D ED 04 0B 8D ED 14 0B BD F9 02 30 AD F8 00 30 BD F9 20 30 AD F8 02 30 9D ED 02 0B 8D ED 04 0B 9D ED 14 0B 8D ED 02 0B BD F9 00 10 04 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 1E 9B 1A 60 1E 9B 1B 68 00 2B 02 D1 1E 9A 02 23 13 60 BD F9 00 20 1E 9B 1B 68 D1 1A 04 A8 ?? ?? ?? ?? BD F9 02 20 1E 9B 1B 68 D1 1A 02 A8 ?? ?? ?? ?? 9D ED 04 1B 9D ED 02 0B 31 EE 40 0B 8D ED 0A 0B 9D ED 0A 1B 9D ED 04 0B B4 EE 40 1B F1 EE 10 FA 00 D1 74 E0 9D ED 02 1B 9D ED 0A 0B B4 EE C0 1B F1 EE 10 FA 26 D2 9D ED 04 1B 9D ED 02 0B 81 EE 00 0B 8D ED 0E 0B 9D ED 0E 1B 9D ED 0E 0B 21 EE 00 1B B7 EE 00 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 16 0B 9D ED 0E 1B 9D ED 16 0B 31 EE 00 1B 9D ED 02 0B 80 EE 01 1B 9D ED 04 0B 30 EE 01 0B 8D ED 0A 0B 44 E0 9D ED 0A 1B 9D ED 02 0B 81 EE 00 0B 8D ED 10 0B 9D ED 10 1B B0 EE 00 0B 31 EE 00 1B 9D ED 10 0B 21 EE 00 0B 8D ED 12 0B 9D ED 12 1B B0 EE 00 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 18 0B 1B 4B 93 ED 00 1B 9D ED 18 0B 31 EE 00 1B 9D ED 12 0B 80 EE 01 1B 14 4B 93 ED 00 0B 31 EE 00 1B 9D ED 10 0B 31 EE 00 1B 0F 4B 93 ED 00 0B 31 EE 00 0B 8D ED 1A 0B 9D ED 02 1B 9D ED 1A 0B 81 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 0C 0B 9D ED 0C 0B 1C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_613_0_0 {
	meta:
		name = "_Hypot"
		size = 716
		refs = "0016 _dunscale 0152 __rt_sdiv 017a _dscale 01e8 sqrt 02b4 ?oneplusroot2high@?6??_Hypot@@9@9 02b8 ?oneplusroot2low@?6??_Hypot@@9@9 02bc ?root2@?6??_Hypot@@9@9 02c8 _Inf_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 8D ED 02 1B 8D ED 04 0B 04 A9 68 46 ?? ?? ?? ?? AD F8 1C 00 BD F9 1C 30 AD F8 18 30 02 A9 0D F1 02 00 ?? ?? ?? ?? AD F8 1E 00 BD F9 1E 30 AD F8 1A 30 1E 9A 00 23 13 60 BD F9 18 30 01 2B 03 D0 BD F9 1A 30 01 2B 06 D1 9D 4B 93 ED 00 0B 8D ED 0C 0B 22 E1 21 E1 BD F9 18 30 02 2B 05 D1 9D ED 04 0B 8D ED 0C 0B 18 E1 17 E1 BD F9 1A 30 02 2B 05 D1 9D ED 02 0B 8D ED 0C 0B 0E E1 0D E1 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 0C D1 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 04 D1 9F ED 79 0B 8D ED 0C 0B E0 E0 33 E0 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 14 D0 BD F9 00 20 BD F9 02 30 9A 42 0E DB BD F9 00 20 BD F9 02 30 9A 42 20 D1 9D ED 04 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 17 D2 BD F9 00 30 AD F8 20 30 9D ED 04 0B 8D ED 14 0B BD F9 02 30 AD F8 00 30 BD F9 20 30 AD F8 02 30 9D ED 02 0B 8D ED 04 0B 9D ED 14 0B 8D ED 02 0B BD F9 00 10 04 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 1E 9B 1A 60 1E 9B 1B 68 00 2B 02 D1 1E 9A 02 23 13 60 BD F9 00 20 1E 9B 1B 68 D1 1A 04 A8 ?? ?? ?? ?? BD F9 02 20 1E 9B 1B 68 D1 1A 02 A8 ?? ?? ?? ?? 9D ED 04 1B 9D ED 02 0B 31 EE 40 0B 8D ED 0A 0B 9D ED 0A 1B 9D ED 04 0B B4 EE 40 1B F1 EE 10 FA 00 D1 74 E0 9D ED 02 1B 9D ED 0A 0B B4 EE C0 1B F1 EE 10 FA 26 D2 9D ED 04 1B 9D ED 02 0B 81 EE 00 0B 8D ED 0E 0B 9D ED 0E 1B 9D ED 0E 0B 21 EE 00 1B B7 EE 00 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 16 0B 9D ED 0E 1B 9D ED 16 0B 31 EE 00 1B 9D ED 02 0B 80 EE 01 1B 9D ED 04 0B 30 EE 01 0B 8D ED 0A 0B 44 E0 9D ED 0A 1B 9D ED 02 0B 81 EE 00 0B 8D ED 10 0B 9D ED 10 1B B0 EE 00 0B 31 EE 00 1B 9D ED 10 0B 21 EE 00 0B 8D ED 12 0B 9D ED 12 1B B0 EE 00 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 18 0B 1B 4B 93 ED 00 1B 9D ED 18 0B 31 EE 00 1B 9D ED 12 0B 80 EE 01 1B 14 4B 93 ED 00 0B 31 EE 00 1B 9D ED 10 0B 31 EE 00 1B 0F 4B 93 ED 00 0B 31 EE 00 0B 8D ED 1A 0B 9D ED 02 1B 9D ED 1A 0B 81 EE 00 1B 9D ED 04 0B 30 EE 01 0B 8D ED 0A 0B 9D ED 0A 0B 8D ED 0C 0B 9D ED 0C 0B 1C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_384_1_0 {
	meta:
		name = "csqrtl"
		size = 884
		refs = "0018 creall 0030 cimagl 0042 _ldtest 0064 _LCbuild 019c _LHypot 020e ldexpl 0232 sqrtl 023e __rt_sdiv 036c _LInf_C 0370 _LZero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 CA B0 8D ED 10 1B 8D ED 0E 0B 9D ED 0E 0B 9D ED 10 1B ?? ?? ?? ?? 8D ED 18 0B 9D ED 18 0B 8D ED 0A 0B 9D ED 0E 0B 9D ED 10 1B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 1A 0B 8D ED 00 0B 68 46 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 08 30 BD F9 08 30 01 2B 14 D1 9D ED 00 1B C3 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 28 1B 8D ED 26 0B 9D ED 26 0B 8D ED 06 0B 9D ED 28 0B 8D ED 08 0B 68 E1 86 E0 0A A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 01 2B 00 D0 7C E0 BD F9 08 30 02 2B 24 D1 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 13 D2 9D ED 0A 1B 9D ED 00 0B ?? ?? ?? ?? 8D ED 2C 1B 8D ED 2A 0B 9D ED 2A 0B 8D ED 06 0B 9D ED 2C 0B 8D ED 08 0B 3F E1 08 E0 9D ED 0E 0B 8D ED 06 0B 9D ED 10 0B 8D ED 08 0B 35 E1 53 E0 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 26 D2 6B 46 9B 1D 1B 88 13 F4 00 4F 07 D0 99 4B 93 ED 00 0B B1 EE 40 0B 8D ED 12 0B 04 E0 95 4B 93 ED 00 0B 8D ED 12 0B 9D ED 12 1B 9F ED 90 0B ?? ?? ?? ?? 8D ED 30 1B 8D ED 2E 0B 9D ED 2E 0B 8D ED 06 0B 9D ED 30 0B 8D ED 08 0B 07 E1 25 E0 6B 46 9B 1D 1B 88 13 F4 00 4F 07 D0 87 4B 93 ED 00 0B B1 EE 40 0B 8D ED 14 0B 03 E0 9F ED 80 0B 8D ED 14 0B 9D ED 14 1B 7F 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 34 1B 8D ED 32 0B 9D ED 32 0B 8D ED 06 0B 9D ED 34 0B 8D ED 08 0B E0 E0 0D A8 9D ED 00 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 1C 0B 8D ED 04 0B 0D 9B 00 2B 17 D1 9D ED 00 1B 9D ED 04 0B 21 EE 00 1B 9D ED 04 0B ?? ?? ?? ?? 8D ED 38 1B 8D ED 36 0B 9D ED 36 0B 8D ED 06 0B 9D ED 38 0B 8D ED 08 0B B9 E0 B8 E0 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 0A 0B B1 EE 40 0B 8D ED 16 0B 03 E0 9D ED 0A 0B 8D ED 16 0B 0D 9B 58 42 9D ED 16 0B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1E 0B 8D ED 20 0B 9D ED 20 1B 9D ED 04 0B 31 EE 00 1B B0 EE 00 0B 20 EE 01 0B ?? ?? ?? ?? 8D ED 22 0B 0D 99 02 20 ?? ?? ?? ?? 40 1E 9D ED 22 0B ?? ?? ?? ?? 8D ED 24 0B 9D ED 24 0B 8D ED 04 0B 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 1B DB B0 EE 00 1B 9D ED 04 0B 21 EE 00 1B 9D ED 00 0B 80 EE 01 1B 9D ED 04 0B ?? ?? ?? ?? 8D ED 3C 1B 8D ED 3A 0B 9D ED 3A 0B 8D ED 06 0B 9D ED 3C 0B 8D ED 08 0B 5B E0 5A E0 6B 46 9B 1D 1B 88 13 F4 00 4F 1F D0 9D ED 04 0B B1 EE 40 1B 9D ED 00 0B B1 EE 40 3B B0 EE 00 2B 9D ED 04 0B 22 EE 00 0B 83 EE 00 0B ?? ?? ?? ?? 8D ED 40 1B 8D ED 3E 0B 9D ED 3E 0B 8D ED 06 0B 9D ED 40 0B 8D ED 08 0B 35 E0 34 E0 9D ED 00 0B B5 EE 40 0B F1 EE 10 FA 13 D1 9D ED 04 1B 9F ED 19 0B ?? ?? ?? ?? 8D ED 44 1B 8D ED 42 0B 9D ED 42 0B 8D ED 06 0B 9D ED 44 0B 8D ED 08 0B 1A E0 19 E0 9D ED 04 1B B0 EE 00 2B 9D ED 04 0B 22 EE 00 2B 9D ED 00 0B 80 EE 02 0B ?? ?? ?? ?? 8D ED 48 1B 8D ED 46 0B 9D ED 46 0B 8D ED 06 0B 9D ED 48 0B 8D ED 08 0B 9D ED 06 0B 9D ED 08 1B 4A B0 BD E8 00 88 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_613_1_0 {
	meta:
		name = "csqrt"
		size = 884
		refs = "0018 creal 0030 cimag 0042 _dtest 0064 _Cbuild 019c _Hypot 020e ldexp 0232 sqrt 023e __rt_sdiv 036c _Inf_C 0370 _Zero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 CA B0 8D ED 10 1B 8D ED 0E 0B 9D ED 0E 0B 9D ED 10 1B ?? ?? ?? ?? 8D ED 18 0B 9D ED 18 0B 8D ED 0A 0B 9D ED 0E 0B 9D ED 10 1B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 1A 0B 8D ED 00 0B 68 46 ?? ?? ?? ?? AD F8 30 00 BD F9 30 30 AD F8 08 30 BD F9 08 30 01 2B 14 D1 9D ED 00 1B C3 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 28 1B 8D ED 26 0B 9D ED 26 0B 8D ED 06 0B 9D ED 28 0B 8D ED 08 0B 68 E1 86 E0 0A A8 ?? ?? ?? ?? AD F8 32 00 BD F9 32 30 01 2B 00 D0 7C E0 BD F9 08 30 02 2B 24 D1 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 13 D2 9D ED 0A 1B 9D ED 00 0B ?? ?? ?? ?? 8D ED 2C 1B 8D ED 2A 0B 9D ED 2A 0B 8D ED 06 0B 9D ED 2C 0B 8D ED 08 0B 3F E1 08 E0 9D ED 0E 0B 8D ED 06 0B 9D ED 10 0B 8D ED 08 0B 35 E1 53 E0 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 26 D2 6B 46 9B 1D 1B 88 13 F4 00 4F 07 D0 99 4B 93 ED 00 0B B1 EE 40 0B 8D ED 12 0B 04 E0 95 4B 93 ED 00 0B 8D ED 12 0B 9D ED 12 1B 9F ED 90 0B ?? ?? ?? ?? 8D ED 30 1B 8D ED 2E 0B 9D ED 2E 0B 8D ED 06 0B 9D ED 30 0B 8D ED 08 0B 07 E1 25 E0 6B 46 9B 1D 1B 88 13 F4 00 4F 07 D0 87 4B 93 ED 00 0B B1 EE 40 0B 8D ED 14 0B 03 E0 9F ED 80 0B 8D ED 14 0B 9D ED 14 1B 7F 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 34 1B 8D ED 32 0B 9D ED 32 0B 8D ED 06 0B 9D ED 34 0B 8D ED 08 0B E0 E0 0D A8 9D ED 00 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 1C 0B 8D ED 04 0B 0D 9B 00 2B 17 D1 9D ED 00 1B 9D ED 04 0B 21 EE 00 1B 9D ED 04 0B ?? ?? ?? ?? 8D ED 38 1B 8D ED 36 0B 9D ED 36 0B 8D ED 06 0B 9D ED 38 0B 8D ED 08 0B B9 E0 B8 E0 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 0A 0B B1 EE 40 0B 8D ED 16 0B 03 E0 9D ED 0A 0B 8D ED 16 0B 0D 9B 58 42 9D ED 16 0B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1E 0B 8D ED 20 0B 9D ED 20 1B 9D ED 04 0B 31 EE 00 1B B0 EE 00 0B 20 EE 01 0B ?? ?? ?? ?? 8D ED 22 0B 0D 99 02 20 ?? ?? ?? ?? 40 1E 9D ED 22 0B ?? ?? ?? ?? 8D ED 24 0B 9D ED 24 0B 8D ED 04 0B 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 1B DB B0 EE 00 1B 9D ED 04 0B 21 EE 00 1B 9D ED 00 0B 80 EE 01 1B 9D ED 04 0B ?? ?? ?? ?? 8D ED 3C 1B 8D ED 3A 0B 9D ED 3A 0B 8D ED 06 0B 9D ED 3C 0B 8D ED 08 0B 5B E0 5A E0 6B 46 9B 1D 1B 88 13 F4 00 4F 1F D0 9D ED 04 0B B1 EE 40 1B 9D ED 00 0B B1 EE 40 3B B0 EE 00 2B 9D ED 04 0B 22 EE 00 0B 83 EE 00 0B ?? ?? ?? ?? 8D ED 40 1B 8D ED 3E 0B 9D ED 3E 0B 8D ED 06 0B 9D ED 40 0B 8D ED 08 0B 35 E0 34 E0 9D ED 00 0B B5 EE 40 0B F1 EE 10 FA 13 D1 9D ED 04 1B 9F ED 19 0B ?? ?? ?? ?? 8D ED 44 1B 8D ED 42 0B 9D ED 42 0B 8D ED 06 0B 9D ED 44 0B 8D ED 08 0B 1A E0 19 E0 9D ED 04 1B B0 EE 00 2B 9D ED 04 0B 22 EE 00 2B 9D ED 00 0B 80 EE 02 0B ?? ?? ?? ?? 8D ED 48 1B 8D ED 46 0B 9D ED 46 0B 8D ED 06 0B 9D ED 48 0B 8D ED 08 0B 9D ED 06 0B 9D ED 08 1B 4A B0 BD E8 00 88 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_385_15_0 {
	meta:
		name = "call_wsetlocale"
		size = 280
		refs = "0014 _wsetlocale 002e mbstowcs_s 004c _invoke_watson_if_oneof 005c _calloc_dbg 0066 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 006c ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 007e ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0104 ??_C@_1JE@MHNHEPNK@?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAw?$AAi?$AAd?$AAe?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?4@ 0108 ??_C@_1CA@DEKPAMPG@?$AAc?$AAa?$AAl?$AAl?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 010c ??_C@_1GI@BNKDKMPA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0110 ??_C@_0DE@PCFEELDP@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0114 ??_C@_1HC@ODOEFNJK@?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AA0?$AA?0?$AA?5?$AAn?$AAa@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 17 9B 00 2B 07 D1 00 21 16 98 ?? ?? ?? ?? 07 90 07 9B 05 93 6B E0 6F F0 00 43 00 93 17 9B 00 22 00 21 06 A8 ?? ?? ?? ?? 08 90 00 23 03 93 15 23 02 93 33 4B 01 93 31 4B 00 93 33 4B 22 22 16 21 08 98 ?? ?? ?? ?? 17 23 00 93 2E 4B 02 22 02 21 06 98 ?? ?? ?? ?? 09 90 09 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 07 D1 00 23 0B 93 04 A8 ?? ?? ?? ?? 0B 9B 05 93 37 E0 04 A8 ?? ?? ?? ?? 0C 90 6F F0 00 03 00 93 17 9B 06 9A 0C 99 00 20 ?? ?? ?? ?? 0D 90 00 23 03 93 1B 23 02 93 17 4B 01 93 15 4B 00 93 13 4B 22 22 16 21 0D 98 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 07 D0 00 23 0F 93 04 A8 ?? ?? ?? ?? 0F 9B 05 93 0F E0 04 A8 ?? ?? ?? ?? 10 90 10 99 16 98 ?? ?? ?? ?? 11 90 11 9B 12 93 04 A8 ?? ?? ?? ?? 12 9B 05 93 05 98 14 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_385_16_0 {
	meta:
		name = "setlocale"
		size = 52
		refs = "000a __acrt_eagerly_load_locale_apis 0014 ??0<lambda_87849dbe581bdf47b379eb01181f234f>@@QAA@AAHAAPBD@Z 001e ??$__acrt_lock_and_call@V<lambda_87849dbe581bdf47b379eb01181f234f>@@@@YAPADW4__acrt_lock_id@@$$QAV<lambda_87849dbe581bdf47b379eb01181f234f>@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 09 AA 08 A9 04 A8 ?? ?? ?? ?? 00 90 00 99 04 20 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_386_0_0 {
	meta:
		name = "cexpf"
		size = 660
		refs = "0018 crealf 0030 cimagf 0042 _fdtest 0146 cosf 0162 sinf 0186 _fperrraise 023a _fdexp 025e _FCbuild 0288 _FNan_C 0290 _FZero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 96 B0 CD ED 09 0A 8D ED 08 0A 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 0A 0A 9D ED 0A 0A 8D ED 01 0A 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 0B 0A 9D ED 0B 0A 8D ED 02 0A 01 A8 ?? ?? ?? ?? AD F8 16 00 BD F9 16 30 AD F8 14 30 02 A8 ?? ?? ?? ?? AD F8 18 00 BD F9 18 30 AD F8 00 30 BD F9 14 30 02 2B 15 D1 BD F9 00 30 00 2B 08 D1 9D ED 01 0A 8D ED 04 0A 9D ED 02 0A 8D ED 03 0A 07 E0 9D ED 01 0A 8D ED 04 0A 9D ED 01 0A 8D ED 03 0A DE E0 BD F9 00 30 02 2B 25 D1 BD F9 14 30 01 2B 18 D1 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 08 D2 9F ED 75 0A 8D ED 04 0A 9F ED 73 0A 8D ED 03 0A 07 E0 9D ED 01 0A 8D ED 04 0A 9D ED 02 0A 8D ED 03 0A 07 E0 9D ED 02 0A 8D ED 04 0A 9D ED 02 0A 8D ED 03 0A B4 E0 BD F9 14 30 01 2B 7E D1 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 3C D2 BD F9 00 30 01 2B 1B D1 9F ED 60 0A 8D ED 04 0A 9D ED 02 0A B5 EE C0 0A F1 EE 10 FA 07 D2 5B 4B 93 ED 00 0A B1 EE 40 0A 8D ED 07 0A 03 E0 9F ED 56 0A 8D ED 07 0A 9D ED 07 0A 8D ED 03 0A 1B E0 9D ED 02 0A ?? ?? ?? ?? 8D ED 0C 0A DF ED 4F 0A 9D ED 0C 0A 20 EE 80 0A 8D ED 04 0A 9D ED 02 0A ?? ?? ?? ?? 8D ED 0D 0A DF ED 48 0A 9D ED 0D 0A 20 EE 80 0A 8D ED 03 0A 39 E0 BD F9 00 30 01 2B 0C D1 01 20 ?? ?? ?? ?? 9D ED 01 0A 8D ED 04 0A 3D 4B 93 ED 00 0A 8D ED 03 0A 28 E0 BD F9 00 30 00 2B 08 D1 9D ED 01 0A 8D ED 04 0A 9D ED 02 0A 8D ED 03 0A 1B E0 9D ED 02 0A ?? ?? ?? ?? 8D ED 0E 0A DD ED 01 0A 9D ED 0E 0A 20 EE 80 0A 8D ED 04 0A 9D ED 02 0A ?? ?? ?? ?? 8D ED 0F 0A DD ED 01 0A 9D ED 0F 0A 20 EE 80 0A 8D ED 03 0A 31 E0 BD F9 00 30 01 2B 0D D1 01 20 ?? ?? ?? ?? 21 4B 93 ED 00 0A 8D ED 04 0A 1F 4B 93 ED 00 0A 8D ED 03 0A 1F E0 9D ED 01 0A 8D ED 04 0A 9D ED 01 0A 8D ED 03 0A 9D ED 02 0A ?? ?? ?? ?? 8D ED 10 0A 00 21 9D ED 10 0A 04 A8 ?? ?? ?? ?? 9D ED 02 0A ?? ?? ?? ?? 8D ED 11 0A 00 21 9D ED 11 0A 03 A8 ?? ?? ?? ?? DD ED 03 0A 9D ED 04 0A ?? ?? ?? ?? CD ED 13 0A 8D ED 12 0A 9D ED 12 0A 8D ED 14 0A 9D ED 13 0A 8D ED 15 0A 9D ED 14 0A DD ED 15 0A 16 B0 BD E8 00 88 ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_387_0_0 {
	meta:
		name = "setbuf"
		size = 104
		refs = "0020 _CrtDbgReportW 003c setvbuf 005c ??_C@_1GA@ODGHMKHE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 0E D1 14 4B 01 93 12 4B 00 93 00 23 12 22 0F 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 07 9B 00 2B 06 D1 00 23 04 22 00 21 06 98 ?? ?? ?? ?? 06 E0 4F F4 00 73 00 22 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_4_0 {
	meta:
		name = "??$common_tempnam@D@@YAPADQBD0H0H@Z"
		size = 488
		refs = "0012 ??$get_directory@D@@YAPBDQBDQAPBD@Z 001c ??0?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAA@QBD@Z 0028 ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z 003e ??$tcslen@AAPBD@?$__crt_char_traits@D@@SAIAAPBD@Z 005a _calloc_dbg 0064 ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@QAD@Z 006a ??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBA_NXZ 0080 ??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@XZ 0086 ??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAA@XZ 0092 ?get@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBAPADXZ 00b0 ??$tcscat_s@PADABIAAPBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAPBD@Z 00c6 _invoke_watson_if_error 00cc ?__crt_stdio_path_requires_backslash@@YA_NQBD@Z 00ee ??$tcscat_s@PADABIAAY01$$CBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAY01$$CBD@Z 0120 ??$tcscat_s@PADABIABQBD@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD@Z 0150 ??$tcslen@PAD@?$__crt_char_traits@D@@SAI$$QAPAD@Z 0182 ??$compute_name@D@@YA_NQBDQADII@Z 01aa ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAPADXZ 01d0 ??_C@_1HE@KFNJFAFD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 01d4 ??_C@_1BO@GHFALBAI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAe?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 01d8 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01dc ??_C@_1HK@NEKMMLCI@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 01e0 ?backslash@?6???$common_tempnam@D@@YAPADQBD0H0H@Z@4QBDB 01e4 ??_C@_1HK@KMLKBNDF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A4 B0 00 23 05 93 05 A9 26 98 ?? ?? ?? ?? 0B 90 0B 99 06 A8 ?? ?? ?? ?? 27 9B 00 2B 06 D0 27 A8 ?? ?? ?? ?? 0C 90 0C 9B 08 93 01 E0 00 23 08 93 08 9B 09 93 05 A8 ?? ?? ?? ?? 0D 90 0D 9A 09 9B 13 44 0C 33 04 93 2A 9B 00 93 29 9B 28 9A 01 21 04 98 ?? ?? ?? ?? 0E 90 0E 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 0A D1 00 23 0F 93 02 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 0F 9B 07 93 99 E0 02 A8 ?? ?? ?? ?? 10 90 10 9A 00 23 13 70 02 A8 ?? ?? ?? ?? 11 90 11 9B 12 93 05 AA 04 A9 12 A8 ?? ?? ?? ?? 13 90 00 23 01 93 E6 23 00 93 46 4B 44 4A 48 49 13 98 ?? ?? ?? ?? 05 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 15 D0 02 A8 ?? ?? ?? ?? 14 90 14 9B 15 93 3D 4A 04 A9 15 A8 ?? ?? ?? ?? 16 90 00 23 01 93 EB 23 00 93 36 4B 35 4A 36 49 16 98 ?? ?? ?? ?? 27 9B 00 2B 15 D0 02 A8 ?? ?? ?? ?? 17 90 17 9B 18 93 27 AA 04 A9 18 A8 ?? ?? ?? ?? 19 90 00 23 01 93 F0 23 00 93 2A 4B 28 4A 27 49 19 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 1C 90 02 A8 ?? ?? ?? ?? 1A 90 1A 9B 1B 93 1B A8 ?? ?? ?? ?? 1D 90 1C 9A 1D 9B 13 44 0A 93 02 A8 ?? ?? ?? ?? 1E 90 0A 9A 1E 9B D2 1A 04 9B 9B 1A 1F 93 02 A8 ?? ?? ?? ?? 20 90 09 9B 1F 9A 0A 99 20 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 0A D1 00 23 21 93 02 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 21 9B 07 93 0D E0 02 A8 ?? ?? ?? ?? 22 90 22 9B 23 93 02 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 23 9B 07 93 07 98 24 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_5_0 {
	meta:
		name = "??$common_tempnam@_W@@YAPA_WQB_W0HQBDH@Z"
		size = 496
		refs = "0012 ??$get_directory@_W@@YAPB_WQB_WQAPB_W@Z 001c ??0?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAA@QB_W@Z 0028 ??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z 003e ??$tcslen@AAPB_W@?$__crt_char_traits@_W@@SAIAAPB_W@Z 005a _calloc_dbg 0064 ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAA@QA_W@Z 006a ??B?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBA_NXZ 0080 ??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAA@XZ 0086 ??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAA@XZ 0092 ?get@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBAPA_WXZ 00b0 ??$tcscat_s@PA_WABIAAPB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAPB_W@Z 00c6 _invoke_watson_if_error 00cc ?__crt_stdio_path_requires_backslash@@YA_NQB_W@Z 00ee ??$tcscat_s@PA_WABIAAY01$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAY01$$CB_W@Z 0120 ??$tcscat_s@PA_WABIABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W@Z 0150 ??$tcslen@PA_W@?$__crt_char_traits@_W@@SAI$$QAPA_W@Z 018a ??$compute_name@_W@@YA_NQB_WQA_WII@Z 01b2 ?detach@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAAPA_WXZ 01d8 ??_C@_1HE@KFNJFAFD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 01dc ??_C@_1BO@GHFALBAI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAe?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 01e0 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01e4 ??_C@_1HK@NEKMMLCI@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 01e8 ?backslash@?6???$common_tempnam@_W@@YAPA_WQB_W0HQBDH@Z@4QB_WB 01ec ??_C@_1HK@KMLKBNDF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A4 B0 00 23 05 93 05 A9 26 98 ?? ?? ?? ?? 0B 90 0B 99 06 A8 ?? ?? ?? ?? 27 9B 00 2B 06 D0 27 A8 ?? ?? ?? ?? 0C 90 0C 9B 08 93 01 E0 00 23 08 93 08 9B 09 93 05 A8 ?? ?? ?? ?? 0D 90 0D 9A 09 9B 13 44 0C 33 04 93 2A 9B 00 93 29 9B 28 9A 02 21 04 98 ?? ?? ?? ?? 0E 90 0E 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 0A D1 00 23 0F 93 02 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 0F 9B 07 93 9D E0 02 A8 ?? ?? ?? ?? 10 90 10 9A 00 23 13 80 02 A8 ?? ?? ?? ?? 11 90 11 9B 12 93 05 AA 04 A9 12 A8 ?? ?? ?? ?? 13 90 00 23 01 93 E6 23 00 93 48 4B 46 4A 4A 49 13 98 ?? ?? ?? ?? 05 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 15 D0 02 A8 ?? ?? ?? ?? 14 90 14 9B 15 93 3F 4A 04 A9 15 A8 ?? ?? ?? ?? 16 90 00 23 01 93 EB 23 00 93 38 4B 37 4A 38 49 16 98 ?? ?? ?? ?? 27 9B 00 2B 15 D0 02 A8 ?? ?? ?? ?? 17 90 17 9B 18 93 27 AA 04 A9 18 A8 ?? ?? ?? ?? 19 90 00 23 01 93 F0 23 00 93 2C 4B 2A 4A 29 49 19 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 1D 90 02 A8 ?? ?? ?? ?? 1A 90 1A 9B 1B 93 1B A8 ?? ?? ?? ?? 1C 90 1C 9A 02 23 02 FB 03 F2 1D 9B 13 44 0A 93 02 A8 ?? ?? ?? ?? 1E 90 0A 9A 1E 9B D3 1A 5A 10 04 9B 9B 1A 1F 93 02 A8 ?? ?? ?? ?? 20 90 09 9B 1F 9A 0A 99 20 98 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 0A D1 00 23 21 93 02 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 21 9B 07 93 0D E0 02 A8 ?? ?? ?? ?? 22 90 22 9B 23 93 02 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 23 9B 07 93 07 98 24 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_6_0 {
	meta:
		name = "??$compute_name@D@@YA_NQBDQADII@Z"
		size = 264
		refs = "0016 __acrt_lock 0036 _errno 007c ??$ultot_s@AAIABQADABIH@?$__crt_char_traits@D@@SAHAAIABQADABI$$QAH@Z 0092 _invoke_watson_if_error 00ae ??$taccess_s@ABQBDH@?$__crt_char_traits@D@@SAHABQBD$$QAH@Z 00da __acrt_unlock 00f4 ??_C@_1IE@DBDKKJPJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA_?$AAt?$AAe?$AAm?$AAp?$AAo?$AAf?$AAf?$AA?0?$AA?5@ 00f8 ??_C@_1BK@KGCEOOAG@?$AAc?$AAo?$AAm?$AAp?$AAu?$AAt?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 00fc ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0100 _tempoff 0104 _old_pfxlen"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 82 B0 00 23 3B 70 0C 20 ?? ?? ?? ?? 3A 4B 1A 68 FB 6C 9A 42 02 D2 36 4A 01 23 13 60 FA 6C 35 4B 1A 60 33 4B 1B 68 FB 60 ?? ?? ?? ?? B8 60 BB 68 1B 68 7B 60 2F 4B 1B 68 5A 1C 2D 4B 1A 60 2C 4B 1A 68 FB 68 D2 1A 6F F0 00 43 9A 42 06 D9 ?? ?? ?? ?? 38 61 7A 68 3B 69 1A 60 36 E0 0A 23 7B 61 17 F1 14 03 17 F1 48 02 17 F1 44 01 21 48 ?? ?? ?? ?? B8 61 00 23 01 93 A3 23 00 93 1C 4B 1A 4A 19 49 B8 69 ?? ?? ?? ?? ?? ?? ?? ?? F8 61 FA 69 00 23 13 60 00 23 3B 62 17 F1 20 01 17 F1 40 00 ?? ?? ?? ?? 78 62 7B 6A 00 2B C3 D0 ?? ?? ?? ?? B8 62 BB 6A 1B 68 0D 2B BC D0 ?? ?? ?? ?? F8 62 7A 68 FB 6A 1A 60 01 23 3B 70 0C 20 ?? ?? ?? ?? 3B 78 87 F8 30 30 97 F8 30 00 0F B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_8_0 {
	meta:
		name = "??$compute_name@_W@@YA_NQB_WQA_WII@Z"
		size = 264
		refs = "0016 __acrt_lock 0036 _errno 007c ??$ultot_s@AAIABQA_WABIH@?$__crt_char_traits@_W@@SAHAAIABQA_WABI$$QAH@Z 0092 _invoke_watson_if_error 00ae ??$taccess_s@ABQB_WH@?$__crt_char_traits@_W@@SAHABQB_W$$QAH@Z 00da __acrt_unlock 00f4 ??_C@_1IE@DBDKKJPJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA_?$AAt?$AAe?$AAm?$AAp?$AAo?$AAf?$AAf?$AA?0?$AA?5@ 00f8 ??_C@_1BK@KGCEOOAG@?$AAc?$AAo?$AAm?$AAp?$AAu?$AAt?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 00fc ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0100 _tempoff 0104 _old_pfxlen"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8D B0 6F 46 82 B0 00 23 3B 70 0C 20 ?? ?? ?? ?? 3A 4B 1A 68 FB 6C 9A 42 02 D2 36 4A 01 23 13 60 FA 6C 35 4B 1A 60 33 4B 1B 68 FB 60 ?? ?? ?? ?? B8 60 BB 68 1B 68 7B 60 2F 4B 1B 68 5A 1C 2D 4B 1A 60 2C 4B 1A 68 FB 68 D2 1A 6F F0 00 43 9A 42 06 D9 ?? ?? ?? ?? 38 61 7A 68 3B 69 1A 60 36 E0 0A 23 7B 61 17 F1 14 03 17 F1 48 02 17 F1 44 01 21 48 ?? ?? ?? ?? B8 61 00 23 01 93 A3 23 00 93 1C 4B 1A 4A 19 49 B8 69 ?? ?? ?? ?? ?? ?? ?? ?? F8 61 FA 69 00 23 13 60 00 23 3B 62 17 F1 20 01 17 F1 40 00 ?? ?? ?? ?? 78 62 7B 6A 00 2B C3 D0 ?? ?? ?? ?? B8 62 BB 6A 1B 68 0D 2B BC D0 ?? ?? ?? ?? F8 62 7A 68 FB 6A 1A 60 01 23 3B 70 0C 20 ?? ?? ?? ?? 3B 78 87 F8 30 30 97 F8 30 00 0F B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_10_0 {
	meta:
		name = "??$get_directory@D@@YAPBDQBDQAPBD@Z"
		size = 348
		refs = "000a ??$get_tmp_directory@D@@YAPBDXZ 0014 ??0?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAA@QBD@Z 001a ?get@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QBAPBDXZ 003a ??$taccess_s@PBDH@?$__crt_char_traits@D@@SAH$$QAPBD$$QAH@Z 0048 ?detach@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAAPBDXZ 005c ??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAA@XZ 0070 ??$strip_quotes@D@@YAPBDQBD@Z 00e6 ??$taccess_s@ABQBDH@?$__crt_char_traits@D@@SAHABQBD$$QAH@Z 0110 ??$taccess_s@AAY01$$CBDH@?$__crt_char_traits@D@@SAHAAY01$$CBD$$QAH@Z 0154 ?cwd_fallback@?1???$get_directory@D@@YAPBDQBDQAPBD@Z@4QBDB 0158 ?root_fallback@?1???$get_directory@D@@YAPBDQBDQAPBD@Z@4QBDB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 ?? ?? ?? ?? 03 90 03 99 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 04 90 04 9B 00 2B 58 D0 00 23 06 93 68 46 ?? ?? ?? ?? 05 90 05 9B 07 93 06 A9 07 A8 ?? ?? ?? ?? 08 90 08 9B 00 2B 0F D1 68 46 ?? ?? ?? ?? 09 90 09 9A 1F 9B 1A 60 1F 9B 1B 68 0A 93 68 46 ?? ?? ?? ?? 0A 9B 02 93 6F E0 68 46 ?? ?? ?? ?? 0B 90 0B 98 ?? ?? ?? ?? 0C 90 0C 99 01 A8 ?? ?? ?? ?? 01 A8 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 22 D0 00 23 0F 93 01 A8 ?? ?? ?? ?? 0E 90 0E 9B 10 93 0F A9 10 A8 ?? ?? ?? ?? 11 90 11 9B 00 2B 12 D1 01 A8 ?? ?? ?? ?? 12 90 12 9A 1F 9B 1A 60 1F 9B 1B 68 13 93 01 A8 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 13 9B 02 93 39 E0 01 A8 ?? ?? ?? ?? 1E 9B 00 2B 14 D0 00 23 14 93 14 A9 1E A8 ?? ?? ?? ?? 15 90 15 9B 00 2B 0A D1 1E 9A 1F 9B 1A 60 00 23 16 93 68 46 ?? ?? ?? ?? 16 9B 02 93 1E E0 00 23 17 93 17 A9 12 48 ?? ?? ?? ?? 18 90 18 9B 00 2B 0A D1 0E 4A 1F 9B 1A 60 00 23 19 93 68 46 ?? ?? ?? ?? 19 9B 02 93 09 E0 08 4A 1F 9B 1A 60 00 23 1A 93 68 46 ?? ?? ?? ?? 1A 9B 02 93 02 98 1C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_11_0 {
	meta:
		name = "??$get_directory@_W@@YAPB_WQB_WQAPB_W@Z"
		size = 348
		refs = "000a ??$get_tmp_directory@_W@@YAPB_WXZ 0014 ??0?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAA@QB_W@Z 001a ?get@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QBAPB_WXZ 003a ??$taccess_s@PB_WH@?$__crt_char_traits@_W@@SAH$$QAPB_W$$QAH@Z 0048 ?detach@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAAPB_WXZ 005c ??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAA@XZ 0070 ??$strip_quotes@_W@@YAPB_WQB_W@Z 00e6 ??$taccess_s@ABQB_WH@?$__crt_char_traits@_W@@SAHABQB_W$$QAH@Z 0110 ??$taccess_s@AAY01$$CB_WH@?$__crt_char_traits@_W@@SAHAAY01$$CB_W$$QAH@Z 0154 ?cwd_fallback@?1???$get_directory@_W@@YAPB_WQB_WQAPB_W@Z@4QB_WB 0158 ?root_fallback@?1???$get_directory@_W@@YAPB_WQB_WQAPB_W@Z@4QB_WB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 ?? ?? ?? ?? 03 90 03 99 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 04 90 04 9B 00 2B 58 D0 00 23 06 93 68 46 ?? ?? ?? ?? 05 90 05 9B 07 93 06 A9 07 A8 ?? ?? ?? ?? 08 90 08 9B 00 2B 0F D1 68 46 ?? ?? ?? ?? 09 90 09 9A 1F 9B 1A 60 1F 9B 1B 68 0A 93 68 46 ?? ?? ?? ?? 0A 9B 02 93 6F E0 68 46 ?? ?? ?? ?? 0B 90 0B 98 ?? ?? ?? ?? 0C 90 0C 99 01 A8 ?? ?? ?? ?? 01 A8 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 22 D0 00 23 0F 93 01 A8 ?? ?? ?? ?? 0E 90 0E 9B 10 93 0F A9 10 A8 ?? ?? ?? ?? 11 90 11 9B 00 2B 12 D1 01 A8 ?? ?? ?? ?? 12 90 12 9A 1F 9B 1A 60 1F 9B 1B 68 13 93 01 A8 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 13 9B 02 93 39 E0 01 A8 ?? ?? ?? ?? 1E 9B 00 2B 14 D0 00 23 14 93 14 A9 1E A8 ?? ?? ?? ?? 15 90 15 9B 00 2B 0A D1 1E 9A 1F 9B 1A 60 00 23 16 93 68 46 ?? ?? ?? ?? 16 9B 02 93 1E E0 00 23 17 93 17 A9 12 48 ?? ?? ?? ?? 18 90 18 9B 00 2B 0A D1 0E 4A 1F 9B 1A 60 00 23 19 93 68 46 ?? ?? ?? ?? 19 9B 02 93 09 E0 08 4A 1F 9B 1A 60 00 23 1A 93 68 46 ?? ?? ?? ?? 1A 9B 02 93 02 98 1C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_12_0 {
	meta:
		name = "??$get_tmp_directory@D@@YAPBDXZ"
		size = 104
		refs = "001a ??$tdupenv_s_crt@PAPAD$$TAAY03$$CBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TAAY03$$CBD@Z 0038 _invoke_watson_if_oneof 0058 ??_C@_1HG@EKFOMPHL@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAt?$AAm?$AAp@ 005c ??_C@_1CE@BEOLNBKK@?$AAg?$AAe?$AAt?$AA_?$AAt?$AAm?$AAp?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAo?$AAr?$AAy?$AA?$AA@ 0060 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0064 ?tmp_name@?1???$get_tmp_directory@D@@YAPBDXZ@4QBDB"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 00 23 04 93 00 23 06 93 04 AB 07 93 13 4A 06 A9 07 A8 ?? ?? ?? ?? 08 90 00 23 03 93 3F 23 02 93 0D 4B 01 93 0B 4B 00 93 09 4B 16 22 16 21 08 98 ?? ?? ?? ?? 09 90 09 9B 00 2B 02 D0 00 23 05 93 01 E0 04 9B 05 93 05 98 0A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_13_0 {
	meta:
		name = "??$get_tmp_directory@_W@@YAPB_WXZ"
		size = 104
		refs = "001a ??$tdupenv_s_crt@PAPA_W$$TAAY03$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TAAY03$$CB_W@Z 0038 _invoke_watson_if_oneof 0058 ??_C@_1HG@EKFOMPHL@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAt?$AAm?$AAp@ 005c ??_C@_1CE@BEOLNBKK@?$AAg?$AAe?$AAt?$AA_?$AAt?$AAm?$AAp?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAo?$AAr?$AAy?$AA?$AA@ 0060 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0064 ?tmp_name@?1???$get_tmp_directory@_W@@YAPB_WXZ@4QB_WB"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 00 23 04 93 00 23 06 93 04 AB 07 93 13 4A 06 A9 07 A8 ?? ?? ?? ?? 08 90 00 23 03 93 3F 23 02 93 0D 4B 01 93 0B 4B 00 93 09 4B 16 22 16 21 08 98 ?? ?? ?? ?? 09 90 09 9B 00 2B 02 D0 00 23 05 93 01 E0 04 9B 05 93 05 98 0A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_14_0 {
	meta:
		name = "??$strip_quotes@D@@YAPBDQBD@Z"
		size = 252
		refs = "0062 _calloc_dbg 006c ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0072 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ 0084 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 00d6 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 00f8 ??_C@_0DB@GLJCEDGF@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 00 23 05 93 00 23 07 93 12 9B 04 93 02 E0 04 9B 5B 1C 04 93 04 9B 93 F9 00 30 00 2B 0B D0 04 9B 93 F9 00 30 22 2B 02 D1 05 9B 5B 1C 05 93 07 9B 5B 1C 07 93 EB E7 05 9B 00 2B 02 D1 00 23 08 93 4E E0 07 9A 05 9B D3 1A 5B 1C 09 93 24 23 00 93 27 4B 02 22 01 21 09 98 ?? ?? ?? ?? 0A 90 0A 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 07 D1 00 23 0C 93 03 A8 ?? ?? ?? ?? 0C 9B 08 93 2D E0 03 A8 ?? ?? ?? ?? 0D 90 0D 9B 06 93 12 9B 02 93 02 E0 02 9B 5B 1C 02 93 02 9B 93 F9 00 30 00 2B 0E D0 02 9B 93 F9 00 30 22 2B 00 D1 F1 E7 02 9B 93 F9 00 20 06 9B 1A 70 06 9B 5B 1C 06 93 E8 E7 06 9A 00 23 13 70 03 A8 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 03 A8 ?? ?? ?? ?? 0F 9B 08 93 08 98 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_15_0 {
	meta:
		name = "??$strip_quotes@_W@@YAPB_WQB_W@Z"
		size = 240
		refs = "005e _calloc_dbg 0068 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 006e ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 0080 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 00cc ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ 00ec ??_C@_0DB@GLJCEDGF@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 00 23 05 93 00 23 07 93 12 9B 04 93 02 E0 04 9B 9B 1C 04 93 04 9B 1B 88 00 2B 0A D0 04 9B 1B 88 22 2B 02 D1 05 9B 5B 1C 05 93 07 9B 5B 1C 07 93 ED E7 05 9B 00 2B 02 D1 00 23 08 93 4B E0 07 9A 05 9B D3 1A 5B 1C 09 93 24 23 00 93 25 4B 02 22 02 21 09 98 ?? ?? ?? ?? 0A 90 0A 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 07 D1 00 23 0C 93 03 A8 ?? ?? ?? ?? 0C 9B 08 93 2A E0 03 A8 ?? ?? ?? ?? 0D 90 0D 9B 06 93 12 9B 02 93 02 E0 02 9B 9B 1C 02 93 02 9B 1B 88 00 2B 0C D0 02 9B 1B 88 22 2B 00 D1 F3 E7 02 9B 1A 88 06 9B 1A 80 06 9B 9B 1C 06 93 EB E7 06 9A 00 23 13 80 03 A8 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 03 A8 ?? ?? ?? ?? 0F 9B 08 93 08 98 10 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_16_0 {
	meta:
		name = "??$taccess_s@AAY01$$CBDH@?$__crt_char_traits@D@@SAHAAY01$$CBD$$QAH@Z"
		size = 38
		refs = "0010 _access_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_17_0 {
	meta:
		name = "??$taccess_s@AAY01$$CB_WH@?$__crt_char_traits@_W@@SAHAAY01$$CB_W$$QAH@Z"
		size = 38
		refs = "0010 _waccess_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 19 68 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_34_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPAD$$TAAY03$$CBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TAAY03$$CBD@Z"
		size = 56
		refs = "001e _dupenv_s_dbg 0034 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 6A 23 01 93 09 4B 00 93 02 23 08 9A 07 99 09 68 06 98 00 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_35_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPA_W$$TAAY03$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TAAY03$$CB_W@Z"
		size = 56
		refs = "001e _wdupenv_s_dbg 0034 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 79 23 01 93 09 4B 00 93 02 23 08 9A 07 99 09 68 06 98 00 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_388_52_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQBD@Z"
		size = 134
		refs = "000c strlen 003a _mbsrchr"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 98 ?? ?? ?? ?? 03 90 08 9A 03 9B 13 44 00 93 08 9A 00 9B 9A 42 03 D1 00 23 8D F8 04 30 26 E0 00 9B 5B 1E 93 F9 00 30 5C 2B 13 D1 5C 21 08 98 ?? ?? ?? ?? 04 90 00 9B 5A 1E 04 9B 9A 42 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B DB B2 8D F8 04 30 0C E0 00 9B 5B 1E 93 F9 00 30 2F 2B 03 D1 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_53_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQB_W@Z"
		size = 104
		refs = "000c wcslen"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9A 02 23 02 FB 03 F2 06 9B 13 44 01 93 06 9A 01 9B 9A 42 03 D1 00 23 8D F8 00 30 14 E0 01 9B 9B 1E 1B 88 5C 2B 03 D1 00 23 8D F8 00 30 0B E0 01 9B 9B 1E 1B 88 2F 2B 03 D1 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_76_0 {
	meta:
		name = "_tempnam"
		size = 44
		refs = "0016 ??$common_tempnam@D@@YAPADQBD0H0H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 00 23 01 22 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_501_1_0 {
	meta:
		name = "_expand"
		size = 44
		refs = "0016 _expand_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 00 23 01 22 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_78_0 {
	meta:
		name = "_wtempnam"
		size = 44
		refs = "0016 ??$common_tempnam@_W@@YAPA_WQB_W0HQBDH@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 00 23 01 22 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_692_0_0 {
	meta:
		name = "calloc"
		size = 44
		refs = "0016 _calloc_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 00 23 01 22 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_680_0_0 {
	meta:
		name = "realloc"
		size = 44
		refs = "0016 _realloc_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 00 23 01 22 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_388_77_0 {
	meta:
		name = "_tempnam_dbg"
		size = 44
		refs = "0016 ??$common_tempnam@D@@YAPADQBD0H0H@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_388_79_0 {
	meta:
		name = "_wtempnam_dbg"
		size = 44
		refs = "0016 ??$common_tempnam@_W@@YAPA_WQB_W0HQBDH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 0A 9B 00 93 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_389_0_0 {
	meta:
		name = "log2"
		size = 1288
		refs = "003a _handle_nan 0078 _handle_error 00f8 ??_C@_04KGLCPMCP@log2?$AA@ 04bc ?log2e_lead@?1??log2@@9@9 04c0 ?log2e_tail@?1??log2@@9@9 04c4 ?cb_1@?1??log2@@9@9 04c8 ?cb_2@?1??log2@@9@9 04cc ?cb_3@?1??log2@@9@9 04d8 ?ln_tail_table@?1??log2@@9@9 04dc ?ln_lead_table@?1??log2@@9@9 04e4 ?corr@?N@??log2@@9@9 04e8 ?ca_1@?1??log2@@9@9 04ec ?ca_2@?1??log2@@9@9 04f0 ?ca_3@?1??log2@@9@9 04f4 ?ca_4@?1??log2@@9@9 04f8 ?log_thresh2@?1??log2@@9@9 04fc ?log_thresh1@?1??log2@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 C2 B0 8D ED 0E 0B 9D ED 0E 0B 53 EC 10 2B 04 92 05 93 05 9A 3A 4B 13 40 19 93 19 9A 38 4B 9A 42 37 D1 04 9A 05 9B 6F F3 1F 53 13 43 00 2B 0B D0 04 98 05 99 ?? ?? ?? ?? 8D ED 34 0B 9D ED 34 0B 8D ED 10 0B 31 E2 23 E0 05 9B 03 F0 00 43 00 2B 19 D0 01 23 03 93 9F ED 24 1B 9D ED 0E 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 23 4B 1A 21 20 48 ?? ?? ?? ?? 8D ED 36 0B 9D ED 36 0B 8D ED 10 0B 12 E2 04 E0 9D ED 0E 0B 8D ED 10 0B 0C E2 4C E0 04 9A 05 9B 23 F0 00 43 13 43 00 2B 19 D1 01 23 03 93 9F ED 11 1B 9D ED 0E 0B 22 23 02 93 04 23 01 93 02 23 00 93 00 22 0E 4B 1A 21 0C 48 ?? ?? ?? ?? 8D ED 38 0B 9D ED 38 0B 8D ED 10 0B EB E1 2B E0 05 9B 03 F0 00 43 00 2B 26 D0 01 23 03 93 9F ED 01 1B 0C E0 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 00 00 F0 FF 00 00 F8 FF 00 00 F0 7F 9D ED 0E 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 FA 4B 1A 21 F8 48 ?? ?? ?? ?? 8D ED 3A 0B 9D ED 3A 0B 8D ED 10 0B BE E1 04 9B 20 93 05 9B 21 93 F0 4B 1B 68 22 93 EE 4B 5B 68 23 93 20 9B 1A 93 22 9B 1B 93 21 9A 23 9B 9A 42 C0 F0 BD 80 04 D8 1A 9A 1B 9B 9A 42 C0 F0 B7 80 04 9B 24 93 05 9B 25 93 E2 4B 1B 68 26 93 E1 4B 5B 68 27 93 24 9B 1C 93 26 9B 1D 93 25 9A 27 9B 9A 42 00 F2 A4 80 04 D3 1C 9A 1D 9B 9A 42 00 F2 9E 80 9D ED 0E 1B B7 EE 00 0B 31 EE 40 0B 8D ED 16 0B B0 EE 00 1B 9D ED 16 0B 31 EE 00 1B 9D ED 16 0B 80 EE 01 0B 8D ED 06 0B 9D ED 16 1B 9D ED 06 0B 21 EE 00 0B 8D ED 3C 0B 9D ED 06 1B 9D ED 06 0B 31 EE 00 0B 8D ED 06 0B 9D ED 06 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B 9D ED 16 0B 8D ED 0A 0B 9D ED 06 1B 9D ED 08 0B 21 EE 00 2B 9D ED 08 1B BB 4B 93 ED 00 0B 21 EE 00 1B B7 4B 93 ED 00 0B 30 EE 01 1B 9D ED 08 0B 20 EE 01 1B B2 4B 93 ED 00 0B 30 EE 01 1B 9D ED 08 0B 20 EE 01 1B AC 4B 93 ED 00 0B 30 EE 01 0B 22 EE 00 1B 9D ED 3C 0B 31 EE 40 0B 8D ED 14 0B 9D ED 0A 0B 8D ED 16 0B 9D ED 0A 0B 53 EC 10 2B 2A 92 2B 93 2B 9A 00 23 42 EC 10 3B 8D ED 0A 0B 9D ED 16 1B 9D ED 0A 0B 31 EE 40 1B 9D ED 14 0B 30 EE 01 0B 8D ED 14 0B 8E 4B 93 ED 00 1B 9D ED 14 0B 21 EE 00 2B 8A 4B 93 ED 00 1B 9D ED 0A 0B 21 EE 00 0B 32 EE 00 2B 85 4B 93 ED 00 1B 9D ED 14 0B 21 EE 00 0B 32 EE 00 2B 80 4B 93 ED 00 1B 9D ED 0A 0B 21 EE 00 0B 32 EE 00 0B 8D ED 10 0B EF E0 EE E0 04 9B 28 93 05 9B 29 93 28 9B 1E 93 29 9B B3 F5 80 1F 1D D8 02 D3 1E 9B 00 2B 19 D2 04 9A 05 9B 43 F0 74 73 43 EC 10 2B 8D ED 12 0B 9D ED 12 1B 78 4B 93 ED 00 0B 31 EE 40 0B 8D ED 12 0B 9D ED 12 0B 53 EC 10 2B 04 92 05 93 3C 23 18 93 05 E0 9D ED 0E 0B 8D ED 12 0B 00 23 18 93 05 9A 6B 4B 13 40 1B 0D A3 F2 FF 32 18 9B D3 1A 1F 93 04 99 05 9A 40 F2 FE 33 63 F3 1F 52 13 46 43 EC 10 1B 8D ED 12 0B 05 9B 03 F4 7C 23 43 F4 80 13 9A 0B 05 9B 03 F4 00 53 5B 0B 13 44 0C 93 0C 9B A3 F1 40 02 08 23 02 FB 03 F2 58 4B 13 44 93 ED 00 0B 8D ED 30 0B 0C 9B A3 F1 40 02 08 23 02 FB 03 F2 51 4B 13 44 93 ED 00 0B 8D ED 40 0B 0C 9B 00 EE 10 3A B8 EE C0 1B 9F ED 49 0B 21 EE 00 0B 8D ED 2C 0B 9D ED 12 1B 9D ED 2C 0B 31 EE 40 0B 8D ED 2E 0B B6 EE 00 1B 9D ED 2E 0B 21 EE 00 1B 9D ED 2C 0B 30 EE 01 1B 9D ED 2E 0B 80 EE 01 0B 8D ED 06 0B 9D ED 06 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B 9D ED 08 1B 34 4B 93 ED 00 0B 21 EE 00 1B 31 4B 93 ED 00 0B 30 EE 01 1B 9D ED 08 0B 20 EE 01 1B 2B 4B 93 ED 00 0B 30 EE 01 1B 9D ED 08 0B 20 EE 01 0B 8D ED 3E 0B 9D ED 06 1B 9D ED 3E 0B 21 EE 00 1B 9D ED 06 0B 30 EE 01 1B 9D ED 40 0B 30 EE 01 0B 8D ED 32 0B 1F 9B 00 EE 10 3A B8 EE C0 2B 19 4B 93 ED 00 1B 9D ED 30 0B 21 EE 00 0B 32 EE 00 0B 8D ED 0A 0B 15 4B 93 ED 00 1B 9D ED 32 0B 21 EE 00 2B 11 4B 93 ED 00 1B 9D ED 30 0B 21 EE 00 0B 32 EE 00 2B 0C 4B 93 ED 00 1B 9D ED 32 0B 21 EE 00 0B 32 EE 00 0B 8D ED 14 0B 9D ED 0A 1B 9D ED 14 0B 31 EE 00 0B 8D ED 10 0B 9D ED 10 0B 42 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 80 3F ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F8 FF }
	condition:
		$1
}

rule file_390_0_0 {
	meta:
		name = "cos"
		size = 1272
		refs = "009e val_with_flags 00de cos_piby4 0114 _handle_nan 0164 _handle_error 0414 __remainder_piby2 0450 sin_piby4 04a8 ?piby2_3tail@?7??cos@@9@9 04ac ?piby2_3@?7??cos@@9@9 04b0 ?piby2_2tail@?7??cos@@9@9 04b4 ?piby2_2@?7??cos@@9@9 04bc ?piby2_1tail@?7??cos@@9@9 04c0 ?piby2_1@?7??cos@@9@9 04c4 ?twobypi@?7??cos@@9@9 04f0 ??_C@_03LALBNOCG@cos?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 D8 B0 8D ED 08 0B 9D ED 08 0B 53 EC 10 2B 0A 92 0B 93 0A 9A 0B 9B 23 F0 00 43 06 92 07 93 06 9B 2C 93 07 9B 2D 93 2C 9B 29 93 2D 9A 45 4B 9A 42 5C D8 03 D3 29 9A 41 4B 9A 42 57 D8 06 9B 2E 93 07 9B 2F 93 2E 9B 2A 93 2F 9A 3B 4B 9A 42 3F D8 02 D3 2A 9B 00 2B 3B D2 06 9B 30 93 07 9B 31 93 30 9B 28 93 31 9B B3 F1 79 5F 1F D8 02 D3 28 9B 00 2B 1B D2 06 9B 32 93 07 9B 33 93 33 9A 32 9B 13 43 00 2B 05 D1 B7 EE 00 0B 8D ED 0E 0B 02 E2 0B E0 10 20 B7 EE 00 0B ?? ?? ?? ?? 8D ED 48 0B 9D ED 48 0B 8D ED 0E 0B F5 E1 10 E0 9D ED 08 1B 9D ED 08 0B 21 EE 00 1B B6 EE 00 0B 21 EE 00 1B B7 EE 00 0B 30 EE 41 0B 8D ED 0E 0B E3 E1 0C E0 9F ED 17 1B 9D ED 08 0B ?? ?? ?? ?? 8D ED 4A 0B 9D ED 4A 0B 8D ED 0E 0B D5 E1 41 E0 0B 9A 11 4B 13 40 1E 93 1E 9A 0F 4B 9A 42 39 D1 0A 9A 0B 9B 6F F3 1F 53 13 43 00 2B 0B D0 0A 98 0B 99 ?? ?? ?? ?? 8D ED 4C 0B 9D ED 4C 0B 8D ED 0E 0B BA E1 26 E0 01 23 03 93 9F ED 01 1B 0C E0 FE DE 00 00 00 00 00 00 00 00 00 00 F0 7F 00 00 20 3F 18 2D 44 54 FB 21 E9 3F 9D ED 08 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 E5 4B 12 21 E3 48 ?? ?? ?? ?? 8D ED 4E 0B 9D ED 4E 0B 8D ED 0E 0B 92 E1 06 9B 34 93 07 9B 35 93 0A 9B 36 93 0B 9B 37 93 35 9B 1F 93 37 9B 20 93 34 9A 36 9B 9A 42 03 D1 1F 9A 20 9B 9A 42 02 D0 01 23 16 93 01 E0 00 23 16 93 16 9B 21 93 21 9B 00 2B 05 D0 9D ED 08 0B B1 EE 40 0B 8D ED 08 0B 9D ED 08 1B 9F ED C9 0B B4 EE C0 1B F1 EE 10 FA 80 F0 1C 81 07 9B 1B 0D 40 93 00 23 41 93 06 9B 38 93 07 9B 39 93 38 9B 22 93 39 9A BE 4B 9A 42 19 D8 03 D3 22 9A BA 4B 9A 42 14 D8 06 9B 3A 93 07 9B 3B 93 3A 9B 23 93 3B 9A B4 4B 9A 42 07 D8 03 D3 23 9A B1 4B 9A 42 02 D8 01 23 04 93 01 E0 02 23 04 93 33 E0 06 9B 3C 93 07 9B 3D 93 3C 9B 24 93 3D 9A A8 4B 9A 42 19 D8 03 D3 24 9A A4 4B 9A 42 14 D8 06 9B 3E 93 07 9B 3F 93 3E 9B 25 93 3F 9A 9E 4B 9A 42 07 D8 03 D3 25 9A 9B 4B 9A 42 02 D8 03 23 04 93 01 E0 04 23 04 93 0F E0 9D ED 08 1B 94 4B 93 ED 00 0B 21 EE 00 1B B6 EE 00 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 04 93 04 9B 00 EE 10 3A B8 EE C0 1B 8A 4B 93 ED 00 0B 21 EE 00 1B 9D ED 08 0B 30 EE 41 0B 8D ED 10 0B 04 9B 00 EE 10 3A B8 EE C0 1B 81 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0C 0B 9D ED 10 0B 53 EC 10 2B 46 92 47 93 47 9A 79 4B 13 40 18 0D 40 9A 41 99 00 23 12 1A 61 EB 03 03 18 92 19 93 18 9B 42 93 19 9B 43 93 42 9B 26 93 43 9B 00 2B 02 D8 26 9B 0F 2B 6B D9 9D ED 10 0B 8D ED 1A 0B 04 9B 00 EE 10 3A B8 EE C0 1B 68 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0C 0B 9D ED 1A 1B 9D ED 0C 0B 31 EE 40 0B 8D ED 10 0B 04 9B 00 EE 10 3A B8 EE C0 1B 5D 4B 93 ED 00 0B 21 EE 00 2B 9D ED 1A 1B 9D ED 10 0B 31 EE 40 1B 9D ED 0C 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0C 0B 18 9B 44 93 19 9B 45 93 44 9B 27 93 45 9B 00 2B 02 D8 27 9B 30 2B 2F D9 9D ED 10 0B 8D ED 1A 0B 04 9B 00 EE 10 3A B8 EE C0 1B 48 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0C 0B 9D ED 1A 1B 9D ED 0C 0B 31 EE 40 0B 8D ED 10 0B 04 9B 00 EE 10 3A B8 EE C0 1B 3D 4B 93 ED 00 0B 21 EE 00 2B 9D ED 1A 1B 9D ED 10 0B 31 EE 40 1B 9D ED 0C 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0C 0B 9D ED 10 1B 9D ED 0C 0B 31 EE 40 0B 8D ED 14 0B 9D ED 10 1B 9D ED 14 0B 31 EE 40 1B 9D ED 0C 0B 31 EE 40 0B 8D ED 1C 0B 04 9B 03 F0 03 03 17 93 06 E0 17 AA 1C A9 14 A8 9D ED 08 0B ?? ?? ?? ?? 17 9B 12 93 12 9B 01 2B 12 D0 12 9B 02 2B 1E D0 12 9B 03 2B 2A D0 9D ED 1C 1B 9D ED 14 0B ?? ?? ?? ?? 8D ED 50 0B 9D ED 50 0B 8D ED 0E 0B 29 E0 9D ED 1C 1B 9D ED 14 0B ?? ?? ?? ?? 8D ED 52 0B 9D ED 52 0B B1 EE 40 0B 8D ED 0E 0B 1A E0 9D ED 1C 1B 9D ED 14 0B ?? ?? ?? ?? 8D ED 54 0B 9D ED 54 0B B1 EE 40 0B 8D ED 0E 0B 0B E0 9D ED 1C 1B 9D ED 14 0B ?? ?? ?? ?? 8D ED 56 0B 9D ED 56 0B 8D ED 0E 0B 9D ED 0E 0B 58 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 75 A7 BB E9 BB FD 15 40 BB B2 CC BE 3A 46 1C 40 D2 21 33 7F 7C D9 02 40 5E 38 55 29 7A 6A 0F 40 00 00 00 00 80 84 1E 41 ?? ?? ?? ?? 00 00 F8 FF }
	condition:
		$1
}

rule file_390_1_0 {
	meta:
		name = "cos_piby4"
		size = 264
		refs = "00f0 ?c1@?1??cos_piby4@@9@9 00f4 ?c2@?1??cos_piby4@@9@9 00f8 ?c3@?1??cos_piby4@@9@9 00fc ?c4@?1??cos_piby4@@9@9 0100 ?c5@?1??cos_piby4@@9@9 0104 ?c6@?1??cos_piby4@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 08 1B 8D ED 02 0B 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 8D ED 00 0B B6 EE 00 1B 9D ED 00 0B 21 EE 00 0B 8D ED 04 0B B7 EE 00 1B 9D ED 04 0B 31 EE 40 0B 8D ED 06 0B B7 EE 00 1B 9D ED 06 0B 31 EE 40 1B 9D ED 04 0B 31 EE 40 2B 9D ED 02 1B 9D ED 08 0B 21 EE 00 0B 32 EE 40 3B 9D ED 00 1B 9D ED 00 0B 21 EE 00 2B 9D ED 00 1B 23 4B 93 ED 00 0B 21 EE 00 1B 20 4B 93 ED 00 0B 30 EE 01 1B 9D ED 00 0B 20 EE 01 1B 1A 4B 93 ED 00 0B 30 EE 01 1B 9D ED 00 0B 20 EE 01 1B 15 4B 93 ED 00 0B 30 EE 01 1B 9D ED 00 0B 20 EE 01 1B 0F 4B 93 ED 00 0B 30 EE 01 1B 9D ED 00 0B 20 EE 01 1B 0A 4B 93 ED 00 0B 30 EE 01 0B 22 EE 00 0B 33 EE 00 1B 9D ED 06 0B 30 EE 01 0B 8D ED 0A 0B 9D ED 0A 0B 0C B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_390_3_0 {
	meta:
		name = "sin"
		size = 1428
		refs = "009e val_with_flags 00e6 sin_piby4 011c _handle_nan 0150 _handle_error 01bc ??_C@_03BLEJJJBH@sin?$AA@ 0432 __remainder_piby2 0478 cos_piby4 0554 ?piby2_3tail@?7??sin@@9@9 0558 ?piby2_3@?7??sin@@9@9 055c ?piby2_2tail@?7??sin@@9@9 0560 ?piby2_2@?7??sin@@9@9 0568 ?piby2_1tail@?7??sin@@9@9 056c ?piby2_1@?7??sin@@9@9 0570 ?twobypi@?7??sin@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 E0 B0 8D ED 08 0B 9D ED 08 0B 53 EC 10 2B 0C 92 0D 93 0C 9A 0D 9B 23 F0 00 43 06 92 07 93 06 9B 2C 93 07 9B 2D 93 2C 9B 2B 93 2D 9A 6B 4B 9A 42 60 D8 03 D3 2B 9A 67 4B 9A 42 5B D8 06 9B 2E 93 07 9B 2F 93 2E 9B 20 93 2F 9A 61 4B 9A 42 43 D8 02 D3 20 9B 00 2B 3F D2 06 9B 30 93 07 9B 31 93 30 9B 21 93 31 9B B3 F1 79 5F 1F D8 02 D3 21 9B 00 2B 1B D2 06 9B 32 93 07 9B 33 93 33 9A 32 9B 13 43 00 2B 05 D1 9D ED 08 0B 8D ED 0A 0B 58 E2 0B E0 10 20 9D ED 08 0B ?? ?? ?? ?? 8D ED 48 0B 9D ED 48 0B 8D ED 0A 0B 4B E2 14 E0 9D ED 08 1B 9D ED 08 0B 21 EE 00 1B 9D ED 08 0B 21 EE 00 1B 9F ED 42 0B 21 EE 00 1B 9D ED 08 0B 30 EE 41 0B 8D ED 0A 0B 35 E2 0C E0 9F ED 39 1B 9D ED 08 0B ?? ?? ?? ?? 8D ED 4A 0B 9D ED 4A 0B 8D ED 0A 0B 27 E2 33 E0 0D 9A 33 4B 13 40 22 93 22 9A 31 4B 9A 42 2B D1 0C 9A 0D 9B 6F F3 1F 53 13 43 00 2B 0B D0 0C 98 0D 99 ?? ?? ?? ?? 8D ED 4C 0B 9D ED 4C 0B 8D ED 0A 0B 0C E2 18 E0 01 23 03 93 9F ED 23 1B 9D ED 08 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 1D 4B 1E 21 1B 48 ?? ?? ?? ?? 8D ED 4E 0B 9D ED 4E 0B 8D ED 0A 0B F2 E1 06 9B 34 93 07 9B 35 93 0C 9B 36 93 0D 9B 37 93 35 9B 23 93 37 9B 24 93 34 9A 36 9B 9A 42 03 D1 23 9A 24 9B 9A 42 02 D0 01 23 19 93 01 E0 00 23 19 93 19 9B 1A 93 1A 9B 00 2B 05 D0 9D ED 08 0B B1 EE 40 0B 8D ED 08 0B 9D ED 08 1B 9F ED 01 0B 17 E0 00 00 00 00 80 84 1E 41 ?? ?? ?? ?? 00 00 F8 FF 00 00 00 00 00 00 00 00 00 00 F0 7F 55 55 55 55 55 55 C5 3F 00 00 20 3F 18 2D 44 54 FB 21 E9 3F B4 EE C0 1B F1 EE 10 FA 80 F0 1C 81 07 9B 1B 0D 40 93 00 23 41 93 06 9B 38 93 07 9B 39 93 38 9B 25 93 39 9A E1 4B 9A 42 19 D8 03 D3 25 9A DE 4B 9A 42 14 D8 06 9B 3A 93 07 9B 3B 93 3A 9B 26 93 3B 9A D8 4B 9A 42 07 D8 03 D3 26 9A D4 4B 9A 42 02 D8 01 23 04 93 01 E0 02 23 04 93 33 E0 06 9B 3C 93 07 9B 3D 93 3C 9B 27 93 3D 9A CB 4B 9A 42 19 D8 03 D3 27 9A C8 4B 9A 42 14 D8 06 9B 3E 93 07 9B 3F 93 3E 9B 28 93 3F 9A C2 4B 9A 42 07 D8 03 D3 28 9A BE 4B 9A 42 02 D8 03 23 04 93 01 E0 04 23 04 93 0F E0 9D ED 08 1B B8 4B 93 ED 00 0B 21 EE 00 1B B6 EE 00 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 04 93 04 9B 00 EE 10 3A B8 EE C0 1B AD 4B 93 ED 00 0B 21 EE 00 1B 9D ED 08 0B 30 EE 41 0B 8D ED 14 0B 04 9B 00 EE 10 3A B8 EE C0 1B A4 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0E 0B 9D ED 14 0B 53 EC 10 2B 46 92 47 93 47 9A 9C 4B 13 40 18 0D 40 9A 41 99 00 23 12 1A 61 EB 03 03 1E 92 1F 93 1E 9B 42 93 1F 9B 43 93 42 9B 29 93 43 9B 00 2B 02 D8 29 9B 0F 2B 6B D9 9D ED 14 0B 8D ED 1C 0B 04 9B 00 EE 10 3A B8 EE C0 1B 8B 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0E 0B 9D ED 1C 1B 9D ED 0E 0B 31 EE 40 0B 8D ED 14 0B 04 9B 00 EE 10 3A B8 EE C0 1B 80 4B 93 ED 00 0B 21 EE 00 2B 9D ED 1C 1B 9D ED 14 0B 31 EE 40 1B 9D ED 0E 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0E 0B 1E 9B 44 93 1F 9B 45 93 44 9B 2A 93 45 9B 00 2B 02 D8 2A 9B 30 2B 2F D9 9D ED 14 0B 8D ED 1C 0B 04 9B 00 EE 10 3A B8 EE C0 1B 6B 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0E 0B 9D ED 1C 1B 9D ED 0E 0B 31 EE 40 0B 8D ED 14 0B 04 9B 00 EE 10 3A B8 EE C0 1B 60 4B 93 ED 00 0B 21 EE 00 2B 9D ED 1C 1B 9D ED 14 0B 31 EE 40 1B 9D ED 0E 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0E 0B 9D ED 14 1B 9D ED 0E 0B 31 EE 40 0B 8D ED 10 0B 9D ED 14 1B 9D ED 10 0B 31 EE 40 1B 9D ED 0E 0B 31 EE 40 0B 8D ED 12 0B 04 9B 03 F0 03 03 17 93 06 E0 17 AA 12 A9 10 A8 9D ED 08 0B ?? ?? ?? ?? 1A 9B 00 2B 43 D0 17 9B 16 93 16 9B 01 2B 14 D0 16 9B 02 2B 20 D0 16 9B 03 2B 2A D0 9D ED 12 1B 9D ED 10 0B ?? ?? ?? ?? 8D ED 50 0B 9D ED 50 0B B1 EE 40 0B 8D ED 0A 0B 6B E0 9D ED 12 1B 9D ED 10 0B ?? ?? ?? ?? 8D ED 52 0B 9D ED 52 0B B1 EE 40 0B 8D ED 0A 0B 5C E0 9D ED 12 1B 9D ED 10 0B ?? ?? ?? ?? 8D ED 54 0B 9D ED 54 0B 8D ED 0A 0B 4F E0 9D ED 12 1B 9D ED 10 0B ?? ?? ?? ?? 8D ED 56 0B 9D ED 56 0B 8D ED 0A 0B 42 E0 41 E0 17 9B 18 93 18 9B 01 2B 12 D0 18 9B 02 2B 1C D0 18 9B 03 2B 28 D0 9D ED 12 1B 9D ED 10 0B ?? ?? ?? ?? 8D ED 58 0B 9D ED 58 0B 8D ED 0A 0B 29 E0 9D ED 12 1B 9D ED 10 0B ?? ?? ?? ?? 8D ED 5A 0B 9D ED 5A 0B 8D ED 0A 0B 1C E0 9D ED 12 1B 9D ED 10 0B ?? ?? ?? ?? 8D ED 5C 0B 9D ED 5C 0B B1 EE 40 0B 8D ED 0A 0B 0D E0 9D ED 12 1B 9D ED 10 0B ?? ?? ?? ?? 8D ED 5E 0B 9D ED 5E 0B B1 EE 40 0B 8D ED 0A 0B 9D ED 0A 0B 60 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 75 A7 BB E9 BB FD 15 40 BB B2 CC BE 3A 46 1C 40 D2 21 33 7F 7C D9 02 40 5E 38 55 29 7A 6A 0F 40 }
	condition:
		$1
}

rule file_390_4_0 {
	meta:
		name = "sin_piby4"
		size = 300
		refs = "0114 ?c1@?1??sin_piby4@@9@9 0118 ?c2@?1??sin_piby4@@9@9 011c ?c3@?1??sin_piby4@@9@9 0120 ?c4@?1??sin_piby4@@9@9 0124 ?c5@?1??sin_piby4@@9@9 0128 ?c6@?1??sin_piby4@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 04 1B 8D ED 02 0B 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 8D ED 00 0B 9D ED 00 1B 9D ED 02 0B 21 EE 00 0B 8D ED 06 0B 9D ED 00 1B 3C 4B 93 ED 00 0B 21 EE 00 1B 39 4B 93 ED 00 0B 30 EE 01 1B 9D ED 00 0B 20 EE 01 1B 33 4B 93 ED 00 0B 30 EE 01 1B 9D ED 00 0B 20 EE 01 1B 2E 4B 93 ED 00 0B 30 EE 01 1B 9D ED 00 0B 20 EE 01 1B 28 4B 93 ED 00 0B 30 EE 01 0B 8D ED 08 0B 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 16 D1 9D ED 00 1B 9D ED 08 0B 21 EE 00 1B 1D 4B 93 ED 00 0B 30 EE 01 1B 9D ED 06 0B 20 EE 01 1B 9D ED 02 0B 30 EE 01 0B 8D ED 0A 0B 25 E0 24 E0 B6 EE 00 1B 9D ED 04 0B 21 EE 00 2B 9D ED 06 1B 9D ED 08 0B 21 EE 00 0B 32 EE 40 1B 9D ED 00 0B 20 EE 01 1B 9D ED 04 0B 31 EE 40 2B 9D ED 06 1B 09 4B 93 ED 00 0B 21 EE 00 0B 32 EE 40 1B 9D ED 02 0B 30 EE 41 0B 8D ED 0A 0B 9D ED 0A 0B 0C B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_391_0_0 {
	meta:
		name = "exp"
		size = 800
		refs = "0070 _handle_nan 00d8 _handle_error 0246 splitexp 026a scaleDouble_1 028a scaleDouble_2 02b0 ?thirtytwo_by_log2@?1??exp@@9@9 02b4 ?log2_by_32_lead@?1??exp@@9@9 02b8 ?log2_by_32_trail@?1??exp@@9@9 0300 ??_C@_03KHJOGHMM@exp?$AA@ 030c ?min_exp_arg@?1??exp@@9@9 0314 ?max_exp_arg@?1??exp@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 AA B0 8D ED 04 0B 9D ED 04 0B 53 EC 10 2B 0A 92 0B 93 0A 9A 0B 9B 23 F0 00 43 08 92 09 93 08 9B 14 93 09 9B 15 93 14 9B 10 93 15 9A BA 4B 9A 42 7C D3 03 D8 10 9A B6 4B 9A 42 77 D3 08 9B 16 93 09 9B 17 93 16 9B 11 93 17 9A AF 4B 9A 42 26 D3 02 D8 11 9B 00 2B 22 D3 0A 9A 0B 9B 6F F3 1F 53 13 43 00 2B 0B D0 0A 98 0B 99 ?? ?? ?? ?? 8D ED 20 0B 9D ED 20 0B 8D ED 0C 0B 0F E1 0F E0 0B 9B 03 F0 00 43 00 2B 05 D0 9F ED 9D 0B 8D ED 0C 0B 04 E1 04 E0 9D ED 04 0B 8D ED 0C 0B FE E0 9D ED 04 1B 9A 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 19 DD 01 23 03 93 9F ED 91 1B 9D ED 04 0B 22 23 02 93 11 23 01 93 03 23 00 93 00 22 8F 4B 14 21 8A 48 ?? ?? ?? ?? 8D ED 22 0B 9D ED 22 0B 8D ED 0C 0B DB E0 22 E0 9D ED 04 1B 86 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 18 D2 01 23 03 93 9F ED 7F 1B 9D ED 04 0B 22 23 02 93 12 23 01 93 04 23 00 93 00 22 00 23 14 21 78 48 ?? ?? ?? ?? 8D ED 24 0B 9D ED 24 0B 8D ED 0C 0B B7 E0 08 9B 18 93 09 9B 19 93 18 9B 12 93 19 9A 6E 4B 9A 42 6F D8 02 D3 12 9B 00 2B 6B D2 08 9B 1A 93 09 9B 1B 93 1A 9B 13 93 1B 9B B3 F1 70 5F 0C D8 02 D3 13 9B 00 2B 08 D2 B7 EE 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 0E 0B 53 E0 9F ED 5D 1B 9D ED 04 0B 21 EE 00 1B 9F ED 58 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B 9F ED 52 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B 9F ED 4C 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B 9F ED 46 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B 9F ED 40 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B 9F ED 3A 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B 9F ED 34 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B B6 EE 00 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B B7 EE 00 0B 31 EE 00 1B 9D ED 04 0B 21 EE 00 1B B7 EE 00 0B 31 EE 00 0B 8D ED 0E 0B 39 E0 1E AA 1C A9 06 A8 22 4B 93 ED 00 4B 20 4B 93 ED 00 3B 1D 4B 93 ED 00 2B B7 EE 00 1B 9D ED 04 0B ?? ?? ?? ?? 06 9A 17 4B 9A 42 14 DB 06 9A 40 F2 FF 33 9A 42 0F DC 06 98 9D ED 1C 1B 9D ED 1E 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 26 0B 9D ED 26 0B 8D ED 0E 0B 0E E0 06 98 9D ED 1C 1B 9D ED 1E 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 28 0B 9D ED 28 0B 8D ED 0E 0B 9D ED 0E 0B 8D ED 0C 0B 9D ED 0C 0B 2A B0 BD E8 00 88 02 FC FF FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 55 55 55 55 55 55 C5 3F 55 55 55 55 55 55 A5 3F 11 11 11 11 11 11 81 3F 17 6C C1 16 6C C1 56 3F 1A A0 01 1A A0 01 2A 3F 1A A0 01 1A A0 01 FA 3E 34 C7 56 A5 E3 1D C7 3E 5C 9F 78 B7 4F 7E 92 3E 00 00 B0 3F ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? EF 39 FA FE 42 2E 86 40 }
	condition:
		$1
}

rule file_392_4_0 {
	meta:
		name = "?get_drive_number_from_path@@YAHQB_W@Z"
		size = 38
	strings:
		$1 = { 2D E9 00 48 EB 46 02 88 52 B1 43 88 3A 2B 07 D1 61 2A 02 D3 7A 2A 98 BF 20 3A A2 F1 40 00 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_392_6_0 {
	meta:
		name = "_chdrive"
		size = 164
		refs = "0008 __security_push_cookie 003a __acrt_errno_map_os_error 0044 __doserrno 005c _CrtDbgReportW 0066 _errno 007a _invalid_parameter 0084 __security_pop_cookie 008c ??_C@_1GE@OJOIIAJE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0090 ??_C@_1BC@JCHHEAGH@?$AA_?$AAc?$AAh?$AAd?$AAr?$AAi?$AAv?$AAe?$AA?$AA@ 0094 ??_C@_1DG@IKEHDKNA@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?5?$AAI?$AAn?$AAd?$AAe?$AAx?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c __imp_GetLastError 00a0 __imp_SetCurrentDirectoryW"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 84 B0 01 28 18 DB 1A 28 16 DC 00 F1 40 03 AD F8 08 30 3A 23 AD F8 0A 30 00 23 AD F8 0C 30 1D 4B 02 A8 1B 68 98 47 28 B9 19 4B 1B 68 98 47 ?? ?? ?? ?? 1E E0 00 20 1E E0 ?? ?? ?? ?? 0F 23 03 60 12 4B 11 4C 0E 49 00 93 00 23 3F 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 0D 23 03 60 08 49 06 4A 00 23 00 93 3F 23 20 46 ?? ?? ?? ?? 6F F0 00 00 04 B0 ?? ?? ?? ?? BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_392_7_0 {
	meta:
		name = "_getdrive"
		size = 184
		refs = "0008 __security_push_cookie 0018 memset 005e _calloc_dbg 0072 _errno 0080 _free_dbg 008a __security_pop_cookie 00b0 __imp_GetCurrentDirectoryW 00b4 ??_C@_0DC@HBKAANM@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? AD F5 05 7D 02 A8 40 F2 0A 22 00 21 ?? ?? ?? ?? 24 4B 02 A9 40 F2 05 10 1B 68 98 47 04 46 B0 F5 82 7F 10 D8 BD F8 08 20 5A B1 BD F8 0A 30 3A 2B 07 D1 61 2A 02 D3 7A 2A 98 BF 20 3A A2 F1 40 04 1A E0 00 24 18 E0 25 23 00 93 17 4B 02 22 02 21 60 1C ?? ?? ?? ?? 05 46 2D B1 12 4B 01 46 60 1C 1B 68 98 47 78 B9 ?? ?? ?? ?? 0C 23 03 60 00 24 02 21 28 46 ?? ?? ?? ?? 20 46 0D F5 05 7D ?? ?? ?? ?? BD E8 30 88 2A 88 00 2A F0 D0 6B 88 3A 2B ED D1 61 2A 02 D3 7A 2A 00 D8 20 3A A2 F1 40 04 E6 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_393_0_0 {
	meta:
		name = "??$common_splitpath@D@@YAXQBDQAD111@Z"
		size = 160
		refs = "0076 memset 0092 ??$common_splitpath_internal@DV<lambda_81dbc9fe9823f496b2e24900666b26ca>@@V<lambda_2fb3ae78730702381aca7250c89aa958>@@@@YAHQBDQAU?$component_buffers@D@?A0x95109fda@@V<lambda_81dbc9fe9823f496b2e24900666b26ca>@@V<lambda_2fb3ae78730702381aca7250c89aa958>@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 11 9B 06 93 11 9B 00 2B 02 D0 03 23 01 93 01 E0 00 23 01 93 01 9B 07 93 12 9B 08 93 12 9B 00 2B 03 D0 4F F4 80 73 02 93 01 E0 00 23 02 93 02 9B 09 93 13 9B 0A 93 13 9B 00 2B 03 D0 4F F4 80 73 03 93 01 E0 00 23 03 93 03 9B 0B 93 14 9B 0C 93 14 9B 00 2B 03 D0 4F F4 80 73 04 93 01 E0 00 23 04 93 04 9B 0D 93 01 22 00 21 68 46 ?? ?? ?? ?? 01 22 00 21 0D F1 01 00 ?? ?? ?? ?? 9D F8 00 30 9D F8 01 20 06 A9 10 98 ?? ?? ?? ?? 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_393_1_0 {
	meta:
		name = "??$common_splitpath@_W@@YAXQB_WQA_W111@Z"
		size = 160
		refs = "0076 memset 0092 ??$common_splitpath_internal@_WV<lambda_8eb4cbd7e5fad28d6877d8a0675ba243>@@V<lambda_3a1c82f6b6432f82785f79f79d4ce8a8>@@@@YAHQB_WQAU?$component_buffers@_W@?A0x95109fda@@V<lambda_8eb4cbd7e5fad28d6877d8a0675ba243>@@V<lambda_3a1c82f6b6432f82785f79f79d4ce8a8>@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 11 9B 06 93 11 9B 00 2B 02 D0 03 23 01 93 01 E0 00 23 01 93 01 9B 07 93 12 9B 08 93 12 9B 00 2B 03 D0 4F F4 80 73 02 93 01 E0 00 23 02 93 02 9B 09 93 13 9B 0A 93 13 9B 00 2B 03 D0 4F F4 80 73 03 93 01 E0 00 23 03 93 03 9B 0B 93 14 9B 0C 93 14 9B 00 2B 03 D0 4F F4 80 73 04 93 01 E0 00 23 04 93 04 9B 0D 93 01 22 00 21 68 46 ?? ?? ?? ?? 01 22 00 21 0D F1 01 00 ?? ?? ?? ?? 9D F8 00 30 9D F8 01 20 06 A9 10 98 ?? ?? ?? ?? 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_393_6_0 {
	meta:
		name = "??$common_splitpath_s@D@@YAHQBDQAU?$component_buffers@D@?A0x95109fda@@@Z"
		size = 66
		refs = "0010 memset 002c ??$common_splitpath_internal@DV<lambda_5c4ff32f5976a52201bac3fefe2d307c>@@V<lambda_f08ea5b68bbffb4b310393ee25ffbd6b>@@@@YAHQBDQAU?$component_buffers@D@?A0x95109fda@@V<lambda_5c4ff32f5976a52201bac3fefe2d307c>@@V<lambda_f08ea5b68bbffb4b310393ee25ffbd6b>@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 68 46 ?? ?? ?? ?? 01 22 00 21 0D F1 01 00 ?? ?? ?? ?? 9D F8 00 30 9D F8 01 20 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_393_7_0 {
	meta:
		name = "??$common_splitpath_s@_W@@YAHQB_WQAU?$component_buffers@_W@?A0x95109fda@@@Z"
		size = 66
		refs = "0010 memset 002c ??$common_splitpath_internal@_WV<lambda_a0d0e552789b48426595119677e26b2e>@@V<lambda_b4d07a523b4d373503b74dd7549a02ff>@@@@YAHQB_WQAU?$component_buffers@_W@?A0x95109fda@@V<lambda_a0d0e552789b48426595119677e26b2e>@@V<lambda_b4d07a523b4d373503b74dd7549a02ff>@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 01 22 00 21 68 46 ?? ?? ?? ?? 01 22 00 21 0D F1 01 00 ?? ?? ?? ?? 9D F8 00 30 9D F8 01 20 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_393_26_0 {
	meta:
		name = "_splitpath"
		size = 36
		refs = "0016 ??$common_splitpath@D@@YAXQBDQAD111@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 9B 00 93 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_393_28_0 {
	meta:
		name = "_wsplitpath"
		size = 36
		refs = "0016 ??$common_splitpath@_W@@YAXQB_WQA_W111@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 9B 00 93 07 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_393_27_0 {
	meta:
		name = "_splitpath_s"
		size = 68
		refs = "002e ??$common_splitpath_s@D@@YAHQBDQAU?$component_buffers@D@?A0x95109fda@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 02 93 0E 9B 03 93 0F 9B 04 93 10 9B 05 93 11 9B 06 93 12 9B 07 93 13 9B 08 93 14 9B 09 93 02 A9 0C 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_393_29_0 {
	meta:
		name = "_wsplitpath_s"
		size = 68
		refs = "002e ??$common_splitpath_s@_W@@YAHQB_WQAU?$component_buffers@_W@?A0x95109fda@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 02 93 0E 9B 03 93 0F 9B 04 93 10 9B 05 93 11 9B 06 93 12 9B 07 93 13 9B 08 93 14 9B 09 93 02 A9 0C 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_394_11_0 {
	meta:
		name = "?has_temporary_buffer@__crt_stdio_stream@@QBA_NXZ"
		size = 46
		refs = "0010 ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 4F F4 00 71 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_394_16_0 {
	meta:
		name = "__acrt_stdio_begin_temporary_buffering_nolock"
		size = 492
		refs = "0020 _CrtDbgReportW 0032 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0038 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0040 _fileno 0048 _isatty 0066 __acrt_iob_func 00ac ?has_any_buffer@__crt_stdio_stream@@QBA_NXZ 00ca ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 00e0 _malloc_dbg 00ea ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 00f6 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 0104 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 0112 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 01d0 ??_C@_0DB@EPIHMFLB@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 01d4 _cflush 01d8 __acrt_stderr_buffer 01dc __acrt_stdout_buffer 01e0 ??_C@_1GC@GBMDABED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01e8 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9E B0 20 9B 00 2B 0E D1 75 4B 01 93 73 4B 00 93 00 23 26 22 70 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 20 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 09 90 09 9B 00 2B 03 D1 00 23 8D F8 14 30 B2 E0 02 A8 ?? ?? ?? ?? 0A 90 01 20 ?? ?? ?? ?? 0B 90 0A 9A 0B 9B 9A 42 02 D1 59 4B 04 93 12 E0 02 A8 ?? ?? ?? ?? 0C 90 02 20 ?? ?? ?? ?? 0D 90 0C 9A 0D 9B 9A 42 02 D1 51 4B 04 93 03 E0 00 23 8D F8 14 30 90 E0 4C 4B 1B 68 5A 1C 4B 4B 1A 60 02 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 03 D0 00 23 8D F8 14 30 7E E0 40 F2 82 21 02 A8 ?? ?? ?? ?? 04 9B 1B 68 00 2B 18 D1 40 23 3D 4A 02 21 4F F4 80 50 ?? ?? ?? ?? 0E 90 0E 99 12 A8 ?? ?? ?? ?? 0F 90 0F 9B 10 93 10 98 ?? ?? ?? ?? 11 90 11 9A 04 9B 1A 60 12 A8 ?? ?? ?? ?? 04 9B 1B 68 00 2B 30 D1 02 A8 ?? ?? ?? ?? 13 90 02 A8 ?? ?? ?? ?? 14 90 13 9B 03 F1 14 02 14 9B 1B 1D 1A 60 02 A8 ?? ?? ?? ?? 15 90 02 A8 ?? ?? ?? ?? 16 90 15 9B 03 F1 14 02 16 9B 1A 60 02 A8 ?? ?? ?? ?? 17 90 17 9B 03 F1 08 02 02 23 13 60 02 A8 ?? ?? ?? ?? 18 90 18 9B 03 F1 18 02 02 23 13 60 01 23 8D F8 14 30 27 E0 02 A8 ?? ?? ?? ?? 19 90 19 9B 1A 1D 04 9B 1B 68 13 60 02 A8 ?? ?? ?? ?? 1A 90 1A 9A 04 9B 1B 68 13 60 02 A8 ?? ?? ?? ?? 1B 90 1B 9B 03 F1 08 02 4F F4 80 53 13 60 02 A8 ?? ?? ?? ?? 1C 90 1C 9B 03 F1 18 02 4F F4 80 53 13 60 01 23 8D F8 14 30 9D F8 14 00 1E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_394_17_0 {
	meta:
		name = "__acrt_stdio_end_temporary_buffering_nolock"
		size = 128
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001e ?has_temporary_buffer@__crt_stdio_stream@@QBA_NXZ 0030 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0038 __acrt_stdio_flush_nolock 0042 ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 0048 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 09 99 01 A8 ?? ?? ?? ?? 9D F8 20 30 00 2B 00 D1 2C E0 01 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 23 D0 01 A8 ?? ?? ?? ?? 02 90 02 98 ?? ?? ?? ?? 4F F4 20 71 01 A8 ?? ?? ?? ?? 01 A8 ?? ?? ?? ?? 03 90 03 9B 03 F1 18 02 00 23 13 60 01 A8 ?? ?? ?? ?? 04 90 04 9B 1A 1D 00 23 13 60 01 A8 ?? ?? ?? ?? 05 90 05 9A 00 23 13 60 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_395_0_0 {
	meta:
		name = "trunc"
		size = 38
		refs = "0010 _d_int"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 00 0B 00 21 68 46 ?? ?? ?? ?? 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_608_0_0 {
	meta:
		name = "truncl"
		size = 38
		refs = "0010 _ld_int"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 00 0B 00 21 68 46 ?? ?? ?? ?? 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_396_0_0 {
	meta:
		name = "logbl"
		size = 136
		refs = "0010 _ldunscale 003e _fperrraise 0084 _LInf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 04 0B 04 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 01 93 01 9B 00 2B 0B D0 01 9B 01 2B 13 D0 01 9B 02 2B 00 D0 15 E0 9D ED 04 0B 8D ED 02 0B 1E E0 04 20 ?? ?? ?? ?? 10 4B 93 ED 00 0B B1 EE 40 0B 8D ED 02 0B 13 E0 0C 4B 93 ED 00 0B 8D ED 02 0B 0D E0 BD F9 00 30 5B 1E 1B B2 AD F8 00 30 BD F9 00 30 00 EE 10 3A B8 EE C0 0B 8D ED 02 0B 9D ED 02 0B 06 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_687_0_0 {
	meta:
		name = "logb"
		size = 136
		refs = "0010 _dunscale 003e _fperrraise 0084 _Inf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 04 0B 04 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 01 93 01 9B 00 2B 0B D0 01 9B 01 2B 13 D0 01 9B 02 2B 00 D0 15 E0 9D ED 04 0B 8D ED 02 0B 1E E0 04 20 ?? ?? ?? ?? 10 4B 93 ED 00 0B B1 EE 40 0B 8D ED 02 0B 13 E0 0C 4B 93 ED 00 0B 8D ED 02 0B 0D E0 BD F9 00 30 5B 1E 1B B2 AD F8 00 30 BD F9 00 30 00 EE 10 3A B8 EE C0 0B 8D ED 02 0B 9D ED 02 0B 06 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_397_3_0 {
	meta:
		name = "?common_mbstrlen_l@@YAIQBDIQAU__crt_locale_pointers@@@Z"
		size = 388
		refs = "0010 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 004e _CrtDbgReportW 0074 strnlen 0080 ??1_LocaleUpdate@@QAA@XZ 00b6 _errno 0118 _isleadbyte_l 0174 __imp_MultiByteToWideChar 0178 ??_C@_1GG@HHGHPEAK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 017c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0180 ??_C@_1BBK@OJOCBOE@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 9B B0 20 99 08 A8 ?? ?? ?? ?? 19 90 08 A8 ?? ?? ?? ?? 0C 90 0C 9B 1B 68 1B 1D 1B 68 01 2B 18 D0 08 A8 ?? ?? ?? ?? 0D 90 0D 9B 1B 68 1B 1D 1B 68 02 2B 0E D0 50 4B 01 93 4E 4B 00 93 00 23 22 22 4B 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 08 A8 ?? ?? ?? ?? 0F 90 0F 9B 1B 68 1B 1D 1B 68 01 2B 0C D1 1F 99 1E 98 ?? ?? ?? ?? 10 90 10 9B 11 93 08 A8 ?? ?? ?? ?? 11 9B 05 93 6E E0 08 A8 ?? ?? ?? ?? 12 90 00 23 01 93 00 23 00 93 1F 9B 1E 9A 09 21 12 98 00 68 08 30 00 68 32 4C 24 68 A0 47 13 90 13 9B 00 2B 0E D1 ?? ?? ?? ?? 14 90 14 9A 2A 23 13 60 6F F0 00 03 15 93 08 A8 ?? ?? ?? ?? 15 9B 05 93 49 E0 00 23 04 93 00 23 03 93 1E 9B 02 93 08 E0 04 9B 5B 1C 04 93 02 9B 5B 1C 02 93 03 9B 5B 1C 03 93 03 9A 1F 9B 9A 42 25 D2 02 9B 93 F9 00 30 00 2B 20 D0 08 A8 ?? ?? ?? ?? 16 90 16 99 02 9B 93 F9 00 30 D8 B2 ?? ?? ?? ?? 17 90 17 9B 00 2B 10 D0 03 9B 5B 1C 03 93 03 9A 1F 9B 9A 42 00 D3 09 E0 02 9B 5B 1C 02 93 02 9B 93 F9 00 30 00 2B 00 D1 00 E0 CC E7 03 9A 1F 9B 9A 42 02 D3 1F 9B 06 93 01 E0 04 9B 06 93 06 9B 18 93 08 A8 ?? ?? ?? ?? 18 9B 05 93 05 98 1B B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_397_5_0 {
	meta:
		name = "_mbstrlen"
		size = 68
		refs = "000a __acrt_locale_changed 001c strlen 002e _mbstrlen_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D1 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 07 E0 06 E0 00 21 06 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_397_6_0 {
	meta:
		name = "_mbstrlen_l"
		size = 40
		refs = "0012 ?common_mbstrlen_l@@YAIQBDIQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 6F F0 00 01 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_397_8_0 {
	meta:
		name = "_mbstrnlen_l"
		size = 260
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00d8 ?common_mbstrlen_l@@YAIQBDIQAU__crt_locale_pointers@@@Z 00f0 ??_C@_1CI@DJIFDDII@?$AAm?$AAa?$AAx?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 00f4 ??_C@_1BK@NDCACHED@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAr?$AAn?$AAl?$AAe?$AAn?$AA_?$AAl?$AA?$AA@ 00f8 ??_C@_1GG@HHGHPEAK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0E 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 36 4B 01 93 34 4B 00 93 00 23 6B 22 31 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 6B 23 27 4A 25 49 28 48 ?? ?? ?? ?? 6F F0 00 03 02 93 3A E0 0F 9A 6F F0 00 43 9A 42 02 D8 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 19 4B 01 93 1B 4B 00 93 00 23 6C 22 18 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 6C 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 6F F0 00 03 02 93 07 E0 10 9A 0F 99 0E 98 ?? ?? ?? ?? 0B 90 0B 9B 02 93 02 98 0C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_399_5_0 {
	meta:
		name = "_mbsnbcmp_l"
		size = 304
		refs = "001a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002a strncmp 0042 _CrtDbgReportW 004c _errno 008c _invalid_parameter 011c ??_C@_1HC@OABGANDG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0120 ??_C@_1BI@LPHOHGHI@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0124 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 14 46 0D 46 06 46 0C B9 00 20 7E E0 02 A8 19 46 ?? ?? ?? ?? 04 98 83 68 2B B9 22 46 29 46 30 46 ?? ?? ?? ?? 67 E0 A6 B9 3D 4B 3D 4C 39 49 00 93 00 23 3A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 3A 23 14 E0 DD B9 32 4B 30 4C 2E 49 00 93 00 23 3B 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 3B 23 26 49 24 4A 20 46 ?? ?? ?? ?? 6F F0 00 40 34 E0 04 27 16 F8 01 1B 64 1E 50 FA 81 F3 5B 7E 3B 42 0F D0 3C B9 2A 78 00 21 13 18 5B 7E 3B 42 19 D0 00 22 17 E0 33 78 0B B9 00 21 02 E0 43 EA 01 21 76 1C 2A 78 6D 1C 50 FA 82 F3 5B 7E 3B 42 09 D0 0C B9 00 22 06 E0 2B 78 64 1E 00 2B E8 D0 43 EA 02 22 6D 1C 91 42 04 D1 09 B1 00 2C D1 D1 00 20 03 E0 6F F0 00 00 88 BF 01 20 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 06 B0 BD E8 F0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_400_0_0 {
	meta:
		name = "imaxabs"
		size = 82
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 04 93 0B 9B 05 93 04 9B 00 93 05 9B 00 2B 0B DC 02 DB 00 9B 00 2B 07 D2 0A 9A 0B 99 00 23 52 42 8B 41 02 92 03 93 03 E0 0A 9B 02 93 0B 9B 03 93 02 9A 03 9B 06 92 07 93 06 98 07 99 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_402_0_0 {
	meta:
		name = "floor"
		size = 536
		refs = "009e _handle_nan"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B B3 B0 8D ED 0E 0B 9D ED 0E 0B 53 EC 10 2B 00 92 01 93 00 9A 01 9B 23 F0 00 43 02 92 03 93 00 9B 18 93 01 9B 19 93 02 9B 1A 93 03 9B 1B 93 19 9B 10 93 1B 9B 11 93 18 9A 1A 9B 9A 42 03 D1 10 9A 11 9B 9A 42 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9A 06 9B DB 17 0A 92 0B 93 02 9B 1C 93 03 9B 1D 93 1C 9B 12 93 1D 9A 68 4B 9A 42 23 D3 02 D8 12 9B 00 2B 1F D3 02 9B 1E 93 03 9B 1F 93 1E 9B 13 93 1F 9A 5D 4B 9A 42 0F D3 02 D8 13 9B 00 2B 0B D9 00 98 01 99 ?? ?? ?? ?? 8D ED 30 0B 9D ED 30 0B 8D ED 08 0B A3 E0 04 E0 9D ED 0E 0B 8D ED 08 0B 9D E0 9C E0 02 9B 20 93 03 9B 21 93 20 9B 14 93 21 9A 50 4B 9A 42 27 D8 02 D3 14 9B 00 2B 23 D2 02 9B 22 93 03 9B 23 93 23 9A 22 9B 13 43 00 2B 05 D1 9D ED 0E 0B 8D ED 08 0B 80 E0 13 E0 0A 9B 24 93 0B 9B 25 93 25 9A 24 9B 13 43 00 2B 05 D0 BF EE 00 0B 8D ED 08 0B 71 E0 04 E0 9F ED 3C 0B 8D ED 08 0B 6B E0 6A E0 9D ED 0E 0B 8D ED 2C 0B 01 9A 35 4B 13 40 18 0D 40 F2 FF 32 00 21 00 23 82 1A 61 EB 03 03 2E 92 2F 93 01 23 04 93 00 23 05 93 2E 9B C3 F1 34 04 05 9B 03 FA 04 F1 C4 F1 20 02 04 9B D3 40 41 EA 03 00 A4 F1 20 02 04 9B 03 FA 02 F1 04 9B 03 FA 04 F2 01 43 00 23 52 1E 61 EB 03 03 04 92 05 93 04 9B DA 43 05 9B D9 43 00 9B 1A 40 01 9B 0B 40 0C 92 0D 93 0C 9A 0D 9B 43 EC 10 2B 8D ED 2C 0B 0A 9B 26 93 0B 9B 27 93 27 9A 26 9B 13 43 00 2B 1D D0 0C 9B 28 93 0D 9B 29 93 00 9B 2A 93 01 9B 2B 93 29 9B 15 93 2B 9B 16 93 28 9A 2A 9B 9A 42 03 D1 15 9A 16 9B 9A 42 09 D0 9D ED 2C 1B B7 EE 00 0B 31 EE 40 0B 8D ED 08 0B 04 E0 03 E0 9D ED 2C 0B 8D ED 08 0B 9D ED 08 0B 33 B0 BD E8 10 88 FE DE 00 00 F0 7F 00 00 00 00 00 00 00 00 00 00 F0 3F 00 00 40 43 }
	condition:
		$1
}

rule file_403_5_0 {
	meta:
		name = "_mbsnbicoll_l"
		size = 300
		refs = "0016 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0032 _CrtDbgReportW 003c _errno 007c _invalid_parameter 00d0 _strnicoll_l 00ee __acrt_CompareStringA 0114 ??_C@_1HC@KBLCJABH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0118 ??_C@_1BM@FKNNDAHH@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 011c ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0120 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0124 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0128 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 89 B0 0E 46 07 46 04 A8 19 46 98 46 15 46 ?? ?? ?? ?? 0D B9 00 24 6A E0 A7 B9 3F 4B 40 4C 3B 49 00 93 00 23 37 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 37 23 14 E0 DE B9 34 4B 34 4C 30 49 00 93 00 23 38 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 38 23 28 49 26 4A 20 46 ?? ?? ?? ?? 6F F0 00 44 37 E0 6F F0 00 44 A5 42 19 D9 24 4B 22 4D 20 49 00 93 00 23 39 22 02 20 01 95 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 19 49 18 4A 00 23 00 93 39 23 28 46 ?? ?? ?? ?? 19 E0 06 9A 93 68 3B B9 43 46 2A 46 31 46 38 46 ?? ?? ?? ?? 04 46 0E E0 53 68 D2 F8 1C 12 05 A8 03 93 3B 46 41 F2 01 02 02 95 01 96 00 95 ?? ?? ?? ?? 00 B1 84 1E 9D F8 1C 30 33 B1 04 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 09 B0 BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_404_1_0 {
	meta:
		name = "??$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z"
		size = 164
		refs = "000c ??$__crt_interlocked_read@J@@YAJPDJ@Z 0028 ?appmodel_get_policy@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SAJPAW4AppPolicyThreadInitializationType@@@Z 002e ?appmodel_policy_to_policy_type@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SA?AW43@J@Z 0076 _CrtDbgReportW 0094 ??_C@_1HC@GHLNKBJK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1FO@NMANMHOD@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAl?$AAo?$AAn?$AAg@ 00a0 ?state_cache@?1???$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z@4JA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 25 48 ?? ?? ?? ?? 07 90 07 9B 03 93 03 9B 00 2B 02 D0 03 9B 06 93 32 E0 0E 9B 04 93 04 A8 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 08 90 08 9B 02 93 BF F3 5B 8F 18 48 02 99 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 13 46 09 93 BF F3 5B 8F 09 9B 05 93 05 9B 00 2B 12 D0 05 9A 02 9B 9A 42 0E D0 0D 4B 01 93 0B 4B 00 93 00 23 2A 22 08 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 02 9B 06 93 06 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_404_2_0 {
	meta:
		name = "??$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z"
		size = 164
		refs = "000c ??$__crt_interlocked_read@J@@YAJPDJ@Z 0028 ?appmodel_get_policy@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SAJPAW4AppPolicyShowDeveloperDiagnostic@@@Z 002e ?appmodel_policy_to_policy_type@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SA?AW43@J@Z 0076 _CrtDbgReportW 0094 ??_C@_1HC@GHLNKBJK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1FO@NMANMHOD@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAl?$AAo?$AAn?$AAg@ 00a0 ?state_cache@?1???$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z@4JA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 25 48 ?? ?? ?? ?? 07 90 07 9B 03 93 03 9B 00 2B 02 D0 03 9B 06 93 32 E0 0E 9B 04 93 04 A8 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 08 90 08 9B 02 93 BF F3 5B 8F 18 48 02 99 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 13 46 09 93 BF F3 5B 8F 09 9B 05 93 05 9B 00 2B 12 D0 05 9A 02 9B 9A 42 0E D0 0D 4B 01 93 0B 4B 00 93 00 23 2A 22 08 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 02 9B 06 93 06 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_404_3_0 {
	meta:
		name = "??$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z"
		size = 164
		refs = "000c ??$__crt_interlocked_read@J@@YAJPDJ@Z 0028 ?appmodel_get_policy@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SAJPAW4AppPolicyWindowingModel@@@Z 002e ?appmodel_policy_to_policy_type@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SA?AW43@J@Z 0076 _CrtDbgReportW 0094 ??_C@_1HC@GHLNKBJK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009c ??_C@_1FO@NMANMHOD@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAl?$AAo?$AAn?$AAg@ 00a0 ?state_cache@?1???$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z@4JA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 25 48 ?? ?? ?? ?? 07 90 07 9B 03 93 03 9B 00 2B 02 D0 03 9B 06 93 32 E0 0E 9B 04 93 04 A8 ?? ?? ?? ?? 04 98 ?? ?? ?? ?? 08 90 08 9B 02 93 BF F3 5B 8F 18 48 02 99 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 13 46 09 93 BF F3 5B 8F 09 9B 05 93 05 9B 00 2B 12 D0 05 9A 02 9B 9A 42 0E D0 0D 4B 01 93 0B 4B 00 93 00 23 2A 22 08 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 02 9B 06 93 06 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_404_4_0 {
	meta:
		name = "??$get_win_policy@Uprocess_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@@@YA?AW4process_end_policy@@W4AppPolicyProcessTerminationMethod@@@Z"
		size = 44
		refs = "0010 ?appmodel_get_policy@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SAJPAW4AppPolicyProcessTerminationMethod@@@Z 0016 ?appmodel_policy_to_policy_type@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SA?AW43@W4AppPolicyProcessTerminationMethod@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 68 46 ?? ?? ?? ?? 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_404_10_0 {
	meta:
		name = "?appmodel_policy_to_policy_type@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SA?AW43@J@Z"
		size = 40
		altNames = "?appmodel_policy_to_policy_type@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SA?AW43@J@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 2B 03 D1 02 23 00 93 02 E0 01 E0 01 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_404_12_0 {
	meta:
		name = "?appmodel_policy_to_policy_type@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SA?AW43@W4AppPolicyProcessTerminationMethod@@@Z"
		size = 40
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 2B 03 D1 00 23 00 93 02 E0 01 E0 01 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_404_13_0 {
	meta:
		name = "?appmodel_policy_to_policy_type@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SA?AW43@J@Z"
		size = 68
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 01 93 01 9B 01 2B 09 D0 01 9B 02 2B 03 D0 01 9B 03 2B 06 D0 08 E0 01 23 00 93 07 E0 02 23 00 93 04 E0 03 23 00 93 01 E0 04 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_404_14_0 {
	meta:
		name = "__acrt_get_begin_thread_init_policy"
		size = 28
		refs = "000a ??$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_641_14_0 {
	meta:
		name = "_Getdays"
		size = 28
		refs = "000a _Getdays_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_641_16_0 {
	meta:
		name = "_Getmonths"
		size = 28
		refs = "000a _Getmonths_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_404_15_0 {
	meta:
		name = "__acrt_get_developer_information_policy"
		size = 28
		refs = "000a ??$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_404_16_0 {
	meta:
		name = "__acrt_get_process_end_policy"
		size = 28
		refs = "000a ??$get_win_policy@Uprocess_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@@@YA?AW4process_end_policy@@W4AppPolicyProcessTerminationMethod@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_404_17_0 {
	meta:
		name = "__acrt_get_windowing_model_policy"
		size = 28
		refs = "000a ??$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 02 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_405_0_0 {
	meta:
		name = "feclearexcept"
		size = 130
		refs = "0022 _getfpstatusword 003e __acrt_fenv_get_fp_status_word_from_exception_mask 0050 _setfpstatusword 005a fetestexcept"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 00 93 08 9B 03 F0 1F 03 08 93 08 9B 00 2B 02 D1 00 23 01 93 29 E0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9A 08 9B 13 40 00 2B 02 D1 00 23 01 93 1C E0 08 98 ?? ?? ?? ?? 03 90 03 9B DA 43 00 9B 13 40 00 93 00 98 ?? ?? ?? ?? 00 9B 03 F0 1F 00 ?? ?? ?? ?? 04 90 00 9B 03 F0 1F 02 04 9B 93 42 02 D0 01 23 01 93 01 E0 00 23 01 93 01 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_406_9_0 {
	meta:
		name = "_eof"
		size = 380
		refs = "0012 __doserrno 001e _errno 0066 _CrtDbgReportW 009e _invalid_parameter 013e ??0<lambda_229078f0af716d62735c5543f864b534>@@QAA@ABH@Z 0148 ??$__acrt_lowio_lock_fh_and_call@V<lambda_229078f0af716d62735c5543f864b534>@@@@YAHH$$QAV<lambda_229078f0af716d62735c5543f864b534>@@@Z 0160 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0164 ??_C@_19CLIOPBMD@?$AA_?$AAe?$AAo?$AAf?$AA?$AA@ 0168 ??_C@_1FK@GBJFJAJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 016c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0170 __pioinfo 0174 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0178 _nhandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 13 F1 02 0F 0F D1 ?? ?? ?? ?? 07 90 07 9A 00 23 13 60 ?? ?? ?? ?? 08 90 08 9A 09 23 13 60 6F F0 00 03 02 93 8F E0 14 9B 00 2B 07 DB 14 9A 4F 4B 1B 68 9A 42 02 D2 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 47 4B 01 93 44 4B 00 93 00 23 13 22 41 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 04 9B 00 2B 17 D1 ?? ?? ?? ?? 0A 90 0A 9A 00 23 13 60 ?? ?? ?? ?? 0B 90 0B 9A 09 23 13 60 00 23 00 93 13 23 33 4A 32 49 35 48 ?? ?? ?? ?? 6F F0 00 03 02 93 53 E0 14 9B 9A 11 04 23 02 FB 03 F2 2E 4B 99 18 14 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 14 22 1D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 06 9B 00 2B 17 D1 ?? ?? ?? ?? 0D 90 0D 9A 00 23 13 60 ?? ?? ?? ?? 0E 90 0E 9A 09 23 13 60 00 23 00 93 14 23 0F 4A 0E 49 0C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 0B E0 14 A9 11 A8 ?? ?? ?? ?? 0F 90 0F 99 14 98 ?? ?? ?? ?? 10 90 10 9B 02 93 02 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_3_0 {
	meta:
		name = "?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
		size = 86
		refs = "0014 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 85 B0 0C 46 01 46 68 46 1D 46 16 46 ?? ?? ?? ?? 02 99 E2 B2 11 44 49 7E 29 42 0A D1 2E B1 01 9B 1B 68 33 F8 12 30 33 40 00 E0 00 23 0B B9 00 20 00 E0 01 20 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 70 88 }
	condition:
		$1
}

rule file_407_5_0 {
	meta:
		name = "_ismbbalnum"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 01 23 00 20 40 F2 07 12 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_6_0 {
	meta:
		name = "_ismbbalnum_l"
		size = 28
		refs = "0014 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 46 20 46 01 23 40 F2 07 12 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_407_7_0 {
	meta:
		name = "_ismbbalpha"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 01 23 00 20 40 F2 03 12 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_8_0 {
	meta:
		name = "_ismbbalpha_l"
		size = 28
		refs = "0014 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 46 20 46 01 23 40 F2 03 12 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_407_9_0 {
	meta:
		name = "_ismbbblank"
		size = 30
		refs = "0016 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 09 28 08 BF 40 20 05 D0 02 23 40 22 01 46 00 20 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_407_10_0 {
	meta:
		name = "_ismbbblank_l"
		size = 34
		refs = "001a ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 09 28 08 BF 40 20 0C 46 05 D0 02 23 01 46 40 22 20 46 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_407_11_0 {
	meta:
		name = "_ismbbgraph"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 03 23 00 20 40 F2 17 12 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_12_0 {
	meta:
		name = "_ismbbgraph_l"
		size = 28
		refs = "0014 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 46 20 46 03 23 40 F2 17 12 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_407_13_0 {
	meta:
		name = "_ismbbkalnum"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 01 23 00 22 00 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_14_0 {
	meta:
		name = "_ismbbkalnum_l"
		size = 26
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 46 01 23 20 46 00 22 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_407_16_0 {
	meta:
		name = "_ismbbkana_l"
		size = 72
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0026 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 05 46 68 46 0C 46 ?? ?? ?? ?? 02 9B 53 B1 5B 68 B3 F5 69 7F 06 D1 03 23 00 22 29 46 20 46 ?? ?? ?? ?? 00 E0 00 20 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 04 B0 BD E8 30 88 }
	condition:
		$1
}

rule file_407_17_0 {
	meta:
		name = "_ismbbkprint"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 03 23 00 22 00 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_18_0 {
	meta:
		name = "_ismbbkprint_l"
		size = 26
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 46 03 23 20 46 00 22 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_407_19_0 {
	meta:
		name = "_ismbbkpunct"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 02 23 00 22 00 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_20_0 {
	meta:
		name = "_ismbbkpunct_l"
		size = 26
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 46 02 23 20 46 00 22 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_407_21_0 {
	meta:
		name = "_ismbblead"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 04 23 00 22 00 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_22_0 {
	meta:
		name = "_ismbblead_l"
		size = 26
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 46 04 23 20 46 00 22 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_407_23_0 {
	meta:
		name = "_ismbbprint"
		size = 24
		refs = "0014 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 03 23 00 20 40 F2 57 12 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_24_0 {
	meta:
		name = "_ismbbprint_l"
		size = 28
		refs = "0014 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 46 20 46 03 23 40 F2 57 12 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_407_25_0 {
	meta:
		name = "_ismbbpunct"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 02 23 10 22 00 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_26_0 {
	meta:
		name = "_ismbbpunct_l"
		size = 26
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 46 02 23 20 46 10 22 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_407_27_0 {
	meta:
		name = "_ismbbtrail"
		size = 22
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 46 08 23 00 22 00 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_407_28_0 {
	meta:
		name = "_ismbbtrail_l"
		size = 26
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 01 46 08 23 20 46 00 22 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_408_3_0 {
	meta:
		name = "??$common_assert@D@@YAXQBD0IQAX@Z"
		size = 92
		refs = "000c _set_error_mode 0022 ??$common_assert_to_stderr@D@@YAXQBD0I@Z 002e _query_app_type 004e ??$common_assert_to_message_box@D@@YAXQBD0IQAX@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 03 20 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 01 2B 05 D1 08 9A 07 99 06 98 ?? ?? ?? ?? 14 E0 00 9B 00 2B 0B D1 ?? ?? ?? ?? 02 90 02 9B 01 2B 05 D1 08 9A 07 99 06 98 ?? ?? ?? ?? 05 E0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_4_0 {
	meta:
		name = "??$common_assert@_W@@YAXQB_W0IQAX@Z"
		size = 92
		refs = "000c _set_error_mode 0022 ??$common_assert_to_stderr@_W@@YAXQB_W0I@Z 002e _query_app_type 004e ??$common_assert_to_message_box@_W@@YAXQB_W0IQAX@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 03 20 ?? ?? ?? ?? 01 90 01 9B 00 93 00 9B 01 2B 05 D1 08 9A 07 99 06 98 ?? ?? ?? ?? 14 E0 00 9B 00 2B 0B D1 ?? ?? ?? ?? 02 90 02 9B 01 2B 05 D1 08 9A 07 99 06 98 ?? ?? ?? ?? 05 E0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_5_0 {
	meta:
		name = "??$common_assert_to_message_box@D@@YAXQBD0IQAX@Z"
		size = 148
		refs = "0008 __security_push_cookie 0018 memset 002e ??$common_assert_to_message_box_build_string@D@@YAXQADIQBD1IQAX@Z 0038 ?get_banner_text@@YAPBDD@Z 0048 ??$show_message_box@AAY0CEA@DPBDJ@?$__crt_char_traits@D@@SAHAAY0CEA@D$$QAPBD$$QAJ@Z 006c raise 0072 _exit 007c abort 0084 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 19 7D 4F F4 10 72 00 21 08 A8 ?? ?? ?? ?? 9F 9B 01 93 9E 9B 00 93 9D 9B 9C 9A 4F F4 10 71 08 A8 ?? ?? ?? ?? 17 4B 04 93 00 20 ?? ?? ?? ?? 03 90 03 9B 05 93 04 AA 05 A9 08 A8 ?? ?? ?? ?? 06 90 06 9B 07 93 07 9B 02 93 02 9B 03 2B 06 D0 02 9B 04 2B 09 D0 02 9B 05 2B 08 D0 08 E0 16 20 ?? ?? ?? ?? 03 20 ?? ?? ?? ?? FE DE 02 E0 01 E0 ?? ?? ?? ?? 0D F5 19 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 12 20 01 00 }
	condition:
		$1
}

rule file_408_6_0 {
	meta:
		name = "??$common_assert_to_message_box@_W@@YAXQB_W0IQAX@Z"
		size = 156
		refs = "0008 __security_push_cookie 0018 memset 0036 ??$common_assert_to_message_box_build_string@_W@@YAXQA_WIQB_W1IQAX@Z 0040 ?get_banner_text@@YAPB_W_W@Z 0050 ??$show_message_box@AAY0CEA@_WPB_WJ@?$__crt_char_traits@_W@@SAHAAY0CEA@_W$$QAPB_W$$QAJ@Z 0074 raise 007a _exit 0084 abort 008c __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F2 A4 4D 4F F4 90 62 00 21 08 A8 ?? ?? ?? ?? DD F8 BC 34 01 93 DD F8 B8 34 00 93 DD F8 B4 34 DD F8 B0 24 4F F4 10 71 08 A8 ?? ?? ?? ?? 17 4B 04 93 00 20 ?? ?? ?? ?? 03 90 03 9B 05 93 04 AA 05 A9 08 A8 ?? ?? ?? ?? 06 90 06 9B 07 93 07 9B 02 93 02 9B 03 2B 06 D0 02 9B 04 2B 09 D0 02 9B 05 2B 08 D0 08 E0 16 20 ?? ?? ?? ?? 03 20 ?? ?? ?? ?? FE DE 02 E0 01 E0 ?? ?? ?? ?? 0D F2 A4 4D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB 12 20 01 00 }
	condition:
		$1
}

rule file_408_7_0 {
	meta:
		name = "??$common_assert_to_message_box_build_string@D@@YAXQADIQBD1IQAX@Z"
		size = 1940
		refs = "0008 __security_push_cookie 0012 ?get_box_intro@@YAPBDD@Z 0022 ??$tcscpy_s@ABQADABIPBD@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD@Z 003e _invoke_watson_if_error 0044 ?get_double_newline@@YAPBDD@Z 0054 ??$tcscat_s@ABQADABIPBD@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD@Z 0076 ?get_program_intro@@YAPBDD@Z 00ae memset 00dc ??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@DK@?$__crt_char_traits@D@@SAKAAPAUHINSTANCE__@@AAY0BAF@D$$QAK@Z 00ea ?get_program_name_unknown_text@@YAPBDD@Z 0100 ??$tcscpy_s@AAY0BAF@DIPBD@?$__crt_char_traits@D@@SAHAAY0BAF@D$$QAI$$QAPBD@Z 0126 ??$tcslen@AAY0BAF@D@?$__crt_char_traits@D@@SAIAAY0BAF@D@Z 014c ?get_dot_dot_dot@@YAPBDD@Z 0164 memcpy_s 018a ??$tcscat_s@ABQADABIAAPAD@?$__crt_char_traits@D@@SAHABQADABIAAPAD@Z 01ac ?get_newline@@YAPBDD@Z 01de ?get_file_intro@@YAPBDD@Z 0210 ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z 02a2 ??$tcsncat_s@ABQADABIAAPBDI@?$__crt_char_traits@D@@SAHABQADABIAAPBD$$QAI@Z 0336 __rt_udiv 042c ??$tcsncat_s@ABQADABIPBDI@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD$$QAI@Z 04a6 ??$tcscat_s@ABQADABIABQBD@?$__crt_char_traits@D@@SAHABQADABIABQBD@Z 04f2 ?get_line_intro@@YAPBDD@Z 0524 ??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z 054a ??$itot_s@ABIPADIH@?$__crt_char_traits@D@@SAHABI$$QAPAD$$QAI$$QAH@Z 0596 ?get_expression_intro@@YAPBDD@Z 05f6 ??$tcsncat_s@ABQADABIABQBDABI@?$__crt_char_traits@D@@SAHABQADABIABQBD1@Z 0694 ?get_info_intro@@YAPBDD@Z 06f0 ?get_help_intro@@YAPBDD@Z 0720 __security_pop_cookie 072c ??_C@_1KE@GGOFBC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0730 ??_C@_1FE@LPBNNEBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAt?$AAo?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAo?$AAx?$AA_?$AAb?$AAu?$AAi@ 0734 ??_C@_1GE@PMLOPPED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0738 ??_C@_1KM@HGCBPADM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 073c ??_C@_1KE@NALOKOIG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0740 ??_C@_1IC@EDHOAOJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0744 ??_C@_1KG@MFCBNPOK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0748 ??_C@_1LA@IFFOJJCK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr@ 074c ??_C@_1LA@JOKMAPHG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0750 ??_C@_1BAK@NPHNFBPH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAi?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?0?$AA?5?$AAa?$AAs?$AAs@ 0754 ??_C@_1KE@PADDJOL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0758 ??_C@_1JO@KJEGDHLC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 075c ??_C@_1IA@JPAKIPAA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0760 ??_C@_1LG@LMABGFBP@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0764 ??_C@_1KI@JBNHIIKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0768 ??_C@_1KE@OEANDPDB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 076c ??_C@_1LO@BFIEBOKI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0770 ??_C@_1IK@KKBPPOFO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0774 ??_C@_1LC@HKLLCKBM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0778 ??_C@_1KE@NJCNOBGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 077c ??_C@_1HE@CDLKDPFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0780 ??_C@_1BBM@BCEFIAB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAC?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA?$CJ@ 0784 ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 0788 __imp_GetModuleHandleExW 078c ??_C@_1KK@KDENILFB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0790 ??_C@_1KC@PIMENJIN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 2B 7D 00 20 ?? ?? ?? ?? 08 90 08 9B 09 93 09 AA AF A9 AE A8 ?? ?? ?? ?? 0A 90 00 23 01 93 A5 23 00 93 DF F8 00 37 DF F8 F8 26 DF F8 54 17 0A 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 0B 90 0B 9B 0C 93 0C AA AF A9 AE A8 ?? ?? ?? ?? 0D 90 00 23 01 93 A6 23 00 93 DF F8 D0 36 DF F8 C8 26 DF F8 CC 16 0D 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 0F AA AF A9 AE A8 ?? ?? ?? ?? 10 90 00 23 01 93 A9 23 00 93 DF F8 9C 36 DF F8 94 26 DF F8 EC 16 10 98 ?? ?? ?? ?? 40 F2 05 12 00 21 68 A8 ?? ?? ?? ?? 00 23 06 93 06 AA B3 99 06 20 DF F8 C8 36 1B 68 98 47 11 90 11 9B 00 2B 01 D1 00 23 06 93 40 F2 05 13 12 93 12 AA 68 A9 06 A8 ?? ?? ?? ?? 13 90 13 9B 00 2B 1B D1 00 20 ?? ?? ?? ?? 14 90 14 9B 15 93 40 F2 05 13 16 93 15 AA 16 A9 68 A8 ?? ?? ?? ?? 17 90 00 23 01 93 C1 23 00 93 DF F8 24 36 DF F8 1C 26 DF F8 6C 16 17 98 ?? ?? ?? ?? 68 AB 05 93 68 A8 ?? ?? ?? ?? 18 90 18 9B 0B 33 40 2B 27 D9 68 A8 ?? ?? ?? ?? 19 90 19 9B 0B 33 A3 F1 40 02 05 9B 13 44 05 93 00 20 ?? ?? ?? ?? 1A 90 03 23 1A 9A 05 98 68 A9 40 1A 40 F2 05 11 09 1A 05 98 ?? ?? ?? ?? 1B 90 00 23 01 93 CE 23 00 93 DF F8 C0 35 DF F8 B8 25 DF F8 04 16 1B 98 ?? ?? ?? ?? 05 AA AF A9 AE A8 ?? ?? ?? ?? 1C 90 00 23 01 93 D1 23 00 93 DF F8 98 35 DF F8 90 25 DF F8 D8 15 1C 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 1D 90 1D 9B 1E 93 1E AA AF A9 AE A8 ?? ?? ?? ?? 1F 90 00 23 01 93 D2 23 00 93 DF F8 68 35 DF F8 60 25 DF F8 84 15 1F 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 20 90 20 9B 21 93 21 AA AF A9 AE A8 ?? ?? ?? ?? 22 90 00 23 01 93 D5 23 00 93 DF F8 34 35 DF F8 2C 25 DF F8 70 15 22 98 ?? ?? ?? ?? B1 A8 ?? ?? ?? ?? 23 90 23 9B 08 33 40 2B 40 F2 40 81 38 23 67 93 00 23 02 93 00 23 03 93 B1 9B 04 93 B1 A8 ?? ?? ?? ?? 24 90 24 9B 03 93 01 23 02 93 02 E0 02 9B 5B 1C 02 93 03 9A 02 9B D2 1A 01 23 02 FB 03 F2 04 9B 13 44 93 F9 00 30 5C 2B 10 D0 03 9A 02 9B D2 1A 01 23 02 FB 03 F2 04 9B 13 44 93 F9 00 30 2F 2B 04 D0 02 9A 03 9B 9A 42 00 D2 DF E7 03 9A 02 9B D3 1A 26 2B 4D D9 02 9B 12 2B 4A D2 02 9B C3 F1 35 03 25 93 25 AB 04 AA AF A9 AE A8 ?? ?? ?? ?? 26 90 00 23 01 93 EB 23 00 93 DF F8 80 34 DF F8 78 24 DF F8 B8 14 26 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 27 90 27 9B 28 93 28 AA AF A9 AE A8 ?? ?? ?? ?? 29 90 00 23 01 93 EC 23 00 93 DF F8 50 34 DF F8 48 24 DF F8 78 14 29 98 ?? ?? ?? ?? 04 9A 03 9B 1A 44 02 9B D3 1A 2A 93 2A AA AF A9 AE A8 ?? ?? ?? ?? 2B 90 00 23 01 93 ED 23 00 93 DF F8 1C 34 DF F8 14 24 DF F8 50 14 2B 98 ?? ?? ?? ?? BA E0 03 9A 02 9B D3 1A 26 2B 47 D2 02 99 02 20 ?? ?? ?? ?? 02 90 02 9B C3 F1 35 03 2C 93 2C AB 04 AA AF A9 AE A8 ?? ?? ?? ?? 2D 90 00 23 01 93 F4 23 00 93 F6 4B F4 4A DF F8 14 14 2D 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 2E 90 2E 9B 2F 93 2F AA AF A9 AE A8 ?? ?? ?? ?? 30 90 00 23 01 93 F5 23 00 93 EA 4B E9 4A F5 49 30 98 ?? ?? ?? ?? 04 9A 03 9B 1A 44 02 9B D3 1A 31 93 31 AA AF A9 AE A8 ?? ?? ?? ?? 32 90 00 23 01 93 F6 23 00 93 DF 4B DE 4A ED 49 32 98 ?? ?? ?? ?? 6D E0 23 23 33 93 33 AB 04 AA AF A9 AE A8 ?? ?? ?? ?? 34 90 00 23 01 93 FC 23 00 93 D5 4B D4 4A E2 49 34 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 35 90 35 9B 36 93 36 AA AF A9 AE A8 ?? ?? ?? ?? 37 90 00 23 01 93 FD 23 00 93 CA 4B C9 4A D5 49 37 98 ?? ?? ?? ?? 08 23 38 93 04 9A 03 9B 1A 44 02 9B D3 1A 39 93 38 AB 39 AA AF A9 AE A8 ?? ?? ?? ?? 3A 90 00 23 01 93 FE 23 00 93 BE 4B BC 4A CA 49 3A 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 3B 90 3B 9B 3C 93 3C AA AF A9 AE A8 ?? ?? ?? ?? 3D 90 00 23 01 93 FF 23 00 93 B3 4B B1 4A BE 49 3D 98 ?? ?? ?? ?? 04 9A 03 9B 13 44 DB 1F 3E 93 3E AA AF A9 AE A8 ?? ?? ?? ?? 3F 90 00 23 01 93 4F F4 80 73 00 93 A8 4B A6 4A B2 49 3F 98 ?? ?? ?? ?? 10 E0 B1 AA AF A9 AE A8 ?? ?? ?? ?? 40 90 00 23 01 93 4F F4 83 73 00 93 9F 4B 9D 4A A8 49 40 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 41 90 41 9B 42 93 42 AA AF A9 AE A8 ?? ?? ?? ?? 43 90 00 23 01 93 40 F2 09 13 00 93 93 4B 92 4A 9B 49 43 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 44 90 44 9B 45 93 45 AA AF A9 AE A8 ?? ?? ?? ?? 46 90 00 23 01 93 4F F4 86 73 00 93 88 4B 86 4A 8F 49 46 98 ?? ?? ?? ?? 0A 23 49 93 AE A8 ?? ?? ?? ?? 47 90 AF 9A 47 9B D3 1A 4A 93 AE A8 ?? ?? ?? ?? 48 90 AE 9A 48 9B 13 44 4B 93 49 AB 4A AA 4B A9 B2 A8 ?? ?? ?? ?? 4C 90 00 23 01 93 40 F2 11 13 00 93 76 4B 74 4A 7C 49 4C 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 4D 90 4D 9B 4E 93 4E AA AF A9 AE A8 ?? ?? ?? ?? 4F 90 00 23 01 93 4F F4 89 73 00 93 6A 4B 69 4A 6A 49 4F 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 50 90 50 9B 51 93 51 AA AF A9 AE A8 ?? ?? ?? ?? 52 90 00 23 01 93 40 F2 15 13 00 93 5F 4B 5D 4A 64 49 52 98 ?? ?? ?? ?? AE A8 ?? ?? ?? ?? 53 90 53 9B B0 33 07 93 B0 A8 ?? ?? ?? ?? 54 90 07 9A 54 9B 1A 44 AF 9B 9A 42 2E D9 07 9B DA 1C AF 9B 9B 1A 55 93 55 AB B0 AA AF A9 AE A8 ?? ?? ?? ?? 56 90 00 23 01 93 4F F4 92 73 00 93 4B 4B 49 4A 4F 49 56 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 57 90 57 9B 58 93 58 AA AF A9 AE A8 ?? ?? ?? ?? 59 90 00 23 01 93 40 F2 25 13 00 93 3F 4B 3E 4A 42 49 59 98 ?? ?? ?? ?? 10 E0 B0 AA AF A9 AE A8 ?? ?? ?? ?? 5A 90 00 23 01 93 40 F2 29 13 00 93 36 4B 35 4A 38 49 5A 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 5B 90 5B 9B 5C 93 5C AA AF A9 AE A8 ?? ?? ?? ?? 5D 90 00 23 01 93 4F F4 96 73 00 93 2B 4B 29 4A 2B 49 5D 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 5E 90 5E 9B 5F 93 5F AA AF A9 AE A8 ?? ?? ?? ?? 60 90 00 23 01 93 40 F2 2F 13 00 93 1F 4B 1E 4A 20 49 60 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 61 90 61 9B 62 93 62 AA AF A9 AE A8 ?? ?? ?? ?? 63 90 00 23 01 93 4F F4 98 73 00 93 14 4B 12 4A 14 49 63 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 64 90 64 9B 65 93 65 AA AF A9 AE A8 ?? ?? ?? ?? 66 90 00 23 01 93 40 F2 33 13 00 93 08 4B 07 4A 05 49 66 98 ?? ?? ?? ?? 0D F5 2B 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_8_0 {
	meta:
		name = "??$common_assert_to_message_box_build_string@_W@@YAXQA_WIQB_W1IQAX@Z"
		size = 2000
		refs = "0008 __security_push_cookie 0012 ?get_box_intro@@YAPB_W_W@Z 0022 ??$tcscpy_s@ABQA_WABIPB_W@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W@Z 003e _invoke_watson_if_error 0044 ?get_double_newline@@YAPB_W_W@Z 0054 ??$tcscat_s@ABQA_WABIPB_W@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W@Z 0076 ?get_program_intro@@YAPB_W_W@Z 00ae memset 00dc ??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@_WK@?$__crt_char_traits@_W@@SAKAAPAUHINSTANCE__@@AAY0BAF@_W$$QAK@Z 00ea ?get_program_name_unknown_text@@YAPB_W_W@Z 0100 ??$tcscpy_s@AAY0BAF@_WIPB_W@?$__crt_char_traits@_W@@SAHAAY0BAF@_W$$QAI$$QAPB_W@Z 0126 ??$tcslen@AAY0BAF@_W@?$__crt_char_traits@_W@@SAIAAY0BAF@_W@Z 0152 ?get_dot_dot_dot@@YAPB_W_W@Z 0172 memcpy_s 0198 ??$tcscat_s@ABQA_WABIAAPA_W@?$__crt_char_traits@_W@@SAHABQA_WABIAAPA_W@Z 01ba ?get_newline@@YAPB_W_W@Z 01ec ?get_file_intro@@YAPB_W_W@Z 021e ??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z 02ac ??$tcsncat_s@ABQA_WABIAAPB_WI@?$__crt_char_traits@_W@@SAHABQA_WABIAAPB_W$$QAI@Z 034c __rt_udiv 045c ??$tcsncat_s@ABQA_WABIPB_WI@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W$$QAI@Z 04dc ??$tcscat_s@ABQA_WABIABQB_W@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W@Z 0528 ?get_line_intro@@YAPB_W_W@Z 055a ??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z 0586 ??$itot_s@ABIPA_WIH@?$__crt_char_traits@_W@@SAHABI$$QAPA_W$$QAI$$QAH@Z 05d2 ?get_expression_intro@@YAPB_W_W@Z 0632 ??$tcsncat_s@ABQA_WABIABQB_WABI@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W1@Z 06d0 ?get_info_intro@@YAPB_W_W@Z 072c ?get_help_intro@@YAPB_W_W@Z 075c __security_pop_cookie 0768 ??_C@_1KE@GGOFBC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 076c ??_C@_1FE@LPBNNEBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAt?$AAo?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAo?$AAx?$AA_?$AAb?$AAu?$AAi@ 0770 ??_C@_1GE@PMLOPPED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0774 ??_C@_1KM@HGCBPADM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0778 ??_C@_1KE@NALOKOIG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 077c ??_C@_1IC@EDHOAOJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0780 ??_C@_1KG@MFCBNPOK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0784 ??_C@_1LA@IFFOJJCK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr@ 0788 ??_C@_1LA@JOKMAPHG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 078c ??_C@_1BAK@NPHNFBPH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAi?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?0?$AA?5?$AAa?$AAs?$AAs@ 0790 ??_C@_1KE@PADDJOL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0794 ??_C@_1JO@KJEGDHLC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0798 ??_C@_1IA@JPAKIPAA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 079c ??_C@_1LG@LMABGFBP@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 07a0 ??_C@_1KI@JBNHIIKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 07a4 ??_C@_1KE@OEANDPDB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 07a8 ??_C@_1LO@BFIEBOKI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 07ac ??_C@_1IK@KKBPPOFO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 07b0 ??_C@_1LC@HKLLCKBM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 07b4 ??_C@_1KE@NJCNOBGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 07b8 ??_C@_1HE@CDLKDPFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 07bc ??_C@_1BBM@BCEFIAB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAC?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA?$CJ@ 07c0 ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 07c4 __imp_GetModuleHandleExW 07c8 ??_C@_1KK@KDENILFB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 07cc ??_C@_1KC@PIMENJIN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 6B 7D 00 20 ?? ?? ?? ?? 08 90 08 9B 09 93 09 AA EF A9 EE A8 ?? ?? ?? ?? 0A 90 00 23 01 93 A5 23 00 93 DF F8 3C 37 DF F8 34 27 DF F8 90 17 0A 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 0B 90 0B 9B 0C 93 0C AA EF A9 EE A8 ?? ?? ?? ?? 0D 90 00 23 01 93 A6 23 00 93 DF F8 0C 37 DF F8 04 27 DF F8 08 17 0D 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 0F AA EF A9 EE A8 ?? ?? ?? ?? 10 90 00 23 01 93 A9 23 00 93 DF F8 D8 36 DF F8 D0 26 DF F8 28 17 10 98 ?? ?? ?? ?? 40 F2 0A 22 00 21 68 A8 ?? ?? ?? ?? 00 23 06 93 06 AA F3 99 06 20 DF F8 04 37 1B 68 98 47 11 90 11 9B 00 2B 01 D1 00 23 06 93 40 F2 05 13 12 93 12 AA 68 A9 06 A8 ?? ?? ?? ?? 13 90 13 9B 00 2B 1B D1 00 20 ?? ?? ?? ?? 14 90 14 9B 15 93 40 F2 05 13 16 93 15 AA 16 A9 68 A8 ?? ?? ?? ?? 17 90 00 23 01 93 C1 23 00 93 DF F8 60 36 DF F8 58 26 DF F8 A8 16 17 98 ?? ?? ?? ?? 68 AB 05 93 68 A8 ?? ?? ?? ?? 18 90 18 9B 0B 33 40 2B 2E D9 68 A8 ?? ?? ?? ?? 19 90 19 9B 0B 33 A3 F1 40 02 02 23 02 FB 03 F2 05 9B 13 44 05 93 00 20 ?? ?? ?? ?? 1A 90 06 23 1A 9A 05 98 68 A9 41 1A 48 10 40 F2 05 11 08 1A 02 21 00 FB 01 F1 05 98 ?? ?? ?? ?? 1B 90 00 23 01 93 CE 23 00 93 DF F8 EC 35 DF F8 E4 25 DF F8 30 16 1B 98 ?? ?? ?? ?? 05 AA EF A9 EE A8 ?? ?? ?? ?? 1C 90 00 23 01 93 D1 23 00 93 DF F8 C8 35 DF F8 C0 25 DF F8 08 16 1C 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 1D 90 1D 9B 1E 93 1E AA EF A9 EE A8 ?? ?? ?? ?? 1F 90 00 23 01 93 D2 23 00 93 DF F8 94 35 DF F8 8C 25 DF F8 B0 15 1F 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 20 90 20 9B 21 93 21 AA EF A9 EE A8 ?? ?? ?? ?? 22 90 00 23 01 93 D5 23 00 93 DF F8 64 35 DF F8 5C 25 DF F8 A0 15 22 98 ?? ?? ?? ?? F1 A8 ?? ?? ?? ?? 23 90 23 9B 08 33 40 2B 40 F2 54 81 38 23 67 93 00 23 02 93 00 23 03 93 F1 9B 04 93 F1 A8 ?? ?? ?? ?? 24 90 24 9B 03 93 01 23 02 93 02 E0 02 9B 5B 1C 02 93 03 9A 02 9B D2 1A 02 23 02 FB 03 F2 04 9B 13 44 1B 88 5C 2B 0F D0 03 9A 02 9B D2 1A 02 23 02 FB 03 F2 04 9B 13 44 1B 88 2F 2B 04 D0 02 9A 03 9B 9A 42 00 D2 E1 E7 03 9A 02 9B D3 1A 26 2B 53 D9 02 9B 12 2B 50 D2 02 9B C3 F1 35 03 25 93 25 AB 04 AA EF A9 EE A8 ?? ?? ?? ?? 26 90 00 23 01 93 EB 23 00 93 DF F8 B4 34 DF F8 AC 24 DF F8 EC 14 26 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 27 90 27 9B 28 93 28 AA EF A9 EE A8 ?? ?? ?? ?? 29 90 00 23 01 93 EC 23 00 93 DF F8 80 34 DF F8 78 24 DF F8 A8 14 29 98 ?? ?? ?? ?? 03 9A 02 23 02 FB 03 F2 04 9B 99 18 02 9A 02 23 02 FB 03 F3 CB 1A 2A 93 2A AA EF A9 EE A8 ?? ?? ?? ?? 2B 90 00 23 01 93 ED 23 00 93 DF F8 44 34 DF F8 3C 24 DF F8 78 14 2B 98 ?? ?? ?? ?? CA E0 03 9A 02 9B D3 1A 26 2B 4E D2 02 99 02 20 ?? ?? ?? ?? 02 90 02 9B C3 F1 35 03 2C 93 2C AB 04 AA EF A9 EE A8 ?? ?? ?? ?? 2D 90 00 23 01 93 F4 23 00 93 DF F8 FC 33 FD 4A DF F8 38 14 2D 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 2E 90 2E 9B 2F 93 2F AA EF A9 EE A8 ?? ?? ?? ?? 30 90 00 23 01 93 F5 23 00 93 F3 4B F2 4A FE 49 30 98 ?? ?? ?? ?? 03 9A 02 23 02 FB 03 F2 04 9B 99 18 02 9A 02 23 02 FB 03 F3 CB 1A 31 93 31 AA EF A9 EE A8 ?? ?? ?? ?? 32 90 00 23 01 93 F6 23 00 93 E5 4B E4 4A F3 49 32 98 ?? ?? ?? ?? 76 E0 23 23 33 93 33 AB 04 AA EF A9 EE A8 ?? ?? ?? ?? 34 90 00 23 01 93 FC 23 00 93 DB 4B DA 4A E8 49 34 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 35 90 35 9B 36 93 36 AA EF A9 EE A8 ?? ?? ?? ?? 37 90 00 23 01 93 FD 23 00 93 D0 4B CF 4A DB 49 37 98 ?? ?? ?? ?? 08 23 38 93 03 9A 02 23 02 FB 03 F2 04 9B 99 18 02 9A 02 23 02 FB 03 F3 CB 1A 39 93 38 AB 39 AA EF A9 EE A8 ?? ?? ?? ?? 3A 90 00 23 01 93 FE 23 00 93 C1 4B BF 4A CD 49 3A 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 3B 90 3B 9B 3C 93 3C AA EF A9 EE A8 ?? ?? ?? ?? 3D 90 00 23 01 93 FF 23 00 93 B6 4B B4 4A C1 49 3D 98 ?? ?? ?? ?? 03 9A 02 23 02 FB 03 F2 04 9B 13 44 0E 3B 3E 93 3E AA EF A9 EE A8 ?? ?? ?? ?? 3F 90 00 23 01 93 4F F4 80 73 00 93 A9 4B A8 4A B3 49 3F 98 ?? ?? ?? ?? 10 E0 F1 AA EF A9 EE A8 ?? ?? ?? ?? 40 90 00 23 01 93 4F F4 83 73 00 93 A0 4B 9F 4A A9 49 40 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 41 90 41 9B 42 93 42 AA EF A9 EE A8 ?? ?? ?? ?? 43 90 00 23 01 93 40 F2 09 13 00 93 95 4B 93 4A 9D 49 43 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 44 90 44 9B 45 93 45 AA EF A9 EE A8 ?? ?? ?? ?? 46 90 00 23 01 93 4F F4 86 73 00 93 89 4B 88 4A 90 49 46 98 ?? ?? ?? ?? 0A 23 49 93 EE A8 ?? ?? ?? ?? 47 90 EF 9A 47 9B D3 1A 4A 93 EE A8 ?? ?? ?? ?? 48 90 48 9A 02 23 02 FB 03 F2 EE 9B 13 44 4B 93 49 AB 4A AA 4B A9 F2 A8 ?? ?? ?? ?? 4C 90 00 23 01 93 40 F2 11 13 00 93 76 4B 74 4A 7C 49 4C 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 4D 90 4D 9B 4E 93 4E AA EF A9 EE A8 ?? ?? ?? ?? 4F 90 00 23 01 93 4F F4 89 73 00 93 6A 4B 69 4A 6A 49 4F 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 50 90 50 9B 51 93 51 AA EF A9 EE A8 ?? ?? ?? ?? 52 90 00 23 01 93 40 F2 15 13 00 93 5F 4B 5D 4A 64 49 52 98 ?? ?? ?? ?? EE A8 ?? ?? ?? ?? 53 90 53 9B B0 33 07 93 F0 A8 ?? ?? ?? ?? 54 90 07 9A 54 9B 1A 44 EF 9B 9A 42 2E D9 07 9B DA 1C EF 9B 9B 1A 55 93 55 AB F0 AA EF A9 EE A8 ?? ?? ?? ?? 56 90 00 23 01 93 4F F4 92 73 00 93 4B 4B 49 4A 4F 49 56 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 57 90 57 9B 58 93 58 AA EF A9 EE A8 ?? ?? ?? ?? 59 90 00 23 01 93 40 F2 25 13 00 93 3F 4B 3E 4A 42 49 59 98 ?? ?? ?? ?? 10 E0 F0 AA EF A9 EE A8 ?? ?? ?? ?? 5A 90 00 23 01 93 40 F2 29 13 00 93 36 4B 35 4A 38 49 5A 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 5B 90 5B 9B 5C 93 5C AA EF A9 EE A8 ?? ?? ?? ?? 5D 90 00 23 01 93 4F F4 96 73 00 93 2B 4B 29 4A 2B 49 5D 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 5E 90 5E 9B 5F 93 5F AA EF A9 EE A8 ?? ?? ?? ?? 60 90 00 23 01 93 40 F2 2F 13 00 93 1F 4B 1E 4A 20 49 60 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 61 90 61 9B 62 93 62 AA EF A9 EE A8 ?? ?? ?? ?? 63 90 00 23 01 93 4F F4 98 73 00 93 14 4B 12 4A 14 49 63 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 64 90 64 9B 65 93 65 AA EF A9 EE A8 ?? ?? ?? ?? 66 90 00 23 01 93 40 F2 33 13 00 93 08 4B 07 4A 05 49 66 98 ?? ?? ?? ?? 0D F5 6B 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_9_0 {
	meta:
		name = "??$common_assert_to_stderr@D@@YAXQBD0I@Z"
		size = 136
		refs = "0010 ?common_assert_to_stderr_direct@@YAXPBD0I@Z 0016 __acrt_iob_func 0020 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0028 ?has_any_buffer@__crt_stdio_stream@@QBA_NXZ 0048 setvbuf 004e ?get_assert_format@@YAPBDD@Z 0070 ??$ftprintf@PAU_iobuf@@PBDABQBDABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@$$QAPBDABQBD2ABI@Z 007e fflush 0082 abort"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 10 9A 0F 99 0E 98 ?? ?? ?? ?? 02 20 ?? ?? ?? ?? 03 90 03 99 0B A8 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 09 D1 02 20 ?? ?? ?? ?? 05 90 00 23 04 22 00 21 05 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 06 90 06 9B 08 93 02 20 ?? ?? ?? ?? 07 90 07 9B 09 93 10 AB 00 93 0F AB 0E AA 08 A9 09 A8 ?? ?? ?? ?? 02 20 ?? ?? ?? ?? 0A 90 0A 98 ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_408_10_0 {
	meta:
		name = "??$common_assert_to_stderr@_W@@YAXQB_W0I@Z"
		size = 136
		refs = "0010 ?common_assert_to_stderr_direct@@YAXQB_W0I@Z 0016 __acrt_iob_func 0020 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0028 ?has_any_buffer@__crt_stdio_stream@@QBA_NXZ 0048 setvbuf 004e ?get_assert_format@@YAPB_W_W@Z 0070 ??$ftprintf@PAU_iobuf@@PB_WABQB_WABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPAU_iobuf@@$$QAPB_WABQB_W2ABI@Z 007e fflush 0082 abort"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 10 9A 0F 99 0E 98 ?? ?? ?? ?? 02 20 ?? ?? ?? ?? 03 90 03 99 0B A8 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 09 D1 02 20 ?? ?? ?? ?? 05 90 00 23 04 22 00 21 05 98 ?? ?? ?? ?? 00 20 ?? ?? ?? ?? 06 90 06 9B 08 93 02 20 ?? ?? ?? ?? 07 90 07 9B 09 93 10 AB 00 93 0F AB 0E AA 08 A9 09 A8 ?? ?? ?? ?? 02 20 ?? ?? ?? ?? 0A 90 0A 98 ?? ?? ?? ?? ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_408_17_0 {
	meta:
		name = "??$show_message_box@AAY0CEA@DPBDJ@?$__crt_char_traits@D@@SAHAAY0CEA@D$$QAPBD$$QAJ@Z"
		size = 42
		refs = "0014 __acrt_show_narrow_message_box"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_18_0 {
	meta:
		name = "??$show_message_box@AAY0CEA@_WPB_WJ@?$__crt_char_traits@_W@@SAHAAY0CEA@_W$$QAPB_W$$QAJ@Z"
		size = 42
		refs = "0014 __acrt_show_wide_message_box"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_25_0 {
	meta:
		name = "??$tcscpy_s@AAY0BAF@DIPBD@?$__crt_char_traits@D@@SAHAAY0BAF@D$$QAI$$QAPBD@Z"
		size = 42
		refs = "0014 strcpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_553_17_2 {
	meta:
		name = "??$tcscpy_s@AAY0BAF@_WIPB_W@?$__crt_char_traits@_W@@SAHAAY0BAF@_W$$QAI$$QAPB_W@Z"
		size = 42
		refs = "0014 wcscpy_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9B 1A 68 05 9B 19 68 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_43_0 {
	meta:
		name = "?common_assert_to_stderr_direct@@YAXPBD0I@Z"
		size = 16
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_44_0 {
	meta:
		name = "?common_assert_to_stderr_direct@@YAXQB_W0I@Z"
		size = 192
		refs = "000a __security_push_cookie 0046 ?get_assert_format@@YAPB_W_W@Z 0064 swprintf 0074 wcslen 009e abort 00a6 __security_pop_cookie 00b4 __imp_WriteConsoleW 00b8 __imp_GetFileType 00bc __imp_GetStdHandle"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 96 6D 6F F0 0B 00 29 4B 1B 68 98 47 03 90 03 9B 02 93 02 9B B3 F1 FF 3F 02 D0 02 9B 00 2B 00 D1 37 E0 02 98 20 4B 1B 68 98 47 04 90 04 9B 02 2B 00 D0 2E E0 00 20 ?? ?? ?? ?? 05 90 DD F8 C8 34 01 93 DD F8 C4 34 00 93 DD F8 C0 34 05 9A 4F F4 10 71 0C A8 ?? ?? ?? ?? 06 90 06 9B 00 2B 00 DA 17 E0 0C A8 ?? ?? ?? ?? 07 90 07 9B 09 93 00 23 08 93 00 23 00 93 08 AB 09 9A 0C A9 02 98 09 4C 24 68 A0 47 0A 90 0A 9B 00 2B 00 D1 01 E0 ?? ?? ?? ?? 0D F5 96 6D ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_408_75_0 {
	meta:
		name = "_assert"
		size = 36
		refs = "0016 ??$common_assert@D@@YAXQBD0IQAX@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 03 9B 00 93 00 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_80_0 {
	meta:
		name = "_wassert"
		size = 36
		refs = "0016 ??$common_assert@_W@@YAXQB_W0IQAX@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 03 9B 00 93 00 9B 06 9A 05 99 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_77_0 {
	meta:
		name = "_vfprintf_l"
		size = 58
		refs = "000a __local_stdio_printf_options 0024 __stdio_common_vfprintf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 02 90 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 02 99 08 68 02 99 49 68 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_78_0 {
	meta:
		name = "_vfwprintf_l"
		size = 58
		refs = "000a __local_stdio_printf_options 0024 __stdio_common_vfwprintf"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 02 90 0B 9B 01 93 0A 9B 00 93 09 9B 08 9A 02 99 08 68 02 99 49 68 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_81_0 {
	meta:
		name = "fprintf"
		size = 58
		refs = "000a ??$__vcrt_va_start_verify_argument_type@QBD@@YAXXZ 001c _vfprintf_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 07 AB 1B 1D 00 93 00 9B 00 22 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 00 23 00 93 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_408_82_0 {
	meta:
		name = "fwprintf"
		size = 58
		refs = "000a ??$__vcrt_va_start_verify_argument_type@QB_W@@YAXXZ 001c _vfwprintf_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 07 AB 1B 1D 00 93 00 9B 00 22 07 99 06 98 ?? ?? ?? ?? 01 90 01 9B 02 93 00 23 00 93 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_409_0_0 {
	meta:
		name = "?GetTableIndexFromLcid@@YAHK@Z"
		size = 116
		refs = "0022 __rt_sdiv 0070 ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 02 93 E3 23 01 93 02 9A 01 9B 9A 42 21 DC 02 9A 01 9B D1 18 02 20 ?? ?? ?? ?? 00 90 00 9A 08 23 02 FB 03 F2 0F 4B 13 44 08 9A 1B 68 D3 1A 03 93 03 9B 00 2B 02 D1 00 9B 04 93 0D E0 03 9B 00 2B 03 DA 00 9B 5B 1E 01 93 02 E0 00 9B 5B 1C 02 93 D9 E7 6F F0 00 03 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_409_1_0 {
	meta:
		name = "?GetTableIndexFromLocaleName@@YAHPB_W@Z"
		size = 144
		refs = "0026 __rt_sdiv 003e ?__wcsnicmp_ascii@@YAHPB_W0I@Z 008c ?LocaleNameToIndexTable@?A0x881e4c05@@3QBULocaleNameIndex@1@B"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 20 4B 03 93 00 23 02 93 E3 23 01 93 02 9A 01 9B 9A 42 2C DC 02 9A 01 9B D1 18 02 20 ?? ?? ?? ?? 00 90 55 22 00 99 08 23 01 FB 03 F1 03 9B 0B 44 19 68 0A 98 ?? ?? ?? ?? 06 90 06 9B 04 93 04 9B 00 2B 09 D1 00 9A 08 23 02 FB 03 F2 03 9B 13 44 1B 1D 1B 68 05 93 0D E0 04 9B 00 2B 03 DA 00 9B 5B 1E 01 93 02 E0 00 9B 5B 1C 02 93 CE E7 6F F0 00 03 05 93 05 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_409_2_0 {
	meta:
		name = "?__wcsnicmp_ascii@@YAHPB_W0I@Z"
		size = 176
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 00 23 03 93 0A 9B 00 2B 45 D0 08 9B 1B 88 41 2B 09 DB 08 9B 1B 88 5A 2B 05 DC 08 9B 1B 88 41 3B 61 33 01 93 02 E0 08 9B 1B 88 01 93 01 9B 9B B2 AD F8 00 30 09 9B 1B 88 41 2B 09 DB 09 9B 1B 88 5A 2B 05 DC 09 9B 1B 88 41 3B 61 33 02 93 02 E0 09 9B 1B 88 02 93 02 9B 9B B2 AD F8 02 30 08 9B 9B 1C 08 93 09 9B 9B 1C 09 93 0A 9B 5B 1E 0A 93 0A 9B 00 2B 09 D0 BD F8 00 30 00 2B 05 D0 BD F8 00 20 BD F8 02 30 9A 42 BF D0 BD F8 00 20 BD F8 02 30 D3 1A 03 93 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_409_3_0 {
	meta:
		name = "__acrt_DownlevelLCIDToLocaleName"
		size = 208
		refs = "0040 ?GetTableIndexFromLcid@@YAHK@Z 006c wcsnlen 0090 wcscpy_s 00a8 _invoke_watson_if_error 00c0 ??_C@_1FO@LFACCMJH@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AAL?$AAo?$AAc?$AAa?$AAl@ 00c4 ??_C@_1EC@MDFDCHIL@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAD?$AAo?$AAw?$AAn?$AAl?$AAe?$AAv?$AAe?$AAl?$AAL?$AAC?$AAI?$AAD?$AAT?$AAo?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe@ 00c8 ??_C@_1HO@KHHMOCBO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00cc ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 07 D0 0C 9B B3 F5 80 6F 03 D0 0C 9B B3 F5 00 6F 02 D1 00 23 02 93 45 E0 0D 9B 00 2B 02 D1 0E 9B 00 2B 02 DC 0E 9B 00 2B 02 DA 00 23 02 93 39 E0 0C 98 ?? ?? ?? ?? 06 90 06 9B 03 93 03 9B 00 2B 02 DA 00 23 02 93 2D E0 03 9A 08 23 02 FB 03 F2 1B 4B 13 44 1B 1D 1B 68 04 93 55 21 04 98 ?? ?? ?? ?? 07 90 07 9B 05 93 0E 9B 00 2B 17 DD 05 9A 0E 9B 9A 42 02 DB 00 23 02 93 13 E0 04 9A 0E 99 0D 98 ?? ?? ?? ?? 08 90 00 23 01 93 40 F2 71 23 00 93 09 4B 08 4A 06 49 08 98 ?? ?? ?? ?? 05 9B 5B 1C 02 93 02 98 0A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_409_4_0 {
	meta:
		name = "__acrt_DownlevelLocaleNameToLCID"
		size = 84
		refs = "0018 ?GetTableIndexFromLocaleName@@YAHPB_W@Z 0050 ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 2B 02 D1 00 23 01 93 16 E0 06 98 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 DB 00 9B E4 2B 02 D3 00 23 01 93 07 E0 00 9A 08 23 02 FB 03 F2 04 4B 13 44 1B 68 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_410_0_0 {
	meta:
		name = "??$common_show_message_box@D@@YAHQBD0I@Z"
		size = 232
		refs = "000a __acrt_get_developer_information_policy 0042 ??$output_debug_string@ABQBD@?$__crt_char_traits@D@@SAXABQBD@Z 005c __acrt_can_show_message_box 008a __acrt_is_interactive 00ae ??$message_box@$$TABQBDABQBDK@?$__crt_char_traits@D@@SAH$$QA$$TABQBD1$$QAK@Z 00ba __acrt_get_parent_window 00cc ??$message_box@PAUHWND__@@ABQBDABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAUHWND__@@ABQBD1ABI@Z 00e4 __imp_IsDebuggerPresent"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 ?? ?? ?? ?? 03 90 03 9B 02 2B 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 01 30 2D 4B 1B 68 98 47 04 90 04 9B 00 2B 0C D0 0E 9B 00 2B 02 D0 0E A8 ?? ?? ?? ?? 9D F8 01 30 00 2B 02 D0 04 23 01 93 40 E0 9D F8 01 30 00 2B 07 D0 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 0E D1 1D 4B 1B 68 98 47 05 90 05 9B 00 2B 02 D0 04 23 02 93 01 E0 03 23 02 93 02 9B 01 93 25 E0 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 0F D1 10 9B 43 F4 00 13 06 93 00 23 07 93 06 AB 0F AA 0E A9 07 A8 ?? ?? ?? ?? 08 90 08 9B 01 93 0D E0 ?? ?? ?? ?? 09 90 09 9B 0A 93 10 AB 0F AA 0E A9 0A A8 ?? ?? ?? ?? 0B 90 0B 9B 01 93 01 98 0C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_410_1_0 {
	meta:
		name = "??$common_show_message_box@_W@@YAHQB_W0I@Z"
		size = 232
		refs = "000a __acrt_get_developer_information_policy 0042 ??$output_debug_string@ABQB_W@?$__crt_char_traits@_W@@SAXABQB_W@Z 005c __acrt_can_show_message_box 008a __acrt_is_interactive 00ae ??$message_box@$$TABQB_WABQB_WK@?$__crt_char_traits@_W@@SAH$$QA$$TABQB_W1$$QAK@Z 00ba __acrt_get_parent_window 00cc ??$message_box@PAUHWND__@@ABQB_WABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPAUHWND__@@ABQB_W1ABI@Z 00e4 __imp_IsDebuggerPresent"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 ?? ?? ?? ?? 03 90 03 9B 02 2B 03 D1 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 01 30 2D 4B 1B 68 98 47 04 90 04 9B 00 2B 0C D0 0E 9B 00 2B 02 D0 0E A8 ?? ?? ?? ?? 9D F8 01 30 00 2B 02 D0 04 23 01 93 40 E0 9D F8 01 30 00 2B 07 D0 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 0E D1 1D 4B 1B 68 98 47 05 90 05 9B 00 2B 02 D0 04 23 02 93 01 E0 03 23 02 93 02 9B 01 93 25 E0 ?? ?? ?? ?? 8D F8 03 00 9D F8 03 30 00 2B 0F D1 10 9B 43 F4 00 13 06 93 00 23 07 93 06 AB 0F AA 0E A9 07 A8 ?? ?? ?? ?? 08 90 08 9B 01 93 0D E0 ?? ?? ?? ?? 09 90 09 9B 0A 93 10 AB 0F AA 0E A9 0A A8 ?? ?? ?? ?? 0B 90 0B 9B 01 93 01 98 0C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_411_0_0 {
	meta:
		name = "acoshf"
		size = 304
		refs = "000e _fdtest 005e _fperrraise 00ce sqrtf 00e2 log1pf 00fa logf 0120 ln2 0124 _FEps_C 012c _FNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 03 93 03 9B 01 2B 08 D0 03 9B 02 2B 00 D0 0F E0 9D ED 01 0A 8D ED 02 0A 6F E0 01 AB 9B 1C 1B 88 13 F4 00 4F 04 D1 9D ED 01 0A 8D ED 02 0A 64 E0 DD ED 01 0A B7 EE 00 0A F4 EE C0 0A F1 EE 10 FA 09 D2 01 20 ?? ?? ?? ?? 32 4B 93 ED 00 0A 8D ED 02 0A 52 E0 51 E0 DD ED 01 0A B7 EE 00 0A F4 EE 40 0A F1 EE 10 FA 05 D1 9F ED 29 0A 8D ED 02 0A 43 E0 42 E0 F0 EE 00 0A 24 4B 93 ED 00 0A C0 EE 80 0A 9D ED 01 0A B4 EE E0 0A F1 EE 10 FA 25 D2 DD ED 01 0A B7 EE 00 0A 30 EE C0 0A 8D ED 04 0A DD ED 01 0A B7 EE 00 0A 70 EE 80 0A 9D ED 04 0A 20 EE 20 0A ?? ?? ?? ?? 8D ED 05 0A DD ED 04 0A 9D ED 05 0A 30 EE 80 0A ?? ?? ?? ?? 8D ED 06 0A 9D ED 06 0A 8D ED 02 0A 0F E0 0E E0 9D ED 01 0A ?? ?? ?? ?? 8D ED 07 0A DD ED 07 0A 06 4B 93 ED 00 0A 30 EE 80 0A 8D ED 02 0A 9D ED 02 0A 08 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_412_0_0 {
	meta:
		name = "_finite"
		size = 52
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 04 0B 9D ED 04 0B 53 EC 10 2B 02 92 03 93 02 99 03 9B 23 F0 00 42 03 4B D3 1A DB 0F 00 93 00 98 06 B0 BD E8 00 88 00 00 F0 7F }
	condition:
		$1
}

rule file_413_0_0 {
	meta:
		name = "_getsystime"
		size = 176
		refs = "0008 __security_push_cookie 0022 _CrtDbgReportW 002c _errno 0040 _invalid_parameter 0088 _mktime32 0092 __security_pop_cookie 009c __imp_GetLocalTime 00a0 ??_C@_1GI@KABKGELF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00a4 ??_C@_1BI@GOANMKLL@?$AA_?$AAg?$AAe?$AAt?$AAs?$AAy?$AAs?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00a8 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 86 B0 04 46 D4 B9 26 4B 24 4C 22 49 00 93 00 23 10 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 1B 49 1A 4A 00 23 00 93 10 23 20 46 ?? ?? ?? ?? 00 20 23 E0 14 4B 02 A8 1B 68 98 47 6F F0 00 03 23 62 BD F8 14 30 20 46 23 60 BD F8 12 30 63 60 BD F8 10 30 A3 60 BD F8 0E 30 E3 60 BD F8 0A 30 5B 1E 23 61 BD F8 08 30 A3 F2 6C 73 63 61 BD F8 0C 30 A3 61 ?? ?? ?? ?? BD F8 16 00 06 B0 ?? ?? ?? ?? BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_413_1_0 {
	meta:
		name = "_setsystime"
		size = 152
		refs = "0008 __security_push_cookie 0024 _CrtDbgReportW 0034 _mktime32 007c __security_pop_cookie 0084 __imp_GetLastError 0088 __imp_SetLocalTime 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0090 ??_C@_1GI@KABKGELF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0094 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 87 B0 04 46 0D 46 74 B9 1F 4B 1E 49 2B 22 01 93 1B 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 57 20 23 E0 20 46 ?? ?? ?? ?? 63 69 AD F8 16 50 02 A8 03 F2 6C 73 AD F8 08 30 23 69 5B 1C AD F8 0A 30 E3 68 AD F8 0E 30 A3 68 AD F8 10 30 63 68 AD F8 12 30 23 68 AD F8 14 30 07 4B 1B 68 98 47 18 B9 04 4B 1B 68 98 47 00 E0 00 20 07 B0 ?? ?? ?? ?? BD E8 30 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_414_0_0 {
	meta:
		name = "__acrt_fp_strflt_to_string"
		size = 668
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 025a strlen 026a memmove 0280 ??_C@_1CA@EDEEBMBB@?$AAp?$AAf?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0284 ??_C@_1DG@NMGBKPMI@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAp?$AA_?$AAs?$AAt?$AAr?$AAf?$AAl?$AAt?$AA_?$AAt?$AAo?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 0288 ??_C@_1GI@IMEEHIAK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 028c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0290 ??_C@_1IE@EAOKIIFP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 0294 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0298 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1A 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 9C 4B 01 93 98 4B 00 93 00 23 1D 22 95 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 1D 23 8B 4A 89 49 8E 48 ?? ?? ?? ?? 16 23 05 93 03 E1 1B 9B 00 2B 02 D9 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 83 4B 01 93 80 4B 00 93 00 23 1E 22 7D 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 1E 23 73 4A 71 49 75 48 ?? ?? ?? ?? 16 23 05 93 D3 E0 1A 9A 00 23 13 70 1C 9B 00 2B 02 DD 1C 9B 0A 93 01 E0 00 23 0A 93 0A 9B 5A 1C 1B 9B 93 42 02 D9 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 0E D1 64 4B 01 93 62 4B 00 93 00 23 21 22 5F 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 10 D1 ?? ?? ?? ?? 14 90 14 9A 22 23 13 60 00 23 00 93 21 23 54 4A 53 49 55 48 ?? ?? ?? ?? 22 23 05 93 96 E0 1D 9B 00 2B 02 D0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 0E D1 48 4B 01 93 4A 4B 00 93 00 23 22 22 47 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 10 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 22 23 3C 4A 3B 49 39 48 ?? ?? ?? ?? 16 23 05 93 66 E0 1A 9B 02 93 1D 9B 08 33 1B 68 04 93 02 9A 30 23 13 70 02 9B 5B 1C 02 93 1C 9B 00 2B 1B DD 04 9B 93 F9 00 30 00 2B 08 D0 04 9B 93 F9 00 30 8D F8 0C 30 04 9B 5B 1C 04 93 02 E0 30 23 8D F8 0C 30 9D F9 0C 20 02 9B 1A 70 02 9B 5B 1C 02 93 1C 9B 5B 1E 1C 93 E0 E7 02 9A 00 23 13 70 1C 9B 00 2B 1A DB 04 9B 93 F9 00 30 35 2B 15 DB 02 9B 5B 1E 02 93 02 9B 93 F9 00 30 39 2B 06 D1 02 9A 30 23 13 70 02 9B 5B 1E 02 93 F3 E7 02 9B 93 F9 00 30 5B 1C 5A B2 02 9B 1A 70 1A 9B 93 F9 00 30 31 2B 07 D1 1D 9B 1B 1D 1B 68 5A 1C 1D 9B 1B 1D 1A 60 0B E0 1A 9B 58 1C ?? ?? ?? ?? 17 90 17 9B 5A 1C 1A 9B 59 1C 1A 98 ?? ?? ?? ?? 00 23 05 93 05 98 18 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_415_0_0 {
	meta:
		name = "?fabs_intrinsic@@YANN@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 00 0B 9D ED 00 0B B0 EE C0 0B 8D ED 02 0B 9D ED 02 0B 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_418_4_0 {
	meta:
		name = "_gcvt"
		size = 64
		refs = "001a _gcvt_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 04 0B 08 9A 9D ED 04 0B 6F F0 00 01 09 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 9B 00 2B 02 D0 00 23 00 93 01 E0 09 9B 00 93 00 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_418_5_0 {
	meta:
		name = "_gcvt_s"
		size = 888
		refs = "0008 __security_push_cookie 0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 00fe _CrtGetDebugFillThreshold 012c memset 019a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 01a0 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 01d2 __acrt_fltout 021a __acrt_fp_format 023c ??1_LocaleUpdate@@QAA@XZ 0354 __security_pop_cookie 0360 ??_C@_1FM@DGDLPJGG@?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$DO?$AA?$CI?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA?$CJ?$AA?5?$AA?$DM@ 0364 ??_C@_1BA@LEDEFPAA@?$AA_?$AAg?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 0368 ??_C@_1GA@OOBIALCB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 036c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0370 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0374 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F2 EC 4D 8D ED 28 0B DD F8 F8 34 00 2B 02 D0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 D0 4B 01 93 CD 4B 00 93 00 23 1C 22 CA 49 02 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 10 D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 00 23 00 93 1C 23 C0 4A BE 49 C2 48 ?? ?? ?? ?? 16 23 0A 93 6B E1 DD F8 FC 34 00 2B 02 D9 01 23 10 93 01 E0 00 23 10 93 10 9B 11 93 11 9B 00 2B 0E D1 B7 4B 01 93 B5 4B 00 93 00 23 1D 22 B2 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 11 9B 00 2B 10 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 1D 23 A7 4A A6 49 A8 48 ?? ?? ?? ?? 16 23 0A 93 3A E1 DD F8 F8 24 00 23 13 70 DD F8 FC 34 B3 F1 FF 3F 22 D0 DD F8 FC 24 6F F0 00 43 9A 42 1C D0 DD F8 FC 34 01 2B 18 D9 ?? ?? ?? ?? 1B 90 1B 9B 12 93 DD F8 FC 34 5A 1E 12 9B 93 42 02 D2 12 9B 13 93 03 E0 DD F8 FC 34 5B 1E 13 93 13 9A FE 21 DD F8 F8 34 58 1C ?? ?? ?? ?? DD F8 00 25 DD F8 FC 34 9A 42 02 D2 01 23 14 93 01 E0 00 23 14 93 14 9B 15 93 15 9B 00 2B 0E D1 83 4B 01 93 85 4B 00 93 00 23 1F 22 82 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 15 9B 00 2B 10 D1 ?? ?? ?? ?? 1D 90 1D 9A 22 23 13 60 00 23 00 93 1F 23 78 4A 76 49 75 48 ?? ?? ?? ?? 22 23 0A 93 DB E0 00 21 2A A8 ?? ?? ?? ?? 2A A8 ?? ?? ?? ?? 1E 90 1E 9B 1B 68 88 33 1B 68 1B 68 93 F9 00 30 8D F8 24 30 0C 22 00 21 2E A8 ?? ?? ?? ?? 4F F4 AF 73 32 AA 2E A9 4F F4 AF 70 9D ED 28 0B ?? ?? ?? ?? 2F 9B 5B 1E 16 93 16 9B B3 F1 FF 3F 05 DB DD F8 00 35 5A 1E 16 9B 93 42 2B DD 00 23 06 93 10 23 04 93 00 23 05 93 DD F8 00 35 5B 1E 02 93 65 23 01 93 4F F4 AF 73 00 93 8A AB DD F8 FC 24 DD F8 F8 14 28 A8 ?? ?? ?? ?? 1F 90 1F 9B 0B 93 0B 9B 00 2B 0D D0 ?? ?? ?? ?? 20 90 0B 9A 20 9B 1A 60 0B 9B 21 93 2A A8 ?? ?? ?? ?? 21 9B 0A 93 83 E0 2B E0 00 23 06 93 10 23 04 93 00 23 05 93 DD F8 00 25 2F 9B D3 1A 02 93 66 23 01 93 4F F4 AF 73 00 93 E2 AB DD F8 FC 24 DD F8 F8 14 28 A8 ?? ?? ?? ?? 22 90 22 9B 0C 93 0C 9B 00 2B 0D D0 ?? ?? ?? ?? 23 90 0C 9A 23 9B 1A 60 0C 9B 24 93 2A A8 ?? ?? ?? ?? 24 9B 0A 93 56 E0 DD F8 F8 34 08 93 08 9B 93 F9 00 30 00 2B 0A D0 08 9B 93 F9 00 20 9D F9 24 30 9A 42 03 D0 08 9B 5B 1C 08 93 EF E7 08 9B 93 F9 00 30 00 2B 07 D1 00 23 25 93 2A A8 ?? ?? ?? ?? 25 9B 0A 93 36 E0 08 9B 5B 1C 08 93 08 9B 93 F9 00 30 00 2B 08 D0 08 9B 93 F9 00 30 65 2B 03 D0 08 9B 5B 1C 08 93 F1 E7 08 9B 0D 93 08 9B 5B 1E 08 93 08 9B 93 F9 00 30 30 2B 03 D1 08 9B 5B 1E 08 93 F6 E7 08 9B 5B 1C 08 93 0D 9B 93 F9 00 20 08 9B 1A 70 08 9B 93 F9 00 20 0D 9B 5B 1C 0D 93 00 2A 00 D0 EE E7 00 23 26 93 2A A8 ?? ?? ?? ?? 26 9B 0A 93 0A 98 0D F2 EC 4D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_419_1_0 {
	meta:
		name = "memmove_s"
		size = 194
		refs = "0030 _errno 003c _invalid_parameter_noinfo 00ae memmove"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0F 9B 00 2B 02 D1 00 23 00 93 4F E0 0C 9B 00 2B 02 D0 01 23 01 93 01 E0 00 23 01 93 01 9B 04 93 04 9B 00 2B 0A D1 ?? ?? ?? ?? 05 90 05 9A 16 23 13 60 ?? ?? ?? ?? 16 23 00 93 37 E0 0E 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 06 93 06 9B 00 2B 0A D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 ?? ?? ?? ?? 16 23 00 93 1F E0 0D 9A 0F 9B 9A 42 02 D3 01 23 03 93 01 E0 00 23 03 93 03 9B 08 93 08 9B 00 2B 0A D1 ?? ?? ?? ?? 09 90 09 9A 22 23 13 60 ?? ?? ?? ?? 22 23 00 93 06 E0 0F 9A 0E 99 0C 98 ?? ?? ?? ?? 00 23 00 93 00 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_420_0_0 {
	meta:
		name = "ctanhf"
		size = 712
		refs = "0018 crealf 0030 cimagf 0042 _fdtest 00b8 _FCbuild 0190 tanf 01a4 sinhf 0264 sqrtf 02bc _FInf_C 02c0 _FNan_C 02c4 _FZero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 A4 B0 CD ED 11 0A 8D ED 10 0A 9D ED 10 0A DD ED 11 0A ?? ?? ?? ?? 8D ED 12 0A 9D ED 12 0A 8D ED 05 0A 9D ED 10 0A DD ED 11 0A ?? ?? ?? ?? 8D ED 13 0A 9D ED 13 0A 8D ED 00 0A 05 A8 ?? ?? ?? ?? AD F8 20 00 BD F9 20 30 AD F8 10 30 68 46 ?? ?? ?? ?? AD F8 22 00 BD F9 22 30 AD F8 12 30 BD F9 10 30 01 2B 35 D1 6B 46 9B 1C 1B 88 13 F4 00 4F 07 D0 92 4B 93 ED 00 0A B1 EE 40 0A 8D ED 0A 0A 03 E0 9F ED 8B 0A 8D ED 0A 0A 9D ED 05 0A B5 EE C0 0A F1 EE 10 FA 04 D2 BF EE 00 0A 8D ED 0B 0A 03 E0 B7 EE 00 0A 8D ED 0B 0A DD ED 0A 0A 9D ED 0B 0A ?? ?? ?? ?? CD ED 19 0A 8D ED 18 0A 9D ED 18 0A 8D ED 02 0A 9D ED 19 0A 8D ED 03 0A E8 E0 E7 E0 BD F9 12 30 02 2B 13 D1 DD ED 00 0A 9D ED 00 0A ?? ?? ?? ?? CD ED 1B 0A 8D ED 1A 0A 9D ED 1A 0A 8D ED 02 0A 9D ED 1B 0A 8D ED 03 0A D0 E0 CF E0 BD F9 10 30 02 2B 23 D1 9D ED 00 0A B5 EE 40 0A F1 EE 10 FA 04 D1 9D ED 00 0A 8D ED 0C 0A 03 E0 9D ED 05 0A 8D ED 0C 0A DD ED 0C 0A 9D ED 05 0A ?? ?? ?? ?? CD ED 1D 0A 8D ED 1C 0A 9D ED 1C 0A 8D ED 02 0A 9D ED 1D 0A 8D ED 03 0A A8 E0 A7 E0 BD F9 12 30 01 2B 15 D1 57 4B D3 ED 00 0A 56 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 1F 0A 8D ED 1E 0A 9D ED 1E 0A 8D ED 02 0A 9D ED 1F 0A 8D ED 03 0A 8E E0 8D E0 9D ED 00 0A ?? ?? ?? ?? 8D ED 14 0A 9D ED 14 0A 8D ED 07 0A 9D ED 05 0A ?? ?? ?? ?? 8D ED 15 0A 9D ED 15 0A 8D ED 06 0A DD ED 07 0A 9D ED 07 0A 60 EE 80 0A B7 EE 00 0A 70 EE 20 0A 9D ED 06 0A 20 EE 20 0A 8D ED 0E 0A DD ED 0E 0A 9D ED 06 0A 60 EE 80 0A B7 EE 00 0A 30 EE 20 0A 8D ED 09 0A DD ED 09 0A 32 4B 93 ED 00 0A F4 EE 40 0A F1 EE 10 FA 27 D1 9D ED 06 0A B5 EE C0 0A F1 EE 10 FA 04 D2 BF EE 00 0A 8D ED 0D 0A 03 E0 B7 EE 00 0A 8D ED 0D 0A DD ED 07 0A 9F ED 24 0A 60 EE 80 0A 9D ED 0D 0A ?? ?? ?? ?? CD ED 21 0A 8D ED 20 0A 9D ED 20 0A 8D ED 02 0A 9D ED 21 0A 8D ED 03 0A 2C E0 2B E0 DD ED 06 0A 9D ED 06 0A 60 EE 80 0A B7 EE 00 0A 30 EE 20 0A ?? ?? ?? ?? 8D ED 16 0A DD ED 07 0A 9D ED 09 0A C0 EE 80 0A 9D ED 16 1A 9D ED 0E 0A 21 EE 00 1A 9D ED 09 0A 81 EE 00 0A ?? ?? ?? ?? CD ED 23 0A 8D ED 22 0A 9D ED 22 0A 8D ED 02 0A 9D ED 23 0A 8D ED 03 0A 9D ED 02 0A DD ED 03 0A 24 B0 BD E8 00 88 FE DE 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_421_6_0 {
	meta:
		name = "?has_crt_buffer@__crt_stdio_stream@@QBA_NXZ"
		size = 44
		refs = "000e ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 40 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_421_9_0 {
	meta:
		name = "__acrt_stdio_free_buffer_nolock"
		size = 196
		refs = "0020 _CrtDbgReportW 0032 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0038 ?is_in_use@__crt_stdio_stream@@QBA_NXZ 004c ?has_crt_buffer@__crt_stdio_stream@@QBA_NXZ 0060 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 006e _free_dbg 0078 ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 00b8 ??_C@_1GE@GPOPIOIG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00bc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c0 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 0E D1 2B 4B 01 93 29 4B 00 93 00 23 11 22 26 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 0C 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 00 D1 30 E0 03 A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 00 D1 26 E0 03 A8 ?? ?? ?? ?? 05 90 02 21 05 9B 1B 1D 18 68 ?? ?? ?? ?? 4F F4 A0 71 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 06 90 06 9B 1A 1D 00 23 13 60 03 A8 ?? ?? ?? ?? 07 90 07 9A 00 23 13 60 03 A8 ?? ?? ?? ?? 08 90 08 9B 03 F1 08 02 00 23 13 60 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_422_0_0 {
	meta:
		name = "_hypot"
		size = 964
		refs = "00ea infinity_with_flags 032e sqrt 0344 scaleDouble_1 0386 _handle_error 03ac ??_C@_06MEIMCGCF@_hypot?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 C4 B0 8D ED 08 1B 8D ED 0A 0B 9F ED 3A 0B 8D ED 40 0B 9D ED 0A 0B 53 EC 10 2B 04 92 05 93 04 9A 05 9B 23 F0 00 43 04 92 05 93 9D ED 08 0B 53 EC 10 2B 06 92 07 93 06 9A 07 9B 23 F0 00 43 06 92 07 93 05 9B 1B 0D 0C 93 00 23 0D 93 07 9B 1B 0D 0E 93 00 23 0F 93 0C 9B 20 93 0D 9B 21 93 21 9B 18 93 20 9A 40 F2 FF 73 9A 42 02 D1 18 9B 00 2B 0D D0 0E 9B 22 93 0F 9B 23 93 23 9B 19 93 22 9A 40 F2 FF 73 9A 42 4C D1 19 9B 00 2B 49 D1 0C 9B 24 93 0D 9B 25 93 25 9B 1A 93 24 9A 40 F2 FF 73 9A 42 09 D1 1A 9B 00 2B 06 D1 04 9A 05 9B 6F F3 1F 53 13 43 00 2B 14 D0 0E 9B 26 93 0F 9B 27 93 27 9B 1B 93 26 9A 40 F2 FF 73 9A 42 18 D1 1B 9B 00 2B 15 D1 06 9A 07 9B 6F F3 1F 53 13 43 00 2B 0E D1 00 20 ?? ?? ?? ?? 8D ED 38 0B 9D ED 38 0B 8D ED 12 0B 51 E1 FF FF FF FF FF FF EF 7F 10 E0 9D ED 0A 1B 9D ED 0A 0B 21 EE 00 2B 9D ED 08 1B 9D ED 08 0B 21 EE 00 0B 32 EE 00 0B 8D ED 12 0B 3B E1 04 9A 05 9B 43 EC 10 2B 8D ED 0A 0B 06 9A 07 9B 43 EC 10 2B 8D ED 08 0B 0C 9A 0E 9B D3 1A 14 93 00 23 10 93 04 9B 28 93 05 9B 29 93 29 9A 28 9B 13 43 00 2B 05 D1 9D ED 08 0B 8D ED 12 0B 1B E1 CF E0 06 9B 2A 93 07 9B 2B 93 2B 9A 2A 9B 13 43 00 2B 05 D1 9D ED 0A 0B 8D ED 12 0B 0C E1 C0 E0 14 9B 36 2B 03 DC 14 9B 13 F1 36 0F 09 DA 9D ED 0A 1B 9D ED 08 0B 31 EE 00 0B 8D ED 12 0B FB E0 AF E0 0C 9B 2C 93 0D 9B 2D 93 2C 9B 1C 93 2D 9B 00 2B 13 D8 04 D3 1C 9A 40 F2 F3 53 9A 42 0D D8 0E 9B 2E 93 0F 9B 2F 93 2E 9B 1D 93 2F 9B 00 2B 04 D8 1D 9A 40 F2 F3 53 9A 42 1B D9 4F F4 16 73 10 93 04 9A 05 9B A3 F1 16 53 04 92 05 93 04 9A 05 9B 43 EC 10 2B 8D ED 0A 0B 06 9A 07 9B A3 F1 16 53 06 92 07 93 06 9A 07 9B 43 EC 10 2B 8D ED 08 0B 76 E0 0C 9B 30 93 0D 9B 31 93 30 9B 1E 93 31 9B 00 2B 04 D8 1E 9A 40 F2 0B 23 9A 42 0E D3 0E 9B 32 93 0F 9B 33 93 32 9B 1F 93 33 9B 00 2B 5F D8 04 D3 1F 9A 40 F2 0B 23 9A 42 59 D2 5A 4B 10 93 0C 9B 34 93 0D 9B 35 93 35 9A 34 9B 13 43 00 2B 16 D1 04 99 05 9A 52 4B 13 44 43 EC 10 1B 8D ED 0A 0B 9D ED 0A 1B 9F ED 4C 0B 31 EE 40 0B 8D ED 0A 0B 9D ED 0A 0B 53 EC 10 2B 04 92 05 93 0B E0 04 9A 05 9B 03 F1 16 53 04 92 05 93 04 9A 05 9B 43 EC 10 2B 8D ED 0A 0B 0E 9B 36 93 0F 9B 37 93 37 9A 36 9B 13 43 00 2B 16 D1 06 99 07 9A 3C 4B 13 44 43 EC 10 1B 8D ED 08 0B 9D ED 08 1B 9F ED 36 0B 31 EE 40 0B 8D ED 08 0B 9D ED 08 0B 53 EC 10 2B 06 92 07 93 0B E0 06 9A 07 9B 03 F1 16 53 06 92 07 93 06 9A 07 9B 43 EC 10 2B 8D ED 08 0B 9D ED 0A 1B 9D ED 0A 0B 21 EE 00 2B 9D ED 08 1B 9D ED 08 0B 21 EE 00 0B 32 EE 00 0B 8D ED 3A 0B 9D ED 3A 0B ?? ?? ?? ?? 8D ED 3C 0B 9D ED 3C 0B 8D ED 16 0B 10 98 9D ED 16 0B ?? ?? ?? ?? 8D ED 3E 0B 9D ED 3E 0B 8D ED 16 0B 9D ED 16 1B 9D ED 40 0B B4 EE C0 1B F1 EE 10 FA 18 DD 02 23 03 93 9D ED 08 1B 9D ED 0A 0B 22 23 02 93 11 23 01 93 03 23 00 93 00 22 0B 4B 18 21 09 48 ?? ?? ?? ?? 8D ED 42 0B 9D ED 42 0B 8D ED 12 0B 03 E0 9D ED 16 0B 8D ED 12 0B 9D ED 12 0B 44 B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 F0 7F 00 00 00 00 00 00 90 25 00 00 90 25 A8 FD FF FF }
	condition:
		$1
}

rule file_424_10_0 {
	meta:
		name = "??$parse_integer_from_string@KDPAPAD@__crt_strtox@@YAKQBDQAPADHQAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "0014 ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 0026 ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 06 AB 00 93 0B 9A 0A 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 00 23 0C 9A 02 99 0D 98 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_11_0 {
	meta:
		name = "??$parse_integer_from_string@K_WPAPA_W@__crt_strtox@@YAKQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "0014 ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 0026 ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 06 AB 00 93 0B 9A 0A 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 00 23 0C 9A 02 99 0D 98 ?? ?? ?? ?? 03 90 03 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_14_0 {
	meta:
		name = "??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
		size = 68
		refs = "0014 ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 0026 ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 08 AB 00 93 0D 9A 0C 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 00 23 0E 9A 02 99 0F 98 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_15_0 {
	meta:
		name = "??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
		size = 68
		refs = "0014 ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 0026 ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 08 AB 00 93 0D 9A 0C 99 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 00 23 0E 9A 02 99 0F 98 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_46_0 {
	meta:
		name = "_strtoi64"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_JDPAPAD@__crt_strtox@@YA_JQBDQAPADHQAU__crt_locale_pointers@@@Z"
		altNames = "strtoimax strtoll"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_51_0 {
	meta:
		name = "_strtoui64"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_56_0 {
	meta:
		name = "_wcstoi64"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_61_4 {
	meta:
		name = "_wcstoui64"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_70_2 {
	meta:
		name = "strtoull"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_71_0 {
	meta:
		name = "strtoumax"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_72_0 {
	meta:
		name = "wcstoimax"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_74_4 {
	meta:
		name = "wcstoll"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_76_0 {
	meta:
		name = "wcstoull"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_77_3 {
	meta:
		name = "wcstoumax"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_47_0 {
	meta:
		name = "_strtoi64_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_JDPAPAD@__crt_strtox@@YA_JQBDQAPADHQAU__crt_locale_pointers@@@Z"
		altNames = "_strtoimax_l _strtoll_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_52_0 {
	meta:
		name = "_strtoui64_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_54_0 {
	meta:
		name = "_strtoull_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_55_4 {
	meta:
		name = "_strtoumax_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_57_2 {
	meta:
		name = "_wcstoi64_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_58_0 {
	meta:
		name = "_wcstoimax_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_60_0 {
	meta:
		name = "_wcstoll_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_62_4 {
	meta:
		name = "_wcstoui64_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_64_0 {
	meta:
		name = "_wcstoull_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_424_65_3 {
	meta:
		name = "_wcstoumax_l"
		size = 48
		refs = "0012 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 09 9B 08 9A 07 99 06 98 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_426_0_0 {
	meta:
		name = "atan2f"
		size = 2016
		refs = "018c _handle_nanf 020a valf_with_flags 0368 ?piby2@?1??atan2f@@9@9 036c ?pi@?1??atan2f@@9@9 0384 scaleDouble_1 03b8 scaleDownDouble 07c0 ?atan_jby256@?1??atan2f@@9@9 07d4 ?piby4@?1??atan2f@@9@9 07d8 ?three_piby4@?1??atan2f@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 F8 B0 CD ED 20 0A 8D ED 21 0A 9D ED 20 0A B7 EE C0 0A 8D ED 26 0B 9D ED 21 0A B7 EE C0 0A 8D ED 06 0B 9D ED 26 0B 53 EC 10 2B 24 92 25 93 9D ED 06 0B 53 EC 10 2B 04 92 05 93 24 9A 25 9B 23 F0 00 43 14 92 15 93 04 9A 05 9B 23 F0 00 43 12 92 13 93 25 9A C5 4B 13 40 1B 0D 41 93 05 9A C2 4B 13 40 1B 0D 40 93 25 9B 03 F0 00 42 00 23 08 93 09 92 05 9B 03 F0 00 42 00 23 02 93 03 92 14 9B 4A 93 15 9B 4B 93 4B 9A 4A 9B 13 43 00 2B 02 D1 01 23 1A 93 01 E0 00 23 1A 93 1A 9B 2E 93 12 9B 4C 93 13 9B 4D 93 4D 9A 4C 9B 13 43 00 2B 02 D1 01 23 1B 93 01 E0 00 23 1B 93 1B 9B 49 93 14 9B 4E 93 15 9B 4F 93 4E 9B 3C 93 4F 9A A7 4B 9A 42 06 D3 02 D8 3C 9B 00 2B 02 D9 01 23 1C 93 01 E0 00 23 1C 93 1C 9B 42 93 12 9B 50 93 13 9B 51 93 50 9B 3D 93 51 9A 9C 4B 9A 42 06 D3 02 D8 3D 9B 00 2B 02 D9 01 23 1D 93 01 E0 00 23 1D 93 1D 9B 46 93 14 9B 52 93 15 9B 53 93 53 9B 3E 93 52 9B 00 2B 06 D1 3E 9A 90 4B 9A 42 02 D1 01 23 1E 93 01 E0 00 23 1E 93 1E 9B 37 93 12 9B 54 93 13 9B 55 93 55 9B 3F 93 54 9B 00 2B 06 D1 3F 9A 86 4B 9A 42 02 D1 01 23 1F 93 01 E0 00 23 1F 93 1F 9B 36 93 40 9A 41 9B D3 1A 0A 93 42 9B 00 2B 14 D0 9D ED 20 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 44 93 44 98 00 21 ?? ?? ?? ?? 8D ED 45 0A 9D ED 45 0A 8D ED 00 0A F2 E2 7C E0 46 9B 00 2B 14 D0 9D ED 21 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 47 93 47 98 00 21 ?? ?? ?? ?? 8D ED 48 0A 9D ED 48 0A 8D ED 00 0A DA E2 64 E0 49 9B 00 2B 3B D0 08 9B 56 93 09 9B 57 93 57 9A 56 9B 13 43 00 2B 2A D0 02 9B 58 93 03 9B 59 93 59 9A 58 9B 13 43 00 2B 11 D0 10 20 5B 4B 93 ED 00 0B B1 EE 40 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 2C 0A 9D ED 2C 0A 8D ED 00 0A B3 E2 0E E0 10 20 52 4B 93 ED 00 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 2D 0A 9D ED 2D 0A 8D ED 00 0A A3 E2 06 E0 9D ED 06 0B B7 EE C0 0B 8D ED 00 0A 9B E2 25 E0 2E 9B 00 2B 22 D0 02 9B 5A 93 03 9B 5B 93 5B 9A 5A 9B 13 43 00 2B 11 D0 10 20 3F 4B 93 ED 00 0B B1 EE 40 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 2F 0A 9D ED 2F 0A 8D ED 00 0A 7D E2 07 E0 10 20 36 4B 93 ED 00 0B B7 EE C0 0B ?? ?? ?? ?? 0A 9B 1A 2B 2A DD 02 9B 5C 93 03 9B 5D 93 5D 9A 5C 9B 13 43 00 2B 11 D0 10 20 2C 4B 93 ED 00 0B B1 EE 40 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 39 0A 9D ED 39 0A 8D ED 00 0A 57 E2 0E E0 10 20 23 4B 93 ED 00 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 30 0A 9D ED 30 0A 8D ED 00 0A 47 E2 2D E1 0A 9B 13 F1 0D 0F 80 F2 8D 80 08 9B 5E 93 09 9B 5F 93 5F 9A 5E 9B 13 43 00 2B 40 F0 83 80 0A 9B 13 F1 96 0F 2C DA 02 9B 60 93 03 9B 61 93 61 9A 60 9B 13 43 00 2B 0C D0 12 20 9F ED 0C 0A ?? ?? ?? ?? 8D ED 31 0A 9D ED 31 0A 8D ED 00 0A 1E E2 15 E0 12 20 9F ED 05 0A ?? ?? ?? ?? 8D ED 32 0A 9D ED 32 0A 8D ED 00 0A 11 E2 00 00 00 00 00 00 00 80 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F 50 E0 0A 9B 13 F1 7E 0F 41 DA 64 20 9D ED 06 0B ?? ?? ?? ?? 8D ED 74 0B 9D ED 74 0B 8D ED 06 0B 9D ED 06 1B 9D ED 26 0B 81 EE 00 0B 8D ED 06 0B 9D ED 06 0B 53 EC 10 2B 04 92 05 93 04 AB 64 22 04 98 05 99 ?? ?? ?? ?? 04 9A 05 9B 43 EC 10 2B 8D ED 06 0B 05 9A DF F8 10 34 13 40 00 2B 0E D1 12 20 9D ED 06 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 33 0A 9D ED 33 0A 8D ED 00 0A C9 E1 06 E0 9D ED 06 0B B7 EE C0 0B 8D ED 00 0A C1 E1 0A E0 9D ED 06 1B 9D ED 26 0B 81 EE 00 0B B7 EE C0 0B 8D ED 00 0A B5 E1 9B E0 0A 9B 13 F1 1A 0F 33 DA 08 9B 62 93 09 9B 63 93 63 9A 62 9B 13 43 00 2B 2A D0 02 9B 64 93 03 9B 65 93 65 9A 64 9B 13 43 00 2B 11 D0 10 20 D1 4B 93 ED 00 0B B1 EE 40 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 34 0A 9D ED 34 0A 8D ED 00 0A 8D E1 0E E0 10 20 C8 4B 93 ED 00 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 35 0A 9D ED 35 0A 8D ED 00 0A 7D E1 63 E0 36 9B 00 2B 60 D0 37 9B 00 2B 5D D0 08 9B 66 93 09 9B 67 93 67 9A 66 9B 13 43 00 2B 2A D0 02 9B 68 93 03 9B 69 93 69 9A 68 9B 13 43 00 2B 11 D0 10 20 C6 4B 93 ED 00 0B B1 EE 40 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 38 0A 9D ED 38 0A 8D ED 00 0A 53 E1 0E E0 10 20 BD 4B 93 ED 00 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 43 0A 9D ED 43 0A 8D ED 00 0A 43 E1 29 E0 02 9B 6A 93 03 9B 6B 93 6B 9A 6A 9B 13 43 00 2B 11 D0 10 20 B0 4B 93 ED 00 0B B1 EE 40 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 3A 0A 9D ED 3A 0A 8D ED 00 0A 28 E1 0E E0 10 20 A7 4B 93 ED 00 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 3B 0A 9D ED 3B 0A 8D ED 00 0A 18 E1 9D ED 26 0B 8D ED 16 0B 9D ED 06 0B 8D ED 18 0B 08 9B 6C 93 09 9B 6D 93 6D 9A 6C 9B 13 43 00 2B 05 D0 9D ED 26 0B B1 EE 40 0B 8D ED 16 0B 02 9B 6E 93 03 9B 6F 93 6F 9A 6E 9B 13 43 00 2B 05 D0 9D ED 06 0B B1 EE 40 0B 8D ED 18 0B 9D ED 16 1B 9D ED 18 0B B4 EE C0 1B F1 EE 10 FA 02 D2 01 23 22 93 01 E0 00 23 22 93 22 9B 23 93 23 9B 00 2B 0B D0 9D ED 16 0B 8D ED 76 0B 9D ED 18 0B 8D ED 16 0B 9D ED 76 0B 8D ED 18 0B 9D ED 18 1B 9D ED 16 0B 81 EE 00 0B 8D ED 0E 0B 9D ED 0E 1B 9F ED 76 0B B4 EE C0 1B F1 EE 10 FA 59 DD 9F ED 71 1B 9D ED 0E 0B 21 EE 00 1B B6 EE 00 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 10 93 9F ED 69 1B 9D ED 18 0B 21 EE 00 2B 10 9B 00 EE 10 3A B8 EE 40 1B 9D ED 16 0B 21 EE 00 0B 32 EE 40 3B 9F ED 61 1B 9D ED 16 0B 21 EE 00 2B 10 9B 00 EE 10 3A B8 EE 40 1B 9D ED 18 0B 21 EE 00 0B 32 EE 00 0B 83 EE 00 0B 8D ED 2A 0B 9D ED 2A 1B 9D ED 2A 0B 21 EE 00 0B 8D ED 28 0B 10 9B A3 F1 10 02 08 23 02 FB 03 F2 4E 4B 13 44 93 ED 00 1B 9D ED 2A 0B 31 EE 00 2B 9D ED 2A 1B 9D ED 28 0B 21 EE 00 1B 9F ED 45 0B 21 EE 00 0B 32 EE 40 0B 8D ED 0C 0B 35 E0 9D ED 0E 1B 9F ED 3E 0B B4 EE C0 1B F1 EE 10 FA 04 D2 9D ED 0E 0B 8D ED 0C 0B 27 E0 9D ED 0E 1B 9D ED 0E 0B 21 EE 00 0B 8D ED 28 0B 9D ED 0E 1B 9D ED 28 0B 21 EE 00 2B 9D ED 28 1B 9F ED 2E 0B 21 EE 00 1B 9F ED 2A 0B 30 EE 41 1B 9D ED 28 0B 20 EE 01 1B 9F ED 24 0B 30 EE 41 0B 22 EE 00 1B 9D ED 0E 0B 30 EE 41 0B 8D ED 0C 0B 23 9B 00 2B 08 D0 1B 4B 93 ED 00 1B 9D ED 0C 0B 31 EE 40 0B 8D ED 0C 0B 08 9B 70 93 09 9B 71 93 71 9A 70 9B 13 43 00 2B 08 D0 11 4B 93 ED 00 1B 9D ED 0C 0B 31 EE 40 0B 8D ED 0C 0B 02 9B 72 93 03 9B 73 93 73 9A 72 9B 13 43 00 2B 05 D0 9D ED 0C 0B B1 EE 40 0B 8D ED 0C 0B 9D ED 0C 0B B7 EE C0 0B 8D ED 00 0A 9D ED 00 0A 78 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? 38 55 55 55 55 55 D5 3F A3 43 96 99 99 99 C9 3F E1 6B BD 82 24 49 C2 3F 2D 43 1C EB E2 36 1A 3F 77 08 55 55 55 55 D5 3F ?? ?? ?? ?? 00 00 00 00 00 00 70 40 00 00 00 00 00 00 B0 3F ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F }
	condition:
		$1
}

rule file_426_3_0 {
	meta:
		name = "scaleDownDouble"
		size = 240
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0F 9B 03 F0 00 42 00 23 0A 93 0B 92 0E 9A 0F 9B 23 F0 00 43 06 92 07 93 07 9A 31 4B 13 40 1A 0D 10 9B D3 1A 00 93 00 9B 00 2B 0F DD 00 9B 1A 05 00 23 08 93 09 92 06 9A 07 99 6F F3 1E 51 08 9B 1A 43 09 9B 0B 43 04 92 05 93 39 E0 06 99 07 9A 01 23 63 F3 1E 52 04 91 13 46 05 93 00 9A 01 23 9B 1A 01 93 01 9B 36 2B 04 DD 00 23 04 93 00 23 05 93 25 E0 01 9B 58 1E 04 9B 23 FA 00 F1 C0 F1 20 02 05 9B 93 40 19 43 A0 F1 20 02 05 9B D3 40 41 EA 03 02 05 9B C3 40 04 92 05 93 04 9A 05 9B 02 93 52 08 02 9B DB 07 43 EA 02 00 02 9B 59 08 04 9B 03 F0 01 02 00 23 12 18 4B 41 04 92 05 93 04 9A 0A 9B 42 EA 03 01 05 9A 0B 9B 1A 43 11 9B 19 60 11 9B 5A 60 0C B0 5D F8 04 BB 5D F8 14 FB FE DE 00 00 F0 7F }
	condition:
		$1
}

rule file_428_0_0 {
	meta:
		name = "?locking_nolock@@YAHHHJ@Z"
		size = 396
		refs = "0016 _lseeki64_nolock 004c memset 00b2 _get_osfhandle 0146 __acrt_errno_map_os_error 0156 _errno 017c __imp_GetLastError 0180 __imp_Sleep 0184 __imp_LockFileEx 0188 __imp_UnlockFileEx"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 9B B0 01 23 00 93 00 22 00 23 1E 98 ?? ?? ?? ?? 13 91 12 90 12 9B 08 93 13 9B 09 93 08 9B 14 93 09 9B 15 93 15 9A 14 9B 13 40 B3 F1 FF 3F 03 D1 6F F0 00 03 04 93 95 E0 00 23 16 93 10 22 00 21 17 A8 ?? ?? ?? ?? 08 9B 18 93 09 9B 19 93 1F 9B 01 2B 06 D0 1F 9B 03 2B 03 D0 00 23 8D F8 09 30 02 E0 01 23 8D F8 09 30 9D F8 09 30 8D F8 0A 30 9D F8 0A 30 00 2B 02 D0 0A 23 05 93 01 E0 01 23 05 93 05 9B 0A 93 00 23 8D F8 08 30 00 23 03 93 02 E0 03 9B 5B 1C 03 93 03 9A 0A 9B 9A 42 44 D0 1F 9B 00 2B 1A D1 1E 98 ?? ?? ?? ?? 0B 90 16 AB 00 93 00 23 20 9A 00 21 0B 98 30 4C 24 68 A0 47 0C 90 0C 9B 01 2B 02 D1 01 23 06 93 01 E0 00 23 06 93 06 9B DB B2 8D F8 08 30 1B E0 1E 98 ?? ?? ?? ?? 0D 90 16 AB 01 93 00 23 00 93 20 9B 00 22 03 21 0D 98 21 4C 24 68 A0 47 0E 90 0E 9B 01 2B 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B DB B2 8D F8 08 30 9D F8 08 30 00 2B 00 D0 05 E0 4F F4 7A 70 14 4B 1B 68 98 47 B3 E7 9D F8 08 30 00 2B 16 D1 0F 4B 1B 68 98 47 0F 90 0F 98 ?? ?? ?? ?? 1F 9B 01 2B 02 D0 1F 9B 03 2B 05 D1 ?? ?? ?? ?? 10 90 10 9A 24 23 13 60 6F F0 00 03 04 93 01 E0 00 23 04 93 04 98 1B B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_428_1_0 {
	meta:
		name = "_locking"
		size = 612
		refs = "0018 __doserrno 0024 _errno 006c _CrtDbgReportW 00a4 _invalid_parameter 01b0 __acrt_lowio_lock_fh 0220 ?locking_nolock@@YAHHHJ@Z 022c __acrt_lowio_unlock_fh 0240 ??_C@_1GC@EBJDGNBE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0244 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0248 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 024c __pioinfo 0250 ??_C@_1CK@NGMOLNIH@?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA_?$AAo?$AAf?$AA_?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0254 ??_C@_1BC@JDPPIGEN@?$AA_?$AAl?$AAo?$AAc?$AAk?$AAi?$AAn?$AAg?$AA?$AA@ 0258 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 025c ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0260 _nhandle"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 97 B0 6F 46 82 B0 BB 6E 13 F1 02 0F 0F D1 ?? ?? ?? ?? 38 62 3A 6A 00 23 13 60 ?? ?? ?? ?? 78 62 7A 6A 09 23 13 60 6F F0 00 03 3B 60 FD E0 BB 6E 00 2B 07 DB BA 6E 87 4B 1B 68 9A 42 02 D2 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 7F 4B 01 93 78 4B 00 93 00 23 5B 22 75 49 02 20 ?? ?? ?? ?? B8 62 BB 6A 01 2B 00 D1 FE DE BB 68 00 2B 17 D1 ?? ?? ?? ?? F8 62 FA 6A 00 23 13 60 ?? ?? ?? ?? 38 63 3A 6B 09 23 13 60 00 23 00 93 5B 23 68 4A 6C 49 6E 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 C1 E0 BB 6E 9A 11 04 23 02 FB 03 F2 64 4B 99 18 BB 6E 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 5A 4B 01 93 54 4B 00 93 00 23 5C 22 51 49 02 20 ?? ?? ?? ?? 78 63 7B 6B 01 2B 00 D1 FE DE 3B 69 00 2B 17 D1 ?? ?? ?? ?? B8 63 BA 6B 00 23 13 60 ?? ?? ?? ?? F8 63 FA 6B 09 23 13 60 00 23 00 93 5C 23 44 4A 48 49 49 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 79 E0 3B 6F 00 2B 02 DB 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 3D 4B 01 93 39 4B 00 93 00 23 5D 22 36 49 02 20 ?? ?? ?? ?? 38 64 3B 6C 01 2B 00 D1 FE DE BB 69 00 2B 17 D1 ?? ?? ?? ?? 78 64 7A 6C 00 23 13 60 ?? ?? ?? ?? B8 64 BA 6C 16 23 13 60 00 23 00 93 5D 23 28 4A 2D 49 2B 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 42 E0 B8 6E ?? ?? ?? ?? 6F F0 00 03 FB 61 BB 6E 9A 11 04 23 02 FB 03 F2 21 4B 99 18 BB 6E 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 1B D1 ?? ?? ?? ?? F8 64 FA 6C 09 23 13 60 ?? ?? ?? ?? 38 65 3A 6D 00 23 13 60 13 4B 01 93 11 4B 00 93 00 23 67 22 0E 49 02 20 ?? ?? ?? ?? 78 65 7B 6D 01 2B 00 D1 FE DE 07 E0 3A 6F F9 6E B8 6E ?? ?? ?? ?? B8 65 BB 6D FB 61 B8 6E ?? ?? ?? ?? FB 69 3B 60 38 68 19 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_430_5_0 {
	meta:
		name = "_mbsicoll_l"
		size = 236
		refs = "0014 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002a _CrtDbgReportW 0034 _errno 0074 _invalid_parameter 0086 _stricoll_l 00a6 __acrt_CompareStringA 00d8 ??_C@_1BI@BOFEGNKA@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00dc ??_C@_1HC@NNDPIPIH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00e0 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00e8 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 89 B0 0C 46 05 46 04 A8 11 46 16 46 ?? ?? ?? ?? A5 B9 32 4B 32 4C 2F 49 00 93 00 23 31 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 31 23 14 E0 CC B9 27 4B 25 4C 24 49 00 93 00 23 32 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 32 23 1B 4A 19 49 20 46 ?? ?? ?? ?? 1C E0 06 9A 93 68 2B B9 32 46 21 46 28 46 ?? ?? ?? ?? 17 E0 53 68 D2 F8 1C 12 05 A8 03 93 6F F0 00 03 02 93 00 93 2B 46 41 F2 01 02 01 94 ?? ?? ?? ?? 30 B9 ?? ?? ?? ?? 16 23 03 60 6F F0 00 40 00 E0 80 1E 9D F8 1C 30 33 B1 04 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 09 B0 BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_431_7_0 {
	meta:
		name = "?_isindst_nolock@@YAHQAUtm@@@Z"
		size = 832
		refs = "0010 _get_daylight 0028 _invoke_watson_if_error 00ae ?cvtdate@@YAXW4transition_type@?A0x7639d0b4@@W4date_type@2@HHHHHHHHH@Z 0324 ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 0328 ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 032c ?tz_info@@3U_TIME_ZONE_INFORMATION@@A 0330 ?tz_api_used@@3HA 0334 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0338 ??_C@_1CA@GOLIIEDM@?$AA_?$AAi?$AAs?$AAi?$AAn?$AAd?$AAs?$AAt?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 033c ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 00 23 09 93 09 A8 ?? ?? ?? ?? 11 90 00 23 01 93 40 F2 DF 13 00 93 C6 4B C5 4A C3 49 11 98 ?? ?? ?? ?? 09 9B 00 2B 02 D1 00 23 08 93 6F E1 14 9B 14 33 1A 68 BA 4B 1B 68 9A 42 07 D1 14 9B 14 33 1A 68 B5 4B 1B 68 9A 42 00 F0 DF 80 B6 4B 1B 68 00 2B 00 F0 99 80 B2 4B B3 F8 98 30 00 2B 24 D1 B0 4B B3 F8 A6 30 06 93 AE 4B B3 F8 A4 30 05 93 AC 4B B3 F8 A2 30 04 93 AA 4B B3 F8 A0 30 03 93 00 23 02 93 A7 4B B3 F8 9C 30 01 93 A5 4B B3 F8 9E 30 00 93 A3 4B B3 F8 9A 30 14 9A 14 32 12 68 01 21 00 20 ?? ?? ?? ?? 21 E0 9D 4B B3 F8 A6 30 06 93 9B 4B B3 F8 A4 30 05 93 99 4B B3 F8 A2 30 04 93 97 4B B3 F8 A0 30 03 93 95 4B B3 F8 9E 30 02 93 00 23 01 93 00 23 00 93 91 4B B3 F8 9A 30 14 9A 14 32 12 68 00 21 00 20 ?? ?? ?? ?? 8C 4B B3 F8 44 30 00 2B 24 D1 8A 4B B3 F8 52 30 06 93 88 4B B3 F8 50 30 05 93 86 4B B3 F8 4E 30 04 93 84 4B B3 F8 4C 30 03 93 00 23 02 93 81 4B B3 F8 48 30 01 93 7F 4B B3 F8 4A 30 00 93 7D 4B B3 F8 46 30 14 9A 14 32 12 68 01 21 01 20 ?? ?? ?? ?? 21 E0 77 4B B3 F8 52 30 06 93 75 4B B3 F8 50 30 05 93 73 4B B3 F8 4E 30 04 93 71 4B B3 F8 4C 30 03 93 6F 4B B3 F8 4A 30 02 93 00 23 01 93 00 23 00 93 6B 4B B3 F8 46 30 14 9A 14 32 12 68 00 21 01 20 ?? ?? ?? ?? 40 E0 03 23 0B 93 02 23 0A 93 0B 23 0D 93 01 23 0C 93 14 9B 14 33 1B 68 6B 2B 07 DA 04 23 0B 93 01 23 0A 93 0A 23 0D 93 05 23 0C 93 00 23 06 93 00 23 05 93 00 23 04 93 02 23 03 93 00 23 02 93 00 23 01 93 0A 9B 00 93 0B 9B 14 9A 14 32 12 68 01 21 00 20 ?? ?? ?? ?? 00 23 06 93 00 23 05 93 00 23 04 93 02 23 03 93 00 23 02 93 00 23 01 93 0C 9B 00 93 0D 9B 14 9A 14 32 12 68 01 21 01 20 ?? ?? ?? ?? 44 4B 5A 68 42 4B 5B 68 9A 42 22 DA 14 9B 1C 33 1A 68 40 4B 5B 68 9A 42 06 DB 14 9B 1C 33 1A 68 3B 4B 5B 68 9A 42 02 DD 00 23 08 93 6A E0 14 9B 1C 33 1A 68 37 4B 5B 68 9A 42 09 DD 14 9B 1C 33 1A 68 33 4B 5B 68 9A 42 02 DA 01 23 08 93 59 E0 21 E0 14 9B 1C 33 1A 68 2D 4B 5B 68 9A 42 06 DB 14 9B 1C 33 1A 68 2B 4B 5B 68 9A 42 02 DD 01 23 08 93 47 E0 14 9B 1C 33 1A 68 25 4B 5B 68 9A 42 09 DD 14 9B 1C 33 1A 68 22 4B 5B 68 9A 42 02 DA 00 23 08 93 36 E0 14 99 14 9B 1B 1D 1A 68 3C 23 02 FB 03 F2 0B 68 99 18 14 9B 08 33 1A 68 4F F4 61 63 02 FB 03 F3 CA 18 4F F4 7A 73 02 FB 03 F3 0F 93 14 9B 1C 33 1A 68 12 4B 5B 68 9A 42 0D D1 0F 9A 10 4B 9B 68 9A 42 02 DB 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 08 93 0C E0 0B E0 0F 9A 08 4B 9B 68 9A 42 02 DA 01 23 10 93 01 E0 00 23 10 93 10 9B 08 93 08 98 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_431_8_0 {
	meta:
		name = "?_set_daylight@@YAXH@Z"
		size = 32
		refs = "000a __daylight"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 04 9A 00 9B 1A 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_431_9_0 {
	meta:
		name = "?_set_dstbias@@YAXJ@Z"
		size = 32
		refs = "000a __dstbias"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 04 9A 00 9B 1A 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_431_10_0 {
	meta:
		name = "?_set_timezone@@YAXJ@Z"
		size = 32
		refs = "000a __timezone"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 04 9A 00 9B 1A 60 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_431_11_0 {
	meta:
		name = "?cvtdate@@YAXW4transition_type@?A0x7639d0b4@@W4date_type@2@HHHHHHHHH@Z"
		size = 588
		refs = "0016 ??$__crt_time_is_leap_year@H@@YA_NH@Z 0054 ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 0074 __rt_sdiv 01ac _get_dstbias 01c4 _invoke_watson_if_error 022c ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 0234 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 0238 ??_C@_1BA@GOCKIDGO@?$AAc?$AAv?$AAt?$AAd?$AAa?$AAt?$AAe?$AA?$AA@ 023c ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0240 ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 0244 _days 0248 _lpdays"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 00 23 08 93 0F 9B 01 2B 75 D1 10 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 09 D0 11 9B 5A 1E 04 23 02 FB 03 F2 85 4B 13 44 1B 68 05 93 08 E0 11 9B 5A 1E 04 23 02 FB 03 F2 7F 4B 13 44 1B 68 05 93 05 9B 5B 1C 03 93 10 98 ?? ?? ?? ?? 09 90 10 9B A3 F1 46 02 40 F2 6D 13 02 FB 03 F2 03 9B 1A 44 09 9B 13 44 19 1D 07 20 ?? ?? ?? ?? 04 91 04 9A 13 9B 9A 42 0C DC 13 9A 04 9B D1 1A 12 9B 5A 1E 07 23 02 FB 03 F3 CA 18 03 9B 13 44 03 93 0A E0 13 9A 04 9B D1 1A 12 9A 07 23 02 FB 03 F3 CA 18 03 9B 13 44 03 93 10 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 08 D0 11 9A 04 23 02 FB 03 F2 5E 4B 13 44 1B 68 06 93 07 E0 11 9A 04 23 02 FB 03 F2 59 4B 13 44 1B 68 06 93 06 9B 0A 93 12 9B 05 2B 06 D1 03 9A 0A 9B 9A 42 02 DD 03 9B DB 1F 03 93 21 E0 10 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 09 D0 11 9B 5A 1E 04 23 02 FB 03 F2 4A 4B 13 44 1B 68 07 93 08 E0 11 9B 5A 1E 04 23 02 FB 03 F2 44 4B 13 44 1B 68 07 93 07 9B 03 93 03 9A 14 9B 13 44 03 93 0E 9B 00 2B 19 D1 03 9A 3C 4B 5A 60 15 9A 3C 23 02 FB 03 F2 16 9B 1A 44 3C 23 02 FB 03 F2 17 9B 1A 44 4F F4 7A 73 02 FB 03 F2 18 9B 1A 44 33 4B 9A 60 10 9A 31 4B 1A 60 51 E0 03 9A 2A 4B 5A 60 15 9A 3C 23 02 FB 03 F2 16 9B 1A 44 3C 23 02 FB 03 F2 17 9B 1A 44 4F F4 7A 73 02 FB 03 F2 18 9B 1A 44 21 4B 9A 60 08 A8 ?? ?? ?? ?? 0B 90 00 23 01 93 4F F4 DF 73 00 93 1F 4B 1E 4A 1C 49 0B 98 ?? ?? ?? ?? 08 9A 4F F4 7A 73 02 FB 03 F2 16 4B 9B 68 1A 44 14 4B 9A 60 13 4B 9B 68 00 2B 0B DA 11 4B 9A 68 11 4B 1A 44 0F 4B 9A 60 0E 4B 5B 68 5A 1E 0D 4B 5A 60 0F E0 0B 4B 9A 68 0B 4B 9A 42 0A DB 09 4B 9A 68 09 4B D2 1A 07 4B 9A 60 06 4B 5B 68 5A 1C 04 4B 5A 60 10 9A 03 4B 1A 60 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? 00 5C 26 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_431_14_0 {
	meta:
		name = "?get_tz_environment_variable@@YAPADAAY0BAA@D@Z"
		size = 192
		refs = "0014 getenv_s 003e _malloc_dbg 0048 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 004e ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ 0060 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 0098 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 00b8 ??_C@_02CLFPBFFP@TZ?$AA@ 00bc ??_C@_0CO@HGDJNALE@minkernel?2crts?2ucrt?2src?2appcrt?2t@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 2B 4B 4F F4 80 72 10 99 03 A8 ?? ?? ?? ?? 04 90 04 9B 02 93 02 9B 00 2B 02 D1 10 9B 01 93 40 E0 02 9B 22 2B 02 D0 00 23 01 93 3A E0 54 23 20 4A 02 21 03 98 ?? ?? ?? ?? 05 90 05 99 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 06 90 06 9B 00 2B 07 D1 00 23 07 93 68 46 ?? ?? ?? ?? 07 9B 01 93 20 E0 68 46 ?? ?? ?? ?? 08 90 11 4B 03 9A 08 99 0D A8 ?? ?? ?? ?? 09 90 09 9B 00 2B 07 D0 00 23 0A 93 68 46 ?? ?? ?? ?? 0A 9B 01 93 0A E0 68 46 ?? ?? ?? ?? 0B 90 0B 9B 0C 93 68 46 ?? ?? ?? ?? 0C 9B 01 93 01 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_431_16_0 {
	meta:
		name = "?tzset_from_environment_nolock@@YAXPAD@Z"
		size = 688
		refs = "000a __tzname 001e _get_timezone 0034 _invoke_watson_if_error 003a _get_daylight 0062 strcmp 0076 _free_dbg 007c strlen 008c _malloc_dbg 0096 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 00a2 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 00b0 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 00d0 strcpy_s 00f8 strncpy_s 0160 atol 0278 ?_set_timezone@@YAXJ@Z 027e ?_set_daylight@@YAXH@Z 028c ??_C@_1EI@MGFBHDFD@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA1?$AA?$FN?$AA?0?$AA?5?$AA6?$AA4?$AA?0?$AA?5?$AAt?$AAz?$AA_?$AAe?$AAn?$AAv?$AA?0@ 0290 ??_C@_1DM@PDIFNGHB@?$AAt?$AAz?$AAs?$AAe?$AAt?$AA_?$AAf?$AAr?$AAo?$AAm?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0294 ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0298 ??_C@_1GC@LDOKJLO@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?0?$AA?5?$AA6?$AA4?$AA?0?$AA?5?$AAt?$AAz?$AA_?$AAe?$AAn?$AAv?$AA?0@ 029c ??_C@_1FM@FKGLLBKA@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAa?$AAs?$AAt?$AA_?$AAt?$AAz?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAl?$AAe?$AAn?$AA?$CI?$AAt?$AAz?$AA_?$AAe?$AAn?$AAv?$AA?$CJ@ 02a0 ?last_tz@@3PADA 02a4 ??_C@_0CO@HGDJNALE@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 02a8 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 02ac ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9A B0 ?? ?? ?? ?? 08 90 08 9B 06 93 00 23 03 93 00 23 05 93 03 A8 ?? ?? ?? ?? 09 90 00 23 01 93 D3 23 00 93 99 4B 98 4A 9E 49 09 98 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 0A 90 00 23 01 93 D4 23 00 93 92 4B 91 4A 96 49 0A 98 ?? ?? ?? ?? 92 4B 1B 68 00 2B 09 D0 90 4B 19 68 1C 98 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 00 D1 08 E1 02 21 8B 4B 18 68 ?? ?? ?? ?? 1C 98 ?? ?? ?? ?? 0C 90 DD 23 87 4A 02 21 0C 98 40 1C ?? ?? ?? ?? 0D 90 0D 99 11 A8 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 0F 98 ?? ?? ?? ?? 10 90 10 9A 7D 4B 1A 60 11 A8 ?? ?? ?? ?? 7A 4B 1B 68 00 2B 00 D1 E1 E0 1C 98 ?? ?? ?? ?? 12 90 1C 9A 12 9B 59 1C 74 4B 18 68 ?? ?? ?? ?? 13 90 00 23 01 93 E1 23 00 93 6D 4B 6B 4A 6E 49 13 98 ?? ?? ?? ?? 03 23 04 93 04 9B 1C 9A 40 21 06 98 00 68 ?? ?? ?? ?? 14 90 00 23 01 93 E5 23 00 93 63 4B 61 4A 63 49 14 98 ?? ?? ?? ?? 04 9B 00 2B 0B D9 1C 9B 93 F9 00 30 00 2B 06 D0 04 9B 5B 1E 04 93 1C 9B 5B 1C 1C 93 F0 E7 1C 9B 93 F9 00 30 2D 2B 03 D1 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 2B 02 D0 1C 9B 5B 1C 1C 93 1C 98 ?? ?? ?? ?? 15 90 15 9A 4F F4 61 63 02 FB 03 F3 03 93 1C 9B 93 F9 00 30 2B 2B 09 D0 1C 9B 93 F9 00 30 30 2B 08 DB 1C 9B 93 F9 00 30 39 2B 03 DC 1C 9B 5B 1C 1C 93 EC E7 1C 9B 93 F9 00 30 3A 2B 39 D1 1C 9B 5B 1C 1C 93 1C 98 ?? ?? ?? ?? 16 90 16 9A 3C 23 02 FB 03 F2 03 9B 13 44 03 93 1C 9B 93 F9 00 30 30 2B 08 DB 1C 9B 93 F9 00 30 39 2B 03 DC 1C 9B 5B 1C 1C 93 F1 E7 1C 9B 93 F9 00 30 3A 2B 18 D1 1C 9B 5B 1C 1C 93 1C 98 ?? ?? ?? ?? 17 90 03 9A 17 9B 13 44 03 93 1C 9B 93 F9 00 30 30 2B 08 DB 1C 9B 93 F9 00 30 39 2B 03 DC 1C 9B 5B 1C 1C 93 F1 E7 9D F8 09 30 00 2B 02 D0 03 9B 5B 42 03 93 1C 9B 93 F9 00 30 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 05 93 05 9B 00 2B 14 D0 03 23 1C 9A 40 21 06 98 00 1D 00 68 ?? ?? ?? ?? 18 90 00 23 01 93 4F F4 8A 73 00 93 0D 4B 0B 4A 0A 49 18 98 ?? ?? ?? ?? 04 E0 06 9B 1B 1D 1A 68 00 23 13 70 03 98 ?? ?? ?? ?? 05 98 ?? ?? ?? ?? 1A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_431_17_0 {
	meta:
		name = "?tzset_from_system_nolock@@YAXXZ"
		size = 484
		refs = "000a __tzname 0022 _get_timezone 0038 _invoke_watson_if_error 003e _get_daylight 005a _get_dstbias 007a _free_dbg 00fa ___lc_codepage_func 01a4 ?_set_timezone@@YAXJ@Z 01aa ?_set_daylight@@YAXH@Z 01b0 ?_set_dstbias@@YAXJ@Z 01bc __imp_WideCharToMultiByte 01c0 ?tz_info@@3U_TIME_ZONE_INFORMATION@@A 01c4 ?tz_api_used@@3HA 01c8 __imp_GetTimeZoneInformation 01cc ?last_tz@@3PADA 01d0 ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 01d4 ??_C@_1DC@MADCMBHA@?$AAt?$AAz?$AAs?$AAe?$AAt?$AA_?$AAf?$AAr?$AAo?$AAm?$AA_?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 01d8 ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01dc ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 01e0 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 95 B0 ?? ?? ?? ?? 0A 90 0A 9B 04 93 00 23 05 93 00 23 06 93 00 23 07 93 05 A8 ?? ?? ?? ?? 0B 90 00 23 01 93 6A 23 00 93 69 4B 68 4A 6A 49 0B 98 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 0C 90 00 23 01 93 6B 23 00 93 62 4B 61 4A 62 49 0C 98 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 0D 90 00 23 01 93 6C 23 00 93 5B 4B 5A 4A 58 49 0D 98 ?? ?? ?? ?? 02 21 55 4B 18 68 ?? ?? ?? ?? 53 4A 00 23 13 60 4E 48 50 4B 1B 68 98 47 0E 90 0E 9B B3 F1 FF 3F 00 F0 85 80 4A 4A 01 23 13 60 48 4B 1A 68 3C 23 02 FB 03 F3 05 93 45 4B B3 F8 46 30 00 2B 07 D0 42 4B 5A 6D 3C 23 02 FB 03 F2 05 9B 13 44 05 93 3E 4B B3 F8 9A 30 00 2B 11 D0 3C 4B D3 F8 A8 30 00 2B 0C D0 01 23 06 93 38 4B D3 F8 A8 20 37 4B 5B 6D D2 1A 3C 23 02 FB 03 F3 07 93 03 E0 00 23 06 93 00 23 07 93 ?? ?? ?? ?? 0F 90 0F 9B 09 93 08 AB 03 93 00 23 02 93 3F 23 01 93 04 9B 1B 68 00 93 6F F0 00 03 29 4A 12 1D 00 21 09 98 26 4C 24 68 A0 47 10 90 10 9B 11 93 11 9B 00 2B 09 D0 08 9B 00 2B 06 D1 04 9B 1B 68 03 F1 3F 02 00 23 13 70 03 E0 04 9B 1A 68 00 23 13 70 08 AB 03 93 00 23 02 93 3F 23 01 93 04 9B 1B 1D 1B 68 00 93 6F F0 00 03 15 4A 58 32 00 21 09 98 12 4C 24 68 A0 47 12 90 12 9B 13 93 13 9B 00 2B 0A D0 08 9B 00 2B 07 D1 04 9B 1B 1D 1B 68 03 F1 3F 02 00 23 13 70 04 E0 04 9B 1B 1D 1A 68 00 23 13 70 05 98 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 07 98 ?? ?? ?? ?? 15 B0 BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_431_18_0 {
	meta:
		name = "?tzset_nolock@@YAXXZ"
		size = 136
		refs = "0006 __security_push_cookie 0024 ?get_tz_environment_variable@@YAPADAAY0BAA@D@Z 0044 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0058 ?tzset_from_system_nolock@@YAXXZ 005e ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 0066 ?tzset_from_environment_nolock@@YAXPAD@Z 0072 __security_pop_cookie 007c ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 0080 ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 0084 ?tz_api_used@@3HA"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? C5 B0 1D 4A 00 23 13 60 1B 4A 6F F0 00 03 13 60 19 4B 1A 68 17 4B 1A 60 04 A8 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9A 04 AB 9A 42 02 D1 00 23 01 93 01 E0 00 9B 01 93 01 99 02 A8 ?? ?? ?? ?? 00 9B 00 2B 04 D0 00 9B 93 F9 00 30 00 2B 05 D1 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 05 E0 00 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 45 B0 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_431_19_0 {
	meta:
		name = "__tzset"
		size = 96
		refs = "000e ??$__crt_interlocked_read@J@@YAJPDJ@Z 001e __acrt_lock 0032 ?tzset_nolock@@YAXXZ 0050 __acrt_unlock 005c ?first_time@?1??__tzset@@9@4JA"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 13 48 ?? ?? ?? ?? 38 60 3B 68 00 2B 00 D0 1B E0 06 20 ?? ?? ?? ?? 0E 48 ?? ?? ?? ?? 78 60 7B 68 00 2B 00 D0 0D E0 ?? ?? ?? ?? BF F3 5B 8F 08 49 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 06 20 ?? ?? ?? ?? 03 B0 BD E8 80 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_431_22_0 {
	meta:
		name = "_isindst"
		size = 58
		refs = "0014 __acrt_lock 001a ?_isindst_nolock@@YAHQAUtm@@@Z 0026 __acrt_unlock"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 83 B0 6F 46 00 23 3B 60 06 20 ?? ?? ?? ?? B8 69 ?? ?? ?? ?? 78 60 7B 68 3B 60 06 20 ?? ?? ?? ?? 3B 68 BB 60 B8 68 03 B0 BD E8 80 08 5D F8 0C FB }
	condition:
		$1
}

rule file_431_24_0 {
	meta:
		name = "_tzset"
		size = 34
		refs = "000e __acrt_lock 0012 ?tzset_nolock@@YAXXZ 0018 __acrt_unlock"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 81 B0 6F 46 06 20 ?? ?? ?? ?? ?? ?? ?? ?? 06 20 ?? ?? ?? ?? 01 B0 BD E8 80 88 }
	condition:
		$1
}

rule file_432_0_0 {
	meta:
		name = "_getdiskfree"
		size = 252
		refs = "0008 __security_push_cookie 0024 _CrtDbgReportW 002e _errno 0042 _invalid_parameter 00be __acrt_errno_from_os_error 00d2 __security_pop_cookie 00dc __imp_GetLastError 00e0 __imp_GetDiskFreeSpaceW 00e8 ??_C@_1GK@PCMJMNFF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00ec ??_C@_1CG@BPIFNLOB@?$AAd?$AAr?$AAi?$AAv?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 00f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f4 ??_C@_1BK@HDMOFHIE@?$AA_?$AAg?$AAe?$AAt?$AAd?$AAi?$AAs?$AAk?$AAf?$AAr?$AAe?$AAe?$AA?$AA@ 00f8 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? 88 B0 0E 46 05 46 D6 B9 36 4B 38 4C 33 49 00 93 00 23 18 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 18 23 2D 49 2A 4A 20 46 ?? ?? ?? ?? 57 25 41 E0 1A 2D 14 D9 28 4B 26 4C 25 49 00 93 00 23 19 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 19 23 E1 E7 00 23 02 AC CD E9 02 33 CD E9 04 33 0F CC 86 E8 0F 00 16 4B 06 93 5C 23 07 93 0D B9 00 20 04 E0 05 F1 40 03 AD F8 18 30 06 A8 0F 4C 33 1D 06 F1 0C 02 24 68 06 F1 08 01 00 96 A0 47 50 B9 09 4B 1B 68 98 47 05 46 ?? ?? ?? ?? 04 46 ?? ?? ?? ?? 04 60 00 E0 00 25 28 46 08 B0 ?? ?? ?? ?? BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? 5F 00 3A 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_433_1_0 {
	meta:
		name = "hypotf"
		size = 50
		refs = "0018 _hypotf"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 CD ED 00 0A 8D ED 01 0A DD ED 00 0A 9D ED 01 0A ?? ?? ?? ?? 8D ED 02 0A 9D ED 02 0A 8D ED 03 0A 9D ED 03 0A 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_435_0_0 {
	meta:
		name = "_mbsinc"
		size = 104
		refs = "001c _CrtDbgReportW 0026 _errno 003a _invalid_parameter 0046 _ismbblead 0058 ??_C@_1GO@HFJOCENB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005c ??_C@_1BA@GDAOKFNN@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAn?$AAc?$AA?$AA@ 0060 ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 D4 B9 15 4B 14 4C 11 49 00 93 00 23 3E 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 0B 49 09 4A 00 23 00 93 3E 23 20 46 ?? ?? ?? ?? 00 24 07 E0 14 F8 01 0B ?? ?? ?? ?? 10 B1 23 78 03 B1 64 1C 20 46 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_435_1_0 {
	meta:
		name = "_mbsinc_l"
		size = 32
		refs = "000e _ismbblead_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 14 F8 01 0B ?? ?? ?? ?? 10 B1 23 78 03 B1 64 1C 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_436_4_0 {
	meta:
		name = "__ascii_strnicmp"
		size = 146
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 2B 38 D0 00 23 00 93 00 23 01 93 06 9B 93 F9 00 30 DB B2 00 93 00 9A 06 9B 5B 1C 06 93 41 2A 05 DB 00 9B 5A 2B 02 DC 00 9B 20 33 00 93 07 9B 93 F9 00 30 DB B2 01 93 01 9A 07 9B 5B 1C 07 93 41 2A 05 DB 01 9B 5A 2B 02 DC 01 9B 20 33 01 93 08 9B 5B 1E 08 93 08 9B 00 2B 06 D0 00 9B 00 2B 03 D0 00 9A 01 9B 9A 42 D0 D0 00 9A 01 9B D3 1A 02 93 02 E0 01 E0 00 23 02 93 02 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_436_5_0 {
	meta:
		name = "_strnicmp"
		size = 400
		refs = "000a __acrt_locale_changed 0046 _CrtDbgReportW 005a _errno 0072 _invalid_parameter 014c __ascii_strnicmp 0162 _strnicmp_l 0178 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 017c ??_C@_1BE@BHJDFFNA@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0180 ??_C@_1GG@FIFJEMIA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0184 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0188 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 018c ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 40 F0 9F 80 14 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 55 4B 01 93 52 4B 00 93 00 23 7E 22 4F 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 7E 23 44 4A 43 49 46 48 ?? ?? ?? ?? 6F F0 00 43 03 93 76 E0 15 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 3B 4B 01 93 39 4B 00 93 00 23 7F 22 36 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 7F 23 2C 4A 2A 49 2D 48 ?? ?? ?? ?? 6F F0 00 43 03 93 45 E0 16 9A 6F F0 00 43 9A 42 02 D8 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 80 22 1D 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 80 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 43 03 93 12 E0 16 9A 15 99 14 98 ?? ?? ?? ?? 10 90 10 9B 03 93 09 E0 08 E0 00 23 16 9A 15 99 14 98 ?? ?? ?? ?? 11 90 11 9B 03 93 03 98 12 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_436_6_0 {
	meta:
		name = "_strnicmp_l"
		size = 568
		refs = "0016 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0044 _CrtDbgReportW 0058 _errno 0070 _invalid_parameter 007c ??1_LocaleUpdate@@QAA@XZ 0164 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 017e __ascii_strnicmp 01ac _tolower_l 0220 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0224 ??_C@_1BI@BJLEPLEF@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0228 ??_C@_1GG@FIFJEMIA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 022c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0230 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0234 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A4 B0 28 9B 00 2B 00 F0 FF 80 29 99 0C A8 ?? ?? ?? ?? 26 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 7F 4B 01 93 7C 4B 00 93 00 23 37 22 79 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 05 9B 00 2B 16 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 37 23 6F 4A 6D 49 71 48 ?? ?? ?? ?? 6F F0 00 43 12 93 0C A8 ?? ?? ?? ?? 12 9B 02 93 C6 E0 27 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 63 4B 01 93 61 4B 00 93 00 23 38 22 5E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 07 9B 00 2B 16 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 38 23 54 4A 52 49 55 48 ?? ?? ?? ?? 6F F0 00 43 15 93 0C A8 ?? ?? ?? ?? 15 9B 02 93 90 E0 28 9A 6F F0 00 43 9A 42 02 D8 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 43 4B 01 93 45 4B 00 93 00 23 39 22 42 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 09 9B 00 2B 16 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 39 23 38 4A 36 49 35 48 ?? ?? ?? ?? 6F F0 00 43 18 93 0C A8 ?? ?? ?? ?? 18 9B 02 93 58 E0 0C A8 ?? ?? ?? ?? 19 90 19 9B 1B 68 A0 33 08 33 1B 68 00 2B 0E D1 28 9A 27 99 26 98 ?? ?? ?? ?? 1A 90 1A 9B 1B 93 0C A8 ?? ?? ?? ?? 1B 9B 02 93 3F E0 32 E0 0C A8 ?? ?? ?? ?? 1C 90 26 9B 93 F9 00 30 DB B2 1D 93 1C 99 1D 98 ?? ?? ?? ?? 1E 90 1E 9B 03 93 26 9B 5B 1C 26 93 0C A8 ?? ?? ?? ?? 1F 90 27 9B 93 F9 00 30 DB B2 20 93 1F 99 20 98 ?? ?? ?? ?? 21 90 21 9B 0A 93 27 9B 5B 1C 27 93 28 9B 5B 1E 28 93 28 9B 00 2B 06 D0 03 9B 00 2B 03 D0 03 9A 0A 9B 9A 42 CC D0 03 9A 0A 9B D3 1A 22 93 0C A8 ?? ?? ?? ?? 22 9B 02 93 01 E0 00 23 02 93 02 98 24 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_438_0_0 {
	meta:
		name = "_clrfp"
		size = 48
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 F1 EE 10 3A 01 93 01 9B 83 F4 1F 43 00 93 00 9B 23 F0 9F 03 83 F4 1F 43 E1 EE 10 3A 00 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_438_1_0 {
	meta:
		name = "_ctrlfp"
		size = 70
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 F1 EE 10 3A 01 93 01 9B 83 F4 1F 43 00 93 06 9A 07 9B 02 EA 03 01 07 9B DA 43 00 9B 13 40 0B 43 02 93 02 9B 83 F4 1F 43 E1 EE 10 3A 00 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_438_2_0 {
	meta:
		name = "_set_statfp"
		size = 44
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 F1 EE 10 3A 00 93 00 9B 83 F4 1F 42 04 9B 13 43 83 F4 1F 43 E1 EE 10 3A 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_438_3_0 {
	meta:
		name = "_statfp"
		size = 30
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 F1 EE 10 3A 00 93 00 9B 83 F4 1F 43 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_439_0_0 {
	meta:
		name = "_realloc_base"
		size = 176
		refs = "0014 _malloc_base 0028 _free_base 003a _errno 006e _query_new_mode 007c _callnewh 00a8 __imp_HeapReAlloc 00ac __acrt_heap"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 00 2B 06 D1 0D 98 ?? ?? ?? ?? 02 90 02 9B 00 93 3D E0 0D 9B 00 2B 05 D1 0C 98 ?? ?? ?? ?? 00 23 00 93 34 E0 0D 9B 13 F1 20 0F 08 D9 ?? ?? ?? ?? 03 90 03 9A 0C 23 13 60 00 23 00 93 27 E0 0D 9B 0C 9A 00 21 16 48 00 68 14 4C 24 68 A0 47 04 90 04 9B 01 93 01 9B 00 2B 02 D0 01 9B 00 93 16 E0 ?? ?? ?? ?? 05 90 05 9B 00 2B 06 D0 0D 98 ?? ?? ?? ?? 06 90 06 9B 00 2B 08 D1 ?? ?? ?? ?? 07 90 07 9A 0C 23 13 60 00 23 00 93 00 E0 D7 E7 00 98 09 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_440_1_0 {
	meta:
		name = "??$common_ftell@J@@YAJV__crt_stdio_stream@@@Z"
		size = 208
		refs = "0014 ?valid@__crt_stdio_stream@@QBA_NXZ 0046 _CrtDbgReportW 005a _errno 0074 _invalid_parameter 0088 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0090 _lock_file 0096 ??$common_ftell_nolock@J@@YAJV__crt_stdio_stream@@@Z 00ac _unlock_file 00c0 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 00c4 ??_C@_1BK@CMPCEPOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAe?$AAl?$AAl?$AA?$AA@ 00c8 ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8B B0 6F 46 82 B0 17 F1 38 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 01 23 BB 60 01 E0 00 23 BB 60 BB 68 FB 60 FB 68 00 2B 0F D1 22 4B 01 93 24 4B 00 93 00 23 4F F4 A5 72 21 49 02 20 ?? ?? ?? ?? B8 61 BB 69 01 2B 00 D1 FE DE FB 68 00 2B 12 D1 ?? ?? ?? ?? F8 61 FA 69 16 23 13 60 00 23 00 93 4F F4 A5 73 16 4A 14 49 13 48 ?? ?? ?? ?? 6F F0 00 03 7B 61 19 E0 00 23 3B 61 17 F1 38 00 ?? ?? ?? ?? 38 62 38 6A ?? ?? ?? ?? B8 6B ?? ?? ?? ?? 78 62 7B 6A 3B 61 17 F1 38 00 ?? ?? ?? ?? 78 60 78 68 ?? ?? ?? ?? 3B 69 7B 61 78 69 0D B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_440_2_0 {
	meta:
		name = "?fin$0@?0???$common_ftell@J@@YAJV__crt_stdio_stream@@@Z@4HA"
		size = 26
		refs = "0008 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0010 _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 17 F1 38 00 ?? ?? ?? ?? 78 60 78 68 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_440_3_0 {
	meta:
		name = "??$common_ftell@_J@@YA_JV__crt_stdio_stream@@@Z"
		size = 232
		refs = "0014 ?valid@__crt_stdio_stream@@QBA_NXZ 0046 _CrtDbgReportW 005a _errno 0074 _invalid_parameter 0092 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 009a _lock_file 00a0 ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z 00bc _unlock_file 00d8 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 00dc ??_C@_1BK@CMPCEPOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAe?$AAl?$AAl?$AA?$AA@ 00e0 ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 82 B0 17 F1 48 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 01 23 BB 60 01 E0 00 23 BB 60 BB 68 FB 60 FB 68 00 2B 0F D1 28 4B 01 93 2A 4B 00 93 00 23 4F F4 A5 72 27 49 02 20 ?? ?? ?? ?? 38 61 3B 69 01 2B 00 D1 FE DE FB 68 00 2B 15 D1 ?? ?? ?? ?? 78 61 7A 69 16 23 13 60 00 23 00 93 4F F4 A5 73 1C 4A 1A 49 19 48 ?? ?? ?? ?? 6F F0 00 03 BB 62 6F F0 00 03 FB 62 20 E0 00 23 3B 62 00 23 7B 62 17 F1 48 00 ?? ?? ?? ?? B8 61 B8 69 ?? ?? ?? ?? B8 6C ?? ?? ?? ?? 79 63 38 63 3B 6B 3B 62 7B 6B 7B 62 17 F1 48 00 ?? ?? ?? ?? 78 60 78 68 ?? ?? ?? ?? 3A 6A 7B 6A BA 62 FB 62 B8 6A F9 6A 11 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_440_4_0 {
	meta:
		name = "?fin$0@?0???$common_ftell@_J@@YA_JV__crt_stdio_stream@@@Z@4HA"
		size = 26
		refs = "0008 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0010 _unlock_file"
		altNames = "?fin$0@?0??common_fseek@@YAHV__crt_stdio_stream@@_JH@Z@4HA"
	strings:
		$1 = { 10 B5 82 B0 17 F1 48 00 ?? ?? ?? ?? 78 60 78 68 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_440_5_0 {
	meta:
		name = "??$common_ftell_nolock@J@@YAJV__crt_stdio_stream@@@Z"
		size = 94
		refs = "000c ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z 003a _errno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 98 ?? ?? ?? ?? 07 91 06 90 06 9B 04 93 07 9B 05 93 04 9B 08 93 05 9B 09 93 08 9B 01 93 09 9B 00 2B 0F DB 04 DC 01 9A 6F F0 00 43 9A 42 09 D9 ?? ?? ?? ?? 02 90 02 9A 16 23 13 60 6F F0 00 03 00 93 01 E0 04 9B 00 93 00 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_440_6_0 {
	meta:
		name = "??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z"
		size = 776
		refs = "000c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0084 _fileno 0090 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 00bc _lseeki64 00f6 ?has_big_buffer@__crt_stdio_stream@@QBA_NXZ 017e ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z 01c8 ?common_ftell_translated_utf8_nolock@@YA_JV__crt_stdio_stream@@_J@Z 0220 ?count_newline_bytes@@YA_JQBD0W4__crt_lowio_text_mode@@@Z 023e ?has_all_of@__crt_stdio_stream@@QBA_NJ@Z 02a6 ?common_ftell_read_mode_nolock@@YA_JV__crt_stdio_stream@@_J1@Z 02c8 __rt_sdiv64 02f4 __pioinfo 02f8 ??_C@_1CO@LBNDLIPC@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?$CI?$AA?$CJ?$AA?$AA@ 02fc ??_C@_1CI@MOKEPKDC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAe?$AAl?$AAl?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0300 ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0304 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 AC B0 2E A8 ?? ?? ?? ?? 1B 90 1B 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 B2 4B 01 93 B4 4B 00 93 00 23 F0 22 B1 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 14 D1 ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 00 23 00 93 F0 23 A7 4A A5 49 A4 48 ?? ?? ?? ?? 6F F0 00 03 04 93 6F F0 00 03 05 93 34 E1 2E A8 ?? ?? ?? ?? 10 90 10 98 ?? ?? ?? ?? 11 90 11 9B 07 93 2E A8 ?? ?? ?? ?? 12 90 12 9B 08 33 1B 68 00 2B 08 DA 2E A8 ?? ?? ?? ?? 13 90 13 9B 03 F1 08 02 00 23 13 60 01 23 00 93 00 22 00 23 07 98 ?? ?? ?? ?? 1F 91 1E 90 1E 9B 0A 93 1F 9B 0B 93 0A 9B 20 93 0B 9B 21 93 20 9B 14 93 21 9B 00 2B 0A DC 02 DB 14 9B 00 2B 06 D2 6F F0 00 03 04 93 6F F0 00 03 05 93 F7 E0 2E A8 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 11 D1 2E A8 ?? ?? ?? ?? 15 90 15 9B 08 33 1B 68 0E 93 0E 98 0E 9B D9 17 0A 9A 0B 9B 12 1A 8B 41 04 92 05 93 DC E0 07 9B 9A 11 04 23 02 FB 03 F2 6F 4B 99 18 07 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 29 33 93 F9 00 30 8D F8 08 30 2E A8 ?? ?? ?? ?? 16 90 2E A8 ?? ?? ?? ?? 17 90 16 9A 17 9B 1B 1D 12 68 1B 68 D3 1A 0F 93 0F 9A 0F 9B DB 17 08 92 09 93 03 21 2E A8 ?? ?? ?? ?? 8D F8 19 00 9D F8 19 30 00 2B 55 D0 9D F9 08 30 01 2B 21 D1 07 9B 9A 11 04 23 02 FB 03 F2 54 4B 99 18 07 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 1B 78 C3 F3 40 03 DB B2 00 2B 0B D0 0A 9A 0B 9B 2E 98 ?? ?? ?? ?? 23 91 22 90 22 9A 23 9B 04 92 05 93 84 E0 07 9B 9A 11 04 23 02 FB 03 F2 43 4B 99 18 07 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 80 0F 1A D0 2E A8 ?? ?? ?? ?? 18 90 2E A8 ?? ?? ?? ?? 19 90 9D F9 08 20 18 9B 19 68 19 9B 1B 1D 18 68 ?? ?? ?? ?? 25 91 24 90 08 98 09 99 24 9A 25 9B 12 18 4B 41 08 92 09 93 16 E0 04 21 2E A8 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 0C D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 6F F0 00 03 04 93 6F F0 00 03 05 93 3D E0 0A 9B 26 93 0B 9B 27 93 27 9A 26 9B 13 43 00 2B 04 D1 08 9A 09 9B 04 92 05 93 2F E0 01 21 2E A8 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 0F D0 08 9B 00 93 09 9B 01 93 0A 9A 0B 9B 2E 98 ?? ?? ?? ?? 29 91 28 90 28 9A 29 9B 04 92 05 93 15 E0 9D F9 08 30 01 2B 09 D1 02 20 00 21 08 9A 09 9B ?? ?? ?? ?? 2B 93 2A 92 08 90 09 91 0A 98 0B 99 08 9A 09 9B 12 18 4B 41 04 92 05 93 04 98 05 99 2C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_440_7_0 {
	meta:
		name = "??$count_newlines_of_type@D@@YA_JQBD0@Z"
		size = 152
		refs = "0012 __rt_udiv 002a _CrtDbgReportW 008c ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0094 ??_C@_1GM@EDHJGDLB@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?9?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?$CJ?$AA?5?$AA?$CF?$AA?5?$AAs@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0D 9A 0C 9B D1 1A 01 20 ?? ?? ?? ?? 00 29 0E D0 1E 4B 01 93 1C 4B 00 93 00 23 23 22 19 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 0C 9B 04 93 0D 9B 05 93 00 23 06 93 00 23 07 93 04 9B 02 93 02 E0 02 9B 5B 1C 02 93 02 9A 05 9B 9A 42 0C D0 02 9B 93 F9 00 30 0A 2B 06 D1 06 9A 07 99 00 23 52 1C 4B 41 06 92 07 93 EB E7 06 9A 07 9B 08 92 09 93 08 98 09 99 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_440_8_0 {
	meta:
		name = "??$count_newlines_of_type@_W@@YA_JQBD0@Z"
		size = 152
		refs = "0012 __rt_udiv 002a _CrtDbgReportW 008c ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0094 ??_C@_1GM@EDHJGDLB@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?9?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?$CJ?$AA?5?$AA?$CF?$AA?5?$AAs@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0D 9A 0C 9B D1 1A 02 20 ?? ?? ?? ?? 00 29 0E D0 1E 4B 01 93 1C 4B 00 93 00 23 23 22 19 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 0C 9B 04 93 0D 9B 05 93 00 23 06 93 00 23 07 93 04 9B 02 93 02 E0 02 9B 9B 1C 02 93 02 9A 05 9B 9A 42 0B D0 02 9B 1B 88 0A 2B 06 D1 06 9A 07 99 00 23 52 1C 4B 41 06 92 07 93 EC E7 06 9A 07 9B 08 92 09 93 08 98 09 99 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_440_12_0 {
	meta:
		name = "?buffer_character_size@@YAIW4__crt_lowio_text_mode@@@Z"
		size = 56
		refs = "000e ?buffer_contains_wide_characters@@YA_NW4__crt_lowio_text_mode@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 9D F9 18 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D0 02 23 01 93 01 E0 01 23 01 93 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_440_13_0 {
	meta:
		name = "?buffer_contains_wide_characters@@YA_NW4__crt_lowio_text_mode@@@Z"
		size = 58
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 9D F9 10 30 01 2B 06 D0 9D F9 10 30 02 2B 02 D0 00 23 00 93 01 E0 01 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_440_14_0 {
	meta:
		name = "?common_ftell_read_mode_nolock@@YA_JV__crt_stdio_stream@@_J1@Z"
		size = 788
		refs = "000e ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0016 _fileno 006c ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0102 __rt_sdiv64 0144 _lseeki64 0198 ?count_newline_bytes@@YA_JQBD0W4__crt_lowio_text_mode@@@Z 01b2 ?ctrl_z@__crt_stdio_stream@@QBA_NXZ 01c6 ?buffer_character_size@@YAIW4__crt_lowio_text_mode@@@Z 0230 ?has_crt_buffer@__crt_stdio_stream@@QBA_NXZ 0242 ?has_setvbuf_buffer@__crt_stdio_stream@@QBA_NXZ 0310 __pioinfo"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B B6 B0 3A A8 ?? ?? ?? ?? 1C 90 1C 98 ?? ?? ?? ?? 1D 90 1D 9B 06 93 06 9B 9A 11 04 23 02 FB 03 F2 B9 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 29 33 93 F9 00 30 8D F8 08 30 9D F9 08 30 01 2B 04 D1 02 23 10 93 00 23 11 93 03 E0 01 23 10 93 00 23 11 93 10 9B 08 93 11 9B 09 93 3A A8 ?? ?? ?? ?? 1E 90 1E 9B 08 33 1B 68 00 2B 04 D1 3C 9A 3D 9B 0A 92 0B 93 3D E1 3A A8 ?? ?? ?? ?? 1F 90 3A A8 ?? ?? ?? ?? 12 90 3A A8 ?? ?? ?? ?? 13 90 1F 9B 08 33 1B 68 0C 93 0C 98 0C 9B D9 17 12 9A 13 9B 1B 1D 12 68 1B 68 D3 1A 0D 93 0D 9A 0D 9B DB 17 12 18 4B 41 04 92 05 93 06 9B 9A 11 04 23 02 FB 03 F2 8F 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 80 0F 24 D1 08 98 09 99 04 9A 05 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 2F 93 2E 92 3C 9A 3D 9B 15 1A 63 EB 01 04 08 98 09 99 3E 9A 3F 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 31 93 30 92 2A 18 44 EB 01 03 0A 92 0B 93 E3 E0 02 23 00 93 00 22 00 23 06 98 ?? ?? ?? ?? 21 91 20 90 20 9B 22 93 21 9B 23 93 3C 9B 24 93 3D 9B 25 93 23 9B 14 93 25 9B 15 93 22 9A 24 9B 9A 42 38 D1 14 9A 15 9B 9A 42 34 D1 3A A8 ?? ?? ?? ?? 16 90 3A A8 ?? ?? ?? ?? 17 90 9D F9 08 20 16 9B 1B 1D 04 99 1B 68 19 44 17 9B 1B 1D 18 68 ?? ?? ?? ?? 27 91 26 90 04 98 05 99 26 9A 27 9B 12 18 4B 41 04 92 05 93 3A A8 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 00 2B 0C D0 9D F9 08 00 ?? ?? ?? ?? 18 90 18 98 04 9A 05 99 00 23 12 18 4B 41 04 92 05 93 6D E0 00 23 00 93 3C 9A 3D 9B 06 98 ?? ?? ?? ?? 29 91 28 90 28 9B 2A 93 29 9B 2B 93 2B 9A 2A 9B 13 40 B3 F1 FF 3F 06 D1 6F F0 00 03 0A 93 6F F0 00 03 0B 93 77 E0 04 9B 2C 93 05 9B 2D 93 2C 9B 19 93 2D 9B 00 2B 1C DC 03 DB 19 9B B3 F5 00 7F 17 D8 3A A8 ?? ?? ?? ?? 8D F8 1D 00 9D F8 1D 30 00 2B 0E D0 3A A8 ?? ?? ?? ?? 8D F8 1E 00 9D F8 1E 30 00 2B 05 D1 4F F4 00 73 04 93 00 23 05 93 0C E0 3A A8 ?? ?? ?? ?? 1A 90 1A 9B 18 33 1B 68 0E 93 0E 9A 0E 9B DB 17 04 92 05 93 06 9B 9A 11 04 23 02 FB 03 F2 23 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 04 0F 0C D0 9D F9 08 00 ?? ?? ?? ?? 1B 90 1B 98 04 9A 05 99 00 23 12 18 4B 41 04 92 05 93 08 98 09 99 04 9A 05 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 33 93 32 92 3C 9A 3D 9B 15 1A 63 EB 01 04 08 98 09 99 3E 9A 3F 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 35 93 34 92 2A 18 44 EB 01 03 0A 92 0B 93 0A 98 0B 99 36 B0 BD E8 30 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_440_15_0 {
	meta:
		name = "?common_ftell_translated_utf8_nolock@@YA_JV__crt_stdio_stream@@_J@Z"
		size = 712
		refs = "000a __security_push_cookie 0012 __chkstk 001e ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0026 _fileno 0034 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0086 __rt_sdiv64 00c2 _lseeki64 02ae __security_pop_cookie 02bc _lookuptrailbytes 02c0 __imp_ReadFile 02c4 __pioinfo"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? 40 F2 33 44 ?? ?? ?? ?? AD EB 04 0D 0D F5 87 50 ?? ?? ?? ?? 1D 90 1D 98 ?? ?? ?? ?? 1E 90 1E 9B 03 93 0D F5 87 50 ?? ?? ?? ?? 1F 90 1F 9B 08 33 1B 68 00 2B 0A D1 41 F2 E8 02 5D F8 02 20 41 F2 EC 03 5D F8 03 30 04 92 05 93 24 E1 0D F5 87 50 ?? ?? ?? ?? 20 90 0D F5 87 50 ?? ?? ?? ?? 14 90 20 9A 14 9B 1B 1D 12 68 1B 68 D3 1A 08 93 08 9A 08 9B DB 17 02 20 00 21 ?? ?? ?? ?? 31 93 30 92 10 90 11 91 00 23 00 93 03 9B 9A 11 04 23 02 FB 03 F2 88 4B 99 18 03 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 20 33 09 93 09 9B 1A 68 09 9B 5B 68 03 98 ?? ?? ?? ?? 23 91 22 90 22 9B 12 93 23 9B 13 93 03 9B 9A 11 04 23 02 FB 03 F2 79 4B 99 18 03 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 20 02 12 9B 24 93 13 9B 25 93 0A 92 25 9B 15 93 0A 9B 5B 68 16 93 24 9A 0A 9B 1B 68 9A 42 03 D1 15 9A 16 9B 9A 42 06 D0 6F F0 00 03 04 93 6F F0 00 03 05 93 BD E0 00 23 00 93 0B AB 4F F4 80 52 32 A9 03 98 84 11 04 20 04 FB 00 F4 61 48 05 19 03 98 00 F0 3F 04 30 20 04 FB 00 F4 28 68 20 44 18 30 00 68 5A 4C 24 68 A0 47 17 90 17 9B 00 2B 06 D1 6F F0 00 03 04 93 6F F0 00 03 05 93 98 E0 00 23 00 93 41 F2 E8 02 5D F8 02 20 41 F2 EC 03 5D F8 03 30 03 98 ?? ?? ?? ?? 27 91 26 90 26 9B 28 93 27 9B 29 93 28 9B 18 93 29 9B 00 2B 0A DC 02 DB 18 9B 00 2B 06 D2 6F F0 00 03 04 93 6F F0 00 03 05 93 75 E0 0B 9A 10 9B 2A 93 11 9B 2B 93 2A 9B 19 93 1A 92 2B 9B 00 2B 0B DB 03 DC 19 9A 1A 9B 9A 42 06 D9 6F F0 00 03 04 93 6F F0 00 03 05 93 5E E0 32 AB 0D 93 32 AA 0B 9B 13 44 0C 93 0D 9B 02 93 00 23 06 93 00 23 07 93 09 E0 06 9A 07 99 00 23 52 1C 4B 41 06 92 07 93 02 9B 5B 1C 02 93 06 9B 2C 93 07 9B 2D 93 10 9B 2E 93 11 9B 2F 93 2D 9B 1B 93 2F 9B 1C 93 2C 9A 2E 9B 9A 42 03 D1 1B 9A 1C 9B 9A 42 26 D0 02 9A 0C 9B 9A 42 22 D2 02 9B 93 F9 00 30 0D 2B 0E D1 0C 9B 5A 1E 02 9B 93 42 08 D2 02 9B 5B 1C 93 F9 00 30 0A 2B 02 D1 02 9B 5B 1C 02 93 0D E0 02 9B 93 F9 00 30 DA B2 01 23 02 FB 03 F2 10 4B 13 44 93 F9 00 20 02 9B 13 44 02 93 BA E7 02 9A 0D 9B D3 1A 0E 93 0E 98 0E 9B D9 17 12 9A 13 9B 12 18 4B 41 04 92 05 93 04 98 05 99 41 F2 CC 0C E5 44 ?? ?? ?? ?? BD E8 30 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_440_16_0 {
	meta:
		name = "?count_newline_bytes@@YA_JQBD0W4__crt_lowio_text_mode@@@Z"
		size = 104
		refs = "000e ?buffer_contains_wide_characters@@YA_NW4__crt_lowio_text_mode@@@Z 0022 ??$count_newlines_of_type@_W@@YA_JQBD0@Z 004a ??$count_newlines_of_type@D@@YA_JQBD0@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 9D F9 30 00 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 13 D0 0B 99 0A 98 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 01 92 58 00 01 9B D9 0F 01 9B 5A 00 40 EA 01 03 02 92 03 93 0A E0 09 E0 0B 99 0A 98 ?? ?? ?? ?? 07 91 06 90 06 9A 07 9B 02 92 03 93 02 98 03 99 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_440_17_0 {
	meta:
		name = "?ctrl_z@__crt_stdio_stream@@QBA_NXZ"
		size = 44
		refs = "000e ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 20 21 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_440_23_0 {
	meta:
		name = "?has_setvbuf_buffer@__crt_stdio_stream@@QBA_NXZ"
		size = 46
		refs = "0010 ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 4F F4 80 71 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_440_26_0 {
	meta:
		name = "_ftell_nolock"
		size = 50
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001c ??$common_ftell_nolock@J@@YAJV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 18 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_442_22_0 {
	meta:
		name = "__acrt_stdio_refill_and_read_narrow_nolock"
		size = 50
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001c ??$common_refill_and_read_nolock@D@@YAHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 18 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_442_23_0 {
	meta:
		name = "__acrt_stdio_refill_and_read_wide_nolock"
		size = 50
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001c ??$common_refill_and_read_nolock@_W@@YAHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 18 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_440_29_0 {
	meta:
		name = "ftell"
		size = 50
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001c ??$common_ftell@J@@YAJV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 18 68 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_440_27_0 {
	meta:
		name = "_ftelli64"
		size = 58
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001c ??$common_ftell@_J@@YA_JV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 99 02 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 18 68 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_440_28_0 {
	meta:
		name = "_ftelli64_nolock"
		size = 58
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 001c ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 99 02 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 18 68 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_442_1_0 {
	meta:
		name = "??$common_refill_and_read_nolock@D@@YAHV__crt_stdio_stream@@@Z"
		size = 728
		refs = "000c ?valid@__crt_stdio_stream@@QBA_NXZ 0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 007a ?is_in_use@__crt_stdio_stream@@QBA_NXZ 008c ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 00a8 ?has_all_of@__crt_stdio_stream@@QBA_NJ@Z 00bc ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 00d2 ?has_any_buffer@__crt_stdio_stream@@QBA_NXZ 00e4 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 00ec __acrt_stdio_allocate_buffer_nolock 00f4 ?get_context_nolock@@YAHV__crt_stdio_stream@@D@Z 0100 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0132 _fileno 0146 _read 0162 ?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@D@Z 01b4 ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z 0266 ?has_crt_buffer@__crt_stdio_stream@@QBA_NXZ 02a6 ?read_character_nolock@@YAEV__crt_stdio_stream@@HD@Z 02c0 __badioinfo 02c4 __pioinfo 02c8 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 02cc ??_C@_1DM@MPDNIFLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAr?$AAe?$AAf?$AAi?$AAl?$AAl?$AA_?$AAa?$AAn?$AAd?$AA_?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 02d0 ??_C@_1GC@MGNADOPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 02d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 A4 B0 26 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 A5 4B 01 93 A7 4B 00 93 00 23 7E 22 A4 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 7E 23 9A 4A 98 49 97 48 ?? ?? ?? ?? 6F F0 00 03 05 93 1D E1 26 A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 08 D0 26 A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 03 D0 6F F0 00 03 05 93 07 E1 02 21 26 A8 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 07 D0 10 21 26 A8 ?? ?? ?? ?? 6F F0 00 03 05 93 F5 E0 01 21 26 A8 ?? ?? ?? ?? 26 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 06 D1 26 A8 ?? ?? ?? ?? 0C 90 0C 98 ?? ?? ?? ?? 00 21 26 98 ?? ?? ?? ?? 0D 90 0D 9B 22 93 26 A8 ?? ?? ?? ?? 0E 90 26 A8 ?? ?? ?? ?? 0F 90 0E 9B 1B 1D 0F 9A 1B 68 13 60 26 A8 ?? ?? ?? ?? 11 90 26 A8 ?? ?? ?? ?? 12 90 26 A8 ?? ?? ?? ?? 10 90 10 98 ?? ?? ?? ?? 13 90 11 9B 18 33 1A 68 12 9B 1B 1D 19 68 13 98 ?? ?? ?? ?? 15 90 26 A8 ?? ?? ?? ?? 14 90 14 9B 03 F1 08 02 15 9B 13 60 00 21 26 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 1E D1 26 A8 ?? ?? ?? ?? 16 90 16 9B 08 33 1B 68 00 2B 02 D0 10 23 08 93 01 E0 08 23 08 93 08 99 26 A8 ?? ?? ?? ?? 26 A8 ?? ?? ?? ?? 17 90 17 9B 03 F1 08 02 00 23 13 60 6F F0 00 03 05 93 81 E0 06 21 26 A8 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 45 D1 26 A8 ?? ?? ?? ?? 18 90 18 98 ?? ?? ?? ?? 19 90 19 9B B3 F1 FF 3F 2C D0 26 A8 ?? ?? ?? ?? 1A 90 1A 98 ?? ?? ?? ?? 1B 90 1B 9B 13 F1 02 0F 20 D0 26 A8 ?? ?? ?? ?? 1C 90 1C 98 ?? ?? ?? ?? 1E 90 26 A8 ?? ?? ?? ?? 1D 90 1D 98 ?? ?? ?? ?? 1F 90 1E 9B 9A 11 04 23 02 FB 03 F2 29 4B 99 18 1F 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 09 93 01 E0 22 4B 09 93 09 9B 28 33 1B 78 03 F0 82 03 82 2B 03 D1 20 21 26 A8 ?? ?? ?? ?? 26 A8 ?? ?? ?? ?? 20 90 20 9B 18 33 1B 68 B3 F5 00 7F 1D D1 26 A8 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 14 D0 4F F4 80 71 26 A8 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 09 D1 26 A8 ?? ?? ?? ?? 21 90 21 9B 03 F1 18 02 4F F4 80 53 13 60 00 22 22 99 26 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 05 93 05 98 24 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_442_2_0 {
	meta:
		name = "??$common_refill_and_read_nolock@_W@@YAHV__crt_stdio_stream@@@Z"
		size = 748
		refs = "000c ?valid@__crt_stdio_stream@@QBA_NXZ 0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 007a ?is_in_use@__crt_stdio_stream@@QBA_NXZ 008c ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 00a8 ?has_all_of@__crt_stdio_stream@@QBA_NJ@Z 00bc ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 00d2 ?has_any_buffer@__crt_stdio_stream@@QBA_NXZ 00e4 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 00ec __acrt_stdio_allocate_buffer_nolock 00f4 ?get_context_nolock@@YA?AUfilwbuf_context@?A0x763516dc@@V__crt_stdio_stream@@_W@Z 0100 memcpy 0112 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0144 _fileno 0158 _read 0174 ?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@_W@Z 01c6 ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z 0278 ?has_crt_buffer@__crt_stdio_stream@@QBA_NXZ 02ba ?read_character_nolock@@YA_WV__crt_stdio_stream@@Ufilwbuf_context@?A0x763516dc@@_W@Z 02d4 __badioinfo 02d8 __pioinfo 02dc ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 02e0 ??_C@_1DM@MPDNIFLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAr?$AAe?$AAf?$AAi?$AAl?$AAl?$AA_?$AAa?$AAn?$AAd?$AA_?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 02e4 ??_C@_1GC@MGNADOPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 02e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 A4 B0 26 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 AA 4B 01 93 AC 4B 00 93 00 23 7E 22 A9 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 7E 23 9F 4A 9D 49 9C 48 ?? ?? ?? ?? 4F F6 FF 73 05 93 27 E1 26 A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 08 D0 26 A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 03 D0 4F F6 FF 73 05 93 11 E1 02 21 26 A8 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 07 D0 10 21 26 A8 ?? ?? ?? ?? 4F F6 FF 73 05 93 FF E0 01 21 26 A8 ?? ?? ?? ?? 26 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 06 D1 26 A8 ?? ?? ?? ?? 0E 90 0E 98 ?? ?? ?? ?? 00 21 26 98 ?? ?? ?? ?? 0F 90 06 A8 0F A9 02 22 ?? ?? ?? ?? 0D F1 1A 00 06 A9 02 22 ?? ?? ?? ?? 26 A8 ?? ?? ?? ?? 10 90 26 A8 ?? ?? ?? ?? 11 90 10 9B 1B 1D 11 9A 1B 68 13 60 26 A8 ?? ?? ?? ?? 13 90 26 A8 ?? ?? ?? ?? 14 90 26 A8 ?? ?? ?? ?? 12 90 12 98 ?? ?? ?? ?? 15 90 13 9B 18 33 1A 68 14 9B 1B 1D 19 68 15 98 ?? ?? ?? ?? 17 90 26 A8 ?? ?? ?? ?? 16 90 16 9B 03 F1 08 02 17 9B 13 60 00 21 26 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 1E D1 26 A8 ?? ?? ?? ?? 18 90 18 9B 08 33 1B 68 00 2B 02 D0 10 23 0A 93 01 E0 08 23 0A 93 0A 99 26 A8 ?? ?? ?? ?? 26 A8 ?? ?? ?? ?? 19 90 19 9B 03 F1 08 02 00 23 13 60 4F F6 FF 73 05 93 82 E0 06 21 26 A8 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 45 D1 26 A8 ?? ?? ?? ?? 1A 90 1A 98 ?? ?? ?? ?? 1B 90 1B 9B B3 F1 FF 3F 2C D0 26 A8 ?? ?? ?? ?? 1C 90 1C 98 ?? ?? ?? ?? 1D 90 1D 9B 13 F1 02 0F 20 D0 26 A8 ?? ?? ?? ?? 1E 90 1E 98 ?? ?? ?? ?? 20 90 26 A8 ?? ?? ?? ?? 1F 90 1F 98 ?? ?? ?? ?? 21 90 20 9B 9A 11 04 23 02 FB 03 F2 29 4B 99 18 21 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 0B 93 01 E0 22 4B 0B 93 0B 9B 28 33 1B 78 03 F0 82 03 82 2B 03 D1 20 21 26 A8 ?? ?? ?? ?? 26 A8 ?? ?? ?? ?? 22 90 22 9B 18 33 1B 68 B3 F5 00 7F 1D D1 26 A8 ?? ?? ?? ?? 8D F8 0F 00 9D F8 0F 30 00 2B 14 D0 4F F4 80 71 26 A8 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 09 D1 26 A8 ?? ?? ?? ?? 23 90 23 9B 03 F1 18 02 4F F4 80 53 13 60 00 22 BD F8 1A 10 26 98 ?? ?? ?? ?? AD F8 1C 00 BD F8 1C 30 05 93 05 98 24 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_442_6_0 {
	meta:
		name = "?get_context_nolock@@YA?AUfilwbuf_context@?A0x763516dc@@V__crt_stdio_stream@@_W@Z"
		size = 86
		refs = "000c ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 A8 ?? ?? ?? ?? 01 90 01 9B 08 33 1B 68 01 2B 0E D1 01 23 8D F8 00 30 06 A8 ?? ?? ?? ?? 02 90 02 9B 1B 68 93 F9 00 30 DB B2 8D F8 01 30 05 E0 00 23 8D F8 00 30 00 23 8D F8 01 30 00 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_442_7_0 {
	meta:
		name = "?get_context_nolock@@YAHV__crt_stdio_stream@@D@Z"
		size = 26
		altNames = "no_op_initialize"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_442_13_0 {
	meta:
		name = "?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@D@Z"
		size = 80
		refs = "000c ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 A8 ?? ?? ?? ?? 01 90 01 9B 08 33 1B 68 00 2B 0C D0 06 A8 ?? ?? ?? ?? 02 90 02 9B 08 33 1B 68 B3 F1 FF 3F 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 0C 30 9D F8 0C 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_442_14_0 {
	meta:
		name = "?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@_W@Z"
		size = 98
		refs = "000c ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 A8 ?? ?? ?? ?? 01 90 01 9B 08 33 1B 68 00 2B 15 D0 08 A8 ?? ?? ?? ?? 02 90 02 9B 08 33 1B 68 01 2B 0C D0 08 A8 ?? ?? ?? ?? 03 90 03 9B 08 33 1B 68 B3 F1 FF 3F 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 10 30 9D F8 10 00 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_442_18_0 {
	meta:
		name = "?read_character_nolock@@YAEV__crt_stdio_stream@@HD@Z"
		size = 92
		refs = "000c ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 08 A8 ?? ?? ?? ?? 03 90 03 9B 08 33 02 93 02 9B 1B 68 5A 1E 02 9B 1A 60 08 A8 ?? ?? ?? ?? 04 90 04 9B 01 93 01 9B 1B 68 93 F9 00 30 DB B2 8D F8 00 30 01 9B 1B 68 5A 1C 01 9B 1A 60 9D F8 00 30 8D F8 14 30 9D F8 14 00 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_442_19_0 {
	meta:
		name = "?read_character_nolock@@YA_WV__crt_stdio_stream@@Ufilwbuf_context@?A0x763516dc@@_W@Z"
		size = 206
		refs = "0014 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 9D F8 44 30 00 2B 30 D0 10 A8 ?? ?? ?? ?? 07 90 07 9B 1B 68 93 F9 00 30 DB B2 8D F8 00 30 9D F8 00 30 1A 02 9D F8 45 30 13 43 9B B2 AD F8 02 30 10 A8 ?? ?? ?? ?? 08 90 08 9B 08 33 02 93 02 9B 1B 68 5A 1E 02 9B 1A 60 10 A8 ?? ?? ?? ?? 09 90 09 9B 03 93 03 9B 1B 68 5A 1C 03 9B 1A 60 BD F8 02 30 AD F8 18 30 26 E0 25 E0 10 A8 ?? ?? ?? ?? 0A 90 0A 9B 1B 68 1B 88 9B B2 9B B2 AD F8 04 30 10 A8 ?? ?? ?? ?? 0B 90 0B 9B 08 33 04 93 04 9B 1B 68 9A 1E 04 9B 1A 60 10 A8 ?? ?? ?? ?? 0C 90 0C 9B 05 93 05 9B 1B 68 9A 1C 05 9B 1A 60 BD F8 04 30 AD F8 18 30 BD F8 18 00 0E B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_443_0_0 {
	meta:
		name = "_copysignf"
		size = 96
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 CD ED 02 0A 8D ED 00 0A 9D ED 00 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 01 93 9D ED 02 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 03 93 01 9A 03 9B 53 40 13 F0 00 4F 06 D0 01 9B 83 F0 00 43 00 EE 10 3A 8D ED 00 0A 9D ED 00 0A 8D ED 04 0A 9D ED 04 0A 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_444_9_0 {
	meta:
		name = "__acrt_GetStringTypeA"
		size = 408
		refs = "0010 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0022 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 006e ??1_LocaleUpdate@@QAA@XZ 0080 _MallocaComputeSize 00a2 _malloc_dbg 00ae _MarkAllocaS 00c2 ??0?$__crt_scoped_stack_ptr_tag@_W@@QAA@QA_W@Z 00d2 ??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 00d8 ?get@?$__crt_scoped_stack_ptr@_W@@QBAPA_WXZ 00ea ??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ 010e memset 018c __imp_GetStringTypeW 0190 __imp_MultiByteToWideChar 0194 ??_C@_0DJ@HCPJODDK@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B A1 B0 24 99 1C A8 ?? ?? ?? ?? 29 9B 00 2B 02 D0 29 9B 05 93 08 E0 1C A8 ?? ?? ?? ?? 0A 90 0A 9B 1B 68 08 33 1B 68 05 93 05 9B 08 93 2A 9B 00 2B 02 D0 09 23 06 93 01 E0 01 23 06 93 00 23 01 93 00 23 00 93 27 9B 26 9A 06 99 08 98 4E 4C 24 68 A0 47 0B 90 0B 9B 03 93 03 9B 00 2B 07 D1 00 23 0C 93 1C A8 ?? ?? ?? ?? 0C 9B 04 93 82 E0 03 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 16 D0 03 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 0E 90 51 23 3D 4A 02 21 0E 98 ?? ?? ?? ?? 0F 90 4D F6 DD 51 0F 98 ?? ?? ?? ?? 10 90 10 9B 07 93 01 E0 00 23 07 93 07 99 20 A8 ?? ?? ?? ?? 11 90 11 9B 12 93 12 9B 19 68 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 13 90 13 9B 00 2B 0A D1 00 23 14 93 02 A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 14 9B 04 93 41 E0 02 A8 ?? ?? ?? ?? 15 90 03 9A 02 23 02 FB 03 F2 00 21 15 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 16 90 03 9B 01 93 16 9B 00 93 27 9B 26 9A 01 21 08 98 19 4C 24 68 A0 47 17 90 17 9B 09 93 09 9B 00 2B 0A D1 00 23 18 93 02 A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 18 9B 04 93 15 E0 02 A8 ?? ?? ?? ?? 19 90 28 9B 09 9A 19 99 25 98 0A 4C 24 68 A0 47 1A 90 1A 9B 1B 93 02 A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 1B 9B 04 93 04 98 21 B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_445_4_0 {
	meta:
		name = "_strncoll"
		size = 400
		refs = "000a __acrt_locale_changed 0046 _CrtDbgReportW 005a _errno 0072 _invalid_parameter 014c strncmp 0162 _strncoll_l 0178 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 017c ??_C@_1BE@IGINOLNE@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0180 ??_C@_1GG@HJODBLMM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0184 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0188 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 018c ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 40 F0 9F 80 14 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 55 4B 01 93 52 4B 00 93 00 23 58 22 4F 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 58 23 44 4A 43 49 46 48 ?? ?? ?? ?? 6F F0 00 43 03 93 76 E0 15 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 3B 4B 01 93 39 4B 00 93 00 23 59 22 36 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 59 23 2C 4A 2A 49 2D 48 ?? ?? ?? ?? 6F F0 00 43 03 93 45 E0 16 9A 6F F0 00 43 9A 42 02 D8 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 5A 22 1D 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 5A 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 43 03 93 12 E0 16 9A 15 99 14 98 ?? ?? ?? ?? 10 90 10 9B 03 93 09 E0 08 E0 00 23 16 9A 15 99 14 98 ?? ?? ?? ?? 11 90 11 9B 03 93 03 98 12 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_445_5_0 {
	meta:
		name = "_strncoll_l"
		size = 540
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 0144 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 014a ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0164 strncmp 0170 ??1_LocaleUpdate@@QAA@XZ 01ba __acrt_CompareStringA 0204 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0208 ??_C@_1BI@KFPCDAF@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 020c ??_C@_1GG@HJODBLMM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0210 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0214 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0218 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A0 B0 24 9B 00 2B 02 D1 00 23 04 93 F0 E0 22 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 79 4B 01 93 76 4B 00 93 00 23 33 22 73 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 33 23 69 4A 67 49 6B 48 ?? ?? ?? ?? 6F F0 00 43 04 93 BF E0 23 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 60 4B 01 93 5E 4B 00 93 00 23 34 22 5B 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 34 23 50 4A 4F 49 51 48 ?? ?? ?? ?? 6F F0 00 43 04 93 8E E0 24 9A 6F F0 00 43 9A 42 02 D8 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 42 4B 01 93 44 4B 00 93 00 23 35 22 41 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 35 23 37 4A 35 49 34 48 ?? ?? ?? ?? 6F F0 00 43 04 93 5B E0 25 99 1C A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 12 90 12 9B 1B 68 A0 33 1B 1D 1B 68 00 2B 0D D1 24 9A 23 99 22 98 ?? ?? ?? ?? 13 90 13 9B 14 93 1C A8 ?? ?? ?? ?? 14 9B 04 93 3E E0 1C A8 ?? ?? ?? ?? 15 90 1C A8 ?? ?? ?? ?? 16 90 1C A8 ?? ?? ?? ?? 17 90 15 9B 1B 68 10 33 1B 68 03 93 24 9B 02 93 23 9B 01 93 24 9B 00 93 22 9B 4F F4 80 52 16 99 09 68 A0 31 09 1D 09 68 17 98 ?? ?? ?? ?? 18 90 18 9B 0B 93 0B 9B 00 2B 0E D1 ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 6F F0 00 43 1A 93 1C A8 ?? ?? ?? ?? 1A 9B 04 93 07 E0 0B 9B 9B 1E 1B 93 1C A8 ?? ?? ?? ?? 1B 9B 04 93 04 98 20 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_446_0_0 {
	meta:
		name = "fmodf"
		size = 62
		refs = "0020 fmod"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 CD ED 00 0A 8D ED 01 0A 9D ED 00 0A B7 EE C0 1A 9D ED 01 0A B7 EE C0 0A ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B B7 EE C0 0B 8D ED 02 0A 9D ED 02 0A 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_447_0_0 {
	meta:
		name = "_get_printf_count_output"
		size = 56
		refs = "0030 ?enable_percent_n@@3IA 0034 __security_cookie"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 0A 4B 1B 68 43 F0 01 02 07 4B 1B 68 93 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_447_1_0 {
	meta:
		name = "_set_printf_count_output"
		size = 92
		refs = "0054 ?enable_percent_n@@3IA 0058 __security_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 13 4B 1B 68 43 F0 01 02 10 4B 1B 68 93 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 9B 02 93 06 9B 00 2B 05 D0 0A 4B 1B 68 43 F0 01 03 01 93 01 E0 00 23 01 93 01 9A 04 4B 1A 60 02 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_448_0_0 {
	meta:
		name = "clog10f"
		size = 96
		refs = "0018 clogf 0030 _FCmulcr"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 CD ED 01 0A 8D ED 00 0A 9D ED 00 0A DD ED 01 0A ?? ?? ?? ?? CD ED 03 0A 8D ED 02 0A 9F ED 0D 1A 9D ED 02 0A DD ED 03 0A ?? ?? ?? ?? CD ED 05 0A 8D ED 04 0A 9D ED 04 0A 8D ED 06 0A 9D ED 05 0A 8D ED 07 0A 9D ED 06 0A DD ED 07 0A 08 B0 BD E8 00 88 FE DE D9 5B DE 3E }
	condition:
		$1
}

rule file_450_1_0 {
	meta:
		name = "??$translate_text_mode_nolock@D@@YAHHQADI@Z"
		size = 736
		refs = "0276 ?store_lookahead@@YAXHD@Z 02a8 _lseeki64_nolock 02d8 __pioinfo 02dc __imp_ReadFile"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 9A 11 04 23 02 FB 03 F2 B0 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 06 93 10 9B 00 2B 2B D0 0F 9B 93 F9 00 30 0A 2B 26 D1 0E 9B 9A 11 04 23 02 FB 03 F2 A3 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 43 F0 04 00 0E 9B 9A 11 04 23 02 FB 03 F2 99 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 25 E0 0E 9B 9A 11 04 23 02 FB 03 F2 8F 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 04 00 0E 9B 9A 11 04 23 02 FB 03 F2 86 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 0F 9A 10 9B 13 44 05 93 0F 9B 04 93 0F 9B 03 93 04 9A 05 9B 9A 42 80 F0 E7 80 04 9B 93 F9 00 30 1A 2B 46 D1 0E 9B 9A 11 04 23 02 FB 03 F2 73 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 40 0F 26 D1 0E 9B 9A 11 04 23 02 FB 03 F2 69 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 43 F0 02 00 0E 9B 9A 11 04 23 02 FB 03 F2 60 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 0A E0 04 9B 93 F9 00 20 03 9B 1A 70 03 9B 5B 1C 03 93 04 9B 5B 1C 04 93 9A E0 04 9B 93 F9 00 30 0D 2B 0B D0 04 9B 93 F9 00 20 03 9B 1A 70 03 9B 5B 1C 03 93 04 9B 5B 1C 04 93 9D E7 04 9B 5A 1C 05 9B 9A 42 1B D2 04 9B 5B 1C 93 F9 00 30 0A 2B 09 D1 04 9B 9B 1C 04 93 03 9A 0A 23 13 70 03 9B 5B 1C 03 93 0A E0 04 9B 93 F9 00 20 03 9B 1A 70 03 9B 5B 1C 03 93 04 9B 5B 1C 04 93 7C E7 04 9B 5B 1C 04 93 00 23 00 93 08 AB 01 22 02 A9 06 98 36 4C 24 68 A0 47 07 90 07 9B 00 2B 02 D0 08 9B 00 2B 06 D1 03 9A 0D 23 13 70 03 9B 5B 1C 03 93 62 E7 0E 9B 9A 11 04 23 02 FB 03 F2 2A 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 03 F0 48 03 00 2B 16 D0 9D F9 08 30 0A 2B 06 D1 03 9A 0A 23 13 70 03 9B 5B 1C 03 93 0A E0 03 9A 0D 23 13 70 03 9B 5B 1C 03 93 9D F9 08 10 0E 98 ?? ?? ?? ?? 21 E0 9D F9 08 30 0A 2B 0A D1 03 9A 0F 9B 9A 42 06 D1 03 9A 0A 23 13 70 03 9B 5B 1C 03 93 12 E0 01 23 00 93 6F F0 00 02 6F F0 00 03 0E 98 ?? ?? ?? ?? 9D F9 08 30 0A 2B 05 D0 03 9A 0D 23 13 70 03 9B 5B 1C 03 93 13 E7 03 9A 0F 9B D3 1A 09 93 09 98 0B B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_450_2_0 {
	meta:
		name = "??$translate_text_mode_nolock@_W@@YAHHQA_WI@Z"
		size = 736
		refs = "026e ?store_lookahead@@YAXH_W@Z 02a0 _lseeki64_nolock 02d8 __pioinfo 02dc __imp_ReadFile"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 8B B0 0E 9B 9A 11 04 23 02 FB 03 F2 B0 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 06 93 10 9B 00 2B 2A D0 0F 9B 1B 88 0A 2B 26 D1 0E 9B 9A 11 04 23 02 FB 03 F2 A3 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 43 F0 04 00 0E 9B 9A 11 04 23 02 FB 03 F2 9A 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 25 E0 0E 9B 9A 11 04 23 02 FB 03 F2 90 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 04 00 0E 9B 9A 11 04 23 02 FB 03 F2 86 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 10 9A 02 23 02 FB 03 F2 0F 9B 13 44 05 93 0F 9B 04 93 0F 9B 03 93 04 9A 05 9B 9A 42 80 F0 E1 80 04 9B 1B 88 1A 2B 45 D1 0E 9B 9A 11 04 23 02 FB 03 F2 73 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 40 0F 26 D1 0E 9B 9A 11 04 23 02 FB 03 F2 69 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 43 F0 02 00 0E 9B 9A 11 04 23 02 FB 03 F2 5F 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 09 E0 04 9B 1A 88 03 9B 1A 80 03 9B 9B 1C 03 93 04 9B 9B 1C 04 93 96 E0 04 9B 1B 88 0D 2B 0A D0 04 9B 1A 88 03 9B 1A 80 03 9B 9B 1C 03 93 04 9B 9B 1C 04 93 A1 E7 04 9B 9A 1C 05 9B 9A 42 19 D2 04 9B 9B 1C 1B 88 0A 2B 09 D1 04 9B 1B 1D 04 93 03 9A 0A 23 13 80 03 9B 9B 1C 03 93 09 E0 04 9B 1A 88 03 9B 1A 80 03 9B 9B 1C 03 93 04 9B 9B 1C 04 93 82 E7 04 9B 9B 1C 04 93 00 23 00 93 08 AB 02 22 02 A9 06 98 38 4C 24 68 A0 47 07 90 07 9B 00 2B 02 D0 08 9B 00 2B 06 D1 03 9A 0D 23 13 80 03 9B 9B 1C 03 93 68 E7 0E 9B 9A 11 04 23 02 FB 03 F2 2C 4B 99 18 0E 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 03 F0 48 03 00 2B 16 D0 BD F8 08 30 0A 2B 06 D1 03 9A 0A 23 13 80 03 9B 9B 1C 03 93 0A E0 03 9A 0D 23 13 80 03 9B 9B 1C 03 93 BD F8 08 10 0E 98 ?? ?? ?? ?? 21 E0 BD F8 08 30 0A 2B 0A D1 03 9A 0F 9B 9A 42 06 D1 03 9A 0A 23 13 80 03 9B 9B 1C 03 93 12 E0 01 23 00 93 6F F0 01 02 6F F0 00 03 0E 98 ?? ?? ?? ?? BD F8 08 30 0A 2B 05 D0 03 9A 0D 23 13 80 03 9B 9B 1C 03 93 19 E7 03 9A 0F 9B D3 1A 5A 10 02 23 02 FB 03 F3 09 93 09 98 0B B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_450_8_0 {
	meta:
		name = "?store_lookahead@@YAXHD@Z"
		size = 60
		refs = "0038 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 9A 11 04 23 02 FB 03 F2 09 4B 99 18 02 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 2A 02 9D F9 0C 30 13 70 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_450_9_0 {
	meta:
		name = "?store_lookahead@@YAXH_W@Z"
		size = 152
		refs = "0094 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 AB 00 93 00 98 04 9B 9A 11 04 23 02 FB 03 F2 1E 4B 99 18 04 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 2A 02 90 F9 00 30 13 70 00 9B 58 1C 04 9B 9A 11 04 23 02 FB 03 F2 13 4B 99 18 04 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 5A 1C 90 F9 00 30 13 70 04 9B 9A 11 04 23 02 FB 03 F2 09 4B 99 18 04 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 9A 1C 0A 23 13 70 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_450_10_0 {
	meta:
		name = "?translate_ansi_or_utf8_nolock@@YAHHQADIQA_WI@Z"
		size = 732
		refs = "0012 ??$translate_text_mode_nolock@D@@YAHHQADI@Z 006a _CrtDbgReportW 00f4 _errno 01fe _lseeki64_nolock 0234 __acrt_errno_map_os_error 02c0 __pioinfo 02c4 __imp_GetLastError 02c8 __imp_MultiByteToWideChar 02cc _lookuptrailbytes 02d0 ??_C@_1FM@PHKGHLIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 02d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02d8 ??_C@_1KG@LJECICMN@?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAv?$AAo?$AAi?$AAd?$AA?5?$AAc?$AAo?$AAn?$AAs?$AAt?$AA?$CK?$AA?$DO?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 8F B0 14 9A 13 99 12 98 ?? ?? ?? ?? 0A 90 0A 9B 06 93 06 9B 00 2B 02 D1 00 23 05 93 44 E1 12 9B 9A 11 04 23 02 FB 03 F2 A3 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 29 33 93 F9 00 30 00 2B 16 D1 13 9A 15 9B 9A 42 0F D0 9F 4B 01 93 9D 4B 00 93 00 23 4F F4 81 72 9A 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 05 93 19 E1 13 9A 06 9B 13 44 5B 1E 03 93 03 9B 93 F9 00 30 13 F0 80 0F 03 D1 03 9B 5B 1C 03 93 B2 E0 01 23 04 93 03 9B 93 F9 00 30 DA B2 01 23 02 FB 03 F2 87 4B 13 44 93 F9 00 30 00 2B 0D D1 04 9B 04 2B 0A D8 03 9A 13 9B 9A 42 06 D3 03 9B 5B 1E 03 93 04 9B 5B 1C 04 93 E4 E7 03 9B 93 F9 00 30 DA B2 01 23 02 FB 03 F2 79 4B 13 44 93 F9 00 30 08 93 08 9B 00 2B 09 D1 ?? ?? ?? ?? 0C 90 0C 9A 2A 23 13 60 6F F0 00 03 05 93 D4 E0 08 9B 5A 1C 04 9B 9A 42 04 D1 03 9A 04 9B 13 44 03 93 72 E0 12 9B 9A 11 04 23 02 FB 03 F2 66 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 03 F0 48 03 00 2B 52 D0 12 9B 9A 11 04 23 02 FB 03 F2 5B 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 2A 02 03 9B 93 F9 00 30 13 70 03 9B 5B 1C 03 93 04 9B 02 2B 17 D3 12 9B 9A 11 04 23 02 FB 03 F2 4E 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 5A 1C 03 9B 93 F9 00 30 13 70 03 9B 5B 1C 03 93 04 9B 03 2B 17 D1 12 9B 9A 11 04 23 02 FB 03 F2 40 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 9A 1C 03 9B 93 F9 00 30 13 70 03 9B 5B 1C 03 93 03 9A 04 9B D3 1A 03 93 0A E0 01 23 00 93 04 9B 5B 42 09 93 09 9A 09 9B DB 17 12 98 ?? ?? ?? ?? 16 9B 01 93 15 9B 00 93 03 9A 13 9B D3 1A 13 9A 00 21 4F F6 E9 50 2B 4C 24 68 A0 47 0D 90 0D 9B 07 93 07 9B 00 2B 0A D1 26 4B 1B 68 98 47 0E 90 0E 98 ?? ?? ?? ?? 6F F0 00 03 05 93 38 E0 03 9A 13 9B D2 1A 07 9B 93 42 03 D0 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 12 9B 9A 11 04 23 02 FB 03 F2 16 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 9D F8 08 20 1B 78 62 F3 41 03 D8 B2 12 9B 9A 11 04 23 02 FB 03 F2 0B 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 18 70 07 9A 02 23 02 FB 03 F3 05 93 05 98 0F B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_450_11_0 {
	meta:
		name = "?translate_utf16_from_console_nolock@@YAHHQA_WI@Z"
		size = 228
		refs = "00e0 __pioinfo"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9A 02 23 02 FB 03 F2 07 9B 13 44 02 93 07 9B 00 93 07 9B 01 93 00 9A 02 9B 9A 42 4D D2 00 9B 1B 88 1A 2B 26 D1 06 9B 9A 11 04 23 02 FB 03 F2 29 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 43 F0 02 00 06 9B 9A 11 04 23 02 FB 03 F2 1F 4B 99 18 06 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 28 02 C3 B2 13 70 22 E0 00 9B 1B 88 0D 2B 13 D1 00 9B 9A 1C 02 9B 9A 42 0E D2 00 9B 9B 1C 1B 88 0A 2B 09 D1 00 9B 1B 1D 00 93 01 9A 0A 23 13 80 01 9B 9B 1C 01 93 B8 E7 00 9B 1A 88 01 9B 1A 80 01 9B 9B 1C 01 93 00 9B 9B 1C 00 93 AD E7 01 9A 07 9B D3 1A 5A 10 02 23 02 FB 03 F3 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_450_12_0 {
	meta:
		name = "_read"
		size = 632
		refs = "0018 __doserrno 0024 _errno 006e _CrtDbgReportW 00a8 _invalid_parameter 01c0 __acrt_lowio_lock_fh 0232 _read_nolock 023e __acrt_lowio_unlock_fh 0254 ??_C@_1FM@PHKGHLIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0258 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 025c ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0260 __pioinfo 0264 ??_C@_1CO@OPEPDLLF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0268 ??_C@_1M@NHJOLLDM@?$AA_?$AAr?$AAe?$AAa?$AAd?$AA?$AA@ 026c ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0270 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0274 _nhandle"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 97 B0 6F 46 82 B0 BB 6E 13 F1 02 0F 0F D1 ?? ?? ?? ?? 38 62 3A 6A 00 23 13 60 ?? ?? ?? ?? 78 62 7A 6A 09 23 13 60 6F F0 00 03 3B 60 06 E1 BB 6E 00 2B 07 DB BA 6E 8C 4B 1B 68 9A 42 02 D2 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0F D1 84 4B 01 93 7D 4B 00 93 00 23 40 F2 79 12 7A 49 02 20 ?? ?? ?? ?? B8 62 BB 6A 01 2B 00 D1 FE DE BB 68 00 2B 18 D1 ?? ?? ?? ?? F8 62 FA 6A 00 23 13 60 ?? ?? ?? ?? 38 63 3A 6B 09 23 13 60 00 23 00 93 40 F2 79 13 6C 4A 70 49 72 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 C8 E0 BB 6E 9A 11 04 23 02 FB 03 F2 68 4B 99 18 BB 6E 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0F D1 5E 4B 01 93 58 4B 00 93 00 23 4F F4 BD 72 55 49 02 20 ?? ?? ?? ?? 78 63 7B 6B 01 2B 00 D1 FE DE 3B 69 00 2B 18 D1 ?? ?? ?? ?? B8 63 BA 6B 00 23 13 60 ?? ?? ?? ?? F8 63 FA 6B 09 23 13 60 00 23 00 93 4F F4 BD 73 47 4A 4B 49 4C 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 7E E0 3A 6F 6F F0 00 43 9A 42 02 D8 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0F D1 3F 4B 01 93 3B 4B 00 93 00 23 40 F2 7B 12 37 49 02 20 ?? ?? ?? ?? 38 64 3B 6C 01 2B 00 D1 FE DE BB 69 00 2B 18 D1 ?? ?? ?? ?? 78 64 7A 6C 00 23 13 60 ?? ?? ?? ?? B8 64 BA 6C 16 23 13 60 00 23 00 93 40 F2 7B 13 29 4A 2E 49 2C 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 43 E0 B8 6E ?? ?? ?? ?? 6F F0 00 03 FB 61 BB 6E 9A 11 04 23 02 FB 03 F2 22 4B 99 18 BB 6E 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 1C D1 ?? ?? ?? ?? F8 64 FA 6C 09 23 13 60 ?? ?? ?? ?? 38 65 3A 6D 00 23 13 60 14 4B 01 93 12 4B 00 93 00 23 40 F2 85 12 0E 49 02 20 ?? ?? ?? ?? 78 65 7B 6D 01 2B 00 D1 FE DE 07 E0 3A 6F F9 6E B8 6E ?? ?? ?? ?? B8 65 BB 6D FB 61 B8 6E ?? ?? ?? ?? FB 69 3B 60 38 68 19 B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_450_14_0 {
	meta:
		name = "_read_nolock"
		size = 2412
		refs = "0014 __doserrno 0020 _errno 0074 _CrtDbgReportW 00b4 _invalid_parameter 02ee ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 030c __rt_udiv 038c ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 03c2 _malloc_dbg 03da ??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAAAV0@$$QAV0@@Z 03e6 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ 042a _lseeki64_nolock 0706 _isatty 07a0 __acrt_errno_map_os_error 08b0 ?translate_ansi_or_utf8_nolock@@YAHHQADIQA_WI@Z 08de ?translate_utf16_from_console_nolock@@YAHHQA_WI@Z 0904 ??$translate_text_mode_nolock@_W@@YAHHQA_WI@Z 092c __pioinfo 0930 __imp_GetLastError 0934 __imp_ReadFile 0938 __imp_ReadConsoleW 093c __imp_GetConsoleMode 0940 ??_C@_1DM@HGBOAKPP@?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CF?$AA?5?$AA2?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0944 ??_C@_1BK@JJBHNDKJ@?$AA_?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0948 ??_C@_1FM@PHKGHLIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 094c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0950 ??_C@_0CO@JFNFJHLC@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0954 ??_C@_1DI@CDGOMPDO@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CF?$AA?5?$AA2?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0958 ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 095c ??_C@_1DM@JEAHBMKI@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0960 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0964 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0968 _nhandle"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B D2 B0 56 9B 13 F1 02 0F 10 D1 ?? ?? ?? ?? 1C 90 1C 9A 00 23 13 60 ?? ?? ?? ?? 1D 90 1D 9A 09 23 13 60 6F F0 00 03 03 93 00 F0 75 BC 56 9B 00 2B 08 DB 56 9A DF F8 28 39 1B 68 9A 42 02 D2 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 12 D1 DF F8 04 39 01 93 DF F8 E8 38 00 93 00 23 40 F2 9B 12 DF F8 D8 18 02 20 ?? ?? ?? ?? 1E 90 1E 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 1C D1 ?? ?? ?? ?? 1F 90 1F 9A 00 23 13 60 ?? ?? ?? ?? 20 90 20 9A 09 23 13 60 00 23 00 93 40 F2 9B 13 DF F8 9C 28 DF F8 94 18 DF F8 B0 08 ?? ?? ?? ?? 6F F0 00 03 03 93 00 F0 2F BC 56 9B 9A 11 04 23 02 FB 03 F2 DF F8 5C 38 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 12 D1 DF F8 5C 38 01 93 DF F8 44 38 00 93 00 23 4F F4 CE 72 DF F8 34 18 02 20 ?? ?? ?? ?? 21 90 21 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 1B D1 ?? ?? ?? ?? 22 90 22 9A 00 23 13 60 ?? ?? ?? ?? 23 90 23 9A 09 23 13 60 00 23 00 93 4F F4 CE 73 DF F8 F8 27 DF F8 F0 17 DF F8 08 08 ?? ?? ?? ?? 6F F0 00 03 03 93 DD E3 58 9A 6F F0 00 43 9A 42 02 D8 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 12 D1 DF F8 D8 37 01 93 DF F8 C0 37 00 93 00 23 40 F2 9D 12 DF F8 B0 17 02 20 ?? ?? ?? ?? 24 90 24 9B 01 2B 00 D1 FE DE 10 9B 00 2B 1B D1 ?? ?? ?? ?? 25 90 25 9A 00 23 13 60 ?? ?? ?? ?? 26 90 26 9A 16 23 13 60 00 23 00 93 40 F2 9D 13 DF F8 78 27 DF F8 70 17 DF F8 84 07 ?? ?? ?? ?? 6F F0 00 03 03 93 9C E3 58 9B 00 2B 14 D0 56 9B 9A 11 04 23 02 FB 03 F2 DF F8 34 37 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 02 0F 02 D0 00 23 03 93 81 E3 57 9B 00 2B 02 D0 01 23 11 93 01 E0 00 23 11 93 11 9B 12 93 12 9B 00 2B 12 D1 DF F8 20 37 01 93 DF F8 0C 37 00 93 00 23 40 F2 A3 12 DF F8 FC 16 02 20 ?? ?? ?? ?? 27 90 27 9B 01 2B 00 D1 FE DE 12 9B 00 2B 1B D1 ?? ?? ?? ?? 28 90 28 9A 00 23 13 60 ?? ?? ?? ?? 29 90 29 9A 16 23 13 60 00 23 00 93 40 F2 A3 13 DF F8 C4 26 DF F8 BC 16 DF F8 CC 06 ?? ?? ?? ?? 6F F0 00 03 03 93 42 E3 56 9B 9A 11 04 23 02 FB 03 F2 DF F8 84 36 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 18 33 1B 68 0A 93 56 9B 9A 11 04 23 02 FB 03 F2 DF F8 60 36 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 29 33 93 F9 00 30 8D F8 08 30 00 21 07 A8 ?? ?? ?? ?? 9D F9 08 30 13 93 13 9B 01 2B 04 D0 13 9B 02 2B 00 F0 AF 80 F9 E0 58 99 02 20 ?? ?? ?? ?? 00 29 02 D1 01 23 14 93 01 E0 00 23 14 93 14 9B 15 93 15 9B 00 2B 12 D1 DF F8 28 36 01 93 DF F8 1C 36 00 93 00 23 40 F2 C3 12 DF F8 0C 16 02 20 ?? ?? ?? ?? 2A 90 2A 9B 01 2B 00 D1 FE DE 15 9B 00 2B 20 D1 ?? ?? ?? ?? 2B 90 2B 9A 00 23 13 60 ?? ?? ?? ?? 2C 90 2C 9A 16 23 13 60 00 23 00 93 40 F2 C3 13 DF F8 D0 25 DF F8 C8 15 DF F8 D4 05 ?? ?? ?? ?? 6F F0 00 03 2D 93 07 A8 ?? ?? ?? ?? 2D 9B 03 93 C4 E2 58 99 02 20 ?? ?? ?? ?? 04 28 02 D2 04 23 16 93 04 E0 58 99 02 20 ?? ?? ?? ?? 16 90 16 9B 05 93 40 F2 C9 13 DF F8 94 25 02 21 05 98 ?? ?? ?? ?? 2E 90 2E 99 31 A8 ?? ?? ?? ?? 2F 90 2F 9B 30 93 30 99 07 A8 ?? ?? ?? ?? 31 A8 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 32 90 32 9B 04 93 04 9B 00 2B 14 D1 ?? ?? ?? ?? 33 90 33 9A 0C 23 13 60 ?? ?? ?? ?? 34 90 34 9A 08 23 13 60 6F F0 00 03 35 93 07 A8 ?? ?? ?? ?? 35 9B 03 93 7F E2 01 23 00 93 00 22 00 23 56 98 ?? ?? ?? ?? 4F 91 4E 90 56 9B 9A 11 04 23 02 FB 03 F2 DF F8 EC 34 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 20 33 17 93 4E 9A 17 9B 1A 60 4F 9A 17 9B 5A 60 4F E0 58 99 02 20 ?? ?? ?? ?? 00 29 02 D1 01 23 18 93 01 E0 00 23 18 93 18 9B 19 93 19 9B 00 2B 12 D1 DF F8 B8 34 01 93 DF F8 C0 34 00 93 00 23 40 F2 D7 12 DF F8 B0 14 02 20 ?? ?? ?? ?? 36 90 36 9B 01 2B 00 D1 FE DE 19 9B 00 2B 20 D1 ?? ?? ?? ?? 37 90 37 9A 00 23 13 60 ?? ?? ?? ?? 38 90 38 9A 16 23 13 60 00 23 00 93 40 F2 D7 13 DF F8 74 24 DF F8 6C 14 DF F8 64 04 ?? ?? ?? ?? 6F F0 00 03 39 93 07 A8 ?? ?? ?? ?? 39 9B 03 93 16 E2 58 9B 05 93 57 9B 04 93 03 E0 58 9B 05 93 57 9B 04 93 04 9B 1B 93 00 23 06 93 56 9B 9A 11 04 23 02 FB 03 F2 DF F8 14 34 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 03 F0 48 03 00 2B 00 F0 E5 80 56 9B 9A 11 04 23 02 FB 03 F2 F9 4B 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 93 F9 00 30 0A 2B 00 F0 D0 80 05 9B 00 2B 00 F0 CC 80 56 9B 9A 11 04 23 02 FB 03 F2 ED 4B 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 93 F9 00 20 04 9B 1A 70 04 9B 5B 1C 04 93 06 9B 5B 1C 06 93 05 9B 5B 1E 05 93 56 9B 9A 11 04 23 02 FB 03 F2 DE 4B 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 2A 02 0A 23 13 70 9D F9 08 30 00 2B 00 F0 97 80 56 9B 9A 11 04 23 02 FB 03 F2 D2 4B 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 5B 1C 93 F9 00 30 0A 2B 00 F0 81 80 05 9B 00 2B 7D D0 56 9B 9A 11 04 23 02 FB 03 F2 C6 4B 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 5B 1C 93 F9 00 20 04 9B 1A 70 04 9B 5B 1C 04 93 06 9B 5B 1C 06 93 05 9B 5B 1E 05 93 56 9B 9A 11 04 23 02 FB 03 F2 B7 4B 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 5A 1C 0A 23 13 70 9D F9 08 30 01 2B 48 D1 56 9B 9A 11 04 23 02 FB 03 F2 AB 4B 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 9B 1C 93 F9 00 30 0A 2B 33 D0 05 9B 00 2B 30 D0 56 9B 9A 11 04 23 02 FB 03 F2 9F 4B 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 9B 1C 93 F9 00 20 04 9B 1A 70 04 9B 5B 1C 04 93 06 9B 5B 1C 06 93 05 9B 5B 1E 05 93 56 9B 9A 11 04 23 02 FB 03 F2 90 4B 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2A 33 9A 1C 0A 23 13 70 56 98 ?? ?? ?? ?? 3A 90 3A 9B 00 2B 20 D0 56 9B 9A 11 04 23 02 FB 03 F2 83 4B 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 80 0F 0C D0 50 A9 0A 98 7F 4B 1B 68 98 47 3B 90 3B 9B 00 2B 03 D0 01 23 8D F8 20 30 02 E0 00 23 8D F8 20 30 9D F8 20 30 8D F8 21 30 9D F8 21 30 00 2B 2D D0 9D F9 08 30 02 2B 29 D1 00 23 00 93 3F AD 05 99 02 20 ?? ?? ?? ?? 02 46 04 99 0A 98 6C 4B 1C 68 2B 46 A0 47 3C 90 3C 9B 00 2B 0F D1 66 4B 1B 68 98 47 3D 90 3D 98 ?? ?? ?? ?? 6F F0 00 03 3E 93 07 A8 ?? ?? ?? ?? 3E 9B 03 93 B4 E0 3F 9A 02 23 02 FB 03 F2 06 9B 13 44 06 93 4B E0 00 23 00 93 1A AB 05 9A 04 99 0A 98 58 4C 24 68 A0 47 40 90 40 9B 00 2B 03 D0 1A 9A 58 9B 9A 42 36 D9 51 4B 1B 68 98 47 41 90 41 9B 09 93 09 9B 05 2B 15 D1 ?? ?? ?? ?? 42 90 42 9A 09 23 13 60 ?? ?? ?? ?? 43 90 09 9A 43 9B 1A 60 6F F0 00 03 44 93 07 A8 ?? ?? ?? ?? 44 9B 03 93 7D E0 17 E0 09 9B 6D 2B 08 D1 00 23 45 93 07 A8 ?? ?? ?? ?? 45 9B 03 93 71 E0 0B E0 09 98 ?? ?? ?? ?? 6F F0 00 03 46 93 07 A8 ?? ?? ?? ?? 46 9B 03 93 64 E0 06 9A 1A 9B 13 44 06 93 56 9B 9A 11 04 23 02 FB 03 F2 30 4B 99 18 56 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 80 0F 07 D1 06 9B 47 93 07 A8 ?? ?? ?? ?? 47 9B 03 93 44 E0 9D F9 08 30 02 2B 14 D0 58 99 02 20 ?? ?? ?? ?? 00 90 57 9B 06 9A 04 99 56 98 ?? ?? ?? ?? 48 90 48 9B 49 93 07 A8 ?? ?? ?? ?? 49 9B 03 93 2C E0 28 E0 9D F8 21 30 00 2B 12 D0 06 99 02 20 ?? ?? ?? ?? 02 46 1B 99 56 98 ?? ?? ?? ?? 4A 90 4A 9B 4B 93 07 A8 ?? ?? ?? ?? 4B 9B 03 93 15 E0 11 E0 06 99 02 20 ?? ?? ?? ?? 02 46 1B 99 56 98 ?? ?? ?? ?? 4C 90 4C 9B 4D 93 07 A8 ?? ?? ?? ?? 4D 9B 03 93 02 E0 07 A8 ?? ?? ?? ?? 03 98 52 B0 BD E8 30 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_451_0_0 {
	meta:
		name = "fgetpos"
		size = 296
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00d0 _ftelli64 0114 ??_C@_1CI@HCABHFJ@?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0118 ??_C@_1BA@PDKPGILH@?$AAf?$AAg?$AAe?$AAt?$AAp?$AAo?$AAs?$AA?$AA@ 011c ??_C@_1GC@KIBACKPA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0120 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0124 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 3F 4B 01 93 3D 4B 00 93 00 23 12 22 3A 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 12 23 30 4A 2E 49 31 48 ?? ?? ?? ?? 6F F0 00 03 02 93 4D E0 13 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 23 4B 01 93 25 4B 00 93 00 23 13 22 22 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 13 23 17 4A 16 49 14 48 ?? ?? ?? ?? 6F F0 00 03 02 93 1C E0 12 98 ?? ?? ?? ?? 0D 91 0C 90 0C 9A 13 9B 1A 60 0D 9A 13 9B 5A 60 13 9B 1B 68 0E 93 13 9B 5B 68 0F 93 0F 9A 0E 9B 13 40 B3 F1 FF 3F 03 D1 6F F0 00 03 02 93 01 E0 00 23 02 93 02 98 10 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_452_0_0 {
	meta:
		name = "_mbstok"
		size = 34
		refs = "000c __acrt_getptd 001a _mbstok_s_l"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 ?? ?? ?? ?? 00 F1 20 02 28 46 00 23 21 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_452_1_0 {
	meta:
		name = "_mbstok_l"
		size = 36
		refs = "000e __acrt_getptd 001c _mbstok_s_l"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 14 46 0D 46 06 46 ?? ?? ?? ?? 00 F1 20 02 30 46 23 46 29 46 ?? ?? ?? ?? BD E8 78 88 }
	condition:
		$1
}

rule file_454_0_0 {
	meta:
		name = "remquof"
		size = 640
		refs = "0014 _fdtest 008c _fperrraise 0114 _fdunscale 0172 _fdscale 027c _FNan_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 CD ED 04 0A 8D ED 00 0A 68 46 ?? ?? ?? ?? AD F8 24 00 BD F9 24 30 AD F8 14 30 04 A8 ?? ?? ?? ?? AD F8 26 00 BD F9 26 30 AD F8 16 30 12 9B 00 2B 02 D0 12 9A 00 23 13 60 BD F9 14 30 00 2B 03 DA BD F9 16 30 00 2B 2B DB BD F9 14 30 02 2B 05 D1 9D ED 00 0A 8D ED 08 0A 04 E1 20 E0 BD F9 16 30 02 2B 05 D1 9D ED 04 0A 8D ED 08 0A FA E0 16 E0 BD F9 14 30 01 2B 03 D0 BD F9 16 30 00 2B 09 D1 01 20 ?? ?? ?? ?? 7A 4B 93 ED 00 0A 8D ED 08 0A E8 E0 04 E0 9D ED 00 0A 8D ED 08 0A E2 E0 E1 E0 9D ED 04 0A B5 EE C0 0A F1 EE 10 FA 09 D2 9D ED 04 0A B1 EE 40 0A 8D ED 04 0A 01 23 AD F8 08 30 02 E0 00 23 AD F8 08 30 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 10 D2 9D ED 00 0A B1 EE 40 0A 8D ED 00 0A 01 23 AD F8 1C 30 BD F9 08 20 01 23 9B 1A 1B B2 AD F8 08 30 02 E0 00 23 AD F8 1C 30 9D ED 04 0A 8D ED 01 0A 01 A9 0B A8 ?? ?? ?? ?? 00 23 03 93 00 23 06 93 9D ED 00 0A 8D ED 01 0A 03 9B 00 2B 13 DB 01 A9 0D F1 2A 00 ?? ?? ?? ?? AD F8 28 00 BD F9 28 30 00 2B 08 D0 BD F9 2A 20 BD F9 2C 30 D3 1A 03 93 03 9B 00 2B 00 DA 2C E0 02 E0 03 9B 5B 1E 03 93 03 9B 00 2B 24 DB 9D ED 04 0A 8D ED 01 0A 03 99 01 A8 ?? ?? ?? ?? DD ED 01 0A 9D ED 00 0A F4 EE C0 0A F1 EE 10 FA 12 D8 DD ED 00 0A 9D ED 01 0A 30 EE C0 0A 8D ED 00 0A 03 9B 20 2B 06 D2 03 9A 01 23 03 FA 02 F2 06 9B 13 44 06 93 00 E0 D4 E7 B6 E7 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 2F DD F6 EE 00 0A 9D ED 04 0A 20 EE 80 0A 8D ED 01 0A DD ED 01 0A 9D ED 00 0A F4 EE C0 0A F1 EE 10 FA 06 D2 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 0C DC DD ED 01 0A 9D ED 00 0A F4 EE 40 0A F1 EE 10 FA 0E D1 06 9B 13 F0 01 0F 0A D0 DD ED 00 0A 9D ED 04 0A 30 EE C0 0A 8D ED 00 0A 06 9B 5B 1C 06 93 12 9B 00 2B 10 D0 06 9B 23 F0 00 43 0C 93 BD F9 08 30 00 2B 03 D0 0C 9B 5B 42 0D 93 01 E0 0C 9B 0D 93 0D 9A 12 9B 1A 60 BD F9 1C 30 00 2B 06 D0 9D ED 00 0A B1 EE 40 0A 8D ED 0E 0A 03 E0 9D ED 00 0A 8D ED 0E 0A 9D ED 0E 0A 8D ED 08 0A 9D ED 08 0A 10 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_73_0 {
	meta:
		name = "__acrt_copy_locale_name"
		size = 164
		refs = "001c wcsnlen 0044 _malloc_dbg 0066 wcsncpy_s 007e _invoke_watson_if_error 0094 ??_C@_1GI@HBNMCKGD@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAC?$AAo?$AAp?$AAy?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AA?$CL?$AA1?$AA?0@ 0098 ??_C@_1DA@BBIOOKDN@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAc?$AAo?$AAp?$AAy?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 009c ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00a0 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 00 2B 02 D1 00 23 03 93 36 E0 55 21 0C 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 55 2B 02 D3 00 23 03 93 29 E0 4F F4 82 63 1A 4A 02 21 02 98 44 1C 02 20 04 FB 00 F0 ?? ?? ?? ?? 06 90 06 9B 04 93 04 9B 00 2B 02 D1 00 23 03 93 15 E0 02 9B 5B 1C 0C 9A 02 99 49 1C 04 98 ?? ?? ?? ?? 07 90 00 23 01 93 40 F2 13 43 00 93 09 4B 07 4A 06 49 07 98 ?? ?? ?? ?? 04 9B 03 93 03 98 09 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_74_0 {
	meta:
		name = "__acrt_set_locale_changed"
		size = 40
		refs = "0024 __acrt_locale_changed_data"
	strings:
		$1 = { 2D E9 00 48 EB 46 BF F3 5B 8F 06 48 01 21 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 BF F3 5B 8F BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_75_0 {
	meta:
		name = "__acrt_uninitialize_locale"
		size = 32
		refs = "000e memset 0016 ??$__acrt_lock_and_call@V<lambda_3e16ef9562a7dcce91392c22ab16ea36>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_3e16ef9562a7dcce91392c22ab16ea36>@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 22 00 21 68 46 ?? ?? ?? ?? 69 46 04 20 ?? ?? ?? ?? 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_455_76_0 {
	meta:
		name = "__lc_lctowcs"
		size = 136
		refs = "0010 wcscpy_s 0028 _invoke_watson_if_error 0044 _wcscats 0074 ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 0078 ??_C@_13ENNFDPBH@?$AA_?$AA?$AA@ 007c ??_C@_1GM@FOFMGOEK@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?0?$AA?5?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AAO?$AAf?$AAE?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt@ 0080 ??_C@_1BK@HEBMGPEK@?$AA_?$AA_?$AAl?$AAc?$AA_?$AAl?$AAc?$AAt?$AAo?$AAw?$AAc?$AAs?$AA?$AA@ 0084 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 00 23 01 93 4F F4 7F 73 00 93 18 4B 17 4A 15 49 02 98 ?? ?? ?? ?? 08 9B 80 33 1B 88 00 2B 08 D0 08 9B 80 33 00 93 0E 4B 02 22 07 99 06 98 ?? ?? ?? ?? 08 9B 03 F5 80 73 1B 88 00 2B 09 D0 08 9B 03 F5 80 73 00 93 05 4B 02 22 07 99 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_77_0 {
	meta:
		name = "__lc_wcstolc"
		size = 452
		refs = "0012 memset 0044 wcsncpy_s 005c _invoke_watson_if_error 0084 wcscspn 01a8 ??_C@_1LO@OJICFEP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAd?$AAe?$AAP?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@ 01ac ??_C@_1BK@GNCHCGCN@?$AA_?$AA_?$AAl?$AAc?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAl?$AAc?$AA?$AA@ 01b0 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 01b4 ??_C@_1LK@JOIOCOID@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAu?$AAn?$AAt?$AAr?$AAy?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz@ 01b8 ??_C@_1LO@GGCCDNLJ@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAL?$AAa?$AAn?$AAg?$AAu?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@ 01bc ??_C@_17MBJJLFDM@?$AA_?$AA?4?$AA?0?$AA?$AA@ 01c0 ??_C@_1MI@MGHKCMFH@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAd?$AAe?$AAP?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 4F F4 E5 72 00 21 0E 98 ?? ?? ?? ?? 0F 9B 1B 88 00 2B 02 D1 00 23 05 93 BB E0 0F 9B 1B 88 2E 2B 23 D1 0F 9B 9B 1C 1B 88 00 2B 1E D0 0F 23 0F 9A 92 1C 10 21 0E 98 00 F5 80 70 ?? ?? ?? ?? 06 90 00 23 01 93 40 F2 D1 33 00 93 56 4B 55 4A 59 49 06 98 ?? ?? ?? ?? 0E 9B 03 F5 80 73 03 F1 1E 02 00 23 13 80 00 23 05 93 93 E0 00 23 04 93 02 E0 04 9B 5B 1C 04 93 4E 49 0F 98 ?? ?? ?? ?? 07 90 07 9B 03 93 03 9B 00 2B 03 D1 6F F0 00 03 05 93 7F E0 03 9A 02 23 02 FB 03 F2 0F 9B 13 44 1B 88 AD F8 08 30 04 9B 00 2B 19 D1 03 9B 40 2B 16 D2 BD F8 08 30 2E 2B 12 D0 03 9B 0F 9A 40 21 0E 98 ?? ?? ?? ?? 08 90 00 23 01 93 4F F4 78 73 00 93 35 4B 33 4A 36 49 08 98 ?? ?? ?? ?? 44 E0 04 9B 01 2B 1A D1 03 9B 40 2B 17 D2 BD F8 08 30 5F 2B 13 D0 03 9B 0F 9A 40 21 0E 98 80 30 ?? ?? ?? ?? 09 90 00 23 01 93 40 F2 E3 33 00 93 26 4B 24 4A 26 49 09 98 ?? ?? ?? ?? 26 E0 04 9B 02 2B 1F D1 03 9B 10 2B 1C D2 BD F8 08 30 00 2B 03 D0 BD F8 08 30 2C 2B 14 D1 03 9B 0F 9A 10 21 0E 98 00 F5 80 70 ?? ?? ?? ?? 0A 90 00 23 01 93 40 F2 E6 33 00 93 14 4B 13 4A 11 49 0A 98 ?? ?? ?? ?? 03 E0 6F F0 00 03 05 93 14 E0 BD F8 08 30 2C 2B 00 D1 0D E0 BD F8 08 30 00 2B 00 D1 08 E0 03 9B 5A 1C 02 23 02 FB 03 F2 0F 9B 13 44 0F 93 70 E7 00 23 05 93 05 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_78_0 {
	meta:
		name = "_configthreadlocale"
		size = 260
		refs = "000a __acrt_getptd 00a8 _CrtDbgReportW 00bc _errno 00d4 _invalid_parameter 00f0 ??_C@_1GA@LDEGDKD@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAt@ 00f4 ??_C@_1CI@FGIONOJM@?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 00f8 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 __globallocalestatus"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 ?? ?? ?? ?? 08 90 08 9B 02 93 02 9B 03 F5 54 73 1B 68 13 F0 02 0F 02 D1 02 23 04 93 01 E0 01 23 04 93 04 9B 0B 93 0E 9B 03 93 03 9B 5B 1C 03 93 03 9B 03 2B 20 D8 03 9A DF E8 02 F0 19 18 02 0D 02 9B 03 F5 54 73 1B 68 43 F0 02 02 02 9B 03 F5 54 73 1A 60 3F E0 02 9B 03 F5 54 73 1B 68 23 F0 02 02 02 9B 03 F5 54 73 1A 60 34 E0 33 E0 21 4A 6F F0 00 03 13 60 2E E0 02 E0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 15 4B 01 93 17 4B 00 93 00 23 98 22 14 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 98 23 0A 4A 08 49 07 48 ?? ?? ?? ?? 6F F0 00 03 07 93 01 E0 0B 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_79_0 {
	meta:
		name = "_copytlocinfo_nolock"
		size = 62
		refs = "0022 memcpy 0032 __acrt_add_locale_ref"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 9B 00 2B 13 D0 02 9B 00 2B 10 D0 02 9A 03 9B 9A 42 0C D0 03 99 02 98 B8 22 ?? ?? ?? ?? 02 9B 03 F1 0C 02 00 23 13 60 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_455_80_0 {
	meta:
		name = "_create_locale"
		size = 112
		refs = "000a __security_push_cookie 0052 _wcreate_locale 0060 __security_pop_cookie 006c __imp_MultiByteToWideChar"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? C8 B0 4C 9B 00 2B 05 DB 4C 9B 05 2B 02 DC 4D 9B 00 2B 02 D1 00 23 02 93 19 E0 83 23 01 93 06 AB 00 93 6F F0 00 03 4D 9A 00 21 00 20 0C 4C 24 68 A0 47 03 90 03 9B 00 2B 02 D1 00 23 02 93 06 E0 06 A9 4C 98 ?? ?? ?? ?? 04 90 04 9B 02 93 02 98 48 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_81_0 {
	meta:
		name = "_expandlocale"
		size = 824
		refs = "0008 __security_push_cookie 001c __acrt_getptd 0058 wcsncpy_s 0070 _invoke_watson_if_error 008c wcscpy_s 00bc wcslen 00d0 wcscmp 00f4 __acrt_can_use_vista_locale_apis 0116 __lc_wcstolc 012e __acrt_get_qualified_locale_downlevel 0140 __acrt_get_qualified_locale 0156 __lc_lctowcs 0192 __acrt_IsValidLocaleName 01a6 __acrt_GetLocaleInfoEx 02c4 memcpy 02f4 __security_pop_cookie 0300 ??_C@_1FA@HOOAAHFF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAc?$AAa@ 0304 ??_C@_1BM@OIIBLEFG@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 0308 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 030c ??_C@_1IC@FCCDBGLL@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAa?$AAc?$AAh?$AAe?$AAi?$AAn?$AA?0?$AA?5?$AAc?$AAa?$AAc?$AAh?$AAe?$AAi?$AAn?$AAL?$AAe?$AAn?$AA?0?$AA?5?$AAe@ 0310 ??_C@_1BDK@DHHMOMPJ@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 0314 ??_C@_1BBO@MGLBPLBP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 0318 ??_C@_1KK@KMIFPBBC@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAO?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa@ 031c ??_C@_1IG@MKDIEKFD@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAa?$AAc?$AAh?$AAe?$AAo?$AAu?$AAt?$AA?0?$AA?5?$AAc?$AAa?$AAc?$AAh?$AAe?$AAo?$AAu?$AAt?$AAL?$AAe?$AAn?$AA?0@ 0320 __imp_GetACP 0328 ??_C@_1MO@NNCNEOAP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAO?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa@ 032c ??_C@_1EI@OCINLCHN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAL?$AA?$CC@ 0330 ??_C@_13FHBKNHDA@?$AAC?$AA?$AA@ 0334 ??_C@_1BCM@BOFLACKH@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAO?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 17 7D 9A 9B 00 2B 02 D1 00 23 08 93 68 E1 ?? ?? ?? ?? 0C 90 0C 9B 50 33 04 93 04 9B 18 33 07 93 04 9B 1C 33 0A 93 83 23 22 93 04 9B 03 F5 91 73 05 93 83 23 23 93 00 23 03 93 00 23 06 93 55 23 04 9A 02 F5 14 72 9E 99 9D 98 ?? ?? ?? ?? 0D 90 00 23 01 93 4F F4 58 73 00 93 A7 4B A6 4A B1 49 0D 98 ?? ?? ?? ?? 9A 9B 1B 88 43 2B 1E D1 9A 9B 9B 1C 1B 88 00 2B 19 D1 AA 4A 9C 99 9B 98 ?? ?? ?? ?? 0E 90 00 23 01 93 40 F2 66 33 00 93 9A 4B 99 4A A2 49 0E 98 ?? ?? ?? ?? 9F 9B 00 2B 02 D0 9F 9A 00 23 13 60 9B 9B 08 93 19 E1 9A 98 ?? ?? ?? ?? 0F 90 0F 9B 03 93 03 9B 83 2B 11 D2 9A 99 05 98 ?? ?? ?? ?? 10 90 10 9B 00 2B 00 F0 ED 80 9A 99 0A 98 ?? ?? ?? ?? 11 90 11 9B 00 2B 00 F0 E4 80 00 23 09 93 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D1 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 13 93 9A 99 24 A8 ?? ?? ?? ?? 12 90 12 9B 00 2B 13 D1 13 9B 00 2B 08 D0 24 AA 07 99 24 A8 ?? ?? ?? ?? 14 90 14 9B 09 93 07 E0 24 AA 07 99 24 A8 ?? ?? ?? ?? 15 90 15 9B 09 93 09 9B 00 2B 1F D0 24 AA 83 21 05 98 ?? ?? ?? ?? 9D 9B 00 2B 16 D0 6C A8 ?? ?? ?? ?? 16 90 16 9B 5B 1C 6C AA 9E 99 9D 98 ?? ?? ?? ?? 17 90 00 23 01 93 40 F2 85 33 00 93 61 4B 5F 4A 68 49 17 98 ?? ?? ?? ?? 75 E0 9A 98 ?? ?? ?? ?? 18 90 18 9B 00 2B 52 D0 02 23 06 AA 60 49 9A 98 ?? ?? ?? ?? 19 90 19 9B 00 2B 02 D0 06 9B 00 2B 05 D1 59 4B 1B 68 98 47 1A 90 1A 9B 06 93 06 9B 9A B2 07 9B 1A 60 03 9B 5B 1C 9A 9A 83 21 05 98 ?? ?? ?? ?? 1B 90 00 23 01 93 40 F2 95 33 00 93 48 4B 46 4A 4C 49 1B 98 ?? ?? ?? ?? 03 9B 5B 1C 9A 9A 9E 99 9D 98 ?? ?? ?? ?? 1C 90 00 23 01 93 4F F4 66 73 00 93 3E 4B 3D 4A 41 49 1C 98 ?? ?? ?? ?? 03 9B 5B 1C 9A 9A 55 21 04 98 00 F5 14 70 ?? ?? ?? ?? 1D 90 00 23 01 93 40 F2 9B 33 00 93 34 4B 32 4A 36 49 1D 98 ?? ?? ?? ?? 1B E0 9D 98 ?? ?? ?? ?? 1E 90 1E 9B 5B 1C 9D 9A 55 21 04 98 00 F5 14 70 ?? ?? ?? ?? 1F 90 00 23 01 93 4F F4 68 73 00 93 27 4B 25 4A 28 49 1F 98 ?? ?? ?? ?? 00 23 08 93 38 E0 9A 9B 1B 88 00 2B 16 D0 03 9B 83 2B 13 D2 03 9B 5B 1C 9A 9A 83 21 0A 98 ?? ?? ?? ?? 20 90 00 23 01 93 40 F2 A5 33 00 93 18 4B 17 4A 18 49 20 98 ?? ?? ?? ?? 02 E0 0A 9A 00 23 13 80 9F 9B 00 2B 04 D0 04 22 07 99 9F 98 ?? ?? ?? ?? 05 9A 9C 99 9B 98 ?? ?? ?? ?? 21 90 00 23 01 93 40 F2 AF 33 00 93 0A 4B 08 4A 07 49 21 98 ?? ?? ?? ?? 05 9B 08 93 08 98 0D F5 17 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 10 00 20 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_82_0 {
	meta:
		name = "_free_locale"
		size = 196
		refs = "0016 __acrt_lock 005e _free_dbg 0064 __acrt_unlock 007a __acrt_release_locale_ref 00a0 __acrt_free_locale 00bc __acrt_initial_locale_data 00c0 __acrt_initial_multibyte_data"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 81 B0 6F 46 3B 69 00 2B 4E D0 05 20 ?? ?? ?? ?? 3B 69 1B 1D 1B 68 00 2B 1E D0 BF F3 5B 8F 3B 69 1B 1D 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 3B 60 BF F3 5B 8F 3B 68 00 2B 0B D1 3B 69 1B 1D 1A 68 1B 4B 9A 42 05 D0 02 21 3B 69 1B 1D 18 68 ?? ?? ?? ?? 05 20 ?? ?? ?? ?? 3B 69 1B 68 00 2B 1C D0 04 20 ?? ?? ?? ?? 3B 69 18 68 ?? ?? ?? ?? 3B 69 1B 68 00 2B 0E D0 3B 69 1B 68 0C 33 1B 68 00 2B 08 D1 3B 69 1A 68 09 4B 9A 42 03 D0 3B 69 18 68 ?? ?? ?? ?? 04 20 ?? ?? ?? ?? 02 21 38 69 ?? ?? ?? ?? 01 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_85_0 {
	meta:
		name = "_get_current_locale"
		size = 200
		refs = "0008 __acrt_getptd 0020 _calloc_dbg 002a ??0?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAA@QAU__crt_locale_pointers@@@Z 0030 ??B?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBA_NXZ 0046 ??1?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAA@XZ 0050 __acrt_update_thread_locale_data 0054 __acrt_update_thread_multibyte_data 005a ?get@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBAPAU__crt_locale_pointers@@XZ 0084 ??0<lambda_862e9a3f04921db6ca1ce3faa2bf3edf>@@QAA@AAV?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@@Z 008e ??$__acrt_lock_and_call@V<lambda_862e9a3f04921db6ca1ce3faa2bf3edf>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_862e9a3f04921db6ca1ce3faa2bf3edf>@@@Z 0096 ??0<lambda_ebab98244f73a74f49db879bf13fa982>@@QAA@AAV?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@@Z 00a0 ??$__acrt_lock_and_call@V<lambda_ebab98244f73a74f49db879bf13fa982>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_ebab98244f73a74f49db879bf13fa982>@@@Z 00a6 ?detach@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAAPAU__crt_locale_pointers@@XZ 00c4 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 2D E9 00 48 EB 46 92 B0 ?? ?? ?? ?? 06 90 06 9B 04 93 40 F2 69 13 00 93 2A 4B 02 22 08 21 01 20 ?? ?? ?? ?? 07 90 07 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 07 D1 00 23 08 93 03 A8 ?? ?? ?? ?? 08 9B 05 93 34 E0 ?? ?? ?? ?? ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 09 90 04 9B 4C 33 09 9A 1B 68 13 60 03 A8 ?? ?? ?? ?? 0A 90 04 9B 03 F1 48 01 0A 9B 1A 1D 0B 68 13 60 03 A9 0F A8 ?? ?? ?? ?? 0B 90 0B 99 04 20 ?? ?? ?? ?? 03 A9 10 A8 ?? ?? ?? ?? 0C 90 0C 99 05 20 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0D 90 0D 9B 0E 93 03 A8 ?? ?? ?? ?? 0E 9B 05 93 05 98 12 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_87_0 {
	meta:
		name = "_wcreate_locale"
		size = 524
		refs = "0030 _calloc_dbg 003a ??0?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAA@QAU__crt_locale_pointers@@@Z 0040 ??B?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBA_NXZ 0050 _errno 0062 ??1?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAA@XZ 0084 ??0?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAA@QAU__crt_locale_data@@@Z 008a ??B?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBA_NXZ 00ac ??1?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAA@XZ 00d6 ??0?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAA@QAU__crt_multibyte_data@@@Z 00dc ??B?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBA_NXZ 00fe ??1?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAA@XZ 0116 ?get@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBAPAU__crt_locale_data@@XZ 0120 _copytlocinfo_nolock 0132 _wsetlocale_nolock 0140 ?get@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBAPAU__crt_multibyte_data@@XZ 0156 _setmbcp_nolock 016c __acrt_release_locale_ref 0172 ?detach@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAAPAU__crt_locale_data@@XZ 017a __acrt_free_locale 01b2 ?get@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBAPAU__crt_locale_pointers@@XZ 01c0 ?detach@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAAPAU__crt_multibyte_data@@XZ 01d8 ?detach@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAAPAU__crt_locale_pointers@@XZ 0204 __acrt_initial_locale_data 0208 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 A0 B0 22 9B 00 2B 05 DB 22 9B 05 2B 02 DC 23 9B 00 2B 02 D1 00 23 06 93 EA E0 40 F2 29 13 00 93 77 4B 02 22 08 21 01 20 ?? ?? ?? ?? 07 90 07 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0D D1 ?? ?? ?? ?? 08 90 08 9A 0C 23 13 60 00 23 09 93 03 A8 ?? ?? ?? ?? 09 9B 06 93 C5 E0 4F F4 96 73 00 93 65 4B 02 22 B8 21 01 20 ?? ?? ?? ?? 0A 90 0A 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 10 D1 ?? ?? ?? ?? 0B 90 0B 9A 0C 23 13 60 00 23 0C 93 02 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0C 9B 06 93 9D E0 40 F2 2F 13 00 93 51 4B 02 22 4F F4 08 71 01 20 ?? ?? ?? ?? 0D 90 0D 99 05 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 00 2B 13 D1 ?? ?? ?? ?? 0E 90 0E 9A 0C 23 13 60 00 23 0F 93 05 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0F 9B 06 93 71 E0 02 A8 ?? ?? ?? ?? 10 90 39 49 10 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 11 90 23 9A 22 99 11 98 ?? ?? ?? ?? 12 90 12 9B 00 2B 11 D0 05 A8 ?? ?? ?? ?? 13 90 02 A8 ?? ?? ?? ?? 14 90 13 99 14 9B 08 33 18 68 ?? ?? ?? ?? 15 90 15 9B 00 2B 1B D0 02 A8 ?? ?? ?? ?? 16 90 16 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 17 90 17 98 ?? ?? ?? ?? 00 23 18 93 05 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 18 9B 06 93 2E E0 05 A8 ?? ?? ?? ?? 19 90 19 9A 01 23 13 60 02 A8 ?? ?? ?? ?? 1B 90 03 A8 ?? ?? ?? ?? 1A 90 1A 9A 1B 9B 13 60 05 A8 ?? ?? ?? ?? 1D 90 03 A8 ?? ?? ?? ?? 1C 90 1C 9B 1A 1D 1D 9B 13 60 03 A8 ?? ?? ?? ?? 1E 90 1E 9B 1F 93 05 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 1F 9B 06 93 06 98 20 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_88_0 {
	meta:
		name = "_wcscats"
		size = 124
		refs = "000a ??$__vcrt_va_start_verify_argument_type@H@@YAXXZ 0042 wcscat_s 005a _invoke_watson_if_error 0070 ??_C@_1BJM@HHALANEN@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAs?$AAt?$AAr?$AA?0?$AA?5?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AAO?$AAf?$AAE?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt@ 0074 ??_C@_1BC@LEOKFFML@?$AA_?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AAs?$AA?$AA@ 0078 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 0A AB 1B 1D 02 93 00 23 03 93 02 E0 03 9B 5B 1C 03 93 03 9A 0A 9B 9A 42 1B DA 02 9B 5B 42 03 F0 03 03 1A 1D 02 9B 13 44 02 93 02 9B 1B 1F 1A 68 09 99 08 98 ?? ?? ?? ?? 04 90 00 23 01 93 40 F2 BE 33 00 93 09 4B 07 4A 06 49 04 98 ?? ?? ?? ?? DC E7 00 23 02 93 06 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_89_0 {
	meta:
		name = "_wsetlocale"
		size = 236
		refs = "0044 _CrtDbgReportW 0058 _errno 0072 _invalid_parameter 007c __acrt_getptd 0086 __acrt_eagerly_load_locale_apis 008a __acrt_update_thread_locale_data 00a6 ??0<lambda_8dff2cf36a5417162780cd64fa2883ef>@@QAA@ABQAU__acrt_ptd@@@Z 00bc ??0<lambda_ec6e89223f0b55d129b385f28d5ef06c>@@QAA@AAPAU__crt_locale_data@@ABQAU__acrt_ptd@@AAPA_WAAHAAPB_W@Z 00c6 ??$__crt_call_and_cleanup@V<lambda_ec6e89223f0b55d129b385f28d5ef06c>@@V<lambda_8dff2cf36a5417162780cd64fa2883ef>@@@@YAX$$QAV<lambda_ec6e89223f0b55d129b385f28d5ef06c>@@$$QAV<lambda_8dff2cf36a5417162780cd64fa2883ef>@@@Z 00dc ??_C@_1FG@OHLFEKMC@?$AAL?$AAC?$AA_?$AAM?$AAI?$AAN?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy@ 00e0 ??_C@_1BI@KJNPAEHL@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 00e4 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 00 23 05 93 00 23 0A 93 16 9B 00 2B 05 DB 16 9B 05 2B 02 DC 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 2A 4B 01 93 2C 4B 00 93 00 23 40 F2 B9 12 28 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 40 F2 B9 13 1D 4A 1C 49 1A 48 ?? ?? ?? ?? 00 23 06 93 28 E0 ?? ?? ?? ?? 09 90 09 9B 02 93 ?? ?? ?? ?? ?? ?? ?? ?? 02 9B 03 F5 54 73 1B 68 43 F0 10 02 02 9B 03 F5 54 73 1A 60 02 A9 0D A8 ?? ?? ?? ?? 0B 90 17 AB 01 93 16 AB 00 93 05 AB 02 AA 0A A9 0E A8 ?? ?? ?? ?? 0C 90 0B 99 0C 98 ?? ?? ?? ?? 05 9B 06 93 06 98 14 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_90_0 {
	meta:
		name = "_wsetlocale_get_all"
		size = 824
		refs = "002e _malloc_dbg 0050 __rt_udiv 009c _wcscats 00ac wcscat_s 00c4 _invoke_watson_if_error 00f2 wcscmp 0150 _CrtDbgReportW 0168 _free_dbg 0318 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 031c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0320 ??_C@_1DC@HMLJMODP@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?$DL?$AA?$CC?$AA?$CJ?$AA?$AA@ 0324 ??_C@_1CI@LKOPFFBD@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAg?$AAe?$AAt?$AA_?$AAa?$AAl?$AAl?$AA?$AA@ 0328 ??_C@_13PJJBFPED@?$AA?$DL?$AA?$AA@ 032c __lc_category 0330 ??_C@_13NMPKAAJP@?$AA?$DN?$AA?$AA@ 0334 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 94 B0 01 23 08 93 00 23 03 93 00 23 06 93 00 23 04 93 00 23 05 93 40 F2 A6 63 05 93 40 F2 12 33 C2 4A 02 21 05 98 ?? ?? ?? ?? 09 90 09 9B 04 93 04 9B 00 2B 02 D1 00 23 07 93 62 E1 04 9B 1B 1D 03 93 05 9B 19 1F 02 20 ?? ?? ?? ?? 06 90 03 9A 00 23 13 80 04 9A 01 23 13 60 01 23 02 93 02 E0 02 9B 5B 1C 02 93 16 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 1B 1D 1B 68 01 93 AA 4B 00 93 02 9A 0C 23 02 FB 03 F2 A6 4B 13 44 1B 68 03 22 06 99 03 98 ?? ?? ?? ?? 02 9B 05 2B 2E DA A0 4A 06 99 03 98 ?? ?? ?? ?? 0A 90 00 23 01 93 40 F2 1E 33 00 93 96 4B 99 4A 97 49 0A 98 ?? ?? ?? ?? 16 9B 03 F1 1C 01 02 9B 5A 1C 10 23 02 FB 03 F3 0B 44 1B 1D 19 68 16 9B 03 F1 1C 00 02 9A 10 23 02 FB 03 F3 03 44 1B 1D 18 68 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 01 D0 00 23 08 93 01 E1 08 9B 00 2B 7B D1 16 9B 1C 33 0C 33 1B 68 00 2B 2A D0 BF F3 5B 8F 16 9B 1C 33 0C 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 0C 93 BF F3 5B 8F 0C 9B 00 2B 16 D1 00 23 01 93 76 4B 00 93 00 23 40 F2 27 32 72 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 02 21 16 9B 1C 33 0C 33 18 68 ?? ?? ?? ?? 16 9B 1C 33 08 33 1B 68 00 2B 2A D0 BF F3 5B 8F 16 9B 1C 33 08 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 0E 93 BF F3 5B 8F 0E 9B 00 2B 16 D1 00 23 01 93 5D 4B 00 93 00 23 4F F4 4B 72 5A 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 02 21 16 9B 1C 33 08 33 18 68 ?? ?? ?? ?? 16 9B 1C 33 03 F1 08 02 00 23 13 60 16 9B 03 F1 1C 02 00 23 13 60 16 9B 1C 33 03 F1 0C 02 04 9B 13 60 16 9B 1C 33 1A 1D 03 9B 13 60 03 9B 07 93 84 E0 82 E0 02 21 04 98 ?? ?? ?? ?? 16 9B 1C 33 0C 33 1B 68 00 2B 2A D0 BF F3 5B 8F 16 9B 1C 33 0C 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 10 93 BF F3 5B 8F 10 9B 00 2B 16 D1 00 23 01 93 36 4B 00 93 00 23 40 F2 37 32 32 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 02 21 16 9B 1C 33 0C 33 18 68 ?? ?? ?? ?? 16 9B 1C 33 08 33 1B 68 00 2B 2A D0 BF F3 5B 8F 16 9B 1C 33 08 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 12 93 BF F3 5B 8F 12 9B 00 2B 16 D1 00 23 01 93 1D 4B 00 93 00 23 4F F4 4F 72 1A 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 02 21 16 9B 1C 33 08 33 18 68 ?? ?? ?? ?? 16 9B 1C 33 03 F1 08 02 00 23 13 60 16 9B 03 F1 1C 02 00 23 13 60 16 9B 1C 33 03 F1 0C 02 00 23 13 60 16 9B 1C 33 1A 1D 00 23 13 60 16 9B 1C 33 20 33 1B 1D 1B 68 07 93 00 E0 AE E6 07 98 14 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_91_0 {
	meta:
		name = "_wsetlocale_nolock"
		size = 704
		refs = "0008 __security_push_cookie 0022 _wsetlocale_set_cat 0084 wcspbrk 00d6 wcsncmp 00f0 wcslen 010c wcscspn 0138 wcsncpy_s 0150 _invoke_watson_if_error 0168 __report_rangecheckfailure 01bc _wsetlocale_get_all 01e2 _expandlocale 0220 wcscmp 029c __security_pop_cookie 02a8 ??_C@_1IG@NGDCPCDE@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAc?$AAt?$AAe?$AAm?$AAp?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 02ac ??_C@_1CG@DKJCBBPP@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 02b0 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 02b4 ??_C@_13PJJBFPED@?$AA?$DL?$AA?$AA@ 02b8 __lc_category 02bc ??_C@_15NBPDDFIP@?$AA?$DN?$AA?$DL?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 09 7D 8D 9B 00 2B 19 D0 8E 9B 00 2B 08 D0 8E 9A 8D 99 8C 98 ?? ?? ?? ?? 0E 90 0E 9B 09 93 0A E0 8C 9B 03 F1 1C 01 8D 9A 10 23 02 FB 03 F3 0B 44 1B 1D 1B 68 09 93 09 9B 07 93 23 E1 01 23 0C 93 00 23 06 93 8E 9B 00 2B 00 F0 16 81 8E 9B 1B 88 4C 2B 40 F0 B7 80 8E 9B 9B 1C 1B 88 43 2B 40 F0 B1 80 8E 9B 1B 1D 1B 88 5F 2B 40 F0 AB 80 8E 9B 05 93 8E 49 05 98 ?? ?? ?? ?? 0F 90 0F 9B 03 93 03 9B 00 2B 0B D0 03 9A 05 9B D3 1A 5B 10 04 93 04 9B 00 2B 03 D0 03 9B 1B 88 3B 2B 02 D1 00 23 08 93 F1 E0 01 23 02 93 02 E0 02 9B 5B 1C 02 93 02 9B 05 2B 1E DC 04 9A 05 99 02 98 0C 23 00 FB 03 F0 79 4B 03 44 18 68 ?? ?? ?? ?? 10 90 10 9B 00 2B 0E D1 02 9A 0C 23 02 FB 03 F2 73 4B 13 44 18 68 ?? ?? ?? ?? 11 90 04 9A 11 9B 9A 42 00 D1 00 E0 DA E7 03 9B 9B 1C 03 93 6A 49 03 98 ?? ?? ?? ?? 12 90 12 9B 04 93 04 9B 00 2B 06 D1 03 9B 1B 88 3B 2B 02 D0 00 23 08 93 B5 E0 02 9B 05 2B 2E DC 04 9B 03 9A 83 21 1C A8 ?? ?? ?? ?? 13 90 00 23 01 93 4F F4 0C 73 00 93 59 4B 58 4A 56 49 13 98 ?? ?? ?? ?? 04 9A 02 23 02 FB 03 F3 0A 93 0A 9B B3 F5 83 7F 00 D2 01 E0 ?? ?? ?? ?? 1C AA 0A 9B 1A 44 00 23 13 80 1C AA 02 99 8C 98 ?? ?? ?? ?? 14 90 14 9B 00 2B 02 D0 06 9B 5B 1C 06 93 04 9A 02 23 02 FB 03 F2 03 9B 13 44 05 93 05 9B 1B 88 00 2B 02 D0 05 9B 9B 1C 05 93 05 9B 1B 88 00 2B 7F F4 66 AF 06 9B 00 2B 06 D0 8C 98 ?? ?? ?? ?? 15 90 15 9B 0B 93 01 E0 00 23 0B 93 0B 9B 07 93 58 E0 00 23 01 93 55 23 00 93 5E AB 83 22 1C A9 8E 98 ?? ?? ?? ?? 16 90 16 9B 07 93 07 9B 00 2B 48 D0 00 23 02 93 02 E0 02 9B 5B 1C 02 93 02 9B 05 2B 27 DC 02 9B 00 2B 23 D0 8C 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 1B 1D 19 68 1C A8 ?? ?? ?? ?? 17 90 17 9B 00 2B 0F D0 1C AA 02 99 8C 98 ?? ?? ?? ?? 18 90 18 9B 00 2B 03 D0 06 9B 5B 1C 06 93 01 E0 00 23 0C 93 02 E0 06 9B 5B 1C 06 93 D1 E7 0C 9B 00 2B 06 D0 8C 98 ?? ?? ?? ?? 19 90 19 9B 07 93 0D E0 06 9B 00 2B 06 D0 8C 98 ?? ?? ?? ?? 1A 90 1A 9B 0D 93 01 E0 00 23 0D 93 0D 9B 07 93 05 E0 8C 98 ?? ?? ?? ?? 1B 90 1B 9B 07 93 07 9B 08 93 08 98 0D F5 09 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_92_0 {
	meta:
		name = "_wsetlocale_set_cat"
		size = 1232
		refs = "000a __security_push_cookie 001e __acrt_getptd 0046 _expandlocale 006e wcscmp 0094 wcslen 00b4 _malloc_dbg 0108 wcscpy_s 0120 _invoke_watson_if_error 0164 __acrt_copy_locale_name 01a2 memcpy 025a __acrt_GetStringTypeA 02a4 memcmp 035c _free_dbg 03d8 _CrtDbgReportW 049c __security_pop_cookie 04a8 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 04ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 04b0 __acrt_wide_c_locale_string 04b4 __guard_check_icall_fptr 04b8 __lc_category 04bc _ctype_loc_style 04c0 _first_127char 04c4 ??_C@_1EM@MHOCNIAA@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA_?$AAc?$AAa?$AAt?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AA?0?$AA?5?$AAl?$AAc@ 04c8 ??_C@_1CI@ODOPEMNJ@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAs?$AAe?$AAt?$AA_?$AAc?$AAa?$AAt?$AA?$AA@ 04cc ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 50 7D 00 23 06 93 00 23 0A 93 00 23 09 93 ?? ?? ?? ?? 0F 90 0F 9B 10 93 10 9B 50 33 03 F5 0A 73 04 93 05 23 0B 93 0C AB 01 93 55 23 00 93 A4 AB 83 22 22 A9 D6 98 ?? ?? ?? ?? 11 90 11 9B 00 2B 02 D1 00 23 08 93 1E E2 D4 9B 03 F1 1C 01 D5 9A 10 23 02 FB 03 F3 0B 44 1B 1D 19 68 22 A8 ?? ?? ?? ?? 12 90 12 9B 00 2B 0B D1 D4 9B 03 F1 1C 01 D5 9A 10 23 02 FB 03 F3 0B 44 1B 1D 1B 68 08 93 01 E2 22 A8 ?? ?? ?? ?? 13 90 13 9B 5B 1C 09 93 4F F4 23 73 DF F8 24 24 02 21 09 9C 02 20 04 FB 00 F0 00 1D ?? ?? ?? ?? 14 90 14 9B 06 93 06 9B 00 2B 02 D1 00 23 08 93 E5 E1 06 9B 1B 1D 0A 93 D4 9B 03 F1 1C 01 D5 9A 10 23 02 FB 03 F3 0B 44 1B 1D 1B 68 0E 93 D4 9B 03 F1 A0 01 D5 9A 04 23 02 FB 03 F3 0B 44 1B 68 1A 93 D4 9B 08 33 1B 68 1B 93 22 AA 09 99 0A 98 ?? ?? ?? ?? 15 90 00 23 01 93 40 F2 97 23 00 93 E3 4B EB 4A E9 49 15 98 ?? ?? ?? ?? D4 9B 03 F1 1C 01 D5 9A 10 23 02 FB 03 F3 0B 44 1A 1D 0A 9B 13 60 22 AB 1B 88 43 2B 0F D1 22 AB 9B 1C 1B 88 00 2B 0A D1 D4 9B 03 F1 A0 01 D5 9A 04 23 02 FB 03 F3 CA 18 00 23 13 60 0D E0 A4 A8 ?? ?? ?? ?? 16 90 D4 9B 03 F1 A0 01 D5 9A 04 23 02 FB 03 F3 CA 18 16 9B 13 60 D5 9B 02 2B 40 F0 B0 80 D4 9B 03 F1 08 02 0C 9B 13 60 0B 9B 5A 1E 08 23 02 FB 03 F2 04 9B 99 18 1E A8 08 22 ?? ?? ?? ?? 00 23 05 93 02 E0 05 9B 5B 1C 05 93 05 9A 0B 9B 9A 42 3F DA D4 9B 03 F1 08 01 05 9A 08 23 02 FB 03 F2 04 9B 13 44 0A 68 1B 68 9A 42 18 D1 05 9B 00 2B 13 D0 05 9A 08 23 02 FB 03 F2 04 9B 99 18 04 98 08 22 ?? ?? ?? ?? 05 9A 08 23 02 FB 03 F2 04 9B 98 18 1E A9 08 22 ?? ?? ?? ?? 1A E0 18 E0 05 9A 08 23 02 FB 03 F2 04 9B 99 18 20 A8 08 22 ?? ?? ?? ?? 05 9A 08 23 02 FB 03 F2 04 9B 98 18 1E A9 08 22 ?? ?? ?? ?? 1E A8 20 A9 08 22 ?? ?? ?? ?? B8 E7 05 9A 0B 9B 9A 42 49 D1 01 23 02 93 D4 9B 08 33 1B 68 01 93 64 AB 00 93 7F 23 9A 4A 01 21 00 20 ?? ?? ?? ?? 17 90 17 9B 00 2B 2E D0 00 23 07 93 02 E0 07 9B 5B 1C 07 93 07 9B 7F 2B 11 D2 07 9A 02 23 02 FB 03 F2 64 AB 13 44 1B 88 6F F3 5F 23 99 B2 07 9A 02 23 02 FB 03 F2 64 AB 13 44 19 80 E7 E7 FE 22 87 4B 19 68 64 A8 ?? ?? ?? ?? 18 90 18 9B 00 2B 04 D1 04 9B 1A 1D 01 23 13 60 03 E0 04 9B 1A 1D 00 23 13 60 03 E0 04 9B 1A 1D 00 23 13 60 D4 9B 08 33 04 9A 1B 68 13 60 04 9B 19 1D D4 9B 03 F1 18 02 0B 68 13 60 10 E0 D5 9B 01 2B 05 D1 D4 9B 03 F1 10 02 0C 9B 13 60 07 E0 D5 9B 05 2B 04 D1 D4 9B 03 F1 14 02 0C 9B 13 60 D4 9C D5 9A 0C 23 02 FB 03 F2 69 4B 13 44 08 33 1B 68 0D 93 0D 98 65 4B 1B 68 98 47 0D 9B 20 46 98 47 19 90 19 9B 00 2B 2C D0 D4 9B 03 F1 1C 01 D5 9A 10 23 02 FB 03 F3 0B 44 1A 1D 0E 9B 13 60 02 21 D4 9B 03 F1 A0 00 D5 9A 04 23 02 FB 03 F3 03 44 18 68 ?? ?? ?? ?? D4 9B 03 F1 A0 01 D5 9A 04 23 02 FB 03 F3 CA 18 1A 9B 13 60 02 21 06 98 ?? ?? ?? ?? D4 9B 03 F1 08 02 1B 9B 13 60 00 23 08 93 84 E0 0E 9A 48 4B 9A 42 63 D0 BF F3 5B 8F D5 9A 10 23 02 FB 03 F2 D4 9B 1C 33 13 44 0C 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 1C 93 BF F3 5B 8F 1C 9B 00 2B 4A D1 00 23 01 93 38 4B 00 93 00 23 40 F2 F5 22 34 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 02 21 D4 9B 03 F1 1C 00 D5 9A 10 23 02 FB 03 F3 03 44 0C 33 18 68 ?? ?? ?? ?? 02 21 D4 9B 03 F1 1C 00 D5 9A 10 23 02 FB 03 F3 03 44 08 33 18 68 ?? ?? ?? ?? 02 21 D4 9B 03 F1 A0 00 D5 9A 04 23 02 FB 03 F3 03 44 18 68 ?? ?? ?? ?? D4 9B 03 F1 1C 01 D5 9A 10 23 02 FB 03 F3 0B 44 1A 1D 00 23 13 60 D4 9B 03 F1 A0 01 D5 9A 04 23 02 FB 03 F3 CA 18 00 23 13 60 06 9B 00 2B 02 D0 06 9A 01 23 13 60 D4 9B 03 F1 1C 01 D5 9A 10 23 02 FB 03 F3 0B 44 03 F1 0C 02 06 9B 13 60 D4 9B 03 F1 1C 01 D5 9A 10 23 02 FB 03 F3 0B 44 1B 1D 1B 68 08 93 08 98 0D F5 50 7D ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_455_93_0 {
	meta:
		name = "sync_legacy_variables_lk"
		size = 88
		refs = "000a ?value@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAAAAPAU__crt_locale_data@@XZ 0048 __mb_cur_max 004c __acrt_current_locale_data 0050 _pctype 0054 __acrt_lconv"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 10 48 ?? ?? ?? ?? 00 90 00 9B 1B 68 88 33 1A 68 0E 4B 1A 60 0B 48 ?? ?? ?? ?? 01 90 01 9B 1B 68 1A 68 09 4B 1A 60 07 48 ?? ?? ?? ?? 02 90 02 9B 1B 68 1B 1D 1A 68 02 4B 1A 60 04 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_456_0_0 {
	meta:
		name = "asinhf"
		size = 284
		refs = "000e _fdtest 0088 sqrtf 00b4 log1pf 00ca logf 0114 ln2 0118 _FEps_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 03 93 03 9B 00 2B 08 DB 03 9B 02 2B 00 DD 04 E0 9D ED 01 0A 8D ED 06 0A 69 E0 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 08 D2 01 23 04 93 9D ED 01 0A B1 EE 40 0A 8D ED 01 0A 01 E0 00 23 04 93 F0 EE 00 0A 2E 4B 93 ED 00 0A C0 EE 80 0A 9D ED 01 0A B4 EE E0 0A F1 EE 10 FA 28 D2 DD ED 01 0A 9D ED 01 0A 60 EE 80 0A B7 EE 00 0A 30 EE 80 0A ?? ?? ?? ?? 8D ED 07 0A DD ED 01 0A 9D ED 01 0A 20 EE 80 1A F7 EE 00 0A 9D ED 07 0A 30 EE 80 0A C1 EE 00 0A 9D ED 01 0A 30 EE 20 0A ?? ?? ?? ?? 8D ED 08 0A 9D ED 08 0A 8D ED 02 0A 0E E0 9D ED 01 0A ?? ?? ?? ?? 8D ED 09 0A DD ED 09 0A 0F 4B 93 ED 00 0A 30 EE 80 0A 8D ED 02 0A 04 9B 00 2B 06 D0 9D ED 02 0A B1 EE 40 0A 8D ED 05 0A 03 E0 9D ED 02 0A 8D ED 05 0A 9D ED 05 0A 8D ED 06 0A 9D ED 06 0A 0A B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_458_5_0 {
	meta:
		name = "_mbsstr_l"
		size = 292
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0024 strstr 003e _CrtDbgReportW 0048 _errno 005c _invalid_parameter 00b2 strlen 0110 ??_C@_1GO@EEDCOHAH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0114 ??_C@_1CA@JIGJIOKA@?$AAs?$AAt?$AAr?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0118 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 011c ??_C@_1BE@KLCPDEDD@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAt?$AAr?$AA_?$AAl?$AA?$AA@ 0120 ??_C@_1CA@GKDOGDFI@?$AAs?$AAt?$AAr?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 87 B0 0E 46 05 46 02 A8 11 46 ?? ?? ?? ?? DD F8 10 80 D8 F8 08 30 2B B9 31 46 28 46 ?? ?? ?? ?? 05 46 1A E0 3E BB 3A 4B 3B 4C 37 49 00 93 00 23 34 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 34 23 31 49 2D 4A 20 46 ?? ?? ?? ?? 00 25 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 28 46 07 B0 BD E8 F0 89 33 78 00 2B EE D0 A5 B9 24 4B 22 4C 21 49 00 93 00 23 37 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 37 23 D2 E7 28 46 ?? ?? ?? ?? 04 46 30 46 ?? ?? ?? ?? 23 1A 5F 19 2B 78 00 2B CB D0 AA 1B BD 42 C8 D8 15 F8 01 4B 31 46 44 B1 08 78 30 B1 53 5C 83 42 03 D1 49 1C 53 5C 00 2B F6 D1 0B 78 7B B1 04 EB 08 03 5B 7E 02 F1 01 02 13 F0 04 0F 03 D0 2B 78 0B B1 6D 1C 52 1C 2B 78 00 2B DF D1 A9 E7 6D 1E A8 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_459_0_0 {
	meta:
		name = "_iswctype_l"
		size = 40
		refs = "0012 iswctype"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 BD F8 14 10 BD F8 10 00 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_459_1_0 {
	meta:
		name = "iswctype"
		size = 144
		refs = "0088 __imp_GetStringTypeW 008c _pwctype"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 BD F8 18 20 4F F6 FF 73 9A 42 02 D1 00 23 01 93 2E E0 BD F8 18 30 B3 F5 80 7F 0D DA BD F8 18 20 02 23 02 FB 03 F2 16 4B 1B 68 13 44 1A 88 BD F8 1C 30 13 40 01 93 1B E0 BD F8 18 30 AD F8 02 30 00 23 AD F8 00 30 6B 46 01 22 0D F1 02 01 01 20 0A 4C 24 68 A0 47 02 90 02 9B 00 2B 02 D1 00 23 01 93 05 E0 BD F8 00 20 BD F8 1C 30 13 40 01 93 01 98 03 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_461_0_0 {
	meta:
		name = "??$cleanup_after_error@D@@YAHQADI@Z"
		size = 220
		refs = "0028 _CrtGetDebugFillThreshold 0050 memset 0080 _CrtDbgReportW 0094 _errno 00ac _invalid_parameter 00c8 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00cc ??_C@_1CI@KGHCCPCN@?$AAc?$AAl?$AAe?$AAa?$AAn?$AAu?$AAp?$AA_?$AAa?$AAf?$AAt?$AAe?$AAr?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 00d0 ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 00d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d8 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9A 00 23 13 70 0D 9B B3 F1 FF 3F 1D D0 0D 9A 6F F0 00 43 9A 42 18 D0 0D 9B 01 2B 15 D9 ?? ?? ?? ?? 07 90 07 9B 02 93 0D 9B 5A 1E 02 9B 93 42 02 D2 02 9B 03 93 02 E0 0D 9B 5B 1E 03 93 03 9A FE 21 0C 9B 58 1C ?? ?? ?? ?? 20 4B 00 2B 03 D0 02 E0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 15 4B 01 93 17 4B 00 93 00 23 25 22 14 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 09 90 09 9A 22 23 13 60 00 23 00 93 25 23 0A 4A 08 49 07 48 ?? ?? ?? ?? 22 23 06 93 01 E0 16 23 06 93 06 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_461_1_0 {
	meta:
		name = "??$cleanup_after_error@_W@@YAHQA_WI@Z"
		size = 224
		refs = "0028 _CrtGetDebugFillThreshold 0056 memset 0086 _CrtDbgReportW 009a _errno 00b2 _invalid_parameter 00cc ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00d0 ??_C@_1CI@KGHCCPCN@?$AAc?$AAl?$AAe?$AAa?$AAn?$AAu?$AAp?$AA_?$AAa?$AAf?$AAt?$AAe?$AAr?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 00d4 ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 00d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9A 00 23 13 80 0D 9B B3 F1 FF 3F 20 D0 0D 9A 6F F0 00 43 9A 42 1B D0 0D 9B 01 2B 18 D9 ?? ?? ?? ?? 07 90 07 9B 02 93 0D 9B 5A 1E 02 9B 93 42 02 D2 02 9B 03 93 02 E0 0D 9B 5B 1E 03 93 03 9A 02 23 02 FB 03 F2 FE 21 0C 9B 98 1C ?? ?? ?? ?? 20 4B 00 2B 03 D0 02 E0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 15 4B 01 93 17 4B 00 93 00 23 25 22 14 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 09 90 09 9A 22 23 13 60 00 23 00 93 25 23 09 4A 08 49 06 48 ?? ?? ?? ?? 22 23 06 93 01 E0 16 23 06 93 06 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_461_2_0 {
	meta:
		name = "??$common_makepath_s@D@@YAHQADIQBD111@Z"
		size = 756
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 00b2 ??$cleanup_after_error@D@@YAHQADI@Z 0132 ?previous_character@@YAPBDQBD0@Z 0294 _CrtGetDebugFillThreshold 02ce memset 02e4 ??_C@_1GE@IHIGNC@?$AA?$CI?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAr@ 02e8 ??_C@_1CE@GNNMAAIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAa?$AAk?$AAe?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AA?$AA@ 02ec ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 02f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1A 9B 00 2B 05 D0 1B 9B 00 2B 02 D9 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 AE 4B 01 93 B0 4B 00 93 00 23 3E 22 AD 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 3E 23 A2 4A A1 49 9F 48 ?? ?? ?? ?? 16 23 04 93 32 E1 1A 9B 02 93 1B 9B B3 F1 FF 3F 04 D0 1A 9A 1B 9B 13 44 0A 93 01 E0 00 23 0A 93 0A 9B 03 93 1C 9B 00 2B 22 D0 1C 9B 93 F9 00 30 00 2B 1D D0 03 9B 00 2B 0C D0 03 9A 02 9B D3 1A 02 2B 07 DA 1B 99 1A 98 ?? ?? ?? ?? 0F 90 0F 9B 04 93 0B E1 1C 9B 93 F9 00 20 02 9B 1A 70 02 9B 5B 1C 02 93 02 9A 3A 23 13 70 02 9B 5B 1C 02 93 1D 9B 00 2B 4C D0 1D 9B 93 F9 00 30 00 2B 47 D0 1D 9B 05 93 05 9B 93 F9 00 30 00 2B 1A D0 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 10 90 10 9B 04 93 DF E0 05 9B 93 F9 00 20 02 9B 1A 70 02 9B 5B 1C 02 93 05 9B 5B 1C 05 93 DF E7 05 99 1D 98 ?? ?? ?? ?? 11 90 11 9B 05 93 05 9B 93 F9 00 30 2F 2B 19 D0 05 9B 93 F9 00 30 5C 2B 14 D0 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 12 90 12 9B 04 93 B3 E0 02 9A 5C 23 13 70 02 9B 5B 1C 02 93 1E 9B 00 2B 21 D0 1E 9B 06 93 06 9B 93 F9 00 30 00 2B 1A D0 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 13 90 13 9B 04 93 94 E0 06 9B 93 F9 00 20 02 9B 1A 70 02 9B 5B 1C 02 93 06 9B 5B 1C 06 93 DF E7 1F 9B 00 2B 40 D0 1F 9B 93 F9 00 30 00 2B 19 D0 1F 9B 93 F9 00 30 2E 2B 14 D0 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 14 90 14 9B 04 93 6C E0 02 9A 2E 23 13 70 02 9B 5B 1C 02 93 1F 9B 07 93 07 9B 93 F9 00 30 00 2B 1A D0 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 15 90 15 9B 04 93 50 E0 07 9B 93 F9 00 20 02 9B 1A 70 02 9B 5B 1C 02 93 07 9B 5B 1C 07 93 DF E7 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 16 90 16 9B 04 93 35 E0 02 9A 00 23 13 70 02 9B 5B 1C 02 93 1B 9B B3 F1 FF 3F 29 D0 1B 9A 6F F0 00 43 9A 42 24 D0 02 9A 1A 9B D2 1A 1B 9B 9A 42 1E D2 ?? ?? ?? ?? 17 90 17 9B 0B 93 02 9A 1A 9B D2 1A 1B 9B 9A 1A 0B 9B 93 42 02 D2 0B 9B 0C 93 05 E0 02 9A 1A 9B D2 1A 1B 9B 9B 1A 0C 93 0C 9A FE 21 02 98 1A 9B C0 1A 1A 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 18 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_461_3_0 {
	meta:
		name = "??$common_makepath_s@_W@@YAHQA_WIQB_W111@Z"
		size = 756
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 00b8 ??$cleanup_after_error@_W@@YAHQA_WI@Z 0130 ?previous_character@@YAPB_WPB_WQB_W@Z 0284 _CrtGetDebugFillThreshold 02d0 memset 02e4 ??_C@_1GE@IHIGNC@?$AA?$CI?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAr@ 02e8 ??_C@_1CE@GNNMAAIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAa?$AAk?$AAe?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AA?$AA@ 02ec ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 02f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1A 9B 00 2B 05 D0 1B 9B 00 2B 02 D9 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 AE 4B 01 93 B0 4B 00 93 00 23 3E 22 AD 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 3E 23 A2 4A A1 49 9F 48 ?? ?? ?? ?? 16 23 04 93 33 E1 1A 9B 02 93 1B 9B B3 F1 FF 3F 07 D0 1B 9A 02 23 02 FB 03 F2 1A 9B 13 44 0A 93 01 E0 00 23 0A 93 0A 9B 03 93 1C 9B 00 2B 21 D0 1C 9B 1B 88 00 2B 1D D0 03 9B 00 2B 0D D0 03 9A 02 9B D3 1A 5B 10 02 2B 07 DA 1B 99 1A 98 ?? ?? ?? ?? 0F 90 0F 9B 04 93 09 E1 1C 9B 1A 88 02 9B 1A 80 02 9B 9B 1C 02 93 02 9A 3A 23 13 80 02 9B 9B 1C 02 93 1D 9B 00 2B 47 D0 1D 9B 1B 88 00 2B 43 D0 1D 9B 05 93 05 9B 1B 88 00 2B 19 D0 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 10 90 10 9B 04 93 E0 E0 05 9B 1A 88 02 9B 1A 80 02 9B 9B 1C 02 93 05 9B 9B 1C 05 93 E1 E7 05 99 1D 98 ?? ?? ?? ?? 11 90 11 9B 05 93 05 9B 1B 88 2F 2B 18 D0 05 9B 1B 88 5C 2B 14 D0 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 12 90 12 9B 04 93 B7 E0 02 9A 5C 23 13 80 02 9B 9B 1C 02 93 1E 9B 00 2B 1F D0 1E 9B 06 93 06 9B 1B 88 00 2B 19 D0 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 13 90 13 9B 04 93 99 E0 06 9B 1A 88 02 9B 1A 80 02 9B 9B 1C 02 93 06 9B 9B 1C 06 93 E1 E7 1F 9B 00 2B 3C D0 1F 9B 1B 88 00 2B 18 D0 1F 9B 1B 88 2E 2B 14 D0 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 14 90 14 9B 04 93 74 E0 02 9A 2E 23 13 80 02 9B 9B 1C 02 93 1F 9B 07 93 07 9B 1B 88 00 2B 19 D0 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 15 90 15 9B 04 93 59 E0 07 9B 1A 88 02 9B 1A 80 02 9B 9B 1C 02 93 07 9B 9B 1C 07 93 E1 E7 03 9B 00 2B 0B D0 02 9A 03 9B 9A 42 07 D3 1B 99 1A 98 ?? ?? ?? ?? 16 90 16 9B 04 93 3F E0 02 9A 00 23 13 80 02 9B 9B 1C 02 93 1B 9B B3 F1 FF 3F 33 D0 1B 9A 6F F0 00 43 9A 42 2E D0 02 9A 1A 9B D3 1A 5A 10 1B 9B 9A 42 27 D2 ?? ?? ?? ?? 17 90 17 9B 0B 93 02 9A 1A 9B D3 1A 5A 10 1B 9B 9A 1A 0B 9B 93 42 02 D2 0B 9B 0C 93 06 E0 02 9A 1A 9B D3 1A 5A 10 1B 9B 9B 1A 0C 93 0C 9A 02 23 02 FB 03 F2 FE 21 02 98 1A 9B C3 1A 58 10 02 23 00 FB 03 F0 1A 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 18 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_461_5_0 {
	meta:
		name = "?previous_character@@YAPB_WPB_WQB_W@Z"
		size = 28
		altNames = "?previous_character@@YAPA_WPA_WQA_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 9B 1E 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_461_6_0 {
	meta:
		name = "_makepath"
		size = 42
		refs = "001c _makepath_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 9B 01 93 07 9B 00 93 06 9B 05 9A 6F F0 00 01 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_461_8_0 {
	meta:
		name = "_wmakepath"
		size = 42
		refs = "001c _wmakepath_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 08 9B 01 93 07 9B 00 93 06 9B 05 9A 6F F0 00 01 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_462_0_0 {
	meta:
		name = "??$common_tcsncat_s@_W@@YAHQA_WIQB_WI@Z"
		size = 1052
		refs = "0052 _CrtDbgReportW 0066 _errno 007e _invalid_parameter 00b2 _CrtGetDebugFillThreshold 00e0 memset 03f8 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 03fc ??_C@_1CC@HELMJGIF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 0400 ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0404 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0408 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 040c ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0410 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0414 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0418 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A4 B0 29 9B 00 2B 08 D1 26 9B 00 2B 05 D1 27 9B 00 2B 02 D1 00 23 04 93 E3 E1 26 9B 00 2B 05 D0 27 9B 00 2B 02 D9 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 F5 4B 01 93 EF 4B 00 93 00 23 69 22 EC 49 02 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 00 23 00 93 69 23 E1 4A E0 49 E6 48 ?? ?? ?? ?? 16 23 04 93 B0 E1 29 9B 00 2B 5A D0 28 9B 00 2B 57 D1 26 9A 00 23 13 80 27 9B B3 F1 FF 3F 20 D0 27 9A 6F F0 00 43 9A 42 1B D0 27 9B 01 2B 18 D9 ?? ?? ?? ?? 19 90 19 9B 09 93 27 9B 5A 1E 09 9B 93 42 02 D2 09 9B 0A 93 02 E0 27 9B 5B 1E 0A 93 0A 9A 02 23 02 FB 03 F2 FE 21 26 9B 98 1C ?? ?? ?? ?? 28 9B 00 2B 02 D0 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 0E D1 C5 4B 01 93 C0 4B 00 93 00 23 6C 22 BD 49 02 20 ?? ?? ?? ?? 1A 90 1A 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 10 D1 ?? ?? ?? ?? 1B 90 1B 9A 16 23 13 60 00 23 00 93 6C 23 B2 4A B1 49 B6 48 ?? ?? ?? ?? 16 23 04 93 52 E1 26 9B 03 93 27 9B 02 93 29 9B 06 93 02 9B 00 2B 0A D9 03 9B 1B 88 00 2B 06 D0 03 9B 9B 1C 03 93 02 9B 5B 1E 02 93 F1 E7 02 9B 00 2B 58 D1 26 9A 00 23 13 80 27 9B B3 F1 FF 3F 20 D0 27 9A 6F F0 00 43 9A 42 1B D0 27 9B 01 2B 18 D9 ?? ?? ?? ?? 1C 90 1C 9B 0D 93 27 9B 5A 1E 0D 9B 93 42 02 D2 0D 9B 0E 93 02 E0 27 9B 5B 1E 0E 93 0E 9A 02 23 02 FB 03 F2 FE 21 26 9B 98 1C ?? ?? ?? ?? 93 4B 00 2B 03 D0 02 E0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0E D1 8B 4B 01 93 88 4B 00 93 00 23 7C 22 85 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 10 9B 00 2B 10 D1 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 00 23 00 93 7C 23 7A 4A 79 49 7C 48 ?? ?? ?? ?? 16 23 04 93 E2 E0 28 9B 05 93 29 9B B3 F1 FF 3F 15 D1 05 9B 1A 88 03 9B 1A 80 03 9B 1A 88 03 9B 9B 1C 03 93 05 9B 9B 1C 05 93 00 2A 06 D0 02 9B 5B 1E 02 93 02 9B 00 2B 00 D9 EA E7 20 E0 06 9B 00 2B 17 D9 05 9B 1A 88 03 9B 1A 80 03 9B 1A 88 03 9B 9B 1C 03 93 05 9B 9B 1C 05 93 00 2A 09 D0 02 9B 5B 1E 02 93 02 9B 00 2B 03 D9 06 9B 5B 1E 06 93 E4 E7 06 9B 00 2B 02 D1 03 9A 00 23 13 80 02 9B 00 2B 68 D1 29 9B B3 F1 FF 3F 0B D1 27 9B 5A 1E 02 23 02 FB 03 F2 26 9B 1A 44 00 23 13 80 50 23 04 93 92 E0 26 9A 00 23 13 80 27 9B B3 F1 FF 3F 20 D0 27 9A 6F F0 00 43 9A 42 1B D0 27 9B 01 2B 18 D9 ?? ?? ?? ?? 1F 90 1F 9B 11 93 27 9B 5A 1E 11 9B 93 42 02 D2 11 9B 12 93 02 E0 27 9B 5B 1E 12 93 12 9A 02 23 02 FB 03 F2 FE 21 26 9B 98 1C ?? ?? ?? ?? 3C 4B 00 2B 03 D0 02 E0 01 23 13 93 01 E0 00 23 13 93 13 9B 14 93 14 9B 00 2B 0E D1 31 4B 01 93 33 4B 00 93 00 23 9B 22 30 49 02 20 ?? ?? ?? ?? 20 90 20 9B 01 2B 00 D1 FE DE 14 9B 00 2B 10 D1 ?? ?? ?? ?? 21 90 21 9A 22 23 13 60 00 23 00 93 9B 23 26 4A 24 49 23 48 ?? ?? ?? ?? 22 23 04 93 39 E0 27 9B B3 F1 FF 3F 33 D0 27 9A 6F F0 00 43 9A 42 2E D0 27 9A 02 9B D3 1A 5A 1C 27 9B 9A 42 27 D2 ?? ?? ?? ?? 22 90 22 9B 15 93 27 9A 02 9B D3 1A 5A 1C 27 9B 9A 1A 15 9B 93 42 02 D2 15 9B 16 93 06 E0 27 9A 02 9B D3 1A 5A 1C 27 9B 9B 1A 16 93 16 9A 02 23 02 FB 03 F2 FE 21 27 98 02 9B C3 1A 58 1C 02 23 00 FB 03 F0 26 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 24 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_464_0_0 {
	meta:
		name = "strpbrk"
		size = 218
		refs = "0008 __security_push_cookie 0034 __report_rangecheckfailure 00ce __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8F B0 12 9B 01 93 13 9B 00 93 00 23 02 93 02 E0 02 9B 5B 1C 02 93 02 9B 20 2B 0D DA 02 9B 03 93 03 9B 20 2B 00 D2 01 E0 ?? ?? ?? ?? 06 AA 03 9B 1A 44 00 23 13 70 EB E7 00 9B 1B 78 00 2B 1F D0 00 9B 1B 78 DA 10 01 23 02 FB 03 F2 06 AB 99 18 00 9B 1B 78 03 F0 07 02 01 23 03 FA 02 F2 0B 78 43 EA 02 01 00 9B 1B 78 DA 10 01 23 02 FB 03 F2 06 AB 1A 44 CB B2 13 70 00 9B 5B 1C 00 93 DB E7 01 9B 1B 78 00 2B 18 D0 01 9B 1B 78 DA 10 01 23 02 FB 03 F2 06 AB 13 44 19 78 01 9B 1B 78 03 F0 07 02 01 23 93 40 0B 40 00 2B 02 D0 01 9B 04 93 05 E0 01 9B 5B 1C 01 93 E2 E7 00 23 04 93 04 98 0F B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_465_0_0 {
	meta:
		name = "?scale_count@@YA_J_J@Z"
		size = 216
		refs = "0022 __rt_sdiv64 00d4 ?source_frequency@@3_JA"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8D B0 31 4B 18 68 30 4B 59 68 10 9A 11 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 07 93 06 92 00 90 00 9A 00 23 02 FB 03 F2 4F F4 7A 73 01 FB 03 F3 D1 18 00 9A 4F F4 7A 73 A2 FB 03 23 0B 44 02 92 03 93 21 4B 18 68 20 4B 59 68 10 9A 11 9B 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 09 91 08 90 10 92 11 93 10 9B 11 99 01 93 01 9A 00 23 02 FB 03 F2 4F F4 7A 73 01 FB 03 F3 D1 18 01 9A 4F F4 7A 73 A2 FB 03 23 CC 18 0F 4B 18 68 0E 4B 59 68 23 46 00 28 02 D1 00 29 00 D1 F9 DE ?? ?? ?? ?? 0B 93 0A 92 02 9A 03 9B 12 18 4B 41 02 92 03 93 02 9A 03 9B 04 92 05 93 04 98 05 99 0D B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_465_1_0 {
	meta:
		name = "__acrt_initialize_clock"
		size = 148
		refs = "0084 ?start_count@@3_JA 0088 ?source_frequency@@3_JA 008c __imp_QueryPerformanceCounter 0090 __imp_QueryPerformanceFrequency"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 04 A8 21 4B 1B 68 98 47 01 90 01 9B 00 2B 10 D0 08 A8 1C 4B 1B 68 98 47 02 90 02 9B 00 2B 08 D0 04 9B 06 93 05 9B 07 93 07 9A 06 9B 13 43 00 2B 12 D1 13 4A 6F F0 00 03 13 60 11 4A 6F F0 00 03 53 60 0E 4A 6F F0 00 03 13 60 0C 4A 6F F0 00 03 53 60 00 23 00 93 0D E0 04 9A 09 4B 1A 60 05 9A 07 4B 5A 60 08 9A 05 4B 1A 60 09 9A 03 4B 5A 60 00 23 00 93 00 98 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_465_2_0 {
	meta:
		name = "clock"
		size = 200
		refs = "007c ?scale_count@@YA_J_J@Z 00c0 ?start_count@@3_JA 00c4 __imp_QueryPerformanceCounter"
	strings:
		$1 = { 2D E9 00 48 EB 46 92 B0 2D 4B 1B 68 08 93 2C 4B 5B 68 09 93 09 9A 08 9B 13 40 B3 F1 FF 3F 03 D1 6F F0 00 03 00 93 46 E0 10 A8 26 4B 1B 68 98 47 01 90 01 9B 00 2B 03 D1 6F F0 00 03 00 93 3A E0 10 98 11 99 1E 4B 1A 68 1D 4B 5B 68 82 1A 61 EB 03 03 04 92 05 93 04 9B 0A 93 05 9B 0B 93 0A 9B 02 93 0B 9B 00 2B 07 DC 02 DB 02 9B 00 2B 03 D2 6F F0 00 03 00 93 1E E0 04 98 05 99 ?? ?? ?? ?? 0D 91 0C 90 0C 9B 06 93 0D 9B 07 93 06 9B 0E 93 07 9B 0F 93 0E 9B 03 93 0F 9B 00 2B 09 DB 04 DC 03 9A 6F F0 00 43 9A 42 03 D9 6F F0 00 03 00 93 01 E0 06 9B 00 93 00 98 12 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_466_0_0 {
	meta:
		name = "_LCosh"
		size = 348
		refs = "0012 _ldtest 00b2 _fperrraise 0108 _ldexp 0150 _LXbig_C 0154 _LNan_C 0158 _LInf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 06 1B 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 00 30 06 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 AD F8 02 30 BD F9 00 30 00 2B 03 DA BD F9 02 30 00 2B 45 DB BD F9 00 30 02 2B 05 D1 9D ED 02 0B 8D ED 04 0B 77 E0 3A E0 BD F9 02 30 02 2B 05 D1 9D ED 06 0B 8D ED 04 0B 6D E0 30 E0 BD F9 00 30 01 2B 27 D1 BD F9 02 30 00 2B 19 D0 9D ED 06 0B B5 EE C0 0B F1 EE 10 FA 07 D2 33 4B 93 ED 00 0B B1 EE 40 0B 8D ED 08 0B 04 E0 2F 4B 93 ED 00 0B 8D ED 08 0B 9D ED 08 0B 8D ED 04 0B 4B E0 08 E0 01 20 ?? ?? ?? ?? 27 4B 93 ED 00 0B 8D ED 04 0B 41 E0 04 E0 9D ED 06 0B 8D ED 04 0B 3B E0 3A E0 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 9D ED 02 1B 18 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 18 D2 6F F0 00 01 B7 EE 00 0B 02 A8 ?? ?? ?? ?? B5 EE 00 1B 9D ED 02 0B 81 EE 00 1B 9D ED 02 0B 30 EE 01 1B 9D ED 06 0B 20 EE 01 0B 8D ED 04 0B 0B E0 0A E0 6F F0 00 01 9D ED 06 0B 02 A8 ?? ?? ?? ?? 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_633_0_0 {
	meta:
		name = "_Cosh"
		size = 348
		refs = "0012 _dtest 00b2 _fperrraise 0108 _dexp 0150 _Xbig_C 0154 _Nan_C 0158 _Inf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 8D ED 06 1B 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 00 30 06 A8 ?? ?? ?? ?? AD F8 06 00 BD F9 06 30 AD F8 02 30 BD F9 00 30 00 2B 03 DA BD F9 02 30 00 2B 45 DB BD F9 00 30 02 2B 05 D1 9D ED 02 0B 8D ED 04 0B 77 E0 3A E0 BD F9 02 30 02 2B 05 D1 9D ED 06 0B 8D ED 04 0B 6D E0 30 E0 BD F9 00 30 01 2B 27 D1 BD F9 02 30 00 2B 19 D0 9D ED 06 0B B5 EE C0 0B F1 EE 10 FA 07 D2 33 4B 93 ED 00 0B B1 EE 40 0B 8D ED 08 0B 04 E0 2F 4B 93 ED 00 0B 8D ED 08 0B 9D ED 08 0B 8D ED 04 0B 4B E0 08 E0 01 20 ?? ?? ?? ?? 27 4B 93 ED 00 0B 8D ED 04 0B 41 E0 04 E0 9D ED 06 0B 8D ED 04 0B 3B E0 3A E0 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 9D ED 02 1B 18 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 18 D2 6F F0 00 01 B7 EE 00 0B 02 A8 ?? ?? ?? ?? B5 EE 00 1B 9D ED 02 0B 81 EE 00 1B 9D ED 02 0B 30 EE 01 1B 9D ED 06 0B 20 EE 01 0B 8D ED 04 0B 0B E0 0A E0 6F F0 00 01 9D ED 06 0B 02 A8 ?? ?? ?? ?? 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 0A B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_466_1_0 {
	meta:
		name = "ccoshl"
		size = 860
		refs = "0018 creall 0030 cimagl 0042 _ldtest 007e _LCbuild 00d4 _fperrraise 028c sinl 0298 cosl 02f0 _LSinh 030c _LCosh 0348 _LInf_C 034c _LNan_C 0358 _LZero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 B0 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 9D ED 12 1B ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 0A 0B 9D ED 10 0B 9D ED 12 1B ?? ?? ?? ?? 8D ED 16 0B 9D ED 16 0B 8D ED 06 0B 0A A8 ?? ?? ?? ?? AD F8 20 00 BD F9 20 30 AD F8 00 30 06 A8 ?? ?? ?? ?? AD F8 22 00 BD F9 22 30 AD F8 02 30 BD F9 00 30 02 2B 2E D1 BD F9 02 30 00 2B 14 D1 9D ED 06 1B B4 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 26 1B 8D ED 24 0B 9D ED 24 0B 8D ED 02 0B 9D ED 26 0B 8D ED 04 0B 4D E1 14 E0 AB 4B 93 ED 00 1B A9 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 2A 1B 8D ED 28 0B 9D ED 28 0B 8D ED 02 0B 9D ED 2A 0B 8D ED 04 0B 37 E1 36 E1 BD F9 02 30 01 2B 5E D1 01 20 ?? ?? ?? ?? BD F9 00 30 00 2B 27 D1 9D ED 06 0B B5 EE C0 0B F1 EE 10 FA 07 D2 9A 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9F ED 94 0B 8D ED 0C 0B 9D ED 0C 1B 90 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 2E 1B 8D ED 2C 0B 9D ED 2C 0B 8D ED 02 0B 9D ED 2E 0B 8D ED 04 0B 04 E1 2E E0 BD F9 00 30 01 2B 15 D1 84 4B 93 ED 00 1B 82 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 32 1B 8D ED 30 0B 9D ED 30 0B 8D ED 02 0B 9D ED 32 0B 8D ED 04 0B EA E0 14 E0 79 4B 93 ED 00 1B 78 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 36 1B 8D ED 34 0B 9D ED 34 0B 8D ED 02 0B 9D ED 36 0B 8D ED 04 0B D4 E0 D3 E0 BD F9 02 30 02 2B 48 D1 BD F9 00 30 00 2B 14 D1 9D ED 0A 1B 69 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 3A 1B 8D ED 38 0B 9D ED 38 0B 8D ED 02 0B 9D ED 3A 0B 8D ED 04 0B B7 E0 2E E0 BD F9 00 30 01 2B 15 D1 5E 4B 93 ED 00 1B 5B 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 3E 1B 8D ED 3C 0B 9D ED 3C 0B 8D ED 02 0B 9D ED 3E 0B 8D ED 04 0B 9D E0 14 E0 53 4B 93 ED 00 1B 51 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 42 1B 8D ED 40 0B 9D ED 40 0B 8D ED 02 0B 9D ED 42 0B 8D ED 04 0B 87 E0 86 E0 BD F9 00 30 01 2B 54 D1 BD F9 02 30 00 2B 26 D1 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 06 0B B1 EE 40 0B 8D ED 0E 0B 03 E0 9D ED 06 0B 8D ED 0E 0B 9D ED 0E 1B 39 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 46 1B 8D ED 44 0B 9D ED 44 0B 8D ED 02 0B 9D ED 46 0B 8D ED 04 0B 58 E0 28 E0 9D ED 06 0B ?? ?? ?? ?? 8D ED 18 0B 9D ED 06 0B ?? ?? ?? ?? 8D ED 1A 0B 29 4B 93 ED 00 1B 9D ED 18 0B 21 EE 00 1B 26 4B 93 ED 00 2B 9D ED 1A 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 4A 1B 8D ED 48 0B 9D ED 48 0B 8D ED 02 0B 9D ED 4A 0B 8D ED 04 0B 2E E0 2D E0 9D ED 06 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 1C 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 20 0B 9D ED 06 0B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1E 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 22 0B 9D ED 20 1B 9D ED 22 0B ?? ?? ?? ?? 8D ED 4E 1B 8D ED 4C 0B 9D ED 4C 0B 8D ED 02 0B 9D ED 4E 0B 8D ED 04 0B 9D ED 02 0B 9D ED 04 1B 50 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_633_1_0 {
	meta:
		name = "ccosh"
		size = 860
		refs = "0018 creal 0030 cimag 0042 _dtest 007e _Cbuild 00d4 _fperrraise 028c sin 0298 cos 02f0 _Sinh 030c _Cosh 0348 _Inf_C 034c _Nan_C 0358 _Zero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 B0 8D ED 12 1B 8D ED 10 0B 9D ED 10 0B 9D ED 12 1B ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 0A 0B 9D ED 10 0B 9D ED 12 1B ?? ?? ?? ?? 8D ED 16 0B 9D ED 16 0B 8D ED 06 0B 0A A8 ?? ?? ?? ?? AD F8 20 00 BD F9 20 30 AD F8 00 30 06 A8 ?? ?? ?? ?? AD F8 22 00 BD F9 22 30 AD F8 02 30 BD F9 00 30 02 2B 2E D1 BD F9 02 30 00 2B 14 D1 9D ED 06 1B B4 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 26 1B 8D ED 24 0B 9D ED 24 0B 8D ED 02 0B 9D ED 26 0B 8D ED 04 0B 4D E1 14 E0 AB 4B 93 ED 00 1B A9 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 2A 1B 8D ED 28 0B 9D ED 28 0B 8D ED 02 0B 9D ED 2A 0B 8D ED 04 0B 37 E1 36 E1 BD F9 02 30 01 2B 5E D1 01 20 ?? ?? ?? ?? BD F9 00 30 00 2B 27 D1 9D ED 06 0B B5 EE C0 0B F1 EE 10 FA 07 D2 9A 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9F ED 94 0B 8D ED 0C 0B 9D ED 0C 1B 90 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 2E 1B 8D ED 2C 0B 9D ED 2C 0B 8D ED 02 0B 9D ED 2E 0B 8D ED 04 0B 04 E1 2E E0 BD F9 00 30 01 2B 15 D1 84 4B 93 ED 00 1B 82 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 32 1B 8D ED 30 0B 9D ED 30 0B 8D ED 02 0B 9D ED 32 0B 8D ED 04 0B EA E0 14 E0 79 4B 93 ED 00 1B 78 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 36 1B 8D ED 34 0B 9D ED 34 0B 8D ED 02 0B 9D ED 36 0B 8D ED 04 0B D4 E0 D3 E0 BD F9 02 30 02 2B 48 D1 BD F9 00 30 00 2B 14 D1 9D ED 0A 1B 69 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 3A 1B 8D ED 38 0B 9D ED 38 0B 8D ED 02 0B 9D ED 3A 0B 8D ED 04 0B B7 E0 2E E0 BD F9 00 30 01 2B 15 D1 5E 4B 93 ED 00 1B 5B 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 3E 1B 8D ED 3C 0B 9D ED 3C 0B 8D ED 02 0B 9D ED 3E 0B 8D ED 04 0B 9D E0 14 E0 53 4B 93 ED 00 1B 51 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 42 1B 8D ED 40 0B 9D ED 40 0B 8D ED 02 0B 9D ED 42 0B 8D ED 04 0B 87 E0 86 E0 BD F9 00 30 01 2B 54 D1 BD F9 02 30 00 2B 26 D1 9D ED 0A 0B B5 EE C0 0B F1 EE 10 FA 06 D2 9D ED 06 0B B1 EE 40 0B 8D ED 0E 0B 03 E0 9D ED 06 0B 8D ED 0E 0B 9D ED 0E 1B 39 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 46 1B 8D ED 44 0B 9D ED 44 0B 8D ED 02 0B 9D ED 46 0B 8D ED 04 0B 58 E0 28 E0 9D ED 06 0B ?? ?? ?? ?? 8D ED 18 0B 9D ED 06 0B ?? ?? ?? ?? 8D ED 1A 0B 29 4B 93 ED 00 1B 9D ED 18 0B 21 EE 00 1B 26 4B 93 ED 00 2B 9D ED 1A 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 4A 1B 8D ED 48 0B 9D ED 48 0B 8D ED 02 0B 9D ED 4A 0B 8D ED 04 0B 2E E0 2D E0 9D ED 06 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 1C 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 20 0B 9D ED 06 0B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1E 1B 9D ED 0A 0B ?? ?? ?? ?? 8D ED 22 0B 9D ED 20 1B 9D ED 22 0B ?? ?? ?? ?? 8D ED 4E 1B 8D ED 4C 0B 9D ED 4C 0B 8D ED 02 0B 9D ED 4E 0B 8D ED 04 0B 9D ED 02 0B 9D ED 04 1B 50 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_467_1_0 {
	meta:
		name = "GetLocaleNameFromDefault"
		size = 124
		refs = "0008 __security_push_cookie 0022 __acrt_GetUserDefaultLocaleName 0030 wcslen 0044 wcsncpy_s 005c _invoke_watson_if_error 0062 __security_pop_cookie 0070 ??_C@_1BCC@GMJIFDHO@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 0074 ??_C@_1DC@CPKFANGP@?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAF?$AAr?$AAo?$AAm?$AAD?$AAe?$AAf?$AAa?$AAu?$AAl?$AAt?$AA?$AA@ 0078 ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? B1 B0 34 9B 08 33 1B 68 43 F4 82 72 34 9B 08 33 1A 60 55 21 06 A8 ?? ?? ?? ?? 02 90 02 9B 01 2B 18 DD 06 A8 ?? ?? ?? ?? 03 90 03 9B 5B 1C 06 AA 55 21 34 98 00 F5 14 70 ?? ?? ?? ?? 04 90 00 23 01 93 40 F2 71 23 00 93 08 4B 07 4A 05 49 04 98 ?? ?? ?? ?? 31 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_467_2_0 {
	meta:
		name = "GetLocaleNameFromLangCountry"
		size = 200
		refs = "000e wcslen 0068 GetPrimaryLen 0084 __acrt_EnumSystemLocalesEx 00c4 LangCountryEnumProcEx"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 18 68 ?? ?? ?? ?? 03 90 03 9B 03 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 08 9B 03 F1 10 02 00 9B 13 60 08 9B 1B 1D 18 68 ?? ?? ?? ?? 04 90 04 9B 03 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 08 9B 03 F1 14 02 01 9B 13 60 08 9B 10 33 1B 68 00 2B 02 D0 02 23 02 93 06 E0 08 9B 18 68 ?? ?? ?? ?? 05 90 05 9B 02 93 08 9B 03 F1 0C 02 02 9B 13 60 00 23 00 22 03 21 10 48 ?? ?? ?? ?? 08 9B 08 33 1B 68 13 F4 80 7F 0C D0 08 9B 08 33 1B 68 13 F4 00 7F 06 D0 08 9B 08 33 1B 68 03 F0 07 03 00 2B 04 D1 08 9B 03 F1 08 02 00 23 13 60 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_467_3_0 {
	meta:
		name = "GetLocaleNameFromLanguage"
		size = 136
		refs = "000e wcslen 0042 GetPrimaryLen 005e __acrt_EnumSystemLocalesEx 0084 LanguageEnumProcEx"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 18 68 ?? ?? ?? ?? 02 90 02 9B 03 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 06 9B 03 F1 10 02 00 9B 13 60 06 9B 10 33 1B 68 00 2B 02 D0 02 23 01 93 06 E0 06 9B 18 68 ?? ?? ?? ?? 03 90 03 9B 01 93 06 9B 03 F1 0C 02 01 9B 13 60 00 23 00 22 03 21 09 48 ?? ?? ?? ?? 06 9B 08 33 1B 68 13 F0 04 0F 04 D1 06 9B 03 F1 08 02 00 23 13 60 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_467_4_0 {
	meta:
		name = "GetPrimaryLen"
		size = 110
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 06 9B 00 2B 02 D1 00 23 02 93 23 E0 06 9B 1B 88 AD F8 00 30 06 9B 9B 1C 06 93 BD F8 00 30 41 2B 03 DB BD F8 00 30 5A 2B 07 DD BD F8 00 30 61 2B 0E DB BD F8 00 30 7A 2B 0A DC 01 9B 5B 1C 01 93 06 9B 1B 88 AD F8 00 30 06 9B 9B 1C 06 93 E4 E7 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_467_5_0 {
	meta:
		name = "LangCountryEnumProcEx"
		size = 920
		refs = "0008 __security_push_cookie 000e __acrt_getptd 0038 __acrt_GetLocaleInfoEx 005c _wcsicmp 00c8 wcslen 00dc wcsncpy_s 00f4 _invoke_watson_if_error 011c _wcsnicmp 017a TestDefaultCountry 02b8 TestDefaultLanguage 0380 __security_pop_cookie 038c ??_C@_1BDC@CGCEDIGP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 0390 ??_C@_1CM@OGEMFJNJ@?$AAL?$AAa?$AAn?$AAg?$AAC?$AAo?$AAu?$AAn?$AAt?$AAr?$AAy?$AAE?$AAn?$AAu?$AAm?$AAP?$AAr?$AAo?$AAc?$AAE?$AAx?$AA?$AA@ 0394 ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? C1 B0 ?? ?? ?? ?? 08 90 08 9B 50 33 02 93 02 9B 14 33 1B 68 00 2B 02 D0 07 23 04 93 02 E0 41 F2 02 03 04 93 40 23 20 AA 04 99 44 98 ?? ?? ?? ?? 09 90 09 9B 00 2B 07 D1 02 9B 03 F1 08 02 00 23 13 60 01 23 03 93 93 E1 20 A9 02 9B 1B 1D 18 68 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 40 F0 AF 80 02 9B 10 33 1B 68 00 2B 02 D0 03 23 05 93 02 E0 41 F2 01 03 05 93 40 23 20 AA 05 99 44 98 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 07 D1 02 9B 03 F1 08 02 00 23 13 60 01 23 03 93 6B E1 20 A9 02 9B 18 68 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 21 D1 02 9B 08 33 1B 68 43 F4 41 72 02 9B 08 33 1A 60 44 98 ?? ?? ?? ?? 0D 90 0D 9B 5B 1C 44 9A 55 21 02 98 00 F5 14 70 ?? ?? ?? ?? 0E 90 00 23 01 93 4F F4 D9 73 00 93 A9 4B A8 4A A6 49 0E 98 ?? ?? ?? ?? 66 E0 02 9B 08 33 1B 68 13 F0 02 0F 60 D1 02 9B 0C 33 1B 68 00 2B 2D D0 02 9B 0C 33 1A 68 20 A9 02 9B 18 68 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 21 D1 02 9B 08 33 1B 68 43 F0 02 02 02 9B 08 33 1A 60 44 98 ?? ?? ?? ?? 10 90 10 9B 5B 1C 44 9A 55 21 02 98 00 F5 14 70 ?? ?? ?? ?? 11 90 00 23 01 93 4F F4 DE 73 00 93 8D 4B 8B 4A 8A 49 11 98 ?? ?? ?? ?? 2D E0 02 9B 08 33 1B 68 13 F0 01 0F 27 D1 44 98 ?? ?? ?? ?? 12 90 12 9B 00 2B 20 D0 02 9B 08 33 1B 68 43 F0 01 02 02 9B 08 33 1A 60 44 98 ?? ?? ?? ?? 13 90 13 9B 5B 1C 44 9A 55 21 02 98 00 F5 14 70 ?? ?? ?? ?? 14 90 00 23 01 93 40 F2 C7 13 00 93 75 4B 74 4A 72 49 14 98 ?? ?? ?? ?? 02 9B 08 33 1B 68 03 F4 40 73 B3 F5 40 7F 00 F0 C4 80 02 9B 10 33 1B 68 00 2B 02 D0 03 23 06 93 02 E0 41 F2 01 03 06 93 40 23 20 AA 06 99 44 98 ?? ?? ?? ?? 15 90 15 9B 00 2B 07 D1 02 9B 03 F1 08 02 00 23 13 60 01 23 03 93 B3 E0 20 A9 02 9B 18 68 ?? ?? ?? ?? 16 90 16 9B 00 2B 40 F0 9D 80 02 9B 08 33 1B 68 43 F4 00 72 02 9B 08 33 1A 60 02 9B 10 33 1B 68 00 2B 27 D0 02 9B 08 33 1B 68 43 F4 80 72 02 9B 08 33 1A 60 02 9B 03 F5 14 73 1B 88 00 2B 18 D1 44 98 ?? ?? ?? ?? 17 90 17 9B 5B 1C 44 9A 55 21 02 98 00 F5 14 70 ?? ?? ?? ?? 18 90 00 23 01 93 40 F2 E7 13 00 93 43 4B 42 4A 40 49 18 98 ?? ?? ?? ?? 67 E0 02 9B 0C 33 1B 68 00 2B 3B D0 02 9B 18 68 ?? ?? ?? ?? 19 90 02 9B 0C 33 19 9A 1B 68 9A 42 30 D1 02 9A 01 21 44 98 ?? ?? ?? ?? 1A 90 1A 9B 00 2B 26 D0 02 9B 08 33 1B 68 43 F4 80 72 02 9B 08 33 1A 60 02 9B 03 F5 14 73 1B 88 00 2B 18 D1 44 98 ?? ?? ?? ?? 1B 90 1B 9B 5B 1C 44 9A 55 21 02 98 00 F5 14 70 ?? ?? ?? ?? 1C 90 00 23 01 93 4F F4 FA 73 00 93 23 4B 21 4A 20 49 1C 98 ?? ?? ?? ?? 26 E0 02 9B 08 33 1B 68 43 F4 80 72 02 9B 08 33 1A 60 02 9B 03 F5 14 73 1B 88 00 2B 18 D1 44 98 ?? ?? ?? ?? 1D 90 1D 9B 5B 1C 44 9A 55 21 02 98 00 F5 14 70 ?? ?? ?? ?? 1E 90 00 23 01 93 40 F2 FD 13 00 93 0F 4B 0D 4A 0C 49 1E 98 ?? ?? ?? ?? 02 9B 08 33 1B 68 13 F0 04 0F 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 03 93 03 98 41 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_467_6_0 {
	meta:
		name = "LanguageEnumProcEx"
		size = 224
		refs = "0008 __security_push_cookie 000e __acrt_getptd 0038 __acrt_GetLocaleInfoEx 005a _wcsicmp 0068 wcslen 007c wcsncpy_s 0094 _invoke_watson_if_error 00c6 __security_pop_cookie 00d4 ??_C@_1BDC@CGCEDIGP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 00d8 ??_C@_1CG@PGLLICHO@?$AAL?$AAa?$AAn?$AAg?$AAu?$AAa?$AAg?$AAe?$AAE?$AAn?$AAu?$AAm?$AAP?$AAr?$AAo?$AAc?$AAE?$AAx?$AA?$AA@ 00dc ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? C9 B0 ?? ?? ?? ?? 06 90 06 9B 50 33 02 93 02 9B 10 33 1B 68 00 2B 02 D0 03 23 03 93 02 E0 41 F2 01 03 03 93 78 23 0C AA 03 99 4C 98 ?? ?? ?? ?? 07 90 07 9B 00 2B 07 D1 02 9B 03 F1 08 02 00 23 13 60 01 23 05 93 36 E0 0C A9 02 9B 18 68 ?? ?? ?? ?? 08 90 08 9B 00 2B 20 D1 4C 98 ?? ?? ?? ?? 09 90 09 9B 5B 1C 4C 9A 55 21 02 98 00 F5 14 70 ?? ?? ?? ?? 0A 90 00 23 01 93 40 F2 53 23 00 93 13 4B 12 4A 10 49 0A 98 ?? ?? ?? ?? 02 9B 08 33 1B 68 43 F0 04 02 02 9B 08 33 1A 60 02 9B 08 33 1B 68 13 F0 04 0F 02 D1 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 98 49 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_467_7_0 {
	meta:
		name = "ProcessCodePage"
		size = 188
		refs = "001c wcscmp 0034 __acrt_GetLocaleInfoEx 0092 _wtol 00ac ??_C@_17CIKBIHLH@?$AAO?$AAC?$AAP?$AA?$AA@ 00b0 __imp_GetACP 00b8 ??_C@_17DNCLJFIF@?$AAA?$AAC?$AAP?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 2B 0B D0 0A 9B 1B 88 00 2B 07 D0 27 49 0A 98 ?? ?? ?? ?? 02 90 02 9B 00 2B 19 D1 02 23 6A 46 21 49 0B 98 00 F5 14 70 ?? ?? ?? ?? 03 90 03 9B 00 2B 02 D1 00 23 01 93 2C E0 00 9B 00 2B 06 D1 18 4B 1B 68 98 47 04 90 04 9B 01 93 22 E0 1F E0 13 49 0A 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 11 D1 02 23 6A 46 01 21 49 07 0B 31 0B 98 00 F5 14 70 ?? ?? ?? ?? 06 90 06 9B 00 2B 02 D1 00 23 01 93 08 E0 05 E0 0A 98 ?? ?? ?? ?? 07 90 07 9B 00 93 00 9B 01 93 01 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? 04 10 00 20 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_467_8_0 {
	meta:
		name = "TestDefaultCountry"
		size = 84
		refs = "0008 __security_push_cookie 0016 __acrt_GetLocaleInfoEx 002e wcsncmp 0048 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 89 B0 09 23 04 AA 59 21 0C 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 00 23 00 93 0D E0 09 22 0C 99 04 A8 ?? ?? ?? ?? 02 90 02 9B 00 2B 02 D1 01 23 00 93 01 E0 00 23 00 93 00 98 09 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_467_9_0 {
	meta:
		name = "TestDefaultLanguage"
		size = 80
		refs = "000c TestDefaultCountry 0022 GetPrimaryLen 002c wcslen"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 13 D1 07 9B 00 2B 10 D0 08 9B 18 68 ?? ?? ?? ?? 02 90 08 9B 18 68 ?? ?? ?? ?? 03 90 02 9A 03 9B 9A 42 02 D1 00 23 00 93 01 E0 01 23 00 93 00 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_467_10_0 {
	meta:
		name = "TranslateName"
		size = 154
		refs = "0028 __rt_sdiv 0040 _wcsicmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 01 23 00 93 00 23 02 93 02 9A 09 9B 9A 42 2F DC 00 9B 00 2B 2C D0 02 9A 09 9B D1 18 02 20 ?? ?? ?? ?? 01 90 01 9A 0C 23 02 FB 03 F2 08 9B 13 44 19 68 0A 9B 18 68 ?? ?? ?? ?? 04 90 04 9B 00 93 00 9B 00 2B 09 D1 01 9A 0C 23 02 FB 03 F2 08 9B 13 44 1A 1D 0A 9B 1A 60 09 E0 00 9B 00 2B 03 DA 01 9B 5B 1E 09 93 02 E0 01 9B 5B 1C 02 93 CB E7 00 9B 00 2B 02 D1 01 23 03 93 01 E0 00 23 03 93 03 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_467_11_0 {
	meta:
		name = "__acrt_get_qualified_locale"
		size = 560
		refs = "000a __acrt_getptd 0050 TranslateName 006c GetLocaleNameFromLangCountry 0074 GetLocaleNameFromLanguage 00b2 GetLocaleNameFromDefault 00de ProcessCodePage 013c wcslen 0154 wcsncpy_s 016a _invoke_watson_if_error 017c __acrt_GetLocaleInfoEx 01b8 ?wcschr@@YAPA_WPA_W_W@Z 0204 _itow_s 0218 ??_C@_1BFC@DEALMEIM@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAp?$AAO?$AAu?$AAt?$AAS?$AAt?$AAr?$AA?9?$AA?$DO?$AAs?$AAz?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe@ 021c ??_C@_1DI@HCPCNHHP@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAg?$AAe?$AAt?$AA_?$AAq?$AAu?$AAa?$AAl?$AAi?$AAf?$AAi?$AAe?$AAd?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 0220 ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0224 __imp_IsValidCodePage 0228 __acrt_rg_language 022c __acrt_rg_country"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 ?? ?? ?? ?? 06 90 06 9B 50 33 02 93 02 9B 03 F5 14 72 00 23 13 80 02 9B 03 F1 08 02 00 23 13 60 14 9A 02 9B 1A 60 14 9B 03 F1 80 02 02 9B 1B 1D 1A 60 02 9B 1B 1D 1B 68 1B 88 00 2B 05 D0 02 9B 1A 1D 16 21 77 48 ?? ?? ?? ?? 02 9B 1B 68 1B 88 00 2B 28 D0 02 9B 1B 1D 1B 68 1B 88 00 2B 03 D0 02 98 ?? ?? ?? ?? 02 E0 02 98 ?? ?? ?? ?? 02 9B 08 33 1B 68 00 2B 15 D1 02 9A 40 21 68 48 ?? ?? ?? ?? 07 90 07 9B 00 2B 0C D0 02 9B 1B 1D 1B 68 1B 88 00 2B 03 D0 02 98 ?? ?? ?? ?? 02 E0 02 98 ?? ?? ?? ?? 02 E0 02 98 ?? ?? ?? ?? 02 9B 08 33 1B 68 00 2B 02 D1 00 23 04 93 A2 E0 14 9B 00 2B 04 D0 14 9B 03 F5 80 73 05 93 01 E0 00 23 05 93 02 99 05 98 ?? ?? ?? ?? 08 90 08 9B 03 93 03 9B 00 2B 12 D0 03 9A 4F F6 E8 53 9A 42 0D D0 03 9A 4F F6 E9 53 9A 42 08 D0 03 9B 98 B2 47 4B 1B 68 98 47 09 90 09 9B 00 2B 02 D1 00 23 04 93 78 E0 15 9B 00 2B 02 D0 03 9A 15 9B 1A 60 16 9B 00 2B 6D D0 16 9B 03 F5 90 72 00 23 13 80 02 9B 03 F5 14 70 ?? ?? ?? ?? 0A 90 0A 9B 5B 1C 02 9A 02 F5 14 72 55 21 16 98 00 F5 90 70 ?? ?? ?? ?? 0B 90 00 23 01 93 FD 23 00 93 2F 4B 2D 4A 2C 49 0B 98 ?? ?? ?? ?? 40 23 16 9A 41 F2 01 01 16 98 00 F5 90 70 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 02 D1 00 23 04 93 3E E0 40 23 16 9A 80 32 41 F2 02 01 16 98 00 F5 90 70 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 02 D1 00 23 04 93 2D E0 5F 21 16 9B 03 F1 80 00 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 09 D1 2E 21 16 9B 03 F1 80 00 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 0F D0 40 23 16 9A 80 32 07 21 16 98 00 F5 90 70 ?? ?? ?? ?? 10 90 10 9B 00 2B 02 D1 00 23 04 93 09 E0 0A 23 10 22 16 99 01 F5 80 71 03 98 ?? ?? ?? ?? 01 23 04 93 04 98 12 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_468_0_0 {
	meta:
		name = "__pctype_func"
		size = 48
		refs = "0008 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 4C 33 1B 68 01 93 01 A9 00 98 ?? ?? ?? ?? 01 9B 1B 68 03 93 03 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_469_2_0 {
	meta:
		name = "sinhf"
		size = 1148
		refs = "0072 valf_with_flags 00d4 _handle_nanf 01a2 _handle_errorf 0220 splitexp 0238 scaleDouble_1 03e4 ?cosh_lead@?1??sinhf@@9@9 03e8 ?sinh_lead@?1??sinhf@@9@9 0454 ?thirtytwo_by_log2@?1??sinhf@@9@9 0458 ?log2_by_32_lead@?1??sinhf@@9@9 045c ?log2_by_32_tail@?1??sinhf@@9@9 0460 ?small_threshold@?1??sinhf@@9@9 0464 ??_C@_05PJDDOCIG@sinhf?$AA@ 0470 ?max_sinh_arg@?1??sinhf@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 B0 8D ED 04 0A 9D ED 04 0A B7 EE C0 0A 8D ED 30 0B 9D ED 30 0B 53 EC 10 2B 12 92 13 93 12 9A 13 9B 23 F0 00 43 08 92 09 93 08 9B 22 93 09 9B 23 93 22 9B 18 93 23 9A DF F8 38 34 9A 42 1F D8 02 D3 18 9B 00 2B 1B D2 08 9B 24 93 09 9B 25 93 25 9A 24 9B 13 43 00 2B 05 D1 9D ED 04 0A 8D ED 05 0A B6 E1 0B E0 10 20 9D ED 04 0A ?? ?? ?? ?? 8D ED 19 0A 9D ED 19 0A 8D ED 05 0A A9 E1 39 E0 08 9B 26 93 09 9B 27 93 26 9B 1A 93 27 9A F7 4B 9A 42 2F D3 02 D8 1A 9B 00 2B 2B D3 08 9B 28 93 09 9B 29 93 28 9B 1B 93 29 9A F0 4B 9A 42 18 D3 02 D8 1B 9B 00 2B 14 D9 9D ED 04 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 1C 93 1C 98 00 21 ?? ?? ?? ?? 8D ED 1D 0A 9D ED 1D 0A 8D ED 05 0A 78 E1 08 E0 DD ED 04 0A 9D ED 04 0A 30 EE 80 0A 8D ED 05 0A 6E E1 08 9B 2A 93 09 9B 2B 93 12 9B 2C 93 13 9B 2D 93 2B 9B 1E 93 2D 9B 1F 93 2A 9A 2C 9B 9A 42 03 D1 1E 9A 1F 9B 9A 42 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9A 0A 9B DB 17 0E 92 0F 93 9D ED 30 0B 8D ED 10 0B 0E 9B 2E 93 0F 9B 2F 93 2F 9A 2E 9B 13 43 00 2B 05 D0 9D ED 30 0B B1 EE 40 0B 8D ED 10 0B 9D ED 10 1B C3 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 3D DB 0E 9B 32 93 0F 9B 33 93 33 9A 32 9B 13 43 00 2B 19 D0 01 23 03 93 DF ED B8 0A 9D ED 04 0A 22 23 02 93 01 23 01 93 03 23 00 93 B4 4A 00 23 1F 21 B0 48 ?? ?? ?? ?? 8D ED 20 0A 9D ED 20 0A 8D ED 05 0A 11 E1 19 E0 01 23 03 93 DF ED AB 0A 9D ED 04 0A 22 23 02 93 01 23 01 93 03 23 00 93 4F F0 FF 42 00 23 1F 21 A3 48 ?? ?? ?? ?? 8D ED 21 0A 9D ED 21 0A 8D ED 05 0A F6 E0 E0 E0 9D ED 10 1B 9B 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 24 DB 38 AA 36 A9 0B A8 95 4B 93 ED 00 4B 92 4B 93 ED 00 3B 90 4B 93 ED 00 2B B7 EE 00 1B 9D ED 10 0B ?? ?? ?? ?? 0B 9B 5B 1E 0B 93 0B 98 9D ED 36 1B 9D ED 38 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 3A 0B 9D ED 3A 0B 8D ED 16 0B B1 E0 9D ED 10 0B BD EE C0 0B 10 EE 10 3A 0C 93 0C 9B 00 EE 10 3A B8 EE C0 1B 9D ED 10 0B 30 EE 41 0B 8D ED 14 0B 9D ED 14 1B 9D ED 14 0B 21 EE 00 0B 8D ED 06 0B 9D ED 14 1B 9D ED 06 0B 21 EE 00 2B 9F ED 70 1B 9D ED 06 0B 21 EE 00 1B 9F ED 6B 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 65 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 5F 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 59 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 53 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 4D 0B 30 EE 01 0B 22 EE 00 1B 9D ED 14 0B 30 EE 01 0B 8D ED 3E 0B 9F ED 45 1B 9D ED 06 0B 21 EE 00 1B 9F ED 40 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 3A 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 34 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 2E 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9F ED 28 0B 30 EE 01 1B 9D ED 06 0B 21 EE 00 1B B6 EE 00 0B 30 EE 01 1B 9D ED 06 0B 20 EE 01 1B B7 EE 00 0B 30 EE 01 0B 8D ED 3C 0B 0C 9A 08 23 02 FB 03 F2 1A 4B 13 44 93 ED 00 1B 9D ED 3C 0B 21 EE 00 2B 0C 9A 08 23 02 FB 03 F2 13 4B 13 44 93 ED 00 1B 9D ED 3E 0B 21 EE 00 0B 32 EE 00 0B 8D ED 16 0B 0E 9B 34 93 0F 9B 35 93 35 9A 34 9B 13 43 00 2B 05 D0 9D ED 16 0B B1 EE 40 0B 8D ED 16 0B 9D ED 16 0B B7 EE C0 0B 8D ED 05 0A 9D ED 05 0A 40 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? 02 55 55 55 55 55 A5 3F E5 12 C2 16 6C C1 56 3F 11 90 07 19 A0 01 FA 3E 55 CB F1 69 50 7E 92 3E 20 7B 5B 38 56 EE 21 3E D7 FC 63 7F 4B 98 A9 3D 55 55 55 55 55 55 C5 3F FD 10 11 11 11 11 81 3F 80 EE 01 1A A0 01 2A 3F 7D 3E E1 A4 E3 1D C7 3E C0 61 BE 0F 46 E6 5A 3E BE B7 DC 2B CB 11 E6 3D 8B A0 1E 92 25 41 6B 3D ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 80 FF ?? ?? ?? ?? 00 00 F0 7F 00 00 10 3F }
	condition:
		$1
}

rule file_470_0_0 {
	meta:
		name = "wcspbrk"
		size = 88
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 02 E0 00 9B 9B 1C 00 93 00 9B 1B 88 00 2B 14 D0 07 9B 01 93 02 E0 01 9B 9B 1C 01 93 01 9B 1B 88 00 2B 09 D0 01 9B 1A 88 00 9B 1B 88 9A 42 02 D1 00 9B 02 93 03 E0 EE E7 E3 E7 00 23 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_471_0_0 {
	meta:
		name = "_add_exp"
		size = 70
		refs = "0028 _set_exp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 00 0B BD F8 06 20 47 F6 F0 73 13 40 1B 11 1B B2 A3 F2 FE 32 08 9B D0 18 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_471_1_0 {
	meta:
		name = "_decomp"
		size = 288
		refs = "00c0 _set_exp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 8D ED 04 0B 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 06 D1 9F ED 3E 0B 8D ED 06 0B 00 23 00 93 68 E0 BD F8 16 20 47 F6 F0 73 13 40 00 2B 4C D1 05 9B 1B 03 00 2B 02 D1 04 9B 00 2B 45 D0 6F F4 7F 73 00 93 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 02 D2 01 23 01 93 01 E0 00 23 01 93 01 9B 02 93 BD F8 16 30 13 F0 10 0F 11 D1 05 9B 5B 00 05 93 04 9B 13 F0 00 4F 03 D0 05 9B 43 F0 01 03 05 93 04 9B 5B 00 04 93 00 9B 5B 1E 00 93 E8 E7 BD F8 16 20 4F F6 EF 73 13 40 9B B2 AD F8 16 30 02 9B 00 2B 06 D0 BD F8 16 30 43 F4 00 43 9B B2 AD F8 16 30 00 20 9D ED 04 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B 14 E0 00 20 9D ED 04 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 06 0B BD F8 16 20 47 F6 F0 73 13 40 1B 11 1B B2 A3 F2 FE 33 00 93 00 9A 10 9B 1A 60 9D ED 06 0B 8D ED 0C 0B 9D ED 0C 0B 0E B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_471_2_0 {
	meta:
		name = "_get_exp"
		size = 58
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 02 0B BD F8 0E 20 47 F6 F0 73 13 40 1B 11 1B B2 AD F8 00 30 BD F9 00 30 A3 F2 FE 33 1B B2 AD F8 00 30 BD F9 00 30 01 93 01 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_471_3_0 {
	meta:
		name = "_set_bexp"
		size = 66
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B BD F8 06 20 48 F2 0F 03 1A 40 08 9B 1B 01 13 43 9B B2 AD F8 0E 30 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_471_4_0 {
	meta:
		name = "_set_exp"
		size = 74
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 0A 9B 03 F2 FE 33 00 93 BD F8 0E 20 48 F2 0F 03 1A 40 00 9B 1B 01 13 43 9B B2 AD F8 16 30 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_471_5_0 {
	meta:
		name = "_sptype"
		size = 132
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 02 0B 03 9A 1C 4B 9A 42 05 D1 02 9B 00 2B 02 D1 01 23 00 93 2A E0 03 9B 13 F5 80 1F 05 D1 02 9B 00 2B 02 D1 02 23 00 93 20 E0 BD F8 0E 20 47 F6 F8 73 1A 40 47 F6 F8 73 9A 42 02 D1 03 23 00 93 14 E0 BD F8 0E 20 47 F6 F8 73 1A 40 47 F6 F0 73 9A 42 09 D1 03 9B 5B 03 00 2B 02 D1 02 9B 00 2B 02 D0 04 23 00 93 01 E0 00 23 00 93 00 98 04 B0 BD E8 00 88 FE DE 00 00 F0 7F }
	condition:
		$1
}

rule file_473_2_0 {
	meta:
		name = "??$common_strtime_s@D@@YAHQADI@Z"
		size = 500
		refs = "0008 __security_push_cookie 003e _CrtDbgReportW 0052 _errno 006a _invalid_parameter 0092 _CrtGetDebugFillThreshold 00ba memset 013c __rt_sdiv 01d0 __security_pop_cookie 01dc __imp_GetLocalTime 01e0 ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 01e4 ??_C@_1CC@ICCIFG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 01e8 ??_C@_1GA@LLHNMCDN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01f0 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 1A 9B 00 2B 05 D0 1B 9B 00 2B 02 D9 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 70 4B 01 93 6E 4B 00 93 00 23 18 22 6B 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 18 23 60 4A 5F 49 61 48 ?? ?? ?? ?? 16 23 02 93 AB E0 1A 9A 00 23 13 70 1B 9B B3 F1 FF 3F 1D D0 1B 9A 6F F0 00 43 9A 42 18 D0 1B 9B 01 2B 15 D9 ?? ?? ?? ?? 0E 90 0E 9B 05 93 1B 9B 5A 1E 05 9B 93 42 02 D2 05 9B 06 93 02 E0 1B 9B 5B 1E 06 93 06 9A FE 21 1A 9B 58 1C ?? ?? ?? ?? 1B 9B 09 2B 02 D3 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 41 4B 01 93 43 4B 00 93 00 23 1A 22 40 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 22 23 13 60 00 23 00 93 1A 23 36 4A 34 49 33 48 ?? ?? ?? ?? 22 23 02 93 56 E0 12 A8 2E 4B 1B 68 98 47 BD F8 50 30 09 93 BD F8 52 30 0A 93 BD F8 54 30 0B 93 09 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 5A B2 1A 9B 1A 70 09 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 5A B2 1A 9B 5B 1C 1A 70 1A 9B 9A 1C 3A 23 13 70 0A 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 5A B2 1A 9B DB 1C 1A 70 0A 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 5A B2 1A 9B 1B 1D 1A 70 1A 9B 5A 1D 3A 23 13 70 0B 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 5A B2 1A 9B 9B 1D 1A 70 0B 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 5A B2 1A 9B DB 1D 1A 70 1A 9B 03 F1 08 02 00 23 13 70 00 23 02 93 02 98 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_473_3_0 {
	meta:
		name = "??$common_strtime_s@_W@@YAHQA_WI@Z"
		size = 508
		refs = "0008 __security_push_cookie 003e _CrtDbgReportW 0052 _errno 006a _invalid_parameter 0092 _CrtGetDebugFillThreshold 00c0 memset 0142 __rt_sdiv 01d8 __security_pop_cookie 01e4 __imp_GetLocalTime 01e8 ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 01ec ??_C@_1CC@ICCIFG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 01f0 ??_C@_1GA@LLHNMCDN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01f8 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 1A 9B 00 2B 05 D0 1B 9B 00 2B 02 D9 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 72 4B 01 93 70 4B 00 93 00 23 18 22 6D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 18 23 62 4A 61 49 63 48 ?? ?? ?? ?? 16 23 02 93 AF E0 1A 9A 00 23 13 80 1B 9B B3 F1 FF 3F 20 D0 1B 9A 6F F0 00 43 9A 42 1B D0 1B 9B 01 2B 18 D9 ?? ?? ?? ?? 0E 90 0E 9B 05 93 1B 9B 5A 1E 05 9B 93 42 02 D2 05 9B 06 93 02 E0 1B 9B 5B 1E 06 93 06 9A 02 23 02 FB 03 F2 FE 21 1A 9B 98 1C ?? ?? ?? ?? 1B 9B 09 2B 02 D3 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 42 4B 01 93 44 4B 00 93 00 23 1A 22 41 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 22 23 13 60 00 23 00 93 1A 23 36 4A 35 49 33 48 ?? ?? ?? ?? 22 23 02 93 57 E0 12 A8 2F 4B 1B 68 98 47 BD F8 50 30 09 93 BD F8 52 30 0A 93 BD F8 54 30 0B 93 09 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 9A B2 1A 9B 1A 80 09 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 9A B2 1A 9B 9B 1C 1A 80 1A 9B 1A 1D 3A 23 13 80 0A 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 9A B2 1A 9B 9B 1D 1A 80 0A 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 9A B2 1A 9B 08 33 1A 80 1A 9B 03 F1 0A 02 3A 23 13 80 0B 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 9A B2 1A 9B 0C 33 1A 80 0B 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 9A B2 1A 9B 0E 33 1A 80 1A 9B 03 F1 10 02 00 23 13 80 00 23 02 93 02 98 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_475_0_0 {
	meta:
		name = "fegetexceptflag"
		size = 88
		refs = "0028 _getfpstatusword 0034 __acrt_fenv_get_fp_status_word_from_exception_mask"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 07 9B 03 F0 1F 03 07 93 07 9B 00 2B 05 D1 06 9A 00 23 13 60 00 23 01 93 11 E0 ?? ?? ?? ?? 02 90 02 9B 00 93 07 98 ?? ?? ?? ?? 03 90 00 9A 03 9B 13 40 00 93 00 9A 06 9B 1A 60 00 23 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_476_0_0 {
	meta:
		name = "__acrt_wcstok_s_novalidation"
		size = 210
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 2B 02 D0 0A 9B 03 93 02 E0 0C 9B 1B 68 03 93 03 9B 00 93 00 9B 1B 88 00 2B 19 D0 0B 9B 01 93 02 E0 01 9B 9B 1C 01 93 01 9B 1B 88 00 2B 06 D0 01 9B 1A 88 00 9B 1B 88 9A 42 00 D0 F1 E7 01 9B 1B 88 00 2B 00 D1 03 E0 00 9B 9B 1C 00 93 E1 E7 00 9B 04 93 02 E0 00 9B 9B 1C 00 93 00 9B 1B 88 00 2B 1C D0 0B 9B 02 93 02 E0 02 9B 9B 1C 02 93 02 9B 1B 88 00 2B 06 D0 02 9B 1A 88 00 9B 1B 88 9A 42 00 D0 F1 E7 02 9B 1B 88 00 2B 06 D0 00 9A 00 23 13 80 00 9B 9B 1C 00 93 00 E0 DB E7 00 9A 0C 9B 1A 60 00 9A 04 9B 9A 42 02 D0 04 9B 05 93 01 E0 00 23 05 93 05 9B 06 93 06 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_477_4_0 {
	meta:
		name = "?fputwc_binary_nolock@@YAG_WV__crt_stdio_stream@@@Z"
		size = 136
		refs = "000c ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0036 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0042 __acrt_stdio_flush_and_write_wide_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0B A8 ?? ?? ?? ?? 03 90 03 9B 08 33 01 93 01 9B 1B 68 9A 1E 01 9B 1A 60 0B A8 ?? ?? ?? ?? 04 90 04 9B 08 33 1B 68 00 2B 0E DA 0B A8 ?? ?? ?? ?? 05 90 05 99 BD F8 28 00 ?? ?? ?? ?? 06 90 06 9B 9B B2 AD F8 08 30 13 E0 0B A8 ?? ?? ?? ?? 07 90 07 9B 00 93 00 9B 1A 68 BD F8 28 30 13 80 00 9B 1B 68 9A 1C 00 9B 1A 60 BD F8 28 30 AD F8 08 30 BD F8 08 00 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_477_8_0 {
	meta:
		name = "_fputwc_nolock"
		size = 528
		refs = "0008 __security_push_cookie 0012 ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0018 ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 002e ?fputwc_binary_nolock@@YAG_WV__crt_stdio_stream@@@Z 0042 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 004a _fileno 018e wctomb_s 01d2 _fputc_nolock 01fa __security_pop_cookie 0208 __badioinfo 020c __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 9F B0 23 99 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 8D F8 05 00 9D F8 05 30 00 2B 0B D0 00 99 BD F8 88 00 ?? ?? ?? ?? AD F8 10 00 BD F8 10 30 AD F8 08 30 D9 E0 68 46 ?? ?? ?? ?? 08 90 08 98 ?? ?? ?? ?? 09 90 09 9B B3 F1 FF 3F 2C D0 68 46 ?? ?? ?? ?? 0A 90 0A 98 ?? ?? ?? ?? 0B 90 0B 9B 13 F1 02 0F 20 D0 68 46 ?? ?? ?? ?? 0C 90 0C 98 ?? ?? ?? ?? 0E 90 68 46 ?? ?? ?? ?? 0D 90 0D 98 ?? ?? ?? ?? 0F 90 0E 9B 9A 11 04 23 02 FB 03 F2 5C 4B 99 18 0F 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 06 93 01 E0 55 4B 06 93 06 9B 29 33 93 F9 00 30 8D F8 04 30 9D F9 04 30 02 2B 03 D0 9D F9 04 30 01 2B 0B D1 00 99 BD F8 88 00 ?? ?? ?? ?? AD F8 12 00 BD F8 12 30 AD F8 08 30 84 E0 68 46 ?? ?? ?? ?? 10 90 10 98 ?? ?? ?? ?? 11 90 11 9B B3 F1 FF 3F 2C D0 68 46 ?? ?? ?? ?? 12 90 12 98 ?? ?? ?? ?? 13 90 13 9B 13 F1 02 0F 20 D0 68 46 ?? ?? ?? ?? 14 90 14 98 ?? ?? ?? ?? 16 90 68 46 ?? ?? ?? ?? 15 90 15 98 ?? ?? ?? ?? 17 90 16 9B 9A 11 04 23 02 FB 03 F2 31 4B 99 18 17 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 07 93 01 E0 2A 4B 07 93 07 9B 28 33 1B 78 13 F0 80 0F 0B D1 00 99 BD F8 88 00 ?? ?? ?? ?? AD F8 14 00 BD F8 14 30 AD F8 08 30 37 E0 BD F8 88 30 05 22 1C A9 19 A8 ?? ?? ?? ?? 18 90 18 9B 00 2B 04 D0 4F F6 FF 73 AD F8 08 30 27 E0 00 23 03 93 02 E0 03 9B 5B 1C 03 93 03 9A 19 9B 9A 42 19 DA 68 46 ?? ?? ?? ?? 1A 90 1A 99 03 9A 01 23 02 FB 03 F2 1C AB 13 44 93 F9 00 00 ?? ?? ?? ?? 1B 90 1B 9B B3 F1 FF 3F 04 D1 4F F6 FF 73 AD F8 08 30 04 E0 DE E7 BD F8 88 30 AD F8 08 30 BD F8 08 00 1F B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_477_9_0 {
	meta:
		name = "_fputwchar"
		size = 54
		refs = "000c __acrt_iob_func 0018 fputwc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 01 20 ?? ?? ?? ?? 01 90 01 99 BD F8 18 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 08 30 BD F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_477_10_0 {
	meta:
		name = "_putwc_nolock"
		size = 46
		refs = "0010 _fputwc_nolock"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 BD F8 10 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_477_13_0 {
	meta:
		name = "putwc"
		size = 46
		refs = "0010 fputwc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 BD F8 10 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_477_11_0 {
	meta:
		name = "fputwc"
		size = 180
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 007a _lock_file 0082 _fputwc_nolock 008e _unlock_file 00a4 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a8 ??_C@_1O@HJNPHHHB@?$AAf?$AAp?$AAu?$AAt?$AAw?$AAc?$AA?$AA@ 00ac ??_C@_1GA@OJHMFOOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 82 B0 FB 6A 00 2B 02 D0 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 54 22 1D 49 02 20 ?? ?? ?? ?? 38 61 3B 69 01 2B 00 D1 FE DE BB 68 00 2B 11 D1 ?? ?? ?? ?? 78 61 7A 69 16 23 13 60 00 23 00 93 54 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 4F F6 FF 73 BB 81 11 E0 4F F6 FF 73 3B 80 F8 6A ?? ?? ?? ?? F9 6A 38 8D ?? ?? ?? ?? 78 80 7B 88 3B 80 F8 6A ?? ?? ?? ?? 3B 88 BB 81 B8 89 09 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_477_14_0 {
	meta:
		name = "putwchar"
		size = 44
		refs = "000e _fputwchar"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BD F8 10 00 ?? ?? ?? ?? AD F8 00 00 BD F8 00 30 AD F8 04 30 BD F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_478_0_0 {
	meta:
		name = "copysignl"
		size = 70
		altNames = "copysign"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 04 1B 8D ED 02 0B 02 AB 9B 1D 00 93 04 AB 9B 1D 01 93 00 9B 1B 88 23 F4 00 42 01 9B 1B 88 03 F4 00 43 13 43 9A B2 00 9B 1A 80 9D ED 02 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_479_0_0 {
	meta:
		name = "wcscmp"
		size = 98
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 04 9B 1A 88 05 9B 1B 88 D3 1A 00 93 00 9B 00 2B 0A D1 05 9B 1B 88 00 2B 06 D0 04 9B 9B 1C 04 93 05 9B 9B 1C 05 93 EB E7 00 9B 00 2B 04 DA 6F F0 00 03 01 93 08 E0 05 E0 00 9B 00 2B 02 DD 01 23 01 93 01 E0 00 23 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_480_3_0 {
	meta:
		name = "?LongLongSub@@YAJ_J0PA_J@Z"
		size = 248
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 16 98 17 99 18 9A 19 9B 82 1A 61 EB 03 03 0A 92 0B 93 16 9B 0C 93 17 9B 0D 93 0C 9B 05 93 0D 9B 00 2B 06 DC 02 DB 05 9B 00 2B 02 D2 01 23 00 93 01 E0 00 23 00 93 18 9B 0E 93 19 9B 0F 93 0E 9B 06 93 0F 9B 00 2B 06 DC 02 DB 06 9B 00 2B 02 D2 01 23 01 93 01 E0 00 23 01 93 00 9A 01 9B 9A 42 32 D0 16 9B 10 93 17 9B 11 93 10 9B 07 93 11 9B 00 2B 06 DC 02 DB 07 9B 00 2B 02 D2 01 23 02 93 01 E0 00 23 02 93 0A 9B 12 93 0B 9B 13 93 12 9B 08 93 13 9B 00 2B 06 DC 02 DB 08 9B 00 2B 02 D2 01 23 03 93 01 E0 00 23 03 93 02 9A 03 9B 9A 42 0A D0 1A 9A 6F F0 00 03 13 60 1A 9A 6F F0 00 03 53 60 09 4B 04 93 07 E0 0A 9A 1A 9B 1A 60 0B 9A 1A 9B 5A 60 00 23 04 93 04 9B 09 93 09 98 14 B0 5D F8 04 BB 5D F8 14 FB FE DE 16 02 07 80 }
	condition:
		$1
}

rule file_480_6_0 {
	meta:
		name = "?common_fseek@@YAHV__crt_stdio_stream@@_JH@Z"
		size = 328
		refs = "0014 ?valid@__crt_stdio_stream@@QBA_NXZ 0044 _CrtDbgReportW 0058 _errno 0070 _invalid_parameter 00f4 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 00fc _lock_file 010a ?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z 0120 _unlock_file 0134 ??_C@_1HO@BJGCGJL@?$AAw?$AAh?$AAe?$AAn?$AAc?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAE?$AAE?$AAK?$AA_?$AAS?$AAE?$AAT?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAw?$AAh?$AAe?$AAn?$AAc?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5@ 0138 ??_C@_1BK@HEPGDNON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAe?$AAe?$AAk?$AA?$AA@ 013c ??_C@_1FO@KMPAKEKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0144 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 82 B0 17 F1 48 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 43 4B 01 93 41 4B 00 93 00 23 B4 22 3E 49 02 20 ?? ?? ?? ?? 38 62 3B 6A 01 2B 00 D1 FE DE 3B 69 00 2B 11 D1 ?? ?? ?? ?? 78 62 7A 6A 16 23 13 60 00 23 00 93 B4 23 34 4A 32 49 35 48 ?? ?? ?? ?? 6F F0 00 03 BB 60 55 E0 BB 6D 00 2B 08 D0 BB 6D 01 2B 05 D0 BB 6D 02 2B 02 D0 00 23 7B 61 01 E0 01 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 24 4B 01 93 26 4B 00 93 00 23 B5 22 23 49 02 20 ?? ?? ?? ?? B8 62 BB 6A 01 2B 00 D1 FE DE BB 69 00 2B 11 D1 ?? ?? ?? ?? F8 62 FA 6A 16 23 13 60 00 23 00 93 B5 23 18 4A 17 49 15 48 ?? ?? ?? ?? 6F F0 00 03 BB 60 1E E0 6F F0 00 03 FB 61 17 F1 48 00 ?? ?? ?? ?? 38 63 38 6B ?? ?? ?? ?? BB 6D 00 93 3A 6D 7B 6D B8 6C ?? ?? ?? ?? 78 63 7B 6B FB 61 17 F1 48 00 ?? ?? ?? ?? 78 60 78 68 ?? ?? ?? ?? FB 69 BB 60 B8 68 11 B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_480_8_0 {
	meta:
		name = "?common_fseek_binary_mode_read_only_fast_track_nolock@@YA_NV__crt_stdio_stream@@_JH@Z"
		size = 604
		refs = "001a ?has_any_buffer@__crt_stdio_stream@@QBA_NXZ 0036 ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z 0050 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 006a ?lowio_handle@__crt_stdio_stream@@QBAHXZ 00dc _lseeki64_nolock 013c ?LongLongSub@@YAJ_J0PA_J@Z 0258 __pioinfo"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AE B0 34 9B 02 2B 03 D1 00 23 8D F8 0C 30 18 E1 30 A8 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 03 D1 00 23 8D F8 0C 30 0B E1 06 21 30 A8 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 03 D0 00 23 8D F8 0C 30 FD E0 30 A8 ?? ?? ?? ?? 1B 90 1B 9B 08 33 1B 68 00 2B 03 DC 00 23 8D F8 0C 30 F0 E0 30 A8 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 9A 11 04 23 02 FB 03 F2 76 4B 99 18 05 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 80 0F 13 D1 05 9B 9A 11 04 23 02 FB 03 F2 6C 4B 99 18 05 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 29 33 93 F9 00 30 00 2B 03 D0 00 23 8D F8 0C 30 BE E0 34 9B 00 2B 40 D1 01 23 00 93 00 22 00 23 05 98 ?? ?? ?? ?? 1D 91 1C 90 1C 9B 0C 93 1D 9B 0D 93 0C 9B 1E 93 0D 9B 1F 93 1E 9B 0F 93 1F 9B 00 2B 07 DC 02 DB 0F 9B 00 2B 03 D2 00 23 8D F8 0C 30 9D E0 30 A8 ?? ?? ?? ?? 10 90 10 9B 08 33 1B 68 06 93 06 98 06 9B D9 17 0C 9A 0D 9B 12 1A 8B 41 20 92 21 93 32 AB 00 93 20 9A 21 9B 32 98 33 99 ?? ?? ?? ?? 11 90 11 9B 00 2B 03 DA 00 23 8D F8 0C 30 7C E0 01 23 34 93 30 A8 ?? ?? ?? ?? 12 90 30 A8 ?? ?? ?? ?? 13 90 12 9A 13 9B 1B 1D 12 68 1B 68 D3 1A 5B 42 07 93 07 9A 07 9B DB 17 22 92 23 93 30 A8 ?? ?? ?? ?? 14 90 14 9B 08 33 1B 68 08 93 08 9A 08 9B DB 17 28 92 29 93 22 9B 24 93 23 9B 25 93 32 9B 26 93 33 9B 27 93 24 9B 15 93 26 9B 16 93 25 9A 27 9B 9A 42 1D DC 03 DB 15 9A 16 9B 9A 42 18 D8 32 9B 2A 93 33 9B 2B 93 28 9B 2C 93 29 9B 2D 93 2A 9B 17 93 2C 9B 18 93 2B 9A 2D 9B 9A 42 08 DC 03 DB 17 9A 18 9B 9A 42 03 D8 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 12 30 9D F8 12 30 00 2B 03 D1 00 23 8D F8 0C 30 1B E0 30 A8 ?? ?? ?? ?? 19 90 19 9B 09 93 32 9A 09 9B 1B 68 1A 44 09 9B 1A 60 30 A8 ?? ?? ?? ?? 1A 90 1A 9B 08 33 0A 93 32 9A 0A 9B 1B 68 9A 1A 0A 9B 1A 60 01 23 8D F8 0C 30 9D F8 0C 00 2E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_480_9_0 {
	meta:
		name = "?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z"
		size = 314
		refs = "000c ?is_in_use@__crt_stdio_stream@@QBA_NXZ 001c _errno 0034 ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 0042 ?common_fseek_binary_mode_read_only_fast_track_nolock@@YA_NV__crt_stdio_stream@@_JH@Z 0060 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0068 _ftelli64_nolock 008e __acrt_stdio_flush_nolock 0094 ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 009c ?has_all_of@__crt_stdio_stream@@QBA_NJ@Z 00d0 ?has_any_of@__crt_stdio_stream@@QBA_NJ@Z 00e2 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 00f6 ?lowio_handle@__crt_stdio_stream@@QBAHXZ 0106 _lseeki64_nolock"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 12 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 09 D1 ?? ?? ?? ?? 05 90 05 9A 16 23 13 60 6F F0 00 03 04 93 7E E0 08 21 12 A8 ?? ?? ?? ?? 16 9B 00 93 14 9A 15 9B 12 98 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 00 23 04 93 6A E0 16 9B 01 2B 12 D1 12 A8 ?? ?? ?? ?? 06 90 06 98 ?? ?? ?? ?? 0B 91 0A 90 14 98 15 99 0A 9A 0B 9B 12 18 4B 41 14 92 15 93 00 23 16 93 12 A8 ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? 12 98 ?? ?? ?? ?? 04 21 12 A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 04 D0 03 21 12 A8 ?? ?? ?? ?? 1E E0 41 21 12 A8 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 14 D0 4F F4 80 71 12 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 09 D1 12 A8 ?? ?? ?? ?? 08 90 08 9B 03 F1 18 02 4F F4 00 73 13 60 12 A8 ?? ?? ?? ?? 09 90 16 9B 00 93 14 9A 15 9B 09 98 ?? ?? ?? ?? 0D 91 0C 90 0C 9B 0E 93 0D 9B 0F 93 0F 9A 0E 9B 13 40 B3 F1 FF 3F 03 D1 6F F0 00 03 04 93 01 E0 00 23 04 93 04 98 10 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_480_19_0 {
	meta:
		name = "_fseek_nolock"
		size = 60
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0026 ?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 99 06 A8 ?? ?? ?? ?? 02 90 0C 9B 00 93 0B 9A 0B 9B DB 17 02 99 03 91 03 99 08 68 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_480_22_0 {
	meta:
		name = "fseek"
		size = 60
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0026 ?common_fseek@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 99 06 A8 ?? ?? ?? ?? 02 90 0C 9B 00 93 0B 9A 0B 9B DB 17 02 99 03 91 03 99 08 68 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_480_20_0 {
	meta:
		name = "_fseeki64"
		size = 58
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0024 ?common_fseek@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 99 06 A8 ?? ?? ?? ?? 02 90 0E 9B 00 93 0C 9A 0D 9B 02 99 03 91 03 99 08 68 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_480_21_0 {
	meta:
		name = "_fseeki64_nolock"
		size = 58
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0024 ?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 99 06 A8 ?? ?? ?? ?? 02 90 0E 9B 00 93 0C 9A 0D 9B 02 99 03 91 03 99 08 68 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_481_10_0 {
	meta:
		name = "_ungetc_nolock"
		size = 700
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0018 memcpy 001e ?is_string_backed@__crt_stdio_stream@@QBA_NXZ 0030 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0038 _fileno 00ec _CrtDbgReportW 0100 _errno 0118 _invalid_parameter 0138 ?has_all_of@__crt_stdio_stream@@QBA_NJ@Z 0176 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0190 __acrt_stdio_allocate_buffer_nolock 0286 ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z 028e ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 02a4 ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 02a8 ??_C@_1BO@OLMLKKEA@?$AA_?$AAu?$AAn?$AAg?$AAe?$AAt?$AAc?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 02ac ??_C@_1GA@JPJEOEOF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 02b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02b4 __badioinfo 02b8 __pioinfo"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 A2 B0 25 99 02 A8 ?? ?? ?? ?? 07 A8 02 A9 04 22 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 4F D1 07 A8 ?? ?? ?? ?? 11 90 11 98 ?? ?? ?? ?? 12 90 12 9B 03 93 03 9B B3 F1 FF 3F 14 D0 03 9B 13 F1 02 0F 10 D0 03 9B 9A 11 04 23 02 FB 03 F2 96 4B 99 18 03 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 08 93 01 E0 8F 4B 08 93 08 9B 29 33 93 F9 00 30 00 2B 21 D1 03 9B B3 F1 FF 3F 14 D0 03 9B 13 F1 02 0F 10 D0 03 9B 9A 11 04 23 02 FB 03 F2 86 4B 99 18 03 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 09 93 01 E0 7F 4B 09 93 09 9B 2D 33 1B 78 03 F0 01 03 00 2B 02 D0 00 23 0A 93 01 E0 01 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 71 4B 01 93 73 4B 00 93 00 23 29 22 70 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 11 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 29 23 66 4A 64 49 63 48 ?? ?? ?? ?? 6F F0 00 03 06 93 B9 E0 24 9B B3 F1 FF 3F 03 D1 6F F0 00 03 06 93 B1 E0 01 21 02 A8 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 8D F8 13 30 06 21 02 A8 ?? ?? ?? ?? 8D F8 12 00 9D F8 12 30 8D F8 14 30 9D F8 13 30 00 2B 07 D1 9D F8 14 30 00 2B 03 D1 6F F0 00 03 06 93 91 E0 02 A8 ?? ?? ?? ?? 15 90 15 9B 1B 1D 1B 68 00 2B 06 D1 02 A8 ?? ?? ?? ?? 16 90 16 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 17 90 02 A8 ?? ?? ?? ?? 18 90 17 9A 18 9B 1B 1D 12 68 1B 68 9A 42 17 D1 02 A8 ?? ?? ?? ?? 19 90 19 9B 08 33 1B 68 00 2B 03 D0 6F F0 00 03 06 93 65 E0 02 A8 ?? ?? ?? ?? 1A 90 1A 9B 0C 93 0C 9B 1B 68 5A 1C 0C 9B 1A 60 02 A8 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 00 2B 26 D0 02 A8 ?? ?? ?? ?? 1B 90 1B 9B 0D 93 0D 9B 1B 68 5A 1E 0D 9B 1A 60 02 A8 ?? ?? ?? ?? 1C 90 1C 9B 1B 68 93 F9 00 20 24 9B 5B B2 9A 42 0E D0 02 A8 ?? ?? ?? ?? 1D 90 1D 9B 0E 93 0E 9B 1B 68 5A 1C 0E 9B 1A 60 6F F0 00 03 06 93 2B E0 13 E0 02 A8 ?? ?? ?? ?? 1E 90 1E 9B 0F 93 0F 9B 1B 68 5A 1E 0F 9B 1A 60 02 A8 ?? ?? ?? ?? 1F 90 24 9B 5A B2 1F 9B 1B 68 1A 70 02 A8 ?? ?? ?? ?? 20 90 20 9B 08 33 10 93 10 9B 1B 68 5A 1C 10 9B 1A 60 08 21 02 A8 ?? ?? ?? ?? 01 21 02 A8 ?? ?? ?? ?? 24 9B DB B2 06 93 06 98 22 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_481_11_0 {
	meta:
		name = "ungetc"
		size = 180
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 007a _lock_file 0082 _ungetc_nolock 008e _unlock_file 00a4 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a8 ??_C@_1O@JDPLECOK@?$AAu?$AAn?$AAg?$AAe?$AAt?$AAc?$AA?$AA@ 00ac ??_C@_1GA@JPJEOEOF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00b0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 82 B0 FB 6A 00 2B 02 D0 01 23 3B 60 01 E0 00 23 3B 60 3B 68 7B 60 7B 68 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 12 22 1D 49 02 20 ?? ?? ?? ?? 38 61 3B 69 01 2B 00 D1 FE DE 7B 68 00 2B 11 D1 ?? ?? ?? ?? 78 61 7A 69 16 23 13 60 00 23 00 93 12 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 03 FB 60 11 E0 6F F0 00 03 BB 60 F8 6A ?? ?? ?? ?? F9 6A B8 6A ?? ?? ?? ?? B8 61 BB 69 BB 60 F8 6A ?? ?? ?? ?? BB 68 FB 60 F8 68 09 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_482_16_0 {
	meta:
		name = "_chsize"
		size = 58
		refs = "0012 _chsize_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9A 07 9B DB 17 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D1 00 23 00 93 02 E0 6F F0 00 03 00 93 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_482_17_0 {
	meta:
		name = "_chsize_nolock"
		size = 700
		refs = "0014 _lseeki64_nolock 0038 _errno 00c0 _calloc_dbg 00ca ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 00d0 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ 00fa ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 010a _setmode_nolock 0142 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ 014e _write_nolock 0160 __doserrno 0226 _get_osfhandle 02b0 __imp_GetLastError 02b4 __imp_SetEndOfFile 02b8 ??_C@_0DA@IEKPAGFB@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 C4 B0 01 23 00 93 00 22 00 23 46 98 ?? ?? ?? ?? 2B 91 2A 90 2A 9B 0C 93 2B 9B 0D 93 0C 9B 2C 93 0D 9B 2D 93 2D 9A 2C 9B 13 40 B3 F1 FF 3F 06 D1 ?? ?? ?? ?? 26 90 26 9B 1B 68 02 93 2D E1 02 23 00 93 00 22 00 23 46 98 ?? ?? ?? ?? 2F 91 2E 90 2E 9B 0A 93 2F 9B 0B 93 0A 9B 30 93 0B 9B 31 93 31 9A 30 9B 13 40 B3 F1 FF 3F 06 D1 ?? ?? ?? ?? 27 90 27 9B 1B 68 02 93 0F E1 48 98 49 99 0A 9A 0B 9B 82 1A 61 EB 03 03 04 92 05 93 04 9B 32 93 05 9B 33 93 32 9B 28 93 33 9B 00 2B C0 F2 93 80 03 DC 28 9B 00 2B 40 F2 8E 80 35 23 00 93 80 4B 02 22 01 21 4F F4 80 50 ?? ?? ?? ?? 0E 90 0E 99 06 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 0C 23 13 60 ?? ?? ?? ?? 10 90 10 9B 1B 68 11 93 06 A8 ?? ?? ?? ?? 11 9B 02 93 CE E0 4F F4 00 41 46 98 ?? ?? ?? ?? 12 90 12 9B 1C 93 04 9B 34 93 05 9B 35 93 34 9B 13 93 35 9B 00 2B 08 DB 03 DC 13 9B B3 F5 80 5F 03 D3 4F F4 80 53 08 93 01 E0 04 9B 08 93 08 9B 14 93 06 A8 ?? ?? ?? ?? 15 90 14 9A 15 99 46 98 ?? ?? ?? ?? 16 90 16 9B 07 93 07 9B B3 F1 FF 3F 18 D1 ?? ?? ?? ?? 17 90 17 9B 1B 68 05 2B 05 D1 ?? ?? ?? ?? 18 90 18 9A 0D 23 13 60 ?? ?? ?? ?? 19 90 19 9B 1B 68 1A 93 06 A8 ?? ?? ?? ?? 1A 9B 02 93 87 E0 07 98 07 9B D9 17 04 9A 05 9B 12 1A 8B 41 04 92 05 93 04 9B 36 93 05 9B 37 93 36 9B 1B 93 37 9B 00 2B AE DC 02 DB 1B 9B 00 2B AA D8 1C 99 46 98 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 4D E0 04 9B 38 93 05 9B 39 93 38 9B 1D 93 39 9B 00 2B 44 DC 02 DB 1D 9B 00 2B 40 D2 00 23 00 93 48 9A 49 9B 46 98 ?? ?? ?? ?? 3B 91 3A 90 3A 9B 3C 93 3B 9B 3D 93 3C 9B 3E 93 3D 9B 3F 93 3F 9A 3E 9B 13 40 B3 F1 FF 3F 06 D1 ?? ?? ?? ?? 1E 90 1E 9B 1B 68 02 93 3E E0 46 98 ?? ?? ?? ?? 1F 90 1F 98 21 4B 1B 68 98 47 20 90 20 9B 00 2B 16 D1 ?? ?? ?? ?? 21 90 21 9A 0D 23 13 60 19 4B 1B 68 98 47 22 90 ?? ?? ?? ?? 23 90 22 9A 23 9B 1A 60 ?? ?? ?? ?? 24 90 24 9B 1B 68 02 93 1B E0 00 23 00 93 0C 9A 0D 9B 46 98 ?? ?? ?? ?? 41 91 40 90 40 9B 42 93 41 9B 43 93 43 9A 42 9B 13 40 B3 F1 FF 3F 06 D1 ?? ?? ?? ?? 25 90 25 9B 1B 68 02 93 01 E0 00 23 02 93 02 98 44 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_482_18_0 {
	meta:
		name = "_chsize_s"
		size = 496
		refs = "0012 __doserrno 0058 _CrtDbgReportW 0078 _errno 0090 _invalid_parameter 01ae ??0<lambda_b1e214002d83f0fa273391baf2030f5b>@@QAA@ABHAB_J@Z 01b8 ??$__acrt_lowio_lock_fh_and_call@V<lambda_b1e214002d83f0fa273391baf2030f5b>@@@@YAHH$$QAV<lambda_b1e214002d83f0fa273391baf2030f5b>@@@Z 01d0 ??_C@_1BI@GALBKMKE@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 01d4 ??_C@_1BE@MAFDNGED@?$AA_?$AAc?$AAh?$AAs?$AAi?$AAz?$AAe?$AA_?$AAs?$AA?$AA@ 01d8 ??_C@_1GA@EAHLKLIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 01dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01e0 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 01e4 __pioinfo 01e8 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 01ec _nhandle"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9A B0 1C 9B 13 F1 02 0F 08 D1 ?? ?? ?? ?? 09 90 09 9A 00 23 13 60 09 23 02 93 CE E0 1C 9B 00 2B 07 DB 1C 9A 6F 4B 1B 68 9A 42 02 D2 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 67 4B 01 93 63 4B 00 93 00 23 12 22 60 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 0B 90 0B 9A 00 23 13 60 ?? ?? ?? ?? 0C 90 0C 9A 09 23 13 60 00 23 00 93 12 23 53 4A 51 49 56 48 ?? ?? ?? ?? 09 23 02 93 93 E0 1C 9B 9A 11 04 23 02 FB 03 F2 4F 4B 99 18 1C 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 42 4B 01 93 40 4B 00 93 00 23 13 22 3D 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0E 90 0E 9A 00 23 13 60 ?? ?? ?? ?? 0F 90 0F 9A 09 23 13 60 00 23 00 93 13 23 2F 4A 2E 49 30 48 ?? ?? ?? ?? 09 23 02 93 4C E0 1E 9B 16 93 1F 9B 17 93 16 9B 10 93 17 9B 00 2B 06 DB 02 DC 10 9B 00 2B 02 D3 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 14 22 1D 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 08 9B 00 2B 16 D1 ?? ?? ?? ?? 12 90 12 9A 00 23 13 60 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 14 23 0F 4A 0E 49 0C 48 ?? ?? ?? ?? 16 23 02 93 0C E0 1E AA 1C A9 18 A8 ?? ?? ?? ?? 14 90 14 99 1C 98 ?? ?? ?? ?? 15 90 15 9B 02 93 02 98 1A B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_483_0_0 {
	meta:
		name = "_set_error_mode"
		size = 192
		refs = "0062 _CrtDbgReportW 0076 _errno 008e _invalid_parameter 00ac ??_C@_1DE@BCNCAIK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00b0 ??_C@_1CA@LFDHAMEM@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 00b4 ??_C@_1GO@EBFPMMIJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bc __acrt_error_mode"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 03 93 03 9B 00 2B 13 DB 03 9B 02 2B 03 DD 03 9B 03 2B 09 D0 0C E0 26 4B 1B 68 06 93 0C 9A 24 4B 1A 60 06 9B 02 93 34 E0 21 4B 1B 68 02 93 30 E0 02 E0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 16 4B 01 93 18 4B 00 93 00 23 45 22 15 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 45 23 0A 4A 09 49 07 48 ?? ?? ?? ?? 6F F0 00 03 02 93 01 E0 00 23 02 93 02 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_484_0_0 {
	meta:
		name = "??$common_difftime@J@@YANJJ@Z"
		size = 84
		refs = "0016 _errno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 02 DB 06 9B 00 2B 0A DA ?? ?? ?? ?? 00 90 00 9A 16 23 13 60 9F ED 0A 0B 8D ED 02 0B 08 E0 06 9A 07 9B D3 1A 00 EE 10 3A B8 EE C0 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_484_1_0 {
	meta:
		name = "??$common_difftime@_J@@YAN_J0@Z"
		size = 128
		refs = "003e _errno 0060 __i64tod"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0E 9B 04 93 0F 9B 05 93 04 9B 00 93 05 9B 00 2B 10 DB 02 DC 00 9B 00 2B 0C D3 0C 9B 06 93 0D 9B 07 93 06 9B 01 93 07 9B 00 2B 0E DC 02 DB 01 9B 00 2B 0A D2 ?? ?? ?? ?? 02 90 02 9A 16 23 13 60 9F ED 0B 0B 8D ED 08 0B 09 E0 0C 98 0D 99 0E 9A 0F 9B 80 1A 99 41 ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 0A B0 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_484_2_0 {
	meta:
		name = "_difftime32"
		size = 44
		refs = "000e ??$common_difftime@J@@YANJJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_543_117_0 {
	meta:
		name = "_atof_l"
		size = 44
		refs = "000e ??$common_atof_l@D@@YANQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_543_123_0 {
	meta:
		name = "_wtof_l"
		size = 44
		refs = "000e ??$common_atof_l@_W@@YANQB_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_484_3_0 {
	meta:
		name = "_difftime64"
		size = 48
		refs = "0012 ??$common_difftime@_J@@YAN_J0@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9A 09 9B 06 98 07 99 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_486_0_0 {
	meta:
		name = "_strset"
		size = 56
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 04 9B 93 F9 00 30 00 2B 07 D0 05 9B 5A B2 04 9B 1A 70 04 9B 5B 1C 04 93 F2 E7 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_487_6_0 {
	meta:
		name = "_ismbcgraph_l"
		size = 100
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0046 __dcrt_multibyte_check_type"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? FF 2C 12 D8 01 9B E1 B2 1B 68 33 F8 11 20 40 F2 17 13 1A 42 07 D1 02 9B 0B 44 5B 7E 13 F0 03 0F 08 BF 00 20 08 D0 01 20 06 E0 01 A9 01 23 40 F2 17 12 20 46 ?? ?? ?? ?? 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_488_0_0 {
	meta:
		name = "ilogbf"
		size = 100
		refs = "0010 _fdunscale"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 03 0A 03 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 93 02 9B 00 2B 0A D0 02 9B 01 2B 0B D0 02 9B 02 2B 00 D0 0B E0 6F F0 00 43 01 93 10 E0 4F F0 00 43 01 93 0C E0 6F F0 00 43 01 93 08 E0 BD F9 00 30 5B 1E 1B B2 AD F8 00 30 BD F9 00 30 01 93 01 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_489_1_0 {
	meta:
		name = "wmemcpy_s"
		size = 392
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 008a wmemset 015c wmemcpy 0170 ??_C@_1DE@EINONPIJ@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 0174 ??_C@_1BE@CMDLDFAK@?$AAw?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0178 ??_C@_1GI@EHBONCFB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 017c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0180 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0184 ??_C@_1CO@JMPIHJLO@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 15 9B 00 2B 02 D1 00 23 02 93 A6 E0 12 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 54 4B 01 93 51 4B 00 93 00 23 1C 22 4E 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 1C 23 44 4A 42 49 46 48 ?? ?? ?? ?? 16 23 02 93 76 E0 14 9B 00 2B 03 D0 13 9A 15 9B 9A 42 68 D2 13 9A 00 21 12 98 ?? ?? ?? ?? 14 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 35 4B 01 93 33 4B 00 93 00 23 23 22 30 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 23 23 26 4A 24 49 27 48 ?? ?? ?? ?? 16 23 02 93 3A E0 13 9A 15 9B 9A 42 02 D3 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 19 4B 01 93 1B 4B 00 93 00 23 24 22 18 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 0E 90 0E 9A 22 23 13 60 00 23 00 93 24 23 0D 4A 0C 49 0A 48 ?? ?? ?? ?? 22 23 02 93 09 E0 16 23 02 93 06 E0 15 9A 14 99 12 98 ?? ?? ?? ?? 00 23 02 93 02 98 10 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_489_2_0 {
	meta:
		name = "wmemset"
		size = 60
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 05 E0 00 9B 9B 1C 00 93 06 9B 5B 1E 06 93 06 9B 00 2B 04 D9 BD F8 14 20 00 9B 1A 80 F1 E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_490_1_0 {
	meta:
		name = "?shortsort_s@@YAXPAD0IP6AHPAXPBX2@ZQAX@Z"
		size = 144
		refs = "006c ?swap@@YAXPAD0I@Z 007c ??1scoped_global_state_reset@__crt_state_management@@QAA@XZ 008c __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 F0 48 0D F1 10 0B 88 B0 6F 46 6F F0 01 03 C7 E9 06 33 FA 6B BB 6B 9A 42 2D D9 BB 6B BB 60 BA 6B 3B 6C 13 44 7B 60 03 E0 7A 68 3B 6C 13 44 7B 60 7A 68 FB 6B 9A 42 14 D8 BE 68 7D 68 BC 6C 7B 6C FB 60 F8 68 10 4B 1B 68 98 47 FB 68 20 46 29 46 32 46 98 47 38 61 3B 69 00 2B 01 DD 7B 68 BB 60 E2 E7 3A 6C F9 6B B8 68 ?? ?? ?? ?? FA 6B 3B 6C D3 1A FB 63 CD E7 38 46 ?? ?? ?? ?? 08 B0 BD E8 F0 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_490_4_0 {
	meta:
		name = "qsort_s"
		size = 1108
		refs = "000a __security_push_cookie 0046 _CrtDbgReportW 005a _errno 0072 _invalid_parameter 015e __rt_udiv 0178 ?shortsort_s@@YAXPAD0IP6AHPAXPBX2@ZQAX@Z 01bc ?swap@@YAXPAD0I@Z 042c __security_pop_cookie 0438 __guard_check_icall_fptr 043c ??_C@_1CA@LIDFOMIN@?$AAc?$AAo?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0440 ??_C@_1BA@PAHGIMFK@?$AAq?$AAs?$AAo?$AAr?$AAt?$AA_?$AAs?$AA?$AA@ 0444 ??_C@_1GA@KPPCKKGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0448 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 044c ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0450 ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? E2 B0 68 9B 00 2B 05 D1 69 9B 00 2B 02 D0 00 23 08 93 01 E0 01 23 08 93 08 9B 09 93 09 9B 00 2B 11 D1 DF F8 1C 34 01 93 DF F8 10 34 00 93 00 23 AC 22 DF F8 00 14 02 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 09 9B 00 2B 0E D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 00 23 00 93 AC 23 F5 4A F4 49 F7 48 ?? ?? ?? ?? D8 E1 6A 9B 00 2B 02 D9 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 EE 4B 01 93 EC 4B 00 93 00 23 AD 22 E9 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 0E D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 AD 23 DE 4A DD 49 DF 48 ?? ?? ?? ?? AA E1 6B 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 D3 4B 01 93 D5 4B 00 93 00 23 AE 22 D2 49 02 20 ?? ?? ?? ?? 1B 90 1B 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 0E D1 ?? ?? ?? ?? 1C 90 1C 9A 16 23 13 60 00 23 00 93 AE 23 C7 4A C6 49 C4 48 ?? ?? ?? ?? 7C E1 00 23 07 93 69 9B 02 2B 00 D2 76 E1 68 9B 05 93 69 9B 5A 1E 6A 9B 03 FB 02 F2 68 9B 13 44 06 93 06 9A 05 9B D1 1A 6A 98 00 28 00 D1 F9 DE ?? ?? ?? ?? 43 1C 0E 93 0E 9B 08 2B 08 D8 6C 9B 00 93 6B 9B 6A 9A 06 99 05 98 ?? ?? ?? ?? 3E E1 0E 99 02 20 ?? ?? ?? ?? 6A 9B 00 FB 03 F2 05 9B 13 44 03 93 03 9E 05 9D 6C 9C 6B 9B 0F 93 0F 98 A6 4B 1B 68 98 47 0F 9B 20 46 29 46 32 46 98 47 1D 90 1D 9B 00 2B 04 DD 6A 9A 03 99 05 98 ?? ?? ?? ?? 06 9E 05 9D 6C 9C 6B 9B 10 93 10 98 9A 4B 1B 68 98 47 10 9B 20 46 29 46 32 46 98 47 1E 90 1E 9B 00 2B 04 DD 6A 9A 06 99 05 98 ?? ?? ?? ?? 06 9E 03 9D 6C 9C 6B 9B 11 93 11 98 8F 4B 1B 68 98 47 11 9B 20 46 29 46 32 46 98 47 1F 90 1F 9B 00 2B 04 DD 6A 9A 06 99 03 98 ?? ?? ?? ?? 05 9B 04 93 06 9B 02 93 03 9A 04 9B 9A 42 19 D9 04 9A 6A 9B 13 44 04 93 04 9A 03 9B 9A 42 11 D2 03 9E 04 9D 6C 9C 6B 9B 12 93 12 98 7B 4B 1B 68 98 47 12 9B 20 46 29 46 32 46 98 47 20 90 20 9B 00 2B E5 DD 03 9A 04 9B 9A 42 19 D8 04 9A 6A 9B 13 44 04 93 04 9A 06 9B 9A 42 11 D8 03 9E 04 9D 6C 9C 6B 9B 13 93 13 98 6C 4B 1B 68 98 47 13 9B 20 46 29 46 32 46 98 47 21 90 21 9B 00 2B E5 DD 02 9A 6A 9B D3 1A 02 93 02 9A 03 9B 9A 42 11 D9 03 9E 02 9D 6C 9C 6B 9B 14 93 14 98 5F 4B 1B 68 98 47 14 9B 20 46 29 46 32 46 98 47 22 90 22 9B 00 2B E5 DC 02 9A 04 9B 9A 42 00 D2 0B E0 6A 9A 02 99 04 98 ?? ?? ?? ?? 03 9A 02 9B 9A 42 01 D1 04 9B 03 93 98 E7 02 9A 6A 9B 13 44 02 93 03 9A 02 9B 9A 42 19 D2 02 9A 6A 9B D3 1A 02 93 02 9A 03 9B 9A 42 11 D9 03 9E 02 9D 6C 9C 6B 9B 15 93 15 98 46 4B 1B 68 98 47 15 9B 20 46 29 46 32 46 98 47 23 90 23 9B 00 2B E5 D0 03 9A 02 9B 9A 42 19 D3 02 9A 6A 9B D3 1A 02 93 02 9A 05 9B 9A 42 11 D9 03 9E 02 9D 6C 9C 6B 9B 16 93 16 98 37 4B 1B 68 98 47 16 9B 20 46 29 46 32 46 98 47 24 90 24 9B 00 2B E5 D0 02 9A 05 9B D1 1A 06 9A 04 9B D3 1A 99 42 1E DB 05 9A 02 9B 9A 42 12 D2 07 9A 04 23 02 FB 03 F2 26 AB 1A 44 05 9B 13 60 07 9A 04 23 02 FB 03 F2 44 AB 1A 44 02 9B 13 60 07 9B 5B 1C 07 93 04 9A 06 9B 9A 42 02 D2 04 9B 05 93 C8 E6 1D E0 04 9A 06 9B 9A 42 12 D2 07 9A 04 23 02 FB 03 F2 26 AB 1A 44 04 9B 13 60 07 9A 04 23 02 FB 03 F2 44 AB 1A 44 06 9B 13 60 07 9B 5B 1C 07 93 05 9A 02 9B 9A 42 02 D2 02 9B 06 93 A9 E6 07 9B 5B 1E 07 93 07 9B 00 2B 10 DB 07 9A 04 23 02 FB 03 F2 26 AB 13 44 1B 68 05 93 07 9A 04 23 02 FB 03 F2 44 AB 13 44 1B 68 06 93 92 E6 62 B0 ?? ?? ?? ?? BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_491_13_0 {
	meta:
		name = "?ctrlevent_capture@@YAHK@Z"
		size = 216
		refs = "0018 __acrt_lock 0024 ?value@?$dual_state_global@P6AXH@Z@__crt_state_management@@QAAAAP6AXH@ZXZ 0032 ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 006e ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 007c memcpy 0082 ??$?B$$A6AXH@Z@__crt_fast_encoded_nullptr_t@@QBAP6AXH@ZXZ 0090 __acrt_unlock 00cc __guard_check_icall_fptr 00d0 ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 00d4 ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A"
	strings:
		$1 = { 03 B4 2D E9 90 48 0D F1 08 0B 8C B0 6F 46 00 23 7B 60 00 23 FB 60 03 20 ?? ?? ?? ?? 3B 6C 00 2B 0F D1 2C 48 ?? ?? ?? ?? B8 61 BB 69 BB 60 BB 68 18 68 ?? ?? ?? ?? F8 61 FB 69 7B 60 02 23 FB 60 0E E0 23 48 ?? ?? ?? ?? 38 62 3B 6A BB 60 BB 68 18 68 ?? ?? ?? ?? 78 62 7B 6A 7B 60 15 23 FB 60 7B 68 00 2B 13 D0 7B 68 01 2B 10 D0 00 20 ?? ?? ?? ?? B8 62 38 46 17 F1 28 01 01 22 ?? ?? ?? ?? 38 46 ?? ?? ?? ?? F8 62 FA 6A BB 68 1A 60 03 20 ?? ?? ?? ?? 7B 68 00 2B 02 D1 00 23 7B 61 0E E0 7B 68 01 2B 09 D0 FC 68 7B 68 3B 61 38 69 07 4B 1B 68 98 47 3B 69 20 46 98 47 01 23 7B 61 78 69 0C B0 BD E8 90 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_491_16_0 {
	meta:
		name = "?get_global_action_nolock@@YAPAP6AXH@ZH@Z"
		size = 156
		refs = "0038 ?value@?$dual_state_global@P6AXH@Z@__crt_state_management@@QAAAAP6AXH@ZXZ 008c ?term_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0090 ?abort_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0094 ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0098 ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 01 93 01 9B 9B 1E 01 93 01 9B 14 2B 30 D8 01 9A DF E8 02 F0 0B 2E 2E 2E 20 2E 2E 2E 2E 2E 2E 2E 2E 27 2E 2E 2E 2E 2E 12 19 19 18 48 ?? ?? ?? ?? 02 90 02 9B 00 93 1D E0 13 48 ?? ?? ?? ?? 03 90 03 9B 00 93 16 E0 0F 48 ?? ?? ?? ?? 04 90 04 9B 00 93 0F E0 0B 48 ?? ?? ?? ?? 05 90 05 9B 00 93 08 E0 07 48 ?? ?? ?? ?? 06 90 06 9B 00 93 01 E0 00 23 00 93 00 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_491_18_0 {
	meta:
		name = "?siglookup@@YAPAU__crt_signal_action_t@@HQAU1@@Z"
		size = 84
		refs = "0050 __acrt_signal_action_table_count"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 93 02 E0 00 9B 0C 33 00 93 0E 4B 1A 68 0C 23 02 FB 03 F2 05 9B 1A 44 00 9B 93 42 09 D0 00 9B 1B 1D 1A 68 04 9B 9A 42 02 D1 00 9B 01 93 02 E0 E8 E7 00 23 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_491_19_0 {
	meta:
		name = "?signal_failed@@YAP6AXH@ZH@Z"
		size = 88
		refs = "003a _errno"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 9B 5B 1E 00 93 00 9B 10 2B 0F D8 00 9A DF E8 02 F0 09 0D 09 0D 0D 0D 0D 0D 0D 0D 0D 0D 09 0D 0D 09 09 09 6F F0 00 03 01 93 08 E0 ?? ?? ?? ?? 02 90 02 9A 16 23 13 60 6F F0 00 03 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_491_21_0 {
	meta:
		name = "__acrt_get_sigabrt_handler"
		size = 40
		refs = "000e memset 0016 ??$__acrt_lock_and_call@V<lambda_44731a7d0e6d81c3e6aa82d741081786>@@@@YAP6AXH@ZW4__acrt_lock_id@@$$QAV<lambda_44731a7d0e6d81c3e6aa82d741081786>@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 01 22 00 21 68 46 ?? ?? ?? ?? 69 46 03 20 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_491_22_0 {
	meta:
		name = "__acrt_initialize_signal_handlers"
		size = 64
		refs = "000c ?initialize@?$dual_state_global@P6AXH@Z@__crt_state_management@@QAAXQ6AXH@Z@Z 0030 ?term_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0034 ?abort_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0038 ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 003c ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 99 0C 48 ?? ?? ?? ?? 02 99 09 48 ?? ?? ?? ?? 02 99 06 48 ?? ?? ?? ?? 02 99 03 48 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_491_23_0 {
	meta:
		name = "__fpecode"
		size = 28
		refs = "0008 __acrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 08 33 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_491_24_0 {
	meta:
		name = "__pxcptinfoptrs"
		size = 28
		refs = "0008 __acrt_getptd"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 00 90 00 9B 1B 1D 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_491_25_0 {
	meta:
		name = "raise"
		size = 836
		refs = "0052 ?get_global_action_nolock@@YAPAP6AXH@ZH@Z 005e __acrt_getptd_noexit 007e ?siglookup@@YAPAU__crt_signal_action_t@@HQAU1@@Z 00b4 _CrtDbgReportW 00c8 _errno 00e2 _invalid_parameter 0168 __acrt_lock 017e ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 01c0 __acrt_unlock 01c6 _exit 01fa __fpecode 0260 ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 026e memcpy 0274 ??$?B$$A6AXH@Z@__crt_fast_encoded_nullptr_t@@QBAP6AXH@ZXZ 0324 __guard_check_icall_fptr 0328 __acrt_signal_action_fpe_count 032c __acrt_signal_action_first_fpe_index 0330 ??_C@_1DO@MLNEDKGB@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAs?$AAi?$AAg?$AAn?$AAa?$AAl?$AA?5?$AAo?$AAr?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0334 ??_C@_1M@DMJEIKHL@?$AAr?$AAa?$AAi?$AAs?$AAe?$AA?$AA@ 0338 ??_C@_1FO@CCGDPEKE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 033c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0340 ??_C@_1DA@NBILLKNO@?$AAl?$AAo?$AAc?$AAa?$AAl?$AA_?$AAa?$AAc?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 B0 48 0D F1 0C 0B A3 B0 6F 46 82 B0 00 23 7B 60 00 23 BB 64 00 23 BB 60 01 23 3B 70 D7 F8 A0 30 7B 61 7B 69 9B 1E 7B 61 7B 69 14 2B 63 D8 7A 69 DF E8 02 F0 0B 61 13 61 0B 61 13 61 61 13 61 61 61 0B 61 61 61 61 61 0B 0B 0B D7 F8 A0 00 ?? ?? ?? ?? F8 64 FB 6C BB 60 7E E0 ?? ?? ?? ?? 38 65 3B 6D 7B 60 7B 68 00 2B 03 D1 6F F0 00 03 3B 61 50 E1 7B 68 19 68 D7 F8 A0 00 ?? ?? ?? ?? 78 65 7B 6D 7B 62 7B 6A 00 2B 02 D0 01 23 FB 61 01 E0 00 23 FB 61 FB 69 3B 62 3B 6A 00 2B 0F D1 A7 4B 01 93 A5 4B 00 93 00 23 4F F4 D4 72 A1 49 02 20 ?? ?? ?? ?? B8 65 BB 6D 01 2B 00 D1 FE DE 3B 6A 00 2B 12 D1 ?? ?? ?? ?? F8 65 FA 6D 16 23 13 60 00 23 00 93 4F F4 D4 73 96 4A 95 49 97 48 ?? ?? ?? ?? 6F F0 00 03 3B 61 14 E1 7B 6A 08 33 BB 60 00 23 3B 70 30 E0 02 E0 01 23 BB 62 01 E0 00 23 BB 62 BB 6A FB 62 FB 6A 00 2B 0F D1 87 4B 01 93 89 4B 00 93 00 23 40 F2 AF 12 86 49 02 20 ?? ?? ?? ?? 38 66 3B 6E 01 2B 00 D1 FE DE FB 6A 00 2B 12 D1 ?? ?? ?? ?? 78 66 7A 6E 16 23 13 60 00 23 00 93 40 F2 AF 13 7B 4A 79 49 78 48 ?? ?? ?? ?? 6F F0 00 03 3B 61 DD E0 00 23 7B 64 3B 78 00 2B 02 D0 03 20 ?? ?? ?? ?? 00 23 FB 60 00 23 7B 70 3B 78 00 2B 07 D0 BB 68 18 68 ?? ?? ?? ?? B8 66 BB 6E 3B 63 02 E0 BB 68 1B 68 3B 63 3B 6B FB 60 FB 68 01 2B 02 D1 01 23 7B 63 01 E0 00 23 7B 63 7B 6B DB B2 7B 70 7B 78 00 2B 00 D0 66 E0 FB 68 00 2B 08 D1 3B 78 00 2B 02 D0 03 20 ?? ?? ?? ?? 03 20 ?? ?? ?? ?? D7 F8 A0 30 08 2B 07 D0 D7 F8 A0 30 0B 2B 03 D0 D7 F8 A0 30 04 2B 17 D1 7B 68 1B 1D 1B 68 7B 64 7B 68 1A 1D 00 23 13 60 D7 F8 A0 30 08 2B 0B D1 ?? ?? ?? ?? F8 66 FB 6E 1B 68 BB 64 ?? ?? ?? ?? 38 67 3A 6F 8C 23 13 60 D7 F8 A0 30 08 2B 21 D1 79 68 43 4B 1A 68 0C 23 02 FB 03 F2 0B 68 13 44 BB 63 3E 4B 1A 68 0C 23 02 FB 03 F2 BB 6B 13 44 7B 67 BB 6B BB 61 02 E0 BB 69 0C 33 BB 61 BA 69 7B 6F 9A 42 05 D0 BB 69 03 F1 08 02 00 23 13 60 F2 E7 10 E0 00 20 ?? ?? ?? ?? B8 67 B8 1C 17 F1 78 01 01 22 ?? ?? ?? ?? B8 1C ?? ?? ?? ?? F8 67 FA 6F BB 68 1A 60 3B 78 00 2B 02 D0 03 20 ?? ?? ?? ?? 7B 78 00 2B 02 D0 00 23 3B 61 3F E0 D7 F8 A0 30 08 2B 12 D1 ?? ?? ?? ?? C7 F8 80 00 D7 F8 80 30 1D 68 08 24 FB 68 FB 63 F8 6B 1B 4B 1B 68 98 47 FB 6B 20 46 29 46 98 47 0A E0 D7 F8 A0 40 FB 68 3B 64 38 6C 14 4B 1B 68 98 47 3B 6C 20 46 98 47 D7 F8 A0 30 08 2B 07 D0 D7 F8 A0 30 0B 2B 03 D0 D7 F8 A0 30 04 2B 0F D1 7B 68 1A 1D 7B 6C 13 60 D7 F8 A0 30 08 2B 07 D1 ?? ?? ?? ?? C7 F8 84 00 BA 6C D7 F8 84 30 1A 60 00 23 3B 61 38 69 25 B0 BD E8 B0 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_491_26_0 {
	meta:
		name = "raise$fin$0"
		size = 22
		refs = "000c __acrt_unlock"
	strings:
		$1 = { 10 B5 82 B0 3B 78 00 2B 02 D0 03 20 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_491_27_0 {
	meta:
		name = "signal"
		size = 552
		refs = "001c ?signal_failed@@YAP6AXH@ZH@Z 0050 __acrt_lock 009e __doserrno 00b0 ?get_global_action_nolock@@YAPAP6AXH@ZH@Z 00c4 ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 00d6 ??$__crt_fast_encode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 00e4 __acrt_unlock 0122 __acrt_getptd_noexit 0156 _malloc_dbg 0182 memcpy 018c ?siglookup@@YAPAU__crt_signal_action_t@@HQAU1@@Z 0208 __acrt_signal_action_table_count 020c __acrt_exception_action_table 0210 __acrt_signal_action_table_size 0214 ??_C@_0CP@JIIONAG@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 0218 __imp_GetLastError 021c ?console_ctrl_handler_installed@@3_NA 0220 __imp_SetConsoleCtrlHandler 0224 ?ctrlevent_capture@@YAHK@Z"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 7B 6F 04 2B 02 D0 7B 6F 03 2B 06 D1 38 6F ?? ?? ?? ?? 38 62 3B 6A 7B 60 E8 E0 3B 6F 02 2B 0B D0 3B 6F 15 2B 08 D0 3B 6F 16 2B 05 D0 3B 6F 06 2B 02 D0 3B 6F 0F 2B 5D D1 00 23 7B 70 00 23 FB 61 03 20 ?? ?? ?? ?? 3B 6F 02 2B 05 D0 3B 6F 15 2B 02 D0 00 23 3B 70 01 E0 01 23 3B 70 3B 78 3B 72 3B 7A 00 2B 1C D0 69 4B 1B 78 00 2B 18 D1 01 21 69 48 67 4B 1B 68 98 47 78 62 7B 6A 00 2B 03 D0 63 4A 01 23 13 70 0B E0 60 4B 1B 68 98 47 B8 62 ?? ?? ?? ?? F8 62 BA 6A FB 6A 1A 60 01 23 7B 70 38 6F ?? ?? ?? ?? 38 63 3B 6B 7B 61 7B 69 00 2B 10 D0 7B 69 18 68 ?? ?? ?? ?? 78 63 7B 6B FB 61 7B 6F 02 2B 06 D0 78 6F ?? ?? ?? ?? B8 63 BA 6B 7B 69 1A 60 03 20 ?? ?? ?? ?? 7B 78 00 2B 06 D0 38 6F ?? ?? ?? ?? F8 63 FB 6B 7B 60 7E E0 FB 69 7B 60 7B E0 3B 6F 08 2B 0C D0 3B 6F 04 2B 09 D0 3B 6F 0B 2B 06 D0 38 6F ?? ?? ?? ?? 38 64 3B 6C 7B 60 6B E0 ?? ?? ?? ?? 78 64 7B 6C FB 60 FB 68 00 2B 06 D1 38 6F ?? ?? ?? ?? B8 64 BB 6C 7B 60 5C E0 FB 68 1A 68 31 4B 9A 42 1D D1 4F F4 A7 73 31 4A 02 21 2F 48 00 68 ?? ?? ?? ?? F8 64 FA 68 FB 6C 13 60 FB 68 1B 68 00 2B 06 D1 38 6F ?? ?? ?? ?? 38 65 3B 6D 7B 60 40 E0 25 4B 1A 68 23 49 FB 68 18 68 ?? ?? ?? ?? FB 68 19 68 38 6F ?? ?? ?? ?? 78 65 7B 6D BB 61 BB 69 00 2B 06 D1 38 6F ?? ?? ?? ?? B8 65 BB 6D 7B 60 27 E0 BB 69 08 33 1B 68 3B 66 7B 6F 02 2B 1E D0 F9 68 13 4B 1A 68 0C 23 02 FB 03 F2 0B 68 13 44 FB 65 BB 69 3B 61 02 E0 3B 69 0C 33 3B 61 3A 69 FB 6D 9A 42 0B D0 3B 69 1B 1D 1A 68 3B 6F 9A 42 05 D1 3B 69 03 F1 08 02 7B 6F 13 60 EC E7 3B 6E 7B 60 78 68 19 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_492_5_0 {
	meta:
		name = "_mbslen_l"
		size = 90
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 001a strlen"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? 02 9A 93 68 1B B9 20 46 ?? ?? ?? ?? 0F E0 23 78 00 20 0A E0 13 44 5B 7E 13 F0 04 0F 02 D0 64 1C 23 78 23 B1 14 F8 01 3F 40 1C 00 2B F2 D1 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_493_0_0 {
	meta:
		name = "acosh"
		size = 308
		refs = "000e _dtest 005e _fperrraise 00ce sqrt 00e2 log1p 00fa log 0120 ln2 0124 _Eps_C 0130 _Nan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 8E B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 01 2B 08 D0 01 9B 02 2B 00 D0 0F E0 9D ED 02 0B 8D ED 04 0B 6F E0 02 AB 9B 1D 1B 88 13 F4 00 4F 04 D1 9D ED 02 0B 8D ED 04 0B 64 E0 9D ED 02 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 09 D2 01 20 ?? ?? ?? ?? 33 4B 93 ED 00 0B 8D ED 04 0B 52 E0 51 E0 9D ED 02 1B B7 EE 00 0B B4 EE 40 1B F1 EE 10 FA 05 D1 9F ED 29 0B 8D ED 04 0B 43 E0 42 E0 B0 EE 00 1B 24 4B 93 ED 00 0B 81 EE 00 1B 9D ED 02 0B B4 EE C1 0B F1 EE 10 FA 25 D2 9D ED 02 1B B7 EE 00 0B 31 EE 40 0B 8D ED 06 0B 9D ED 02 1B B7 EE 00 0B 31 EE 00 1B 9D ED 06 0B 20 EE 01 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 06 1B 9D ED 08 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 04 0B 0F E0 0E E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 1B 06 4B 93 ED 00 0B 31 EE 00 0B 8D ED 04 0B 9D ED 04 0B 0E B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_628_0_0 {
	meta:
		name = "acoshl"
		size = 308
		refs = "000e _ldtest 005e _fperrraise 00ce sqrtl 00e2 log1pl 00fa logl 0120 ln2 0124 _LEps_C 0130 _LNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 8E B0 8D ED 02 0B 02 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 01 93 01 9B 01 2B 08 D0 01 9B 02 2B 00 D0 0F E0 9D ED 02 0B 8D ED 04 0B 6F E0 02 AB 9B 1D 1B 88 13 F4 00 4F 04 D1 9D ED 02 0B 8D ED 04 0B 64 E0 9D ED 02 1B B7 EE 00 0B B4 EE C0 1B F1 EE 10 FA 09 D2 01 20 ?? ?? ?? ?? 33 4B 93 ED 00 0B 8D ED 04 0B 52 E0 51 E0 9D ED 02 1B B7 EE 00 0B B4 EE 40 1B F1 EE 10 FA 05 D1 9F ED 29 0B 8D ED 04 0B 43 E0 42 E0 B0 EE 00 1B 24 4B 93 ED 00 0B 81 EE 00 1B 9D ED 02 0B B4 EE C1 0B F1 EE 10 FA 25 D2 9D ED 02 1B B7 EE 00 0B 31 EE 40 0B 8D ED 06 0B 9D ED 02 1B B7 EE 00 0B 31 EE 00 1B 9D ED 06 0B 20 EE 01 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 06 1B 9D ED 08 0B 31 EE 00 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 04 0B 0F E0 0E E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 1B 06 4B 93 ED 00 0B 31 EE 00 0B 8D ED 04 0B 9D ED 04 0B 0E B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_494_4_0 {
	meta:
		name = "??$capture_argv@PAPADABQBDPAPADH@?$__crt_char_traits@D@@SAPAPAD$$QAPAPADABQBD0$$QAH@Z"
		size = 22
		refs = "0012 __acrt_capture_narrow_argv"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_494_5_0 {
	meta:
		name = "??$capture_argv@PAPADABQB_WPAPA_WH@?$__crt_char_traits@_W@@SAPAPA_W$$QAPAPADABQB_W$$QAPAPA_W$$QAH@Z"
		size = 22
		refs = "0012 __acrt_capture_wide_argv"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_12_4 {
	meta:
		name = "??$pack_command_line_and_environment@ABQBQBDABQBQBDPAPADPAPAD@?$__crt_char_traits@D@@SAHABQBQBD0$$QAPAPAD1@Z"
		size = 22
		refs = "0012 __acrt_pack_narrow_command_line_and_environment"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_13_4 {
	meta:
		name = "??$pack_command_line_and_environment@ABQBQB_WABQBQB_WPAPA_WPAPA_W@?$__crt_char_traits@_W@@SAHABQBQB_W0$$QAPAPA_W1@Z"
		size = 22
		refs = "0012 __acrt_pack_wide_command_line_and_environment"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_24_0 {
	meta:
		name = "??$tspawnve@ABHAAPADABQBQBDABQBQBD@?$__crt_char_traits@D@@SAHABHAAPADABQBQBD2@Z"
		size = 22
		refs = "0012 _spawnve"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_25_3 {
	meta:
		name = "??$tspawnve@ABHAAPA_WABQBQB_WABQBQB_W@?$__crt_char_traits@_W@@SAHABHAAPA_WABQBQB_W2@Z"
		size = 22
		refs = "0012 _wspawnve"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_494_8_4 {
	meta:
		name = "??$tspawnve@ABHABQBDABQAPADABQBQBD@?$__crt_char_traits@D@@SAHABHABQBDABQAPADABQBQBD@Z"
		size = 22
		refs = "0012 _spawnve"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_26_4 {
	meta:
		name = "??$tspawnve@ABHABQBDABQBQBDABQBQBD@?$__crt_char_traits@D@@SAHABHABQBDABQBQBD2@Z"
		size = 22
		refs = "0012 _spawnve"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_494_9_0 {
	meta:
		name = "??$tspawnve@ABHABQB_WABQAPA_WABQBQB_W@?$__crt_char_traits@_W@@SAHABHABQB_WABQAPA_WABQBQB_W@Z"
		size = 22
		refs = "0012 _wspawnve"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_27_4 {
	meta:
		name = "??$tspawnve@ABHABQB_WABQBQB_WABQBQB_W@?$__crt_char_traits@_W@@SAHABHABQB_WABQBQB_W2@Z"
		size = 22
		refs = "0012 _wspawnve"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_624_8_2 {
	meta:
		name = "??$tspawnvpe@ABHABQBDABQAPADABQBQBD@?$__crt_char_traits@D@@SAHABHABQBDABQAPADABQBQBD@Z"
		size = 22
		refs = "0012 _spawnvpe"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_624_9_4 {
	meta:
		name = "??$tspawnvpe@ABHABQB_WABQAPA_WABQBQB_W@?$__crt_char_traits@_W@@SAHABHABQB_WABQAPA_WABQBQB_W@Z"
		size = 22
		refs = "0012 _wspawnvpe"
	strings:
		$1 = { 2D E9 00 48 EB 46 1B 68 12 68 09 68 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_494_6_0 {
	meta:
		name = "??$common_spawnl@D@@YAH_NHQBD1PAD@Z"
		size = 344
		refs = "0008 __security_push_cookie 002c _CrtDbgReportW 0036 _errno 004a _invalid_parameter 00e8 __acrt_capture_narrow_argv 0122 _spawnve 012c _free_dbg 0134 __security_pop_cookie 013c ??_C@_1GG@JHBICEMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0140 ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0148 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 014c ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0150 ??_C@_1BM@DAHPHKJD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AA?$AA@ 0154 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? C4 B0 4C 9C 16 46 1D 46 02 94 88 46 07 46 DE B9 49 4B 4D 4C 46 49 00 93 00 23 1D 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1D 23 42 49 3D 4A 20 46 ?? ?? ?? ?? 6F F0 00 04 6D E0 96 F9 00 30 A3 B9 3A 4B 3B 4C 37 49 00 93 00 23 1E 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1E 23 DF E7 A5 B9 2F 4B 2F 4C 2C 49 00 93 00 23 1F 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1F 23 C9 E7 95 F9 00 30 A3 B9 23 4B 21 4C 20 49 00 93 00 23 20 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 20 23 B1 E7 04 AA 02 A8 40 23 29 46 ?? ?? ?? ?? 20 B9 ?? ?? ?? ?? 0C 23 03 60 AA E7 04 AB 98 42 08 BF 00 25 18 BF 05 46 4F B1 02 9A 53 42 03 F0 03 03 13 44 1B 1D 02 93 53 F8 04 3C 00 E0 00 23 02 46 40 46 31 46 ?? ?? ?? ?? 04 46 28 46 02 21 ?? ?? ?? ?? 20 46 44 B0 ?? ?? ?? ?? BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_624_6_0 {
	meta:
		name = "??$common_spawnlp@D@@YAH_NHQBD1PAD@Z"
		size = 344
		refs = "0008 __security_push_cookie 002c _CrtDbgReportW 0036 _errno 004a _invalid_parameter 00e8 __acrt_capture_narrow_argv 0122 _spawnvpe 012c _free_dbg 0134 __security_pop_cookie 013c ??_C@_1GI@NAPMDHNB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0140 ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0148 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 014c ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0150 ??_C@_1BO@IBIDNBBI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AA?$AA@ 0154 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? C4 B0 4C 9C 16 46 1D 46 02 94 88 46 07 46 DE B9 49 4B 4D 4C 46 49 00 93 00 23 1D 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1D 23 42 49 3D 4A 20 46 ?? ?? ?? ?? 6F F0 00 04 6D E0 96 F9 00 30 A3 B9 3A 4B 3B 4C 37 49 00 93 00 23 1E 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1E 23 DF E7 A5 B9 2F 4B 2F 4C 2C 49 00 93 00 23 1F 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1F 23 C9 E7 95 F9 00 30 A3 B9 23 4B 21 4C 20 49 00 93 00 23 20 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 20 23 B1 E7 04 AA 02 A8 40 23 29 46 ?? ?? ?? ?? 20 B9 ?? ?? ?? ?? 0C 23 03 60 AA E7 04 AB 98 42 08 BF 00 25 18 BF 05 46 4F B1 02 9A 53 42 03 F0 03 03 13 44 1B 1D 02 93 53 F8 04 3C 00 E0 00 23 02 46 40 46 31 46 ?? ?? ?? ?? 04 46 28 46 02 21 ?? ?? ?? ?? 20 46 44 B0 ?? ?? ?? ?? BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_494_7_0 {
	meta:
		name = "??$common_spawnl@_W@@YAH_NHQB_W1PAD@Z"
		size = 340
		refs = "0008 __security_push_cookie 002c _CrtDbgReportW 0036 _errno 004a _invalid_parameter 00e4 __acrt_capture_wide_argv 011e _wspawnve 0128 _free_dbg 0130 __security_pop_cookie 0138 ??_C@_1GG@JHBICEMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 013c ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0144 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0148 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 014c ??_C@_1BM@DAHPHKJD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AA?$AA@ 0150 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? C4 B0 4C 9C 16 46 1D 46 02 94 88 46 07 46 DE B9 48 4B 4C 4C 45 49 00 93 00 23 1D 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1D 23 41 49 3C 4A 20 46 ?? ?? ?? ?? 6F F0 00 04 6B E0 33 88 A3 B9 39 4B 3B 4C 36 49 00 93 00 23 1E 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1E 23 E0 E7 A5 B9 2E 4B 2F 4C 2B 49 00 93 00 23 1F 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1F 23 CA E7 2B 88 A3 B9 23 4B 21 4C 20 49 00 93 00 23 20 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 20 23 B3 E7 04 AA 02 A8 40 23 29 46 ?? ?? ?? ?? 20 B9 ?? ?? ?? ?? 0C 23 03 60 AC E7 04 AB 98 42 08 BF 00 25 18 BF 05 46 4F B1 02 9A 53 42 03 F0 03 03 13 44 1B 1D 02 93 53 F8 04 3C 00 E0 00 23 02 46 40 46 31 46 ?? ?? ?? ?? 04 46 28 46 02 21 ?? ?? ?? ?? 20 46 44 B0 ?? ?? ?? ?? BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_624_7_0 {
	meta:
		name = "??$common_spawnlp@_W@@YAH_NHQB_W1PAD@Z"
		size = 340
		refs = "0008 __security_push_cookie 002c _CrtDbgReportW 0036 _errno 004a _invalid_parameter 00e4 __acrt_capture_wide_argv 011e _wspawnvpe 0128 _free_dbg 0130 __security_pop_cookie 0138 ??_C@_1GI@NAPMDHNB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 013c ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0144 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0148 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 014c ??_C@_1BO@IBIDNBBI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AA?$AA@ 0150 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? C4 B0 4C 9C 16 46 1D 46 02 94 88 46 07 46 DE B9 48 4B 4C 4C 45 49 00 93 00 23 1D 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1D 23 41 49 3C 4A 20 46 ?? ?? ?? ?? 6F F0 00 04 6B E0 33 88 A3 B9 39 4B 3B 4C 36 49 00 93 00 23 1E 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1E 23 E0 E7 A5 B9 2E 4B 2F 4C 2B 49 00 93 00 23 1F 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1F 23 CA E7 2B 88 A3 B9 23 4B 21 4C 20 49 00 93 00 23 20 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 20 23 B3 E7 04 AA 02 A8 40 23 29 46 ?? ?? ?? ?? 20 B9 ?? ?? ?? ?? 0C 23 03 60 AC E7 04 AB 98 42 08 BF 00 25 18 BF 05 46 4F B1 02 9A 53 42 03 F0 03 03 13 44 1B 1D 02 93 53 F8 04 3C 00 E0 00 23 02 46 40 46 31 46 ?? ?? ?? ?? 04 46 28 46 02 21 ?? ?? ?? ?? 20 46 44 B0 ?? ?? ?? ?? BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_494_16_0 {
	meta:
		name = "_execl"
		size = 36
		refs = "0018 ??$common_spawnl@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 0C 48 0D F1 08 0B 06 AB 00 93 0B 46 05 91 02 21 02 46 00 20 ?? ?? ?? ?? BD E8 0C 08 5D F8 14 FB }
	condition:
		$1
}

rule file_624_16_0 {
	meta:
		name = "_execlp"
		size = 36
		refs = "0018 ??$common_spawnlp@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 0C 48 0D F1 08 0B 06 AB 00 93 0B 46 05 91 02 21 02 46 00 20 ?? ?? ?? ?? BD E8 0C 08 5D F8 14 FB }
	condition:
		$1
}

rule file_494_20_0 {
	meta:
		name = "_wexecl"
		size = 36
		refs = "0018 ??$common_spawnl@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 0C 48 0D F1 08 0B 06 AB 00 93 0B 46 05 91 02 21 02 46 00 20 ?? ?? ?? ?? BD E8 0C 08 5D F8 14 FB }
	condition:
		$1
}

rule file_624_20_0 {
	meta:
		name = "_wexeclp"
		size = 36
		refs = "0018 ??$common_spawnlp@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 0C 48 0D F1 08 0B 06 AB 00 93 0B 46 05 91 02 21 02 46 00 20 ?? ?? ?? ?? BD E8 0C 08 5D F8 14 FB }
	condition:
		$1
}

rule file_494_17_0 {
	meta:
		name = "_execle"
		size = 36
		refs = "0018 ??$common_spawnl@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 0C 48 0D F1 08 0B 06 AB 00 93 0B 46 05 91 02 21 02 46 01 20 ?? ?? ?? ?? BD E8 0C 08 5D F8 14 FB }
	condition:
		$1
}

rule file_624_17_0 {
	meta:
		name = "_execlpe"
		size = 36
		refs = "0018 ??$common_spawnlp@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 0C 48 0D F1 08 0B 06 AB 00 93 0B 46 05 91 02 21 02 46 01 20 ?? ?? ?? ?? BD E8 0C 08 5D F8 14 FB }
	condition:
		$1
}

rule file_494_21_0 {
	meta:
		name = "_wexecle"
		size = 36
		refs = "0018 ??$common_spawnl@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 0C 48 0D F1 08 0B 06 AB 00 93 0B 46 05 91 02 21 02 46 01 20 ?? ?? ?? ?? BD E8 0C 08 5D F8 14 FB }
	condition:
		$1
}

rule file_624_21_0 {
	meta:
		name = "_wexeclpe"
		size = 36
		refs = "0018 ??$common_spawnlp@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 0C 48 0D F1 08 0B 06 AB 00 93 0B 46 05 91 02 21 02 46 01 20 ?? ?? ?? ?? BD E8 0C 08 5D F8 14 FB }
	condition:
		$1
}

rule file_494_18_0 {
	meta:
		name = "_spawnl"
		size = 38
		refs = "001a ??$common_spawnl@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 1E 48 0D F1 10 0B 14 46 09 AB 0A 46 01 46 00 93 23 46 00 20 08 94 ?? ?? ?? ?? BD E8 1E 08 5D F8 14 FB }
	condition:
		$1
}

rule file_624_18_0 {
	meta:
		name = "_spawnlp"
		size = 38
		refs = "001a ??$common_spawnlp@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 1E 48 0D F1 10 0B 14 46 09 AB 0A 46 01 46 00 93 23 46 00 20 08 94 ?? ?? ?? ?? BD E8 1E 08 5D F8 14 FB }
	condition:
		$1
}

rule file_494_22_0 {
	meta:
		name = "_wspawnl"
		size = 38
		refs = "001a ??$common_spawnl@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 1E 48 0D F1 10 0B 14 46 09 AB 0A 46 01 46 00 93 23 46 00 20 08 94 ?? ?? ?? ?? BD E8 1E 08 5D F8 14 FB }
	condition:
		$1
}

rule file_624_22_0 {
	meta:
		name = "_wspawnlp"
		size = 38
		refs = "001a ??$common_spawnlp@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 1E 48 0D F1 10 0B 14 46 09 AB 0A 46 01 46 00 93 23 46 00 20 08 94 ?? ?? ?? ?? BD E8 1E 08 5D F8 14 FB }
	condition:
		$1
}

rule file_494_19_0 {
	meta:
		name = "_spawnle"
		size = 38
		refs = "001a ??$common_spawnl@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 1E 48 0D F1 10 0B 14 46 09 AB 0A 46 01 46 00 93 23 46 01 20 08 94 ?? ?? ?? ?? BD E8 1E 08 5D F8 14 FB }
	condition:
		$1
}

rule file_624_19_0 {
	meta:
		name = "_spawnlpe"
		size = 38
		refs = "001a ??$common_spawnlp@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 1E 48 0D F1 10 0B 14 46 09 AB 0A 46 01 46 00 93 23 46 01 20 08 94 ?? ?? ?? ?? BD E8 1E 08 5D F8 14 FB }
	condition:
		$1
}

rule file_494_23_0 {
	meta:
		name = "_wspawnle"
		size = 38
		refs = "001a ??$common_spawnl@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 1E 48 0D F1 10 0B 14 46 09 AB 0A 46 01 46 00 93 23 46 01 20 08 94 ?? ?? ?? ?? BD E8 1E 08 5D F8 14 FB }
	condition:
		$1
}

rule file_624_23_0 {
	meta:
		name = "_wspawnlpe"
		size = 38
		refs = "001a ??$common_spawnlp@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 0F B4 2D E9 1E 48 0D F1 10 0B 14 46 09 AB 0A 46 01 46 00 93 23 46 01 20 08 94 ?? ?? ?? ?? BD E8 1E 08 5D F8 14 FB }
	condition:
		$1
}

rule file_495_1_0 {
	meta:
		name = "??$common_fgets@D@@YAPADQADHV__crt_stdio_stream@@@Z"
		size = 544
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 00da ?valid@__crt_stdio_stream@@QBA_NXZ 0154 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 015c _lock_file 016c ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQAU_iobuf@@@Z 01a4 ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@@Z 01f2 _unlock_file 0208 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 020c ??_C@_1BK@HJELCDB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 0210 ??_C@_1FO@HIFCGJKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0214 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0218 ??_C@_1BG@DPDCLCPC@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 021c ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 82 B0 3B 6F 00 2B 05 D1 7B 6F 00 2B 02 D0 00 23 BB 61 01 E0 01 23 BB 61 BB 69 FB 61 FB 69 00 2B 0E D1 7A 4B 01 93 77 4B 00 93 00 23 1F 22 74 49 02 20 ?? ?? ?? ?? 78 63 7B 6B 01 2B 00 D1 FE DE FB 69 00 2B 10 D1 ?? ?? ?? ?? B8 63 BA 6B 16 23 13 60 00 23 00 93 1F 23 6A 4A 68 49 6C 48 ?? ?? ?? ?? 00 23 BB 60 C1 E0 7B 6F 00 2B 02 DB 01 23 3B 62 01 E0 00 23 3B 62 3B 6A 7B 62 7B 6A 00 2B 0E D1 61 4B 01 93 5F 4B 00 93 00 23 20 22 5C 49 02 20 ?? ?? ?? ?? F8 63 FB 6B 01 2B 00 D1 FE DE 7B 6A 00 2B 10 D1 ?? ?? ?? ?? 38 64 3A 6C 16 23 13 60 00 23 00 93 20 23 52 4A 50 49 53 48 ?? ?? ?? ?? 00 23 BB 60 91 E0 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 01 23 BB 62 01 E0 00 23 BB 62 BB 6A FB 62 FB 6A 00 2B 0E D1 43 4B 01 93 45 4B 00 93 00 23 21 22 42 49 02 20 ?? ?? ?? ?? 78 64 7B 6C 01 2B 00 D1 FE DE FB 6A 00 2B 10 D1 ?? ?? ?? ?? B8 64 BA 6C 16 23 13 60 00 23 00 93 21 23 37 4A 36 49 34 48 ?? ?? ?? ?? 00 23 BB 60 5C E0 7B 6F 00 2B 02 D1 00 23 BB 60 56 E0 00 23 3B 63 17 F1 78 00 ?? ?? ?? ?? F8 64 F8 6C ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? 38 65 38 6D ?? ?? ?? ?? 78 70 7B 78 00 2B 00 D1 35 E0 3B 6F 7B 60 01 23 FB 60 02 E0 FB 68 5B 1C FB 60 FA 68 7B 6F 9A 42 24 D0 17 F1 78 00 ?? ?? ?? ?? 78 65 7B 6D BB 65 17 F1 58 00 ?? ?? ?? ?? F8 65 FB 6D 3B 61 3B 69 B3 F1 FF 3F 05 D1 7A 68 3B 6F 9A 42 00 D1 12 E0 0C E0 3B 69 5A B2 7B 68 1A 70 7B 68 5B 1C 7B 60 3B 69 5B B2 0A 2B 00 D1 00 E0 D3 E7 7A 68 00 23 13 70 3B 6F 3B 63 17 F1 78 00 ?? ?? ?? ?? 78 61 78 69 ?? ?? ?? ?? 3B 6B BB 60 B8 68 1B B0 BD E8 80 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_495_2_0 {
	meta:
		name = "?fin$0@?0???$common_fgets@D@@YAPADQADHV__crt_stdio_stream@@@Z@4HA"
		size = 26
		refs = "0008 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0010 _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 17 F1 78 00 ?? ?? ?? ?? 78 61 78 69 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_495_3_0 {
	meta:
		name = "??$common_fgets@_W@@YAPA_WQA_WHV__crt_stdio_stream@@@Z"
		size = 544
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 00da ?valid@__crt_stdio_stream@@QBA_NXZ 0154 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 015c _lock_file 016c ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQAU_iobuf@@@Z 01a4 ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QAPAU_iobuf@@@Z 01f4 _unlock_file 0208 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 020c ??_C@_1BK@HJELCDB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 0210 ??_C@_1FO@HIFCGJKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0214 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0218 ??_C@_1BG@DPDCLCPC@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 021c ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 80 48 0D F1 04 0B 99 B0 6F 46 82 B0 3B 6F 00 2B 05 D1 7B 6F 00 2B 02 D0 00 23 FB 61 01 E0 01 23 FB 61 FB 69 3B 62 3B 6A 00 2B 0E D1 7A 4B 01 93 77 4B 00 93 00 23 1F 22 74 49 02 20 ?? ?? ?? ?? B8 63 BB 6B 01 2B 00 D1 FE DE 3B 6A 00 2B 10 D1 ?? ?? ?? ?? F8 63 FA 6B 16 23 13 60 00 23 00 93 1F 23 6A 4A 68 49 6C 48 ?? ?? ?? ?? 00 23 BB 60 C2 E0 7B 6F 00 2B 02 DB 01 23 7B 62 01 E0 00 23 7B 62 7B 6A BB 62 BB 6A 00 2B 0E D1 61 4B 01 93 5F 4B 00 93 00 23 20 22 5C 49 02 20 ?? ?? ?? ?? 38 64 3B 6C 01 2B 00 D1 FE DE BB 6A 00 2B 10 D1 ?? ?? ?? ?? 78 64 7A 6C 16 23 13 60 00 23 00 93 20 23 52 4A 50 49 53 48 ?? ?? ?? ?? 00 23 BB 60 92 E0 17 F1 78 00 ?? ?? ?? ?? 38 70 3B 78 00 2B 02 D0 01 23 FB 62 01 E0 00 23 FB 62 FB 6A 3B 63 3B 6B 00 2B 0E D1 43 4B 01 93 45 4B 00 93 00 23 21 22 42 49 02 20 ?? ?? ?? ?? B8 64 BB 6C 01 2B 00 D1 FE DE 3B 6B 00 2B 10 D1 ?? ?? ?? ?? F8 64 FA 6C 16 23 13 60 00 23 00 93 21 23 37 4A 36 49 34 48 ?? ?? ?? ?? 00 23 BB 60 5D E0 7B 6F 00 2B 02 D1 00 23 BB 60 57 E0 00 23 7B 63 17 F1 78 00 ?? ?? ?? ?? 38 65 38 6D ?? ?? ?? ?? 17 F1 78 00 ?? ?? ?? ?? 78 65 78 6D ?? ?? ?? ?? 78 70 7B 78 00 2B 00 D1 36 E0 3B 6F 7B 60 01 23 3B 61 02 E0 3B 69 5B 1C 3B 61 3A 69 7B 6F 9A 42 25 D0 17 F1 78 00 ?? ?? ?? ?? B8 65 BB 6D FB 65 17 F1 5C 00 ?? ?? ?? ?? B8 81 BB 89 7B 61 7A 69 4F F6 FF 73 9A 42 05 D1 7A 68 3B 6F 9A 42 00 D1 12 E0 0C E0 7B 69 9A B2 7B 68 1A 80 7B 68 9B 1C 7B 60 7B 69 9B B2 0A 2B 00 D1 00 E0 D2 E7 7A 68 00 23 13 80 3B 6F 7B 63 17 F1 78 00 ?? ?? ?? ?? B8 61 B8 69 ?? ?? ?? ?? 7B 6B BB 60 B8 68 1B B0 BD E8 80 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_495_4_0 {
	meta:
		name = "?fin$0@?0???$common_fgets@_W@@YAPA_WQA_WHV__crt_stdio_stream@@@Z@4HA"
		size = 26
		refs = "0008 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0010 _unlock_file"
	strings:
		$1 = { 10 B5 82 B0 17 F1 78 00 ?? ?? ?? ?? B8 61 B8 69 ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_495_15_0 {
	meta:
		name = "fgets"
		size = 54
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0020 ??$common_fgets@D@@YAPADQADHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 1A 68 09 99 08 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_495_16_0 {
	meta:
		name = "fgetws"
		size = 54
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0020 ??$common_fgets@_W@@YAPA_WQA_WHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 1A 68 09 99 08 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_498_0_0 {
	meta:
		name = "_abstract_cw"
		size = 272
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 13 F4 80 7F 03 D0 00 9B 43 F0 10 03 00 93 06 9B 13 F4 00 7F 03 D0 00 9B 43 F0 08 03 00 93 06 9B 13 F4 80 6F 03 D0 00 9B 43 F0 04 03 00 93 06 9B 13 F4 00 6F 03 D0 00 9B 43 F0 02 03 00 93 06 9B 13 F4 80 5F 03 D0 00 9B 43 F0 01 03 00 93 06 9B 13 F4 00 4F 03 D0 00 9B 43 F4 00 23 00 93 06 9B 03 F4 40 03 01 93 01 9B B3 F5 00 0F 0B D8 01 9B B3 F5 00 0F 14 D0 01 9B 00 2B 09 D0 01 9B B3 F5 80 0F 08 D0 15 E0 01 9B B3 F5 40 0F 0D D0 10 E0 00 9B 00 93 0D E0 00 9B 43 F4 00 73 00 93 08 E0 00 9B 43 F4 80 73 00 93 03 E0 00 9B 43 F4 40 73 00 93 06 9B 03 F0 40 73 02 93 02 9B B3 F1 80 7F 12 D0 02 9B B3 F1 00 7F 09 D0 02 9B B3 F1 40 7F 00 D0 0D E0 00 9B 43 F0 80 73 00 93 08 E0 00 9B 43 F0 00 73 00 93 03 E0 00 9B 43 F0 40 73 00 93 00 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_498_1_0 {
	meta:
		name = "_abstract_sw"
		size = 136
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 04 9B 03 F0 9F 03 00 2B 2F D0 04 9B 13 F0 01 0F 03 D0 00 9B 43 F0 10 03 00 93 04 9B 13 F0 02 0F 03 D0 00 9B 43 F0 08 03 00 93 04 9B 13 F0 04 0F 03 D0 00 9B 43 F0 04 03 00 93 04 9B 13 F0 08 0F 03 D0 00 9B 43 F0 02 03 00 93 04 9B 13 F0 10 0F 03 D0 00 9B 43 F0 01 03 00 93 04 9B 13 F0 80 0F 03 D0 00 9B 43 F4 00 23 00 93 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_498_2_0 {
	meta:
		name = "_clearfp"
		size = 56
		refs = "0026 _abstract_sw"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 F1 EE 10 3A 01 93 01 9B 83 F4 1F 43 00 93 00 9B 23 F0 9F 03 83 F4 1F 43 E1 EE 10 3A 00 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_498_3_0 {
	meta:
		name = "_control87"
		size = 136
		refs = "0022 _abstract_cw 0050 _hw_cw"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0D 9A 1D 4B 13 40 0D 93 F1 EE 10 3A 05 93 05 9B 83 F4 1F 43 02 93 02 98 ?? ?? ?? ?? 06 90 06 9B 00 93 0C 9A 0D 9B 02 EA 03 01 0D 9B DA 43 00 9B 13 40 0B 43 01 93 01 9A 00 9B 9A 42 02 D1 00 9B 04 93 14 E0 01 98 ?? ?? ?? ?? 07 90 02 9B 03 F0 9F 02 07 9B 13 43 03 93 03 9B 83 F4 1F 43 E1 EE 10 3A 03 98 ?? ?? ?? ?? 08 90 08 9B 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB 1F 03 08 03 }
	condition:
		$1
}

rule file_498_4_0 {
	meta:
		name = "_controlfp"
		size = 40
		refs = "0012 _control87"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 23 F4 00 21 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_498_5_0 {
	meta:
		name = "_fpreset"
		size = 30
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 4F F4 1F 43 00 93 00 9B 83 F4 1F 43 E1 EE 10 3A 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_498_6_0 {
	meta:
		name = "_hw_cw"
		size = 272
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 06 9B 13 F0 10 0F 03 D0 00 9B 43 F4 80 73 00 93 06 9B 13 F0 08 0F 03 D0 00 9B 43 F4 00 73 00 93 06 9B 13 F0 04 0F 03 D0 00 9B 43 F4 80 63 00 93 06 9B 13 F0 02 0F 03 D0 00 9B 43 F4 00 63 00 93 06 9B 13 F0 01 0F 03 D0 00 9B 43 F4 80 53 00 93 06 9B 13 F4 00 2F 03 D0 00 9B 43 F4 00 43 00 93 06 9B 03 F4 40 73 01 93 01 9B B3 F5 00 7F 0B D8 01 9B B3 F5 00 7F 0F D0 01 9B 00 2B 09 D0 01 9B B3 F5 80 7F 0D D0 15 E0 01 9B B3 F5 40 7F 0D D0 10 E0 00 9B 00 93 0D E0 00 9B 43 F4 80 03 00 93 08 E0 00 9B 43 F4 00 03 00 93 03 E0 00 9B 43 F4 40 03 00 93 06 9B 03 F0 40 73 02 93 02 9B B3 F1 80 7F 08 D0 02 9B B3 F1 00 7F 09 D0 02 9B B3 F1 40 7F 0A D0 0D E0 00 9B 43 F0 40 73 00 93 08 E0 00 9B 43 F0 00 73 00 93 03 E0 00 9B 43 F0 80 73 00 93 00 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_498_7_0 {
	meta:
		name = "_set_controlfp"
		size = 28
		refs = "0010 _control87"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 9B 23 F4 00 21 02 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_498_8_0 {
	meta:
		name = "_statusfp"
		size = 42
		refs = "0018 _abstract_sw"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 F1 EE 10 3A 00 93 00 9B 83 F4 1F 43 01 93 01 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_499_0_0 {
	meta:
		name = "_dxp_addh"
		size = 1288
		refs = "0022 _dunscale 0044 _dtest 008c _fperrraise 0150 _Nan_C 033c _d_int 0346 _dscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9A B0 8D ED 04 0B 9D ED 04 0B 8D ED 0E 0B 1D 9B 00 2B 00 D1 67 E2 0E A9 03 A8 ?? ?? ?? ?? AD F8 28 00 BD F9 28 30 AD F8 04 30 BD F9 04 30 00 2B 3A DD BD F9 04 30 02 2B 0C D0 1C 98 ?? ?? ?? ?? AD F8 2A 00 BD F9 2A 30 AD F8 04 30 BD F9 04 30 00 2B 05 DC 1C 9B 9D ED 04 0B 83 ED 00 0B 22 E0 BD F9 04 30 02 2B 0B D0 04 AB 9B 1D 1B 88 03 F4 00 42 1C 9B 9B 1D 1B 88 03 F4 00 43 9A 42 00 D1 11 E0 01 20 ?? ?? ?? ?? 1C 9A 2F 4B 93 ED 00 0B 82 ED 00 0B 1D 9B 01 2B 05 DD 1C 9B 08 33 9F ED 28 0B 83 ED 00 0B 1E E2 BD F9 04 30 00 2B 80 F2 1A 82 4F F4 00 63 08 93 00 23 00 93 00 9A 1D 9B 9A 42 80 F2 10 82 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B 8D ED 18 0B 1A 23 09 93 18 A9 0D F1 06 00 ?? ?? ?? ?? AD F8 2C 00 BD F9 2C 30 AD F8 04 30 BD F9 04 30 00 2B 01 DD F3 E1 F1 E1 BD F9 04 30 00 2B 22 D1 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 9D ED 04 0B 83 ED 00 0B 00 9B 5A 1C 1D 9B 9A 42 0A DA 00 9B 5A 1C 08 23 02 FB 03 F2 1C 9B 13 44 9F ED 02 0B 83 ED 00 0B D3 E1 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? CA E1 BD F9 06 20 BD F9 0C 30 D3 1A 0C 93 09 9B 5A 42 0C 9B 93 42 56 DC 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 4F D0 00 9B 02 93 02 9B 5B 1C 02 93 02 9A 1D 9B 9A 42 0D DA 02 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 EA E7 1D 9B 5A 1E 02 9B 93 42 03 DA 02 9B 5B 1C 02 93 06 E0 02 9A 1D 9B 9A 42 02 D1 02 9B 5B 1E 02 93 02 E0 02 9B 5B 1E 02 93 00 9A 02 9B 9A 42 11 DA 02 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 99 18 02 9A 08 23 02 FB 03 F2 1C 9B 13 44 91 ED 00 0B 83 ED 00 0B E6 E7 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 9D ED 04 0B 83 ED 00 0B 9F ED BB 0B 8D ED 04 0B 68 E1 09 9A 0C 9B 9A 42 0D DC 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 06 D0 BD F9 06 30 08 93 00 9B 5B 1C 00 93 56 E1 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 12 0B 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 9D ED 12 0B 83 ED 00 0B 9D ED 12 0B B5 EE 40 0B F1 EE 10 FA 41 D1 00 9B 06 93 06 9B 5B 1C 06 93 06 9A 1D 9B 9A 42 1F DA 06 9A 08 23 02 FB 03 F2 1C 9B 99 18 06 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 91 ED 00 0B 83 ED 00 0B 06 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 D8 E7 1D 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 9F ED 88 0B 83 ED 00 0B 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D1 F6 E0 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B 8D ED 04 0B 04 A9 03 A8 ?? ?? ?? ?? 08 9A 09 9B D2 1A BD F9 0C 30 9A 42 80 F2 80 80 BD F9 0C 10 08 9A 09 9B D3 1A CB 1A 19 B2 04 A8 ?? ?? ?? ?? BD F9 0C 10 04 A8 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 1B 9D ED 04 0B 31 EE 40 0B 8D ED 14 0B 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 9D ED 14 0B 83 ED 00 0B 9D ED 14 0B B5 EE 40 0B F1 EE 10 FA 33 D1 00 9B 07 93 07 9B 5B 1C 07 93 07 9A 1D 9B 9A 42 1F DA 07 9A 08 23 02 FB 03 F2 1C 9B 99 18 07 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 91 ED 00 0B 83 ED 00 0B 07 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 D8 E7 1D 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 9F ED 45 0B 83 ED 00 0B 00 9B 5B 1E 00 93 00 9B 00 2B 03 D1 4F F4 00 63 08 93 12 E0 00 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B 8D ED 0E 0B 0E A9 0D F1 06 00 ?? ?? ?? ?? BD F9 06 30 08 93 5F E0 00 9B 5A 1C 1D 9B 9A 42 01 D1 5A E0 58 E0 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B 8D ED 04 0B 00 9A 08 23 02 FB 03 F2 1C 9B 99 18 0D F1 06 00 ?? ?? ?? ?? 1A 21 00 9A 08 23 02 FB 03 F2 1C 9B 98 18 ?? ?? ?? ?? BD F9 06 10 00 9A 08 23 02 FB 03 F2 1C 9B 98 18 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 9D ED 04 1B 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B BD F9 06 30 08 93 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 04 D0 9D ED 04 0B 8D ED 16 0B 09 E0 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B 8D ED 16 0B 9D ED 16 0B 8D ED 0E 0B 0E A9 03 A8 ?? ?? ?? ?? 00 9B 5B 1C 00 93 EA E5 1C 9B 10 93 10 98 1A B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_623_0_0 {
	meta:
		name = "_ldxp_addh"
		size = 1288
		refs = "0022 _ldunscale 0044 _ldtest 008c _fperrraise 0150 _LNan_C 033c _ld_int 0346 _ldscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9A B0 8D ED 04 0B 9D ED 04 0B 8D ED 0E 0B 1D 9B 00 2B 00 D1 67 E2 0E A9 03 A8 ?? ?? ?? ?? AD F8 28 00 BD F9 28 30 AD F8 04 30 BD F9 04 30 00 2B 3A DD BD F9 04 30 02 2B 0C D0 1C 98 ?? ?? ?? ?? AD F8 2A 00 BD F9 2A 30 AD F8 04 30 BD F9 04 30 00 2B 05 DC 1C 9B 9D ED 04 0B 83 ED 00 0B 22 E0 BD F9 04 30 02 2B 0B D0 04 AB 9B 1D 1B 88 03 F4 00 42 1C 9B 9B 1D 1B 88 03 F4 00 43 9A 42 00 D1 11 E0 01 20 ?? ?? ?? ?? 1C 9A 2F 4B 93 ED 00 0B 82 ED 00 0B 1D 9B 01 2B 05 DD 1C 9B 08 33 9F ED 28 0B 83 ED 00 0B 1E E2 BD F9 04 30 00 2B 80 F2 1A 82 4F F4 00 63 08 93 00 23 00 93 00 9A 1D 9B 9A 42 80 F2 10 82 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B 8D ED 18 0B 1A 23 09 93 18 A9 0D F1 06 00 ?? ?? ?? ?? AD F8 2C 00 BD F9 2C 30 AD F8 04 30 BD F9 04 30 00 2B 01 DD F3 E1 F1 E1 BD F9 04 30 00 2B 22 D1 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 9D ED 04 0B 83 ED 00 0B 00 9B 5A 1C 1D 9B 9A 42 0A DA 00 9B 5A 1C 08 23 02 FB 03 F2 1C 9B 13 44 9F ED 02 0B 83 ED 00 0B D3 E1 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? CA E1 BD F9 06 20 BD F9 0C 30 D3 1A 0C 93 09 9B 5A 42 0C 9B 93 42 56 DC 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 4F D0 00 9B 02 93 02 9B 5B 1C 02 93 02 9A 1D 9B 9A 42 0D DA 02 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 EA E7 1D 9B 5A 1E 02 9B 93 42 03 DA 02 9B 5B 1C 02 93 06 E0 02 9A 1D 9B 9A 42 02 D1 02 9B 5B 1E 02 93 02 E0 02 9B 5B 1E 02 93 00 9A 02 9B 9A 42 11 DA 02 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 99 18 02 9A 08 23 02 FB 03 F2 1C 9B 13 44 91 ED 00 0B 83 ED 00 0B E6 E7 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 9D ED 04 0B 83 ED 00 0B 9F ED BB 0B 8D ED 04 0B 68 E1 09 9A 0C 9B 9A 42 0D DC 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 06 D0 BD F9 06 30 08 93 00 9B 5B 1C 00 93 56 E1 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 12 0B 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 9D ED 12 0B 83 ED 00 0B 9D ED 12 0B B5 EE 40 0B F1 EE 10 FA 41 D1 00 9B 06 93 06 9B 5B 1C 06 93 06 9A 1D 9B 9A 42 1F DA 06 9A 08 23 02 FB 03 F2 1C 9B 99 18 06 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 91 ED 00 0B 83 ED 00 0B 06 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 D8 E7 1D 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 9F ED 88 0B 83 ED 00 0B 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D1 F6 E0 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B 8D ED 04 0B 04 A9 03 A8 ?? ?? ?? ?? 08 9A 09 9B D2 1A BD F9 0C 30 9A 42 80 F2 80 80 BD F9 0C 10 08 9A 09 9B D3 1A CB 1A 19 B2 04 A8 ?? ?? ?? ?? BD F9 0C 10 04 A8 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 1B 9D ED 04 0B 31 EE 40 0B 8D ED 14 0B 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 9D ED 14 0B 83 ED 00 0B 9D ED 14 0B B5 EE 40 0B F1 EE 10 FA 33 D1 00 9B 07 93 07 9B 5B 1C 07 93 07 9A 1D 9B 9A 42 1F DA 07 9A 08 23 02 FB 03 F2 1C 9B 99 18 07 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 91 ED 00 0B 83 ED 00 0B 07 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D0 D8 E7 1D 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 9F ED 45 0B 83 ED 00 0B 00 9B 5B 1E 00 93 00 9B 00 2B 03 D1 4F F4 00 63 08 93 12 E0 00 9B 5A 1E 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B 8D ED 0E 0B 0E A9 0D F1 06 00 ?? ?? ?? ?? BD F9 06 30 08 93 5F E0 00 9B 5A 1C 1D 9B 9A 42 01 D1 5A E0 58 E0 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B 8D ED 04 0B 00 9A 08 23 02 FB 03 F2 1C 9B 99 18 0D F1 06 00 ?? ?? ?? ?? 1A 21 00 9A 08 23 02 FB 03 F2 1C 9B 98 18 ?? ?? ?? ?? BD F9 06 10 00 9A 08 23 02 FB 03 F2 1C 9B 98 18 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 9D ED 04 1B 93 ED 00 0B 31 EE 40 0B 8D ED 04 0B BD F9 06 30 08 93 9D ED 04 0B B5 EE 40 0B F1 EE 10 FA 04 D0 9D ED 04 0B 8D ED 16 0B 09 E0 00 9A 08 23 02 FB 03 F2 1C 9B 13 44 93 ED 00 0B 8D ED 16 0B 9D ED 16 0B 8D ED 0E 0B 0E A9 03 A8 ?? ?? ?? ?? 00 9B 5B 1C 00 93 EA E5 1C 9B 10 93 10 98 1A B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_499_1_0 {
	meta:
		name = "_dxp_addx"
		size = 98
		refs = "004c _dxp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 19 DA 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0C D0 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B 05 99 04 98 ?? ?? ?? ?? DE E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_623_1_0 {
	meta:
		name = "_ldxp_addx"
		size = 98
		refs = "004c _ldxp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 19 DA 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0C D0 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B 05 99 04 98 ?? ?? ?? ?? DE E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_499_2_0 {
	meta:
		name = "_dxp_getw"
		size = 180
		altNames = "_ldxp_getw"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 2B 05 D1 9F ED 26 0B 8D ED 00 0B 40 E0 3F E0 05 9B 01 2B 13 D0 04 9B 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0B D0 05 9B 01 2B 0F DD 04 9B 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 06 D1 04 9B 93 ED 00 0B 8D ED 00 0B 22 E0 21 E0 05 9B 02 2B 0C D1 04 9A 04 9B 08 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 0B 8D ED 00 0B 12 E0 11 E0 04 99 04 9B 03 F1 08 02 04 9B 10 33 92 ED 00 1B 93 ED 00 0B 31 EE 00 1B 91 ED 00 0B 30 EE 01 0B 8D ED 00 0B 9D ED 00 0B 02 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_499_3_0 {
	meta:
		name = "_dxp_invx"
		size = 312
		refs = "0014 _dtest 0086 _dxp_movx 0092 _dxp_mulh 00c0 _dxp_setw 00ee _dxp_mulx 00fa _dxp_addh 0116 _dxp_addx 012c _Inf_C"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 00 2B 00 D1 84 E0 0C 98 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 AD F8 08 30 BD F9 08 30 00 2B 14 DB BD F9 08 30 01 2B 05 D1 0C 9B 9F ED 3E 0B 83 ED 00 0B 09 E0 BD F9 08 30 00 2B 05 D1 0C 9A 38 4B 93 ED 00 0B 82 ED 00 0B 62 E0 0E 9B 03 93 0D 9A 08 23 02 FB 03 F2 0E 9B 13 44 04 93 0D 9A 08 23 02 FB 03 F2 04 9B 13 44 06 93 0C 9B 93 ED 00 0B 8D ED 08 0B 0C 9A 0D 99 04 98 ?? ?? ?? ?? BF EE 00 0B 0D 99 04 98 ?? ?? ?? ?? 0D 9B 01 2B 09 DD 0C 9B 08 33 9D ED 08 1B 93 ED 00 0B 31 EE 00 0B 8D ED 08 0B B7 EE 00 1B 9D ED 08 0B 81 EE 00 0B 0D 99 0C 98 ?? ?? ?? ?? 01 23 05 93 02 E0 05 9B 5B 00 05 93 05 9A 0D 9B 9A 42 21 DA 0C 9A 0D 99 03 98 ?? ?? ?? ?? 06 9B 00 93 0D 9B 04 9A 0D 99 03 98 ?? ?? ?? ?? B7 EE 00 0B 0D 99 03 98 ?? ?? ?? ?? 06 9B 00 93 0D 9B 0C 9A 0D 99 03 98 ?? ?? ?? ?? 0D 9B 03 9A 0D 99 0C 98 ?? ?? ?? ?? D6 E7 0C 9B 07 93 07 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_623_3_0 {
	meta:
		name = "_ldxp_invx"
		size = 312
		refs = "0014 _ldtest 0086 _ldxp_movx 0092 _ldxp_mulh 00c0 _ldxp_setw 00ee _ldxp_mulx 00fa _ldxp_addh 0116 _ldxp_addx 012c _LInf_C"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0D 9B 00 2B 00 D1 84 E0 0C 98 ?? ?? ?? ?? AD F8 0A 00 BD F9 0A 30 AD F8 08 30 BD F9 08 30 00 2B 14 DB BD F9 08 30 01 2B 05 D1 0C 9B 9F ED 3E 0B 83 ED 00 0B 09 E0 BD F9 08 30 00 2B 05 D1 0C 9A 38 4B 93 ED 00 0B 82 ED 00 0B 62 E0 0E 9B 03 93 0D 9A 08 23 02 FB 03 F2 0E 9B 13 44 04 93 0D 9A 08 23 02 FB 03 F2 04 9B 13 44 06 93 0C 9B 93 ED 00 0B 8D ED 08 0B 0C 9A 0D 99 04 98 ?? ?? ?? ?? BF EE 00 0B 0D 99 04 98 ?? ?? ?? ?? 0D 9B 01 2B 09 DD 0C 9B 08 33 9D ED 08 1B 93 ED 00 0B 31 EE 00 0B 8D ED 08 0B B7 EE 00 1B 9D ED 08 0B 81 EE 00 0B 0D 99 0C 98 ?? ?? ?? ?? 01 23 05 93 02 E0 05 9B 5B 00 05 93 05 9A 0D 9B 9A 42 21 DA 0C 9A 0D 99 03 98 ?? ?? ?? ?? 06 9B 00 93 0D 9B 04 9A 0D 99 03 98 ?? ?? ?? ?? B7 EE 00 0B 0D 99 03 98 ?? ?? ?? ?? 06 9B 00 93 0D 9B 0C 9A 0D 99 03 98 ?? ?? ?? ?? 0D 9B 03 9A 0D 99 0C 98 ?? ?? ?? ?? D6 E7 0C 9B 07 93 07 98 0A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_499_4_0 {
	meta:
		name = "_dxp_ldexpx"
		size = 122
		refs = "0030 ldexp"
		altNames = "_ldxp_ldexpx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 25 DA 08 98 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 00 9A 08 23 02 FB 03 F2 06 9B 13 44 9D ED 02 0B 83 ED 00 0B 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D1 00 E0 D2 E7 06 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_499_5_0 {
	meta:
		name = "_dxp_movx"
		size = 42
		refs = "0016 memcpy"
		altNames = "_ldxp_movx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9A 08 23 02 FB 03 F2 06 99 04 98 ?? ?? ?? ?? 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_499_6_0 {
	meta:
		name = "_dxp_mulh"
		size = 532
		refs = "0008 __security_push_cookie 002e _dtest 0050 _fperrraise 016c _dunscale 0174 _d_int 017e _dscale 018a _dxp_addh 01fe __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 93 B0 8D ED 08 0B 17 9B 00 2B 38 DD 16 9B 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 0A AB 83 ED 00 0B 0A A8 ?? ?? ?? ?? AD F8 10 00 BD F9 10 30 AD F8 04 30 BD F9 04 30 00 2B 1C DB BD F9 04 30 02 2B 02 D1 01 20 ?? ?? ?? ?? 0A AA 16 9B 92 ED 00 0B 83 ED 00 0B BD F9 04 30 00 2B 08 DD 17 9B 01 2B 05 DD 16 9B 08 33 9F ED 66 0B 83 ED 00 0B 16 9B 05 93 BC E0 16 9B 9F ED 62 0B 83 ED 00 0B 01 23 00 93 00 23 02 93 05 E0 02 9B 5B 1C 02 93 00 9B 5B 1E 00 93 02 9A 17 9B 9A 42 80 F2 A6 80 02 E0 00 9B 5B 1C 00 93 00 9B 04 2B 45 DA 02 9A 00 9B 1A 44 17 9B 9A 42 31 DA 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 22 D0 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 00 9A 08 23 02 FB 03 F2 0A AB 13 44 83 ED 00 0B 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 9F ED 3B 0B 83 ED 00 0B 0C E0 00 9A 08 23 02 FB 03 F2 0A AB 13 44 9F ED 35 0B 83 ED 00 0B 08 23 00 93 00 E0 B3 E7 0A AB 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 01 D1 4F E0 4D E0 00 23 03 93 0A AB 93 ED 00 0B 8D ED 06 0B 06 A9 0D F1 12 00 ?? ?? ?? ?? 1A 21 06 A8 ?? ?? ?? ?? BD F9 12 10 06 A8 ?? ?? ?? ?? 9D ED 06 0B 17 99 16 98 ?? ?? ?? ?? 0A AB 93 ED 00 1B 9D ED 06 0B 31 EE 40 0B 17 99 16 98 ?? ?? ?? ?? 03 9B 5B 1C 03 93 03 9A 00 9B 9A 42 20 DA 03 9A 08 23 02 FB 03 F2 0A AB 99 18 03 9B 5A 1E 08 23 02 FB 03 F2 0A AB 13 44 91 ED 00 0B 83 ED 00 0B 03 9B 5A 1E 08 23 02 FB 03 F2 0A AB 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D1 00 E0 D7 E7 4E E7 16 9B 05 93 05 98 13 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_623_6_0 {
	meta:
		name = "_ldxp_mulh"
		size = 532
		refs = "0008 __security_push_cookie 002e _ldtest 0050 _fperrraise 016c _ldunscale 0174 _ld_int 017e _ldscale 018a _ldxp_addh 01fe __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 93 B0 8D ED 08 0B 17 9B 00 2B 38 DD 16 9B 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 0A AB 83 ED 00 0B 0A A8 ?? ?? ?? ?? AD F8 10 00 BD F9 10 30 AD F8 04 30 BD F9 04 30 00 2B 1C DB BD F9 04 30 02 2B 02 D1 01 20 ?? ?? ?? ?? 0A AA 16 9B 92 ED 00 0B 83 ED 00 0B BD F9 04 30 00 2B 08 DD 17 9B 01 2B 05 DD 16 9B 08 33 9F ED 66 0B 83 ED 00 0B 16 9B 05 93 BC E0 16 9B 9F ED 62 0B 83 ED 00 0B 01 23 00 93 00 23 02 93 05 E0 02 9B 5B 1C 02 93 00 9B 5B 1E 00 93 02 9A 17 9B 9A 42 80 F2 A6 80 02 E0 00 9B 5B 1C 00 93 00 9B 04 2B 45 DA 02 9A 00 9B 1A 44 17 9B 9A 42 31 DA 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 22 D0 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 00 9A 08 23 02 FB 03 F2 0A AB 13 44 83 ED 00 0B 02 9A 00 9B 1A 44 08 23 02 FB 03 F2 16 9B 13 44 9F ED 3B 0B 83 ED 00 0B 0C E0 00 9A 08 23 02 FB 03 F2 0A AB 13 44 9F ED 35 0B 83 ED 00 0B 08 23 00 93 00 E0 B3 E7 0A AB 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 01 D1 4F E0 4D E0 00 23 03 93 0A AB 93 ED 00 0B 8D ED 06 0B 06 A9 0D F1 12 00 ?? ?? ?? ?? 1A 21 06 A8 ?? ?? ?? ?? BD F9 12 10 06 A8 ?? ?? ?? ?? 9D ED 06 0B 17 99 16 98 ?? ?? ?? ?? 0A AB 93 ED 00 1B 9D ED 06 0B 31 EE 40 0B 17 99 16 98 ?? ?? ?? ?? 03 9B 5B 1C 03 93 03 9A 00 9B 9A 42 20 DA 03 9A 08 23 02 FB 03 F2 0A AB 99 18 03 9B 5A 1E 08 23 02 FB 03 F2 0A AB 13 44 91 ED 00 0B 83 ED 00 0B 03 9B 5A 1E 08 23 02 FB 03 F2 0A AB 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 00 D1 00 E0 D7 E7 4E E7 16 9B 05 93 05 98 13 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_499_7_0 {
	meta:
		name = "_dxp_mulx"
		size = 226
		refs = "0044 _dxp_mulh 0062 _dxp_movx 00cc _dxp_addx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 02 D0 09 9B 00 2B 00 D1 5C E0 08 9B 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 08 D0 08 9B 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 07 D1 08 9B 93 ED 00 0B 07 99 06 98 ?? ?? ?? ?? 43 E0 0A 9B 02 93 07 9A 08 23 02 FB 03 F2 0A 9B 13 44 01 93 06 9A 07 99 02 98 ?? ?? ?? ?? 08 9B 93 ED 00 0B 07 99 06 98 ?? ?? ?? ?? 01 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 09 9B 9A 42 24 DA 00 9A 08 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 17 D0 02 9A 07 99 01 98 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0B 07 99 01 98 ?? ?? ?? ?? 07 9B 01 9A 07 99 06 98 ?? ?? ?? ?? D3 E7 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_623_7_0 {
	meta:
		name = "_ldxp_mulx"
		size = 226
		refs = "0044 _ldxp_mulh 0062 _ldxp_movx 00cc _ldxp_addx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B 00 2B 02 D0 09 9B 00 2B 00 D1 5C E0 08 9B 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 08 D0 08 9B 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 07 D1 08 9B 93 ED 00 0B 07 99 06 98 ?? ?? ?? ?? 43 E0 0A 9B 02 93 07 9A 08 23 02 FB 03 F2 0A 9B 13 44 01 93 06 9A 07 99 02 98 ?? ?? ?? ?? 08 9B 93 ED 00 0B 07 99 06 98 ?? ?? ?? ?? 01 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 09 9B 9A 42 24 DA 00 9A 08 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 17 D0 02 9A 07 99 01 98 ?? ?? ?? ?? 00 9A 08 23 02 FB 03 F2 08 9B 13 44 93 ED 00 0B 07 99 01 98 ?? ?? ?? ?? 07 9B 01 9A 07 99 06 98 ?? ?? ?? ?? D3 E7 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_499_8_0 {
	meta:
		name = "_dxp_setw"
		size = 336
		refs = "0028 _dunscale 0070 _d_int 007a _dscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 0B 9B 00 2B 00 DC 8B E0 0B 9B 01 2B 0D D0 04 A9 68 46 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 02 30 BD F9 02 30 00 2B 05 D1 0A 9B 9D ED 04 0B 83 ED 00 0B 74 E0 BD F9 02 30 00 2B 0B DD 0A 9B 9D ED 04 0B 83 ED 00 0B 0A 9B 08 33 9F ED 39 0B 83 ED 00 0B 64 E0 1A 21 04 A8 ?? ?? ?? ?? BD F9 00 10 04 A8 ?? ?? ?? ?? 0A 9B 9D ED 04 0B 83 ED 00 0B 9D ED 06 1B 9D ED 04 0B 31 EE 40 0B 0A 9B 08 33 83 ED 00 0B 0B 9B 02 2B 40 DD 0A 9B 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 37 D0 0A 9B 08 33 93 ED 00 0B 8D ED 06 0B 0A 9B 03 F1 08 01 68 46 ?? ?? ?? ?? 1A 21 0A 9B 03 F1 08 00 ?? ?? ?? ?? BD F9 00 10 0A 9B 03 F1 08 00 ?? ?? ?? ?? 0A 9B 08 33 9D ED 06 1B 93 ED 00 0B 31 EE 40 0B 0A 9B 10 33 83 ED 00 0B 0B 9B 03 2B 0E DD 0A 9B 10 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 05 D0 0A 9B 18 33 9F ED 0B 0B 83 ED 00 0B 08 E0 0B 9B 02 2B 05 DD 0A 9B 10 33 9F ED 06 0B 83 ED 00 0B 0A 9B 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_623_8_0 {
	meta:
		name = "_ldxp_setw"
		size = 336
		refs = "0028 _ldunscale 0070 _ld_int 007a _ldscale"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 0B 9B 00 2B 00 DC 8B E0 0B 9B 01 2B 0D D0 04 A9 68 46 ?? ?? ?? ?? AD F8 04 00 BD F9 04 30 AD F8 02 30 BD F9 02 30 00 2B 05 D1 0A 9B 9D ED 04 0B 83 ED 00 0B 74 E0 BD F9 02 30 00 2B 0B DD 0A 9B 9D ED 04 0B 83 ED 00 0B 0A 9B 08 33 9F ED 39 0B 83 ED 00 0B 64 E0 1A 21 04 A8 ?? ?? ?? ?? BD F9 00 10 04 A8 ?? ?? ?? ?? 0A 9B 9D ED 04 0B 83 ED 00 0B 9D ED 06 1B 9D ED 04 0B 31 EE 40 0B 0A 9B 08 33 83 ED 00 0B 0B 9B 02 2B 40 DD 0A 9B 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 37 D0 0A 9B 08 33 93 ED 00 0B 8D ED 06 0B 0A 9B 03 F1 08 01 68 46 ?? ?? ?? ?? 1A 21 0A 9B 03 F1 08 00 ?? ?? ?? ?? BD F9 00 10 0A 9B 03 F1 08 00 ?? ?? ?? ?? 0A 9B 08 33 9D ED 06 1B 93 ED 00 0B 31 EE 40 0B 0A 9B 10 33 83 ED 00 0B 0B 9B 03 2B 0E DD 0A 9B 10 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 05 D0 0A 9B 18 33 9F ED 0B 0B 83 ED 00 0B 08 E0 0B 9B 02 2B 05 DD 0A 9B 10 33 9F ED 06 0B 83 ED 00 0B 0A 9B 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_499_9_0 {
	meta:
		name = "_dxp_sqrtx"
		size = 328
		refs = "0014 _dtest 0046 _fperrraise 00a0 sqrt 00b8 _dxp_setw 00d6 _dxp_movx 00e2 _dxp_mulh 00f2 _dxp_mulx 010e _dxp_addh 0144 _Nan_C"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0F 9B 00 2B 00 D1 90 E0 0E 98 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 00 2B 07 DA 0E 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 11 D2 0E 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 20 ?? ?? ?? ?? 0E 9A 3D 4B 93 ED 00 0B 82 ED 00 0B 6D E0 10 9B 03 93 0F 9A 08 23 02 FB 03 F2 10 9B 13 44 04 93 0F 9A 08 23 02 FB 03 F2 04 9B 13 44 05 93 0E 9B 93 ED 00 0B 8D ED 08 0B 0F 9B 01 2B 09 DD 0E 9B 08 33 9D ED 08 1B 93 ED 00 0B 31 EE 00 0B 8D ED 08 0B 9D ED 08 0B ?? ?? ?? ?? 8D ED 0A 0B B7 EE 00 1B 9D ED 0A 0B 81 EE 00 0B 0F 99 04 98 ?? ?? ?? ?? 02 23 06 93 02 E0 06 9B 5B 00 06 93 06 9A 0F 9B 9A 42 29 DA 04 9A 0F 99 03 98 ?? ?? ?? ?? BE EE 00 0B 0F 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0F 9B 0E 9A 0F 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0F 9B 04 9A 0F 99 03 98 ?? ?? ?? ?? B7 EE 08 0B 0F 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0F 9B 03 9A 0F 99 04 98 ?? ?? ?? ?? CE E7 05 9B 00 93 0F 9B 04 9A 0F 99 0E 98 ?? ?? ?? ?? 0E 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_623_9_0 {
	meta:
		name = "_ldxp_sqrtx"
		size = 328
		refs = "0014 _ldtest 0046 _fperrraise 00a0 sqrtl 00b8 _ldxp_setw 00d6 _ldxp_movx 00e2 _ldxp_mulh 00f2 _ldxp_mulx 010e _ldxp_addh 0144 _LNan_C"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 0F 9B 00 2B 00 D1 90 E0 0E 98 ?? ?? ?? ?? AD F8 08 00 BD F9 08 30 00 2B 07 DA 0E 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 11 D2 0E 9B 93 ED 00 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 20 ?? ?? ?? ?? 0E 9A 3D 4B 93 ED 00 0B 82 ED 00 0B 6D E0 10 9B 03 93 0F 9A 08 23 02 FB 03 F2 10 9B 13 44 04 93 0F 9A 08 23 02 FB 03 F2 04 9B 13 44 05 93 0E 9B 93 ED 00 0B 8D ED 08 0B 0F 9B 01 2B 09 DD 0E 9B 08 33 9D ED 08 1B 93 ED 00 0B 31 EE 00 0B 8D ED 08 0B 9D ED 08 0B ?? ?? ?? ?? 8D ED 0A 0B B7 EE 00 1B 9D ED 0A 0B 81 EE 00 0B 0F 99 04 98 ?? ?? ?? ?? 02 23 06 93 02 E0 06 9B 5B 00 06 93 06 9A 0F 9B 9A 42 29 DA 04 9A 0F 99 03 98 ?? ?? ?? ?? BE EE 00 0B 0F 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0F 9B 0E 9A 0F 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0F 9B 04 9A 0F 99 03 98 ?? ?? ?? ?? B7 EE 08 0B 0F 99 03 98 ?? ?? ?? ?? 05 9B 00 93 0F 9B 03 9A 0F 99 04 98 ?? ?? ?? ?? CE E7 05 9B 00 93 0F 9B 04 9A 0F 99 0E 98 ?? ?? ?? ?? 0E 9B 07 93 07 98 0C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_499_10_0 {
	meta:
		name = "_dxp_subx"
		size = 102
		refs = "0050 _dxp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 1B DA 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0E D0 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B1 EE 40 0B 05 99 04 98 ?? ?? ?? ?? DC E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_623_10_0 {
	meta:
		name = "_ldxp_subx"
		size = 102
		refs = "0050 _ldxp_addh"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 07 9B 9A 42 1B DA 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 0E D0 00 9A 08 23 02 FB 03 F2 06 9B 13 44 93 ED 00 0B B1 EE 40 0B 05 99 04 98 ?? ?? ?? ?? DC E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_499_11_0 {
	meta:
		name = "fma"
		size = 664
		refs = "0006 __security_push_cookie 0036 _dunscale 0114 _fperrraise 01e4 _dscale 01f0 _dxp_setw 0216 _dxp_mulh 0250 _dxp_addx 0264 _dxp_getw 028a __security_pop_cookie 0294 _Nan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? B1 B0 8D ED 04 2B 8D ED 0C 1B 8D ED 0A 0B 9D ED 0A 0B 8D ED 12 0B 9D ED 0C 0B 8D ED 14 0B 9D ED 04 0B 8D ED 0E 0B 12 A9 0D F1 1E 00 ?? ?? ?? ?? AD F8 18 00 BD F9 18 30 AD F8 02 30 BD F9 02 30 02 2B 05 D1 9D ED 0A 0B 8D ED 02 0B 15 E1 14 E1 14 A9 08 A8 ?? ?? ?? ?? AD F8 1A 00 BD F9 1A 30 AD F8 04 30 BD F9 04 30 02 2B 05 D1 9D ED 0C 0B 8D ED 02 0B 01 E1 00 E1 0E A9 68 46 ?? ?? ?? ?? AD F8 1C 00 BD F9 1C 30 AD F8 06 30 BD F9 06 30 02 2B 05 D1 9D ED 04 0B 8D ED 02 0B ED E0 EC E0 BD F9 02 30 01 2B 03 D0 BD F9 04 30 01 2B 35 D1 BD F9 02 30 00 2B 27 D0 BD F9 04 30 00 2B 23 D0 BD F9 06 30 01 2B 11 D1 0A AB 9B 1D 1B 88 03 F4 00 42 0C AB 9B 1D 1B 88 03 F4 00 43 5A 40 04 AB 9B 1D 1B 88 03 F4 00 43 9A 42 0D D1 9D ED 0A 1B 9D ED 0C 0B 21 EE 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 02 0B B9 E0 08 E0 01 20 ?? ?? ?? ?? 5E 4B 93 ED 00 0B 8D ED 02 0B AF E0 AE E0 BD F9 06 30 01 2B 05 D1 9D ED 04 0B 8D ED 02 0B A5 E0 A4 E0 BD F9 02 30 00 2B 07 D0 BD F9 04 30 00 2B 03 D0 BD F9 06 30 00 2B 0D D1 9D ED 0A 1B 9D ED 0C 0B 21 EE 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 02 0B 8B E0 8A E0 BD F9 1E 20 BD F9 20 30 13 44 10 93 10 9B 1A B2 BD F9 00 30 9B 1A 1B B2 AD F8 00 30 0A AB 9B 1D 1B 88 03 F4 00 42 0C AB 9B 1D 1B 88 03 F4 00 43 5A 40 04 AB 9B 1D 1B 88 03 F4 00 43 53 40 00 2B 08 D0 BD F9 00 30 13 F1 02 0F 03 DB BD F9 00 30 02 2B 0D DD 9D ED 0A 1B 9D ED 0C 0B 21 EE 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 02 0B 53 E0 52 E0 BD F9 00 10 0E A8 ?? ?? ?? ?? 9D ED 12 0B 04 21 20 A8 ?? ?? ?? ?? 9D ED 14 0B 02 21 18 A8 ?? ?? ?? ?? 9D ED 0E 0B 02 21 1C A8 ?? ?? ?? ?? 18 AB 93 ED 00 0B 04 21 20 A8 ?? ?? ?? ?? 18 AB 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 13 D0 9D ED 12 0B 04 21 28 A8 ?? ?? ?? ?? 18 AB 08 33 93 ED 00 0B 04 21 28 A8 ?? ?? ?? ?? 04 23 28 AA 04 21 20 A8 ?? ?? ?? ?? 02 23 1C AA 04 21 20 A8 ?? ?? ?? ?? 04 21 20 A8 ?? ?? ?? ?? 8D ED 16 0B 9D ED 16 0B 8D ED 0E 0B 10 99 0E A8 ?? ?? ?? ?? 9D ED 0E 0B 8D ED 02 0B 9D ED 02 0B 31 B0 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_623_11_0 {
	meta:
		name = "fmal"
		size = 664
		refs = "0006 __security_push_cookie 0036 _ldunscale 0114 _fperrraise 01e4 _ldscale 01f0 _ldxp_setw 0216 _ldxp_mulh 0250 _ldxp_addx 0264 _ldxp_getw 028a __security_pop_cookie 0294 _LNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 ?? ?? ?? ?? B1 B0 8D ED 04 2B 8D ED 0C 1B 8D ED 0A 0B 9D ED 0A 0B 8D ED 12 0B 9D ED 0C 0B 8D ED 14 0B 9D ED 04 0B 8D ED 0E 0B 12 A9 0D F1 1E 00 ?? ?? ?? ?? AD F8 18 00 BD F9 18 30 AD F8 02 30 BD F9 02 30 02 2B 05 D1 9D ED 0A 0B 8D ED 02 0B 15 E1 14 E1 14 A9 08 A8 ?? ?? ?? ?? AD F8 1A 00 BD F9 1A 30 AD F8 04 30 BD F9 04 30 02 2B 05 D1 9D ED 0C 0B 8D ED 02 0B 01 E1 00 E1 0E A9 68 46 ?? ?? ?? ?? AD F8 1C 00 BD F9 1C 30 AD F8 06 30 BD F9 06 30 02 2B 05 D1 9D ED 04 0B 8D ED 02 0B ED E0 EC E0 BD F9 02 30 01 2B 03 D0 BD F9 04 30 01 2B 35 D1 BD F9 02 30 00 2B 27 D0 BD F9 04 30 00 2B 23 D0 BD F9 06 30 01 2B 11 D1 0A AB 9B 1D 1B 88 03 F4 00 42 0C AB 9B 1D 1B 88 03 F4 00 43 5A 40 04 AB 9B 1D 1B 88 03 F4 00 43 9A 42 0D D1 9D ED 0A 1B 9D ED 0C 0B 21 EE 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 02 0B B9 E0 08 E0 01 20 ?? ?? ?? ?? 5E 4B 93 ED 00 0B 8D ED 02 0B AF E0 AE E0 BD F9 06 30 01 2B 05 D1 9D ED 04 0B 8D ED 02 0B A5 E0 A4 E0 BD F9 02 30 00 2B 07 D0 BD F9 04 30 00 2B 03 D0 BD F9 06 30 00 2B 0D D1 9D ED 0A 1B 9D ED 0C 0B 21 EE 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 02 0B 8B E0 8A E0 BD F9 1E 20 BD F9 20 30 13 44 10 93 10 9B 1A B2 BD F9 00 30 9B 1A 1B B2 AD F8 00 30 0A AB 9B 1D 1B 88 03 F4 00 42 0C AB 9B 1D 1B 88 03 F4 00 43 5A 40 04 AB 9B 1D 1B 88 03 F4 00 43 53 40 00 2B 08 D0 BD F9 00 30 13 F1 02 0F 03 DB BD F9 00 30 02 2B 0D DD 9D ED 0A 1B 9D ED 0C 0B 21 EE 00 1B 9D ED 04 0B 31 EE 00 0B 8D ED 02 0B 53 E0 52 E0 BD F9 00 10 0E A8 ?? ?? ?? ?? 9D ED 12 0B 04 21 20 A8 ?? ?? ?? ?? 9D ED 14 0B 02 21 18 A8 ?? ?? ?? ?? 9D ED 0E 0B 02 21 1C A8 ?? ?? ?? ?? 18 AB 93 ED 00 0B 04 21 20 A8 ?? ?? ?? ?? 18 AB 08 33 93 ED 00 0B B5 EE 40 0B F1 EE 10 FA 13 D0 9D ED 12 0B 04 21 28 A8 ?? ?? ?? ?? 18 AB 08 33 93 ED 00 0B 04 21 28 A8 ?? ?? ?? ?? 04 23 28 AA 04 21 20 A8 ?? ?? ?? ?? 02 23 1C AA 04 21 20 A8 ?? ?? ?? ?? 04 21 20 A8 ?? ?? ?? ?? 8D ED 16 0B 9D ED 16 0B 8D ED 0E 0B 10 99 0E A8 ?? ?? ?? ?? 9D ED 0E 0B 8D ED 02 0B 9D ED 02 0B 31 B0 ?? ?? ?? ?? BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_500_0_0 {
	meta:
		name = "fdimf"
		size = 136
		refs = "0012 _fdtest"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 CD ED 02 0A 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 05 D1 9D ED 01 0A 8D ED 03 0A 26 E0 25 E0 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 2B 05 D1 9D ED 02 0A 8D ED 03 0A 17 E0 16 E0 DD ED 01 0A 9D ED 02 0A F4 EE C0 0A F1 EE 10 FA 05 D8 9F ED 09 0A 8D ED 03 0A 08 E0 07 E0 DD ED 01 0A 9D ED 02 0A 30 EE C0 0A 8D ED 03 0A 9D ED 03 0A 04 B0 BD E8 00 88 00 00 00 00 }
	condition:
		$1
}

rule file_501_0_0 {
	meta:
		name = "?is_lfh_enabled@@YA_NXZ"
		size = 96
		refs = "0058 __imp_HeapQueryInformation 005c __acrt_heap"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 87 B0 6F F0 00 03 02 93 00 23 00 93 04 23 02 AA 00 21 10 48 00 68 0E 4C 24 68 A0 47 05 90 05 9B 00 2B 03 D1 00 23 8D F8 10 30 0B E0 02 9B 02 2B 02 D1 01 23 03 93 01 E0 00 23 03 93 03 9B DB B2 8D F8 10 30 9D F8 10 00 07 B0 BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_501_2_0 {
	meta:
		name = "_expand_base"
		size = 324
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 00e0 ?is_lfh_enabled@@YA_NXZ 0100 __acrt_errno_from_os_error 0124 __imp_GetLastError 0128 __imp_HeapReAlloc 012c __acrt_heap 0130 __imp_HeapSize 0134 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0138 ??_C@_1BK@JMCGJOCC@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 013c ??_C@_1FO@GEKPJHID@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0140 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 93 B0 16 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 43 4B 01 93 45 4B 00 93 00 23 29 22 42 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 29 23 37 4A 36 49 34 48 ?? ?? ?? ?? 00 23 03 93 54 E0 17 9B 13 F1 20 0F 08 D9 ?? ?? ?? ?? 0C 90 0C 9A 0C 23 13 60 00 23 03 93 47 E0 16 9A 00 21 28 4B 18 68 28 4B 1B 68 98 47 0D 90 0D 9B 09 93 17 9B 00 2B 02 D1 01 23 06 93 01 E0 17 9B 06 93 06 9B 08 93 08 9B 16 9A 10 21 1D 48 00 68 1B 4C 24 68 A0 47 0E 90 0E 9B 07 93 07 9B 00 2B 02 D0 07 9B 03 93 22 E0 09 9B B3 F5 80 4F 0E D8 08 9A 09 9B 9A 42 0A D8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 02 D0 16 9B 03 93 0F E0 0B 4B 1B 68 98 47 0F 90 0F 98 ?? ?? ?? ?? 10 90 ?? ?? ?? ?? 11 90 10 9A 11 9B 1A 60 00 23 03 93 03 98 13 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_503_0_0 {
	meta:
		name = "nexttowardl"
		size = 590
		refs = "0016 _ldtest 01a2 _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 8E B0 8D ED 0A 1B 8D ED 08 0B 08 AB 05 93 08 A8 ?? ?? ?? ?? AD F8 10 00 BD F9 10 30 AD F8 00 30 BD F9 00 30 02 2B 00 D1 FA E0 0A A8 ?? ?? ?? ?? AD F8 12 00 BD F9 12 30 02 2B 08 D0 9D ED 08 1B 9D ED 0A 0B B4 EE 40 1B F1 EE 10 FA 04 D1 9D ED 0A 0B 8D ED 08 0B E3 E0 BD F9 00 30 01 2B 1B D1 05 9B 9B 1D 1B 88 03 F4 00 42 47 F6 EF 73 42 EA 03 01 05 9B 9A 1D 8B B2 13 80 05 9B 1A 1D 4F F6 FF 73 13 80 05 9B 9A 1C 4F F6 FF 73 13 80 05 9A 4F F6 FF 73 13 80 C3 E0 BD F9 00 30 00 2B 17 D1 9D ED 08 1B 9D ED 0A 0B B4 EE C0 1B F1 EE 10 FA 02 D2 00 23 06 93 02 E0 4F F4 00 43 06 93 05 9B 9A 1D 06 9B 9B B2 13 80 05 9A 01 23 13 80 A7 E0 9D ED 08 1B 9D ED 0A 0B B4 EE C0 1B F1 EE 10 FA 06 D2 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 0F DC 9D ED 0A 1B 9D ED 08 0B B4 EE C0 1B F1 EE 10 FA 4F D2 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 48 D2 05 9B 1B 88 5B 1C 9B B2 AD F8 02 30 05 9A BD F8 02 30 13 80 BD F8 02 30 9B B2 00 2B 38 D1 05 9B 9B 1C 1B 88 5B 1C 9B B2 AD F8 04 30 05 9B 9A 1C BD F8 04 30 13 80 BD F8 04 30 9B B2 00 2B 27 D1 05 9B 1B 1D 1B 88 5B 1C 9B B2 AD F8 06 30 05 9B 1A 1D BD F8 06 30 13 80 BD F8 06 30 9B B2 00 2B 16 D1 05 9B 9B 1D 1B 88 5B 1C 9B B2 AD F8 08 30 05 9B 9A 1D BD F8 08 30 13 80 BD F8 08 30 23 F4 00 42 47 F6 F0 73 9A 42 02 D1 08 20 ?? ?? ?? ?? 3E E0 05 9B 1B 88 5B 1E 9B B2 AD F8 0A 30 05 9A BD F8 0A 30 13 80 BD F8 0A 30 9A B2 4F F6 FF 73 9A 42 2D D1 05 9B 9B 1C 1B 88 5B 1E 9B B2 AD F8 0C 30 05 9B 9A 1C BD F8 0C 30 13 80 BD F8 0C 30 9A B2 4F F6 FF 73 9A 42 1A D1 05 9B 1B 1D 1B 88 5B 1E 9B B2 AD F8 0E 30 05 9B 1A 1D BD F8 0E 30 13 80 BD F8 0E 30 9A B2 4F F6 FF 73 9A 42 07 D1 05 9B 9B 1D 1B 88 5B 1E 9A B2 05 9B 9B 1D 1A 80 05 9B 9B 1D 1A 88 47 F6 F0 73 13 40 00 2B 02 D1 10 20 ?? ?? ?? ?? 9D ED 08 0B 8D ED 0C 0B 9D ED 0C 0B 0E B0 BD E8 00 88 }
	condition:
		$1
}

rule file_598_0_0 {
	meta:
		name = "nexttoward"
		size = 590
		refs = "0016 _dtest 0032 _ldtest 01a2 _fperrraise"
	strings:
		$1 = { 2D E9 00 48 EB 46 8E B0 8D ED 0A 1B 8D ED 08 0B 08 AB 05 93 08 A8 ?? ?? ?? ?? AD F8 10 00 BD F9 10 30 AD F8 00 30 BD F9 00 30 02 2B 00 D1 FA E0 0A A8 ?? ?? ?? ?? AD F8 12 00 BD F9 12 30 02 2B 08 D0 9D ED 08 1B 9D ED 0A 0B B4 EE 40 1B F1 EE 10 FA 04 D1 9D ED 0A 0B 8D ED 08 0B E3 E0 BD F9 00 30 01 2B 1B D1 05 9B 9B 1D 1B 88 03 F4 00 42 47 F6 EF 73 42 EA 03 01 05 9B 9A 1D 8B B2 13 80 05 9B 1A 1D 4F F6 FF 73 13 80 05 9B 9A 1C 4F F6 FF 73 13 80 05 9A 4F F6 FF 73 13 80 C3 E0 BD F9 00 30 00 2B 17 D1 9D ED 08 1B 9D ED 0A 0B B4 EE C0 1B F1 EE 10 FA 02 D2 00 23 06 93 02 E0 4F F4 00 43 06 93 05 9B 9A 1D 06 9B 9B B2 13 80 05 9A 01 23 13 80 A7 E0 9D ED 08 1B 9D ED 0A 0B B4 EE C0 1B F1 EE 10 FA 06 D2 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 0F DC 9D ED 0A 1B 9D ED 08 0B B4 EE C0 1B F1 EE 10 FA 4F D2 9D ED 08 0B B5 EE C0 0B F1 EE 10 FA 48 D2 05 9B 1B 88 5B 1C 9B B2 AD F8 02 30 05 9A BD F8 02 30 13 80 BD F8 02 30 9B B2 00 2B 38 D1 05 9B 9B 1C 1B 88 5B 1C 9B B2 AD F8 04 30 05 9B 9A 1C BD F8 04 30 13 80 BD F8 04 30 9B B2 00 2B 27 D1 05 9B 1B 1D 1B 88 5B 1C 9B B2 AD F8 06 30 05 9B 1A 1D BD F8 06 30 13 80 BD F8 06 30 9B B2 00 2B 16 D1 05 9B 9B 1D 1B 88 5B 1C 9B B2 AD F8 08 30 05 9B 9A 1D BD F8 08 30 13 80 BD F8 08 30 23 F4 00 42 47 F6 F0 73 9A 42 02 D1 08 20 ?? ?? ?? ?? 3E E0 05 9B 1B 88 5B 1E 9B B2 AD F8 0A 30 05 9A BD F8 0A 30 13 80 BD F8 0A 30 9A B2 4F F6 FF 73 9A 42 2D D1 05 9B 9B 1C 1B 88 5B 1E 9B B2 AD F8 0C 30 05 9B 9A 1C BD F8 0C 30 13 80 BD F8 0C 30 9A B2 4F F6 FF 73 9A 42 1A D1 05 9B 1B 1D 1B 88 5B 1E 9B B2 AD F8 0E 30 05 9B 1A 1D BD F8 0E 30 13 80 BD F8 0E 30 9A B2 4F F6 FF 73 9A 42 07 D1 05 9B 9B 1D 1B 88 5B 1E 9A B2 05 9B 9B 1D 1A 80 05 9B 9B 1D 1A 88 47 F6 F0 73 13 40 00 2B 02 D1 10 20 ?? ?? ?? ?? 9D ED 08 0B 8D ED 0C 0B 9D ED 0C 0B 0E B0 BD E8 00 88 }
	condition:
		$1
}

rule file_504_0_0 {
	meta:
		name = "ccosf"
		size = 122
		refs = "0018 crealf 0028 cimagf 003c _FCbuild 0050 ccoshf"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 CD ED 03 0A 8D ED 02 0A 9D ED 02 0A DD ED 03 0A ?? ?? ?? ?? 8D ED 00 0A 9D ED 02 0A DD ED 03 0A ?? ?? ?? ?? 8D ED 01 0A DD ED 00 0A 9D ED 01 0A B1 EE 40 0A ?? ?? ?? ?? CD ED 05 0A 8D ED 04 0A 9D ED 04 0A DD ED 05 0A ?? ?? ?? ?? CD ED 07 0A 8D ED 06 0A 9D ED 06 0A 8D ED 08 0A 9D ED 07 0A 8D ED 09 0A 9D ED 08 0A DD ED 09 0A 0A B0 BD E8 00 88 }
	condition:
		$1
}

rule file_505_0_0 {
	meta:
		name = "??$common_tcscat_s@_W@@YAHQA_WIQB_W@Z"
		size = 908
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0094 _CrtGetDebugFillThreshold 00c2 memset 0368 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 036c ??_C@_1CA@EOJJMFA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 0370 ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0374 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0378 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 037c ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0380 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0384 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0388 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A2 B0 24 9B 00 2B 05 D0 25 9B 00 2B 02 D9 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 D7 4B 01 93 D1 4B 00 93 00 23 19 22 CE 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 19 23 C3 4A C2 49 C8 48 ?? ?? ?? ?? 16 23 04 93 75 E1 26 9B 00 2B 57 D1 24 9A 00 23 13 80 25 9B B3 F1 FF 3F 20 D0 25 9A 6F F0 00 43 9A 42 1B D0 25 9B 01 2B 18 D9 ?? ?? ?? ?? 18 90 18 9B 08 93 25 9B 5A 1E 08 9B 93 42 02 D2 08 9B 09 93 02 E0 25 9B 5B 1E 09 93 09 9A 02 23 02 FB 03 F2 FE 21 24 9B 98 1C ?? ?? ?? ?? 26 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 A8 4B 01 93 A3 4B 00 93 00 23 1A 22 A0 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 1A 23 96 4A 94 49 9A 48 ?? ?? ?? ?? 16 23 04 93 1A E1 24 9B 03 93 25 9B 02 93 02 9B 00 2B 0A D9 03 9B 1B 88 00 2B 06 D0 03 9B 9B 1C 03 93 02 9B 5B 1E 02 93 F1 E7 02 9B 00 2B 58 D1 24 9A 00 23 13 80 25 9B B3 F1 FF 3F 20 D0 25 9A 6F F0 00 43 9A 42 1B D0 25 9B 01 2B 18 D9 ?? ?? ?? ?? 1B 90 1B 9B 0C 93 25 9B 5A 1E 0C 9B 93 42 02 D2 0C 9B 0D 93 02 E0 25 9B 5B 1E 0D 93 0D 9A 02 23 02 FB 03 F2 FE 21 24 9B 98 1C ?? ?? ?? ?? 77 4B 00 2B 03 D0 02 E0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 6F 4B 01 93 6C 4B 00 93 00 23 27 22 69 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 10 D1 ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 00 23 00 93 27 23 5F 4A 5D 49 61 48 ?? ?? ?? ?? 16 23 04 93 AC E0 26 9B 05 93 05 9B 1A 88 03 9B 1A 80 03 9B 1A 88 03 9B 9B 1C 03 93 05 9B 9B 1C 05 93 00 2A 06 D0 02 9B 5B 1E 02 93 02 9B 00 2B 00 D9 EA E7 02 9B 00 2B 58 D1 24 9A 00 23 13 80 25 9B B3 F1 FF 3F 20 D0 25 9A 6F F0 00 43 9A 42 1B D0 25 9B 01 2B 18 D9 ?? ?? ?? ?? 1E 90 1E 9B 10 93 25 9B 5A 1E 10 9B 93 42 02 D2 10 9B 11 93 02 E0 25 9B 5B 1E 11 93 11 9A 02 23 02 FB 03 F2 FE 21 24 9B 98 1C ?? ?? ?? ?? 3C 4B 00 2B 03 D0 02 E0 01 23 12 93 01 E0 00 23 12 93 12 9B 13 93 13 9B 00 2B 0E D1 31 4B 01 93 33 4B 00 93 00 23 32 22 30 49 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 13 9B 00 2B 10 D1 ?? ?? ?? ?? 20 90 20 9A 22 23 13 60 00 23 00 93 32 23 25 4A 24 49 22 48 ?? ?? ?? ?? 22 23 04 93 39 E0 25 9B B3 F1 FF 3F 33 D0 25 9A 6F F0 00 43 9A 42 2E D0 25 9A 02 9B D3 1A 5A 1C 25 9B 9A 42 27 D2 ?? ?? ?? ?? 21 90 21 9B 14 93 25 9A 02 9B D3 1A 5A 1C 25 9B 9A 1A 14 9B 93 42 02 D2 14 9B 15 93 06 E0 25 9A 02 9B D3 1A 5A 1C 25 9B 9B 1A 15 93 15 9A 02 23 02 FB 03 F2 FE 21 25 98 02 9B C3 1A 58 1C 02 23 00 FB 03 F0 24 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 22 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_506_6_0 {
	meta:
		name = "_chvalidchk_l"
		size = 22
		refs = "0012 _chvalidator_l"
	strings:
		$1 = { 2D E9 00 48 EB 46 13 46 0A 46 01 46 18 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_506_7_0 {
	meta:
		name = "_ischartype_l"
		size = 40
		refs = "0014 _isctype_l 0020 _chvalidator_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 14 46 34 B1 23 68 5B 68 01 2B 02 DD ?? ?? ?? ?? 04 E0 0A 46 01 46 20 46 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_506_9_0 {
	meta:
		name = "_ismbcdigit_l"
		size = 92
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0024 _isctype_l 0030 _chvalidator_l 003e __dcrt_multibyte_check_type"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? FF 2C 0F D8 01 9B 5B 68 01 2B 05 DD 01 AA 04 21 20 46 ?? ?? ?? ?? 0B E0 01 A8 04 22 21 46 ?? ?? ?? ?? 05 E0 01 A9 01 23 04 22 20 46 ?? ?? ?? ?? 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_507_5_0 {
	meta:
		name = "rename"
		size = 432
		refs = "000c __acrt_AreFileApisANSI 0072 __acrt_errno_map_os_error 00ce _malloc_dbg 00d8 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 00de ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 00f2 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0182 _wrename 01a4 __imp_GetLastError 01a8 __imp_MultiByteToWideChar 01ac ??_C@_0DF@IKPHOEPI@minkernel?2crts?2ucrt?2src?2appcrt?2f@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 9D B0 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 03 D1 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 06 93 00 23 01 93 00 23 00 93 6F F0 00 03 20 9A 00 21 06 98 54 4C 24 68 A0 47 0C 90 0C 9B 05 93 05 9B 00 2B 0A D1 4E 4B 1B 68 98 47 0D 90 0D 98 ?? ?? ?? ?? 6F F0 00 03 04 93 8B E0 00 23 01 93 00 23 00 93 6F F0 00 03 21 9A 00 21 06 98 45 4C 24 68 A0 47 0E 90 0E 9B 07 93 07 9B 00 2B 0A D1 40 4B 1B 68 98 47 0F 90 0F 98 ?? ?? ?? ?? 6F F0 00 03 04 93 6E E0 05 9A 07 9B 13 44 10 93 2A 23 3A 4A 02 21 10 9C 02 20 04 FB 00 F0 ?? ?? ?? ?? 11 90 11 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 12 90 12 9B 00 2B 08 D1 6F F0 00 03 13 93 03 A8 ?? ?? ?? ?? 13 9B 04 93 4C E0 03 A8 ?? ?? ?? ?? 14 90 14 9B 0A 93 03 A8 ?? ?? ?? ?? 15 90 05 9A 02 23 02 FB 03 F2 15 9B 13 44 09 93 05 9B 01 93 0A 9B 00 93 6F F0 00 03 20 9A 00 21 06 98 1D 4C 24 68 A0 47 16 90 16 9B 00 2B 0F D0 07 9B 01 93 09 9B 00 93 6F F0 00 03 21 9A 00 21 06 98 15 4C 24 68 A0 47 17 90 17 9B 00 2B 0F D1 11 4B 1B 68 98 47 18 90 18 98 ?? ?? ?? ?? 6F F0 00 03 19 93 03 A8 ?? ?? ?? ?? 19 9B 04 93 0B E0 09 99 0A 98 ?? ?? ?? ?? 1A 90 1A 9B 1B 93 03 A8 ?? ?? ?? ?? 1B 9B 04 93 04 98 1D B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_508_5_0 {
	meta:
		name = "_mbstok_s_l"
		size = 508
		refs = "0024 _CrtDbgReportW 002e _errno 0042 _invalid_parameter 00ae ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00c2 strtok_s 01e4 ??_C@_1HC@OKFLAEGA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 01e8 ??_C@_1FK@NHNJCDJJ@?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAC?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt@ 01ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01f0 ??_C@_1CG@CBDCOOGB@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01f4 ??_C@_1BI@POJFKBIJ@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAk?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 01f8 ??_C@_1CG@NGEOKDE@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 17 46 1D 46 88 46 04 46 D7 B9 75 4B 78 4C 72 49 00 93 00 23 18 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 18 23 6D 49 69 4A 20 46 ?? ?? ?? ?? 00 20 C8 E0 B8 F1 00 0F 14 D1 66 4B 67 4C 63 49 00 93 00 23 19 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 19 23 E0 E7 B4 B9 3B 68 A3 B9 5A 4B 59 4C 57 49 00 93 00 23 1A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1A 23 C8 E7 02 A8 29 46 ?? ?? ?? ?? DD F8 10 90 D9 F8 08 30 2B B9 3A 46 41 46 20 46 ?? ?? ?? ?? 7F E0 04 B9 3C 68 22 78 4F F0 04 0A B2 B3 2A 26 98 F8 00 30 45 46 13 E0 29 78 01 EB 09 03 5B 7E 13 EA 0A 0F 08 D0 68 78 68 B1 91 42 02 D1 63 78 98 42 0E D0 6D 1C 01 E0 91 42 0A D0 6D 1C 2B 78 00 2B E9 D1 05 E0 6D 1C ?? ?? ?? ?? 06 60 DD F8 10 90 2B 78 93 B1 23 78 4B 44 5B 7E 13 EA 0A 0F 02 D0 64 1C 23 78 23 B1 64 1C 22 78 00 2A CF D1 04 E0 ?? ?? ?? ?? 06 60 DD F8 10 90 23 78 20 46 DB B3 98 F8 00 E0 00 26 BE F1 00 0F 42 46 1B D0 15 78 05 EB 09 03 5B 7E 13 EA 0A 0F 09 D0 51 78 89 B1 23 78 9D 42 02 D1 63 78 99 42 09 D0 52 1C 02 E0 23 78 9D 42 07 D0 52 1C 13 78 00 2B E7 D1 02 E0 01 26 00 E0 52 1C 13 78 83 B9 23 78 4B 44 5B 7E 13 EA 0A 0F 02 D0 63 78 2B B1 64 1C 64 1C 23 78 00 2B CF D1 08 E0 00 23 23 70 05 E0 00 23 23 70 64 1C 0E B1 23 70 64 1C A0 42 08 BF 00 20 3C 60 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 07 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_509_2_0 {
	meta:
		name = "??$common_loctotime_t@J@@YAJHHHHHHH@Z"
		size = 592
		refs = "0008 __security_push_cookie 0022 _errno 005e ?__crt_time_is_day_valid@@YA_NHHH@Z 00fa ??$__crt_time_is_leap_year@H@@YA_NH@Z 011e ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 0166 __tzset 0178 _get_daylight 018e _invoke_watson_if_error 0194 _get_dstbias 01b0 _get_timezone 0210 _isindst 022a __security_pop_cookie 0238 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 023c ??_C@_1CG@LALGJIHA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAt?$AAo?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA?$AA@ 0240 ??_C@_1GE@KFGDBEOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0244 ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 0248 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 024c _days"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? A5 B0 28 9B A3 F2 6C 73 28 93 28 9B 46 2B 02 DB 28 9B 8A 2B 09 D9 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 6F F0 00 03 02 93 F7 E0 29 9B 01 2B 02 DB 29 9B 0C 2B 09 DD ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 6F F0 00 03 02 93 E7 E0 2A 9A 29 9B 59 1E 28 98 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 09 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 6F F0 00 03 02 93 D1 E0 2B 9B 00 2B 02 DB 2B 9B 17 2B 09 DD ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 6F F0 00 03 02 93 C1 E0 2C 9B 00 2B 02 DB 2C 9B 3B 2B 09 DD ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 6F F0 00 03 02 93 B1 E0 2D 9B 00 2B 02 DB 2D 9B 3B 2B 09 DD ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 6F F0 00 03 02 93 A1 E0 29 9B 5A 1E 04 23 02 FB 03 F2 57 4B 13 44 2A 9A 1B 68 13 44 04 93 28 98 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 05 D0 29 9B 02 2B 02 DD 04 9B 5B 1C 04 93 28 9B 46 3B 11 93 28 98 ?? ?? ?? ?? 10 90 10 9B 12 93 11 9A 40 F2 6D 13 02 FB 03 F2 12 9B 1A 44 04 9B 13 44 13 93 13 9A 18 23 02 FB 03 F2 2B 9B 13 44 14 93 14 9A 3C 23 02 FB 03 F2 2C 9B 13 44 15 93 15 9A 3C 23 02 FB 03 F2 2D 9B 13 44 19 93 ?? ?? ?? ?? 00 23 07 93 00 23 06 93 00 23 05 93 07 A8 ?? ?? ?? ?? 16 90 00 23 01 93 43 23 00 93 2E 4B 2C 4A 2F 49 16 98 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 17 90 00 23 01 93 44 23 00 93 27 4B 25 4A 27 49 17 98 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 18 90 00 23 01 93 45 23 00 93 20 4B 1E 4A 1D 49 18 98 ?? ?? ?? ?? 19 9A 05 9B 13 44 09 93 09 9A 06 9B 13 44 08 93 2E 9B 01 2B 02 D1 08 9B 02 93 1F E0 04 9B 23 93 28 9B 21 93 29 9B 5B 1E 20 93 2B 9B 1E 93 2C 9B 1D 93 2D 9B 1C 93 2E 9B B3 F1 FF 3F 0C D1 07 9B 00 2B 09 D0 1C A8 ?? ?? ?? ?? 1A 90 1A 9B 00 2B 02 D0 08 9B 02 93 01 E0 09 9B 02 93 02 98 25 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_509_3_0 {
	meta:
		name = "??$common_loctotime_t@_J@@YA_JHHHHHHH@Z"
		size = 828
		refs = "0008 __security_push_cookie 0032 _errno 007a ?__crt_time_is_day_valid@@YA_NHHH@Z 012e ??$__crt_time_is_leap_year@H@@YA_NH@Z 015e ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 0232 __tzset 0244 _get_daylight 025a _invoke_watson_if_error 0260 _get_dstbias 027c _get_timezone 02f4 _isindst 0318 __security_pop_cookie 0324 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0328 ??_C@_1CG@LALGJIHA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAt?$AAo?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA?$AA@ 032c ??_C@_1GE@KFGDBEOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0330 ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 0334 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0338 _days"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? B3 B0 36 9B A3 F2 6C 73 36 93 36 9B 46 2B 0A DB 36 9A 36 9B DB 17 12 92 00 2B 04 D8 12 9A 40 F2 4D 43 9A 42 0C D9 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 6F F0 00 03 02 93 6F F0 00 03 03 93 62 E1 37 9B 01 2B 02 DB 37 9B 0C 2B 0C DD ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 6F F0 00 03 02 93 6F F0 00 03 03 93 4F E1 38 9A 37 9B 59 1E 36 98 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 0C D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 6F F0 00 03 02 93 6F F0 00 03 03 93 36 E1 39 9B 00 2B 02 DB 39 9B 17 2B 0C DD ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 6F F0 00 03 02 93 6F F0 00 03 03 93 23 E1 3A 9B 00 2B 02 DB 3A 9B 3B 2B 0C DD ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 6F F0 00 03 02 93 6F F0 00 03 03 93 10 E1 3B 9B 00 2B 02 DB 3B 9B 3B 2B 0C DD ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 6F F0 00 03 02 93 6F F0 00 03 03 93 FD E0 37 9B 5A 1E 04 23 02 FB 03 F2 85 4B 13 44 38 9A 1B 68 13 44 05 93 36 98 ?? ?? ?? ?? 8D F8 11 00 9D F8 11 30 00 2B 05 D0 37 9B 02 2B 02 DD 05 9B 5B 1C 05 93 36 9A 36 9B D9 17 00 23 46 3A 61 EB 03 03 1E 92 1F 93 36 98 ?? ?? ?? ?? 08 90 08 9A 08 9B DB 17 20 92 21 93 1E 9B 1F 99 09 93 09 9A 00 23 02 FB 03 F2 40 F2 6D 13 01 FB 03 F3 D1 18 09 9A 40 F2 6D 13 A2 FB 03 03 19 44 20 9A 21 9B 80 18 59 41 05 9A 05 9B DB 17 12 18 4B 41 22 92 23 93 22 9B 23 99 0A 93 0A 9A 00 23 02 FB 03 F2 18 23 01 FB 03 F3 D1 18 0A 9A 18 23 A2 FB 03 03 19 44 39 9A 39 9B DB 17 12 18 4B 41 24 92 25 93 24 9B 25 99 0B 93 0B 9A 00 23 02 FB 03 F2 3C 23 01 FB 03 F3 D1 18 0B 9A 3C 23 A2 FB 03 03 19 44 3A 9A 3A 9B DB 17 12 18 4B 41 26 92 27 93 26 9B 27 99 0C 93 0C 9A 00 23 02 FB 03 F2 3C 23 01 FB 03 F3 D1 18 0C 9A 3C 23 A2 FB 03 03 19 44 3B 9A 3B 9B DB 17 12 18 4B 41 28 92 29 93 ?? ?? ?? ?? 00 23 0D 93 00 23 07 93 00 23 06 93 0D A8 ?? ?? ?? ?? 19 90 00 23 01 93 43 23 00 93 36 4B 34 4A 37 49 19 98 ?? ?? ?? ?? 07 A8 ?? ?? ?? ?? 1A 90 00 23 01 93 44 23 00 93 2F 4B 2D 4A 2F 49 1A 98 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 1B 90 00 23 01 93 45 23 00 93 28 4B 26 4A 25 49 1B 98 ?? ?? ?? ?? 06 98 06 9B D9 17 28 9A 29 9B 12 18 4B 41 10 92 11 93 07 98 07 9B D9 17 10 9A 11 9B 12 18 4B 41 0E 92 0F 93 3C 9B 01 2B 04 D1 0E 9A 0F 9B 02 92 03 93 23 E0 05 9B 31 93 36 9B 2F 93 37 9B 5B 1E 2E 93 39 9B 2C 93 3A 9B 2B 93 3B 9B 2A 93 3C 9B B3 F1 FF 3F 0E D1 0D 9B 00 2B 0B D0 2A A8 ?? ?? ?? ?? 1C 90 1C 9B 00 2B 04 D0 0E 9A 0F 9B 02 92 03 93 03 E0 10 9A 11 9B 02 92 03 93 02 98 03 99 33 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_509_4_0 {
	meta:
		name = "?__crt_time_is_day_valid@@YA_NHHH@Z"
		size = 136
		refs = "004c ??$__crt_time_is_leap_year@H@@YA_NH@Z 0084 _days"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 2B 03 DC 00 23 8D F8 04 30 2E E0 07 9B 5A 1C 04 23 02 FB 03 F2 18 4B 99 18 07 9A 04 23 02 FB 03 F2 15 4B 13 44 0A 68 1B 68 D3 1A 02 93 08 9A 02 9B 9A 42 03 DC 01 23 8D F8 04 30 15 E0 06 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 09 D0 07 9B 01 2B 06 D1 08 9B 1D 2B 03 DC 01 23 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_509_5_0 {
	meta:
		name = "__loctotime32_t"
		size = 52
		refs = "001e ??$common_loctotime_t@J@@YAJHHHHHHH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0E 9B 02 93 0D 9B 01 93 0C 9B 00 93 0B 9B 0A 9A 09 99 08 98 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_509_6_0 {
	meta:
		name = "__loctotime64_t"
		size = 60
		refs = "001e ??$common_loctotime_t@_J@@YA_JHHHHHHH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 10 9B 02 93 0F 9B 01 93 0E 9B 00 93 0D 9B 0C 9A 0B 99 0A 98 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_510_0_0 {
	meta:
		name = "nextafterf"
		size = 54
		refs = "001c nexttowardf"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 CD ED 00 0A 8D ED 01 0A 9D ED 00 0A B7 EE C0 1A 9D ED 01 0A ?? ?? ?? ?? 8D ED 02 0A 9D ED 02 0A 8D ED 03 0A 9D ED 03 0A 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_512_0_0 {
	meta:
		name = "__dcrt_lowio_initialize_console_output"
		size = 60
		refs = "0030 __dcrt_lowio_console_output_handle 0034 ??_C@_1BA@BALFACEM@?$AAC?$AAO?$AAN?$AAO?$AAU?$AAT?$AA$?$AA?$AA@ 0038 __imp_CreateFileW"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 0B 4C 00 23 02 93 01 93 03 23 07 48 24 68 00 93 00 23 03 22 4F F0 80 41 A0 47 02 4B 18 60 05 B0 BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_512_1_0 {
	meta:
		name = "__dcrt_terminate_console_output"
		size = 40
		refs = "0020 __imp_CloseHandle 0024 __dcrt_lowio_console_output_handle"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4B 18 68 B0 F1 FF 3F 05 D0 10 F1 02 0F 02 D0 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_519_1_0 {
	meta:
		name = "__dcrt_terminate_console_input"
		size = 40
		refs = "0020 __imp_CloseHandle 0024 __dcrt_lowio_console_input_handle"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4B 18 68 B0 F1 FF 3F 05 D0 10 F1 02 0F 02 D0 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_513_4_0 {
	meta:
		name = "_mbsnbcpy_s_l"
		size = 744
		refs = "004c _CrtGetDebugFillThreshold 005e memset 00a6 _CrtDbgReportW 00b0 _errno 00c2 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00d4 strncpy_s 01f8 _invalid_parameter 02d0 ??_C@_1BM@HBMHMBEM@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 02d4 ??_C@_1HE@BNEBNPHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 02d8 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 02dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02e0 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 02e4 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 98 46 91 46 0C 46 05 46 4F F0 00 0A 2B B9 3D B9 00 2C 40 F0 3A 81 00 20 51 E1 00 2D 00 F0 35 81 00 2C 00 F0 32 81 B8 F1 00 0F 16 D1 00 23 2B 70 B4 F1 FF 3F EF D0 6F F0 00 43 9C 42 EB D0 01 2C E9 D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? DD E7 B9 F1 00 0F 29 D1 00 27 2F 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 91 4B 92 4C 8E 49 00 93 00 23 26 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 26 23 00 97 FE E0 10 99 02 A8 ?? ?? ?? ?? 04 98 83 68 33 B9 43 46 4A 46 21 46 28 46 ?? ?? ?? ?? D1 E0 00 27 18 F1 01 0F 2A 46 26 46 07 D1 19 F8 01 3B 02 F8 01 3B 8B B1 76 1E F8 D1 0E E0 19 F8 01 3B 02 F8 01 3B 23 B1 76 1E 02 D0 B8 F1 01 08 F5 D1 B8 F1 00 0F 01 D1 17 70 52 1C 00 2E 73 D1 99 F8 00 30 4F F0 04 0E 4F F0 01 0A 0B B1 D0 45 16 D1 50 1E 01 46 A8 42 0A D3 DD F8 10 90 0B 78 4B 44 5B 7E 13 EA 0E 0F 02 D0 49 1E A9 42 F6 D2 43 1A 13 EA 0A 0F 02 D0 02 F8 01 7C 8C E0 04 98 18 F1 01 0F 21 D1 01 2C 1A D9 2E 19 B1 1E 0A 46 A9 42 08 D3 13 78 03 44 5B 7E 13 EA 0E 0F 02 D0 52 1E AA 42 F6 D2 8B 1A 13 EA 0A 0F 08 D0 06 F8 02 7C ?? ?? ?? ?? 30 B1 FE 23 06 F8 01 3C 02 E0 2B 19 03 F8 01 7C 50 20 6D E0 2F 70 14 F1 01 0F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 43 4B 44 4C 40 49 00 93 00 23 AE 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 39 49 39 4A 22 23 03 60 AE 23 20 46 00 97 ?? ?? ?? ?? 22 20 3E E0 53 1B 02 2B 19 DB 90 1E 01 46 A8 42 0C D3 DD F8 10 90 4F F0 04 0E 0B 78 4B 44 5B 7E 13 EA 0E 0F 02 D0 49 1E A9 42 F6 D2 43 1A 13 F0 01 0F 04 D0 02 F8 02 7C 76 1C 4F F0 01 0A 14 F1 01 0F 14 D0 6F F0 00 43 9C 42 10 D0 A3 1B 5B 1C A3 42 0C D2 ?? ?? ?? ?? 02 46 73 1E 9A 42 28 BF 1A 46 AB 1B 23 44 58 1C FE 21 ?? ?? ?? ?? BA F1 00 0F 05 D0 ?? ?? ?? ?? 2A 23 03 60 2A 20 00 E0 00 20 9D F8 14 30 0B B3 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 19 E0 11 4B 10 4C 0E 49 00 93 00 23 1E 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1E 23 05 4A 04 49 20 46 ?? ?? ?? ?? 16 20 07 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_515_4_0 {
	meta:
		name = "_strcoll_l"
		size = 444
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0074 ??1_LocaleUpdate@@QAA@XZ 00ec ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0104 strcmp 015e __acrt_CompareStringA 01a8 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01ac ??_C@_1BG@HIFFAGAH@?$AA_?$AAs?$AAt?$AAr?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 01b0 ??_C@_1GE@LMCMOEDM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b8 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9E B0 22 99 0A A8 ?? ?? ?? ?? 20 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 62 4B 01 93 60 4B 00 93 00 23 31 22 5D 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 31 23 53 4A 51 49 54 48 ?? ?? ?? ?? 6F F0 00 43 10 93 0A A8 ?? ?? ?? ?? 10 9B 04 93 8E E0 21 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 43 4B 01 93 45 4B 00 93 00 23 32 22 42 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 08 9B 00 2B 16 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 32 23 38 4A 36 49 35 48 ?? ?? ?? ?? 6F F0 00 43 13 93 0A A8 ?? ?? ?? ?? 13 9B 04 93 58 E0 0A A8 ?? ?? ?? ?? 14 90 14 9B 1B 68 A0 33 1B 1D 1B 68 00 2B 0C D1 21 99 20 98 ?? ?? ?? ?? 15 90 15 9B 16 93 0A A8 ?? ?? ?? ?? 16 9B 04 93 40 E0 0A A8 ?? ?? ?? ?? 17 90 0A A8 ?? ?? ?? ?? 18 90 0A A8 ?? ?? ?? ?? 19 90 17 9B 1B 68 10 33 1B 68 03 93 6F F0 00 03 02 93 21 9B 01 93 6F F0 00 03 00 93 20 9B 4F F4 80 52 18 99 09 68 A0 31 09 1D 09 68 19 98 ?? ?? ?? ?? 1A 90 1A 9B 09 93 09 9B 00 2B 0E D1 ?? ?? ?? ?? 1B 90 1B 9A 16 23 13 60 6F F0 00 43 1C 93 0A A8 ?? ?? ?? ?? 1C 9B 04 93 07 E0 09 9B 9B 1E 1D 93 0A A8 ?? ?? ?? ?? 1D 9B 04 93 04 98 1E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_516_5_0 {
	meta:
		name = "_mbsnicoll_l"
		size = 336
		refs = "0016 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0036 _CrtDbgReportW 0040 _errno 0080 _invalid_parameter 00d4 _strnicoll_l 00e0 _mbsnbcnt_l 0108 __acrt_CompareStringA 0138 ??_C@_1HC@PFLNBKII@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 013c ??_C@_1BK@CNKOCFOL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0140 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0148 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 014c ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 89 B0 0F 46 80 46 04 A8 19 46 1C 46 16 46 ?? ?? ?? ?? 0E B9 00 25 7C E0 B8 F1 00 0F 14 D1 47 4B 48 4C 43 49 00 93 00 23 3A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 3A 23 14 E0 DF B9 3C 4B 3C 4C 38 49 00 93 00 23 3B 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 3B 23 30 49 2E 4A 20 46 ?? ?? ?? ?? 6F F0 00 45 47 E0 6F F0 00 45 AE 42 19 D9 2C 4B 2A 4C 28 49 00 93 00 23 3C 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 21 49 20 4A 00 23 00 93 3C 23 20 46 ?? ?? ?? ?? 29 E0 06 9B 40 46 9B 68 33 B9 23 46 32 46 39 46 ?? ?? ?? ?? 05 46 1E E0 05 AA 31 46 ?? ?? ?? ?? 04 46 38 46 05 AA 31 46 ?? ?? ?? ?? 06 9A 02 90 05 A8 53 68 D2 F8 1C 12 41 F2 01 02 03 93 43 46 01 97 00 94 ?? ?? ?? ?? 20 B9 ?? ?? ?? ?? 16 23 03 60 00 E0 85 1E 9D F8 1C 30 33 B1 04 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 28 46 09 B0 BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_517_0_0 {
	meta:
		name = "rand_s"
		size = 192
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0074 __acrt_RtlGenRandom 00b0 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00b4 ??_C@_1O@IJGPPOGF@?$AAr?$AAa?$AAn?$AAd?$AA_?$AAs?$AA?$AA@ 00b8 ??_C@_1GC@KMMBNIEG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00bc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 22 4B 01 93 24 4B 00 93 00 23 0F 22 21 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 0F 23 17 4A 15 49 14 48 ?? ?? ?? ?? 16 23 03 93 1B E0 0C 9A 00 23 13 60 04 21 0C 98 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0C D1 ?? ?? ?? ?? 08 90 08 9A 0C 23 13 60 ?? ?? ?? ?? 09 90 09 9B 1B 68 03 93 01 E0 00 23 03 93 03 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_518_4_0 {
	meta:
		name = "_stricoll"
		size = 72
		refs = "000a __acrt_locale_changed 001e _stricmp 0032 _stricoll_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 08 D1 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 08 E0 07 E0 00 22 07 99 06 98 ?? ?? ?? ?? 03 90 03 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_518_5_0 {
	meta:
		name = "_stricoll_l"
		size = 444
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0074 ??1_LocaleUpdate@@QAA@XZ 00ec ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0104 _stricmp 015e __acrt_CompareStringA 01a8 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01ac ??_C@_1BI@PHKGNLHA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 01b0 ??_C@_1GG@JIKHLNFP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b8 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9E B0 22 99 0A A8 ?? ?? ?? ?? 20 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 62 4B 01 93 60 4B 00 93 00 23 2F 22 5D 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 2F 23 53 4A 51 49 54 48 ?? ?? ?? ?? 6F F0 00 43 10 93 0A A8 ?? ?? ?? ?? 10 9B 04 93 8E E0 21 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 43 4B 01 93 45 4B 00 93 00 23 30 22 42 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 08 9B 00 2B 16 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 30 23 38 4A 36 49 35 48 ?? ?? ?? ?? 6F F0 00 43 13 93 0A A8 ?? ?? ?? ?? 13 9B 04 93 58 E0 0A A8 ?? ?? ?? ?? 14 90 14 9B 1B 68 A0 33 1B 1D 1B 68 00 2B 0C D1 21 99 20 98 ?? ?? ?? ?? 15 90 15 9B 16 93 0A A8 ?? ?? ?? ?? 16 9B 04 93 40 E0 0A A8 ?? ?? ?? ?? 17 90 0A A8 ?? ?? ?? ?? 18 90 0A A8 ?? ?? ?? ?? 19 90 17 9B 1B 68 10 33 1B 68 03 93 6F F0 00 03 02 93 21 9B 01 93 6F F0 00 03 00 93 20 9B 41 F2 01 02 18 99 09 68 A0 31 09 1D 09 68 19 98 ?? ?? ?? ?? 1A 90 1A 9B 09 93 09 9B 00 2B 0E D1 ?? ?? ?? ?? 1B 90 1B 9A 16 23 13 60 6F F0 00 43 1C 93 0A A8 ?? ?? ?? ?? 1C 9B 04 93 07 E0 09 9B 9B 1E 1D 93 0A A8 ?? ?? ?? ?? 1D 9B 04 93 04 98 1E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_519_0_0 {
	meta:
		name = "__dcrt_lowio_initialize_console_input"
		size = 60
		refs = "0030 __dcrt_lowio_console_input_handle 0034 ??_C@_1O@PNMIMBDD@?$AAC?$AAO?$AAN?$AAI?$AAN?$AA$?$AA?$AA@ 0038 __imp_CreateFileW"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 0B 4C 00 23 02 93 01 93 03 23 07 48 24 68 00 93 00 23 03 22 4F F0 40 41 A0 47 02 4B 18 60 05 B0 BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_520_5_0 {
	meta:
		name = "_mbsnbcnt_l"
		size = 164
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002a _CrtDbgReportW 0034 _errno 0048 _invalid_parameter 0094 ??_C@_1HC@JPHBBDJC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0098 ??_C@_1BI@NAADMDIB@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAn?$AAt?$AA_?$AAl?$AA?$AA@ 009c ??_C@_1DO@OEOOHFAH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 86 B0 0C 46 05 46 02 A8 11 46 ?? ?? ?? ?? DD B9 D4 B1 21 4B 1F 4C 1D 49 00 93 00 23 33 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 16 49 15 4A 00 23 00 93 33 23 20 46 ?? ?? ?? ?? 00 20 13 E0 2A 46 84 B1 04 99 13 78 64 1E 63 B1 0B 44 5B 7E 13 F0 04 0F 02 D0 52 1C 13 78 1B B1 52 1C 00 2C F1 D1 00 E0 52 1E 50 1B 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 06 B0 BD E8 30 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_521_4_0 {
	meta:
		name = "__acrt_add_locale_ref"
		size = 412
		refs = "0188 __acrt_locale_add_lc_time_reference 0198 __acrt_wide_c_locale_string"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BF F3 5B 8F 04 9B 03 F1 0C 01 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 04 9B 7C 33 1B 68 00 2B 0D D0 BF F3 5B 8F 04 9B 7C 33 19 68 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 04 9B 84 33 1B 68 00 2B 0D D0 BF F3 5B 8F 04 9B 84 33 19 68 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 04 9B 80 33 1B 68 00 2B 0D D0 BF F3 5B 8F 04 9B 80 33 19 68 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 04 9B 8C 33 1B 68 00 2B 0D D0 BF F3 5B 8F 04 9B 8C 33 19 68 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 05 2B 58 DC 04 9B 03 F1 1C 01 00 9A 10 23 02 FB 03 F3 0B 44 1B 1D 1A 68 2C 4B 9A 42 1F D0 04 9B 03 F1 1C 01 00 9A 10 23 02 FB 03 F3 0B 44 0C 33 1B 68 00 2B 13 D0 BF F3 5B 8F 00 9A 10 23 02 FB 03 F2 04 9B 1C 33 13 44 0C 33 19 68 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 04 9B 03 F1 1C 01 00 9A 10 23 02 FB 03 F3 0B 44 1B 68 00 2B 1F D0 04 9B 03 F1 1C 01 00 9A 10 23 02 FB 03 F3 0B 44 08 33 1B 68 00 2B 13 D0 BF F3 5B 8F 00 9A 10 23 02 FB 03 F2 04 9B 1C 33 13 44 08 33 19 68 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F A0 E7 04 9B 9C 33 18 68 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_521_5_0 {
	meta:
		name = "__acrt_free_locale"
		size = 664
		refs = "0054 _free_dbg 005e __acrt_locale_free_monetary 008a __acrt_locale_free_numeric 00fe __acrt_locale_free_lc_time_if_unreferenced 0200 _CrtDbgReportW 0284 ??_C@_1HK@HCNMEOLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0288 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 028c ??_C@_1BKC@NBNHJIDM@?$AA?$CI?$AAp?$AAt?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?$FL?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?$FN?$AA?4?$AAl@ 0290 __acrt_wide_c_locale_string 0294 __acrt_lconv_c"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 88 33 1B 68 00 2B 48 D0 06 9B 88 33 1A 68 9E 4B 9A 42 42 D0 06 9B 7C 33 1B 68 00 2B 3D D0 06 9B 7C 33 1B 68 1B 68 00 2B 37 D1 06 9B 84 33 1B 68 00 2B 10 D0 06 9B 84 33 1B 68 1B 68 00 2B 0A D1 02 21 06 9B 84 33 18 68 ?? ?? ?? ?? 06 9B 88 33 18 68 ?? ?? ?? ?? 06 9B 80 33 1B 68 00 2B 10 D0 06 9B 80 33 1B 68 1B 68 00 2B 0A D1 02 21 06 9B 80 33 18 68 ?? ?? ?? ?? 06 9B 88 33 18 68 ?? ?? ?? ?? 02 21 06 9B 7C 33 18 68 ?? ?? ?? ?? 02 21 06 9B 88 33 18 68 ?? ?? ?? ?? 06 9B 8C 33 1B 68 00 2B 23 D0 06 9B 8C 33 1B 68 1B 68 00 2B 1D D1 02 21 06 9B 90 33 1B 68 A3 F1 FE 00 ?? ?? ?? ?? 02 21 06 9B 94 33 1B 68 7F 3B 58 1E ?? ?? ?? ?? 02 21 06 9B 98 33 1B 68 7F 3B 58 1E ?? ?? ?? ?? 02 21 06 9B 8C 33 18 68 ?? ?? ?? ?? 06 9B 9C 33 18 68 ?? ?? ?? ?? 00 23 02 93 02 E0 02 9B 5B 1C 02 93 02 9B 05 2B 00 F3 AE 80 06 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 1B 1D 1A 68 59 4B 9A 42 31 D0 06 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 0C 33 1B 68 00 2B 25 D0 06 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 0C 33 1B 68 1B 68 00 2B 18 D1 02 21 06 9B 03 F1 1C 00 02 9A 10 23 02 FB 03 F3 03 44 0C 33 18 68 ?? ?? ?? ?? 02 21 06 9B 03 F1 A0 00 02 9A 04 23 02 FB 03 F3 03 44 18 68 ?? ?? ?? ?? 06 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 1B 68 00 2B 0B D0 06 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 08 33 1B 68 00 2B 25 D1 06 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 1B 68 00 2B 0B D1 06 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 08 33 1B 68 00 2B 0E D0 26 4B 01 93 24 4B 00 93 00 23 AF 22 21 49 02 20 ?? ?? ?? ?? 03 90 03 9B 01 2B 00 D1 FE DE 06 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 1B 68 00 2B 25 D0 06 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 08 33 1B 68 00 2B 19 D0 06 9B 03 F1 1C 01 02 9A 10 23 02 FB 03 F3 0B 44 08 33 1B 68 1B 68 00 2B 0C D1 02 21 06 9B 03 F1 1C 00 02 9A 10 23 02 FB 03 F3 03 44 08 33 18 68 ?? ?? ?? ?? 4A E7 02 21 06 98 ?? ?? ?? ?? 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_521_6_0 {
	meta:
		name = "__acrt_locale_add_lc_time_reference"
		size = 84
		refs = "0050 __lc_time_c"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 03 D0 04 9A 0F 4B 9A 42 03 D1 6F F0 00 43 00 93 11 E0 BF F3 5B 8F 04 9B 03 F1 B0 01 51 E8 00 2F 52 1C 41 E8 00 23 00 2B F8 D1 13 46 01 93 BF F3 5B 8F 01 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_521_7_0 {
	meta:
		name = "__acrt_locale_free_lc_time_if_unreferenced"
		size = 76
		refs = "0020 ??$__crt_interlocked_read@J@@YAJPDJ@Z 0030 __acrt_locale_free_time 0038 _free_dbg 0048 __lc_time_c"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 03 D0 04 9A 0D 4B 9A 42 00 D1 10 E0 04 9B 03 F1 B0 00 ?? ?? ?? ?? 00 90 00 9B 00 2B 00 D0 06 E0 04 98 ?? ?? ?? ?? 02 21 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_521_8_0 {
	meta:
		name = "__acrt_locale_release_lc_time_reference"
		size = 84
		refs = "0050 __lc_time_c"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 03 D0 04 9A 0F 4B 9A 42 03 D1 6F F0 00 43 00 93 11 E0 BF F3 5B 8F 04 9B 03 F1 B0 01 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 01 93 BF F3 5B 8F 01 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_521_9_0 {
	meta:
		name = "__acrt_release_locale_ref"
		size = 420
		refs = "0190 __acrt_locale_release_lc_time_reference 01a0 __acrt_wide_c_locale_string"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 2B 00 D1 C0 E0 BF F3 5B 8F 04 9B 03 F1 0C 01 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 04 9B 7C 33 1B 68 00 2B 0D D0 BF F3 5B 8F 04 9B 7C 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 04 9B 84 33 1B 68 00 2B 0D D0 BF F3 5B 8F 04 9B 84 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 04 9B 80 33 1B 68 00 2B 0D D0 BF F3 5B 8F 04 9B 80 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 04 9B 8C 33 1B 68 00 2B 0D D0 BF F3 5B 8F 04 9B 8C 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 05 2B 58 DC 04 9B 03 F1 1C 01 00 9A 10 23 02 FB 03 F3 0B 44 1B 1D 1A 68 2C 4B 9A 42 1F D0 04 9B 03 F1 1C 01 00 9A 10 23 02 FB 03 F3 0B 44 0C 33 1B 68 00 2B 13 D0 BF F3 5B 8F 00 9A 10 23 02 FB 03 F2 04 9B 1C 33 13 44 0C 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F 04 9B 03 F1 1C 01 00 9A 10 23 02 FB 03 F3 0B 44 1B 68 00 2B 1F D0 04 9B 03 F1 1C 01 00 9A 10 23 02 FB 03 F3 0B 44 08 33 1B 68 00 2B 13 D0 BF F3 5B 8F 00 9A 10 23 02 FB 03 F2 04 9B 1C 33 13 44 08 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 BF F3 5B 8F A0 E7 04 9B 9C 33 18 68 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_521_10_0 {
	meta:
		name = "__acrt_update_thread_locale_data"
		size = 136
		refs = "0010 __acrt_getptd 0038 __acrt_lock 003e ?value@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAAAAPAU__crt_locale_data@@XZ 004e _updatetlocinfoEx_nolock 005a __acrt_unlock 006e abort 0080 __acrt_current_locale_data 0084 __globallocalestatus"
	strings:
		$1 = { 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 00 23 7B 60 ?? ?? ?? ?? B8 60 BB 68 3B 60 3B 68 03 F5 54 73 1A 68 18 4B 1B 68 13 40 00 2B 04 D0 3B 68 4C 33 1B 68 00 2B 14 D1 04 20 ?? ?? ?? ?? 10 48 ?? ?? ?? ?? F8 60 FB 68 19 68 3B 68 03 F1 4C 00 ?? ?? ?? ?? 38 61 3B 69 7B 60 04 20 ?? ?? ?? ?? 03 E0 3B 68 4C 33 1B 68 7B 60 7B 68 00 2B 01 D1 ?? ?? ?? ?? 7B 68 7B 61 78 69 07 B0 BD E8 80 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_521_12_0 {
	meta:
		name = "_updatetlocinfoEx_nolock"
		size = 124
		refs = "0038 __acrt_add_locale_ref 0044 __acrt_release_locale_ref 0062 __acrt_free_locale 0078 __acrt_initial_locale_data"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 2B 02 D0 04 9B 00 2B 02 D1 00 23 01 93 26 E0 04 9B 1B 68 00 93 00 9A 05 9B 9A 42 02 D1 05 9B 01 93 1C E0 05 9A 04 9B 1A 60 05 98 ?? ?? ?? ?? 00 9B 00 2B 02 D0 00 98 ?? ?? ?? ?? 00 9B 00 2B 0B D0 00 9B 0C 33 1B 68 00 2B 06 D1 00 9A 07 4B 9A 42 02 D0 00 98 ?? ?? ?? ?? 05 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_525_0_0 {
	meta:
		name = "??$common_getpath@D@@YAPADQBDQADI@Z"
		size = 148
		refs = "000a _errno"
		altNames = "__acrt_getpath"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 21 B9 ?? ?? ?? ?? 16 23 03 60 3C E0 00 25 02 B1 0D 70 01 2A 01 D8 F4 E7 40 1C 90 F9 00 30 3B 2B FA D0 8B 18 5A 1E 04 46 1B E0 3B 2B 24 D0 22 2B 12 D1 10 F9 01 3F 08 E0 22 2B 08 D0 0B 70 49 1C 40 1C 91 42 12 D0 90 F9 00 30 00 2B F4 D1 90 F9 00 30 33 B1 40 1C 04 E0 0B 70 49 1C 40 1C 91 42 04 D0 90 F9 00 30 00 2B DF D1 05 E0 0D 70 ?? ?? ?? ?? 22 23 C8 E7 40 1C 90 F9 00 30 3B 2B FA D0 0D 70 A0 42 00 D1 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_525_1_0 {
	meta:
		name = "??$common_getpath@_W@@YAPA_WQB_WQA_WI@Z"
		size = 140
		refs = "000a _errno"
		altNames = "__acrt_wgetpath"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 21 B9 ?? ?? ?? ?? 16 23 03 60 38 E0 00 25 02 B1 0D 80 01 2A 01 D8 F4 E7 80 1C 03 88 3B 2B FB D0 01 EB 42 03 9A 1E 04 46 19 E0 3B 2B 21 D0 22 2B 10 D1 30 F8 02 3F 07 E0 22 2B 07 D0 0B 80 89 1C 80 1C 91 42 0F D0 03 88 00 2B F5 D1 03 88 33 B1 80 1C 04 E0 0B 80 89 1C 80 1C 91 42 03 D0 03 88 00 2B E2 D1 05 E0 0D 80 ?? ?? ?? ?? 22 23 CB E7 80 1C 03 88 3B 2B FB D0 0D 80 A0 42 00 D1 00 20 BD E8 30 88 }
	condition:
		$1
}

rule file_527_1_0 {
	meta:
		name = "_recalloc_base"
		size = 156
		refs = "001c __rt_udiv 0026 _errno 0040 _msize 0062 _realloc_base 0088 memset"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0B 9B 00 2B 13 D0 0B 98 6F F0 1F 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 0C 9B 98 42 08 D2 ?? ?? ?? ?? 05 90 05 9A 0C 23 13 60 00 23 04 93 2B E0 0A 9B 00 2B 06 D0 0A 98 ?? ?? ?? ?? 06 90 06 9B 03 93 01 E0 00 23 03 93 03 9B 01 93 0B 9A 0C 9B 02 FB 03 F3 00 93 00 99 0A 98 ?? ?? ?? ?? 07 90 07 9B 02 93 02 9B 00 2B 0C D0 01 9A 00 9B 9A 42 08 D2 00 9A 01 9B D2 1A 00 21 02 98 01 9B 18 44 ?? ?? ?? ?? 02 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_528_0_0 {
	meta:
		name = "wcsncpy"
		size = 112
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9B 00 93 06 9B 01 93 07 9B 02 93 00 9B 00 2B 11 D0 02 9B 1A 88 01 9B 1A 80 01 9B 1A 88 01 9B 9B 1C 01 93 02 9B 9B 1C 02 93 00 2A 03 D0 00 9B 5B 1E 00 93 EA E7 00 9B 00 2B 0C D0 00 9B 5B 1E 00 93 00 9B 00 2B 06 D0 01 9A 00 23 13 80 01 9B 9B 1C 01 93 F2 E7 06 9B 03 93 03 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_530_0_0 {
	meta:
		name = "_isatty"
		size = 220
		refs = "0012 _errno 0058 _CrtDbgReportW 0084 _invalid_parameter 00c4 __pioinfo 00c8 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 00cc ??_C@_1BA@LEBDGIHM@?$AA_?$AAi?$AAs?$AAa?$AAt?$AAt?$AAy?$AA?$AA@ 00d0 ??_C@_1GA@DEPMKPD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d8 _nhandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 9B 13 F1 02 0F 08 D1 ?? ?? ?? ?? 05 90 05 9A 09 23 13 60 00 23 02 93 48 E0 0A 9B 00 2B 07 DB 0A 9A 2A 4B 1B 68 9A 42 02 D2 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 1F 4B 01 93 21 4B 00 93 00 23 11 22 1E 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 09 23 13 60 00 23 00 93 11 23 14 4A 12 49 11 48 ?? ?? ?? ?? 00 23 02 93 13 E0 0A 9B 9A 11 04 23 02 FB 03 F2 0A 4B 99 18 0A 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 03 F0 40 03 02 93 02 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_0_0 {
	meta:
		name = "__acrt_getheap"
		size = 76
		refs = "0020 _CrtDbgReportW 003c __acrt_heap 0040 ??_C@_1GI@OADBAEGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1CO@HCPPKOH@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAh?$AAe?$AAa?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 0C 4B 1B 68 00 2B 0E D1 0D 4B 01 93 0B 4B 00 93 00 23 32 22 08 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 03 4B 1B 68 03 93 03 98 04 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_1_0 {
	meta:
		name = "__acrt_initialize_heap"
		size = 64
		refs = "0038 __acrt_heap 003c __imp_GetProcessHeap"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 0C 4B 1B 68 98 47 01 90 01 9A 09 4B 1A 60 08 4B 1B 68 00 2B 03 D1 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 02 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_2_0 {
	meta:
		name = "__acrt_uninitialize_heap"
		size = 40
		refs = "0024 __acrt_heap"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 06 4A 00 23 13 60 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_531_3_0 {
	meta:
		name = "_get_heap_handle"
		size = 76
		refs = "0020 _CrtDbgReportW 003c __acrt_heap 0040 ??_C@_1GI@OADBAEGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1CO@HCPPKOH@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAh?$AAe?$AAa?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 0C 4B 1B 68 00 2B 0E D1 0D 4B 01 93 0B 4B 00 93 00 23 2A 22 08 49 02 20 ?? ?? ?? ?? 02 90 02 9B 01 2B 00 D1 FE DE 03 4B 1B 68 03 93 03 98 04 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_532_0_0 {
	meta:
		name = "??$common_tcsnset_s@D@@YAHQADIDI@Z"
		size = 556
		refs = "0052 _CrtDbgReportW 0066 _errno 007e _invalid_parameter 010e _CrtGetDebugFillThreshold 0136 memset 0214 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0218 ??_C@_1CC@HBEPNLAD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 021c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0220 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0224 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0228 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 19 9B 00 2B 08 D1 16 9B 00 2B 05 D1 17 9B 00 2B 02 D1 00 23 05 93 F2 E0 16 9B 00 2B 05 D0 17 9B 00 2B 02 D9 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 79 4B 01 93 76 4B 00 93 00 23 F1 22 73 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 F1 23 68 4A 67 49 6A 48 ?? ?? ?? ?? 16 23 05 93 BF E0 16 9B 03 93 17 9B 02 93 19 9B 04 93 03 9B 93 F9 00 30 00 2B 13 D0 04 9B 00 2B 10 D9 02 9B 5B 1E 02 93 02 9B 00 2B 0A D9 9D F9 60 20 03 9B 1A 70 03 9B 5B 1C 03 93 04 9B 5B 1E 04 93 E6 E7 04 9B 00 2B 0E D1 03 9B 93 F9 00 30 00 2B 09 D0 02 9B 5B 1E 02 93 02 9B 00 2B 03 D9 03 9B 5B 1C 03 93 F0 E7 02 9B 00 2B 57 D1 16 9A 00 23 13 70 17 9B B3 F1 FF 3F 1D D0 17 9A 6F F0 00 43 9A 42 18 D0 17 9B 01 2B 15 D9 ?? ?? ?? ?? 10 90 10 9B 08 93 17 9B 5A 1E 08 9B 93 42 02 D2 08 9B 09 93 02 E0 17 9B 5B 1E 09 93 09 9A FE 21 16 9B 58 1C ?? ?? ?? ?? 3A 4B 00 2B 03 D0 02 E0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0F D1 2F 4B 01 93 31 4B 00 93 00 23 40 F2 09 12 2D 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 11 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 40 F2 09 13 22 4A 21 49 1F 48 ?? ?? ?? ?? 16 23 05 93 33 E0 17 9B B3 F1 FF 3F 2D D0 17 9A 6F F0 00 43 9A 42 28 D0 17 9A 02 9B D3 1A 5A 1C 17 9B 9A 42 21 D2 ?? ?? ?? ?? 13 90 13 9B 0C 93 17 9A 02 9B D3 1A 5A 1C 17 9B 9A 1A 0C 9B 93 42 02 D2 0C 9B 0D 93 06 E0 17 9A 02 9B D3 1A 5A 1C 17 9B 9B 1A 0D 93 0D 9A FE 21 17 98 02 9B C3 1A 58 1C 16 9B 18 44 ?? ?? ?? ?? 00 23 05 93 05 98 14 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_532_1_0 {
	meta:
		name = "_strnset_s"
		size = 42
		refs = "0014 ??$common_tcsnset_s@D@@YAHQADIDI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 07 9B 06 9A 52 B2 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_533_0_0 {
	meta:
		name = "modff"
		size = 276
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 8D ED 00 0A 9D ED 00 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 01 93 01 9B 23 F0 00 43 DB 0D 7F 3B 03 93 03 9B 00 2B 0D DA 01 9B 03 F0 00 43 00 EE 10 3A 08 9B 83 ED 00 0A 9D ED 00 0A 8D ED 02 0A 59 E0 58 E0 03 9B 17 2B 30 DA 03 9B C3 F1 17 02 01 23 93 40 5B 1E 04 93 04 9B DA 43 01 9B 13 40 00 EE 10 3A 08 9B 83 ED 00 0A DD ED 00 0A 08 9B 93 ED 00 0A F4 EE 40 0A F1 EE 10 FA 0B D1 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 04 D2 9F ED 1E 0A 8D ED 02 0A 2F E0 DD ED 00 0A 08 9B 93 ED 00 0A 30 EE C0 0A 8D ED 02 0A 25 E0 24 E0 01 9B 23 F0 00 43 B3 F1 FF 4F 0E D9 9D ED 00 0A 08 9B 83 ED 00 0A DD ED 00 0A 9D ED 00 0A 30 EE 80 0A 8D ED 02 0A 10 E0 0F E0 9D ED 00 0A 08 9B 83 ED 00 0A 01 9B 03 F0 00 43 00 EE 10 3A 8D ED 00 0A 9D ED 00 0A 8D ED 02 0A 9D ED 02 0A 06 B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 80 }
	condition:
		$1
}

rule file_534_4_0 {
	meta:
		name = "_mbsncat_s_l"
		size = 828
		refs = "0054 _CrtGetDebugFillThreshold 0066 memset 007a _CrtDbgReportW 0084 _errno 0096 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00ac strncat_s 011a _invalid_parameter 0320 ??_C@_1BK@GDKGAICE@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0324 ??_C@_1HE@NFPKHHNH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0328 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 032c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0330 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0334 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0338 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 89 B0 0C 46 02 94 99 46 90 46 05 46 4F F0 00 0A 2B B9 3D B9 00 2C 40 F0 62 81 00 20 79 E1 00 2D 00 F0 5D 81 00 2C 00 F0 5A 81 B9 F1 00 0F 2C D0 B8 F1 00 0F 29 D1 00 27 2F 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? B0 4B B2 4C AD 49 00 93 00 23 1E 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 1E 23 00 97 3D E1 12 99 04 A8 ?? ?? ?? ?? DD F8 18 E0 DE F8 08 30 33 B9 4B 46 42 46 21 46 28 46 ?? ?? ?? ?? 0E E1 2A 46 26 46 13 78 13 B1 52 1C 76 1E FA D1 7E BB 00 27 2F 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 8F 4B 90 4C 8C 49 00 93 00 23 39 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 84 49 85 4A 16 23 03 60 39 23 20 46 00 97 ?? ?? ?? ?? 16 20 D6 E0 00 27 04 20 A6 42 17 D2 51 1E 08 46 A9 42 09 D3 04 24 03 78 73 44 5B 7E 23 42 02 D0 40 1E A8 42 F7 D2 02 9C 0B 1A 13 F0 01 0F 04 D0 0A 46 0F 70 76 1C 4F F0 01 0A 04 20 19 F1 01 0F 0B D1 A2 EB 08 02 98 F8 00 30 02 F8 08 30 08 F1 01 08 6B B3 76 1E F6 D1 2A E0 B9 F1 00 0F 26 D0 18 F8 01 1B 01 EB 0E 03 5B 7E 03 42 0D D0 98 F8 00 30 B3 B1 02 2E 12 D9 11 70 98 F8 00 30 08 F1 01 08 53 70 92 1C B6 1E 05 E0 11 70 02 F1 01 02 51 B1 76 1E 08 D0 B9 F1 01 09 E1 D1 04 E0 00 26 02 E0 17 70 4F F0 01 0A B9 F1 00 0F 00 D1 17 70 00 2E 5C D1 19 F1 01 0F 2A D1 BA F1 00 0F 05 D0 ?? ?? ?? ?? 2A 23 03 60 DD F8 18 E0 01 2C 1A D9 2E 19 B1 1E 0A 46 A9 42 08 D3 04 20 13 78 73 44 5B 7E 03 42 02 D0 52 1E AA 42 F7 D2 8B 1A 13 F0 01 0F 08 D0 06 F8 02 7C ?? ?? ?? ?? 30 B1 FE 23 06 F8 01 3C 02 E0 2B 19 03 F8 01 7C 50 20 50 E0 2F 70 14 F1 01 0F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 34 4B 35 4C 31 49 00 93 00 23 B3 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 2A 49 2A 4A 22 23 03 60 B3 23 20 46 00 97 ?? ?? ?? ?? 22 20 21 E0 14 F1 01 0F 14 D0 6F F0 00 43 9C 42 10 D0 A3 1B 5B 1C A3 42 0C D2 ?? ?? ?? ?? 02 46 73 1E 9A 42 28 BF 1A 46 AB 1B 23 44 58 1C FE 21 ?? ?? ?? ?? BA F1 00 0F 05 D0 ?? ?? ?? ?? 2A 23 03 60 2A 20 00 E0 00 20 9D F8 1C 30 0B B3 04 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 19 E0 11 4B 0F 4C 0E 49 00 93 00 23 1B 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1B 23 05 4A 03 49 20 46 ?? ?? ?? ?? 16 20 09 B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_535_0_0 {
	meta:
		name = "_fdpoly"
		size = 92
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 8D ED 01 0A 06 9B 93 ED 00 0A 8D ED 00 0A 07 9B 5B 1E 07 93 07 9B 00 2B 10 DB 06 9B 1B 1D 06 93 DD ED 00 0A 9D ED 01 0A 60 EE 80 0A 06 9B 93 ED 00 0A 30 EE 80 0A 8D ED 00 0A E8 E7 9D ED 00 0A 8D ED 02 0A 9D ED 02 0A 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_535_1_0 {
	meta:
		name = "erfcf"
		size = 712
		refs = "000e _fdtest 0084 erff 00e0 _fdpoly 021e _fd_int 023e expf 0272 _fdexp 0284 _fperrraise 02a0 approx 02a4 c01 02a8 s01 02ac mid01 02b0 c00 02b4 s00 02b8 mid00 02bc mid0 02c4 erfc_half"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 01 0A 01 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 05 93 05 9B 00 2B 0B D0 05 9B 01 2B 0D D0 05 9B 02 2B 00 D0 1D E0 9D ED 01 0A 8D ED 04 0A 2A E1 B7 EE 00 0A 8D ED 04 0A 25 E1 01 AB 9B 1C 1B 88 13 F4 00 4F 04 D0 B0 EE 00 0A 8D ED 07 0A 03 E0 9F ED 90 0A 8D ED 07 0A 9D ED 07 0A 8D ED 04 0A 11 E1 DD ED 01 0A 94 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 0F D2 9D ED 01 0A ?? ?? ?? ?? 8D ED 08 0A F7 EE 00 0A 9D ED 08 0A 30 EE C0 0A 8D ED 04 0A F8 E0 F7 E0 DD ED 01 0A 9F ED 86 0A F4 EE C0 0A F1 EE 10 FA 4F D2 DD ED 01 0A 81 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 22 D2 DD ED 01 0A 7B 4B 93 ED 00 0A 30 EE C0 0A 8D ED 01 0A 04 21 76 48 9D ED 01 0A ?? ?? ?? ?? 8D ED 09 0A 04 21 71 48 9D ED 01 0A ?? ?? ?? ?? 8D ED 0A 0A DD ED 09 0A 9D ED 0A 0A 80 EE 80 0A 8D ED 04 0A C2 E0 21 E0 DD ED 01 0A 66 4B 93 ED 00 0A 30 EE C0 0A 8D ED 01 0A 04 21 61 48 9D ED 01 0A ?? ?? ?? ?? 8D ED 0B 0A 04 21 5C 48 9D ED 01 0A ?? ?? ?? ?? 8D ED 0C 0A DD ED 0B 0A 9D ED 0C 0A 80 EE 80 0A 8D ED 04 0A 9F E0 9E E0 00 23 03 93 02 E0 03 9B 5B 1C 03 93 03 9B 08 2B 80 F0 8E 80 03 9A 18 23 02 FB 03 F2 4C 4B 13 44 DD ED 01 0A 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 7D D2 F7 EE 00 0A 9D ED 01 0A C0 EE 80 0A 03 9A 18 23 02 FB 03 F2 41 4B 13 44 1B 1D 93 ED 00 0A 30 EE C0 0A 8D ED 02 0A 03 9A 18 23 02 FB 03 F2 3B 4B 13 44 0C 33 19 68 03 9A 18 23 02 FB 03 F2 37 4B 13 44 08 33 18 68 9D ED 02 0A ?? ?? ?? ?? 8D ED 0D 0A 03 9A 18 23 02 FB 03 F2 30 4B 13 44 14 33 19 68 03 9A 18 23 02 FB 03 F2 2C 4B 13 44 10 33 18 68 9D ED 02 0A ?? ?? ?? ?? 8D ED 0E 0A DD ED 0D 0A 9D ED 0E 0A 80 EE 80 0A 8D ED 06 0A 9D ED 01 0A 8D ED 02 0A 08 21 02 A8 ?? ?? ?? ?? DD ED 02 0A 9D ED 01 0A 30 EE C0 1A DD ED 02 0A 9D ED 01 0A 30 EE 80 0A 21 EE 00 0A ?? ?? ?? ?? 8D ED 0F 0A DD ED 06 0A 9D ED 0F 0A 20 EE 80 0A 8D ED 06 0A 9D ED 02 0A F1 EE 40 0A 9D ED 02 0A 20 EE 80 0A 8D ED 02 0A 00 21 9D ED 06 0A 02 A8 ?? ?? ?? ?? 9D ED 02 0A 8D ED 04 0A 07 E0 6A E7 10 20 ?? ?? ?? ?? 9F ED 04 0A 8D ED 04 0A 9D ED 04 0A 10 B0 BD E8 00 88 FE DE 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? AA F1 C2 3F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_536_2_0 {
	meta:
		name = "_strdup_dbg"
		size = 128
		refs = "0018 strlen 002c _malloc_dbg 0048 strcpy_s 005e _invoke_watson_if_error 0074 ??_C@_1DO@MOGEFOMO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$CJ?$AA?$AA@ 0078 ??_C@_1BI@CBNECNIC@?$AA_?$AAs?$AAt?$AAr?$AAd?$AAu?$AAp?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 007c ??_C@_1GC@HKEHEHPJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A 9B 00 2B 02 D1 00 23 03 93 27 E0 0A 98 ?? ?? ?? ?? 05 90 05 9B 5B 1C 04 93 0D 9B 0C 9A 0B 99 04 98 ?? ?? ?? ?? 06 90 06 9B 02 93 02 9B 00 2B 02 D1 00 23 03 93 11 E0 0A 9A 04 99 02 98 ?? ?? ?? ?? 07 90 00 23 01 93 3B 23 00 93 09 4B 07 4A 06 49 07 98 ?? ?? ?? ?? 02 9B 03 93 03 98 08 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_538_0_0 {
	meta:
		name = "atan2"
		size = 2492
		refs = "0164 _handle_nan 01cc val_with_flags 0266 scaleUpDouble1024 037c ?piby2@?1??atan2@@9@9 0384 ?pi@?1??atan2@@9@9 039a scaleDouble_1 03ce scaleDownDouble 068c scaleDouble_2 0938 ?pi_tail@?1??atan2@@9@9 093c ?pi_head@?1??atan2@@9@9 0940 ?piby2_tail@?1??atan2@@9@9 0944 ?piby2_head@?1??atan2@@9@9 099c ?atan_jby256_tail@?1??atan2@@9@9 09a0 ?atan_jby256_lead@?1??atan2@@9@9 09ac ?piby4@?1??atan2@@9@9 09b0 ?three_piby4@?1??atan2@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 AD F5 18 7D 8D ED 24 1B 8D ED 08 0B 9D ED 24 0B 53 EC 10 2B 0C 92 0D 93 9D ED 08 0B 53 EC 10 2B 00 92 01 93 0C 9A 0D 9B 23 F0 00 43 20 92 21 93 00 9A 01 9B 23 F0 00 43 22 92 23 93 0D 9A CE 4B 13 40 1B 0D 19 93 01 9A CC 4B 13 40 1B 0D 18 93 0D 9B 03 F0 00 42 00 23 0E 93 0F 92 01 9B 03 F0 00 42 00 23 04 93 05 92 20 9B 3E 93 21 9B 3F 93 3F 9A 3E 9B 13 43 00 2B 02 D1 01 23 26 93 01 E0 00 23 26 93 26 9B 3B 93 22 9B 40 93 23 9B 41 93 41 9A 40 9B 13 43 00 2B 02 D1 01 23 27 93 01 E0 00 23 27 93 27 9B 3A 93 20 9B 42 93 21 9B 43 93 42 9B 34 93 43 9A B0 4B 9A 42 06 D3 02 D8 34 9B 00 2B 02 D9 01 23 28 93 01 E0 00 23 28 93 28 9B 38 93 22 9B 44 93 23 9B 45 93 44 9B 35 93 45 9A A6 4B 9A 42 06 D3 02 D8 35 9B 00 2B 02 D9 01 23 29 93 01 E0 00 23 29 93 29 9B 39 93 20 9B 46 93 21 9B 47 93 47 9B 36 93 46 9B 00 2B 06 D1 36 9A 9A 4B 9A 42 02 D1 01 23 2A 93 01 E0 00 23 2A 93 2A 9B 3D 93 22 9B 48 93 23 9B 49 93 49 9B 37 93 48 9B 00 2B 06 D1 37 9A 90 4B 9A 42 02 D1 01 23 2B 93 01 E0 00 23 2B 93 2B 9B 3C 93 18 9A 19 9B D3 1A 0A 93 38 9B 00 2B 0B D0 0C 98 0D 99 ?? ?? ?? ?? 8D ED 6E 0B 9D ED 6E 0B 8D ED 02 0B DA E3 69 E0 39 9B 00 2B 0B D0 00 98 01 99 ?? ?? ?? ?? 8D ED 70 0B 9D ED 70 0B 8D ED 02 0B CB E3 5A E0 3A 9B 00 2B 35 D0 0E 9B 4A 93 0F 9B 4B 93 4B 9A 4A 9B 13 43 00 2B 26 D0 04 9B 4C 93 05 9B 4D 93 4D 9A 4C 9B 13 43 00 2B 0F D0 10 20 70 4B 93 ED 00 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 72 0B 9D ED 72 0B 8D ED 02 0B A6 E3 0C E0 10 20 68 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 74 0B 9D ED 74 0B 8D ED 02 0B 98 E3 04 E0 9D ED 08 0B 8D ED 02 0B 92 E3 21 E0 3B 9B 00 2B 1E D0 04 9B 4E 93 05 9B 4F 93 4F 9A 4E 9B 13 43 00 2B 0F D0 10 20 56 4B 93 ED 00 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 76 0B 9D ED 76 0B 8D ED 02 0B 76 E3 05 E0 10 20 4E 4B 93 ED 00 0B ?? ?? ?? ?? 19 9A 40 F2 FD 33 9A 42 28 DA 18 9A 40 F2 FD 33 9A 42 23 DA 0C AA 0C 98 0D 99 ?? ?? ?? ?? 6A 46 00 98 01 99 ?? ?? ?? ?? 0C 9A 0D 9B 43 EC 10 2B 8D ED 24 0B 00 9A 01 9B 43 EC 10 2B 8D ED 08 0B 0D 9A 3C 4B 13 40 1B 0D 19 93 01 9A 39 4B 13 40 1B 0D 18 93 18 9A 19 9B D3 1A 0A 93 0A 9B 38 2B 26 DD 04 9B 50 93 05 9B 51 93 51 9A 50 9B 13 43 00 2B 0F D0 10 20 2E 4B 93 ED 00 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 78 0B 9D ED 78 0B 8D ED 02 0B 26 E3 0C E0 10 20 26 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 7A 0B 9D ED 7A 0B 8D ED 02 0B 18 E3 29 E1 0A 9B 13 F1 1C 0F 80 F2 8F 80 0E 9B 52 93 0F 9B 53 93 53 9A 52 9B 13 43 00 2B 40 F0 85 80 0A 9A 16 4B 9A 42 33 DA 04 9B 54 93 05 9B 55 93 55 9A 54 9B 13 43 00 2B 0C D0 10 20 9F ED 0E 0B ?? ?? ?? ?? 8D ED 7C 0B 9D ED 7C 0B 8D ED 02 0B EF E2 1C E0 10 20 9F ED 05 0B ?? ?? ?? ?? 8D ED 7E 0B 9D ED 7E 0B 8D ED 02 0B E2 E2 FE DE 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 80 CE FB FF FF ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? 4B E0 0A 9A DF F8 28 36 9A 42 3D DA 64 20 9D ED 08 0B ?? ?? ?? ?? 8D ED 80 0B 9D ED 80 0B 8D ED 08 0B 9D ED 08 1B 9D ED 24 0B 81 EE 00 0B 8D ED 08 0B 9D ED 08 0B 53 EC 10 2B 00 92 01 93 6B 46 64 22 00 98 01 99 ?? ?? ?? ?? 00 9A 01 9B 43 EC 10 2B 8D ED 08 0B 01 9A DF F8 AC 35 13 40 00 2B 0C D1 10 20 9D ED 08 0B ?? ?? ?? ?? 8D ED 82 0B 9D ED 82 0B 8D ED 02 0B 94 E2 04 E0 9D ED 08 0B 8D ED 02 0B 8E E2 08 E0 9D ED 08 1B 9D ED 24 0B 81 EE 00 0B 8D ED 02 0B 84 E2 95 E0 0A 9B 13 F1 38 0F 31 DA 0E 9B 56 93 0F 9B 57 93 57 9A 56 9B 13 43 00 2B 28 D0 04 9B 58 93 05 9B 59 93 59 9A 58 9B 13 43 00 2B 10 D0 10 20 DF F8 60 35 93 ED 00 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 84 0B 9D ED 84 0B 8D ED 02 0B 5D E2 0D E0 10 20 DF F8 3C 35 93 ED 00 0B ?? ?? ?? ?? 8D ED 86 0B 9D ED 86 0B 8D ED 02 0B 4E E2 5F E0 3C 9B 00 2B 5C D0 3D 9B 00 2B 59 D0 0E 9B 5A 93 0F 9B 5B 93 5B 9A 5A 9B 13 43 00 2B 28 D0 04 9B 5C 93 05 9B 5D 93 5D 9A 5C 9B 13 43 00 2B 10 D0 10 20 DF F8 EC 34 93 ED 00 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 88 0B 9D ED 88 0B 8D ED 02 0B 25 E2 0D E0 10 20 DF F8 C8 34 93 ED 00 0B ?? ?? ?? ?? 8D ED 8A 0B 9D ED 8A 0B 8D ED 02 0B 16 E2 27 E0 04 9B 5E 93 05 9B 5F 93 5F 9A 5E 9B 13 43 00 2B 10 D0 10 20 DF F8 94 34 93 ED 00 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 8C 0B 9D ED 8C 0B 8D ED 02 0B FC E1 0D E0 10 20 DF F8 74 34 93 ED 00 0B ?? ?? ?? ?? 8D ED 8E 0B 9D ED 8E 0B 8D ED 02 0B ED E1 9D ED 24 0B 8D ED 06 0B 9D ED 08 0B 8D ED 14 0B 0E 9B 60 93 0F 9B 61 93 61 9A 60 9B 13 43 00 2B 05 D0 9D ED 24 0B B1 EE 40 0B 8D ED 06 0B 04 9B 62 93 05 9B 63 93 63 9A 62 9B 13 43 00 2B 05 D0 9D ED 08 0B B1 EE 40 0B 8D ED 14 0B 9D ED 06 1B 9D ED 14 0B B4 EE C0 1B F1 EE 10 FA 02 D2 01 23 2C 93 01 E0 00 23 2C 93 2C 9B 2E 93 2E 9B 00 2B 0B D0 9D ED 06 0B 8D ED 90 0B 9D ED 14 0B 8D ED 06 0B 9D ED 90 0B 8D ED 14 0B 9D ED 14 1B 9D ED 06 0B 81 EE 00 0B 8D ED 16 0B 9D ED 16 1B 9F ED ED 0B B4 EE C0 1B F1 EE 10 FA 40 F3 B6 80 9F ED E5 1B 9D ED 16 0B 21 EE 00 1B B6 EE 00 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 1E 93 1E 9B A3 F1 10 02 08 23 02 FB 03 F2 DD 4B 13 44 93 ED 00 0B 8D ED 12 0B 1E 9B A3 F1 10 02 08 23 02 FB 03 F2 D6 4B 13 44 93 ED 00 0B 8D ED 1A 0B 1E 9B 00 EE 10 3A B8 EE 40 1B B7 EE 00 0B 21 EE 00 1B 9F ED CD 0B 81 EE 00 0B 8D ED 64 0B 9D ED 06 0B 53 EC 10 2B 10 92 11 93 11 9A C5 4B 13 40 1B 0D A3 F2 FF 33 2D 93 2D 9B 58 42 9D ED 06 0B ?? ?? ?? ?? 8D ED 92 0B 9D ED 92 0B 8D ED 06 0B 2D 9B 58 42 9D ED 14 0B ?? ?? ?? ?? 8D ED 94 0B 9D ED 94 0B 8D ED 14 0B 9D ED 06 0B 53 EC 10 2B 10 92 11 93 10 9B 03 F0 78 42 11 9B 43 EC 10 2B 8D ED 30 0B 9D ED 06 1B 9D ED 30 0B 31 EE 40 0B 8D ED 66 0B 9D ED 64 1B 9D ED 30 0B 21 EE 00 1B 9D ED 14 0B 30 EE 41 2B 9D ED 64 1B 9D ED 66 0B 21 EE 00 0B 32 EE 40 2B 9D ED 64 1B 9D ED 14 0B 21 EE 00 1B 9D ED 06 0B 30 EE 01 0B 82 EE 00 0B 8D ED 32 0B 9D ED 32 1B 9D ED 32 0B 21 EE 00 0B 8D ED 1C 0B 9D ED 1A 1B 9D ED 32 0B 31 EE 00 2B 9D ED 1C 1B 9F ED 91 0B 21 EE 00 1B 9F ED 8D 0B 30 EE 41 1B 9D ED 1C 0B 20 EE 01 1B 9D ED 32 0B 20 EE 01 0B 32 EE 40 0B 8D ED 1A 0B 95 E0 9D ED 16 1B 9F ED 82 0B B4 EE C0 1B F1 EE 10 FA 08 D2 9F ED 7C 0B 8D ED 12 0B 9D ED 16 0B 8D ED 1A 0B 83 E0 9D ED 06 0B 53 EC 10 2B 10 92 11 93 11 9A 00 23 42 EC 10 3B 8D ED 30 0B 9D ED 16 0B 53 EC 10 2B 10 92 11 93 11 9A 00 23 42 EC 10 3B 8D ED 68 0B 9D ED 06 1B 9D ED 30 0B 31 EE 40 0B 8D ED 66 0B 9D ED 16 1B 9D ED 68 0B 31 EE 40 0B 8D ED 96 0B 9F ED 64 0B 8D ED 12 0B 9D ED 16 1B 9D ED 16 0B 21 EE 00 0B 8D ED 1C 0B 9D ED 30 1B 9D ED 68 0B 21 EE 00 1B 9D ED 14 0B 30 EE 41 2B 9D ED 66 1B 9D ED 68 0B 21 EE 00 0B 32 EE 40 2B 9D ED 06 1B 9D ED 96 0B 21 EE 00 0B 32 EE 40 1B 9D ED 06 0B 81 EE 00 3B 9D ED 16 1B 9D ED 1C 0B 21 EE 00 2B 9D ED 1C 1B 9F ED 49 0B 21 EE 00 1B 9F ED 45 0B 30 EE 41 1B 9D ED 1C 0B 20 EE 01 1B 9F ED 3F 0B 30 EE 41 1B 9D ED 1C 0B 20 EE 01 1B 9F ED 39 0B 30 EE 41 1B 9D ED 1C 0B 20 EE 01 1B 9F ED 33 0B 30 EE 41 0B 22 EE 00 0B 33 EE 40 1B 9D ED 16 0B 30 EE 01 0B 8D ED 1A 0B 2E 9B 00 2B 11 D0 29 4B 93 ED 00 1B 9D ED 12 0B 31 EE 40 0B 8D ED 12 0B 24 4B 93 ED 00 1B 9D ED 1A 0B 31 EE 40 0B 8D ED 1A 0B 0E 9B 6A 93 0F 9B 6B 93 6B 9A 6A 9B 13 43 00 2B 11 D0 1A 4B 93 ED 00 1B 9D ED 12 0B 31 EE 40 0B 8D ED 12 0B 14 4B 93 ED 00 1B 9D ED 1A 0B 31 EE 40 0B 8D ED 1A 0B 9D ED 12 1B 9D ED 1A 0B 31 EE 00 0B 8D ED 12 0B 04 9B 6C 93 05 9B 6D 93 6D 9A 6C 9B 13 43 00 2B 05 D0 9D ED 12 0B B1 EE 40 0B 8D ED 12 0B 9D ED 12 0B 8D ED 02 0B 9D ED 02 0B 0D F5 18 7D BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 38 55 55 55 55 55 D5 3F A3 43 96 99 99 99 C9 3F E1 6B BD 82 24 49 C2 3F EB C4 B8 39 88 71 BC 3F C2 51 D7 92 31 0C B7 3F 00 00 00 00 00 00 00 00 3A 8C 30 E2 8E 79 45 3E 77 08 55 55 55 55 D5 3F 7D 2D 80 B9 92 99 C9 3F 00 00 F0 7F 00 00 00 00 00 00 70 40 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 B0 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 FC FF FF }
	condition:
		$1
}

rule file_538_5_0 {
	meta:
		name = "scaleUpDouble1024"
		size = 136
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9A 1D 4B 13 40 00 2B 24 D1 06 99 07 9A 19 4B 13 43 43 EC 10 1B 8D ED 00 0B 07 9B 03 F0 00 43 00 2B 08 D0 9D ED 00 1B B1 EE 00 0B 31 EE 00 0B 8D ED 00 0B 07 E0 9D ED 00 1B B1 EE 00 0B 31 EE 40 0B 8D ED 00 0B 9D ED 00 0B 53 EC 10 2B 02 92 03 93 05 E0 06 9A 07 9B 03 F1 80 43 02 92 03 93 02 9A 08 9B 1A 60 03 9A 08 9B 5A 60 04 B0 5D F8 04 BB 5D F8 14 FB 00 00 10 40 00 00 F0 7F }
	condition:
		$1
}

rule file_540_2_0 {
	meta:
		name = "_wcsdup_dbg"
		size = 136
		refs = "001a wcslen 0034 _malloc_dbg 0050 wcscpy_s 0066 _invoke_watson_if_error 007c ??_C@_1FG@LKKABMLN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt@ 0080 ??_C@_1BI@JDKFAFNF@?$AA_?$AAw?$AAc?$AAs?$AAd?$AAu?$AAp?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0084 ??_C@_1GC@MIDGGPKO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 00 2B 02 D1 00 23 03 93 2A E0 0C 98 ?? ?? ?? ?? 05 90 05 9B 5B 1C 04 93 0F 9B 0E 9A 0D 99 04 9C 02 20 04 FB 00 F0 ?? ?? ?? ?? 06 90 06 9B 02 93 02 9B 00 2B 02 D1 00 23 03 93 11 E0 0C 9A 04 99 02 98 ?? ?? ?? ?? 07 90 00 23 01 93 3A 23 00 93 09 4B 07 4A 06 49 07 98 ?? ?? ?? ?? 02 9B 03 93 03 98 09 B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_541_0_0 {
	meta:
		name = "_finitef"
		size = 52
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 00 0A 9D ED 00 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 01 93 01 9B 23 F0 00 43 A3 F1 FF 43 DB 0F 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_542_1_0 {
	meta:
		name = "_lsearch"
		size = 668
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 023c ??1scoped_global_state_reset@__crt_state_management@@QAA@XZ 024e memcpy 0278 __guard_check_icall_fptr 027c ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0280 ??_C@_1BC@OCILDANA@?$AA_?$AAl?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?$AA@ 0284 ??_C@_1GE@DHIJHLDF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0288 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 028c ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0290 ??_C@_1CA@IMEMOBFB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0294 ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0298 ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B A0 B0 24 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 9C 4B 01 93 97 4B 00 93 00 23 42 22 94 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 42 23 89 4A 88 49 8D 48 ?? ?? ?? ?? 00 23 03 93 FE E0 26 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 83 4B 01 93 7F 4B 00 93 00 23 43 22 7C 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 43 23 71 4A 70 49 74 48 ?? ?? ?? ?? 00 23 03 93 CE E0 25 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 6A 4B 01 93 67 4B 00 93 00 23 44 22 64 49 02 20 ?? ?? ?? ?? 16 90 16 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 44 23 59 4A 58 49 5B 48 ?? ?? ?? ?? 00 23 03 93 9E E0 27 9B 00 2B 02 D9 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 51 4B 01 93 4F 4B 00 93 00 23 45 22 4C 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 19 90 19 9A 16 23 13 60 00 23 00 93 45 23 41 4A 40 49 42 48 ?? ?? ?? ?? 00 23 03 93 6E E0 28 9B 00 2B 02 D0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 35 4B 01 93 37 4B 00 93 00 23 46 22 34 49 02 20 ?? ?? ?? ?? 1A 90 1A 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 10 D1 ?? ?? ?? ?? 1B 90 1B 9A 16 23 13 60 00 23 00 93 46 23 29 4A 28 49 26 48 ?? ?? ?? ?? 00 23 03 93 3E E0 25 9B 10 93 26 9B 1A 68 27 9B 02 FB 03 F2 10 9B 13 44 05 93 10 9B 04 93 03 E0 04 9A 27 9B 13 44 04 93 04 9A 05 9B 9A 42 18 D0 04 9D 24 9C 28 9B 11 93 11 98 15 4B 1B 68 98 47 11 9B 20 46 29 46 98 47 1C 90 1C 9B 00 2B 07 D1 04 9B 1D 93 02 A8 ?? ?? ?? ?? 1D 9B 03 93 11 E0 DE E7 27 9A 24 99 05 98 ?? ?? ?? ?? 26 9B 1B 68 5A 1C 26 9B 1A 60 05 9B 1E 93 02 A8 ?? ?? ?? ?? 1E 9B 03 93 03 98 20 B0 BD E8 30 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_543_12_0 {
	meta:
		name = "??$common_atodbl_l@MD@@YAHQAMQBDQAU__crt_locale_pointers@@@Z"
		size = 260
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 007c ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 0088 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0094 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAM@Z 00b6 ??1_LocaleUpdate@@QAA@XZ 00f4 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f8 ??_C@_1CA@KBKCPFNO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAd?$AAb?$AAl?$AA_?$AAl?$AA?$AA@ 00fc ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1A 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 33 4B 01 93 35 4B 00 93 00 23 18 22 32 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 18 23 28 4A 26 49 25 48 ?? ?? ?? ?? 01 23 02 93 3D E0 1C 99 12 A8 ?? ?? ?? ?? 16 AB 08 93 00 22 1B 99 08 98 ?? ?? ?? ?? 09 90 09 9B 0A 93 12 A8 ?? ?? ?? ?? 0B 90 1A 9A 0A 99 0B 98 ?? ?? ?? ?? 0C 90 0C 9B 0D 93 0D 9B 05 93 05 9B 02 2B 0B D0 05 9B 03 2B 00 D0 0F E0 03 23 0E 93 12 A8 ?? ?? ?? ?? 0E 9B 02 93 12 E0 04 23 0F 93 12 A8 ?? ?? ?? ?? 0F 9B 02 93 0A E0 00 23 10 93 12 A8 ?? ?? ?? ?? 10 9B 02 93 02 E0 12 A8 ?? ?? ?? ?? 02 98 18 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_543_13_0 {
	meta:
		name = "??$common_atodbl_l@ND@@YAHQANQBDQAU__crt_locale_pointers@@@Z"
		size = 260
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 007c ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 0088 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0094 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAN@Z 00b6 ??1_LocaleUpdate@@QAA@XZ 00f4 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f8 ??_C@_1CA@KBKCPFNO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAd?$AAb?$AAl?$AA_?$AAl?$AA?$AA@ 00fc ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 1A 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 33 4B 01 93 35 4B 00 93 00 23 18 22 32 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 18 23 28 4A 26 49 25 48 ?? ?? ?? ?? 01 23 02 93 3D E0 1C 99 12 A8 ?? ?? ?? ?? 16 AB 08 93 00 22 1B 99 08 98 ?? ?? ?? ?? 09 90 09 9B 0A 93 12 A8 ?? ?? ?? ?? 0B 90 1A 9A 0A 99 0B 98 ?? ?? ?? ?? 0C 90 0C 9B 0D 93 0D 9B 05 93 05 9B 02 2B 0B D0 05 9B 03 2B 00 D0 0F E0 03 23 0E 93 12 A8 ?? ?? ?? ?? 0E 9B 02 93 12 E0 04 23 0F 93 12 A8 ?? ?? ?? ?? 0F 9B 02 93 0A E0 00 23 10 93 12 A8 ?? ?? ?? ?? 10 9B 02 93 02 E0 12 A8 ?? ?? ?? ?? 02 98 18 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_543_14_0 {
	meta:
		name = "??$common_atof_l@D@@YANQBDQAU__crt_locale_pointers@@@Z"
		size = 224
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0072 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0088 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 0094 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00a0 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAN@Z 00ae ??1_LocaleUpdate@@QAA@XZ 00d0 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00d4 ??_C@_1BM@NFFLGMCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAf?$AA_?$AAl?$AA?$AA@ 00d8 ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 18 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 2A 4B 01 93 2C 4B 00 93 00 23 41 22 29 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 05 90 05 9A 16 23 13 60 00 23 00 93 41 23 1F 4A 1D 49 1C 48 ?? ?? ?? ?? 9F ED 18 0B 8D ED 0C 0B 25 E0 19 99 12 A8 ?? ?? ?? ?? 9F ED 14 0B 8D ED 0A 0B 10 AB 06 93 00 22 18 99 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 12 A8 ?? ?? ?? ?? 09 90 0A AA 08 99 09 98 ?? ?? ?? ?? 9D ED 0A 0B 8D ED 0E 0B 12 A8 ?? ?? ?? ?? 9D ED 0E 0B 8D ED 0C 0B 9D ED 0C 0B 16 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_543_15_0 {
	meta:
		name = "??$common_atof_l@_W@@YANQB_WQAU__crt_locale_pointers@@@Z"
		size = 224
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0072 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0088 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_W$$T@Z 0094 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00a0 ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QAN@Z 00ae ??1_LocaleUpdate@@QAA@XZ 00d0 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00d4 ??_C@_1BM@NFFLGMCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAf?$AA_?$AAl?$AA?$AA@ 00d8 ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 96 B0 18 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 2A 4B 01 93 2C 4B 00 93 00 23 41 22 29 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 05 90 05 9A 16 23 13 60 00 23 00 93 41 23 1F 4A 1D 49 1C 48 ?? ?? ?? ?? 9F ED 18 0B 8D ED 0C 0B 25 E0 19 99 12 A8 ?? ?? ?? ?? 9F ED 14 0B 8D ED 0A 0B 10 AB 06 93 00 22 18 99 06 98 ?? ?? ?? ?? 07 90 07 9B 08 93 12 A8 ?? ?? ?? ?? 09 90 0A AA 08 99 09 98 ?? ?? ?? ?? 9D ED 0A 0B 8D ED 0E 0B 12 A8 ?? ?? ?? ?? 9D ED 0E 0B 8D ED 0C 0B 9D ED 0C 0B 16 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_543_26_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@_W@0@AAUfloating_point_string@0@@Z"
		size = 1408
		refs = "000c ?validate@?$c_string_character_source@_W@__crt_strtox@@QBA_NXZ 0024 ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBAPB_WXZ 0030 ?get@?$c_string_character_source@_W@__crt_strtox@@QAA_WXZ 0048 ??0<lambda_cbd1988beab104251e16e78b336a674a>@@QAA@AAV?$c_string_character_source@_W@__crt_strtox@@AA_WAAPB_W@Z 0052 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 00cc ??$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$c_string_character_source@_W@0@PB_W@Z 00ee ??$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$c_string_character_source@_W@0@PB_W@Z 015a ?unget@?$c_string_character_source@_W@__crt_strtox@@QAAX_W@Z 01cc ?parse_digit@__crt_strtox@@YAI_W@Z 02ce ??R<lambda_cbd1988beab104251e16e78b336a674a>@@QBA_NXZ"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B0 B0 33 98 ?? ?? ?? ?? 8D F8 15 00 9D F8 15 30 00 2B 02 D1 07 23 04 93 A5 E2 33 98 ?? ?? ?? ?? 1F 90 1F 9B 08 93 33 98 ?? ?? ?? ?? AD F8 46 00 BD F8 46 30 AD F8 00 30 08 AB 6A 46 33 99 2C A8 ?? ?? ?? ?? 32 99 BD F8 00 00 ?? ?? ?? ?? 8D F8 16 00 9D F8 16 30 00 2B 09 D0 33 98 ?? ?? ?? ?? AD F8 48 00 BD F8 48 30 AD F8 00 30 EA E7 BD F8 00 30 2D 2B 02 D1 01 23 15 93 01 E0 00 23 15 93 34 9B 03 F5 42 72 15 9B DB B2 13 70 BD F8 00 30 2D 2B 03 D0 BD F8 00 30 2B 2B 08 D1 33 98 ?? ?? ?? ?? AD F8 4A 00 BD F8 4A 30 AD F8 00 30 BD F8 00 30 49 2B 03 D0 BD F8 00 30 69 2B 08 D1 08 9A 33 99 68 46 ?? ?? ?? ?? 20 90 20 9B 04 93 4A E2 BD F8 00 30 4E 2B 03 D0 BD F8 00 30 6E 2B 08 D1 08 9A 33 99 68 46 ?? ?? ?? ?? 21 90 21 9B 04 93 39 E2 00 23 8D F8 02 30 BD F8 00 30 30 2B 2A D1 33 98 ?? ?? ?? ?? 22 90 22 9B 23 93 33 98 ?? ?? ?? ?? AD F8 4C 00 BD F8 4C 30 AD F8 1C 30 BD F8 1C 30 78 2B 03 D0 BD F8 1C 30 58 2B 0E D1 01 23 8D F8 02 30 33 98 ?? ?? ?? ?? AD F8 4E 00 BD F8 4E 30 AD F8 00 30 23 9B 08 93 04 E0 BD F8 1C 10 33 98 ?? ?? ?? ?? 34 9B 08 33 0B 93 34 9B 03 F5 42 73 19 93 34 9B 08 33 02 93 00 23 0A 93 00 23 8D F8 03 30 BD F8 00 30 30 2B 0C D1 01 23 8D F8 03 30 33 98 ?? ?? ?? ?? AD F8 50 00 BD F8 50 30 AD F8 00 30 EE E7 08 E0 33 98 ?? ?? ?? ?? AD F8 30 00 BD F8 30 30 AD F8 00 30 9D F8 02 30 00 2B 02 D0 0F 23 16 93 01 E0 09 23 16 93 16 9B 25 93 BD F8 00 00 ?? ?? ?? ?? 24 90 24 9B 17 93 17 9A 25 9B 9A 42 00 D9 11 E0 01 23 8D F8 03 30 02 9A 19 9B 9A 42 06 D0 17 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 0A 9B 5B 1C 0A 93 CD E7 32 9B 1B 68 88 33 1B 68 1B 68 93 F9 00 30 8D F8 17 30 BD F8 00 20 9D F9 17 30 9A 42 50 D1 33 98 ?? ?? ?? ?? AD F8 32 00 BD F8 32 30 AD F8 00 30 02 9A 0B 9B 9A 42 13 D1 BD F8 00 30 30 2B 0F D1 01 23 8D F8 03 30 0A 9B 5B 1E 0A 93 33 98 ?? ?? ?? ?? AD F8 34 00 BD F8 34 30 AD F8 00 30 EB E7 08 E0 33 98 ?? ?? ?? ?? AD F8 36 00 BD F8 36 30 AD F8 00 30 9D F8 02 30 00 2B 02 D0 0F 23 18 93 01 E0 09 23 18 93 18 9B 27 93 BD F8 00 00 ?? ?? ?? ?? 26 90 26 9B 1A 93 1A 9A 27 9B 9A 42 00 D9 0E E0 01 23 8D F8 03 30 02 9A 19 9B 9A 42 06 D0 1A 9B DA B2 02 9B 1A 70 02 9B 5B 1C 02 93 D0 E7 9D F8 03 30 00 2B 16 D1 2C A8 ?? ?? ?? ?? 8D F8 18 00 9D F8 18 30 00 2B 02 D1 07 23 04 93 44 E1 9D F8 02 30 00 2B 03 D0 02 23 04 93 3D E1 02 E0 07 23 04 93 39 E1 BD F8 00 10 33 98 ?? ?? ?? ?? 33 98 ?? ?? ?? ?? 28 90 28 9B 08 93 33 98 ?? ?? ?? ?? AD F8 44 00 BD F8 44 30 AD F8 00 30 00 23 8D F8 04 30 BD F8 00 30 09 93 09 9B 65 2B 09 DC 09 9B 65 2B 0A D0 09 9B 45 2B 07 D0 09 9B 50 2B 12 D0 15 E0 09 9B 70 2B 0E D0 11 E0 9D F8 02 30 00 2B 02 D1 01 23 1B 93 01 E0 00 23 1B 93 1B 9B DB B2 8D F8 04 30 03 E0 9D F8 02 30 8D F8 04 30 00 23 03 93 9D F8 04 30 00 2B 00 F0 99 80 33 98 ?? ?? ?? ?? AD F8 38 00 BD F8 38 30 AD F8 00 30 BD F8 00 30 2D 2B 03 D1 01 23 8D F8 14 30 02 E0 00 23 8D F8 14 30 9D F8 14 30 8D F8 19 30 BD F8 00 30 2B 2B 03 D0 BD F8 00 30 2D 2B 08 D1 33 98 ?? ?? ?? ?? AD F8 3A 00 BD F8 3A 30 AD F8 00 30 00 23 8D F8 05 30 BD F8 00 30 30 2B 0C D1 01 23 8D F8 05 30 33 98 ?? ?? ?? ?? AD F8 3C 00 BD F8 3C 30 AD F8 00 30 EE E7 08 E0 33 98 ?? ?? ?? ?? AD F8 3E 00 BD F8 3E 30 AD F8 00 30 BD F8 00 00 ?? ?? ?? ?? 29 90 29 9B 1C 93 1C 9B 0A 2B 00 D3 13 E0 01 23 8D F8 05 30 03 9A 0A 23 02 FB 03 F2 1C 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 03 DD 41 F2 51 43 03 93 00 E0 D7 E7 BD F8 00 00 ?? ?? ?? ?? 2A 90 2A 9B 0A 2B 09 D2 33 98 ?? ?? ?? ?? AD F8 40 00 BD F8 40 30 AD F8 00 30 ED E7 9D F8 19 30 00 2B 02 D0 03 9B 5B 42 03 93 9D F8 05 30 00 2B 15 D1 2C A8 ?? ?? ?? ?? 8D F8 1A 00 9D F8 1A 30 00 2B 09 D0 33 98 ?? ?? ?? ?? AD F8 42 00 BD F8 42 30 AD F8 00 30 02 E0 07 23 04 93 5C E0 BD F8 00 10 33 98 ?? ?? ?? ?? 02 9A 0B 9B 9A 42 08 D0 02 9B 5B 1E 1B 78 00 2B 03 D1 02 9B 5B 1E 02 93 F2 E7 02 9A 0B 9B 9A 42 02 D1 02 23 04 93 43 E0 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 3B E0 03 9A 20 4B 9A 42 02 DA 08 23 04 93 34 E0 9D F8 02 30 00 2B 02 D0 04 23 1D 93 01 E0 01 23 1D 93 1D 9B 2B 93 0A 9A 2B 9B 02 FB 03 F2 03 9B 13 44 03 93 03 9A 41 F2 50 43 9A 42 02 DD 09 23 04 93 1A E0 03 9A 10 4B 9A 42 02 DA 08 23 04 93 13 E0 34 9A 03 9B 13 60 02 9A 0B 9B D2 1A 34 9B 1B 1D 1A 60 9D F8 02 30 00 2B 02 D0 01 23 1E 93 01 E0 00 23 1E 93 1E 9B 04 93 04 98 30 B0 5D F8 04 BB 5D F8 14 FB FE DE B0 EB FF FF }
	condition:
		$1
}

rule file_543_28_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$c_string_character_source@_W@0@PB_W@Z"
		size = 208
		refs = "0012 ??0<lambda_41cd6f1065410257e3b5bd447328b23e>@@QAA@AAV?$c_string_character_source@_W@__crt_strtox@@AA_WAAPB_W@Z 0022 ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$c_string_character_source@_W@0@@Z 0034 ??R<lambda_41cd6f1065410257e3b5bd447328b23e>@@QBA_NXZ 0044 ?unget@?$c_string_character_source@_W@__crt_strtox@@QAAX_W@Z 004a ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBAPB_WXZ 0056 ?get@?$c_string_character_source@_W@__crt_strtox@@QAA_WXZ 00c0 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB 00c4 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB 00c8 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB 00cc ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8C B0 10 AB 0E 9A 0F 99 08 A8 ?? ?? ?? ?? 0F 9B 00 93 0E 9B 03 22 2B 49 29 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 08 A8 ?? ?? ?? ?? 07 23 04 93 39 E0 0E 9B 19 88 0F 98 ?? ?? ?? ?? 0F 98 ?? ?? ?? ?? 06 90 06 9B 10 93 0F 98 ?? ?? ?? ?? AD F8 0C 00 BD F8 0C 20 0E 9B 1A 80 0F 9B 00 93 0E 9B 05 22 15 49 13 48 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 10 D1 08 A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 02 D0 03 23 05 93 01 E0 07 23 05 93 05 9B 04 93 06 E0 0E 9B 19 88 0F 98 ?? ?? ?? ?? 03 23 04 93 04 98 0C B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_543_30_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$c_string_character_source@_W@0@PB_W@Z"
		size = 392
		refs = "0012 ??0<lambda_e128a58a467199df1f46ac2193393add>@@QAA@AAV?$c_string_character_source@_W@__crt_strtox@@AA_WAAPB_W@Z 0022 ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$c_string_character_source@_W@0@@Z 0034 ??R<lambda_e128a58a467199df1f46ac2193393add>@@QBA_NXZ 0044 ?unget@?$c_string_character_source@_W@__crt_strtox@@QAAX_W@Z 004a ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBAPB_WXZ 0056 ?get@?$c_string_character_source@_W@__crt_strtox@@QAA_WXZ 00a6 ??$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@0@@Z 00ca ??$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@0@@Z 00fe ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z 0180 ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB 0184 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 14 AB 12 9A 13 99 0C A8 ?? ?? ?? ?? 13 9B 00 93 12 9B 03 22 59 49 57 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 05 D1 0C A8 ?? ?? ?? ?? 07 23 04 93 99 E0 12 9B 19 88 13 98 ?? ?? ?? ?? 13 98 ?? ?? ?? ?? 0A 90 0A 9B 14 93 13 98 ?? ?? ?? ?? AD F8 14 00 BD F8 14 20 12 9B 1A 80 12 9B 1B 88 28 2B 10 D0 0C A8 ?? ?? ?? ?? 8D F8 09 00 9D F8 09 30 00 2B 02 D0 04 23 07 93 01 E0 07 23 07 93 07 9B 04 93 70 E0 13 98 ?? ?? ?? ?? AD F8 16 00 BD F8 16 20 12 9B 1A 80 13 99 12 98 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 07 D0 12 9B 19 88 13 98 ?? ?? ?? ?? 05 23 04 93 55 E0 13 99 12 98 ?? ?? ?? ?? 8D F8 0B 00 9D F8 0B 30 00 2B 07 D0 12 9B 19 88 13 98 ?? ?? ?? ?? 06 23 04 93 43 E0 12 9B 1B 88 29 2B 28 D0 12 9B 1B 88 00 2B 24 D0 12 9B 18 88 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 10 D1 0C A8 ?? ?? ?? ?? 8D F8 0D 00 9D F8 0D 30 00 2B 02 D0 04 23 08 93 01 E0 07 23 08 93 08 9B 04 93 20 E0 13 98 ?? ?? ?? ?? AD F8 18 00 BD F8 18 20 12 9B 1A 80 D2 E7 12 9B 1B 88 29 2B 10 D0 0C A8 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 02 D0 04 23 09 93 01 E0 07 23 09 93 09 9B 04 93 01 E0 04 23 04 93 04 98 10 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_543_122_0 {
	meta:
		name = "_wtof"
		size = 44
		refs = "000e ??$common_atof_l@_W@@YANQB_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 21 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_543_124_0 {
	meta:
		name = "atof"
		size = 44
		refs = "000e ??$common_atof_l@D@@YANQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 21 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_544_2_0 {
	meta:
		name = "??$common_openfile@D@@YAPAU_iobuf@@QBD0HV__crt_stdio_stream@@@Z"
		size = 380
		refs = "000a __security_push_cookie 0026 _CrtDbgReportW 005a ?valid@__crt_stdio_stream@@QBA_NXZ 008c ??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z 00a6 memcpy 00ce ??$tsopen_s@PAHABQBDABHABHH@?$__crt_char_traits@D@@SAH$$QAPAHABQBDABH2$$QAH@Z 00ee ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 00f4 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0148 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0156 __security_pop_cookie 0164 _cflush 0168 ??_C@_1GE@HEEFEAFI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 016c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0170 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0174 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0178 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 9E B0 22 9B 00 2B 0E D1 58 4B 01 93 54 4B 00 93 00 23 1D 22 51 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 23 9B 00 2B 0E D1 4E 4B 01 93 4B 4B 00 93 00 23 1E 22 48 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 25 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0E D1 41 4B 01 93 3F 4B 00 93 00 23 1F 22 3C 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 23 99 12 A8 ?? ?? ?? ?? 12 AB 07 93 07 98 1A AC 90 E8 0E 00 84 E8 0E 00 16 A8 1A A9 0C 22 ?? ?? ?? ?? 9D F8 60 30 00 2B 02 D1 00 23 03 93 4C E0 4F F4 C0 73 08 93 10 AB 09 93 08 AB 00 93 24 AB 16 AA 22 A9 09 A8 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 02 D0 00 23 03 93 38 E0 20 4B 1B 68 5A 1C 1F 4B 1A 60 17 99 25 A8 ?? ?? ?? ?? 25 A8 ?? ?? ?? ?? 0B 90 0B 9B 03 F1 08 02 00 23 13 60 25 A8 ?? ?? ?? ?? 0C 90 0C 9B 03 F1 1C 02 00 23 13 60 25 A8 ?? ?? ?? ?? 0D 90 0D 9B 1A 1D 00 23 13 60 25 A8 ?? ?? ?? ?? 0E 90 0E 9A 00 23 13 60 25 A8 ?? ?? ?? ?? 0F 90 0F 9B 03 F1 10 02 10 9B 13 60 25 A8 ?? ?? ?? ?? 11 90 11 9B 03 93 03 98 1E B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_544_3_0 {
	meta:
		name = "??$common_openfile@_W@@YAPAU_iobuf@@QB_W0HV__crt_stdio_stream@@@Z"
		size = 380
		refs = "000a __security_push_cookie 0026 _CrtDbgReportW 005a ?valid@__crt_stdio_stream@@QBA_NXZ 008c ??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z 00a6 memcpy 00ce ??$tsopen_s@PAHABQB_WABHABHH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_WABH2$$QAH@Z 00ee ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 00f4 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0148 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0156 __security_pop_cookie 0164 _cflush 0168 ??_C@_1GE@HEEFEAFI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 016c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0170 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0174 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0178 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 9E B0 22 9B 00 2B 0E D1 58 4B 01 93 54 4B 00 93 00 23 1D 22 51 49 02 20 ?? ?? ?? ?? 04 90 04 9B 01 2B 00 D1 FE DE 23 9B 00 2B 0E D1 4E 4B 01 93 4B 4B 00 93 00 23 1E 22 48 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 25 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0E D1 41 4B 01 93 3F 4B 00 93 00 23 1F 22 3C 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 23 99 12 A8 ?? ?? ?? ?? 12 AB 07 93 07 98 1A AC 90 E8 0E 00 84 E8 0E 00 16 A8 1A A9 0C 22 ?? ?? ?? ?? 9D F8 60 30 00 2B 02 D1 00 23 03 93 4C E0 4F F4 C0 73 08 93 10 AB 09 93 08 AB 00 93 24 AB 16 AA 22 A9 09 A8 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 02 D0 00 23 03 93 38 E0 20 4B 1B 68 5A 1C 1F 4B 1A 60 17 99 25 A8 ?? ?? ?? ?? 25 A8 ?? ?? ?? ?? 0B 90 0B 9B 03 F1 08 02 00 23 13 60 25 A8 ?? ?? ?? ?? 0C 90 0C 9B 03 F1 1C 02 00 23 13 60 25 A8 ?? ?? ?? ?? 0D 90 0D 9B 1A 1D 00 23 13 60 25 A8 ?? ?? ?? ?? 0E 90 0E 9A 00 23 13 60 25 A8 ?? ?? ?? ?? 0F 90 0F 9B 03 F1 10 02 10 9B 13 60 25 A8 ?? ?? ?? ?? 11 90 11 9B 03 93 03 98 1E B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_544_29_0 {
	meta:
		name = "_openfile"
		size = 56
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0022 ??$common_openfile@D@@YAPAU_iobuf@@QBD0HV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 1B 68 0A 9A 09 99 08 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_544_30_0 {
	meta:
		name = "_wopenfile"
		size = 56
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0022 ??$common_openfile@_W@@YAPAU_iobuf@@QB_W0HV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0B 99 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9B 1B 68 0A 9A 09 99 08 98 ?? ?? ?? ?? 02 90 02 9B 03 93 03 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_545_5_0 {
	meta:
		name = "_mbscmp_l"
		size = 264
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0028 _CrtDbgReportW 0032 _errno 0072 _invalid_parameter 0086 strcmp 00f4 ??_C@_1BE@DOKJHEJA@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00f8 ??_C@_1GO@IGMKIECK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00fc ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0104 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 87 B0 0C 46 05 46 02 A8 11 46 ?? ?? ?? ?? A5 B9 39 4B 3A 4C 36 49 00 93 00 23 33 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 33 23 14 E0 DC B9 2E 4B 2D 4C 2B 49 00 93 00 23 34 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 34 23 22 4A 21 49 20 46 ?? ?? ?? ?? 6F F0 00 40 2E E0 04 98 83 68 23 B9 21 46 28 46 ?? ?? ?? ?? 26 E0 04 26 15 F8 01 2B 50 FA 82 F3 5B 7E 33 42 06 D0 2B 78 0B B9 00 22 02 E0 43 EA 02 22 6D 1C 14 F8 01 1B 50 FA 81 F3 5B 7E 33 42 06 D0 23 78 0B B9 00 21 02 E0 43 EA 01 21 64 1C 8A 42 03 D1 00 2A DF D1 00 20 03 E0 6F F0 00 00 88 BF 01 20 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 07 B0 BD E8 70 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_547_4_0 {
	meta:
		name = "_wcsnicoll"
		size = 524
		refs = "000a __acrt_locale_changed 0046 _CrtDbgReportW 005a _errno 0072 _invalid_parameter 01de _wcsnicoll_l 01f4 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 01f8 ??_C@_1BG@PCPANGGF@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 01fc ??_C@_1GG@MDOKJCAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0200 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0204 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0208 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 40 F0 DD 80 16 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 74 4B 01 93 71 4B 00 93 00 23 6A 22 6E 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 6A 23 63 4A 62 49 65 48 ?? ?? ?? ?? 6F F0 00 43 04 93 B4 E0 17 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 5A 4B 01 93 58 4B 00 93 00 23 6B 22 55 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 6B 23 4B 4A 49 49 4C 48 ?? ?? ?? ?? 6F F0 00 43 04 93 83 E0 18 9A 6F F0 00 43 9A 42 02 D8 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 3D 4B 01 93 3F 4B 00 93 00 23 6C 22 3C 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 6C 23 31 4A 30 49 2E 48 ?? ?? ?? ?? 6F F0 00 43 04 93 50 E0 16 9B 1B 88 41 2B 09 DB 16 9B 1B 88 5A 2B 05 DC 16 9B 1B 88 41 3B 61 33 0B 93 02 E0 16 9B 1B 88 0B 93 0B 9B 9B B2 AD F8 0A 30 17 9B 1B 88 41 2B 09 DB 17 9B 1B 88 5A 2B 05 DC 17 9B 1B 88 41 3B 61 33 0C 93 02 E0 17 9B 1B 88 0C 93 0C 9B 9B B2 AD F8 0C 30 16 9B 9B 1C 16 93 17 9B 9B 1C 17 93 18 9B 5B 1E 18 93 18 9B 00 2B 09 D0 BD F8 0A 30 00 2B 05 D0 BD F8 0A 20 BD F8 0C 30 9A 42 BF D0 BD F8 0A 20 BD F8 0C 30 D3 1A 04 93 09 E0 08 E0 00 23 18 9A 17 99 16 98 ?? ?? ?? ?? 13 90 13 9B 04 93 04 98 14 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_547_5_0 {
	meta:
		name = "_wcsnicoll_l"
		size = 636
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 0144 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 014a ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 01ec ??1_LocaleUpdate@@QAA@XZ 0218 __acrt_CompareStringW 0264 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0268 ??_C@_1BK@EONLMOKH@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 026c ??_C@_1GG@MDOKJCAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0270 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0274 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0278 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A0 B0 24 9B 00 2B 02 D1 00 23 03 93 1F E1 22 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 91 4B 01 93 8E 4B 00 93 00 23 3A 22 8B 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 3A 23 81 4A 7F 49 83 48 ?? ?? ?? ?? 6F F0 00 43 03 93 EE E0 23 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 78 4B 01 93 76 4B 00 93 00 23 3B 22 73 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 3B 23 68 4A 67 49 69 48 ?? ?? ?? ?? 6F F0 00 43 03 93 BD E0 24 9A 6F F0 00 43 9A 42 02 D8 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 5A 4B 01 93 5C 4B 00 93 00 23 3C 22 59 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 3C 23 4F 4A 4D 49 4C 48 ?? ?? ?? ?? 6F F0 00 43 03 93 8A E0 25 99 1C A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 14 90 14 9B 1B 68 A0 33 1B 1D 1B 68 00 2B 4B D1 22 9B 1B 88 41 2B 09 DB 22 9B 1B 88 5A 2B 05 DC 22 9B 1B 88 41 3B 61 33 0B 93 02 E0 22 9B 1B 88 0B 93 0B 9B 9B B2 AD F8 08 30 23 9B 1B 88 41 2B 09 DB 23 9B 1B 88 5A 2B 05 DC 23 9B 1B 88 41 3B 61 33 0C 93 02 E0 23 9B 1B 88 0C 93 0C 9B 9B B2 AD F8 10 30 22 9B 9B 1C 22 93 23 9B 9B 1C 23 93 24 9B 5B 1E 24 93 24 9B 00 2B 09 D0 BD F8 08 30 00 2B 05 D0 BD F8 08 20 BD F8 10 30 9A 42 BF D0 BD F8 08 20 BD F8 10 30 D3 1A 15 93 1C A8 ?? ?? ?? ?? 15 9B 03 93 2F E0 1C A8 ?? ?? ?? ?? 16 90 24 9B 01 93 23 9B 00 93 24 9B 22 9A 41 F2 01 01 16 98 00 68 A0 30 00 1D 00 68 ?? ?? ?? ?? 17 90 17 9B 0D 93 0D 9B 00 2B 0E D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 6F F0 00 43 19 93 1C A8 ?? ?? ?? ?? 19 9B 03 93 07 E0 0D 9B 9B 1E 1A 93 1C A8 ?? ?? ?? ?? 1A 9B 03 93 03 98 20 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_548_0_0 {
	meta:
		name = "_FCbuild"
		size = 70
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 CD ED 01 0A 8D ED 00 0A 04 AB 9D ED 00 0A 83 ED 00 0A 04 AB 1B 1D 9D ED 01 0A 83 ED 00 0A 04 AB 93 ED 00 0A 8D ED 02 0A 93 ED 01 0A 8D ED 03 0A 9D ED 02 0A DD ED 03 0A 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_548_1_0 {
	meta:
		name = "cprojf"
		size = 252
		refs = "0018 crealf 0030 cimagf 0042 _fdtest 00b4 _FCbuild 00f0 _FInf_C 00f8 _FZero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 CD ED 09 0A 8D ED 08 0A 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 04 0A 9D ED 04 0A 8D ED 06 0A 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 05 0A 9D ED 05 0A 8D ED 02 0A 06 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 AD F8 04 30 02 A8 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 AD F8 06 30 BD F9 04 30 01 2B 0C D0 BD F9 06 30 01 2B 08 D0 9D ED 08 0A 8D ED 0A 0A 9D ED 09 0A 8D ED 0B 0A 24 E0 02 AB 9B 1C 1B 88 13 F4 00 4F 07 D0 19 4B 93 ED 00 0A B1 EE 40 0A 8D ED 03 0A 03 E0 9F ED 14 0A 8D ED 03 0A DD ED 03 0A 10 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 0D 0A 8D ED 0C 0A 9D ED 0C 0A 8D ED 0A 0A 9D ED 0D 0A 8D ED 0B 0A 9D ED 0A 0A 8D ED 0E 0A 9D ED 0B 0A 8D ED 0F 0A 9D ED 0E 0A DD ED 0F 0A 10 B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_550_0_0 {
	meta:
		name = "clogf"
		size = 904
		refs = "0018 crealf 0030 cimagf 0042 _fdtest 007e _FCbuild 012e atan2f 01e6 _fperrraise 0250 _fd_int 02d0 log1pf 031c logf 0384 _FInf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 A6 B0 CD ED 0D 0A 8D ED 0C 0A 9D ED 0C 0A DD ED 0D 0A ?? ?? ?? ?? 8D ED 0E 0A 9D ED 0E 0A 8D ED 00 0A 9D ED 0C 0A DD ED 0D 0A ?? ?? ?? ?? 8D ED 0F 0A 9D ED 0F 0A 8D ED 01 0A 68 46 ?? ?? ?? ?? AD F8 20 00 BD F9 20 30 AD F8 10 30 01 A8 ?? ?? ?? ?? AD F8 22 00 BD F9 22 30 AD F8 12 30 BD F9 10 30 02 2B 2C D1 BD F9 12 30 01 2B 14 D1 DD ED 00 0A C2 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 17 0A 8D ED 16 0A 9D ED 16 0A 8D ED 02 0A 9D ED 17 0A 8D ED 03 0A 67 E1 12 E0 DD ED 00 0A 9D ED 00 0A ?? ?? ?? ?? CD ED 19 0A 8D ED 18 0A 9D ED 18 0A 8D ED 02 0A 9D ED 19 0A 8D ED 03 0A 53 E1 2F E0 BD F9 12 30 02 2B 2B D1 BD F9 10 30 01 2B 14 D1 DD ED 01 0A AA 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 1B 0A 8D ED 1A 0A 9D ED 1A 0A 8D ED 02 0A 9D ED 1B 0A 8D ED 03 0A 36 E1 12 E0 DD ED 01 0A 9D ED 01 0A ?? ?? ?? ?? CD ED 1D 0A 8D ED 1C 0A 9D ED 1C 0A 8D ED 02 0A 9D ED 1D 0A 8D ED 03 0A 22 E1 DD ED 00 0A 9D ED 01 0A ?? ?? ?? ?? 8D ED 10 0A 9D ED 10 0A 8D ED 07 0A BD F9 10 30 01 2B 03 D0 BD F9 12 30 01 2B 14 D1 DD ED 07 0A 8C 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 1F 0A 8D ED 1E 0A 9D ED 1E 0A 8D ED 02 0A 9D ED 1F 0A 8D ED 03 0A FA E0 F9 E0 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 05 D2 9D ED 00 0A B1 EE 40 0A 8D ED 00 0A 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 05 D2 9D ED 01 0A B1 EE 40 0A 8D ED 01 0A DD ED 00 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 0B D2 9D ED 00 0A 8D ED 11 0A 9D ED 01 0A 8D ED 00 0A 9D ED 11 0A 8D ED 01 0A 9D ED 00 0A B5 EE 40 0A F1 EE 10 FA 19 D1 04 20 ?? ?? ?? ?? DD ED 07 0A 65 4B 93 ED 00 0A B1 EE 40 0A ?? ?? ?? ?? CD ED 21 0A 8D ED 20 0A 9D ED 20 0A 8D ED 02 0A 9D ED 21 0A 8D ED 03 0A AA E0 A9 E0 DD ED 00 0A 9F ED 58 0A F4 EE C0 0A F1 EE 10 FA 6E D8 DF ED 54 0A 9D ED 01 0A F4 EE C0 0A F1 EE 10 FA 65 D8 9D ED 00 0A 8D ED 05 0A 9D ED 01 0A 8D ED 06 0A 0B 21 05 A8 ?? ?? ?? ?? 0B 21 06 A8 ?? ?? ?? ?? DD ED 05 0A 9D ED 05 0A 60 EE 80 0A B7 EE 00 0A 30 EE C0 1A DD ED 06 0A 9D ED 06 0A 20 EE 80 0A 31 EE 00 0A 8D ED 09 0A DD ED 00 0A 9D ED 05 0A 30 EE C0 1A DD ED 00 0A 9D ED 05 0A 30 EE 80 0A 61 EE 00 1A DD ED 01 0A 9D ED 06 0A 30 EE C0 1A DD ED 01 0A 9D ED 06 0A 30 EE 80 0A 21 EE 00 0A 71 EE 80 0A 9D ED 09 0A 30 EE 20 0A 8D ED 09 0A 9D ED 09 0A ?? ?? ?? ?? 8D ED 12 0A DD ED 07 0A B6 EE 00 1A 9D ED 12 0A 21 EE 00 0A ?? ?? ?? ?? CD ED 23 0A 8D ED 22 0A 9D ED 22 0A 8D ED 02 0A 9D ED 23 0A 8D ED 03 0A 32 E0 31 E0 DD ED 01 0A 9D ED 00 0A 80 EE 80 0A 8D ED 0A 0A 9D ED 00 0A ?? ?? ?? ?? 8D ED 14 0A DD ED 0A 0A 9D ED 0A 0A 20 EE 80 0A ?? ?? ?? ?? 8D ED 13 0A DD ED 07 0A B6 EE 00 1A 9D ED 13 0A 21 EE 00 1A 9D ED 14 0A 30 EE 01 0A ?? ?? ?? ?? CD ED 25 0A 8D ED 24 0A 9D ED 24 0A 8D ED 02 0A 9D ED 25 0A 8D ED 03 0A 9D ED 02 0A DD ED 03 0A 26 B0 BD E8 00 88 FE DE CD CC CC 3E 66 66 66 3F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_551_4_0 {
	meta:
		name = "__ascii_memicmp"
		size = 164
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 00 23 00 93 00 23 01 93 0A 9A 0A 9B 5B 1E 0A 93 00 2A 38 D0 08 9B 1A 78 09 9B 1B 78 9A 42 29 D0 08 9B 1B 78 41 2B 09 DB 08 9B 1B 78 5A 2B 05 DC 08 9B 1B 78 41 3B 61 33 02 93 02 E0 08 9B 1B 78 02 93 09 9B 1B 78 41 2B 09 DB 09 9B 1B 78 5A 2B 05 DC 09 9B 1B 78 41 3B 61 33 03 93 02 E0 09 9B 1B 78 03 93 02 9B 00 93 03 9B 01 93 00 9A 01 9B 9A 42 06 D1 08 9B 5B 1C 08 93 09 9B 5B 1C 09 93 00 E0 00 E0 C0 E7 00 9A 01 9B D3 1A 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_551_5_0 {
	meta:
		name = "_memicmp"
		size = 304
		refs = "000a __acrt_locale_changed 004a _CrtDbgReportW 005e _errno 0076 _invalid_parameter 00f0 __ascii_memicmp 0106 _memicmp_l 011c ??_C@_1DM@DJOIECBI@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0120 ??_C@_1BC@NIPOMPCE@?$AA_?$AAm?$AAe?$AAm?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0124 ??_C@_1GE@KCELFHCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012c ??_C@_1DO@PGOALPMB@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 71 D1 10 9B 00 2B 05 D1 12 9B 00 2B 02 D0 00 23 04 93 01 E0 01 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 3C 4B 01 93 3A 4B 00 93 00 23 72 22 37 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 72 23 2C 4A 2B 49 2D 48 ?? ?? ?? ?? 6F F0 00 43 03 93 46 E0 11 9B 00 2B 05 D1 12 9B 00 2B 02 D0 00 23 06 93 01 E0 01 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 73 22 1D 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 73 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 43 03 93 12 E0 12 9A 11 99 10 98 ?? ?? ?? ?? 0C 90 0C 9B 03 93 09 E0 08 E0 00 23 12 9A 11 99 10 98 ?? ?? ?? ?? 0D 90 0D 9B 03 93 03 98 0E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_551_6_0 {
	meta:
		name = "_memicmp_l"
		size = 464
		refs = "001e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0052 _CrtDbgReportW 0066 _errno 007e _invalid_parameter 008a ??1_LocaleUpdate@@QAA@XZ 0108 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0122 __ascii_memicmp 0164 _tolower_l 01bc ??_C@_1DM@DJOIECBI@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01c0 ??_C@_1BG@DLLMINFI@?$AA_?$AAm?$AAe?$AAm?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 01c4 ??_C@_1GE@KCELFHCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01cc ??_C@_1DO@PGOALPMB@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A0 B0 00 23 05 93 00 23 06 93 22 9B 03 93 23 9B 04 93 25 99 1C A8 ?? ?? ?? ?? 22 9B 00 2B 05 D1 24 9B 00 2B 02 D0 00 23 07 93 01 E0 01 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 62 4B 01 93 60 4B 00 93 00 23 35 22 5D 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 08 9B 00 2B 16 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 35 23 52 4A 51 49 53 48 ?? ?? ?? ?? 6F F0 00 43 0D 93 1C A8 ?? ?? ?? ?? 0D 9B 02 93 8C E0 23 9B 00 2B 05 D1 24 9B 00 2B 02 D0 00 23 09 93 01 E0 01 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 41 4B 01 93 43 4B 00 93 00 23 36 22 40 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 16 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 36 23 36 4A 34 49 33 48 ?? ?? ?? ?? 6F F0 00 43 10 93 1C A8 ?? ?? ?? ?? 10 9B 02 93 53 E0 1C A8 ?? ?? ?? ?? 11 90 11 9B 1B 68 A0 33 08 33 1B 68 00 2B 0E D1 24 9A 23 99 22 98 ?? ?? ?? ?? 12 90 12 9B 13 93 1C A8 ?? ?? ?? ?? 13 9B 02 93 3A E0 30 E0 24 9A 24 9B 5B 1E 24 93 00 2A 2A D0 05 9A 06 9B 9A 42 26 D1 1C A8 ?? ?? ?? ?? 14 90 03 9B 93 F9 00 30 DB B2 15 93 14 99 15 98 ?? ?? ?? ?? 16 90 16 9B 05 93 03 9B 5B 1C 03 93 1C A8 ?? ?? ?? ?? 17 90 04 9B 93 F9 00 30 DB B2 18 93 17 99 18 98 ?? ?? ?? ?? 19 90 19 9B 06 93 04 9B 5B 1C 04 93 CE E7 05 9A 06 9B D3 1A 1A 93 1C A8 ?? ?? ?? ?? 1A 9B 02 93 02 98 20 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_552_0_0 {
	meta:
		name = "_chgsignf"
		size = 66
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 01 0A 9D ED 01 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 00 93 00 9B 83 F0 00 43 00 93 00 9B 00 EE 10 3A 8D ED 01 0A 9D ED 01 0A 8D ED 02 0A 9D ED 02 0A 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_553_10_0 {
	meta:
		name = "??$common_message_window@D@@YAHHQAXQBD111@Z"
		size = 976
		refs = "000a __security_push_cookie 0012 __chkstk 0056 memset 0066 ??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@DK@?$__crt_char_traits@D@@SAKAAPAUHINSTANCE__@@AAY0BAF@D$$QAK@Z 0074 ?get_program_name_unknown_text@@YAPBDD@Z 008a ??$tcscpy_s@AAY0BAF@DIPBD@?$__crt_char_traits@D@@SAHAAY0BAF@D$$QAI$$QAPBD@Z 00a2 _invoke_watson_if_error 00a8 ??$tcslen@AAY0BAF@D@?$__crt_char_traits@D@@SAIAAY0BAF@D@Z 00ee ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z 025a ?get_output_message_format@@YAPB_WD@Z 02b2 _snwprintf_s 02bc _errno 02fc _invoke_watson_if_oneof 031a wcscpy_s 033c __acrt_show_wide_message_box 035a raise 0360 _exit 0376 __security_pop_cookie 0384 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 038c ??_C@_1JM@IBOIJEOO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL@ 0390 ??_C@_1CM@EHMOGBJJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAw?$AAi?$AAn?$AAd?$AAo?$AAw?$AA?$AA@ 0394 ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0398 ??_C@_1FG@BBOLDHGF@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 039c ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 03a0 ?report_type_messages@@3QBQB_WB 03a4 ??_C@_11LOCGONAA@?$AA?$AA@ 03a8 ??_C@_1BE@CGCJKGHI@?$AA?6?$AAM?$AAo?$AAd?$AAu?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 03ac ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 03b0 ?empty_string@?1???$common_message_window@D@@YAHHQAXQBD111@Z@4QBDB 03b4 ??_C@_1BA@LNHECFIM@?$AA?6?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 03b8 ??_C@_1BA@GLLGCPCK@?$AA?6?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@ 03bc ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 03c0 ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@ 03c4 ?more_info_string@@3QB_WB 03c8 ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 03cc __imp_GetModuleHandleExW"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 40 F6 78 04 ?? ?? ?? ?? AD EB 04 0D 42 F2 04 23 5D F8 03 30 00 2B 02 D1 01 23 11 93 A0 E1 00 23 10 93 10 AA 42 F2 F4 11 5D F8 01 10 06 20 E3 4B 1B 68 98 47 23 90 23 9B 00 2B 01 D1 00 23 10 93 40 F2 05 12 00 21 36 A8 ?? ?? ?? ?? 40 F2 05 13 24 93 24 AA 36 A9 10 A8 ?? ?? ?? ?? 25 90 25 9B 00 2B 19 D1 00 20 ?? ?? ?? ?? 26 90 26 9B 27 93 40 F2 05 13 28 93 27 AA 28 A9 36 A8 ?? ?? ?? ?? 29 90 00 23 01 93 4F F4 AC 73 00 93 BE 4B BC 4A CA 49 29 98 ?? ?? ?? ?? 36 A8 ?? ?? ?? ?? 2A 90 2A 9B 12 93 36 AB 0E 93 12 9B 40 2B 10 D9 12 9B A3 F1 40 02 0E 9B 13 44 0E 93 0E 9A 2E 23 13 70 0E 9B 5A 1C 2E 23 13 70 0E 9B 9A 1C 2E 23 13 70 4F F4 08 53 5D F8 03 30 00 2B 07 D0 0D F5 08 50 ?? ?? ?? ?? 2B 90 2B 9B 13 93 01 E0 00 23 13 93 13 9B 14 93 00 23 0F 93 4F F4 08 53 5D F8 03 30 00 2B 0B D0 14 9B 40 2B 08 D9 4F F4 08 52 5D F8 02 20 14 9B 13 44 40 3B DB 1C 0F 93 42 F2 F0 13 5D F8 03 30 02 2B 03 D1 A3 4B 1B 68 16 93 01 E0 99 4B 16 93 42 F2 04 23 5D F8 03 30 93 F9 00 30 00 2B 05 D0 42 F2 04 23 5D F8 03 30 17 93 01 E0 94 4B 17 93 42 F2 04 23 5D F8 03 30 93 F9 00 30 00 2B 08 D0 42 F2 F0 13 5D F8 03 30 02 2B 02 D1 90 4B 18 93 01 E0 87 4B 18 93 42 F2 04 23 5D F8 03 30 93 F9 00 30 00 2B 02 D0 88 4B 19 93 01 E0 81 4B 19 93 42 F2 FC 13 5D F8 03 30 00 2B 05 D0 42 F2 FC 13 5D F8 03 30 1A 93 01 E0 7D 4B 1A 93 42 F2 FC 13 5D F8 03 30 00 2B 02 D0 7B 4B 1B 93 01 E0 74 4B 1B 93 42 F2 F8 13 5D F8 03 30 00 2B 05 D0 42 F2 F8 13 5D F8 03 30 1C 93 01 E0 70 4B 1C 93 42 F2 F8 13 5D F8 03 30 00 2B 02 D0 6D 4B 1D 93 01 E0 68 4B 1D 93 0F 9B 00 2B 02 D0 0F 9B 1E 93 0F E0 4F F4 08 53 5D F8 03 30 00 2B 05 D0 4F F4 08 53 5D F8 03 30 15 93 01 E0 61 4B 15 93 15 9B 1E 93 0F 9B 00 2B 02 D0 5C 4B 1F 93 01 E0 59 4B 1F 93 4F F4 08 53 5D F8 03 30 00 2B 02 D0 56 4B 20 93 01 E0 53 4B 20 93 00 20 ?? ?? ?? ?? 2C 90 16 9B 0C 93 17 9B 0B 93 18 9B 0A 93 19 9B 09 93 1A 9B 08 93 1B 9B 07 93 1C 9B 06 93 1D 9B 05 93 1E 9B 04 93 1F 9B 03 93 20 9B 02 93 0E 9B 01 93 42 F2 F0 12 5D F8 02 20 04 23 02 FB 03 F2 40 4B 13 44 1B 68 00 93 2C 9B 40 F6 FF 72 4F F4 80 51 78 A8 ?? ?? ?? ?? 2D 90 2D 9B 21 93 ?? ?? ?? ?? 2E 90 2E 9B 1B 68 31 93 ?? ?? ?? ?? 2F 90 2F 9A 00 23 13 60 21 9B 00 2B 12 DA ?? ?? ?? ?? 30 90 00 23 03 93 4F F4 C5 73 02 93 2A 4B 01 93 28 4B 00 93 2A 4B 22 22 16 21 30 98 00 68 ?? ?? ?? ?? ?? ?? ?? ?? 32 90 31 9A 32 9B 1A 60 21 9B 00 2B 11 DA 21 4A 4F F4 80 51 78 A8 ?? ?? ?? ?? 33 90 00 23 01 93 4F F4 C7 73 00 93 1A 4B 18 4A 17 49 33 98 ?? ?? ?? ?? 14 4A 12 49 78 A8 ?? ?? ?? ?? 34 90 34 9B 35 93 35 9B 22 93 22 9B 03 2B 03 D0 22 9B 04 2B 06 D0 08 E0 16 20 ?? ?? ?? ?? 03 20 ?? ?? ?? ?? 01 23 11 93 01 E0 00 23 11 93 11 98 42 F2 E0 1C E5 44 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? 12 20 01 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_553_11_0 {
	meta:
		name = "??$common_message_window@_W@@YAHHQAXQB_W111@Z"
		size = 984
		refs = "000a __security_push_cookie 0012 __chkstk 0056 memset 0066 ??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@_WK@?$__crt_char_traits@_W@@SAKAAPAUHINSTANCE__@@AAY0BAF@_W$$QAK@Z 0074 ?get_program_name_unknown_text@@YAPB_W_W@Z 008a ??$tcscpy_s@AAY0BAF@_WIPB_W@?$__crt_char_traits@_W@@SAHAAY0BAF@_W$$QAI$$QAPB_W@Z 00a2 _invoke_watson_if_error 00a8 ??$tcslen@AAY0BAF@_W@?$__crt_char_traits@_W@@SAIAAY0BAF@_W@Z 00f6 ??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z 0262 ?get_output_message_format@@YAPB_W_W@Z 02ba _snwprintf_s 02c4 _errno 0304 _invoke_watson_if_oneof 0322 wcscpy_s 0344 __acrt_show_wide_message_box 0362 raise 0368 _exit 037e __security_pop_cookie 038c ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 0394 ??_C@_1JM@IBOIJEOO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL@ 0398 ??_C@_1CM@EHMOGBJJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAw?$AAi?$AAn?$AAd?$AAo?$AAw?$AA?$AA@ 039c ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 03a0 ??_C@_1FG@BBOLDHGF@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 03a4 ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 03a8 ?report_type_messages@@3QBQB_WB 03ac ??_C@_11LOCGONAA@?$AA?$AA@ 03b0 ??_C@_1BE@CGCJKGHI@?$AA?6?$AAM?$AAo?$AAd?$AAu?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 03b4 ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 03b8 ?empty_string@?1???$common_message_window@_W@@YAHHQAXQB_W111@Z@4QB_WB 03bc ??_C@_1BA@LNHECFIM@?$AA?6?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 03c0 ??_C@_1BA@GLLGCPCK@?$AA?6?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@ 03c4 ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 03c8 ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@ 03cc ?more_info_string@@3QB_WB 03d0 ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 03d4 __imp_GetModuleHandleExW"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 40 F6 BA 04 ?? ?? ?? ?? AD EB 04 0D 42 F2 0C 33 5D F8 03 30 00 2B 02 D1 01 23 11 93 A4 E1 00 23 10 93 10 AA 42 F2 FC 21 5D F8 01 10 06 20 E5 4B 1B 68 98 47 23 90 23 9B 00 2B 01 D1 00 23 10 93 40 F2 0A 22 00 21 36 A8 ?? ?? ?? ?? 40 F2 05 13 24 93 24 AA 36 A9 10 A8 ?? ?? ?? ?? 25 90 25 9B 00 2B 19 D1 00 20 ?? ?? ?? ?? 26 90 26 9B 27 93 40 F2 05 13 28 93 27 AA 28 A9 36 A8 ?? ?? ?? ?? 29 90 00 23 01 93 4F F4 AC 73 00 93 C0 4B BE 4A CC 49 29 98 ?? ?? ?? ?? 36 A8 ?? ?? ?? ?? 2A 90 2A 9B 12 93 36 AB 0E 93 12 9B 40 2B 13 D9 12 9B A3 F1 40 02 02 23 02 FB 03 F2 0E 9B 13 44 0E 93 0E 9A 2E 23 13 80 0E 9B 9A 1C 2E 23 13 80 0E 9B 1A 1D 2E 23 13 80 42 F2 08 33 5D F8 03 30 00 2B 08 D0 42 F2 08 30 68 44 ?? ?? ?? ?? 2B 90 2B 9B 13 93 01 E0 00 23 13 93 13 9B 14 93 00 23 0F 93 42 F2 08 33 5D F8 03 30 00 2B 0E D0 14 9B 40 2B 0B D9 14 9A 02 23 02 FB 03 F2 42 F2 08 33 5D F8 03 30 13 44 80 3B 9B 1D 0F 93 42 F2 F8 23 5D F8 03 30 02 2B 03 D1 A1 4B 1B 68 16 93 01 E0 97 4B 16 93 42 F2 0C 33 5D F8 03 30 1B 88 00 2B 05 D0 42 F2 0C 33 5D F8 03 30 17 93 01 E0 93 4B 17 93 42 F2 0C 33 5D F8 03 30 1B 88 00 2B 08 D0 42 F2 F8 23 5D F8 03 30 02 2B 02 D1 8F 4B 18 93 01 E0 87 4B 18 93 42 F2 0C 33 5D F8 03 30 1B 88 00 2B 02 D0 88 4B 19 93 01 E0 81 4B 19 93 42 F2 04 33 5D F8 03 30 00 2B 05 D0 42 F2 04 33 5D F8 03 30 1A 93 01 E0 7D 4B 1A 93 42 F2 04 33 5D F8 03 30 00 2B 02 D0 7B 4B 1B 93 01 E0 74 4B 1B 93 4F F4 0C 53 5D F8 03 30 00 2B 05 D0 4F F4 0C 53 5D F8 03 30 1C 93 01 E0 70 4B 1C 93 4F F4 0C 53 5D F8 03 30 00 2B 02 D0 6D 4B 1D 93 01 E0 68 4B 1D 93 0F 9B 00 2B 02 D0 0F 9B 1E 93 0F E0 42 F2 08 33 5D F8 03 30 00 2B 05 D0 42 F2 08 33 5D F8 03 30 15 93 01 E0 61 4B 15 93 15 9B 1E 93 0F 9B 00 2B 02 D0 5C 4B 1F 93 01 E0 59 4B 1F 93 42 F2 08 33 5D F8 03 30 00 2B 02 D0 56 4B 20 93 01 E0 53 4B 20 93 00 20 ?? ?? ?? ?? 2C 90 16 9B 0C 93 17 9B 0B 93 18 9B 0A 93 19 9B 09 93 1A 9B 08 93 1B 9B 07 93 1C 9B 06 93 1D 9B 05 93 1E 9B 04 93 1F 9B 03 93 20 9B 02 93 0E 9B 01 93 42 F2 F8 22 5D F8 02 20 04 23 02 FB 03 F2 40 4B 13 44 1B 68 00 93 2C 9B 40 F6 FF 72 4F F4 80 51 BA A8 ?? ?? ?? ?? 2D 90 2D 9B 21 93 ?? ?? ?? ?? 2E 90 2E 9B 1B 68 31 93 ?? ?? ?? ?? 2F 90 2F 9A 00 23 13 60 21 9B 00 2B 12 DA ?? ?? ?? ?? 30 90 00 23 03 93 4F F4 C5 73 02 93 2A 4B 01 93 28 4B 00 93 2A 4B 22 22 16 21 30 98 00 68 ?? ?? ?? ?? ?? ?? ?? ?? 32 90 31 9A 32 9B 1A 60 21 9B 00 2B 11 DA 21 4A 4F F4 80 51 BA A8 ?? ?? ?? ?? 33 90 00 23 01 93 4F F4 C7 73 00 93 1A 4B 18 4A 17 49 33 98 ?? ?? ?? ?? 14 4A 12 49 BA A8 ?? ?? ?? ?? 34 90 34 9B 35 93 35 9B 22 93 22 9B 03 2B 03 D0 22 9B 04 2B 06 D0 08 E0 16 20 ?? ?? ?? ?? 03 20 ?? ?? ?? ?? 01 23 11 93 01 E0 00 23 11 93 11 98 42 F2 E8 2C E5 44 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? 12 20 01 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_553_12_0 {
	meta:
		name = "??$common_set_report_hook@DP6AHHPADPAH@Z@@YAHHQ6AHHPADPAH@Z@Z"
		size = 272
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 00da ??0<lambda_c8faeb264fdcc4f3901f0705ce773d88>@@QAA@ABQ6AHHPADPAH@ZABH@Z 00e4 ??$__acrt_lock_and_call@V<lambda_c8faeb264fdcc4f3901f0705ce773d88>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_c8faeb264fdcc4f3901f0705ce773d88>@@@Z 00fc ??_C@_1CI@ONEHFNHD@?$AAn?$AAe?$AAw?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0100 ??_C@_1CO@FFNKOJOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAp?$AAo?$AAr?$AAt?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?$AA@ 0104 ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0108 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1HI@OFEHGPPC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AA_?$AAR?$AAP?$AAT?$AAH?$AAO?$AAO?$AAK?$AA_?$AAI?$AAN?$AAS?$AAT?$AAA?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 9B 00 2B 05 D0 12 9B 01 2B 02 D0 00 23 03 93 01 E0 01 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 38 4B 01 93 36 4B 00 93 00 23 5A 22 33 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 5A 23 28 4A 27 49 29 48 ?? ?? ?? ?? 6F F0 00 03 02 93 3D E0 13 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 5B 22 1A 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 5B 23 10 4A 0E 49 0D 48 ?? ?? ?? ?? 6F F0 00 03 02 93 0C E0 12 AA 13 A9 0E A8 ?? ?? ?? ?? 0B 90 0B 99 01 20 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_553_13_0 {
	meta:
		name = "??$common_set_report_hook@_WP6AHHPA_WPAH@Z@@YAHHQ6AHHPA_WPAH@Z@Z"
		size = 272
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 00da ??0<lambda_0e8d296f2015d00575aaed1fd344af09>@@QAA@ABQ6AHHPA_WPAH@ZABH@Z 00e4 ??$__acrt_lock_and_call@V<lambda_0e8d296f2015d00575aaed1fd344af09>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_0e8d296f2015d00575aaed1fd344af09>@@@Z 00fc ??_C@_1CI@ONEHFNHD@?$AAn?$AAe?$AAw?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0100 ??_C@_1CO@FFNKOJOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAp?$AAo?$AAr?$AAt?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?$AA@ 0104 ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0108 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1HI@OFEHGPPC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AA_?$AAR?$AAP?$AAT?$AAH?$AAO?$AAO?$AAK?$AA_?$AAI?$AAN?$AAS?$AAT?$AAA?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 12 9B 00 2B 05 D0 12 9B 01 2B 02 D0 00 23 03 93 01 E0 01 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 38 4B 01 93 36 4B 00 93 00 23 5A 22 33 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 5A 23 28 4A 27 49 29 48 ?? ?? ?? ?? 6F F0 00 03 02 93 3D E0 13 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 5B 22 1A 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 5B 23 10 4A 0E 49 0D 48 ?? ?? ?? ?? 6F F0 00 03 02 93 0C E0 12 AA 13 A9 0E A8 ?? ?? ?? ?? 0B 90 0B 99 01 20 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_553_54_0 {
	meta:
		name = "_CrtDbgReport"
		size = 74
		refs = "000a ??$__vcrt_va_start_verify_argument_type@QBD@@YAXXZ 002c _VCrtDbgReportA"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 10 AB 1B 1D 04 93 0B 9B 05 93 04 9B 02 93 10 9B 01 93 0F 9B 00 93 0E 9B 0D 9A 05 99 0C 98 ?? ?? ?? ?? 06 90 06 9B 07 93 00 23 04 93 07 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_553_55_0 {
	meta:
		name = "_CrtDbgReportW"
		size = 74
		refs = "000a ??$__vcrt_va_start_verify_argument_type@QB_W@@YAXXZ 002c _VCrtDbgReportW"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 10 AB 1B 1D 04 93 0B 9B 05 93 04 9B 02 93 10 9B 01 93 0F 9B 00 93 0E 9B 0D 9A 05 99 0C 98 ?? ?? ?? ?? 06 90 06 9B 07 93 00 23 04 93 07 9B 08 93 08 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_555_0_0 {
	meta:
		name = "localeconv"
		size = 50
		refs = "0008 __acrt_getptd 001e __acrt_update_locale_info"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 4C 33 1B 68 01 93 01 A9 00 98 ?? ?? ?? ?? 01 9B 88 33 1B 68 03 93 03 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_556_1_0 {
	meta:
		name = "cosf"
		size = 1240
		refs = "00b0 valf_with_flags 00f0 cosf_piby4 013c _handle_nanf 0182 _handle_errorf 03e8 __remainder_piby2f_inline 0420 sinf_piby4 047c ?piby2_3tail@?M@??cosf@@9@9 0480 ?piby2_3@?M@??cosf@@9@9 0484 ?piby2_2tail@?M@??cosf@@9@9 0488 ?piby2_2@?M@??cosf@@9@9 0490 ?piby2_1tail@?M@??cosf@@9@9 0494 ?piby2_1@?M@??cosf@@9@9 0498 ?twobypi@?M@??cosf@@9@9 04c4 ??_C@_04OBBKPIAC@cosf?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 B0 8D ED 08 0A 9D ED 08 0A B7 EE C0 0A 8D ED 0C 0B 9D ED 0C 0B 53 EC 10 2B 12 92 13 93 12 9A 13 9B 23 F0 00 43 06 92 07 93 06 9B 2C 93 07 9B 2D 93 2C 9B 26 93 2D 9A DF F8 94 34 9A 42 60 D8 04 D3 26 9A DF F8 84 34 9A 42 5A D8 06 9B 2E 93 07 9B 2F 93 2E 9B 27 93 2F 9B B3 F1 7E 5F 42 D8 02 D3 27 9B 00 2B 3E D2 06 9B 30 93 07 9B 31 93 30 9B 28 93 31 9A DF F8 4C 34 9A 42 1F D8 02 D3 28 9B 00 2B 1B D2 06 9B 32 93 07 9B 33 93 33 9A 32 9B 13 43 00 2B 05 D1 B7 EE 00 0A 8D ED 05 0A E3 E1 0B E0 10 20 B7 EE 00 0A ?? ?? ?? ?? 8D ED 29 0A 9D ED 29 0A 8D ED 05 0A D6 E1 12 E0 9D ED 0C 1B 9D ED 0C 0B 21 EE 00 1B B6 EE 00 0B 21 EE 00 1B B7 EE 00 0B 30 EE 41 0B B7 EE C0 0B 8D ED 05 0A C2 E1 0C E0 9D ED 0C 0B ?? ?? ?? ?? 8D ED 46 0B 9D ED 46 0B B7 EE C0 0B 8D ED 05 0A B4 E1 45 E0 13 9A E0 4B 13 40 1C 93 1C 9A DE 4B 9A 42 3D D1 12 9A 13 9B 6F F3 1F 53 13 43 00 2B 14 D0 9D ED 08 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 1D 93 1D 98 00 21 ?? ?? ?? ?? 8D ED 1E 0A 9D ED 1E 0A 8D ED 05 0A 90 E1 21 E0 9D ED 08 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 44 93 01 23 03 93 DF ED D5 0A 9D ED 08 0A 21 23 02 93 08 23 01 93 01 23 00 93 D3 4A 00 23 12 21 D0 48 ?? ?? ?? ?? 8D ED 1F 0A 9D ED 1F 0A 8D ED 05 0A 6D E1 13 9B DB 0F 20 93 20 9B 00 2B 05 D0 9D ED 0C 0B B1 EE 40 0B 8D ED 0C 0B 9D ED 0C 1B 9F ED C2 0B B4 EE C0 1B F1 EE 10 FA 80 F0 10 81 07 9B 1B 0D 3C 93 00 23 3D 93 06 9B 34 93 07 9B 35 93 34 9B 21 93 35 9A B7 4B 9A 42 19 D8 03 D3 21 9A B4 4B 9A 42 14 D8 06 9B 36 93 07 9B 37 93 36 9B 22 93 37 9A AE 4B 9A 42 07 D8 03 D3 22 9A AA 4B 9A 42 02 D8 01 23 04 93 01 E0 02 23 04 93 33 E0 06 9B 38 93 07 9B 39 93 38 9B 23 93 39 9A A1 4B 9A 42 19 D8 03 D3 23 9A 9E 4B 9A 42 14 D8 06 9B 3A 93 07 9B 3B 93 3A 9B 24 93 3B 9A 98 4B 9A 42 07 D8 03 D3 24 9A 94 4B 9A 42 02 D8 03 23 04 93 01 E0 04 23 04 93 0F E0 9D ED 0C 1B 8E 4B 93 ED 00 0B 21 EE 00 1B B6 EE 00 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 04 93 04 9B 00 EE 10 3A B8 EE C0 1B 83 4B 93 ED 00 0B 21 EE 00 1B 9D ED 0C 0B 30 EE 41 0B 8D ED 0E 0B 04 9B 00 EE 10 3A B8 EE C0 1B 7A 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0A 0B 9D ED 0E 0B 53 EC 10 2B 42 92 43 93 43 9A 72 4B 13 40 18 0D 3C 9A 3D 99 00 23 12 1A 61 EB 03 03 18 92 19 93 18 9B 3E 93 19 9B 3F 93 3E 9B 2A 93 3F 9B 00 2B 02 D8 2A 9B 0F 2B 6B D9 9D ED 0E 0B 8D ED 1A 0B 04 9B 00 EE 10 3A B8 EE C0 1B 61 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0A 0B 9D ED 1A 1B 9D ED 0A 0B 31 EE 40 0B 8D ED 0E 0B 04 9B 00 EE 10 3A B8 EE C0 1B 56 4B 93 ED 00 0B 21 EE 00 2B 9D ED 1A 1B 9D ED 0E 0B 31 EE 40 1B 9D ED 0A 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0A 0B 18 9B 40 93 19 9B 41 93 40 9B 25 93 41 9B 00 2B 02 D8 25 9B 30 2B 2F D9 9D ED 0E 0B 8D ED 1A 0B 04 9B 00 EE 10 3A B8 EE C0 1B 41 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0A 0B 9D ED 1A 1B 9D ED 0A 0B 31 EE 40 0B 8D ED 0E 0B 04 9B 00 EE 10 3A B8 EE C0 1B 36 4B 93 ED 00 0B 21 EE 00 2B 9D ED 1A 1B 9D ED 0E 0B 31 EE 40 1B 9D ED 0A 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0A 0B 9D ED 0E 1B 9D ED 0A 0B 31 EE 40 0B 8D ED 16 0B 04 9B 03 F0 03 03 14 93 05 E0 14 AB 16 AA 06 98 07 99 ?? ?? ?? ?? 14 9B 10 93 10 9B 01 2B 12 D0 10 9B 02 2B 1E D0 10 9B 03 2B 2A D0 9D ED 16 0B ?? ?? ?? ?? 8D ED 48 0B 9D ED 48 0B B7 EE C0 0B 8D ED 05 0A 29 E0 9D ED 16 0B ?? ?? ?? ?? 8D ED 4A 0B 9D ED 4A 0B B1 EE 40 0B B7 EE C0 0B 8D ED 05 0A 1A E0 9D ED 16 0B ?? ?? ?? ?? 8D ED 4C 0B 9D ED 4C 0B B1 EE 40 0B B7 EE C0 0B 8D ED 05 0A 0B E0 9D ED 16 0B ?? ?? ?? ?? 8D ED 4E 0B 9D ED 4E 0B B7 EE C0 0B 8D ED 05 0A 9D ED 05 0A 50 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 75 A7 BB E9 BB FD 15 40 BB B2 CC BE 3A 46 1C 40 D2 21 33 7F 7C D9 02 40 5E 38 55 29 7A 6A 0F 40 00 00 00 00 80 84 1E 41 ?? ?? ?? ?? 00 00 C0 FF 00 00 20 3F 18 2D 44 54 FB 21 E9 3F }
	condition:
		$1
}

rule file_556_2_0 {
	meta:
		name = "cosf_piby4"
		size = 160
		refs = "0090 ?c1@?1??cosf_piby4@@9@9 0094 ?c2@?1??cosf_piby4@@9@9 0098 ?c3@?1??cosf_piby4@@9@9 009c ?c4@?1??cosf_piby4@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 02 0B 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 8D ED 00 0B B6 EE 00 1B 9D ED 00 0B 21 EE 00 1B B7 EE 00 0B 30 EE 41 3B 9D ED 00 1B 9D ED 00 0B 21 EE 00 2B 9D ED 00 1B 16 4B 93 ED 00 0B 21 EE 00 1B 13 4B 93 ED 00 0B 30 EE 01 1B 9D ED 00 0B 20 EE 01 1B 0D 4B 93 ED 00 0B 30 EE 01 1B 9D ED 00 0B 20 EE 01 1B 08 4B 93 ED 00 0B 30 EE 01 0B 22 EE 00 0B 33 EE 00 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_556_4_0 {
	meta:
		name = "sinf"
		size = 1396
		refs = "00aa valf_with_flags 00f2 sinf_piby4 013e _handle_nanf 0184 _handle_errorf 01c0 ??_C@_04LAGPAAHP@sinf?$AA@ 0414 __remainder_piby2f_inline 0456 cosf_piby4 0534 ?piby2_3tail@?M@??sinf@@9@9 0538 ?piby2_3@?M@??sinf@@9@9 053c ?piby2_2tail@?M@??sinf@@9@9 0540 ?piby2_2@?M@??sinf@@9@9 0548 ?piby2_1tail@?M@??sinf@@9@9 054c ?piby2_1@?M@??sinf@@9@9 0550 ?twobypi@?M@??sinf@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 D8 B0 8D ED 08 0A 9D ED 08 0A B7 EE C0 0A 8D ED 0A 0B 9D ED 0A 0B 53 EC 10 2B 16 92 17 93 16 9A 17 9B 23 F0 00 43 06 92 07 93 06 9B 2C 93 07 9B 2D 93 2C 9B 29 93 2D 9A 67 4B 9A 42 62 D8 03 D3 29 9A 63 4B 9A 42 5D D8 06 9B 2E 93 07 9B 2F 93 2E 9B 2A 93 2F 9B B3 F1 7E 5F 45 D8 02 D3 2A 9B 00 2B 41 D2 06 9B 30 93 07 9B 31 93 30 9B 2B 93 31 9A 56 4B 9A 42 1F D8 02 D3 2B 9B 00 2B 1B D2 06 9B 32 93 07 9B 33 93 33 9A 32 9B 13 43 00 2B 05 D1 9D ED 08 0A 8D ED 04 0A 43 E2 0B E0 10 20 9D ED 08 0A ?? ?? ?? ?? 8D ED 1E 0A 9D ED 1E 0A 8D ED 04 0A 36 E2 16 E0 9D ED 0A 1B 9D ED 0A 0B 21 EE 00 1B 9D ED 0A 0B 21 EE 00 1B 9F ED 3E 0B 21 EE 00 1B 9D ED 0A 0B 30 EE 41 0B B7 EE C0 0B 8D ED 04 0A 1E E2 0C E0 9D ED 0A 0B ?? ?? ?? ?? 8D ED 46 0B 9D ED 46 0B B7 EE C0 0B 8D ED 04 0A 10 E2 45 E0 17 9A 2E 4B 13 40 1F 93 1F 9A 2C 4B 9A 42 3D D1 16 9A 17 9B 6F F3 1F 53 13 43 00 2B 14 D0 9D ED 08 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 20 93 20 98 00 21 ?? ?? ?? ?? 8D ED 21 0A 9D ED 21 0A 8D ED 04 0A EC E1 21 E0 9D ED 08 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 44 93 01 23 03 93 DF ED 13 0A 9D ED 08 0A 21 23 02 93 08 23 01 93 01 23 00 93 11 4A 00 23 1E 21 0F 48 ?? ?? ?? ?? 8D ED 22 0A 9D ED 22 0A 8D ED 04 0A C9 E1 17 9B DB 0F 18 93 18 9B 00 2B 05 D0 9D ED 0A 0B B1 EE 40 0B 8D ED 0A 0B 9D ED 0A 1B 9F ED 01 0B 13 E0 00 00 00 00 80 84 1E 41 ?? ?? ?? ?? 00 00 C0 FF 00 00 F0 7F 55 55 55 55 55 55 C5 3F 00 00 20 3F 18 2D 44 54 FB 21 E9 3F B4 EE C0 1B F1 EE 10 FA 80 F0 10 81 07 9B 1B 0D 3C 93 00 23 3D 93 06 9B 34 93 07 9B 35 93 34 9B 23 93 35 9A DA 4B 9A 42 19 D8 03 D3 23 9A D7 4B 9A 42 14 D8 06 9B 36 93 07 9B 37 93 36 9B 24 93 37 9A D1 4B 9A 42 07 D8 03 D3 24 9A CD 4B 9A 42 02 D8 01 23 05 93 01 E0 02 23 05 93 33 E0 06 9B 38 93 07 9B 39 93 38 9B 25 93 39 9A C4 4B 9A 42 19 D8 03 D3 25 9A C1 4B 9A 42 14 D8 06 9B 3A 93 07 9B 3B 93 3A 9B 26 93 3B 9A BB 4B 9A 42 07 D8 03 D3 26 9A B7 4B 9A 42 02 D8 03 23 05 93 01 E0 04 23 05 93 0F E0 9D ED 0A 1B B1 4B 93 ED 00 0B 21 EE 00 1B B6 EE 00 0B 31 EE 00 0B BD EE C0 0B 10 EE 10 3A 05 93 05 9B 00 EE 10 3A B8 EE C0 1B A6 4B 93 ED 00 0B 21 EE 00 1B 9D ED 0A 0B 30 EE 41 0B 8D ED 10 0B 05 9B 00 EE 10 3A B8 EE C0 1B 9D 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0E 0B 9D ED 10 0B 53 EC 10 2B 42 92 43 93 43 9A 95 4B 13 40 18 0D 3C 9A 3D 99 00 23 12 1A 61 EB 03 03 1A 92 1B 93 1A 9B 3E 93 1B 9B 3F 93 3E 9B 28 93 3F 9B 00 2B 02 D8 28 9B 0F 2B 6B D9 9D ED 10 0B 8D ED 1C 0B 05 9B 00 EE 10 3A B8 EE C0 1B 84 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0E 0B 9D ED 1C 1B 9D ED 0E 0B 31 EE 40 0B 8D ED 10 0B 05 9B 00 EE 10 3A B8 EE C0 1B 79 4B 93 ED 00 0B 21 EE 00 2B 9D ED 1C 1B 9D ED 10 0B 31 EE 40 1B 9D ED 0E 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0E 0B 1A 9B 40 93 1B 9B 41 93 40 9B 27 93 41 9B 00 2B 02 D8 27 9B 30 2B 2F D9 9D ED 10 0B 8D ED 1C 0B 05 9B 00 EE 10 3A B8 EE C0 1B 64 4B 93 ED 00 0B 21 EE 00 0B 8D ED 0E 0B 9D ED 1C 1B 9D ED 0E 0B 31 EE 40 0B 8D ED 10 0B 05 9B 00 EE 10 3A B8 EE C0 1B 59 4B 93 ED 00 0B 21 EE 00 2B 9D ED 1C 1B 9D ED 10 0B 31 EE 40 1B 9D ED 0E 0B 31 EE 40 0B 32 EE 40 0B 8D ED 0E 0B 9D ED 10 1B 9D ED 0E 0B 31 EE 40 0B 8D ED 0C 0B 05 9B 03 F0 03 03 13 93 05 E0 13 AB 0C AA 06 98 07 99 ?? ?? ?? ?? 18 9B 00 2B 43 D0 13 9B 12 93 12 9B 01 2B 14 D0 12 9B 02 2B 20 D0 12 9B 03 2B 2A D0 9D ED 0C 0B ?? ?? ?? ?? 8D ED 48 0B 9D ED 48 0B B1 EE 40 0B B7 EE C0 0B 8D ED 04 0A 6B E0 9D ED 0C 0B ?? ?? ?? ?? 8D ED 4A 0B 9D ED 4A 0B B1 EE 40 0B B7 EE C0 0B 8D ED 04 0A 5C E0 9D ED 0C 0B ?? ?? ?? ?? 8D ED 4C 0B 9D ED 4C 0B B7 EE C0 0B 8D ED 04 0A 4F E0 9D ED 0C 0B ?? ?? ?? ?? 8D ED 4E 0B 9D ED 4E 0B B7 EE C0 0B 8D ED 04 0A 42 E0 41 E0 13 9B 14 93 14 9B 01 2B 12 D0 14 9B 02 2B 1C D0 14 9B 03 2B 28 D0 9D ED 0C 0B ?? ?? ?? ?? 8D ED 50 0B 9D ED 50 0B B7 EE C0 0B 8D ED 04 0A 29 E0 9D ED 0C 0B ?? ?? ?? ?? 8D ED 52 0B 9D ED 52 0B B7 EE C0 0B 8D ED 04 0A 1C E0 9D ED 0C 0B ?? ?? ?? ?? 8D ED 54 0B 9D ED 54 0B B1 EE 40 0B B7 EE C0 0B 8D ED 04 0A 0D E0 9D ED 0C 0B ?? ?? ?? ?? 8D ED 56 0B 9D ED 56 0B B1 EE 40 0B B7 EE C0 0B 8D ED 04 0A 9D ED 04 0A 58 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 75 A7 BB E9 BB FD 15 40 BB B2 CC BE 3A 46 1C 40 D2 21 33 7F 7C D9 02 40 5E 38 55 29 7A 6A 0F 40 }
	condition:
		$1
}

rule file_556_5_0 {
	meta:
		name = "sinf_piby4"
		size = 144
		refs = "0080 ?c1@?1??sinf_piby4@@9@9 0084 ?c2@?1??sinf_piby4@@9@9 0088 ?c3@?1??sinf_piby4@@9@9 008c ?c4@?1??sinf_piby4@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 02 0B 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 8D ED 00 0B 9D ED 02 1B 9D ED 00 0B 21 EE 00 2B 9D ED 00 1B 17 4B 93 ED 00 0B 21 EE 00 1B 14 4B 93 ED 00 0B 30 EE 01 1B 9D ED 00 0B 20 EE 01 1B 0E 4B 93 ED 00 0B 30 EE 01 1B 9D ED 00 0B 20 EE 01 1B 09 4B 93 ED 00 0B 30 EE 01 0B 22 EE 00 1B 9D ED 02 0B 30 EE 01 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_557_0_0 {
	meta:
		name = "wcscat"
		size = 76
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 00 9B 1B 88 00 2B 03 D0 00 9B 9B 1C 00 93 F7 E7 05 9B 1A 88 00 9B 1A 80 00 9B 1A 88 00 9B 9B 1C 00 93 05 9B 9B 1C 05 93 00 2A 00 D0 F0 E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_558_0_0 {
	meta:
		name = "??$common_tcscpy_s@_W@@YAHQA_WIQB_W@Z"
		size = 688
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0094 _CrtGetDebugFillThreshold 00c2 memset 0294 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0298 ??_C@_1CA@FHIAGDFH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 029c ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a4 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 02a8 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 02ac ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 1E 9B 00 2B 05 D0 1F 9B 00 2B 02 D9 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 A0 4B 01 93 9C 4B 00 93 00 23 43 22 99 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 43 23 8E 4A 8D 49 91 48 ?? ?? ?? ?? 16 23 04 93 0B E1 20 9B 00 2B 57 D1 1E 9A 00 23 13 80 1F 9B B3 F1 FF 3F 20 D0 1F 9A 6F F0 00 43 9A 42 1B D0 1F 9B 01 2B 18 D9 ?? ?? ?? ?? 14 90 14 9B 08 93 1F 9B 5A 1E 08 9B 93 42 02 D2 08 9B 09 93 02 E0 1F 9B 5B 1E 09 93 09 9A 02 23 02 FB 03 F2 FE 21 1E 9B 98 1C ?? ?? ?? ?? 20 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0E D1 71 4B 01 93 6E 4B 00 93 00 23 44 22 6B 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 10 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 44 23 61 4A 5F 49 63 48 ?? ?? ?? ?? 16 23 04 93 B0 E0 1E 9B 03 93 20 9B 05 93 1F 9B 02 93 05 9B 1A 88 03 9B 1A 80 03 9B 1A 88 03 9B 9B 1C 03 93 05 9B 9B 1C 05 93 00 2A 06 D0 02 9B 5B 1E 02 93 02 9B 00 2B 00 D9 EA E7 02 9B 00 2B 58 D1 1E 9A 00 23 13 80 1F 9B B3 F1 FF 3F 20 D0 1F 9A 6F F0 00 43 9A 42 1B D0 1F 9B 01 2B 18 D9 ?? ?? ?? ?? 17 90 17 9B 0C 93 1F 9B 5A 1E 0C 9B 93 42 02 D2 0C 9B 0D 93 02 E0 1F 9B 5B 1E 0D 93 0D 9A 02 23 02 FB 03 F2 FE 21 1E 9B 98 1C ?? ?? ?? ?? 3C 4B 00 2B 03 D0 02 E0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 31 4B 01 93 33 4B 00 93 00 23 51 22 30 49 02 20 ?? ?? ?? ?? 18 90 18 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 10 D1 ?? ?? ?? ?? 19 90 19 9A 22 23 13 60 00 23 00 93 51 23 25 4A 24 49 22 48 ?? ?? ?? ?? 22 23 04 93 39 E0 1F 9B B3 F1 FF 3F 33 D0 1F 9A 6F F0 00 43 9A 42 2E D0 1F 9A 02 9B D3 1A 5A 1C 1F 9B 9A 42 27 D2 ?? ?? ?? ?? 1A 90 1A 9B 10 93 1F 9A 02 9B D3 1A 5A 1C 1F 9B 9A 1A 10 9B 93 42 02 D2 10 9B 11 93 06 E0 1F 9A 02 9B D3 1A 5A 1C 1F 9B 9B 1A 11 93 11 9A 02 23 02 FB 03 F2 FE 21 1F 98 02 9B C3 1A 58 1C 02 23 00 FB 03 F0 1E 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 1C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_559_0_0 {
	meta:
		name = "_ldlog"
		size = 712
		refs = "0012 _ldunscale 0040 _fperrraise 0290 log2e 0294 log2elo 0298 log2ehi 029c logx2hi 02a0 logx2lo 02a4 logxe 02a8 logxelo 02ac logxehi 02b0 loge2hi 02b4 loge2lo 02b8 p 02bc rthalf 02c0 _LNan_C 02c4 _LInf_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 8D ED 04 0B 04 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 01 93 01 9B 00 2B 0B D0 01 9B 01 2B 13 D0 01 9B 02 2B 00 D0 1A E0 9D ED 04 0B 8D ED 0A 0B 20 E1 04 20 ?? ?? ?? ?? 9F 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0A 0B 15 E1 04 AB 9B 1D 1B 88 13 F4 00 4F 04 D1 9D ED 04 0B 8D ED 0A 0B 0A E1 04 AB 9B 1D 1B 88 13 F4 00 4F 09 D0 01 20 ?? ?? ?? ?? 90 4B 93 ED 00 0B 8D ED 0A 0B FB E0 FA E0 9D ED 04 1B 8B 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0D D2 9D ED 04 1B 9D ED 04 0B 31 EE 00 0B 8D ED 04 0B BD F9 00 30 5B 1E 1B B2 AD F8 00 30 9D ED 04 1B B7 EE 00 0B 31 EE 40 0B 8D ED 08 0B 9D ED 04 1B B7 EE 00 0B 31 EE 00 1B 9D ED 08 0B 80 EE 01 0B 8D ED 06 0B 9D ED 06 1B 9D ED 06 0B 21 EE 00 0B 8D ED 02 0B 71 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 6D 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 68 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 63 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 5E 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 59 4B 28 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 54 4B 30 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 20 EE 01 1B 9D ED 08 0B 30 EE 41 1B 9D ED 06 0B 20 EE 01 0B 8D ED 06 0B BD F9 00 30 00 EE 10 3A B8 EE C0 0B 8D ED 02 0B 0E 9B 00 2B 1A D1 44 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 9D ED 06 0B 30 EE 41 1B 9D ED 08 0B 30 EE 41 2B 3B 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 0B 32 EE 00 0B 8D ED 06 0B 4F E0 0E 9B 00 2B 2D DD 33 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 4B 2E 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 3B 2A 4B 93 ED 00 1B 9D ED 06 0B 21 EE 00 2B 25 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 0B 32 EE 40 0B 33 EE 40 0B 34 EE 00 2B 1E 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 0B 32 EE 00 0B 8D ED 06 0B 1E E0 17 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 3B 12 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 2B 0E 4B 93 ED 00 1B 9D ED 06 0B 21 EE 00 0B 32 EE 40 0B 33 EE 00 1B 9D ED 02 0B 31 EE 00 0B 8D ED 06 0B 9D ED 06 0B 8D ED 0A 0B 9D ED 0A 0B 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_574_0_0 {
	meta:
		name = "_dlog"
		size = 712
		refs = "0012 _dunscale 0040 _fperrraise 0290 log2e 0294 log2elo 0298 log2ehi 029c logx2hi 02a0 logx2lo 02a4 logxe 02a8 logxelo 02ac logxehi 02b0 loge2hi 02b4 loge2lo 02b8 p 02bc rthalf 02c0 _Nan_C 02c4 _Inf_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 8D ED 04 0B 04 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 01 93 01 9B 00 2B 0B D0 01 9B 01 2B 13 D0 01 9B 02 2B 00 D0 1A E0 9D ED 04 0B 8D ED 0A 0B 20 E1 04 20 ?? ?? ?? ?? 9F 4B 93 ED 00 0B B1 EE 40 0B 8D ED 0A 0B 15 E1 04 AB 9B 1D 1B 88 13 F4 00 4F 04 D1 9D ED 04 0B 8D ED 0A 0B 0A E1 04 AB 9B 1D 1B 88 13 F4 00 4F 09 D0 01 20 ?? ?? ?? ?? 90 4B 93 ED 00 0B 8D ED 0A 0B FB E0 FA E0 9D ED 04 1B 8B 4B 93 ED 00 0B B4 EE C0 1B F1 EE 10 FA 0D D2 9D ED 04 1B 9D ED 04 0B 31 EE 00 0B 8D ED 04 0B BD F9 00 30 5B 1E 1B B2 AD F8 00 30 9D ED 04 1B B7 EE 00 0B 31 EE 40 0B 8D ED 08 0B 9D ED 04 1B B7 EE 00 0B 31 EE 00 1B 9D ED 08 0B 80 EE 01 0B 8D ED 06 0B 9D ED 06 1B 9D ED 06 0B 21 EE 00 0B 8D ED 02 0B 71 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 6D 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 68 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 63 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 5E 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 59 4B 28 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 21 EE 00 1B 54 4B 30 33 93 ED 00 0B 31 EE 00 1B 9D ED 02 0B 20 EE 01 1B 9D ED 08 0B 30 EE 41 1B 9D ED 06 0B 20 EE 01 0B 8D ED 06 0B BD F9 00 30 00 EE 10 3A B8 EE C0 0B 8D ED 02 0B 0E 9B 00 2B 1A D1 44 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 1B 9D ED 06 0B 30 EE 41 1B 9D ED 08 0B 30 EE 41 2B 3B 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 0B 32 EE 00 0B 8D ED 06 0B 4F E0 0E 9B 00 2B 2D DD 33 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 4B 2E 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 3B 2A 4B 93 ED 00 1B 9D ED 06 0B 21 EE 00 2B 25 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 0B 32 EE 40 0B 33 EE 40 0B 34 EE 00 2B 1E 4B 93 ED 00 1B 9D ED 02 0B 21 EE 00 0B 32 EE 00 0B 8D ED 06 0B 1E E0 17 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 3B 12 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 2B 0E 4B 93 ED 00 1B 9D ED 06 0B 21 EE 00 0B 32 EE 40 0B 33 EE 00 1B 9D ED 02 0B 31 EE 00 0B 8D ED 06 0B 9D ED 06 0B 8D ED 0A 0B 9D ED 0A 0B 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_559_1_0 {
	meta:
		name = "_ldlogpoly"
		size = 156
		refs = "0098 p"
		altNames = "_dlogpoly"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 00 0B 22 4B 93 ED 00 1B 9D ED 00 0B 21 EE 00 1B 1F 4B 08 33 93 ED 00 0B 31 EE 00 1B 9D ED 00 0B 21 EE 00 1B 1A 4B 10 33 93 ED 00 0B 31 EE 00 1B 9D ED 00 0B 21 EE 00 1B 15 4B 18 33 93 ED 00 0B 31 EE 00 1B 9D ED 00 0B 21 EE 00 1B 10 4B 20 33 93 ED 00 0B 31 EE 00 1B 9D ED 00 0B 21 EE 00 1B 0B 4B 28 33 93 ED 00 0B 31 EE 00 1B 9D ED 00 0B 21 EE 00 1B 06 4B 30 33 93 ED 00 0B 31 EE 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_559_2_0 {
	meta:
		name = "log2l"
		size = 46
		refs = "0014 _ldlog"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 8D ED 00 0B 6F F0 00 00 9D ED 00 0B ?? ?? ?? ?? 8D ED 02 0B 9D ED 02 0B 8D ED 04 0B 9D ED 04 0B 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_561_0_0 {
	meta:
		name = "??$common_ctime@JD@@YAPADQBJ@Z"
		size = 216
		refs = "0008 __security_push_cookie 0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 0090 ??$localtime_s@PAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@ABQBJ@Z 00ac ??$tasctime@PAUtm@@@?$__crt_char_traits@D@@SAPAD$$QAPAUtm@@@Z 00ba __security_pop_cookie 00c8 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00cc ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00d0 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 1A 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 27 4B 01 93 29 4B 00 93 00 23 5F 22 26 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 5F 23 1C 4A 1A 49 19 48 ?? ?? ?? ?? 00 23 02 93 23 E0 1A 9B 1B 68 00 2B 08 DA ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 02 93 16 E0 0E AB 08 93 1A A9 08 A8 ?? ?? ?? ?? 09 90 09 9B 0A 93 0A 9B 00 2B 02 D0 00 23 02 93 07 E0 0E AB 0B 93 0B A8 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_561_1_0 {
	meta:
		name = "??$common_ctime@J_W@@YAPA_WQBJ@Z"
		size = 216
		refs = "0008 __security_push_cookie 0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 0090 ??$localtime_s@PAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@ABQBJ@Z 00ac ??$tasctime@PAUtm@@@?$__crt_char_traits@_W@@SAPA_W$$QAPAUtm@@@Z 00ba __security_pop_cookie 00c8 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00cc ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00d0 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 97 B0 1A 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 27 4B 01 93 29 4B 00 93 00 23 5F 22 26 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 5F 23 1C 4A 1A 49 19 48 ?? ?? ?? ?? 00 23 02 93 23 E0 1A 9B 1B 68 00 2B 08 DA ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 02 93 16 E0 0E AB 08 93 1A A9 08 A8 ?? ?? ?? ?? 09 90 09 9B 0A 93 0A 9B 00 2B 02 D0 00 23 02 93 07 E0 0E AB 0B 93 0B A8 ?? ?? ?? ?? 0C 90 0C 9B 02 93 02 98 17 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_561_2_0 {
	meta:
		name = "??$common_ctime@_JD@@YAPADQB_J@Z"
		size = 236
		refs = "0008 __security_push_cookie 0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 00a6 ??$localtime_s@PAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@ABQB_J@Z 00c2 ??$tasctime@PAUtm@@@?$__crt_char_traits@D@@SAPAD$$QAPAUtm@@@Z 00d0 __security_pop_cookie 00dc ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e0 ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00e4 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 99 B0 1C 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 2C 4B 01 93 2E 4B 00 93 00 23 5F 22 2B 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 5F 23 21 4A 1F 49 1E 48 ?? ?? ?? ?? 00 23 02 93 2E E0 1C 9B 1B 68 0E 93 1C 9B 5B 68 0F 93 0E 9B 07 93 0F 9B 00 2B 0C DC 02 DB 07 9B 00 2B 08 D2 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 02 93 16 E0 10 AB 09 93 1C A9 09 A8 ?? ?? ?? ?? 0A 90 0A 9B 0B 93 0B 9B 00 2B 02 D0 00 23 02 93 07 E0 10 AB 0C 93 0C A8 ?? ?? ?? ?? 0D 90 0D 9B 02 93 02 98 19 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_561_3_0 {
	meta:
		name = "??$common_ctime@_J_W@@YAPA_WQB_J@Z"
		size = 236
		refs = "0008 __security_push_cookie 0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 00a6 ??$localtime_s@PAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@ABQB_J@Z 00c2 ??$tasctime@PAUtm@@@?$__crt_char_traits@_W@@SAPA_W$$QAPAUtm@@@Z 00d0 __security_pop_cookie 00dc ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00e0 ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00e4 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 99 B0 1C 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 2C 4B 01 93 2E 4B 00 93 00 23 5F 22 2B 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 5F 23 21 4A 1F 49 1E 48 ?? ?? ?? ?? 00 23 02 93 2E E0 1C 9B 1B 68 0E 93 1C 9B 5B 68 0F 93 0E 9B 07 93 0F 9B 00 2B 0C DC 02 DB 07 9B 00 2B 08 D2 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 02 93 16 E0 10 AB 09 93 1C A9 09 A8 ?? ?? ?? ?? 0A 90 0A 9B 0B 93 0B 9B 00 2B 02 D0 00 23 02 93 07 E0 10 AB 0C 93 0C A8 ?? ?? ?? ?? 0D 90 0D 9B 02 93 02 98 19 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_561_4_0 {
	meta:
		name = "??$common_ctime_s@JD@@YAHQADIQBJ@Z"
		size = 500
		refs = "0008 __security_push_cookie 003e _CrtDbgReportW 0052 _errno 006a _invalid_parameter 0092 _CrtGetDebugFillThreshold 00ba memset 01a0 ??$localtime_s@PAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@ABQBJ@Z 01c0 ??$tasctime_s@ABQADABIPAUtm@@@?$__crt_char_traits@D@@SAHABQADABI$$QAPAUtm@@@Z 01ce __security_pop_cookie 01dc ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e0 ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 01e4 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01ec ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 01f0 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? A1 B0 24 9B 00 2B 05 D0 25 9B 00 2B 02 D9 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 70 4B 01 93 6D 4B 00 93 00 23 1D 22 6A 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 1D 23 5F 4A 5E 49 61 48 ?? ?? ?? ?? 16 23 02 93 AA E0 24 9A 00 23 13 70 25 9B B3 F1 FF 3F 1D D0 25 9A 6F F0 00 43 9A 42 18 D0 25 9B 01 2B 15 D9 ?? ?? ?? ?? 0E 90 0E 9B 05 93 25 9B 5A 1E 05 9B 93 42 02 D2 05 9B 06 93 02 E0 25 9B 5B 1E 06 93 06 9A FE 21 24 9B 58 1C ?? ?? ?? ?? 25 9B 1A 2B 02 D3 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 44 4B 01 93 42 4B 00 93 00 23 21 22 3F 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 21 23 35 4A 33 49 36 48 ?? ?? ?? ?? 16 23 02 93 55 E0 26 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 28 4B 01 93 2A 4B 00 93 00 23 22 22 27 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 10 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 22 23 1D 4A 1B 49 1A 48 ?? ?? ?? ?? 16 23 02 93 25 E0 26 9B 1B 68 00 2B 08 DA ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 16 23 02 93 18 E0 18 AB 14 93 26 A9 14 A8 ?? ?? ?? ?? 15 90 15 9B 0B 93 0B 9B 00 2B 02 D0 0B 9B 02 93 09 E0 18 AB 16 93 16 AA 25 A9 24 A8 ?? ?? ?? ?? 17 90 17 9B 02 93 02 98 21 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_561_5_0 {
	meta:
		name = "??$common_ctime_s@J_W@@YAHQA_WIQBJ@Z"
		size = 504
		refs = "0008 __security_push_cookie 003e _CrtDbgReportW 0052 _errno 006a _invalid_parameter 0092 _CrtGetDebugFillThreshold 00c0 memset 01a6 ??$localtime_s@PAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@ABQBJ@Z 01c6 ??$tasctime_s@ABQA_WABIPAUtm@@@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPAUtm@@@Z 01d4 __security_pop_cookie 01e0 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e4 ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 01e8 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01f0 ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 01f4 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? A1 B0 24 9B 00 2B 05 D0 25 9B 00 2B 02 D9 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 71 4B 01 93 6E 4B 00 93 00 23 1D 22 6B 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 1D 23 60 4A 5F 49 62 48 ?? ?? ?? ?? 16 23 02 93 AD E0 24 9A 00 23 13 80 25 9B B3 F1 FF 3F 20 D0 25 9A 6F F0 00 43 9A 42 1B D0 25 9B 01 2B 18 D9 ?? ?? ?? ?? 0E 90 0E 9B 05 93 25 9B 5A 1E 05 9B 93 42 02 D2 05 9B 06 93 02 E0 25 9B 5B 1E 06 93 06 9A 02 23 02 FB 03 F2 FE 21 24 9B 98 1C ?? ?? ?? ?? 25 9B 1A 2B 02 D3 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 44 4B 01 93 42 4B 00 93 00 23 21 22 3F 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 21 23 34 4A 33 49 35 48 ?? ?? ?? ?? 16 23 02 93 55 E0 26 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 28 4B 01 93 2A 4B 00 93 00 23 22 22 27 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 10 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 22 23 1C 4A 1B 49 19 48 ?? ?? ?? ?? 16 23 02 93 25 E0 26 9B 1B 68 00 2B 08 DA ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 16 23 02 93 18 E0 18 AB 14 93 26 A9 14 A8 ?? ?? ?? ?? 15 90 15 9B 0B 93 0B 9B 00 2B 02 D0 0B 9B 02 93 09 E0 18 AB 16 93 16 AA 25 A9 24 A8 ?? ?? ?? ?? 17 90 17 9B 02 93 02 98 21 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_561_6_0 {
	meta:
		name = "??$common_ctime_s@_JD@@YAHQADIQB_J@Z"
		size = 520
		refs = "0008 __security_push_cookie 003e _CrtDbgReportW 0052 _errno 006a _invalid_parameter 0092 _CrtGetDebugFillThreshold 00ba memset 01b6 ??$localtime_s@PAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@ABQB_J@Z 01d6 ??$tasctime_s@ABQADABIPAUtm@@@?$__crt_char_traits@D@@SAHABQADABI$$QAPAUtm@@@Z 01e4 __security_pop_cookie 01f0 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01f4 ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 01f8 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0200 ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 0204 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? A5 B0 28 9B 00 2B 05 D0 29 9B 00 2B 02 D9 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 75 4B 01 93 72 4B 00 93 00 23 1D 22 6F 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 1D 23 64 4A 63 49 66 48 ?? ?? ?? ?? 16 23 02 93 B5 E0 28 9A 00 23 13 70 29 9B B3 F1 FF 3F 1D D0 29 9A 6F F0 00 43 9A 42 18 D0 29 9B 01 2B 15 D9 ?? ?? ?? ?? 0E 90 0E 9B 05 93 29 9B 5A 1E 05 9B 93 42 02 D2 05 9B 06 93 02 E0 29 9B 5B 1E 06 93 06 9A FE 21 28 9B 58 1C ?? ?? ?? ?? 29 9B 1A 2B 02 D3 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 49 4B 01 93 47 4B 00 93 00 23 21 22 44 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 21 23 3A 4A 38 49 3B 48 ?? ?? ?? ?? 16 23 02 93 60 E0 2A 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 2D 4B 01 93 2F 4B 00 93 00 23 22 22 2C 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 10 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 22 23 22 4A 20 49 1F 48 ?? ?? ?? ?? 16 23 02 93 30 E0 2A 9B 1B 68 1A 93 2A 9B 5B 68 1B 93 1A 9B 13 93 1B 9B 00 2B 0C DC 02 DB 13 9B 00 2B 08 D2 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 16 23 02 93 18 E0 1C AB 15 93 2A A9 15 A8 ?? ?? ?? ?? 16 90 16 9B 0B 93 0B 9B 00 2B 02 D0 0B 9B 02 93 09 E0 1C AB 17 93 17 AA 29 A9 28 A8 ?? ?? ?? ?? 18 90 18 9B 02 93 02 98 25 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_561_7_0 {
	meta:
		name = "??$common_ctime_s@_J_W@@YAHQA_WIQB_J@Z"
		size = 528
		refs = "0008 __security_push_cookie 003e _CrtDbgReportW 0052 _errno 006a _invalid_parameter 0092 _CrtGetDebugFillThreshold 00c0 memset 01bc ??$localtime_s@PAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@ABQB_J@Z 01dc ??$tasctime_s@ABQA_WABIPAUtm@@@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPAUtm@@@Z 01ea __security_pop_cookie 01f8 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01fc ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0200 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0204 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0208 ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 020c ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? A5 B0 28 9B 00 2B 05 D0 29 9B 00 2B 02 D9 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 77 4B 01 93 74 4B 00 93 00 23 1D 22 71 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 1D 23 66 4A 65 49 68 48 ?? ?? ?? ?? 16 23 02 93 B8 E0 28 9A 00 23 13 80 29 9B B3 F1 FF 3F 20 D0 29 9A 6F F0 00 43 9A 42 1B D0 29 9B 01 2B 18 D9 ?? ?? ?? ?? 0E 90 0E 9B 05 93 29 9B 5A 1E 05 9B 93 42 02 D2 05 9B 06 93 02 E0 29 9B 5B 1E 06 93 06 9A 02 23 02 FB 03 F2 FE 21 28 9B 98 1C ?? ?? ?? ?? 29 9B 1A 2B 02 D3 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 4A 4B 01 93 48 4B 00 93 00 23 21 22 45 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 10 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 21 23 3A 4A 39 49 3B 48 ?? ?? ?? ?? 16 23 02 93 60 E0 2A 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0E D1 2E 4B 01 93 30 4B 00 93 00 23 22 22 2D 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 10 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 22 23 22 4A 21 49 1F 48 ?? ?? ?? ?? 16 23 02 93 30 E0 2A 9B 1B 68 1A 93 2A 9B 5B 68 1B 93 1A 9B 13 93 1B 9B 00 2B 0C DC 02 DB 13 9B 00 2B 08 D2 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 16 23 02 93 18 E0 1C AB 15 93 2A A9 15 A8 ?? ?? ?? ?? 16 90 16 9B 0B 93 0B 9B 00 2B 02 D0 0B 9B 02 93 09 E0 1C AB 17 93 17 AA 29 A9 28 A8 ?? ?? ?? ?? 18 90 18 9B 02 93 02 98 25 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_562_3_0 {
	meta:
		name = "_guard_icall_checks_enforced"
		size = 36
		refs = "001c _guard_check_icall_nop 0020 __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 00 48 EB 46 06 4B 1A 68 04 4B 9A 42 18 BF 01 20 08 BF 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_563_0_0 {
	meta:
		name = "log"
		size = 1148
		refs = "003a _handle_nan 0088 _handle_error 0424 ?log2_tail@?1??log@@9@9 0428 ?log2_lead@?1??log@@9@9 042c ?cb_1@?1??log@@9@9 0430 ?cb_2@?1??log@@9@9 0434 ?cb_3@?1??log@@9@9 0440 ?ln_tail_table@?1??log@@9@9 0444 ?ln_lead_table@?1??log@@9@9 044c ?corr@?L@??log@@9@9 0450 ?ca_1@?1??log@@9@9 0454 ?ca_2@?1??log@@9@9 0458 ?ca_3@?1??log@@9@9 045c ?ca_4@?1??log@@9@9 0460 ?log_thresh2@?1??log@@9@9 0464 ?log_thresh1@?1??log@@9@9 0468 ??_C@_03MGHMBJCF@log?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 B0 8D ED 0C 0B 9D ED 0C 0B 53 EC 10 2B 04 92 05 93 05 9A 14 4B 13 40 16 93 16 9A 12 4B 9A 42 3F D1 04 9A 05 9B 6F F3 1F 53 13 43 00 2B 0B D0 04 98 05 99 ?? ?? ?? ?? 8D ED 2E 0B 9D ED 2E 0B 8D ED 0E 0B E5 E1 2B E0 05 9B 03 F0 00 43 00 2B 21 D0 01 23 03 93 9F ED 01 1B 06 E0 FE DE 00 00 00 00 00 00 00 00 00 00 F0 7F 9D ED 0C 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 FA 4B 1A 21 F8 48 ?? ?? ?? ?? 8D ED 30 0B 9D ED 30 0B 8D ED 0E 0B BE E1 04 E0 9D ED 0C 0B 8D ED 0E 0B B8 E1 3E E0 04 9A 05 9B 23 F0 00 43 13 43 00 2B 19 D1 01 23 03 93 9F ED ED 1B 9D ED 0C 0B 22 23 02 93 04 23 01 93 02 23 00 93 00 22 E9 4B 1A 21 E4 48 ?? ?? ?? ?? 8D ED 32 0B 9D ED 32 0B 8D ED 0E 0B 97 E1 1D E0 05 9B 03 F0 00 43 00 2B 18 D0 01 23 03 93 9F ED DD 1B 9D ED 0C 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 D7 4B 1A 21 D5 48 ?? ?? ?? ?? 8D ED 34 0B 9D ED 34 0B 8D ED 0E 0B 78 E1 04 9B 1C 93 05 9B 1D 93 CD 4B 1B 68 1E 93 CB 4B 5B 68 1F 93 1C 9B 17 93 1E 9B 18 93 1D 9A 1F 9B 9A 42 C0 F0 82 80 03 D8 17 9A 18 9B 9A 42 7C D3 04 9B 20 93 05 9B 21 93 C0 4B 1B 68 22 93 BE 4B 5B 68 23 93 20 9B 19 93 22 9B 1A 93 21 9A 23 9B 9A 42 6A D8 03 D3 19 9A 1A 9B 9A 42 65 D8 9D ED 0C 1B B7 EE 00 0B 31 EE 40 0B 8D ED 14 0B B0 EE 00 1B 9D ED 14 0B 31 EE 00 1B 9D ED 14 0B 80 EE 01 0B 8D ED 06 0B 9D ED 14 1B 9D ED 06 0B 21 EE 00 0B 8D ED 36 0B 9D ED 06 1B 9D ED 06 0B 31 EE 00 0B 8D ED 06 0B 9D ED 06 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B 9D ED 14 0B 8D ED 26 0B 9D ED 06 1B 9D ED 08 0B 21 EE 00 2B 9D ED 08 1B 99 4B 93 ED 00 0B 21 EE 00 1B 96 4B 93 ED 00 0B 30 EE 01 1B 9D ED 08 0B 20 EE 01 1B 90 4B 93 ED 00 0B 30 EE 01 1B 9D ED 08 0B 20 EE 01 1B 8B 4B 93 ED 00 0B 30 EE 01 0B 22 EE 00 1B 9D ED 36 0B 31 EE 40 0B 8D ED 28 0B 9D ED 26 1B 9D ED 28 0B 31 EE 00 0B 8D ED 0E 0B E4 E0 E3 E0 04 9B 24 93 05 9B 25 93 24 9B 1B 93 25 9B B3 F5 80 1F 1D D8 02 D3 1B 9B 00 2B 19 D2 04 9A 05 9B 43 F0 74 73 43 EC 10 2B 8D ED 10 0B 9D ED 10 1B 72 4B 93 ED 00 0B 31 EE 40 0B 8D ED 10 0B 9D ED 10 0B 53 EC 10 2B 04 92 05 93 3C 23 12 93 05 E0 9D ED 0C 0B 8D ED 10 0B 00 23 12 93 05 9A 66 4B 13 40 1B 0D A3 F2 FF 32 12 9B D3 1A 13 93 04 99 05 9A 40 F2 FE 33 63 F3 1F 52 13 46 43 EC 10 1B 8D ED 10 0B 05 9B 03 F4 7C 23 43 F4 80 13 9A 0B 05 9B 03 F4 00 53 5B 0B 13 44 0A 93 0A 9B A3 F1 40 02 08 23 02 FB 03 F2 52 4B 13 44 93 ED 00 0B 8D ED 3C 0B 0A 9B A3 F1 40 02 08 23 02 FB 03 F2 4B 4B 13 44 93 ED 00 0B 8D ED 3A 0B 0A 9B 00 EE 10 3A B8 EE C0 1B 9F ED 44 0B 21 EE 00 0B 8D ED 2A 0B 9D ED 10 1B 9D ED 2A 0B 31 EE 40 0B 8D ED 2C 0B B6 EE 00 1B 9D ED 2C 0B 21 EE 00 1B 9D ED 2A 0B 30 EE 01 1B 9D ED 2C 0B 80 EE 01 0B 8D ED 06 0B 9D ED 06 1B 9D ED 06 0B 21 EE 00 0B 8D ED 08 0B 9D ED 08 1B 2F 4B 93 ED 00 0B 21 EE 00 1B 2B 4B 93 ED 00 0B 30 EE 01 1B 9D ED 08 0B 20 EE 01 1B 26 4B 93 ED 00 0B 30 EE 01 1B 9D ED 08 0B 20 EE 01 0B 8D ED 38 0B 9D ED 06 1B 9D ED 38 0B 21 EE 00 1B 9D ED 06 0B 30 EE 01 1B 9D ED 3A 0B 30 EE 01 0B 8D ED 3E 0B 13 9B 00 EE 10 3A B8 EE C0 1B 15 4B 93 ED 00 0B 21 EE 00 1B 9D ED 3C 0B 31 EE 00 0B 8D ED 26 0B 13 9B 00 EE 10 3A B8 EE C0 1B 0C 4B 93 ED 00 0B 21 EE 00 1B 9D ED 3E 0B 31 EE 00 0B 8D ED 28 0B 9D ED 26 1B 9D ED 28 0B 31 EE 00 0B 8D ED 0E 0B 9D ED 0E 0B 40 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 80 3F ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F8 FF 00 00 00 00 00 00 00 00 00 00 F0 FF }
	condition:
		$1
}

rule file_564_1_0 {
	meta:
		name = "_free_base"
		size = 92
		refs = "0014 ?select_heap@@YAPAXQAX@Z 0038 __acrt_errno_from_os_error 003e _errno 0054 __imp_GetLastError 0058 __imp_HeapFree"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 00 2B 00 D1 1B E0 08 98 ?? ?? ?? ?? 00 90 08 9A 00 21 00 98 0D 4B 1B 68 98 47 01 90 01 9B 00 2B 0D D1 09 4B 1B 68 98 47 02 90 02 98 ?? ?? ?? ?? 03 90 ?? ?? ?? ?? 04 90 03 9A 04 9B 1A 60 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_565_5_0 {
	meta:
		name = "_mbsnlen_l"
		size = 110
		refs = "0010 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 001e strnlen"
	strings:
		$1 = { 2D E9 3F 48 0D F1 18 0B 0C 46 05 46 68 46 11 46 ?? ?? ?? ?? 02 99 8B 68 23 B9 21 46 28 46 ?? ?? ?? ?? 17 E0 00 20 00 22 9C B1 2B 78 7B B1 0B 44 5B 7E 13 F0 04 0F 05 D0 52 1C A2 42 09 D2 6D 1C 2B 78 23 B1 52 1C 40 1C 6D 1C A2 42 ED D3 A2 42 00 D3 20 46 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 04 B0 BD E8 30 88 }
	condition:
		$1
}

rule file_567_0_0 {
	meta:
		name = "floorf"
		size = 272
		refs = "0050 _handle_nanf"
	strings:
		$1 = { 2D E9 00 48 EB 46 8C B0 8D ED 03 0A 9D ED 03 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 01 93 01 9B 23 F0 00 43 02 93 01 9A 02 9B 9A 42 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 02 9B B3 F1 97 4F 15 D3 02 9B B3 F1 FF 4F 0B D9 01 98 00 21 ?? ?? ?? ?? 8D ED 08 0A 9D ED 08 0A 8D ED 00 0A 4E E0 04 E0 9D ED 03 0A 8D ED 00 0A 48 E0 47 E0 02 9B B3 F1 7E 5F 17 D2 02 9B 00 2B 05 D1 9D ED 03 0A 8D ED 00 0A 3B E0 0D E0 05 9B 00 2B 05 D0 BF EE 00 0A 8D ED 00 0A 32 E0 04 E0 9F ED 1B 0A 8D ED 00 0A 2C E0 2B E0 01 9B 03 F0 FF 43 DB 0D 7F 3B 09 93 09 9B C3 F1 17 02 01 23 93 40 5B 1E 0A 93 0A 9B DA 43 01 9B 13 40 06 93 06 9B 00 EE 10 3A 8D ED 07 0A 05 9B 00 2B 0D D0 01 9A 06 9B 9A 42 09 D0 DD ED 07 0A B7 EE 00 0A 30 EE C0 0A 8D ED 00 0A 04 E0 03 E0 9D ED 07 0A 8D ED 00 0A 9D ED 00 0A 0C B0 BD E8 00 88 FE DE 00 00 00 00 }
	condition:
		$1
}

rule file_568_0_0 {
	meta:
		name = "remainder"
		size = 52
		refs = "001a remquo"
		altNames = "remainderl"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 00 1B 8D ED 02 0B 00 20 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 04 0B 9D ED 04 0B 8D ED 06 0B 9D ED 06 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_569_7_0 {
	meta:
		name = "?_wcslwr_s_l_stat@@YAHPA_WIPAU__crt_locale_pointers@@@Z"
		size = 1052
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006e wcsnlen 009e _CrtGetDebugFillThreshold 00cc memset 01f8 __acrt_LCMapStringW 02e4 _MallocaComputeSize 0306 _malloc_dbg 0312 _MarkAllocaS 0326 ??0?$__crt_scoped_stack_ptr_tag@_W@@QAA@QA_W@Z 0336 ??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 033e ??B?$__crt_scoped_stack_ptr@_W@@QBA_NXZ 0368 ??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ 0374 ?get@?$__crt_scoped_stack_ptr@_W@@QBAPA_WXZ 03b0 wcscpy_s 03f8 ??_C@_0DB@NINDGFFI@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 03fc ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0400 ??_C@_1CC@EJPJEJKL@?$AA_?$AAw?$AAc?$AAs?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0404 ??_C@_1GC@LGHAKKND@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0408 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 040c ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0410 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0414 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0418 ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B4 B0 36 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 FC 4B 01 93 F7 4B 00 93 00 23 69 22 F4 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 69 23 EA 4A E8 49 EE 48 ?? ?? ?? ?? 16 23 02 93 BF E1 37 99 36 98 ?? ?? ?? ?? 17 90 17 9B 06 93 06 9A 37 9B 9A 42 58 D3 36 9A 00 23 13 80 37 9B B3 F1 FF 3F 20 D0 37 9A 6F F0 00 43 9A 42 1B D0 37 9B 01 2B 18 D9 ?? ?? ?? ?? 18 90 18 9B 0A 93 37 9B 5A 1E 0A 9B 93 42 02 D2 0A 9B 0B 93 02 E0 37 9B 5B 1E 0B 93 0B 9A 02 23 02 FB 03 F2 FE 21 36 9B 98 1C ?? ?? ?? ?? D0 4B 00 2B 03 D0 02 E0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 C8 4B 01 93 C5 4B 00 93 00 23 6E 22 C2 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 6E 23 B8 4A B6 49 BA 48 ?? ?? ?? ?? 16 23 02 93 5B E1 37 9B B3 F1 FF 3F 2B D0 37 9A 6F F0 00 43 9A 42 26 D0 06 9B 5A 1C 37 9B 9A 42 21 D2 ?? ?? ?? ?? 1B 90 1B 9B 0E 93 06 9B 5A 1C 37 9B 9A 1A 0E 9B 93 42 02 D2 0E 9B 0F 93 04 E0 06 9B 5A 1C 37 9B 9B 1A 0F 93 0F 9A 02 23 02 FB 03 F2 FE 21 06 9B 58 1C 02 23 00 FB 03 F0 36 9B 18 44 ?? ?? ?? ?? 38 9B 1B 68 A0 33 08 33 1B 68 00 2B 1D D1 36 9B 04 93 02 E0 04 9B 9B 1C 04 93 04 9B 1B 88 00 2B 10 D0 04 9B 1B 88 41 2B 0B DB 04 9B 1B 88 5A 2B 07 DC 04 9B 1A 88 4F F6 E0 73 D3 1A 9A B2 04 9B 1A 80 E7 E7 00 23 02 93 06 E1 00 23 01 93 00 23 00 93 6F F0 00 03 36 9A 4F F4 80 71 38 98 00 68 A0 30 08 30 00 68 ?? ?? ?? ?? 1C 90 1C 9B 07 93 07 9B 00 2B 0C D1 ?? ?? ?? ?? 1D 90 1D 9A 2A 23 13 60 ?? ?? ?? ?? 1E 90 1E 9B 1B 68 02 93 E3 E0 37 9A 07 9B 9A 42 58 D2 36 9A 00 23 13 80 37 9B B3 F1 FF 3F 20 D0 37 9A 6F F0 00 43 9A 42 1B D0 37 9B 01 2B 18 D9 ?? ?? ?? ?? 1F 90 1F 9B 10 93 37 9B 5A 1E 10 9B 93 42 02 D2 10 9B 11 93 02 E0 37 9B 5B 1E 11 93 11 9A 02 23 02 FB 03 F2 FE 21 36 9B 98 1C ?? ?? ?? ?? 64 4B 00 2B 03 D0 02 E0 01 23 12 93 01 E0 00 23 12 93 12 9B 13 93 13 9B 00 2B 0E D1 59 4B 01 93 5B 4B 00 93 00 23 90 22 58 49 02 20 ?? ?? ?? ?? 20 90 20 9B 01 2B 00 D1 FE DE 13 9B 00 2B 10 D1 ?? ?? ?? ?? 21 90 21 9A 22 23 13 60 00 23 00 93 90 23 4D 4A 4C 49 4A 48 ?? ?? ?? ?? 22 23 02 93 86 E0 07 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 22 90 22 9B 00 2B 16 D0 07 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 23 90 94 23 3D 4A 02 21 23 98 ?? ?? ?? ?? 24 90 4D F6 DD 51 24 98 ?? ?? ?? ?? 25 90 25 9B 14 93 01 E0 00 23 14 93 14 99 32 A8 ?? ?? ?? ?? 26 90 26 9B 27 93 27 9B 19 68 05 A8 ?? ?? ?? ?? 33 90 05 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 11 D1 ?? ?? ?? ?? 28 90 28 9A 0C 23 13 60 ?? ?? ?? ?? 29 90 29 9B 1B 68 2A 93 05 A8 ?? ?? ?? ?? 2A 9B 02 93 3B E0 05 A8 ?? ?? ?? ?? 2B 90 07 9B 01 93 2B 9B 00 93 6F F0 00 03 36 9A 4F F4 80 71 38 98 00 68 A0 30 08 30 00 68 ?? ?? ?? ?? 2C 90 2C 9B 00 2B 12 D0 05 A8 ?? ?? ?? ?? 2D 90 2D 9A 37 99 36 98 ?? ?? ?? ?? 2E 90 2E 9B 2F 93 05 A8 ?? ?? ?? ?? 2F 9B 02 93 11 E0 0D E0 ?? ?? ?? ?? 30 90 30 9A 2A 23 13 60 2A 23 31 93 05 A8 ?? ?? ?? ?? 31 9B 02 93 02 E0 05 A8 ?? ?? ?? ?? 02 98 34 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_569_13_0 {
	meta:
		name = "_wcslwr"
		size = 224
		refs = "000a __acrt_locale_changed 0044 _CrtDbgReportW 0058 _errno 0070 _invalid_parameter 00b6 _wcslwr_s_l 00d0 ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00d4 ??_C@_1BA@MILCGCII@?$AA_?$AAw?$AAc?$AAs?$AAl?$AAw?$AAr?$AA?$AA@ 00d8 ??_C@_1GC@LGHAKKND@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 49 D1 0C 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 26 4B 01 93 28 4B 00 93 00 23 3A 22 25 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 3A 23 1B 4A 19 49 18 48 ?? ?? ?? ?? 00 23 04 93 24 E0 0C 9B 03 93 02 E0 03 9B 9B 1C 03 93 03 9B 1B 88 00 2B 0E D0 03 9B 1B 88 41 2B 09 DB 03 9B 1B 88 5A 2B 05 DC 03 9B 1B 88 20 33 9A B2 03 9B 1A 80 E9 E7 08 E0 00 22 6F F0 00 01 0C 98 ?? ?? ?? ?? 0C 9B 04 93 01 E0 0C 9B 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_570_4_0 {
	meta:
		name = "_wcsicoll"
		size = 404
		refs = "000a __acrt_locale_changed 0046 _CrtDbgReportW 005a _errno 0072 _invalid_parameter 016a _wcsicoll_l 0180 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0184 ??_C@_1BE@HPGMPCMA@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0188 ??_C@_1GG@OLGIAHAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 018c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0190 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 40 F0 A4 80 12 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 56 4B 01 93 54 4B 00 93 00 23 5F 22 51 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 5F 23 46 4A 45 49 47 48 ?? ?? ?? ?? 6F F0 00 43 04 93 7A E0 13 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 39 4B 01 93 3B 4B 00 93 00 23 60 22 38 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 60 23 2E 4A 2C 49 2B 48 ?? ?? ?? ?? 6F F0 00 43 04 93 49 E0 12 9B 1B 88 41 2B 09 DB 12 9B 1B 88 5A 2B 05 DC 12 9B 1B 88 41 3B 61 33 09 93 02 E0 12 9B 1B 88 09 93 09 9B 9B B2 AD F8 0A 30 13 9B 1B 88 41 2B 09 DB 13 9B 1B 88 5A 2B 05 DC 13 9B 1B 88 41 3B 61 33 0A 93 02 E0 13 9B 1B 88 0A 93 0A 9B 9B B2 AD F8 0C 30 12 9B 9B 1C 12 93 13 9B 9B 1C 13 93 BD F8 0A 30 00 2B 05 D0 BD F8 0A 20 BD F8 0C 30 9A 42 C5 D0 BD F8 0A 20 BD F8 0C 30 D3 1A 04 93 08 E0 07 E0 00 22 13 99 12 98 ?? ?? ?? ?? 0F 90 0F 9B 04 93 04 98 10 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_570_5_0 {
	meta:
		name = "_wcsicoll_l"
		size = 528
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0074 ??1_LocaleUpdate@@QAA@XZ 00ec ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 01b2 __acrt_CompareStringW 01fc ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0200 ??_C@_1BI@EFNHPDCH@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0204 ??_C@_1GG@OLGIAHAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0208 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 020c ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9C B0 20 99 18 A8 ?? ?? ?? ?? 1E 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 77 4B 01 93 75 4B 00 93 00 23 35 22 72 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 05 9B 00 2B 16 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 35 23 68 4A 66 49 69 48 ?? ?? ?? ?? 6F F0 00 43 0D 93 18 A8 ?? ?? ?? ?? 0D 9B 03 93 B8 E0 1F 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 58 4B 01 93 5A 4B 00 93 00 23 36 22 57 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 07 9B 00 2B 16 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 36 23 4D 4A 4B 49 4A 48 ?? ?? ?? ?? 6F F0 00 43 10 93 18 A8 ?? ?? ?? ?? 10 9B 03 93 82 E0 18 A8 ?? ?? ?? ?? 11 90 11 9B 1B 68 A0 33 1B 1D 1B 68 00 2B 45 D1 1E 9B 1B 88 41 2B 09 DB 1E 9B 1B 88 5A 2B 05 DC 1E 9B 1B 88 41 3B 61 33 08 93 02 E0 1E 9B 1B 88 08 93 08 9B 9B B2 AD F8 08 30 1F 9B 1B 88 41 2B 09 DB 1F 9B 1B 88 5A 2B 05 DC 1F 9B 1B 88 41 3B 61 33 09 93 02 E0 1F 9B 1B 88 09 93 09 9B 9B B2 AD F8 0A 30 1E 9B 9B 1C 1E 93 1F 9B 9B 1C 1F 93 BD F8 08 30 00 2B 05 D0 BD F8 08 20 BD F8 0A 30 9A 42 C5 D0 BD F8 08 20 BD F8 0A 30 D3 1A 12 93 18 A8 ?? ?? ?? ?? 12 9B 03 93 31 E0 18 A8 ?? ?? ?? ?? 13 90 6F F0 00 03 01 93 1F 9B 00 93 6F F0 00 03 1E 9A 41 F2 01 01 13 98 00 68 A0 30 00 1D 00 68 ?? ?? ?? ?? 14 90 14 9B 0A 93 0A 9B 00 2B 0E D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 6F F0 00 43 16 93 18 A8 ?? ?? ?? ?? 16 9B 03 93 07 E0 0A 9B 9B 1E 17 93 18 A8 ?? ?? ?? ?? 17 9B 03 93 03 98 1C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_571_1_0 {
	meta:
		name = "_sleep"
		size = 24
		refs = "0014 __imp_Sleep"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 B9 01 20 02 4B 1B 68 98 47 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_572_0_0 {
	meta:
		name = "_cputws"
		size = 244
		refs = "0024 _CrtDbgReportW 002e __doserrno 003a _errno 004e _invalid_parameter 0062 __dcrt_lowio_initialize_console_output 0078 wcslen 0082 __acrt_lock 00c6 __acrt_unlock 00dc __imp_WriteConsoleW 00e0 __dcrt_lowio_console_output_handle 00e4 ??_C@_1GI@EKEHDKHC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00e8 ??_C@_1BA@NGNGNDEP@?$AA_?$AAc?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 00ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f0 ??_C@_1CI@JGFDABK@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 FE 4F 0D F1 28 0B 6F 46 82 B0 04 46 3C 63 0C BB 36 4C 01 94 34 4B 00 93 00 23 19 22 30 49 02 20 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 4F F0 00 09 C0 F8 00 90 ?? ?? ?? ?? 16 23 03 60 CD F8 00 90 28 49 19 23 26 4A 20 46 ?? ?? ?? ?? 6F EA 09 03 39 E0 21 4E 33 68 13 F1 02 0F 02 D1 ?? ?? ?? ?? 33 68 6F F0 00 0A 53 45 02 D1 C7 F8 00 A0 2B E0 20 46 ?? ?? ?? ?? 05 46 7D 60 09 20 ?? ?? ?? ?? 00 23 BB 60 4F F0 00 09 47 F6 FF 78 00 2D 16 DD 45 45 00 D9 45 46 CD F8 00 90 3B 46 2A 46 21 46 30 68 0C 4C 24 68 A0 47 38 B1 3B 6B 03 EB 45 04 3C 63 7B 68 5D 1B 7D 60 E8 E7 C7 F8 08 A0 09 20 ?? ?? ?? ?? BB 68 3B 60 38 68 05 B0 BD E8 F0 0F 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_573_0_0 {
	meta:
		name = "_wrename"
		size = 76
		refs = "0028 __acrt_errno_map_os_error 0044 __imp_GetLastError 0048 __imp_MoveFileExW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 02 22 07 99 06 98 0D 4B 1B 68 98 47 01 90 01 9B 00 2B 0A D1 09 4B 1B 68 98 47 02 90 02 98 ?? ?? ?? ?? 6F F0 00 03 00 93 01 E0 00 23 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_576_0_0 {
	meta:
		name = "fsetpos"
		size = 264
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00dc _fseeki64 00f4 ??_C@_1CI@HCABHFJ@?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f8 ??_C@_1BA@IMLBNLMA@?$AAf?$AAs?$AAe?$AAt?$AAp?$AAo?$AAs?$AA?$AA@ 00fc ??_C@_1GC@FNEGPDLB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0100 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0104 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 37 4B 01 93 35 4B 00 93 00 23 12 22 32 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 12 23 28 4A 26 49 29 48 ?? ?? ?? ?? 6F F0 00 03 02 93 3C E0 0F 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 1B 4B 01 93 1D 4B 00 93 00 23 13 22 1A 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 13 23 0F 4A 0E 49 0C 48 ?? ?? ?? ?? 6F F0 00 03 02 93 0B E0 00 23 00 93 0F 9B 1A 68 0F 9B 5B 68 0E 98 ?? ?? ?? ?? 0B 90 0B 9B 02 93 02 98 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_577_5_0 {
	meta:
		name = "_ismbchira_l"
		size = 70
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? 02 9B 5B 68 B3 F5 69 7F 06 D1 48 F2 9F 23 E3 1A 52 2B 98 BF 01 20 00 D9 00 20 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_577_7_0 {
	meta:
		name = "_ismbckata_l"
		size = 78
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? 02 9B 5B 68 B3 F5 69 7F 0A D1 48 F2 40 33 E3 1A 56 2B 05 D8 48 F2 7F 33 9C 42 18 BF 01 20 00 D1 00 20 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_577_9_0 {
	meta:
		name = "_ismbcsymbol_l"
		size = 78
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? 02 9B 5B 68 B3 F5 69 7F 0A D1 48 F2 41 13 E3 1A 6B 2B 05 D8 48 F2 7F 13 9C 42 18 BF 01 20 00 D1 00 20 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_578_4_0 {
	meta:
		name = "_mbsnset_s_l"
		size = 648
		refs = "0036 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0048 _strnset_s 011c _CrtGetDebugFillThreshold 012e memset 01ba _CrtDbgReportW 01c4 _errno 01d6 _invalid_parameter 0274 ??_C@_1HE@DOJEALPE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0278 ??_C@_1BK@JMCNLJKB@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 027c ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0280 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0284 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 4F F0 00 0A D0 46 99 46 17 46 0C 46 06 46 2B B9 3E B9 00 2C 40 F0 0B 81 00 20 22 E1 00 2E 00 F0 06 81 00 2C 00 F0 03 81 10 99 02 A8 ?? ?? ?? ?? 04 98 83 68 33 B9 4B 46 3A 46 21 46 30 46 ?? ?? ?? ?? E9 E0 3B 0A D9 B2 00 29 32 46 25 46 5F FA 87 FE 4C D0 BE F1 00 0F 4F D0 0B 18 5B 7E 04 27 3B 42 4A D0 33 78 26 E0 B9 F1 00 0F 25 D0 6D 1E 23 D0 53 78 AB B3 B8 F1 00 0F 02 D0 4F F0 00 08 04 E0 13 78 03 44 5B 7E 03 EA 07 08 11 70 52 1C 6D 1E 12 D0 B8 F1 00 0F 02 D0 4F F0 00 08 04 E0 13 78 03 44 5B 7E 03 EA 07 08 82 F8 00 E0 52 1C 13 78 A9 F1 01 09 00 2B D6 D1 00 27 B9 F1 00 0F 58 D1 B8 F1 00 0F 4D D0 13 78 00 2B 4A D0 6D 1E 48 D0 53 78 4F F0 01 0A 00 2B 40 D1 17 70 6D 1C 40 E0 00 27 17 70 6D 1C 4F F0 01 0A E6 E7 0E EB 00 03 5B 7E 04 27 3B 42 17 D0 00 23 33 70 B4 F1 FF 3F 00 F0 82 80 6F F0 00 43 9C 42 7D D0 01 2C 7B D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 70 1C FE 21 ?? ?? ?? ?? 6F E0 33 78 00 2B C4 D0 B9 F1 00 0F C1 D0 6D 1E BF D0 B8 F1 00 0F 02 D0 4F F0 00 08 04 E0 13 78 03 44 5B 7E 03 EA 07 08 82 F8 00 E0 52 1C 13 78 A9 F1 01 09 E6 E7 20 23 13 70 52 1C 13 78 03 E0 6D 1E 03 D0 12 F8 01 3F 00 2B F9 D1 75 BB 37 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 70 1C FE 21 ?? ?? ?? ?? 35 4B 35 4C 31 49 00 93 00 23 78 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 2B 49 2A 4A 16 23 03 60 78 23 20 46 00 97 ?? ?? ?? ?? 16 20 21 E0 B4 F1 FF 3F 14 D0 6F F0 00 43 9C 42 10 D0 63 1B 5B 1C A3 42 0C D2 ?? ?? ?? ?? 02 46 6B 1E 9A 42 28 BF 1A 46 73 1B 23 44 58 1C FE 21 ?? ?? ?? ?? BA F1 00 0F 05 D0 ?? ?? ?? ?? 2A 23 03 60 2A 20 00 E0 00 20 9D F8 14 30 0B B3 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 19 E0 11 4B 10 4C 0D 49 00 93 00 23 19 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 05 4A 00 23 00 93 19 23 20 46 ?? ?? ?? ?? 16 20 07 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_579_0_0 {
	meta:
		name = "strcat"
		size = 82
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 00 9B 93 F9 00 30 00 2B 03 D0 00 9B 5B 1C 00 93 F6 E7 05 9B 93 F9 00 20 00 9B 1A 70 00 9B 93 F9 00 20 00 9B 5B 1C 00 93 05 9B 5B 1C 05 93 00 2A 00 D0 EE E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_579_1_0 {
	meta:
		name = "strcpy"
		size = 64
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 05 9B 93 F9 00 20 00 9B 1A 70 00 9B 93 F9 00 20 00 9B 5B 1C 00 93 05 9B 5B 1C 05 93 00 2A 00 D0 EE E7 04 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_580_0_0 {
	meta:
		name = "mbrtoc32"
		size = 448
		refs = "0080 _errno 01b8 ??_C@_00CNPNBAHC@?$AA@ 01bc ?internal_pst@?1??mbrtoc32@@9@4U_Mbstatet@@A"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0D 9B 00 2B 01 D1 6A 4B 0D 93 0D 9B 9B 1D 1B 88 5B B2 8D F8 00 30 0D 9B 1B 68 02 93 0B 9B 00 2B 05 D1 00 23 0A 93 61 4B 0B 93 01 23 0C 93 0B 9B 01 93 05 E0 01 9B 5B 1C 01 93 0C 9B 5B 1E 0C 93 0C 9B 00 2B 0D D1 0D 9A 02 9B 13 60 9D F9 00 30 9A B2 0D 9B 9B 1D 1A 80 6F F0 01 03 03 93 A0 E0 80 E0 9D F9 00 30 00 2B 1E DD 01 9B 1B 78 03 F0 C0 03 80 2B 09 D0 ?? ?? ?? ?? 05 90 05 9A 2A 23 13 60 6F F0 00 03 03 93 8B E0 02 9B 9A 01 01 9B 1B 78 03 F0 3F 03 13 43 02 93 9D F9 00 30 5B 1E 5B B2 8D F8 00 30 5D E0 01 9B 1B 78 13 F0 80 0F 03 D1 01 9B 1B 78 02 93 54 E0 01 9B 1B 78 03 F0 E0 03 C0 2B 08 D1 01 9B 1B 78 03 F0 1F 03 02 93 01 23 8D F8 00 30 45 E0 01 9B 1B 78 03 F0 F0 03 E0 2B 08 D1 01 9B 1B 78 03 F0 0F 03 02 93 02 23 8D F8 00 30 36 E0 01 9B 1B 78 03 F0 F8 03 F0 2B 08 D1 01 9B 1B 78 03 F0 07 03 02 93 03 23 8D F8 00 30 27 E0 01 9B 1B 78 03 F0 FC 03 F8 2B 08 D1 01 9B 1B 78 03 F0 03 03 02 93 04 23 8D F8 00 30 18 E0 01 9B 1B 78 03 F0 FC 03 FC 2B 08 D1 01 9B 1B 78 03 F0 03 03 02 93 05 23 8D F8 00 30 09 E0 ?? ?? ?? ?? 06 90 06 9A 2A 23 13 60 6F F0 00 03 03 93 1E E0 9D F9 00 30 00 2B 19 D1 0A 9B 00 2B 02 D0 02 9A 0A 9B 1A 60 0D 9B 9A 1D 00 23 13 80 02 9B 00 2B 02 D1 00 23 04 93 06 E0 01 9B 5B 1C 01 93 01 9A 0B 9B D3 1A 04 93 04 9B 03 93 00 E0 48 E7 03 98 08 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_582_0_0 {
	meta:
		name = "log10f"
		size = 700
		refs = "0058 _handle_nanf 0096 _handle_errorf 028c ?log10e@?1??log10f@@9@9 0290 ?log2@?1??log10f@@9@9 0294 ?cb_1@?1??log10f@@9@9 0298 ?cb_2@?1??log10f@@9@9 02a4 ?ln_tail_table@?1??log10f@@9@9 02a8 ?ln_lead_table@?1??log10f@@9@9 02b0 ??_C@_06KDGOKGLH@log10f?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 A8 B0 8D ED 04 0A 9D ED 04 0A B7 EE C0 0A 8D ED 14 0B 9D ED 14 0B 53 EC 10 2B 06 92 07 93 07 9A A1 4B 13 40 0C 93 0C 9A 9F 4B 9A 42 40 D1 06 9A 07 9B 6F F3 1F 53 13 43 00 2B 14 D0 9D ED 04 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 0D 93 0D 98 00 21 ?? ?? ?? ?? 8D ED 0E 0A 9D ED 0E 0A 8D ED 05 0A 0A E1 23 E0 07 9B 03 F0 00 43 00 2B 19 D0 01 23 03 93 DF ED 88 0A 9D ED 04 0A 21 23 02 93 08 23 01 93 01 23 00 93 89 4A 00 23 1B 21 86 48 ?? ?? ?? ?? 8D ED 0F 0A 9D ED 0F 0A 8D ED 05 0A EB E0 04 E0 9D ED 04 0A 8D ED 05 0A E5 E0 3E E0 06 9A 07 9B 23 F0 00 43 13 43 00 2B 19 D1 01 23 03 93 DF ED 74 0A 9D ED 04 0A 22 23 02 93 04 23 01 93 02 23 00 93 76 4A 00 23 1B 21 73 48 ?? ?? ?? ?? 8D ED 10 0A 9D ED 10 0A 8D ED 05 0A C4 E0 1D E0 07 9B 03 F0 00 43 00 2B 18 D0 01 23 03 93 DF ED 65 0A 9D ED 04 0A 21 23 02 93 08 23 01 93 01 23 00 93 66 4A 00 23 1B 21 63 48 ?? ?? ?? ?? 8D ED 11 0A 9D ED 11 0A 8D ED 05 0A A5 E0 9D ED 14 0B 8D ED 16 0B 07 9A 5B 4B 13 40 1B 0D A3 F2 FF 33 12 93 06 99 07 9A 40 F2 FE 33 63 F3 1F 52 13 46 43 EC 10 1B 8D ED 16 0B 07 9B 03 F4 7C 23 43 F4 80 13 9A 0B 07 9B 03 F4 00 53 5B 0B 13 44 08 93 08 9B A3 F1 40 02 08 23 02 FB 03 F2 48 4B 13 44 93 ED 00 0B 8D ED 22 0B 08 9B A3 F1 40 02 08 23 02 FB 03 F2 41 4B 13 44 93 ED 00 0B 8D ED 20 0B 08 9B 00 EE 10 3A B8 EE C0 1B 9F ED 3A 0B 21 EE 00 0B 8D ED 18 0B 9D ED 16 1B 9D ED 18 0B 31 EE 40 0B 8D ED 1A 0B B6 EE 00 1B 9D ED 1A 0B 21 EE 00 1B 9D ED 18 0B 30 EE 01 1B 9D ED 1A 0B 80 EE 01 0B 8D ED 0A 0B 9D ED 0A 1B 9D ED 0A 0B 21 EE 00 0B 8D ED 1C 0B 9D ED 1C 1B 25 4B 93 ED 00 0B 21 EE 00 1B 21 4B 93 ED 00 0B 30 EE 01 1B 9D ED 1C 0B 20 EE 01 0B 8D ED 1E 0B 9D ED 0A 1B 9D ED 1E 0B 21 EE 00 1B 9D ED 0A 0B 30 EE 01 1B 9D ED 20 0B 30 EE 01 0B 8D ED 24 0B 12 9B 00 EE 10 3A B8 EE C0 1B 10 4B 93 ED 00 0B 21 EE 00 1B 9D ED 22 0B 31 EE 00 1B 9D ED 24 0B 31 EE 00 0B 8D ED 26 0B 08 4B 93 ED 00 1B 9D ED 26 0B 21 EE 00 0B B7 EE C0 0B 8D ED 05 0A 9D ED 05 0A 28 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 80 3F ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? 00 00 C0 FF 00 00 80 FF }
	condition:
		$1
}

rule file_583_4_0 {
	meta:
		name = "_towlower_l"
		size = 332
		refs = "0024 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002a ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 006a ??1_LocaleUpdate@@QAA@XZ 0088 iswctype 0104 __acrt_LCMapStringW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 BD F8 48 20 4F F6 FF 73 9A 42 04 D1 BD F8 48 30 AD F8 14 30 8E E0 13 99 0C A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 07 90 07 9B 1B 68 A0 33 08 33 1B 68 00 2B 1C D1 BD F8 48 30 41 2B 09 DB BD F8 48 30 5A 2B 05 DC BD F8 48 30 41 3B 61 33 06 93 02 E0 BD F8 48 30 06 93 06 9B 9B B2 AD F8 08 30 0C A8 ?? ?? ?? ?? BD F8 08 30 AD F8 14 30 62 E0 BD F8 48 30 B3 F5 80 7F 2F DA 01 21 BD F8 48 00 ?? ?? ?? ?? 08 90 08 9B 00 2B 0C D1 BD F8 48 30 AD F8 0A 30 0C A8 ?? ?? ?? ?? BD F8 0A 30 AD F8 14 30 48 E0 19 E0 0C A8 ?? ?? ?? ?? 09 90 09 9B 1B 68 03 F1 94 01 BD F8 48 20 01 23 02 FB 03 F2 0B 68 13 44 1B 78 AD F8 0C 30 0C A8 ?? ?? ?? ?? BD F8 0C 30 AD F8 14 30 2D E0 0C A8 ?? ?? ?? ?? 0A 90 01 23 01 93 04 AB 00 93 01 23 12 AA 4F F4 80 71 0A 98 00 68 A0 30 08 30 00 68 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 0B D1 BD F8 48 30 AD F8 0E 30 0C A8 ?? ?? ?? ?? BD F8 0E 30 AD F8 14 30 0A E0 BD F8 10 30 AD F8 12 30 0C A8 ?? ?? ?? ?? BD F8 12 30 AD F8 14 30 BD F8 14 00 10 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_584_0_0 {
	meta:
		name = "__acrt_initialize_locks"
		size = 108
		refs = "002c __acrt_InitializeCriticalSectionEx 003a __acrt_uninitialize_locks 0064 ?__acrt_locks_initialized@@3IA 0068 ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 00 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9B 0E 2B 1B D2 00 22 4F F4 7A 61 00 98 18 23 00 FB 03 F0 0F 4B 18 44 ?? ?? ?? ?? 02 90 02 9B 00 2B 06 D1 00 20 ?? ?? ?? ?? 00 23 8D F8 04 30 08 E0 07 4B 1B 68 5A 1C 05 4B 1A 60 DD E7 01 23 8D F8 04 30 9D F8 04 00 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_1_0 {
	meta:
		name = "__acrt_lock"
		size = 44
		refs = "0024 __imp_EnterCriticalSection 0028 ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 18 23 02 FB 03 F2 05 4B 98 18 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_3_0 {
	meta:
		name = "__acrt_unlock"
		size = 44
		refs = "0024 __imp_LeaveCriticalSection 0028 ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9A 18 23 02 FB 03 F2 05 4B 98 18 03 4B 1B 68 98 47 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_2_0 {
	meta:
		name = "__acrt_uninitialize_locks"
		size = 96
		refs = "0054 ?__acrt_locks_initialized@@3IA 0058 __imp_DeleteCriticalSection 005c ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 12 4B 1B 68 00 93 02 E0 00 9B 5B 1E 00 93 00 9B 00 2B 0F D9 00 9B 5A 1E 18 23 02 FB 03 F2 0C 4B 98 18 0A 4B 1B 68 98 47 08 4B 1B 68 5A 1E 06 4B 1A 60 E9 E7 01 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_4_0 {
	meta:
		name = "_lock_locales"
		size = 16
		refs = "0008 __acrt_lock"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 20 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_584_5_0 {
	meta:
		name = "_unlock_locales"
		size = 16
		refs = "0008 __acrt_unlock"
	strings:
		$1 = { 2D E9 00 48 EB 46 04 20 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_585_5_0 {
	meta:
		name = "_mbsnbset_l"
		size = 252
		refs = "0016 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0026 _strnset 0042 _CrtDbgReportW 004c _errno 0060 _invalid_parameter 00e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ec ??_C@_1HC@DGGOBGOB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00f0 ??_C@_1FG@HBOFIKMC@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@ 00f4 ??_C@_1BI@CEPLNFIK@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 00f8 ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 0E 46 05 46 07 46 02 A8 19 46 14 46 ?? ?? ?? ?? 04 9B 9B 68 33 B9 22 46 31 46 38 46 ?? ?? ?? ?? 07 46 4E E0 DD B9 D4 B1 2D 4B 30 4C 2D 49 00 93 00 23 49 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 27 49 25 4A 00 23 00 93 49 23 20 46 ?? ?? ?? ?? 00 27 31 E0 33 0A D9 B2 61 B3 F2 B2 FA B9 1F 4B 1D 49 59 22 01 93 1B 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 20 21 03 60 20 22 0B E0 2B 78 64 1E AB B1 00 2C A4 F1 01 04 07 D0 6B 78 2B B1 29 70 6A 70 AD 1C 00 2C F1 D1 09 E0 20 23 2B 70 06 E0 2B 78 64 1E 1B B1 05 F8 01 6B 00 2C F8 D1 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 38 46 06 B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_586_33_0 {
	meta:
		name = "?common_flush_all@@YAH_N@Z"
		size = 74
		refs = "001a ??0<lambda_ab61a845afdef5b7c387490eaf3616ee>@@QAA@AAHAB_N0@Z 0024 ??$__acrt_lock_and_call@V<lambda_ab61a845afdef5b7c387490eaf3616ee>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_ab61a845afdef5b7c387490eaf3616ee>@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 00 23 00 93 00 23 01 93 01 AB 0C AA 69 46 06 A8 ?? ?? ?? ?? 03 90 03 99 08 20 ?? ?? ?? ?? 9D F8 30 30 00 2B 02 D0 00 9B 02 93 01 E0 01 9B 02 93 02 9B 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_586_34_0 {
	meta:
		name = "?common_flush_all_should_try_to_flush_stream@@YA_NV__crt_stdio_stream@@QAH@Z"
		size = 130
		refs = "000c ?valid@__crt_stdio_stream@@QBA_NXZ 0026 ?get_flags@__crt_stdio_stream@@QBAJXZ 0032 ?is_stream_allocated@@YA_NJ@Z 004c ?is_stream_flushable_or_commitable@@YA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 00 23 8D F8 04 30 27 E0 06 A8 ?? ?? ?? ?? 03 90 03 9B 02 93 02 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D1 00 23 8D F8 04 30 14 E0 02 98 ?? ?? ?? ?? 8D F8 02 00 9D F8 02 30 00 2B 08 D1 07 9B 1B 68 5A 1C 07 9B 1A 60 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_586_37_0 {
	meta:
		name = "?is_stream_allocated@@YA_NJ@Z"
		size = 50
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 13 F4 00 5F 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_586_38_0 {
	meta:
		name = "?is_stream_flushable@@YA_NJ@Z"
		size = 66
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F0 03 03 02 2B 03 D0 00 23 8D F8 00 30 0B E0 04 9B 03 F0 C0 03 00 2B 03 D1 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_586_39_0 {
	meta:
		name = "?is_stream_flushable_or_commitable@@YA_NJ@Z"
		size = 72
		refs = "000c ?is_stream_flushable@@YA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 01 23 8D F8 04 30 0A E0 04 9B 13 F4 00 6F 03 D0 01 23 8D F8 04 30 02 E0 00 23 8D F8 04 30 9D F8 04 00 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_586_44_0 {
	meta:
		name = "__acrt_stdio_flush_nolock"
		size = 210
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0014 ?get_flags@__crt_stdio_stream@@QBAJXZ 001c ?is_stream_flushable@@YA_NJ@Z 0034 ??C__crt_stdio_stream@@QBAPAU__crt_stdio_stream_data@@XZ 0052 ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 006c ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0074 _fileno 0084 _write 009a ?set_flags@__crt_stdio_stream@@QBA_NJ@Z 00aa ?has_all_of@__crt_stdio_stream@@QBA_NJ@Z 00be ?unset_flags@__crt_stdio_stream@@QBA_NJ@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 99 01 A8 ?? ?? ?? ?? 01 A8 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 00 23 02 93 49 E0 01 A8 ?? ?? ?? ?? 05 90 01 A8 ?? ?? ?? ?? 06 90 05 9A 06 9B 1B 1D 12 68 1B 68 D3 1A 03 93 01 98 ?? ?? ?? ?? 03 9B 00 2B 02 DC 00 23 02 93 31 E0 01 A8 ?? ?? ?? ?? 08 90 01 A8 ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? 09 90 03 9A 08 9B 1B 1D 19 68 09 98 ?? ?? ?? ?? 0A 90 0A 9B 0B 93 03 9A 0B 9B 9A 42 07 D0 10 21 01 A8 ?? ?? ?? ?? 6F F0 00 03 02 93 0F E0 04 21 01 A8 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 03 D0 02 21 01 A8 ?? ?? ?? ?? 00 23 02 93 02 98 0C B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_586_45_0 {
	meta:
		name = "_fflush_nolock"
		size = 148
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0014 ?valid@__crt_stdio_stream@@QBA_NXZ 0026 ?common_flush_all@@YAH_N@Z 0034 ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 003c __acrt_stdio_flush_nolock 0056 ?has_all_of@__crt_stdio_stream@@QBA_NJ@Z 0068 _fileno 0070 _commit"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 06 D1 00 20 ?? ?? ?? ?? 03 90 03 9B 01 93 2A E0 02 A8 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 03 D0 6F F0 00 03 01 93 1B E0 4F F4 00 61 02 A8 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 0E D0 0A 98 ?? ?? ?? ?? 06 90 06 98 ?? ?? ?? ?? 07 90 07 9B 00 2B 03 D0 6F F0 00 03 01 93 01 E0 00 23 01 93 01 98 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_586_46_0 {
	meta:
		name = "_flushall"
		size = 28
		refs = "000a ?common_flush_all@@YAH_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 01 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_586_47_0 {
	meta:
		name = "fflush"
		size = 126
		refs = "000e ??0__crt_stdio_stream@@QAA@QAU_iobuf@@@Z 0014 ?valid@__crt_stdio_stream@@QBA_NXZ 0026 ?common_flush_all@@YAH_N@Z 0034 ?get_flags@__crt_stdio_stream@@QBAJXZ 003c ?is_stream_flushable_or_commitable@@YA_NJ@Z 0056 ??0<lambda_9a32fed5bf61b6b509b2d3f6003082a1>@@QAA@ABV__crt_stdio_stream@@@Z 005e ?public_stream@__crt_stdio_stream@@QBAPAU_iobuf@@XZ 0068 ??$__acrt_lock_stream_and_call@V<lambda_9a32fed5bf61b6b509b2d3f6003082a1>@@@@YAHQAU_iobuf@@$$QAV<lambda_9a32fed5bf61b6b509b2d3f6003082a1>@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 99 01 A8 ?? ?? ?? ?? 01 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 06 D1 00 20 ?? ?? ?? ?? 03 90 03 9B 02 93 1F E0 01 A8 ?? ?? ?? ?? 04 90 04 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 02 D1 00 23 02 93 0F E0 01 A9 08 A8 ?? ?? ?? ?? 05 90 01 A8 ?? ?? ?? ?? 06 90 05 99 06 98 ?? ?? ?? ?? 07 90 07 9B 02 93 02 98 0A B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_587_2_0 {
	meta:
		name = "??$common_putenv@D@@YAHQBD0@Z"
		size = 46
		refs = "0014 __acrt_lock 001c ??$common_putenv_nolock@D@@YAHQBD0@Z 0024 __acrt_unlock"
	strings:
		$1 = { 2D E9 B8 48 0D F1 10 0B 6F 46 0C 46 05 46 00 23 3B 60 0B 20 ?? ?? ?? ?? 21 46 28 46 ?? ?? ?? ?? 38 60 0B 20 ?? ?? ?? ?? 38 68 BD E8 B8 88 }
	condition:
		$1
}

rule file_587_4_0 {
	meta:
		name = "??$common_putenv@_W@@YAHQB_W0@Z"
		size = 46
		refs = "0014 __acrt_lock 001c ??$common_putenv_nolock@_W@@YAHQB_W0@Z 0024 __acrt_unlock"
	strings:
		$1 = { 2D E9 B8 48 0D F1 10 0B 6F 46 0C 46 05 46 00 23 3B 60 0B 20 ?? ?? ?? ?? 21 46 28 46 ?? ?? ?? ?? 38 60 0B 20 ?? ?? ?? ?? 38 68 BD E8 B8 88 }
	condition:
		$1
}

rule file_587_6_0 {
	meta:
		name = "??$common_putenv_nolock@D@@YAHQBD0@Z"
		size = 168
		refs = "0030 _CrtDbgReportW 003a _errno 004e _invalid_parameter 0058 ??$create_environment_string@D@@YAPADQBD0@Z 0064 __dcrt_set_variable_in_narrow_environment_nolock 0076 ??$set_variable_in_other_environment@D@@YA_NQBD0@Z 0086 _free_dbg 0090 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0094 ??_C@_1CK@HPEFMNIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0098 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 _wenviron_table 00a4 _environ_table"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 26 4B 25 4D 0F 46 1B 68 04 46 23 B9 2B 68 13 B9 6F F0 00 04 35 E0 CC B9 1E 4B 1D 4C 1A 49 00 93 00 23 B0 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 14 49 12 4A 00 23 00 93 B0 23 20 46 ?? ?? ?? ?? E1 E7 39 46 20 46 ?? ?? ?? ?? 06 46 70 B1 01 21 00 26 ?? ?? ?? ?? 48 B9 2B 68 0B B9 00 24 07 E0 39 46 20 46 ?? ?? ?? ?? 00 28 F7 D1 6F F0 00 04 02 21 30 46 ?? ?? ?? ?? 20 46 BD E8 FC 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_7_0 {
	meta:
		name = "??$common_putenv_nolock@_W@@YAHQB_W0@Z"
		size = 168
		refs = "0030 _CrtDbgReportW 003a _errno 004e _invalid_parameter 0058 ??$create_environment_string@_W@@YAPA_WQB_W0@Z 0064 __dcrt_set_variable_in_wide_environment_nolock 0076 ??$set_variable_in_other_environment@_W@@YA_NQB_W0@Z 0086 _free_dbg 0090 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0094 ??_C@_1CK@HPEFMNIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0098 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 009c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a0 _wenviron_table 00a4 _environ_table"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 26 4D 0F 46 04 46 2B 68 2B B9 23 4B 1B 68 13 B9 6F F0 00 04 35 E0 CC B9 1E 4B 1D 4C 1A 49 00 93 00 23 B0 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 14 49 12 4A 00 23 00 93 B0 23 20 46 ?? ?? ?? ?? E1 E7 39 46 20 46 ?? ?? ?? ?? 06 46 70 B1 01 21 00 26 ?? ?? ?? ?? 48 B9 2B 68 0B B9 00 24 07 E0 39 46 20 46 ?? ?? ?? ?? 00 28 F7 D1 6F F0 00 04 02 21 30 46 ?? ?? ?? ?? 20 46 BD E8 FC 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_8_0 {
	meta:
		name = "??$compute_required_transform_buffer_count@D@@YAIQBD0@Z"
		size = 84
		refs = "0022 _errno 0050 __imp_MultiByteToWideChar"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 11 4C 00 27 0E 46 24 68 02 46 FB 43 00 21 00 20 01 97 00 97 A0 47 05 46 2D B9 ?? ?? ?? ?? 2A 23 03 60 00 25 0D E0 66 B1 07 4C 6F F0 00 03 32 46 24 68 00 21 00 20 01 97 00 97 A0 47 00 28 EC D0 05 44 28 46 BD E8 FC 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_9_0 {
	meta:
		name = "??$compute_required_transform_buffer_count@_W@@YAIQB_W0@Z"
		size = 96
		refs = "0026 _errno 005c __imp_WideCharToMultiByte"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 14 4C 00 27 0E 46 24 68 02 46 FB 43 00 21 00 20 03 97 02 97 01 97 00 97 A0 47 05 46 2D B9 ?? ?? ?? ?? 2A 23 03 60 00 25 0F E0 76 B1 09 4C 6F F0 00 03 32 46 24 68 00 21 00 20 03 97 02 97 01 97 00 97 A0 47 00 28 EA D0 05 44 28 46 04 B0 BD E8 F0 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_10_0 {
	meta:
		name = "??$create_environment_string@D@@YAPADQBD0@Z"
		size = 400
		refs = "0016 strnlen 003a _CrtDbgReportW 0044 _errno 0058 _invalid_parameter 00a0 _calloc_dbg 00b0 strcpy_s 00c6 strchr 0138 strlen 0164 _free_dbg 0170 ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@ 0174 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0178 ??_C@_1HA@JCFCFIMB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?$CL?$AA?5@ 017c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0180 ??_C@_1EA@HLHAAANJ@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?9?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0184 ??_C@_1DA@CGJKAODL@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0188 ??_C@_1DE@NHNEIFKE@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 018c ??_C@_1CO@HOPIMKMC@?$AAn?$AAa?$AAm?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 0E 46 00 2E 05 46 59 D0 47 F6 FF 74 21 46 ?? ?? ?? ?? 80 46 30 46 21 46 ?? ?? ?? ?? 07 46 A0 45 1A D3 54 4B 57 4C 51 49 00 93 00 23 40 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 23 4D 49 47 4A 20 46 ?? ?? ?? ?? 00 24 83 E0 A7 42 14 D3 45 4B 47 4C 42 49 00 93 00 23 41 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 41 23 E1 E7 46 23 00 93 37 4B 07 EB 08 09 02 22 01 21 09 EB 02 00 ?? ?? ?? ?? 04 46 00 2C 53 D0 2A 46 09 F1 02 01 ?? ?? ?? ?? 04 EB 08 03 3D 22 1A 70 79 1C 32 46 58 1C 4B E0 3D 21 ?? ?? ?? ?? A0 B3 43 1B 47 F6 FF 74 A3 42 14 DB 29 4B 29 4C 26 49 00 93 00 23 56 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 56 23 A8 E7 40 1C 21 46 ?? ?? ?? ?? A0 42 14 D3 1B 4B 1A 4C 18 49 00 93 00 23 57 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 57 23 8D E7 28 46 ?? ?? ?? ?? 5C 23 00 93 0B 4B 06 46 02 22 01 21 70 1C ?? ?? ?? ?? 04 46 0C B9 00 24 05 E0 2A 46 71 1C 20 46 ?? ?? ?? ?? 00 20 02 21 ?? ?? ?? ?? 20 46 BD E8 FC 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_11_0 {
	meta:
		name = "??$create_environment_string@_W@@YAPA_WQB_W0@Z"
		size = 408
		refs = "0016 wcsnlen 003a _CrtDbgReportW 0044 _errno 0058 _invalid_parameter 00a0 _calloc_dbg 00b0 wcscpy_s 00c6 wcschr 0140 wcslen 016c _free_dbg 0178 ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@ 017c ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0180 ??_C@_1HA@JCFCFIMB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?$CL?$AA?5@ 0184 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0188 ??_C@_1EA@HLHAAANJ@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?9?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 018c ??_C@_1DA@CGJKAODL@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0190 ??_C@_1DE@NHNEIFKE@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 0194 ??_C@_1CO@HOPIMKMC@?$AAn?$AAa?$AAm?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@"
	strings:
		$1 = { 2D E9 FC 4B 0D F1 20 0B 0E 46 00 2E 05 46 59 D0 47 F6 FF 74 21 46 ?? ?? ?? ?? 80 46 30 46 21 46 ?? ?? ?? ?? 07 46 A0 45 1A D3 56 4B 59 4C 53 49 00 93 00 23 40 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 23 4F 49 49 4A 20 46 ?? ?? ?? ?? 00 24 87 E0 A7 42 14 D3 47 4B 49 4C 44 49 00 93 00 23 41 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 41 23 E1 E7 46 23 00 93 39 4B 07 EB 08 09 02 21 02 22 09 EB 01 00 ?? ?? ?? ?? 04 46 00 2C 57 D0 2A 46 09 F1 02 01 ?? ?? ?? ?? 04 EB 48 03 3D 22 1A 80 79 1C 32 46 98 1C 4F E0 3D 21 ?? ?? ?? ?? C0 B3 43 1B 23 F0 01 02 4F F6 FE 73 9A 42 14 DB 2A 4B 2A 4C 27 49 00 93 00 23 56 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 56 23 A6 E7 47 F6 FF 74 21 46 80 1C ?? ?? ?? ?? A0 42 14 D3 1B 4B 1A 4C 18 49 00 93 00 23 57 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 57 23 89 E7 28 46 ?? ?? ?? ?? 5C 23 00 93 0B 4B 06 46 02 22 02 21 70 1C ?? ?? ?? ?? 04 46 0C B9 00 24 05 E0 2A 46 71 1C 20 46 ?? ?? ?? ?? 00 20 02 21 ?? ?? ?? ?? 20 46 BD E8 FC 8B FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_14_0 {
	meta:
		name = "??$set_variable_in_other_environment@D@@YA_NQBD0@Z"
		size = 224
		refs = "0028 _errno 005c _calloc_dbg 008e _free_dbg 00c6 __dcrt_set_variable_in_wide_environment_nolock 00d8 __imp_MultiByteToWideChar 00dc ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 FF 4B 0D F1 28 0B 33 4C 00 26 0F 46 24 68 80 46 02 46 F3 43 00 21 00 20 01 96 00 96 A0 47 05 46 4F F0 2A 09 2D B9 ?? ?? ?? ?? C0 F8 00 90 00 25 0D E0 67 B1 28 4C 6F F0 00 03 3A 46 24 68 00 21 00 20 01 96 00 96 A0 47 00 28 EC D0 05 44 76 23 00 93 21 4B 02 22 02 21 28 46 ?? ?? ?? ?? 06 46 02 96 04 46 7E B1 1B 4C 6F F0 00 03 42 46 24 68 00 21 00 20 01 95 00 96 A0 47 68 B9 ?? ?? ?? ?? 02 9C C0 F8 00 90 00 25 02 21 20 46 ?? ?? ?? ?? 28 46 04 B0 BD E8 F0 8B 8F B1 0E 4C 06 EB 40 01 3D 22 21 F8 02 2C 24 68 2A 1A 01 92 00 91 3A 46 6F F0 00 03 00 21 00 20 A0 47 00 28 DE D0 00 21 30 46 00 24 ?? ?? ?? ?? 08 B9 01 23 00 E0 00 23 1D 46 D9 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_15_0 {
	meta:
		name = "??$set_variable_in_other_environment@_W@@YA_NQB_W0@Z"
		size = 268
		refs = "003a _errno 007a _calloc_dbg 00b4 _free_dbg 00f2 __dcrt_set_variable_in_narrow_environment_nolock 0104 __imp_WideCharToMultiByte 0108 ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 85 B0 3E 4C 4F F0 00 0A 0F 46 24 68 80 46 02 46 6F EA 0A 03 00 21 00 20 CD F8 0C A0 CD F8 08 A0 CD F8 04 A0 CD F8 00 A0 A0 47 05 46 4F F0 2A 09 2D B9 ?? ?? ?? ?? C0 F8 00 90 00 25 13 E0 97 B1 2E 4C 6F F0 00 03 3A 46 24 68 00 21 00 20 CD F8 0C A0 CD F8 08 A0 CD F8 04 A0 CD F8 00 A0 A0 47 00 28 E6 D0 05 44 76 23 00 93 25 4B 02 22 01 21 28 46 ?? ?? ?? ?? 06 46 04 96 04 46 9E B1 1F 4C 6F F0 00 03 42 46 24 68 00 21 00 20 CD F8 0C A0 CD F8 08 A0 01 95 00 96 A0 47 68 B9 ?? ?? ?? ?? 04 9C C0 F8 00 90 00 25 02 21 20 46 ?? ?? ?? ?? 28 46 05 B0 BD E8 F0 8F A7 B1 10 4C 31 18 3D 22 01 F8 01 2C 24 68 2A 1A 01 92 00 91 3A 46 6F F0 00 03 00 21 00 20 CD F8 0C A0 CD F8 08 A0 A0 47 00 28 DB D0 00 21 30 46 00 24 ?? ?? ?? ?? 08 B9 01 23 00 E0 00 23 1D 46 D6 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_16_0 {
	meta:
		name = "??$tcschr@ABQBDD@?$__crt_char_traits@D@@SAPBDABQBD$$QAD@Z"
		size = 20
		refs = "0010 strchr"
		altNames = "??$tcschr@AAPADD@?$__crt_char_traits@D@@SAPADAAPAD$$QAD@Z ??$tcschr@ABQADD@?$__crt_char_traits@D@@SAPADABQAD$$QAD@Z ??$tcschr@PADD@?$__crt_char_traits@D@@SAPAD$$QAPAD$$QAD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 91 F9 00 10 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_18_0 {
	meta:
		name = "??$tcsrchr@AAPADD@?$__crt_char_traits@D@@SAPADAAPAD$$QAD@Z"
		size = 20
		refs = "0010 strrchr"
	strings:
		$1 = { 2D E9 00 48 EB 46 91 F9 00 10 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_30_0 {
	meta:
		name = "??$tcsrchr@AAPBDD@?$__crt_char_traits@D@@SAPBDAAPBD$$QAD@Z"
		size = 20
		refs = "0010 strrchr"
	strings:
		$1 = { 2D E9 00 48 EB 46 91 F9 00 10 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_32_0 {
	meta:
		name = "??$tcsrchr@ABQBDD@?$__crt_char_traits@D@@SAPBDABQBD$$QAD@Z"
		size = 20
		refs = "0010 strrchr"
	strings:
		$1 = { 2D E9 00 48 EB 46 91 F9 00 10 00 68 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_17_0 {
	meta:
		name = "??$tcschr@ABQB_WD@?$__crt_char_traits@_W@@SAPB_WABQB_W$$QAD@Z"
		size = 22
		refs = "0012 wcschr"
		altNames = "??$tcschr@AAPA_WD@?$__crt_char_traits@_W@@SAPA_WAAPA_W$$QAD@Z ??$tcschr@ABQA_WD@?$__crt_char_traits@_W@@SAPA_WABQA_W$$QAD@Z ??$tcschr@PA_WD@?$__crt_char_traits@_W@@SAPA_W$$QAPA_W$$QAD@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 91 F9 00 30 00 68 99 B2 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_19_0 {
	meta:
		name = "??$tcsrchr@AAPA_WD@?$__crt_char_traits@_W@@SAPA_WAAPA_W$$QAD@Z"
		size = 22
		refs = "0012 wcsrchr"
	strings:
		$1 = { 2D E9 00 48 EB 46 91 F9 00 30 00 68 99 B2 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_31_0 {
	meta:
		name = "??$tcsrchr@AAPB_WD@?$__crt_char_traits@_W@@SAPB_WAAPB_W$$QAD@Z"
		size = 22
		refs = "0012 wcsrchr"
	strings:
		$1 = { 2D E9 00 48 EB 46 91 F9 00 30 00 68 99 B2 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_33_0 {
	meta:
		name = "??$tcsrchr@ABQB_WD@?$__crt_char_traits@_W@@SAPB_WABQB_W$$QAD@Z"
		size = 22
		refs = "0012 wcsrchr"
	strings:
		$1 = { 2D E9 00 48 EB 46 91 F9 00 30 00 68 99 B2 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_52_0 {
	meta:
		name = "_putenv_s"
		size = 100
		refs = "001a _CrtDbgReportW 0024 _errno 0038 _invalid_parameter 0040 ??$common_putenv@D@@YAHQBD0@Z 0054 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0058 ??_C@_1BE@FHKNNLOF@?$AA_?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 005c ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D1 B9 15 4B 13 4C 11 49 00 93 00 23 EB 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 0A 49 09 4A 00 23 00 93 EB 23 20 46 ?? ?? ?? ?? 16 20 07 E0 ?? ?? ?? ?? 08 B9 00 20 02 E0 ?? ?? ?? ?? 00 68 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_587_54_0 {
	meta:
		name = "_wputenv_s"
		size = 100
		refs = "001a _CrtDbgReportW 0024 _errno 0038 _invalid_parameter 0040 ??$common_putenv@_W@@YAHQB_W0@Z 0054 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0058 ??_C@_1BG@MIFFAGPH@?$AA_?$AAw?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 005c ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B D1 B9 15 4B 13 4C 11 49 00 93 00 23 F1 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 0A 49 09 4A 00 23 00 93 F1 23 20 46 ?? ?? ?? ?? 16 20 07 E0 ?? ?? ?? ?? 08 B9 00 20 02 E0 ?? ?? ?? ?? 00 68 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_588_0_0 {
	meta:
		name = "_heapmin"
		size = 40
		refs = "0020 __imp_HeapCompact 0024 __acrt_heap"
	strings:
		$1 = { 2D E9 00 48 EB 46 07 4B 00 21 18 68 04 4B 1B 68 98 47 00 28 6F F0 00 00 18 BF 00 20 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_589_0_0 {
	meta:
		name = "clog"
		size = 912
		refs = "0018 creal 0030 cimag 0042 _dtest 007e _Cbuild 012e atan2 01e6 _fperrraise 0250 _d_int 02d0 log1p 031c log 038c _Inf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 C8 B0 8D ED 18 1B 8D ED 16 0B 9D ED 16 0B 9D ED 18 1B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 1A 0B 8D ED 00 0B 9D ED 16 0B 9D ED 18 1B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 1C 0B 8D ED 02 0B 68 46 ?? ?? ?? ?? AD F8 28 00 BD F9 28 30 AD F8 10 30 02 A8 ?? ?? ?? ?? AD F8 2A 00 BD F9 2A 30 AD F8 12 30 BD F9 10 30 02 2B 2C D1 BD F9 12 30 01 2B 14 D1 9D ED 00 1B C4 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 2A 1B 8D ED 28 0B 9D ED 28 0B 8D ED 06 0B 9D ED 2A 0B 8D ED 08 0B 67 E1 12 E0 9D ED 00 1B 9D ED 00 0B ?? ?? ?? ?? 8D ED 2E 1B 8D ED 2C 0B 9D ED 2C 0B 8D ED 06 0B 9D ED 2E 0B 8D ED 08 0B 53 E1 2F E0 BD F9 12 30 02 2B 2B D1 BD F9 10 30 01 2B 14 D1 9D ED 02 1B AC 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 32 1B 8D ED 30 0B 9D ED 30 0B 8D ED 06 0B 9D ED 32 0B 8D ED 08 0B 36 E1 12 E0 9D ED 02 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 36 1B 8D ED 34 0B 9D ED 34 0B 8D ED 06 0B 9D ED 36 0B 8D ED 08 0B 22 E1 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1E 0B 8D ED 10 0B BD F9 10 30 01 2B 03 D0 BD F9 12 30 01 2B 14 D1 9D ED 10 1B 8E 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 3A 1B 8D ED 38 0B 9D ED 38 0B 8D ED 06 0B 9D ED 3A 0B 8D ED 08 0B FA E0 F9 E0 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 00 0B B1 EE 40 0B 8D ED 00 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 0B D2 9D ED 00 0B 8D ED 20 0B 9D ED 02 0B 8D ED 00 0B 9D ED 20 0B 8D ED 02 0B 9D ED 00 0B B5 EE 40 0B F1 EE 10 FA 19 D1 04 20 ?? ?? ?? ?? 9D ED 10 1B 67 4B 93 ED 00 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 3E 1B 8D ED 3C 0B 9D ED 3C 0B 8D ED 06 0B 9D ED 3E 0B 8D ED 08 0B AA E0 A9 E0 9D ED 00 1B 9F ED 59 0B B4 EE C0 1B F1 EE 10 FA 6E D8 9F ED 54 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 65 D8 9D ED 00 0B 8D ED 0C 0B 9D ED 02 0B 8D ED 0E 0B 1A 21 0C A8 ?? ?? ?? ?? 1A 21 0E A8 ?? ?? ?? ?? 9D ED 0C 1B 9D ED 0C 0B 21 EE 00 1B B7 EE 00 0B 31 EE 40 2B 9D ED 0E 1B 9D ED 0E 0B 21 EE 00 0B 32 EE 00 0B 8D ED 12 0B 9D ED 00 1B 9D ED 0C 0B 31 EE 40 2B 9D ED 00 1B 9D ED 0C 0B 31 EE 00 0B 22 EE 00 3B 9D ED 02 1B 9D ED 0E 0B 31 EE 40 2B 9D ED 02 1B 9D ED 0E 0B 31 EE 00 0B 22 EE 00 0B 33 EE 00 1B 9D ED 12 0B 30 EE 01 0B 8D ED 12 0B 9D ED 12 0B ?? ?? ?? ?? 8D ED 22 0B 9D ED 10 1B B6 EE 00 2B 9D ED 22 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 42 1B 8D ED 40 0B 9D ED 40 0B 8D ED 06 0B 9D ED 42 0B 8D ED 08 0B 32 E0 31 E0 9D ED 02 1B 9D ED 00 0B 81 EE 00 0B 8D ED 14 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 26 0B 9D ED 14 1B 9D ED 14 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 24 0B 9D ED 10 1B B6 EE 00 2B 9D ED 24 0B 22 EE 00 2B 9D ED 26 0B 30 EE 02 0B ?? ?? ?? ?? 8D ED 46 1B 8D ED 44 0B 9D ED 44 0B 8D ED 06 0B 9D ED 46 0B 8D ED 08 0B 9D ED 06 0B 9D ED 08 1B 48 B0 BD E8 00 88 FE DE 9A 99 99 99 99 99 D9 3F CD CC CC CC CC CC EC 3F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_642_1_0 {
	meta:
		name = "clogl"
		size = 912
		refs = "0018 creall 0030 cimagl 0042 _ldtest 007e _LCbuild 012e atan2l 01e6 _fperrraise 0250 _ld_int 02d0 log1pl 031c logl 038c _LInf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 C8 B0 8D ED 18 1B 8D ED 16 0B 9D ED 16 0B 9D ED 18 1B ?? ?? ?? ?? 8D ED 1A 0B 9D ED 1A 0B 8D ED 00 0B 9D ED 16 0B 9D ED 18 1B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 1C 0B 8D ED 02 0B 68 46 ?? ?? ?? ?? AD F8 28 00 BD F9 28 30 AD F8 10 30 02 A8 ?? ?? ?? ?? AD F8 2A 00 BD F9 2A 30 AD F8 12 30 BD F9 10 30 02 2B 2C D1 BD F9 12 30 01 2B 14 D1 9D ED 00 1B C4 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 2A 1B 8D ED 28 0B 9D ED 28 0B 8D ED 06 0B 9D ED 2A 0B 8D ED 08 0B 67 E1 12 E0 9D ED 00 1B 9D ED 00 0B ?? ?? ?? ?? 8D ED 2E 1B 8D ED 2C 0B 9D ED 2C 0B 8D ED 06 0B 9D ED 2E 0B 8D ED 08 0B 53 E1 2F E0 BD F9 12 30 02 2B 2B D1 BD F9 10 30 01 2B 14 D1 9D ED 02 1B AC 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 32 1B 8D ED 30 0B 9D ED 30 0B 8D ED 06 0B 9D ED 32 0B 8D ED 08 0B 36 E1 12 E0 9D ED 02 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 36 1B 8D ED 34 0B 9D ED 34 0B 8D ED 06 0B 9D ED 36 0B 8D ED 08 0B 22 E1 9D ED 00 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 1E 0B 8D ED 10 0B BD F9 10 30 01 2B 03 D0 BD F9 12 30 01 2B 14 D1 9D ED 10 1B 8E 4B 93 ED 00 0B ?? ?? ?? ?? 8D ED 3A 1B 8D ED 38 0B 9D ED 38 0B 8D ED 06 0B 9D ED 3A 0B 8D ED 08 0B FA E0 F9 E0 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 00 0B B1 EE 40 0B 8D ED 00 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 9D ED 00 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 0B D2 9D ED 00 0B 8D ED 20 0B 9D ED 02 0B 8D ED 00 0B 9D ED 20 0B 8D ED 02 0B 9D ED 00 0B B5 EE 40 0B F1 EE 10 FA 19 D1 04 20 ?? ?? ?? ?? 9D ED 10 1B 67 4B 93 ED 00 0B B1 EE 40 0B ?? ?? ?? ?? 8D ED 3E 1B 8D ED 3C 0B 9D ED 3C 0B 8D ED 06 0B 9D ED 3E 0B 8D ED 08 0B AA E0 A9 E0 9D ED 00 1B 9F ED 59 0B B4 EE C0 1B F1 EE 10 FA 6E D8 9F ED 54 1B 9D ED 02 0B B4 EE C0 1B F1 EE 10 FA 65 D8 9D ED 00 0B 8D ED 0C 0B 9D ED 02 0B 8D ED 0E 0B 1A 21 0C A8 ?? ?? ?? ?? 1A 21 0E A8 ?? ?? ?? ?? 9D ED 0C 1B 9D ED 0C 0B 21 EE 00 1B B7 EE 00 0B 31 EE 40 2B 9D ED 0E 1B 9D ED 0E 0B 21 EE 00 0B 32 EE 00 0B 8D ED 12 0B 9D ED 00 1B 9D ED 0C 0B 31 EE 40 2B 9D ED 00 1B 9D ED 0C 0B 31 EE 00 0B 22 EE 00 3B 9D ED 02 1B 9D ED 0E 0B 31 EE 40 2B 9D ED 02 1B 9D ED 0E 0B 31 EE 00 0B 22 EE 00 0B 33 EE 00 1B 9D ED 12 0B 30 EE 01 0B 8D ED 12 0B 9D ED 12 0B ?? ?? ?? ?? 8D ED 22 0B 9D ED 10 1B B6 EE 00 2B 9D ED 22 0B 22 EE 00 0B ?? ?? ?? ?? 8D ED 42 1B 8D ED 40 0B 9D ED 40 0B 8D ED 06 0B 9D ED 42 0B 8D ED 08 0B 32 E0 31 E0 9D ED 02 1B 9D ED 00 0B 81 EE 00 0B 8D ED 14 0B 9D ED 00 0B ?? ?? ?? ?? 8D ED 26 0B 9D ED 14 1B 9D ED 14 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 24 0B 9D ED 10 1B B6 EE 00 2B 9D ED 24 0B 22 EE 00 2B 9D ED 26 0B 30 EE 02 0B ?? ?? ?? ?? 8D ED 46 1B 8D ED 44 0B 9D ED 44 0B 8D ED 06 0B 9D ED 46 0B 8D ED 08 0B 9D ED 06 0B 9D ED 08 1B 48 B0 BD E8 00 88 FE DE 9A 99 99 99 99 99 D9 3F CD CC CC CC CC CC EC 3F ?? ?? ?? ?? }
	condition:
		$1
}

rule file_590_3_0 {
	meta:
		name = "?_wcrtomb_s_l@@YAHQAHQADI_WQAU_Mbstatet@@QAU__crt_locale_pointers@@@Z"
		size = 424
		refs = "0028 _CrtDbgReportW 003a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0042 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00be _errno 00d0 ??1_LocaleUpdate@@QAA@XZ 0194 __imp_WideCharToMultiByte 0198 ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 019c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01a0 ??_C@_1BBK@OJOCBOE@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi@ 01a4 ??_C@_1GA@KCKCPAEB@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 9B B0 1F 9B 00 2B 02 D0 20 9B 00 2B 0E D8 62 4B 01 93 5F 4B 00 93 00 23 37 22 5C 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 23 99 08 A8 ?? ?? ?? ?? 19 90 08 A8 ?? ?? ?? ?? 0D 90 0D 9B 1B 68 1B 1D 1B 68 01 2B 18 D0 08 A8 ?? ?? ?? ?? 0E 90 0E 9B 1B 68 1B 1D 1B 68 02 2B 0E D0 4D 4B 01 93 4B 4B 00 93 00 23 3D 22 48 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 22 9B 00 2B 02 D0 22 9A 00 23 13 60 08 A8 ?? ?? ?? ?? 10 90 10 9B 1B 68 A0 33 08 33 1B 68 00 2B 2B D1 BD F8 84 30 FF 2B 14 DD 1E 9B 00 2B 03 D0 1E 9A 6F F0 00 03 13 60 ?? ?? ?? ?? 11 90 11 9A 2A 23 13 60 2A 23 12 93 08 A8 ?? ?? ?? ?? 12 9B 04 93 55 E0 BD F8 84 30 5A B2 1F 9B 1A 70 1E 9B 00 2B 02 D0 1E 9A 01 23 13 60 00 23 13 93 08 A8 ?? ?? ?? ?? 13 9B 04 93 42 E0 00 23 05 93 08 A8 ?? ?? ?? ?? 14 90 05 AB 03 93 00 23 02 93 20 9B 01 93 1F 9B 00 93 01 23 21 AA 00 21 14 98 00 68 08 30 00 68 1A 4C 24 68 A0 47 15 90 15 9B 06 93 06 9B 00 2B 02 D0 05 9B 00 2B 14 D0 1E 9B 00 2B 03 D0 1E 9A 6F F0 00 03 13 60 ?? ?? ?? ?? 16 90 16 9A 2A 23 13 60 2A 23 17 93 08 A8 ?? ?? ?? ?? 17 9B 04 93 0C E0 1E 9B 00 2B 02 D0 06 9A 1E 9B 1A 60 00 23 18 93 08 A8 ?? ?? ?? ?? 18 9B 04 93 04 98 1B B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_590_5_0 {
	meta:
		name = "internal_wcsrtombs"
		size = 516
		refs = "0008 __security_push_cookie 0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 0082 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 009e ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00b6 ?_wcrtomb_s_l@@YAHQAHQADI_WQAU_Mbstatet@@QAU__crt_locale_pointers@@@Z 00c8 ??1_LocaleUpdate@@QAA@XZ 0196 memcpy_s 01e6 __security_pop_cookie 01f4 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01f8 ??_C@_1CG@BMBAINBL@?$AAi?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA_?$AAw?$AAc?$AAs?$AAr?$AAt?$AAo?$AAm?$AAb?$AAs?$AA?$AA@ 01fc ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0200 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 99 B0 1D 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 72 4B 01 93 74 4B 00 93 00 23 BB 22 71 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 BB 23 67 4A 65 49 64 48 ?? ?? ?? ?? 6F F0 00 03 05 93 B8 E0 00 23 02 93 00 23 03 93 1D 9B 1B 68 04 93 00 21 12 A8 ?? ?? ?? ?? 1C 9B 00 2B 3A D1 06 E0 03 9A 02 9B 13 44 03 93 04 9B 9B 1C 04 93 12 A8 ?? ?? ?? ?? 0B 90 0B 9B 01 93 1F 9B 00 93 04 9B 1B 88 05 22 16 A9 02 A8 ?? ?? ?? ?? 02 9B 00 2B 09 DC 6F F0 00 03 0C 93 12 A8 ?? ?? ?? ?? 0C 9B 05 93 87 E0 15 E0 02 9B 5A 1E 01 23 02 FB 03 F2 16 AB 13 44 93 F9 00 30 00 2B 0A D1 03 9A 02 9B 13 44 5B 1E 0D 93 12 A8 ?? ?? ?? ?? 0D 9B 05 93 70 E0 C5 E7 0E E0 03 9A 02 9B 13 44 03 93 04 9B 9B 1C 04 93 1C 9A 02 9B 13 44 1C 93 1E 9A 02 9B D3 1A 1E 93 1E 9B 00 2B 52 D9 00 23 06 93 12 A8 ?? ?? ?? ?? 0E 90 0E 9B 1B 68 1B 1D 1E 9A 1B 68 9A 42 02 D2 16 AB 06 93 01 E0 1C 9B 06 93 12 A8 ?? ?? ?? ?? 0F 90 0F 9B 01 93 1F 9B 00 93 04 9B 1B 88 05 22 06 99 02 A8 ?? ?? ?? ?? 02 9B 00 2B 03 DC 6F F0 00 03 03 93 2A E0 1C 9A 06 9B 9A 42 00 D1 0B E0 1E 9A 02 9B 9A 42 01 D2 20 E0 05 E0 02 9B 16 AA 1E 99 1C 98 ?? ?? ?? ?? 02 9B 5A 1E 01 23 02 FB 03 F2 1C 9B 13 44 93 F9 00 30 00 2B 0D D1 1D 9A 00 23 13 60 03 9A 02 9B 13 44 5B 1E 10 93 12 A8 ?? ?? ?? ?? 10 9B 05 93 0A E0 9A E7 04 9A 1D 9B 1A 60 03 9B 11 93 12 A8 ?? ?? ?? ?? 11 9B 05 93 05 98 19 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_590_7_0 {
	meta:
		name = "wcrtomb"
		size = 66
		refs = "002e wcrtomb_s"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 6F F0 00 03 03 93 08 9B 00 2B 02 D1 00 23 02 93 01 E0 05 23 02 93 0A 9B 00 93 BD F8 24 30 02 9A 08 99 03 A8 ?? ?? ?? ?? 03 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_590_8_0 {
	meta:
		name = "wcrtomb_s"
		size = 244
		refs = "0008 __security_push_cookie 0044 _CrtDbgReportW 0058 _errno 0070 _invalid_parameter 009c ?_wcrtomb_s_l@@YAHQAHQADI_WQAU_Mbstatet@@QAU__crt_locale_pointers@@@Z 00d8 __security_pop_cookie 00e4 ??_C@_1JO@PEAMJHLL@?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi@ 00e8 ??_C@_1BE@BAKHEIOA@?$AAw?$AAc?$AAr?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$AA@ 00ec ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00f0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8F B0 13 9B 00 2B 02 D1 14 9B 00 2B 05 D0 13 9B 00 2B 02 D1 00 23 04 93 01 E0 01 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 2B 4B 01 93 2D 4B 00 93 00 23 84 22 2A 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 05 9B 00 2B 10 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 84 23 20 4A 1E 49 1D 48 ?? ?? ?? ?? 16 23 06 93 2C E0 00 23 03 93 6F F0 00 03 02 93 13 9B 00 2B 0E D1 00 23 01 93 16 9B 00 93 BD F8 54 30 05 22 0C A9 02 A8 ?? ?? ?? ?? 09 90 09 9B 03 93 0D E0 00 23 01 93 16 9B 00 93 BD F8 54 30 14 9A 13 99 02 A8 ?? ?? ?? ?? 0A 90 0A 9B 03 93 12 9B 00 2B 02 D0 02 9A 12 9B 1A 60 03 9B 06 93 06 98 0F B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_590_10_0 {
	meta:
		name = "wcsrtombs_s"
		size = 732
		refs = "0056 _CrtDbgReportW 006a _errno 0084 _invalid_parameter 00b2 _CrtGetDebugFillThreshold 00da memset 015c internal_wcsrtombs 02c4 ??_C@_1DK@PNOJMGLM@?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 02c8 ??_C@_1BI@JEFNCOO@?$AAw?$AAc?$AAs?$AAr?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$AA@ 02cc ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 02d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02d4 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02d8 ??_C@_1NA@NLPIAHDO@?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9E B0 20 9B 00 2B 03 D0 20 9A 6F F0 00 03 13 60 21 9B 00 2B 02 D1 22 9B 00 2B 08 D0 21 9B 00 2B 02 D0 22 9B 00 2B 02 D8 00 23 04 93 01 E0 01 23 04 93 04 9B 05 93 05 9B 00 2B 0F D1 A4 4B 01 93 A1 4B 00 93 00 23 4F F4 9B 72 9E 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 4F F4 9B 73 93 4A 91 49 95 48 ?? ?? ?? ?? 16 23 03 93 13 E1 21 9B 00 2B 24 D0 21 9A 00 23 13 70 22 9B B3 F1 FF 3F 1D D0 22 9A 6F F0 00 43 9A 42 18 D0 22 9B 01 2B 15 D9 ?? ?? ?? ?? 13 90 13 9B 06 93 22 9B 5A 1E 06 9B 93 42 02 D2 06 9B 07 93 02 E0 22 9B 5B 1E 07 93 07 9A FE 21 21 9B 58 1C ?? ?? ?? ?? 23 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0F D1 76 4B 01 93 74 4B 00 93 00 23 40 F2 3D 12 71 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 40 F2 3D 13 66 4A 64 49 67 48 ?? ?? ?? ?? 16 23 03 93 B9 E0 24 9A 22 9B 9A 42 02 D9 22 9B 0A 93 01 E0 24 9B 0A 93 25 9B 0A 9A 23 99 21 98 ?? ?? ?? ?? 16 90 16 9B 02 93 02 9B B3 F1 FF 3F 30 D1 21 9B 00 2B 24 D0 21 9A 00 23 13 70 22 9B B3 F1 FF 3F 1D D0 22 9A 6F F0 00 43 9A 42 18 D0 22 9B 01 2B 15 D9 ?? ?? ?? ?? 17 90 17 9B 0B 93 22 9B 5A 1E 0B 9B 93 42 02 D2 0B 9B 0C 93 02 E0 22 9B 5B 1E 0C 93 0C 9A FE 21 21 9B 58 1C ?? ?? ?? ?? ?? ?? ?? ?? 18 90 18 9B 1B 68 19 93 19 9B 03 93 72 E0 02 9B 5B 1C 02 93 21 9B 00 2B 64 D0 02 9A 22 9B 9A 42 57 D9 21 9A 00 23 13 70 22 9B B3 F1 FF 3F 1D D0 22 9A 6F F0 00 43 9A 42 18 D0 22 9B 01 2B 15 D9 ?? ?? ?? ?? 1A 90 1A 9B 0D 93 22 9B 5A 1E 0D 9B 93 42 02 D2 0D 9B 0E 93 02 E0 22 9B 5B 1E 0E 93 0E 9A FE 21 21 9B 58 1C ?? ?? ?? ?? 02 9A 22 9B 9A 42 02 D8 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0F D1 1E 4B 01 93 20 4B 00 93 00 23 4F F4 AA 72 1C 49 02 20 ?? ?? ?? ?? 1B 90 1B 9B 01 2B 00 D1 FE DE 10 9B 00 2B 11 D1 ?? ?? ?? ?? 1C 90 1C 9A 22 23 13 60 00 23 00 93 4F F4 AA 73 11 4A 10 49 0E 48 ?? ?? ?? ?? 22 23 03 93 10 E0 02 9B 5A 1E 01 23 02 FB 03 F2 21 9B 1A 44 00 23 13 70 20 9B 00 2B 02 D0 02 9A 20 9B 1A 60 00 23 03 93 03 98 1E B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_590_11_0 {
	meta:
		name = "wctob"
		size = 112
		refs = "0008 __security_push_cookie 003a ?_wcrtomb_s_l@@YAHQAHQADI_WQAU_Mbstatet@@QAU__crt_locale_pointers@@@Z 0064 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 89 B0 BD F8 30 20 4F F6 FF 73 9A 42 03 D1 6F F0 00 03 02 93 1E E0 6F F0 00 03 03 93 00 23 01 93 00 23 00 93 BD F8 30 30 05 22 06 A9 03 A8 ?? ?? ?? ?? 04 90 04 9B 05 93 05 9B 00 2B 07 D1 03 9B 01 2B 04 D1 06 AB 93 F9 00 30 02 93 02 E0 6F F0 00 03 02 93 02 98 09 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_591_0_0 {
	meta:
		name = "__acrt_initialize_command_line"
		size = 68
		refs = "0034 _wcmdln 0038 __imp_GetCommandLineW 003c _acmdln 0040 __imp_GetCommandLineA"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 0D 4B 1B 68 98 47 00 90 00 9A 0A 4B 1A 60 08 4B 1B 68 98 47 01 90 01 9A 04 4B 1A 60 01 23 8D F8 08 30 9D F8 08 00 04 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_591_9_0 {
	meta:
		name = "_get_pgmptr"
		size = 252
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00e4 _pgmptr 00e8 ??_C@_1CG@CKJHPBDG@?$AA_?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ec ??_C@_1BI@COAAPHJK@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?$AA@ 00f0 ??_C@_1GK@EMNILMBI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f8 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 34 4B 01 93 32 4B 00 93 00 23 33 22 2F 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 33 23 25 4A 23 49 26 48 ?? ?? ?? ?? 16 23 02 93 36 E0 1E 4B 1B 68 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 18 4B 01 93 1A 4B 00 93 00 23 34 22 17 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 34 23 0C 4A 0B 49 09 48 ?? ?? ?? ?? 16 23 02 93 05 E0 05 4B 1A 68 0E 9B 1A 60 00 23 02 93 02 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_591_10_0 {
	meta:
		name = "_get_wpgmptr"
		size = 252
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00e4 _wpgmptr 00e8 ??_C@_1CI@ENCADPBF@?$AA_?$AAw?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ec ??_C@_1BK@PNLDCCDP@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAw?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?$AA@ 00f0 ??_C@_1GK@EMNILMBI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f8 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0E 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 34 4B 01 93 32 4B 00 93 00 23 2A 22 2F 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 2A 23 25 4A 23 49 26 48 ?? ?? ?? ?? 16 23 02 93 36 E0 1E 4B 1B 68 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 18 4B 01 93 1A 4B 00 93 00 23 2B 22 17 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 2B 23 0C 4A 0B 49 09 48 ?? ?? ?? ?? 16 23 02 93 05 E0 05 4B 1A 68 0E 9B 1A 60 00 23 02 93 02 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_592_0_0 {
	meta:
		name = "__acrt_LCMapStringW"
		size = 100
		refs = "0014 wcsnlen 004e __acrt_LCMapStringEx"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8A B0 0F 9B 00 2B 10 DD 0F 99 0E 98 ?? ?? ?? ?? 07 90 07 9B 06 93 06 9A 0F 9B 9A 42 03 DA 06 9B 5B 1C 0F 93 01 E0 06 9B 0F 93 00 23 04 93 00 23 03 93 00 23 02 93 11 9B 01 93 10 9B 00 93 0F 9B 0E 9A 0D 99 0C 98 ?? ?? ?? ?? 08 90 08 9B 09 93 09 98 0A B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_593_3_0 {
	meta:
		name = "??$common_asctime@D@@YAPADQBUtm@@@Z"
		size = 172
		refs = "000c ?common_asctime_get_ptd_buffer@@YAPAPADD@Z 0030 _calloc_dbg 003a ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0046 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 0054 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 007c ??$common_asctime_s@D@@YAHQADIQBUtm@@@Z 00a4 ?static_buffer@?1???$common_asctime@D@@YAPADQBUtm@@@Z@4PADA 00a8 ??_C@_0DA@IPNMIMJM@minkernel?2crts?2ucrt?2src?2appcrt?2t@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 00 20 ?? ?? ?? ?? 06 90 06 9B 02 93 02 9B 00 2B 1D D0 02 9B 1B 68 00 2B 19 D1 AF 23 00 93 1F 4B 02 22 01 21 1A 20 ?? ?? ?? ?? 07 90 07 99 0B A8 ?? ?? ?? ?? 08 90 08 9B 09 93 09 98 ?? ?? ?? ?? 0A 90 0A 9A 02 9B 1A 60 0B A8 ?? ?? ?? ?? 02 9B 00 2B 07 D0 02 9B 1B 68 00 2B 03 D0 02 9B 1B 68 03 93 01 E0 0D 4B 03 93 03 9B 04 93 10 9A 1A 21 04 98 ?? ?? ?? ?? 0C 90 0C 9B 0D 93 0D 9B 00 2B 02 D0 00 23 05 93 01 E0 04 9B 05 93 05 98 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_4_0 {
	meta:
		name = "??$common_asctime@_W@@YAPA_WQBUtm@@@Z"
		size = 172
		refs = "000c ?common_asctime_get_ptd_buffer@@YAPAPA_W_W@Z 0030 _calloc_dbg 003a ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0046 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ 0054 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 007c ??$common_asctime_s@_W@@YAHQA_WIQBUtm@@@Z 00a4 ?static_buffer@?1???$common_asctime@_W@@YAPA_WQBUtm@@@Z@4PA_WA 00a8 ??_C@_0DA@IPNMIMJM@minkernel?2crts?2ucrt?2src?2appcrt?2t@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 00 20 ?? ?? ?? ?? 06 90 06 9B 02 93 02 9B 00 2B 1D D0 02 9B 1B 68 00 2B 19 D1 AF 23 00 93 1F 4B 02 22 02 21 1A 20 ?? ?? ?? ?? 07 90 07 99 0B A8 ?? ?? ?? ?? 08 90 08 9B 09 93 09 98 ?? ?? ?? ?? 0A 90 0A 9A 02 9B 1A 60 0B A8 ?? ?? ?? ?? 02 9B 00 2B 07 D0 02 9B 1B 68 00 2B 03 D0 02 9B 1B 68 03 93 01 E0 0D 4B 03 93 03 9B 04 93 10 9A 1A 21 04 98 ?? ?? ?? ?? 0C 90 0C 9B 0D 93 0D 9B 00 2B 02 D0 00 23 05 93 01 E0 04 9B 05 93 05 98 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_5_0 {
	meta:
		name = "??$common_asctime_s@D@@YAHQADIQBUtm@@@Z"
		size = 1632
		refs = "0040 _CrtDbgReportW 0054 _errno 0072 _invalid_parameter 009a _CrtGetDebugFillThreshold 00c2 memset 0444 ?__crt_time_is_day_valid@@YA_NHHH@Z 0550 ??$common_asctime_s_write_value@D@@YAPADPADH_N@Z 05ca ?__crt_get_century@@YAHH@Z 05e6 ?__crt_get_2digit_year@@YAHH@Z 0624 __mnames 0628 __dnames 062c ??_C@_1KA@NLEEEMI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AA_?$AAi?$AAs?$AA_?$AAd?$AAa?$AAy?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 0630 ??_C@_1CC@IDOLFAJE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0634 ??_C@_1GA@PNFFNPCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0638 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 063c ??_C@_1GC@KHFEGNII@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 0640 ??_C@_1GA@HMBNLCFH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 0644 ??_C@_1GA@BANGEJPH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 0648 ??_C@_1GE@OBNMCGKD@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 064c ??_C@_1GA@MFHDMJAG@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 0650 ??_C@_1CO@MDPFACGF@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0654 ??_C@_1CI@IBJHLOJE@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0658 ??_C@_1DK@JNPGCACB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAA?$AAS?$AAC?$AAB?$AAU?$AAF?$AAS?$AAI?$AAZ?$AAE?$AA?$AA@ 065c ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 BE B0 40 9B 00 2B 05 D0 41 9B 00 2B 02 D9 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 11 D1 DF F8 30 36 01 93 DF F8 04 36 00 93 00 23 3B 22 DF F8 F8 15 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 13 D1 ?? ?? ?? ?? 20 90 20 9A 16 23 13 60 00 23 00 93 3B 23 DF F8 CC 25 DF F8 C4 15 DF F8 EC 05 ?? ?? ?? ?? 16 23 03 93 CD E2 40 9A 00 23 13 70 41 9B B3 F1 FF 3F 1D D0 41 9A 6F F0 00 43 9A 42 18 D0 41 9B 01 2B 15 D9 ?? ?? ?? ?? 21 90 21 9B 09 93 41 9B 5A 1E 09 9B 93 42 02 D2 09 9B 0A 93 02 E0 41 9B 5B 1E 0A 93 0A 9A FE 21 40 9B 58 1C ?? ?? ?? ?? 41 9B 1A 2B 02 D3 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 11 D1 DF F8 74 35 01 93 DF F8 50 35 00 93 00 23 3F 22 DF F8 40 15 02 20 ?? ?? ?? ?? 22 90 22 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 13 D1 ?? ?? ?? ?? 23 90 23 9A 16 23 13 60 00 23 00 93 3F 23 DF F8 14 25 DF F8 0C 15 DF F8 30 05 ?? ?? ?? ?? 16 23 03 93 72 E2 42 9B 00 2B 02 D0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 11 D1 DF F8 04 35 01 93 DF F8 E4 34 00 93 00 23 40 22 DF F8 D4 14 02 20 ?? ?? ?? ?? 24 90 24 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 13 D1 ?? ?? ?? ?? 25 90 25 9A 16 23 13 60 00 23 00 93 40 23 DF F8 A8 24 DF F8 A0 14 DF F8 C0 04 ?? ?? ?? ?? 16 23 03 93 3C E2 42 9B 14 33 1B 68 00 2B 02 DB 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 11 D1 DF F8 90 34 01 93 DF F8 74 34 00 93 00 23 41 22 DF F8 64 14 02 20 ?? ?? ?? ?? 26 90 26 9B 01 2B 00 D1 FE DE 10 9B 00 2B 13 D1 ?? ?? ?? ?? 27 90 27 9A 16 23 13 60 00 23 00 93 41 23 DF F8 38 24 DF F8 30 14 DF F8 4C 04 ?? ?? ?? ?? 16 23 03 93 04 E2 42 9B 10 33 1B 68 00 2B 07 DB 42 9B 10 33 1B 68 0B 2B 02 DC 01 23 11 93 01 E0 00 23 11 93 11 9B 12 93 12 9B 00 2B 0F D1 DF F8 14 34 01 93 FE 4B 00 93 00 23 44 22 FB 49 02 20 ?? ?? ?? ?? 28 90 28 9B 01 2B 00 D1 FE DE 12 9B 00 2B 10 D1 ?? ?? ?? ?? 29 90 29 9A 16 23 13 60 00 23 00 93 44 23 F1 4A EF 49 F6 48 ?? ?? ?? ?? 16 23 03 93 CC E1 42 9B 08 33 1B 68 00 2B 07 DB 42 9B 08 33 1B 68 17 2B 02 DC 01 23 13 93 01 E0 00 23 13 93 13 9B 14 93 14 9B 00 2B 0E D1 E8 4B 01 93 E3 4B 00 93 00 23 45 22 E0 49 02 20 ?? ?? ?? ?? 2A 90 2A 9B 01 2B 00 D1 FE DE 14 9B 00 2B 10 D1 ?? ?? ?? ?? 2B 90 2B 9A 16 23 13 60 00 23 00 93 45 23 D5 4A D4 49 D9 48 ?? ?? ?? ?? 16 23 03 93 95 E1 42 9B 1B 1D 1B 68 00 2B 07 DB 42 9B 1B 1D 1B 68 3B 2B 02 DC 01 23 15 93 01 E0 00 23 15 93 15 9B 16 93 16 9B 00 2B 0E D1 CB 4B 01 93 C7 4B 00 93 00 23 46 22 C4 49 02 20 ?? ?? ?? ?? 2C 90 2C 9B 01 2B 00 D1 FE DE 16 9B 00 2B 10 D1 ?? ?? ?? ?? 2D 90 2D 9A 16 23 13 60 00 23 00 93 46 23 BA 4A B8 49 BD 48 ?? ?? ?? ?? 16 23 03 93 5E E1 42 9B 1B 68 00 2B 06 DB 42 9B 1B 68 3C 2B 02 DC 01 23 17 93 01 E0 00 23 17 93 17 9B 18 93 18 9B 00 2B 0E D1 B0 4B 01 93 AD 4B 00 93 00 23 47 22 AA 49 02 20 ?? ?? ?? ?? 2E 90 2E 9B 01 2B 00 D1 FE DE 18 9B 00 2B 10 D1 ?? ?? ?? ?? 2F 90 2F 9A 16 23 13 60 00 23 00 93 47 23 9F 4A 9E 49 A1 48 ?? ?? ?? ?? 16 23 03 93 29 E1 42 9B 18 33 1B 68 00 2B 07 DB 42 9B 18 33 1B 68 06 2B 02 DC 01 23 19 93 01 E0 00 23 19 93 19 9B 1A 93 1A 9B 00 2B 0E D1 93 4B 01 93 91 4B 00 93 00 23 48 22 8E 49 02 20 ?? ?? ?? ?? 30 90 30 9B 01 2B 00 D1 FE DE 1A 9B 00 2B 10 D1 ?? ?? ?? ?? 31 90 31 9A 16 23 13 60 00 23 00 93 48 23 84 4A 82 49 85 48 ?? ?? ?? ?? 16 23 03 93 F2 E0 42 9B 0C 33 1A 68 42 9B 10 33 19 68 42 9B 14 33 18 68 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 02 D0 01 23 1B 93 01 E0 00 23 1B 93 1B 9B 1C 93 1C 9B 00 2B 0E D1 70 4B 01 93 72 4B 00 93 00 23 4A 22 6F 49 02 20 ?? ?? ?? ?? 32 90 32 9B 01 2B 00 D1 FE DE 1C 9B 00 2B 10 D1 ?? ?? ?? ?? 33 90 33 9A 16 23 13 60 00 23 00 93 4A 23 65 4A 63 49 62 48 ?? ?? ?? ?? 16 23 03 93 B4 E0 40 9B 02 93 42 9B 18 33 1A 68 03 23 02 FB 03 F2 5A 4B 13 44 1D 93 1D 9B DB 1C 34 93 1D 9B 05 93 02 E0 05 9B 5B 1C 05 93 05 9A 34 9B 9A 42 08 D0 05 9B 93 F9 00 20 02 9B 1A 70 02 9B 5B 1C 02 93 EF E7 02 9A 20 23 13 70 02 9B 5B 1C 02 93 42 9B 10 33 1A 68 03 23 02 FB 03 F2 46 4B 13 44 1E 93 1E 9B DB 1C 35 93 1E 9B 06 93 02 E0 06 9B 5B 1C 06 93 06 9A 35 9B 9A 42 08 D0 06 9B 93 F9 00 20 02 9B 1A 70 02 9B 5B 1C 02 93 EF E7 02 9A 20 23 13 70 02 9B 5B 1C 02 93 00 22 42 9B 0C 33 19 68 02 98 ?? ?? ?? ?? 36 90 36 9B 02 93 02 9A 20 23 13 70 02 9B 5B 1C 02 93 01 22 42 9B 08 33 19 68 02 98 ?? ?? ?? ?? 37 90 37 9B 02 93 02 9A 3A 23 13 70 02 9B 5B 1C 02 93 01 22 42 9B 1B 1D 19 68 02 98 ?? ?? ?? ?? 38 90 38 9B 02 93 02 9A 3A 23 13 70 02 9B 5B 1C 02 93 01 22 42 9B 19 68 02 98 ?? ?? ?? ?? 39 90 39 9B 02 93 02 9A 20 23 13 70 02 9B 5B 1C 02 93 42 9B 14 33 18 68 ?? ?? ?? ?? 3A 90 01 22 3A 99 02 98 ?? ?? ?? ?? 3B 90 3B 9B 02 93 42 9B 14 33 18 68 ?? ?? ?? ?? 3C 90 01 22 3C 99 02 98 ?? ?? ?? ?? 3D 90 3D 9B 02 93 02 9A 0A 23 13 70 02 9B 5B 1C 02 93 02 9A 00 23 13 70 02 9B 5B 1C 02 93 00 23 03 93 03 98 3E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_6_0 {
	meta:
		name = "??$common_asctime_s@_W@@YAHQA_WIQBUtm@@@Z"
		size = 1644
		refs = "0040 _CrtDbgReportW 0054 _errno 0072 _invalid_parameter 009a _CrtGetDebugFillThreshold 00c8 memset 044c ?__crt_time_is_day_valid@@YA_NHHH@Z 055c ??$common_asctime_s_write_value@_W@@YAPA_WPA_WH_N@Z 05d6 ?__crt_get_century@@YAHH@Z 05f2 ?__crt_get_2digit_year@@YAHH@Z 0630 __mnames 0634 __dnames 0638 ??_C@_1KA@NLEEEMI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AA_?$AAi?$AAs?$AA_?$AAd?$AAa?$AAy?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 063c ??_C@_1CC@IDOLFAJE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0640 ??_C@_1GA@PNFFNPCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0644 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0648 ??_C@_1GC@KHFEGNII@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 064c ??_C@_1GA@HMBNLCFH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 0650 ??_C@_1GA@BANGEJPH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 0654 ??_C@_1GE@OBNMCGKD@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 0658 ??_C@_1GA@MFHDMJAG@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 065c ??_C@_1CO@MDPFACGF@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0660 ??_C@_1CI@IBJHLOJE@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0664 ??_C@_1DK@JNPGCACB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAA?$AAS?$AAC?$AAB?$AAU?$AAF?$AAS?$AAI?$AAZ?$AAE?$AA?$AA@ 0668 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 BE B0 40 9B 00 2B 05 D0 41 9B 00 2B 02 D9 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 11 D1 DF F8 3C 36 01 93 DF F8 10 36 00 93 00 23 3B 22 DF F8 04 16 02 20 ?? ?? ?? ?? 1F 90 1F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 13 D1 ?? ?? ?? ?? 20 90 20 9A 16 23 13 60 00 23 00 93 3B 23 DF F8 D8 25 DF F8 D0 15 DF F8 F8 05 ?? ?? ?? ?? 16 23 03 93 D3 E2 40 9A 00 23 13 80 41 9B B3 F1 FF 3F 20 D0 41 9A 6F F0 00 43 9A 42 1B D0 41 9B 01 2B 18 D9 ?? ?? ?? ?? 21 90 21 9B 09 93 41 9B 5A 1E 09 9B 93 42 02 D2 09 9B 0A 93 02 E0 41 9B 5B 1E 0A 93 0A 9A 02 23 02 FB 03 F2 FE 21 40 9B 98 1C ?? ?? ?? ?? 41 9B 1A 2B 02 D3 01 23 0B 93 01 E0 00 23 0B 93 0B 9B 0C 93 0C 9B 00 2B 11 D1 DF F8 7C 35 01 93 DF F8 54 35 00 93 00 23 3F 22 DF F8 48 15 02 20 ?? ?? ?? ?? 22 90 22 9B 01 2B 00 D1 FE DE 0C 9B 00 2B 13 D1 ?? ?? ?? ?? 23 90 23 9A 16 23 13 60 00 23 00 93 3F 23 DF F8 1C 25 DF F8 14 15 DF F8 38 05 ?? ?? ?? ?? 16 23 03 93 75 E2 42 9B 00 2B 02 D0 01 23 0D 93 01 E0 00 23 0D 93 0D 9B 0E 93 0E 9B 00 2B 11 D1 DF F8 0C 35 01 93 DF F8 E8 34 00 93 00 23 40 22 DF F8 DC 14 02 20 ?? ?? ?? ?? 24 90 24 9B 01 2B 00 D1 FE DE 0E 9B 00 2B 13 D1 ?? ?? ?? ?? 25 90 25 9A 16 23 13 60 00 23 00 93 40 23 DF F8 B0 24 DF F8 A8 14 DF F8 C8 04 ?? ?? ?? ?? 16 23 03 93 3F E2 42 9B 14 33 1B 68 00 2B 02 DB 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 11 D1 DF F8 98 34 01 93 DF F8 78 34 00 93 00 23 41 22 DF F8 6C 14 02 20 ?? ?? ?? ?? 26 90 26 9B 01 2B 00 D1 FE DE 10 9B 00 2B 13 D1 ?? ?? ?? ?? 27 90 27 9A 16 23 13 60 00 23 00 93 41 23 DF F8 40 24 DF F8 38 14 DF F8 54 04 ?? ?? ?? ?? 16 23 03 93 07 E2 42 9B 10 33 1B 68 00 2B 07 DB 42 9B 10 33 1B 68 0B 2B 02 DC 01 23 11 93 01 E0 00 23 11 93 11 9B 12 93 12 9B 00 2B 10 D1 DF F8 18 34 01 93 DF F8 00 34 00 93 00 23 44 22 FC 49 02 20 ?? ?? ?? ?? 28 90 28 9B 01 2B 00 D1 FE DE 12 9B 00 2B 10 D1 ?? ?? ?? ?? 29 90 29 9A 16 23 13 60 00 23 00 93 44 23 F2 4A F0 49 F7 48 ?? ?? ?? ?? 16 23 03 93 CE E1 42 9B 08 33 1B 68 00 2B 07 DB 42 9B 08 33 1B 68 17 2B 02 DC 01 23 13 93 01 E0 00 23 13 93 13 9B 14 93 14 9B 00 2B 0E D1 E9 4B 01 93 E4 4B 00 93 00 23 45 22 E1 49 02 20 ?? ?? ?? ?? 2A 90 2A 9B 01 2B 00 D1 FE DE 14 9B 00 2B 10 D1 ?? ?? ?? ?? 2B 90 2B 9A 16 23 13 60 00 23 00 93 45 23 D6 4A D5 49 DA 48 ?? ?? ?? ?? 16 23 03 93 97 E1 42 9B 1B 1D 1B 68 00 2B 07 DB 42 9B 1B 1D 1B 68 3B 2B 02 DC 01 23 15 93 01 E0 00 23 15 93 15 9B 16 93 16 9B 00 2B 0E D1 CC 4B 01 93 C8 4B 00 93 00 23 46 22 C5 49 02 20 ?? ?? ?? ?? 2C 90 2C 9B 01 2B 00 D1 FE DE 16 9B 00 2B 10 D1 ?? ?? ?? ?? 2D 90 2D 9A 16 23 13 60 00 23 00 93 46 23 BB 4A B9 49 BE 48 ?? ?? ?? ?? 16 23 03 93 60 E1 42 9B 1B 68 00 2B 06 DB 42 9B 1B 68 3C 2B 02 DC 01 23 17 93 01 E0 00 23 17 93 17 9B 18 93 18 9B 00 2B 0E D1 B1 4B 01 93 AE 4B 00 93 00 23 47 22 AB 49 02 20 ?? ?? ?? ?? 2E 90 2E 9B 01 2B 00 D1 FE DE 18 9B 00 2B 10 D1 ?? ?? ?? ?? 2F 90 2F 9A 16 23 13 60 00 23 00 93 47 23 A0 4A 9F 49 A2 48 ?? ?? ?? ?? 16 23 03 93 2B E1 42 9B 18 33 1B 68 00 2B 07 DB 42 9B 18 33 1B 68 06 2B 02 DC 01 23 19 93 01 E0 00 23 19 93 19 9B 1A 93 1A 9B 00 2B 0E D1 94 4B 01 93 92 4B 00 93 00 23 48 22 8F 49 02 20 ?? ?? ?? ?? 30 90 30 9B 01 2B 00 D1 FE DE 1A 9B 00 2B 10 D1 ?? ?? ?? ?? 31 90 31 9A 16 23 13 60 00 23 00 93 48 23 85 4A 83 49 86 48 ?? ?? ?? ?? 16 23 03 93 F4 E0 42 9B 0C 33 1A 68 42 9B 10 33 19 68 42 9B 14 33 18 68 ?? ?? ?? ?? 8D F8 10 00 9D F8 10 30 00 2B 02 D0 01 23 1B 93 01 E0 00 23 1B 93 1B 9B 1C 93 1C 9B 00 2B 0E D1 71 4B 01 93 73 4B 00 93 00 23 4A 22 70 49 02 20 ?? ?? ?? ?? 32 90 32 9B 01 2B 00 D1 FE DE 1C 9B 00 2B 10 D1 ?? ?? ?? ?? 33 90 33 9A 16 23 13 60 00 23 00 93 4A 23 66 4A 64 49 63 48 ?? ?? ?? ?? 16 23 03 93 B6 E0 40 9B 02 93 42 9B 18 33 1A 68 03 23 02 FB 03 F2 5B 4B 13 44 1D 93 1D 9B DB 1C 34 93 1D 9B 05 93 02 E0 05 9B 5B 1C 05 93 05 9A 34 9B 9A 42 09 D0 05 9B 93 F9 00 30 9A B2 02 9B 1A 80 02 9B 9B 1C 02 93 EE E7 02 9A 20 23 13 80 02 9B 9B 1C 02 93 42 9B 10 33 1A 68 03 23 02 FB 03 F2 47 4B 13 44 1E 93 1E 9B DB 1C 35 93 1E 9B 06 93 02 E0 06 9B 5B 1C 06 93 06 9A 35 9B 9A 42 09 D0 06 9B 93 F9 00 30 9A B2 02 9B 1A 80 02 9B 9B 1C 02 93 EE E7 02 9A 20 23 13 80 02 9B 9B 1C 02 93 00 22 42 9B 0C 33 19 68 02 98 ?? ?? ?? ?? 36 90 36 9B 02 93 02 9A 20 23 13 80 02 9B 9B 1C 02 93 01 22 42 9B 08 33 19 68 02 98 ?? ?? ?? ?? 37 90 37 9B 02 93 02 9A 3A 23 13 80 02 9B 9B 1C 02 93 01 22 42 9B 1B 1D 19 68 02 98 ?? ?? ?? ?? 38 90 38 9B 02 93 02 9A 3A 23 13 80 02 9B 9B 1C 02 93 01 22 42 9B 19 68 02 98 ?? ?? ?? ?? 39 90 39 9B 02 93 02 9A 20 23 13 80 02 9B 9B 1C 02 93 42 9B 14 33 18 68 ?? ?? ?? ?? 3A 90 01 22 3A 99 02 98 ?? ?? ?? ?? 3B 90 3B 9B 02 93 42 9B 14 33 18 68 ?? ?? ?? ?? 3C 90 01 22 3C 99 02 98 ?? ?? ?? ?? 3D 90 3D 9B 02 93 02 9A 0A 23 13 80 02 9B 9B 1C 02 93 02 9A 00 23 13 80 02 9B 9B 1C 02 93 00 23 03 93 03 98 3E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_593_7_0 {
	meta:
		name = "??$common_asctime_s_write_value@D@@YAPADPADH_N@Z"
		size = 102
		refs = "001c __rt_sdiv"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9B 0A 2B 03 DA 9D F8 18 30 00 2B 0C D0 05 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 5A B2 04 9B 1A 70 04 9B 5B 1C 04 93 05 E0 04 9A 20 23 13 70 04 9B 5B 1C 04 93 05 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 5A B2 04 9B 1A 70 04 9B 5B 1C 04 93 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_593_8_0 {
	meta:
		name = "??$common_asctime_s_write_value@_W@@YAPA_WPA_WH_N@Z"
		size = 102
		refs = "001c __rt_sdiv"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9B 0A 2B 03 DA 9D F8 18 30 00 2B 0C D0 05 99 0A 20 ?? ?? ?? ?? 00 F1 30 03 9A B2 04 9B 1A 80 04 9B 9B 1C 04 93 05 E0 04 9A 20 23 13 80 04 9B 9B 1C 04 93 05 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 9A B2 04 9B 1A 80 04 9B 9B 1C 04 93 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_593_13_0 {
	meta:
		name = "?__crt_get_2digit_year@@YAHH@Z"
		size = 36
		refs = "0012 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F2 6C 71 64 20 ?? ?? ?? ?? 00 91 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_593_14_0 {
	meta:
		name = "?__crt_get_century@@YAHH@Z"
		size = 36
		refs = "0012 __rt_sdiv"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 03 F2 6C 71 64 20 ?? ?? ?? ?? 00 90 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_593_16_0 {
	meta:
		name = "?common_asctime_get_ptd_buffer@@YAPAPADD@Z"
		size = 50
		refs = "000a __acrt_getptd_noexit"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 00 23 01 93 02 E0 00 9B 30 33 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_593_17_0 {
	meta:
		name = "?common_asctime_get_ptd_buffer@@YAPAPA_W_W@Z"
		size = 50
		refs = "000a __acrt_getptd_noexit"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 00 23 01 93 02 E0 00 9B 34 33 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_594_4_0 {
	meta:
		name = "??$common_set_variable_in_environment_nolock@D@@YAHQADH@Z"
		size = 792
		refs = "0010 _errno 0026 strchr 0052 _CrtDbgReportW 0062 strnlen 00a2 ??$copy_environment@D@@YAPAPADQAPAD@Z 00b8 __dcrt_get_or_create_narrow_environment_nolock 0114 _calloc_dbg 011e _free_dbg 0164 _strnicoll 01ca _recalloc_dbg 0246 strlen 026c strcpy_s 02e2 _invoke_watson 02e8 ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 02ec ??_C@_1EM@NIOJJLEA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAo?$AAp@ 02f0 ??_C@_1FE@KHMDCEEJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe@ 02f4 __imp_SetEnvironmentVariableA 02f8 ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@ 02fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0300 ??_C@_1EC@IKJPFBIM@?$AA?$CI?$AA?$CC?$AAC?$AAR?$AAT?$AA?5?$AAl?$AAo?$AAg?$AAi?$AAc?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?5?$AAi?$AAn?$AA?5?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ@ 0304 _wenviron_table 0308 __dcrt_initial_narrow_environment 030c _environ_table 0310 ??_C@_1GK@KBABANDM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5@ 0314 ??_C@_1DO@PANKIJNP@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?9?$AA?5?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 85 B0 06 46 04 91 36 B9 ?? ?? ?? ?? 16 23 03 60 6F F0 00 04 56 E1 3D 21 30 46 B0 46 03 96 ?? ?? ?? ?? 81 46 00 28 00 F0 43 81 B1 45 00 F0 40 81 83 1B 47 F6 FF 74 AF 4D A3 42 0B DB B3 4B A8 49 B6 22 01 93 00 23 02 20 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 09 F1 01 00 21 46 ?? ?? ?? ?? A0 42 0B D3 A9 4B 9E 49 B7 22 01 93 00 23 02 20 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 99 F9 01 30 0B B9 01 23 00 E0 00 23 9F 4F DF F8 74 A2 02 93 3C 68 DA F8 00 30 9C 42 04 D1 20 46 ?? ?? ?? ?? 04 46 3C 60 93 4B A4 B9 04 9A 94 4D 1A B3 2B 68 03 B3 ?? ?? ?? ?? 00 28 00 F0 FB 80 3C 68 DA F8 00 30 9C 42 04 D1 20 46 ?? ?? ?? ?? 04 46 3C 60 89 4D DD F8 08 A0 DC BB 88 4B 81 49 FE 22 01 93 00 23 02 20 00 95 ?? ?? ?? ?? 01 28 40 F0 E5 80 FE DE E2 E0 7F 4B DD F8 08 A0 BA F1 00 0F 01 D0 00 24 DC E0 E1 22 00 92 02 22 04 21 01 20 ?? ?? ?? ?? 38 60 00 20 02 21 ?? ?? ?? ?? 3C 68 00 2C 00 F0 CB 80 2B 68 8B B9 EB 23 00 93 71 4B 02 22 04 21 01 20 ?? ?? ?? ?? 28 60 00 20 02 21 ?? ?? ?? ?? 2B 68 00 2B 00 F0 B8 80 3C 68 6A 4D C2 E7 23 68 25 46 0F E0 29 68 A9 EB 06 02 30 46 ?? ?? ?? ?? 30 B9 2B 68 A9 EB 06 02 9B 56 3D 2B 32 D0 8B B3 2D 1D 2B 68 00 2B ED D1 2B 1B 9B 10 5D 42 00 2D 32 DB 23 68 83 B3 54 F8 25 00 02 21 ?? ?? ?? ?? BA F1 00 0F 21 D0 54 F8 25 30 4B B1 04 EB 85 02 53 68 6D 1C 13 60 04 EB 85 02 13 68 00 2B F7 D1 40 F2 19 13 01 93 4E 4B 04 22 29 46 00 93 02 23 20 46 ?? ?? ?? ?? 04 46 00 20 02 21 ?? ?? ?? ?? 84 B3 2E E0 2B 1B 9D 10 D1 E7 4F F0 00 08 CD F8 0C 80 44 F8 25 60 25 E0 BA F1 00 0F 87 D1 6D 42 A9 1C A9 42 60 D3 6F F0 40 43 99 42 5C D2 4F F4 9E 73 01 93 3A 4B 04 22 20 46 00 93 02 23 ?? ?? ?? ?? 04 46 00 20 02 21 ?? ?? ?? ?? 00 2C 4B D0 4F F0 00 08 04 EB 85 02 00 23 CD F8 0C 80 C2 E9 00 63 3C 60 04 9B 00 2B 3F F4 61 AF 30 46 ?? ?? ?? ?? 2B 4B 40 F2 51 12 04 46 00 92 02 22 A0 1C 01 21 ?? ?? ?? ?? 05 46 0D B9 00 24 1C E0 32 46 A1 1C 28 46 ?? ?? ?? ?? 80 BB AB 1B 00 22 BA F1 00 0F 4B 44 18 BF 00 21 1A 70 08 BF 59 1C 1B 4B 28 46 1B 68 98 47 60 B9 ?? ?? ?? ?? 2A 23 DD F8 0C 80 03 60 6F F0 00 04 02 21 28 46 ?? ?? ?? ?? 0C E0 02 21 28 46 ?? ?? ?? ?? DD F8 0C 80 26 E7 ?? ?? ?? ?? 16 23 03 60 6F F0 00 04 02 21 40 46 ?? ?? ?? ?? 20 46 05 B0 BD E8 F0 8F 06 49 05 48 03 4A 00 23 00 93 4F F4 AC 73 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_5_0 {
	meta:
		name = "??$common_set_variable_in_environment_nolock@_W@@YAHQA_WH@Z"
		size = 792
		refs = "0010 _errno 0026 wcschr 005a _CrtDbgReportW 0068 wcsnlen 00a6 ??$copy_environment@_W@@YAPAPA_WQAPA_W@Z 00be __dcrt_get_or_create_wide_environment_nolock 00f4 _calloc_dbg 00fe _free_dbg 0162 _wcsnicoll 01c6 _recalloc_dbg 0244 wcslen 026a wcscpy_s 02e2 _invoke_watson 02e8 ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 02ec ??_C@_1EM@NIOJJLEA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAo?$AAp@ 02f0 ??_C@_1FE@KHMDCEEJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe@ 02f4 __imp_SetEnvironmentVariableW 02f8 ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@ 02fc ??_C@_1EC@IKJPFBIM@?$AA?$CI?$AA?$CC?$AAC?$AAR?$AAT?$AA?5?$AAl?$AAo?$AAg?$AAi?$AAc?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?5?$AAi?$AAn?$AA?5?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ@ 0300 _environ_table 0304 __dcrt_initial_wide_environment 0308 _wenviron_table 030c ??_C@_1GK@KBABANDM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5@ 0310 ??_C@_1DO@PANKIJNP@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?9?$AA?5?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0314 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 85 B0 06 46 04 91 36 B9 ?? ?? ?? ?? 16 23 03 60 6F F0 00 04 56 E1 3D 21 30 46 B0 46 02 96 ?? ?? ?? ?? 04 46 00 2C 00 F0 43 81 B4 42 00 F0 40 81 A3 1B 5B 10 47 F6 FF 75 DF F8 D0 A2 03 93 AB 42 0C DB B1 4B A6 49 B6 22 01 93 00 23 02 20 CD F8 00 A0 ?? ?? ?? ?? 01 28 00 D1 FE DE A0 1C 29 46 ?? ?? ?? ?? A8 42 0C D3 A6 4B 9D 49 B7 22 01 93 00 23 02 20 CD F8 00 A0 ?? ?? ?? ?? 01 28 00 D1 FE DE 63 88 13 B9 4F F0 01 09 01 E0 4F F0 00 09 9B 4F 9A 4D 3C 68 2B 68 9C 42 04 D1 20 46 ?? ?? ?? ?? 04 46 3C 60 92 4A 00 2C 4E D1 92 4C 04 99 23 68 79 B1 73 B1 ?? ?? ?? ?? 00 28 00 F0 F8 80 3C 68 2B 68 9C 42 30 D1 20 46 ?? ?? ?? ?? 04 46 3C 60 2A E0 B9 F1 00 0F 01 D0 00 24 EE E0 9B B9 E1 23 00 93 13 46 02 22 04 21 01 20 ?? ?? ?? ?? 20 60 00 20 02 21 ?? ?? ?? ?? 23 68 00 2B 00 F0 DB 80 3C 68 0C BB 7A 4A EB 23 00 93 13 46 02 22 04 21 01 20 ?? ?? ?? ?? 38 60 00 20 02 21 ?? ?? ?? ?? 3C 68 00 2C 00 F0 C7 80 74 B9 71 4B 6C 49 FE 22 01 93 00 23 02 20 CD F8 00 A0 ?? ?? ?? ?? 01 28 40 F0 B9 80 FE DE B6 E0 23 68 DD F8 0C A0 25 46 0D E0 29 68 52 46 30 46 ?? ?? ?? ?? 28 B9 2B 68 33 F8 1A 30 3D 2B 32 D0 8B B3 2D 1D 2B 68 00 2B EF D1 2B 1B 9B 10 5D 42 00 2D 32 DB 23 68 83 B3 54 F8 25 00 02 21 ?? ?? ?? ?? B9 F1 00 0F 21 D0 54 F8 25 30 4B B1 04 EB 85 02 53 68 6D 1C 13 60 04 EB 85 02 13 68 00 2B F7 D1 40 F2 19 13 01 93 4F 4B 04 22 29 46 00 93 02 23 20 46 ?? ?? ?? ?? 04 46 00 20 02 21 ?? ?? ?? ?? 8C B3 2F E0 2B 1B 9D 10 D1 E7 4F F0 00 08 CD F8 08 80 44 F8 25 60 26 E0 B9 F1 00 0F 7F F4 77 AF 6D 42 A9 1C A9 42 61 D3 6F F0 40 43 99 42 5D D2 4F F4 9E 73 01 93 3B 4B 04 22 20 46 00 93 02 23 ?? ?? ?? ?? 04 46 00 20 02 21 ?? ?? ?? ?? 00 2C 4C D0 4F F0 00 08 04 EB 85 02 00 23 CD F8 08 80 C2 E9 00 63 3C 60 04 9B 00 2B 3F F4 50 AF 30 46 ?? ?? ?? ?? 2B 4B 40 F2 51 12 04 46 00 92 02 22 A0 1C 02 21 ?? ?? ?? ?? 05 46 0D B9 00 24 1D E0 32 46 A1 1C 28 46 ?? ?? ?? ?? 88 BB 0A F1 01 03 05 EB 43 01 00 23 21 F8 02 3C 1D 4B B9 F1 00 0F 18 BF 00 21 1B 68 28 46 98 47 60 B9 ?? ?? ?? ?? 2A 23 DD F8 08 80 03 60 6F F0 00 04 02 21 28 46 ?? ?? ?? ?? 0C E0 02 21 28 46 ?? ?? ?? ?? DD F8 08 80 14 E7 ?? ?? ?? ?? 16 23 03 60 6F F0 00 04 02 21 40 46 ?? ?? ?? ?? 20 46 05 B0 BD E8 F0 8F 06 49 05 48 03 4A 00 23 00 93 4F F4 AC 73 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_6_0 {
	meta:
		name = "??$copy_environment@D@@YAPAPADQAPAD@Z"
		size = 176
		refs = "002e _calloc_dbg 0042 strlen 005e _free_dbg 006a strcpy_s 0086 abort 0096 _invoke_watson 00a0 ??_C@_1GG@EDHOMIDL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAn?$AAe?$AAw?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr@ 00a4 ??_C@_1CC@PIMGMDJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 00a8 ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00ac ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 04 46 0C B9 00 25 37 E0 23 68 00 22 21 46 02 E0 51 F8 04 3F 52 1C 00 2B FA D1 31 23 00 93 21 4B 50 1C 02 22 04 21 ?? ?? ?? ?? 05 46 3D B3 23 68 F3 B1 2E 1B 4F F0 3C 08 20 68 ?? ?? ?? ?? 19 4B 07 46 78 1C 02 22 01 21 CD F8 00 80 ?? ?? ?? ?? 30 51 00 20 02 21 ?? ?? ?? ?? 30 59 C8 B1 22 68 79 1C ?? ?? ?? ?? 60 B9 54 F8 04 3F 00 2B E3 D1 02 21 00 20 ?? ?? ?? ?? 28 46 BD E8 FE 89 ?? ?? ?? ?? 07 4A 05 49 04 48 00 23 00 93 42 23 ?? ?? ?? ?? ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_7_0 {
	meta:
		name = "??$copy_environment@_W@@YAPAPA_WQAPA_W@Z"
		size = 176
		refs = "002e _calloc_dbg 0042 wcslen 005e _free_dbg 006a wcscpy_s 0086 abort 0096 _invoke_watson 00a0 ??_C@_1GG@EDHOMIDL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAn?$AAe?$AAw?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr@ 00a4 ??_C@_1CC@PIMGMDJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 00a8 ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00ac ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 04 46 0C B9 00 25 37 E0 23 68 00 22 21 46 02 E0 51 F8 04 3F 52 1C 00 2B FA D1 31 23 00 93 21 4B 50 1C 02 22 04 21 ?? ?? ?? ?? 05 46 3D B3 23 68 F3 B1 2E 1B 4F F0 3C 08 20 68 ?? ?? ?? ?? 19 4B 07 46 78 1C 02 22 02 21 CD F8 00 80 ?? ?? ?? ?? 30 51 00 20 02 21 ?? ?? ?? ?? 30 59 C8 B1 22 68 79 1C ?? ?? ?? ?? 60 B9 54 F8 04 3F 00 2B E3 D1 02 21 00 20 ?? ?? ?? ?? 28 46 BD E8 FE 89 ?? ?? ?? ?? 07 4A 05 49 04 48 00 23 00 93 42 23 ?? ?? ?? ?? ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_8_0 {
	meta:
		name = "??$ensure_current_environment_is_not_initial_environment_nolock@D@@YAXXZ"
		size = 40
		refs = "0014 ??$copy_environment@D@@YAPAPADQAPAD@Z 0020 __dcrt_initial_narrow_environment 0024 _environ_table"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 06 4C 05 4B 20 68 1B 68 98 42 02 D1 ?? ?? ?? ?? 20 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_9_0 {
	meta:
		name = "??$ensure_current_environment_is_not_initial_environment_nolock@_W@@YAXXZ"
		size = 40
		refs = "0014 ??$copy_environment@_W@@YAPAPA_WQAPA_W@Z 0020 __dcrt_initial_wide_environment 0024 _wenviron_table"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 06 4C 05 4B 20 68 1B 68 98 42 02 D1 ?? ?? ?? ?? 20 60 BD E8 18 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_10_0 {
	meta:
		name = "??$find_in_environment_nolock@D@@YAHQBDI@Z"
		size = 72
		refs = "001c _strnicoll 0044 _environ_table"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0E 4B 0E 46 07 46 1D 68 2B 68 2C 46 0C E0 21 68 32 46 38 46 ?? ?? ?? ?? 20 B9 23 68 9B 57 3D 2B 09 D0 43 B1 24 1D 23 68 00 2B F0 D1 63 1B 9B 10 58 42 BD E8 F0 88 63 1B 98 10 FA E7 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_594_11_0 {
	meta:
		name = "??$find_in_environment_nolock@_W@@YAHQB_WI@Z"
		size = 76
		refs = "001c _wcsnicoll 0048 _wenviron_table"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0F 4B 0E 46 07 46 1D 68 2B 68 2C 46 0D E0 21 68 32 46 38 46 ?? ?? ?? ?? 28 B9 23 68 33 F8 16 30 3D 2B 09 D0 43 B1 24 1D 23 68 00 2B EF D1 63 1B 9B 10 58 42 BD E8 F0 88 63 1B 98 10 FA E7 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_0_0 {
	meta:
		name = "??$common_time@J@@YAJQAJ@Z"
		size = 70
		refs = "0010 memset 0018 ??$common_timespec_get@U_timespec32@@@@YAHQAU_timespec32@@H@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 08 22 00 21 02 A8 ?? ?? ?? ?? 01 21 02 A8 ?? ?? ?? ?? 00 90 00 9B 01 2B 02 D0 6F F0 00 03 02 93 06 9B 00 2B 02 D0 02 9A 06 9B 1A 60 02 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_595_1_0 {
	meta:
		name = "??$common_time@_J@@YA_JQA_J@Z"
		size = 96
		refs = "0008 __security_push_cookie 0014 memset 001c ??$common_timespec_get@U_timespec64@@@@YAHQAU_timespec64@@H@Z 0054 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 89 B0 10 22 00 21 04 A8 ?? ?? ?? ?? 01 21 04 A8 ?? ?? ?? ?? 00 90 00 9B 01 2B 05 D0 6F F0 00 03 04 93 6F F0 00 03 05 93 0C 9B 00 2B 05 D0 04 9A 0C 9B 1A 60 05 9A 0C 9B 5A 60 04 9A 05 9B 02 92 03 93 02 98 03 99 09 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_595_2_0 {
	meta:
		name = "??$common_timespec_get@U_timespec32@@@@YAHQAU_timespec32@@H@Z"
		size = 328
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 007e memset 0084 __acrt_GetSystemTimePreciseAsFileTime 00aa __rt_sdiv64 0138 ??_C@_1BM@DGNILAKJ@?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 013c ??_C@_1CI@PADPINCL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAi?$AAm?$AAe?$AAs?$AAp?$AAe?$AAc?$AA_?$AAg?$AAe?$AAt?$AA?$AA@ 0140 ??_C@_1FK@PHFCCLNI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0144 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 9B B0 1E 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 44 4B 01 93 46 4B 00 93 00 23 14 22 43 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 14 23 38 4A 37 49 35 48 ?? ?? ?? ?? 00 23 02 93 57 E0 1F 9B 01 2B 02 D0 00 23 02 93 51 E0 08 22 00 21 0E A8 ?? ?? ?? ?? 0E A8 ?? ?? ?? ?? 28 4B 14 93 00 23 15 93 0E 98 0F 99 27 4A 26 4B 82 1A 61 EB 03 03 0A 92 0B 93 22 48 00 21 0A 9A 0B 9B ?? ?? ?? ?? 17 93 16 92 0C 90 0D 91 1D 48 00 21 0A 9A 0B 9B ?? ?? ?? ?? 1C 46 19 91 18 90 05 92 05 9A 00 23 02 FB 03 F2 64 23 04 FB 03 F3 D1 18 05 9A 64 23 A2 FB 03 23 0B 44 12 92 13 93 0C 9B 10 93 0D 9B 11 93 10 9B 08 93 11 9B 00 2B 07 DB 03 DC 08 9A 0A 4B 9A 42 02 D9 00 23 02 93 08 E0 0C 9A 1E 9B 1A 60 12 9A 1E 9B 1B 1D 1A 60 1F 9B 02 93 02 98 1B B0 BD E8 10 08 5D F8 0C FB 7F D2 FF 7F 80 96 98 00 DE B1 9D 01 00 80 3E D5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_3_0 {
	meta:
		name = "??$common_timespec_get@U_timespec64@@@@YAHQAU_timespec64@@H@Z"
		size = 340
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 007e memset 0084 __acrt_GetSystemTimePreciseAsFileTime 00aa __rt_sdiv64 0144 ??_C@_1BM@DGNILAKJ@?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0148 ??_C@_1CI@PADPINCL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAi?$AAm?$AAe?$AAs?$AAp?$AAe?$AAc?$AA_?$AAg?$AAe?$AAt?$AA?$AA@ 014c ??_C@_1FK@PHFCCLNI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0150 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 9B B0 1E 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 47 4B 01 93 49 4B 00 93 00 23 14 22 46 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 14 23 3B 4A 3A 49 38 48 ?? ?? ?? ?? 00 23 02 93 5C E0 1F 9B 01 2B 02 D0 00 23 02 93 56 E0 08 22 00 21 0E A8 ?? ?? ?? ?? 0E A8 ?? ?? ?? ?? 2B 4B 14 93 00 23 15 93 0E 98 0F 99 2A 4A 29 4B 82 1A 61 EB 03 03 0A 92 0B 93 25 48 00 21 0A 9A 0B 9B ?? ?? ?? ?? 17 93 16 92 0C 90 0D 91 20 48 00 21 0A 9A 0B 9B ?? ?? ?? ?? 1C 46 19 91 18 90 05 92 05 9A 00 23 02 FB 03 F2 64 23 04 FB 03 F3 D1 18 05 9A 64 23 A2 FB 03 23 0B 44 12 92 13 93 0C 9B 10 93 0D 9B 11 93 10 9B 09 93 11 9B 07 2B 07 DB 03 DC 09 9A 0D 4B 9A 42 02 D9 00 23 02 93 0D E0 1E 9B 06 93 0C 9A 06 9B 1A 60 0D 9A 06 9B 5A 60 12 9A 1E 9B 08 33 1A 60 1F 9B 02 93 02 98 1B B0 BD E8 10 08 5D F8 0C FB FE DE FF 2A 58 93 80 96 98 00 DE B1 9D 01 00 80 3E D5 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_596_0_0 {
	meta:
		name = "ceil"
		size = 532
		refs = "009e _handle_nan"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B B3 B0 8D ED 24 0B 9D ED 24 0B 53 EC 10 2B 00 92 01 93 00 9A 01 9B 23 F0 00 43 02 92 03 93 00 9B 18 93 01 9B 19 93 02 9B 1A 93 03 9B 1B 93 19 9B 10 93 1B 9B 11 93 18 9A 1A 9B 9A 42 03 D1 10 9A 11 9B 9A 42 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9A 06 9B DB 17 0A 92 0B 93 02 9B 1C 93 03 9B 1D 93 1C 9B 12 93 1D 9A 67 4B 9A 42 23 D3 02 D8 12 9B 00 2B 1F D3 02 9B 1E 93 03 9B 1F 93 1E 9B 13 93 1F 9A 5E 4B 9A 42 0F D3 02 D8 13 9B 00 2B 0B D9 00 98 01 99 ?? ?? ?? ?? 8D ED 30 0B 9D ED 30 0B 8D ED 08 0B A6 E0 04 E0 9D ED 24 0B 8D ED 08 0B A0 E0 9F E0 02 9B 20 93 03 9B 21 93 20 9B 14 93 21 9A 4F 4B 9A 42 2E D8 02 D3 14 9B 00 2B 2A D2 02 9B 22 93 03 9B 23 93 23 9A 22 9B 13 43 00 2B 05 D1 9D ED 24 0B 8D ED 08 0B 83 E0 1A E0 0A 9B 26 93 0B 9B 27 93 27 9A 26 9B 13 43 00 2B 0C D0 00 22 4F F0 00 43 43 EC 10 2B 8D ED 0E 0B 9D ED 0E 0B 8D ED 08 0B 6D E0 04 E0 B7 EE 00 0B 8D ED 08 0B 67 E0 66 E0 01 9A 35 4B 13 40 18 0D 40 F2 FF 32 00 21 00 23 82 1A 61 EB 03 03 2E 92 2F 93 01 23 04 93 00 23 05 93 2E 9B C3 F1 34 04 05 9B 03 FA 04 F1 C4 F1 20 02 04 9B D3 40 41 EA 03 00 A4 F1 20 02 04 9B 03 FA 02 F1 04 9B 03 FA 04 F2 01 43 00 23 52 1E 61 EB 03 03 04 92 05 93 04 9B DA 43 05 9B D9 43 00 9B 1A 40 01 9B 0B 40 0C 92 0D 93 0C 9A 0D 9B 43 EC 10 2B 8D ED 0E 0B 0A 9B 28 93 0B 9B 29 93 29 9A 28 9B 13 43 00 2B 13 D1 0C 9B 2A 93 0D 9B 2B 93 00 9B 2C 93 01 9B 2D 93 2B 9B 15 93 2D 9B 16 93 2A 9A 2C 9B 9A 42 09 D1 15 9A 16 9B 9A 42 05 D1 9D ED 0E 0B 8D ED 08 0B 08 E0 07 E0 9D ED 0E 1B B7 EE 00 0B 31 EE 00 0B 8D ED 08 0B 9D ED 08 0B 33 B0 BD E8 10 88 00 00 F0 7F 00 00 F0 3F 00 00 40 43 }
	condition:
		$1
}

rule file_599_0_0 {
	meta:
		name = "_CrtDefaultAllocHook"
		size = 26
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 01 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_601_0_0 {
	meta:
		name = "?xcptlookup@@YAPAU__crt_signal_action_t@@KQAU1@@Z"
		size = 74
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9B 01 93 01 9B 90 33 03 93 01 9B 00 93 02 E0 00 9B 0C 33 00 93 00 9A 03 9B 9A 42 08 D0 00 9B 1A 68 06 9B 9A 42 02 D1 00 9B 02 93 02 E0 EF E7 00 23 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_601_1_0 {
	meta:
		name = "_seh_filter_dll"
		size = 56
		refs = "001c _seh_filter_exe"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 09 4B 9A 42 02 D0 00 23 00 93 06 E0 05 99 04 98 ?? ?? ?? ?? 01 90 01 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE 63 73 6D E0 }
	condition:
		$1
}

rule file_601_2_0 {
	meta:
		name = "_seh_filter_exe"
		size = 484
		refs = "000c __acrt_getptd_noexit 0028 ?xcptlookup@@YAPAU__crt_signal_action_t@@KQAU1@@Z 01d4 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 8E B0 ?? ?? ?? ?? 09 90 09 9B 00 93 00 9B 00 2B 02 D1 00 23 03 93 D1 E0 00 9B 19 68 12 98 ?? ?? ?? ?? 0A 90 0A 9B 02 93 02 9B 00 2B 02 D1 00 23 03 93 C3 E0 02 9B 08 33 1B 68 04 93 04 9B 00 2B 02 D1 00 23 03 93 B9 E0 04 9B 05 2B 07 D1 02 9B 03 F1 08 02 00 23 13 60 01 23 03 93 AE E0 04 9B 01 2B 03 D1 6F F0 00 03 03 93 A7 E0 00 9B 1B 1D 1B 68 0D 93 00 9B 1A 1D 13 9B 13 60 02 9B 1B 1D 1B 68 08 2B 40 F0 82 80 00 9B 1B 68 24 33 06 93 06 9B 6C 33 0B 93 06 9B 05 93 02 E0 05 9B 0C 33 05 93 05 9A 0B 9B 9A 42 05 D0 05 9B 03 F1 08 02 00 23 13 60 F2 E7 00 9B 08 33 1B 68 0C 93 02 9B 1B 68 01 93 01 9A 43 4B 9A 42 11 D8 01 9A 41 4B 9A 42 42 D0 01 9A 3E 4B D3 1A 01 93 01 9B 06 2B 40 D8 01 9A DF E8 02 F0 21 09 27 0F 15 2D 1B 1B 01 9A 36 4B 9A 42 2A D0 34 E0 00 9B 03 F1 08 02 83 23 13 60 2E E0 00 9B 03 F1 08 02 81 23 13 60 28 E0 00 9B 03 F1 08 02 84 23 13 60 22 E0 00 9B 03 F1 08 02 85 23 13 60 1C E0 00 9B 03 F1 08 02 82 23 13 60 16 E0 00 9B 03 F1 08 02 86 23 13 60 10 E0 00 9B 03 F1 08 02 8A 23 13 60 0A E0 00 9B 03 F1 08 02 8D 23 13 60 04 E0 00 9B 03 F1 08 02 8E 23 13 60 00 9B 08 33 1D 68 08 24 04 9B 07 93 07 98 15 4B 1B 68 98 47 07 9B 20 46 29 46 98 47 00 9B 03 F1 08 02 0C 9B 13 60 10 E0 02 9B 03 F1 08 02 00 23 13 60 02 9B 1B 1D 1C 68 04 9B 08 93 08 98 09 4B 1B 68 98 47 08 9B 20 46 98 47 00 9B 1A 1D 0D 9B 13 60 6F F0 00 03 03 93 03 98 0E B0 BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? B5 02 00 C0 8D 00 00 C0 B4 02 00 C0 }
	condition:
		$1
}

rule file_602_5_0 {
	meta:
		name = "_ismbclegal_l"
		size = 78
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? 02 9A 23 0A 52 FA 83 F3 5B 7E 13 F0 04 0F 07 D0 52 FA 84 F3 5B 7E 13 F0 08 0F 18 BF 01 20 00 D1 00 20 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_603_0_0 {
	meta:
		name = "free"
		size = 44
		refs = "001e _free_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BF F3 5B 8F 00 23 00 93 00 9B 01 93 BF F3 5B 8F 01 21 04 98 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_605_0_0 {
	meta:
		name = "atanf"
		size = 896
		refs = "01b8 _handle_nanf 0200 valf_with_flags 0340 ?piby2@?1??atanf@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 B0 B0 8D ED 0B 0A 9D ED 0B 0A B7 EE C0 0A 8D ED 00 0B 9D ED 00 0B 53 EC 10 2B 10 92 11 93 10 9A 11 9B 23 F0 00 43 02 92 03 93 11 9B 03 F0 00 42 00 23 08 93 09 92 9D ED 00 0B 8D ED 04 0B 08 9B 1C 93 09 9B 1D 93 1D 9A 1C 9B 13 43 00 2B 05 D0 9D ED 00 0B B1 EE 40 0B 8D ED 04 0B 02 9B 1E 93 03 9B 1F 93 1E 9B 12 93 1F 9A C2 4B 9A 42 0C D8 02 D3 12 9B 00 2B 08 D2 9D ED 04 0B 8D ED 00 0B 9F ED BB 0B 8D ED 0E 0B DC E0 02 9B 20 93 03 9B 21 93 20 9B 13 93 21 9A B4 4B 9A 42 1C D8 02 D3 13 9B 00 2B 18 D2 B0 EE 00 1B 9D ED 04 0B 21 EE 00 1B B7 EE 00 0B 31 EE 40 2B B0 EE 00 1B 9D ED 04 0B 31 EE 00 0B 82 EE 00 0B 8D ED 00 0B 9F ED A4 0B 8D ED 0E 0B B5 E0 02 9B 22 93 03 9B 23 93 22 9B 14 93 23 9A 9D 4B 9A 42 18 D8 02 D3 14 9B 00 2B 14 D2 9D ED 04 1B B7 EE 00 0B 31 EE 40 2B B7 EE 00 1B 9D ED 04 0B 31 EE 00 0B 82 EE 00 0B 8D ED 00 0B 9F ED 90 0B 8D ED 0E 0B 92 E0 02 9B 24 93 03 9B 25 93 24 9B 15 93 25 9A 89 4B 9A 42 1C D8 02 D3 15 9B 00 2B 18 D2 9D ED 04 1B B7 EE 08 0B 31 EE 40 2B B7 EE 08 1B 9D ED 04 0B 21 EE 00 1B B7 EE 00 0B 30 EE 01 0B 82 EE 00 0B 8D ED 00 0B 9F ED 79 0B 8D ED 0E 0B 6B E0 02 9B 26 93 03 9B 27 93 26 9B 16 93 27 9A 72 4B 9A 42 06 D3 02 D8 16 9B 00 2B 02 D9 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 17 93 17 9B 00 2B 14 D0 9D ED 0B 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 18 93 18 98 00 21 ?? ?? ?? ?? 8D ED 19 0A 9D ED 19 0A 8D ED 06 0A 98 E0 32 E0 9D ED 04 1B 9F ED 5C 0B B4 EE C0 1B F1 EE 10 FA 29 DD 08 9B 28 93 09 9B 29 93 29 9A 28 9B 13 43 00 2B 11 D0 10 20 53 4B 93 ED 00 0B B1 EE 40 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 1A 0A 9D ED 1A 0A 8D ED 06 0A 74 E0 0E E0 10 20 4A 4B 93 ED 00 0B B7 EE C0 0B ?? ?? ?? ?? 8D ED 1B 0A 9D ED 1B 0A 8D ED 06 0A 64 E0 BF EE 00 1B 9D ED 04 0B 81 EE 00 0B 8D ED 00 0B 9F ED 3D 0B 8D ED 0E 0B 9D ED 00 1B 9D ED 00 0B 21 EE 00 0B 8D ED 0C 0B 9D ED 00 1B 9D ED 0C 0B 21 EE 00 2B 9F ED 32 1B 9D ED 0C 0B 21 EE 00 1B 9F ED 2D 0B 30 EE 01 1B 9D ED 0C 0B 21 EE 00 1B 9F ED 27 0B 30 EE 01 0B 22 EE 00 2B 9F ED 22 1B 9D ED 0C 0B 21 EE 00 1B 9F ED 1D 0B 30 EE 01 1B 9D ED 0C 0B 21 EE 00 1B 9F ED 17 0B 30 EE 01 0B 82 EE 00 0B 8D ED 2E 0B 9D ED 2E 1B 9D ED 00 0B 31 EE 40 1B 9D ED 0E 0B 30 EE 41 0B 8D ED 2C 0B 08 9B 2A 93 09 9B 2B 93 2B 9A 2A 9B 13 43 00 2B 05 D0 9D ED 2C 0B B1 EE 40 0B 8D ED 2C 0B 9D ED 2C 0B B7 EE C0 0B 8D ED 06 0A 9D ED 06 0A 30 B0 BD E8 00 88 FE DE F0 53 10 A2 7C 77 EC 3F A4 6E DA 93 87 C5 F1 3F AA F2 2C DF E3 27 D3 3F 34 78 90 16 53 FA D2 3F 7F EE 81 3A 17 9E C8 3F 2A A2 8D 75 6A 47 73 3F 18 2D 44 54 FB 21 F9 3F ?? ?? ?? ?? 00 00 00 00 00 20 D3 43 00 00 F0 7F 9B F6 81 D2 0B 73 EF 3F 00 80 03 40 18 2D 44 54 FB 21 E9 3F 00 00 F3 3F 4F BB 61 05 67 AC DD 3F 00 00 E6 3F 00 00 00 00 00 00 00 00 00 00 DC 3F }
	condition:
		$1
}

rule file_606_0_0 {
	meta:
		name = "frexp"
		size = 440
		refs = "0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 0078 _ctrlfp 00a0 _sptype 010a _except1 012e _dsign 0166 _decomp 01a8 ??_C@_1BO@KGGHBFPG@?$AAe?$AAx?$AAp?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01ac ??_C@_1M@KFLMCEDC@?$AAf?$AAr?$AAe?$AAx?$AAp?$AA?$AA@ 01b0 ??_C@_1FI@OJDKKACH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 98 B0 8D ED 0C 0B 1A 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 5F 4B 01 93 61 4B 00 93 00 23 21 22 5E 49 02 20 ?? ?? ?? ?? 06 90 06 9B 01 2B 00 D1 FE DE 05 9B 00 2B 12 D1 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 21 23 54 4A 52 49 51 48 ?? ?? ?? ?? 9F ED 4D 0B 8D ED 0E 0B 89 E0 48 49 4F F4 1F 40 ?? ?? ?? ?? 08 90 08 9B 02 93 BD F8 36 20 47 F6 F0 73 1A 40 47 F6 F0 73 9A 42 43 D1 1A 9A 6F F0 00 03 13 60 9D ED 0C 0B ?? ?? ?? ?? 09 90 09 9B 03 93 03 9B 01 2B 06 D0 03 9B 02 2B 0C D0 03 9B 03 2B 12 D0 1A E0 35 49 02 98 ?? ?? ?? ?? 9D ED 0C 0B 8D ED 0E 0B 5A E0 30 49 02 98 ?? ?? ?? ?? 9D ED 0C 0B 8D ED 0E 0B 51 E0 2C 49 02 98 ?? ?? ?? ?? 9D ED 0C 0B 8D ED 0E 0B 48 E0 02 9A 9D ED 0C 1B B7 EE 00 0B 31 EE 00 1B 9D ED 0C 0B 17 21 08 20 ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 0B 8D ED 0E 0B 34 E0 9D ED 0C 0B B5 EE 40 0B F1 EE 10 FA 1A D1 9D ED 0C 0B ?? ?? ?? ?? 0A 90 0A 9B 00 2B 12 D0 1A 9A 00 23 13 60 02 9A 9F ED 15 1B 9D ED 0C 0B 17 21 00 20 ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 0E 0B 12 E0 1A 98 9D ED 0C 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 16 0B 07 49 02 98 ?? ?? ?? ?? 9D ED 16 0B 8D ED 0E 0B 9D ED 0E 0B 18 B0 5D F8 04 BB 5D F8 0C FB 00 9F C0 03 00 00 00 00 00 00 00 80 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_607_4_0 {
	meta:
		name = "_wcsxfrm_l"
		size = 676
		refs = "003e _CrtDbgReportW 0052 _errno 006a _invalid_parameter 0144 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 014a ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0164 wcsncpy 016a wcslen 0176 ??1_LocaleUpdate@@QAA@XZ 01a4 __acrt_LCMapStringW 028c ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0290 ??_C@_1BG@BGLDKGGG@?$AA_?$AAw?$AAc?$AAs?$AAx?$AAf?$AAr?$AAm?$AA_?$AAl?$AA?$AA@ 0294 ??_C@_1GE@EEOADBAP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0298 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 029c ??_C@_1EG@IHNOIFPP@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN@ 02a0 ??_C@_1CE@EOIGACOB@?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A0 B0 6F F0 00 43 02 93 24 9A 6F F0 00 43 9A 42 02 D8 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 9C 4B 01 93 99 4B 00 93 00 23 3D 22 96 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 3D 23 8B 4A 8A 49 8D 48 ?? ?? ?? ?? 6F F0 00 43 03 93 04 E1 22 9B 00 2B 05 D1 24 9B 00 2B 02 D0 00 23 06 93 01 E0 01 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 81 4B 01 93 7F 4B 00 93 00 23 3E 22 7C 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 3E 23 71 4A 70 49 72 48 ?? ?? ?? ?? 6F F0 00 43 03 93 D0 E0 23 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 64 4B 01 93 66 4B 00 93 00 23 3F 22 63 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 3F 23 59 4A 57 49 56 48 ?? ?? ?? ?? 6F F0 00 43 03 93 9F E0 25 99 1C A8 ?? ?? ?? ?? 1C A8 ?? ?? ?? ?? 10 90 10 9B 1B 68 A0 33 1B 1D 1B 68 00 2B 10 D1 24 9A 23 99 22 98 ?? ?? ?? ?? 23 98 ?? ?? ?? ?? 11 90 11 9B 12 93 1C A8 ?? ?? ?? ?? 12 9B 03 93 7F E0 1C A8 ?? ?? ?? ?? 13 90 00 23 01 93 00 23 00 93 6F F0 00 03 23 9A 4F F4 80 61 13 98 00 68 A0 30 00 1D 00 68 ?? ?? ?? ?? 14 90 14 9B 02 93 02 9B 00 2B 09 D1 ?? ?? ?? ?? 15 90 15 9A 2A 23 13 60 6F F0 00 43 02 93 54 E0 02 9A 24 9B 9A 42 3E DC 1C A8 ?? ?? ?? ?? 16 90 24 9B 01 93 22 9B 00 93 6F F0 00 03 23 9A 4F F4 80 61 16 98 00 68 A0 30 00 1D 00 68 ?? ?? ?? ?? 17 90 17 9B 02 93 02 9B 00 2B 09 D1 ?? ?? ?? ?? 18 90 18 9A 2A 23 13 60 6F F0 00 43 02 93 19 E0 02 9B 24 93 02 9B 5B 1E 02 93 24 9A 24 9B 5B 1E 24 93 00 2A 0E D9 24 9A 01 23 02 FB 03 F2 22 9B 13 44 19 78 24 9A 02 23 02 FB 03 F2 22 9B 13 44 19 80 EA E7 11 E0 22 9B 00 2B 0B D0 24 9B 00 2B 08 D9 22 9A 00 23 13 80 ?? ?? ?? ?? 19 90 19 9A 22 23 13 60 02 9B 5B 1E 02 93 02 9B 1A 93 1C A8 ?? ?? ?? ?? 1A 9B 03 93 03 98 20 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_610_0_0 {
	meta:
		name = "_j0"
		size = 352
		refs = "004c evaluate 00d4 sqrt 00e8 cos 00fc sin 0148 Q0p 014c Q0q 0150 P0p 0154 P0q 0158 J0p 015c J0q"
	strings:
		$1 = { 2D E9 00 48 EB 46 96 B0 8D ED 00 0B 9D ED 00 0B B5 EE C0 0B F1 EE 10 FA 05 D2 9D ED 00 0B B1 EE 40 0B 8D ED 00 0B 9D ED 00 1B B1 EE 0E 0B B4 EE C0 1B F1 EE 10 FA 13 D8 04 23 48 4A 0B 21 46 48 9D ED 00 1B 9D ED 00 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 04 0B 66 E0 65 E0 B2 EE 00 1B 9D ED 00 0B 81 EE 00 0B 8D ED 02 0B 05 23 38 4A 05 21 36 48 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 0C 0B 05 23 2D 4A 05 21 2B 48 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 02 1B 9D ED 0A 0B 21 EE 00 0B 8D ED 10 0B 9F ED 1F 1B 9D ED 00 0B 21 EE 00 1B B0 EE 00 0B 80 EE 01 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 00 1B 9F ED 15 0B 31 EE 40 0B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 00 1B 9F ED 10 0B 31 EE 40 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 0C 1B 9D ED 0E 0B 21 EE 00 2B 9D ED 10 1B 9D ED 12 0B 21 EE 00 0B 32 EE 40 1B 9D ED 14 0B 20 EE 01 0B 8D ED 04 0B 9D ED 04 0B 16 B0 BD E8 00 88 FE DE 18 2D 44 54 FB 21 E9 3F 18 2D 44 54 FB 21 09 40 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_610_1_0 {
	meta:
		name = "_j1"
		size = 396
		refs = "0056 evaluate 00f4 sqrt 0108 cos 011c sin 0174 Q1p 0178 Q1q 017c P1p 0180 P1q 0184 J1p 0188 J1q"
	strings:
		$1 = { 2D E9 00 48 EB 46 98 B0 8D ED 02 0B 01 23 00 93 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 08 D2 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 6F F0 00 03 00 93 9D ED 02 1B B1 EE 0E 0B B4 EE C0 1B F1 EE 10 FA 1E D8 04 23 50 4A 0A 21 4E 48 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 08 0B 00 9B 00 EE 10 3A B8 EE C0 1B 9D ED 02 0B 21 EE 00 1B 9D ED 08 0B 21 EE 00 0B 8D ED 06 0B 6D E0 6C E0 B2 EE 00 1B 9D ED 02 0B 81 EE 00 0B 8D ED 04 0B 05 23 3B 4A 05 21 39 48 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 10 0B 05 23 30 4A 05 21 2E 48 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 04 1B 9D ED 0C 0B 21 EE 00 0B 8D ED 14 0B 9F ED 22 1B 9D ED 02 0B 21 EE 00 1B B0 EE 00 0B 80 EE 01 0B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 02 1B 9F ED 18 0B 31 EE 40 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 02 1B 9F ED 13 0B 31 EE 40 0B ?? ?? ?? ?? 8D ED 16 0B 00 9B 00 EE 10 3A B8 EE C0 1B 9D ED 0E 0B 21 EE 00 3B 9D ED 10 1B 9D ED 12 0B 21 EE 00 2B 9D ED 14 1B 9D ED 16 0B 21 EE 00 0B 32 EE 40 0B 23 EE 00 0B 8D ED 06 0B 9D ED 06 0B 18 B0 BD E8 00 88 D2 21 33 7F 7C D9 02 40 18 2D 44 54 FB 21 09 40 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_610_2_0 {
	meta:
		name = "_jn"
		size = 552
		refs = "0030 _j0 004c _j1 007a fabs"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 8D ED 02 0B 1E 9B 00 2B 08 DA 1E 9B 5B 42 1E 93 9D ED 02 0B B1 EE 40 0B 8D ED 02 0B 1E 9B 00 2B 0A D1 9D ED 02 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 0A 0B E6 E0 1E 9B 01 2B 0A D1 9D ED 02 0B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B 8D ED 0A 0B D8 E0 9D ED 02 0B B5 EE 40 0B F1 EE 10 FA 04 D1 9F ED 6C 0B 8D ED 0A 0B CC E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 10 0B 1E 9B 00 EE 10 3A B8 EE C0 1B 9D ED 10 0B B4 EE C0 1B F1 EE 10 FA 41 D2 1E 9B 5B 00 1E 93 9D ED 02 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 08 0B 9D ED 02 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 04 0B 02 23 00 93 9D ED 04 0B 8D ED 06 0B 00 9B 00 EE 10 3A B8 EE C0 1B 9D ED 04 0B 21 EE 00 1B 9D ED 02 0B 81 EE 00 1B 9D ED 08 0B 31 EE 40 0B 8D ED 04 0B 00 9B 9B 1C 00 93 00 9A 1E 9B 9A 42 04 D1 9D ED 04 0B 8D ED 0A 0B 7E E0 9D ED 06 0B 8D ED 08 0B D7 E7 78 E0 1E 9B 5B 00 1E 93 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B 8D ED 16 0B 9F ED 3A 0B 8D ED 06 0B 1E 9B 24 33 00 93 02 E0 00 9B 9B 1E 00 93 00 9A 1E 9B 9A 42 0F DD 00 9B 00 EE 10 3A B8 EE C0 1B 9D ED 06 0B 31 EE 40 1B 9D ED 16 0B 80 EE 01 0B 8D ED 06 0B E8 E7 1E 9B 00 EE 10 3A B8 EE C0 1B 9D ED 06 0B 31 EE 40 1B 9D ED 02 0B 80 EE 01 0B 8D ED 04 0B 9D ED 04 0B 8D ED 1A 0B B7 EE 00 0B 8D ED 08 0B 1E 9B 9B 1E 00 93 9D ED 08 0B 8D ED 06 0B 00 9B 00 EE 10 3A B8 EE C0 1B 9D ED 08 0B 21 EE 00 1B 9D ED 02 0B 81 EE 00 1B 9D ED 04 0B 31 EE 40 0B 8D ED 08 0B 00 9B 9B 1E 00 93 00 9B 00 2B 00 D1 04 E0 9D ED 06 0B 8D ED 04 0B DC E7 9D ED 02 0B ?? ?? ?? ?? 8D ED 18 0B 9D ED 18 1B 9D ED 1A 0B 21 EE 00 1B 9D ED 08 0B 81 EE 00 0B 8D ED 0A 0B 9D ED 0A 0B 1C B0 5D F8 04 BB 5D F8 0C FB FE DE 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_610_3_0 {
	meta:
		name = "_y0"
		size = 476
		refs = "0010 _dclass 0028 _handle_qnan2 0054 domain_err 008c evaluate 0098 _j0 00a4 log 0144 sqrt 0158 sin 016c cos 01b8 Q0p 01bc Q0q 01c0 P0p 01c4 P0q 01d0 Y0p 01d4 Y0q 01d8 _d_ind"
	strings:
		$1 = { 2D E9 00 48 EB 46 A0 B0 8D ED 02 0B 9D ED 02 0B ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 0C D1 9D ED 02 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B B0 E0 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 0E D2 63 4B 93 ED 00 1B 9D ED 02 0B 22 20 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 06 0B 9A E0 9D ED 02 1B B1 EE 0E 0B B4 EE C0 1B F1 EE 10 FA 2B D8 08 23 56 4A 08 21 54 48 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 10 0B 9D ED 02 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 02 0B ?? ?? ?? ?? 8D ED 0E 0B 9F ED 46 1B 9D ED 0C 0B 21 EE 00 1B 9D ED 0E 0B 21 EE 00 1B 9D ED 10 0B 30 EE 01 0B 8D ED 06 0B 66 E0 65 E0 B2 EE 00 1B 9D ED 02 0B 81 EE 00 0B 8D ED 04 0B 05 23 38 4A 05 21 36 48 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 16 0B 05 23 2D 4A 05 21 2B 48 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 04 1B 9D ED 14 0B 21 EE 00 0B 8D ED 1A 0B 9F ED 1F 1B 9D ED 02 0B 21 EE 00 1B B0 EE 00 0B 80 EE 01 0B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 02 1B 9F ED 15 0B 31 EE 40 0B ?? ?? ?? ?? 8D ED 18 0B 9D ED 02 1B 9F ED 10 0B 31 EE 40 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 16 1B 9D ED 18 0B 21 EE 00 2B 9D ED 1A 1B 9D ED 1C 0B 21 EE 00 0B 32 EE 00 1B 9D ED 1E 0B 20 EE 01 0B 8D ED 06 0B 9D ED 06 0B 20 B0 BD E8 00 88 FE DE 18 2D 44 54 FB 21 E9 3F 18 2D 44 54 FB 21 09 40 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 C8 C9 6D 30 5F E4 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_610_4_0 {
	meta:
		name = "_y1"
		size = 500
		refs = "0010 _dclass 0028 _handle_qnan2 0054 domain_err 008c evaluate 0098 _j1 00a4 log 015c sqrt 0170 sin 0184 cos 01d0 Q1p 01d4 Q1q 01d8 P1p 01dc P1q 01e8 Y1p 01ec Y1q 01f0 _d_ind"
	strings:
		$1 = { 2D E9 00 48 EB 46 A0 B0 8D ED 02 0B 9D ED 02 0B ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 2B 0C D1 9D ED 02 1B 9D ED 02 0B ?? ?? ?? ?? 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B BC E0 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 0E D2 69 4B 93 ED 00 1B 9D ED 02 0B 23 20 ?? ?? ?? ?? 8D ED 0A 0B 9D ED 0A 0B 8D ED 06 0B A6 E0 9D ED 02 1B B1 EE 0E 0B B4 EE C0 1B F1 EE 10 FA 37 D8 08 23 5C 4A 07 21 5A 48 9D ED 02 1B 9D ED 02 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 0C 0B 9D ED 02 0B ?? ?? ?? ?? 8D ED 0E 0B 9D ED 02 0B ?? ?? ?? ?? 8D ED 10 0B 9D ED 02 1B 9D ED 0C 0B 21 EE 00 3B 9D ED 0E 1B 9D ED 10 0B 21 EE 00 2B B7 EE 00 1B 9D ED 02 0B 81 EE 00 0B 32 EE 40 1B 9F ED 42 0B 20 EE 01 0B 33 EE 00 0B 8D ED 06 0B 66 E0 65 E0 B2 EE 00 1B 9D ED 02 0B 81 EE 00 0B 8D ED 04 0B 05 23 38 4A 05 21 36 48 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 16 0B 05 23 2D 4A 05 21 2B 48 9D ED 04 1B 9D ED 04 0B 21 EE 00 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 04 1B 9D ED 14 0B 21 EE 00 0B 8D ED 1A 0B 9F ED 1F 1B 9D ED 02 0B 21 EE 00 1B B0 EE 00 0B 80 EE 01 0B ?? ?? ?? ?? 8D ED 1E 0B 9D ED 02 1B 9F ED 15 0B 31 EE 40 0B ?? ?? ?? ?? 8D ED 18 0B 9D ED 02 1B 9F ED 10 0B 31 EE 40 0B ?? ?? ?? ?? 8D ED 1C 0B 9D ED 16 1B 9D ED 18 0B 21 EE 00 2B 9D ED 1A 1B 9D ED 1C 0B 21 EE 00 0B 32 EE 00 1B 9D ED 1E 0B 20 EE 01 0B 8D ED 06 0B 9D ED 06 0B 20 B0 BD E8 00 88 FE DE D2 21 33 7F 7C D9 02 40 18 2D 44 54 FB 21 09 40 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 83 C8 C9 6D 30 5F E4 3F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_610_5_0 {
	meta:
		name = "_yn"
		size = 360
		refs = "0028 domain_err 0062 _y0 008c _y1 0164 _d_ind"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 98 B0 8D ED 02 0B 9D ED 02 0B B5 EE C0 0B F1 EE 10 FA 0E D2 51 4B 93 ED 00 1B 9D ED 02 0B 24 20 ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 04 0B 89 E0 01 23 01 93 1A 9B 00 2B 09 DA 1A 9B 5B 42 1A 93 1A 9B 13 F0 01 0F 02 D0 6F F0 00 03 01 93 1A 9B 00 2B 11 D1 9D ED 02 0B ?? ?? ?? ?? 8D ED 0E 0B 01 9B 00 EE 10 3A B8 EE C0 1B 9D ED 0E 0B 21 EE 00 0B 8D ED 04 0B 65 E0 1A 9B 01 2B 11 D1 9D ED 02 0B ?? ?? ?? ?? 8D ED 10 0B 01 9B 00 EE 10 3A B8 EE C0 1B 9D ED 10 0B 21 EE 00 0B 8D ED 04 0B 50 E0 9D ED 02 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 0A 0B 9D ED 02 0B ?? ?? ?? ?? 8D ED 14 0B 9D ED 14 0B 8D ED 06 0B 9F ED 21 0B 8D ED 08 0B B0 EE 00 1B 9D ED 02 0B 81 EE 00 0B 8D ED 16 0B 01 23 00 93 02 E0 00 9B 5B 1C 00 93 00 9A 1A 9B 9A 42 1B DA 00 9B 00 EE 10 3A B8 EE C0 1B 9D ED 16 0B 20 EE 01 1B 9D ED 06 0B 21 EE 00 1B 9D ED 0A 0B 31 EE 40 0B 8D ED 08 0B 9D ED 06 0B 8D ED 0A 0B 9D ED 08 0B 8D ED 06 0B DC E7 01 9B 00 EE 10 3A B8 EE C0 1B 9D ED 08 0B 21 EE 00 0B 8D ED 04 0B 9D ED 04 0B 18 B0 5D F8 04 BB 5D F8 0C FB 00 00 00 00 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_610_6_0 {
	meta:
		name = "domain_err"
		size = 84
		refs = "0018 _ctrlfp 0030 _except1"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 8D ED 02 1B 8D ED 04 0B 0F 49 4F F4 1F 40 ?? ?? ?? ?? 00 90 00 9B 01 93 01 9A 9D ED 02 1B 9D ED 04 0B 0C 99 08 20 ?? ?? ?? ?? 8D ED 06 0B 9D ED 06 0B 8D ED 08 0B 9D ED 08 0B 0A B0 5D F8 04 BB 5D F8 0C FB FE DE 00 9F C0 03 }
	condition:
		$1
}

rule file_610_7_0 {
	meta:
		name = "evaluate"
		size = 368
		refs = "0040 _CrtDbgReportW 0062 _invalid_parameter 0160 ??_C@_1CC@JOKKCJAA@?$AAn?$AA1?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn?$AA2?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0164 ??_C@_1BC@LLMCKKDB@?$AAe?$AAv?$AAa?$AAl?$AAu?$AAa?$AAt?$AAe?$AA?$AA@ 0168 ??_C@_1FK@MDONPEON@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 016c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 8E B0 8D ED 0A 0B 11 9B 00 2B 05 DD 13 9B 00 2B 02 DD 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0F D1 4C 4B 01 93 4E 4B 00 93 00 23 4F F4 9D 72 4A 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 04 9B 00 2B 0D D1 00 23 00 93 4F F4 9D 73 42 4A 41 49 3F 48 ?? ?? ?? ?? BF EE 00 0B 8D ED 0C 0B 6F E0 11 9A 08 23 02 FB 03 F2 10 9B 13 44 9D ED 0A 1B 93 ED 00 0B 21 EE 00 0B 8D ED 06 0B 11 9B 5B 1E 02 93 02 E0 02 9B 5B 1E 02 93 02 9B 00 2B 12 DD 02 9A 08 23 02 FB 03 F2 10 9B 13 44 93 ED 00 1B 9D ED 06 0B 31 EE 00 1B 9D ED 0A 0B 20 EE 01 0B 8D ED 06 0B E6 E7 10 9B 9D ED 06 1B 93 ED 00 0B 31 EE 00 0B 8D ED 06 0B 13 9A 08 23 02 FB 03 F2 12 9B 13 44 9D ED 0A 1B 93 ED 00 0B 21 EE 00 0B 8D ED 08 0B 13 9B 5B 1E 02 93 02 E0 02 9B 5B 1E 02 93 02 9B 00 2B 12 DD 02 9A 08 23 02 FB 03 F2 12 9B 13 44 93 ED 00 1B 9D ED 08 0B 31 EE 00 1B 9D ED 0A 0B 20 EE 01 0B 8D ED 08 0B E6 E7 12 9B 9D ED 08 1B 93 ED 00 0B 31 EE 00 0B 8D ED 08 0B 9D ED 06 1B 9D ED 08 0B 81 EE 00 0B 8D ED 0C 0B 9D ED 0C 0B 0E B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_611_9_0 {
	meta:
		name = "_ismbcspace_l"
		size = 92
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0024 _isctype_l 0030 _chvalidator_l 003e __dcrt_multibyte_check_type"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 04 46 68 46 ?? ?? ?? ?? FF 2C 0F D8 01 9B 5B 68 01 2B 05 DD 01 AA 08 21 20 46 ?? ?? ?? ?? 0B E0 01 A8 08 22 21 46 ?? ?? ?? ?? 05 E0 01 A9 01 23 08 22 20 46 ?? ?? ?? ?? 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 05 B0 BD E8 10 88 }
	condition:
		$1
}

rule file_612_4_0 {
	meta:
		name = "_mbscpy_s_l"
		size = 572
		refs = "0034 _CrtGetDebugFillThreshold 0046 memset 005a _CrtDbgReportW 0064 _errno 0076 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 008a strcpy_s 012c _invalid_parameter 0224 ??_C@_1BI@DFEOJMJL@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0228 ??_C@_1HG@EKJPHOI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 022c ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0230 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0234 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0238 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 06 46 00 2E 17 46 0C 46 00 F0 E9 80 00 2C 00 F0 E6 80 4F BB 00 25 35 70 B1 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 70 1C FE 21 ?? ?? ?? ?? 79 4B 7A 4C 76 49 00 93 00 23 19 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 19 23 00 95 CE E0 02 A8 19 46 ?? ?? ?? ?? DD F8 10 E0 DE F8 08 30 2B B9 3A 46 21 46 30 46 ?? ?? ?? ?? A0 E0 32 46 25 46 17 F8 01 3B 02 F8 01 3B 0B B1 6D 1E F8 D1 00 2D 46 D1 3B 78 A3 B9 50 1E 01 46 B0 42 08 D3 04 27 0B 78 73 44 5B 7E 3B 42 02 D0 49 1E B1 42 F7 D2 43 1A 13 F0 01 0F 03 D0 00 23 02 F8 01 3C 5F E0 00 25 35 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 70 1C FE 21 ?? ?? ?? ?? 4B 4B 4C 4C 48 49 00 93 00 23 38 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 41 49 41 4A 22 23 03 60 38 23 20 46 00 95 ?? ?? ?? ?? 22 20 4E E0 90 1E 01 46 B0 42 08 D3 04 27 0B 78 73 44 5B 7E 3B 42 02 D0 49 1E B1 42 F7 D2 43 1A 13 F0 01 0F 24 D0 93 1E B3 42 21 D3 00 23 6D 1C 02 F8 02 3C B4 F1 FF 3F 14 D0 6F F0 00 43 9C 42 10 D0 63 1B 5B 1C A3 42 0C D2 ?? ?? ?? ?? 02 46 6B 1E 9A 42 28 BF 1A 46 73 1B 23 44 58 1C FE 21 ?? ?? ?? ?? ?? ?? ?? ?? 2A 23 03 60 2A 20 18 E0 B4 F1 FF 3F 14 D0 6F F0 00 43 9C 42 10 D0 63 1B 5B 1C A3 42 0C D2 ?? ?? ?? ?? 02 46 6B 1E 9A 42 28 BF 1A 46 73 1B 23 44 58 1C FE 21 ?? ?? ?? ?? 00 20 9D F8 14 30 0B B3 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 19 E0 11 4B 10 4C 0E 49 00 93 00 23 18 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 18 23 05 4A 04 49 20 46 ?? ?? ?? ?? 16 20 06 B0 BD E8 F0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_614_4_0 {
	meta:
		name = "_wcsicmp"
		size = 404
		refs = "000a __acrt_locale_changed 0046 _CrtDbgReportW 005a _errno 0072 _invalid_parameter 016a _wcsicmp_l 0180 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0184 ??_C@_1BC@NHIBDOMC@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0188 ??_C@_1GE@FNNJGCGI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 018c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0190 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 40 F0 A4 80 12 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 56 4B 01 93 54 4B 00 93 00 23 55 22 51 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 55 23 46 4A 45 49 47 48 ?? ?? ?? ?? 6F F0 00 43 04 93 7A E0 13 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 39 4B 01 93 3B 4B 00 93 00 23 56 22 38 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 56 23 2E 4A 2C 49 2B 48 ?? ?? ?? ?? 6F F0 00 43 04 93 49 E0 12 9B 1B 88 41 2B 09 DB 12 9B 1B 88 5A 2B 05 DC 12 9B 1B 88 41 3B 61 33 09 93 02 E0 12 9B 1B 88 09 93 09 9B 9B B2 AD F8 0A 30 13 9B 1B 88 41 2B 09 DB 13 9B 1B 88 5A 2B 05 DC 13 9B 1B 88 41 3B 61 33 0A 93 02 E0 13 9B 1B 88 0A 93 0A 9B 9B B2 AD F8 0C 30 12 9B 9B 1C 12 93 13 9B 9B 1C 13 93 BD F8 0A 30 00 2B 05 D0 BD F8 0A 20 BD F8 0C 30 9A 42 C5 D0 BD F8 0A 20 BD F8 0C 30 D3 1A 04 93 08 E0 07 E0 00 22 13 99 12 98 ?? ?? ?? ?? 0F 90 0F 9B 04 93 04 98 10 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_614_5_0 {
	meta:
		name = "_wcsicmp_l"
		size = 536
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0074 ??1_LocaleUpdate@@QAA@XZ 00ec ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 018c _towlower_l 0204 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0208 ??_C@_1BG@EELGPCPD@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 020c ??_C@_1GE@FNNJGCGI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0210 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0214 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9A B0 1E 99 16 A8 ?? ?? ?? ?? 1C 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 79 4B 01 93 77 4B 00 93 00 23 31 22 74 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 16 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 31 23 6A 4A 68 49 6B 48 ?? ?? ?? ?? 6F F0 00 43 0E 93 16 A8 ?? ?? ?? ?? 0E 9B 05 93 BC E0 1D 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 5A 4B 01 93 5C 4B 00 93 00 23 32 22 59 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 09 9B 00 2B 16 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 32 23 4F 4A 4D 49 4C 48 ?? ?? ?? ?? 6F F0 00 43 11 93 16 A8 ?? ?? ?? ?? 11 9B 05 93 86 E0 16 A8 ?? ?? ?? ?? 12 90 12 9B 1B 68 A0 33 08 33 1B 68 00 2B 3A D1 1C 9B 1B 88 41 2B 09 DB 1C 9B 1B 88 5A 2B 05 DC 1C 9B 1B 88 41 3B 61 33 0A 93 02 E0 1C 9B 1B 88 0A 93 0A 9B 9B B2 AD F8 08 30 1D 9B 1B 88 41 2B 09 DB 1D 9B 1B 88 5A 2B 05 DC 1D 9B 1B 88 41 3B 61 33 0B 93 02 E0 1D 9B 1B 88 0B 93 0B 9B 9B B2 AD F8 0A 30 1C 9B 9B 1C 1C 93 1D 9B 9B 1C 1D 93 BD F8 08 30 00 2B 05 D0 BD F8 08 20 BD F8 0A 30 9A 42 C5 D0 35 E0 16 A8 ?? ?? ?? ?? 13 90 1C 9B 1B 88 AD F8 0C 30 13 99 BD F8 0C 00 ?? ?? ?? ?? AD F8 0E 00 BD F8 0E 30 AD F8 08 30 1C 9B 9B 1C 1C 93 16 A8 ?? ?? ?? ?? 14 90 1D 9B 1B 88 AD F8 10 30 14 99 BD F8 10 00 ?? ?? ?? ?? AD F8 12 00 BD F8 12 30 AD F8 0A 30 1D 9B 9B 1C 1D 93 BD F8 08 30 00 2B 05 D0 BD F8 08 20 BD F8 0A 30 9A 42 C9 D0 BD F8 08 20 BD F8 0A 30 D3 1A 15 93 16 A8 ?? ?? ?? ?? 15 9B 05 93 05 98 1A B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_615_5_0 {
	meta:
		name = "_mbsspnp_l"
		size = 284
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0020 strspn 0040 _CrtDbgReportW 004a _errno 005e _invalid_parameter 0108 ??_C@_1GO@FEIMMIGB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 010c ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0110 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0114 ??_C@_1BG@DIADCNPB@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAp?$AAn?$AAp?$AA_?$AAl?$AA?$AA@ 0118 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 0D 46 04 46 02 A8 11 46 ?? ?? ?? ?? 04 9E B3 68 43 B9 29 46 20 46 ?? ?? ?? ?? 03 5D 00 2B 5E D0 04 44 5D E0 CC B9 37 4B 39 4C 34 49 00 93 00 23 50 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 50 23 2E 49 2B 4A 20 46 ?? ?? ?? ?? 41 E0 A5 B9 2A 4B 28 4C 27 49 00 93 00 23 51 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 51 23 E3 E7 23 78 3B B3 28 78 04 27 29 46 A8 B1 0A 78 93 19 5B 7E 3B 42 23 78 09 D0 9A 42 03 D1 4A 78 63 78 9A 42 09 D0 4B 78 3B B1 49 1C 01 E0 9A 42 03 D0 49 1C 0B 78 00 2B E9 D1 0B 78 5B B1 23 78 33 44 5B 7E 3B 42 02 D0 64 1C 23 78 1B B1 64 1C 23 78 00 2B D9 D1 23 78 03 B9 00 24 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 06 B0 BD E8 F0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_617_0_0 {
	meta:
		name = "_logb"
		size = 412
		refs = "0060 _handle_error 00b4 __i64tod 00fc _handle_nan 0188 ??_C@_05JGDBENOH@_logb?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 9E B0 8D ED 16 0B 9D ED 16 0B 53 EC 10 2B 0A 92 0B 93 0B 9A 5F 4B 13 40 18 0D 40 F2 FF 32 00 21 00 23 82 1A 61 EB 03 03 0C 92 0D 93 0A 9A 0B 9B 23 F0 00 43 13 43 00 2B 19 D1 01 23 03 93 9F ED 52 1B 9D ED 16 0B 22 23 02 93 04 23 01 93 02 23 00 93 00 22 4C 4B 25 21 4A 48 ?? ?? ?? ?? 8D ED 1A 0B 9D ED 1A 0B 8D ED 0E 0B 82 E0 81 E0 0C 9B 10 93 0D 9B 11 93 10 9B 05 93 11 9B B3 F1 FF 3F 1B DB 03 DC 05 9A 3D 4B 9A 42 16 D3 0C 9B 12 93 0D 9B 13 93 12 9B 06 93 13 9B 00 2B 0D DC 04 DB 06 9A 40 F2 FF 33 9A 42 07 D8 0C 98 0D 99 ?? ?? ?? ?? 8D ED 0E 0B 5C E0 5B E0 0C 9B 14 93 0D 9B 15 93 14 9B 07 93 15 9B 00 2B 1E DB 04 DC 07 9A 40 F2 FF 33 9A 42 18 D9 0A 9A 0B 9B 6F F3 1F 53 13 43 00 2B 05 D1 9D ED 16 0B 8D ED 0E 0B 40 E0 0A E0 0A 98 0B 99 ?? ?? ?? ?? 8D ED 1C 0B 9D ED 1C 0B 8D ED 0E 0B 34 E0 33 E0 0A 9A 0B 9B 6F F3 1F 53 0A 92 0B 93 19 4B 0C 93 6F F0 00 03 0D 93 0A 9B 18 93 0B 9B 19 93 18 9B 08 93 19 9B B3 F5 80 1F 18 D8 02 D3 08 9B 00 2B 14 D2 0A 9A 0B 9B 04 92 58 00 04 9B D9 0F 04 9B 5A 00 40 EA 01 03 0A 92 0B 93 0C 9A 0D 99 00 23 52 1E 61 EB 03 03 0C 92 0D 93 DC E7 0C 98 0D 99 ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B 1E B0 BD E8 00 88 FE DE 02 FC FF FF ?? ?? ?? ?? 00 00 F0 FF 00 00 00 00 00 00 00 00 00 00 F0 7F }
	condition:
		$1
}

rule file_618_0_0 {
	meta:
		name = "atanh"
		size = 300
		refs = "000e _dtest 006c _fperrraise 00de log1p 0124 _Inf_C 0128 _Nan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 03 D0 02 9B 02 2B 00 D0 04 E0 9D ED 04 0B 8D ED 06 0B 72 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 23 01 93 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 01 E0 00 23 01 93 B7 EE 00 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 09 D2 01 20 ?? ?? ?? ?? 2D 4B 93 ED 00 0B 8D ED 06 0B 4E E0 4D E0 9D ED 04 1B B7 EE 00 0B B4 EE 40 1B F1 EE 10 FA 18 D1 04 20 ?? ?? ?? ?? 01 9B 00 2B 07 D0 21 4B 93 ED 00 0B B1 EE 40 0B 8D ED 08 0B 04 E0 1D 4B 93 ED 00 0B 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B 2C E0 2B E0 B0 EE 00 1B 9D ED 04 0B 21 EE 00 2B B7 EE 00 1B 9D ED 04 0B 31 EE 40 0B 82 EE 00 0B ?? ?? ?? ?? 8D ED 0E 0B B6 EE 00 1B 9D ED 0E 0B 21 EE 00 0B 8D ED 0A 0B 01 9B 00 2B 06 D0 9D ED 0A 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9D ED 0A 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 06 0B 9D ED 06 0B 10 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_636_0_0 {
	meta:
		name = "atanhl"
		size = 300
		refs = "000e _ldtest 006c _fperrraise 00de log1pl 0124 _LInf_C 0128 _LNan_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 90 B0 8D ED 04 0B 04 A8 ?? ?? ?? ?? AD F8 00 00 BD F9 00 30 02 93 02 9B 00 2B 03 D0 02 9B 02 2B 00 D0 04 E0 9D ED 04 0B 8D ED 06 0B 72 E0 9D ED 04 0B B5 EE C0 0B F1 EE 10 FA 08 D2 01 23 01 93 9D ED 04 0B B1 EE 40 0B 8D ED 04 0B 01 E0 00 23 01 93 B7 EE 00 1B 9D ED 04 0B B4 EE C0 1B F1 EE 10 FA 09 D2 01 20 ?? ?? ?? ?? 2D 4B 93 ED 00 0B 8D ED 06 0B 4E E0 4D E0 9D ED 04 1B B7 EE 00 0B B4 EE 40 1B F1 EE 10 FA 18 D1 04 20 ?? ?? ?? ?? 01 9B 00 2B 07 D0 21 4B 93 ED 00 0B B1 EE 40 0B 8D ED 08 0B 04 E0 1D 4B 93 ED 00 0B 8D ED 08 0B 9D ED 08 0B 8D ED 06 0B 2C E0 2B E0 B0 EE 00 1B 9D ED 04 0B 21 EE 00 2B B7 EE 00 1B 9D ED 04 0B 31 EE 40 0B 82 EE 00 0B ?? ?? ?? ?? 8D ED 0E 0B B6 EE 00 1B 9D ED 0E 0B 21 EE 00 0B 8D ED 0A 0B 01 9B 00 2B 06 D0 9D ED 0A 0B B1 EE 40 0B 8D ED 0C 0B 03 E0 9D ED 0A 0B 8D ED 0C 0B 9D ED 0C 0B 8D ED 06 0B 9D ED 06 0B 10 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_7_0 {
	meta:
		name = "??$common_expand_argv_wildcards@D@@YAHQAPADQAPAPAD@Z"
		size = 628
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0072 ??0?$argument_list@D@?A0x5f5c8891@@QAA@XZ 00a0 ??$tcspbrk@AAPADAAY02$$CBD@?$__crt_char_traits@D@@SAPADAAPADAAY02$$CBD@Z 00ba ??$copy_and_add_argument_to_buffer@D@@YAHQBD0IAAV?$argument_list@D@?A0x5f5c8891@@@Z 00d0 ??1?$argument_list@D@?A0x5f5c8891@@QAA@XZ 00e4 ??$expand_argument_wildcards@D@@YAHQAD0AAV?$argument_list@D@?A0x5f5c8891@@@Z 0108 ?size@?$argument_list@D@?A0x5f5c8891@@QBAIXZ 011a ?begin@?$argument_list@D@?A0x5f5c8891@@QBAPAPADXZ 012e ?end@?$argument_list@D@?A0x5f5c8891@@QBAPAPADXZ 013e ??$tcslen@AAPAD@?$__crt_char_traits@D@@SAIAAPAD@Z 0156 __acrt_allocate_buffer_for_argv 0160 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@QAE@Z 0166 ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBA_NXZ 017e ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@XZ 0190 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBAPAEXZ 01fe ??$tcsncpy_s@AAPADIAAPADABI@?$__crt_char_traits@D@@SAHAAPAD$$QAI0ABI@Z 0216 _invoke_watson_if_error 0232 ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAPAEXZ 0260 ??_C@_1MC@FLPKOFON@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA_?$AAi?$AAt?$AA?0@ 0264 ??_C@_1DK@IBFFOJGB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAw?$AAi?$AAl?$AAd?$AAc?$AAa?$AAr?$AAd?$AAs?$AA?$AA@ 0268 ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 026c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0270 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 AE B0 31 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0E D1 91 4B 01 93 91 4B 00 93 00 23 FF 22 8D 49 02 20 ?? ?? ?? ?? 23 90 23 9B 01 2B 00 D1 FE DE 10 9B 00 2B 10 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 FF 23 83 4A 81 49 83 48 ?? ?? ?? ?? 16 23 07 93 F3 E0 31 9A 00 23 13 60 0C A8 ?? ?? ?? ?? 30 9B 03 93 02 E0 03 9B 1B 1D 03 93 03 9B 1B 68 00 2B 3D D0 2A 23 8D F8 20 30 3F 23 8D F8 21 30 00 23 8D F8 22 30 08 A9 03 98 ?? ?? ?? ?? 18 90 18 9B 12 93 12 9B 00 2B 15 D1 0C AB 00 22 00 21 03 98 00 68 ?? ?? ?? ?? 19 90 19 9B 11 93 11 9B 00 2B 07 D0 11 9B 1A 93 0C A8 ?? ?? ?? ?? 1A 9B 07 93 BB E0 13 E0 0C AA 12 99 03 9B 18 68 ?? ?? ?? ?? 1B 90 1B 9B 13 93 13 9B 00 2B 07 D0 13 9B 1C 93 0C A8 ?? ?? ?? ?? 1C 9B 07 93 A6 E0 BA E7 0C A8 ?? ?? ?? ?? 1D 90 1D 9B 5B 1C 14 93 00 23 0A 93 0C A8 ?? ?? ?? ?? 1E 90 1E 9B 09 93 02 E0 09 9B 1B 1D 09 93 0C A8 ?? ?? ?? ?? 1F 90 09 9A 1F 9B 9A 42 09 D0 09 98 ?? ?? ?? ?? 20 90 20 9B 5A 1C 0A 9B 13 44 0A 93 EA E7 01 22 0A 99 14 98 ?? ?? ?? ?? 21 90 21 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0B D1 6F F0 00 03 22 93 04 A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 22 9B 07 93 61 E0 04 A8 ?? ?? ?? ?? 28 90 28 9B 25 93 04 A8 ?? ?? ?? ?? 24 90 14 9A 04 23 02 FB 03 F2 24 9B 13 44 15 93 25 9B 0B 93 15 9B 06 93 0C A8 ?? ?? ?? ?? 26 90 26 9B 05 93 02 E0 05 9B 1B 1D 05 93 0C A8 ?? ?? ?? ?? 27 90 05 9A 27 9B 9A 42 29 D0 05 98 ?? ?? ?? ?? 2D 90 2D 9B 5B 1C 16 93 06 9A 15 9B D2 1A 0A 9B 9B 1A 29 93 16 AB 05 9A 29 A9 06 A8 ?? ?? ?? ?? 2A 90 00 23 01 93 4F F4 9E 73 00 93 16 4B 14 4A 13 49 2A 98 ?? ?? ?? ?? 06 9A 0B 9B 1A 60 0B 9B 1B 1D 0B 93 06 9A 16 9B 13 44 06 93 CA E7 04 A8 ?? ?? ?? ?? 2B 90 2B 9A 31 9B 1A 60 00 23 2C 93 04 A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 2C 9B 07 93 07 98 2E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_8_0 {
	meta:
		name = "??$common_expand_argv_wildcards@_W@@YAHQAPA_WQAPAPA_W@Z"
		size = 644
		refs = "0008 __security_push_cookie 0038 _CrtDbgReportW 004c _errno 0064 _invalid_parameter 0076 ??0?$argument_list@_W@?A0x5f5c8891@@QAA@XZ 00a4 ??$tcspbrk@AAPA_WAAY02$$CB_W@?$__crt_char_traits@_W@@SAPA_WAAPA_WAAY02$$CB_W@Z 00be ??$copy_and_add_argument_to_buffer@_W@@YAHQB_W0IAAV?$argument_list@_W@?A0x5f5c8891@@@Z 00d4 ??1?$argument_list@_W@?A0x5f5c8891@@QAA@XZ 00e8 ??$expand_argument_wildcards@_W@@YAHQA_W0AAV?$argument_list@_W@?A0x5f5c8891@@@Z 010c ?size@?$argument_list@_W@?A0x5f5c8891@@QBAIXZ 011e ?begin@?$argument_list@_W@?A0x5f5c8891@@QBAPAPA_WXZ 0132 ?end@?$argument_list@_W@?A0x5f5c8891@@QBAPAPA_WXZ 0142 ??$tcslen@AAPA_W@?$__crt_char_traits@_W@@SAIAAPA_W@Z 015a __acrt_allocate_buffer_for_argv 0164 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@QAE@Z 016a ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBA_NXZ 0182 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAA@XZ 0194 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBAPAEXZ 0204 ??$tcsncpy_s@AAPA_WIAAPA_WABI@?$__crt_char_traits@_W@@SAHAAPA_W$$QAI0ABI@Z 021c _invoke_watson_if_error 023e ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAAPAEXZ 0262 __security_pop_cookie 0270 ??_C@_1MC@FLPKOFON@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA_?$AAi?$AAt?$AA?0@ 0274 ??_C@_1DK@IBFFOJGB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAw?$AAi?$AAl?$AAd?$AAc?$AAa?$AAr?$AAd?$AAs?$AA?$AA@ 0278 ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 027c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0280 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? B1 B0 35 9B 00 2B 02 D0 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 10 93 10 9B 00 2B 0E D1 94 4B 01 93 94 4B 00 93 00 23 FF 22 90 49 02 20 ?? ?? ?? ?? 24 90 24 9B 01 2B 00 D1 FE DE 10 9B 00 2B 10 D1 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 00 23 00 93 FF 23 86 4A 84 49 86 48 ?? ?? ?? ?? 16 23 07 93 F7 E0 35 9A 00 23 13 60 0C A8 ?? ?? ?? ?? 34 9B 03 93 02 E0 03 9B 1B 1D 03 93 03 9B 1B 68 00 2B 3D D0 2A 23 AD F8 B8 30 3F 23 AD F8 BA 30 00 23 AD F8 BC 30 2E A9 03 98 ?? ?? ?? ?? 18 90 18 9B 12 93 12 9B 00 2B 15 D1 0C AB 00 22 00 21 03 98 00 68 ?? ?? ?? ?? 19 90 19 9B 11 93 11 9B 00 2B 07 D0 11 9B 1A 93 0C A8 ?? ?? ?? ?? 1A 9B 07 93 BF E0 13 E0 0C AA 12 99 03 9B 18 68 ?? ?? ?? ?? 1B 90 1B 9B 13 93 13 9B 00 2B 07 D0 13 9B 1C 93 0C A8 ?? ?? ?? ?? 1C 9B 07 93 AA E0 BA E7 0C A8 ?? ?? ?? ?? 1D 90 1D 9B 5B 1C 14 93 00 23 09 93 0C A8 ?? ?? ?? ?? 1E 90 1E 9B 08 93 02 E0 08 9B 1B 1D 08 93 0C A8 ?? ?? ?? ?? 1F 90 08 9A 1F 9B 9A 42 09 D0 08 98 ?? ?? ?? ?? 20 90 20 9B 5A 1C 09 9B 13 44 09 93 EA E7 02 22 09 99 14 98 ?? ?? ?? ?? 21 90 21 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 0B D1 6F F0 00 03 22 93 04 A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 22 9B 07 93 65 E0 04 A8 ?? ?? ?? ?? 23 90 23 9B 25 93 04 A8 ?? ?? ?? ?? 29 90 14 9A 04 23 02 FB 03 F2 29 9B 13 44 15 93 25 9B 0A 93 15 9B 06 93 0C A8 ?? ?? ?? ?? 26 90 26 9B 05 93 02 E0 05 9B 1B 1D 05 93 0C A8 ?? ?? ?? ?? 27 90 05 9A 27 9B 9A 42 2D D0 05 98 ?? ?? ?? ?? 28 90 28 9B 5B 1C 16 93 06 9A 15 9B D3 1A 5A 10 09 9B 9B 1A 2D 93 16 AB 05 9A 2D A9 06 A8 ?? ?? ?? ?? 2A 90 00 23 01 93 4F F4 9E 73 00 93 18 4B 17 4A 15 49 2A 98 ?? ?? ?? ?? 06 9A 0A 9B 1A 60 0A 9B 1B 1D 0A 93 16 9A 02 23 02 FB 03 F2 06 9B 13 44 06 93 C6 E7 04 A8 ?? ?? ?? ?? 2B 90 2B 9A 35 9B 1A 60 00 23 2C 93 04 A8 ?? ?? ?? ?? 0C A8 ?? ?? ?? ?? 2C 9B 07 93 07 98 31 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_9_0 {
	meta:
		name = "??$copy_and_add_argument_to_buffer@D@@YAHQBD0IAAV?$argument_list@D@?A0x5f5c8891@@@Z"
		size = 252
		refs = "000c ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z 0040 _calloc_dbg 004a ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0056 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ 0068 ??$tcsncpy_s@PADABIABQBDABI@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD1@Z 007e _invoke_watson_if_error 00a2 ??$tcsncpy_s@PADIABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAD$$QAIABQBDABI@Z 00be ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 00c8 ?append@?$argument_list@D@?A0x5f5c8891@@QAAHQAD@Z 00d4 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 00e8 ??_C@_1PI@FGFLAGCC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf@ 00ec ??_C@_1EA@KOCCBLAD@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAa?$AAn?$AAd?$AA_?$AAa?$AAd?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 00f0 ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00f4 ??_C@_1KM@GDJIGAGL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 00f8 ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 14 A8 ?? ?? ?? ?? 06 90 06 9B 5B 1C 04 93 16 9B C3 F1 FF 32 04 9B 93 42 02 D9 0C 23 05 93 58 E0 16 9A 04 9B 13 44 5B 1C 03 93 98 23 00 93 2F 4B 02 22 01 21 03 98 ?? ?? ?? ?? 07 90 07 99 02 A8 ?? ?? ?? ?? 16 9B 00 2B 16 D9 02 A8 ?? ?? ?? ?? 08 90 08 9B 09 93 16 AB 15 AA 03 A9 09 A8 ?? ?? ?? ?? 0A 90 00 23 01 93 9C 23 00 93 1E 4B 1C 4A 1E 49 0A 98 ?? ?? ?? ?? 03 9A 16 9B D3 1A 0C 93 02 A8 ?? ?? ?? ?? 0B 90 0B 9A 16 9B 13 44 0D 93 04 AB 14 AA 0C A9 0D A8 ?? ?? ?? ?? 0E 90 00 23 01 93 A3 23 00 93 0F 4B 0E 4A 0C 49 0E 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 0F 90 0F 99 17 98 ?? ?? ?? ?? 10 90 10 9B 11 93 02 A8 ?? ?? ?? ?? 11 9B 05 93 05 98 12 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_10_0 {
	meta:
		name = "??$copy_and_add_argument_to_buffer@_W@@YAHQB_W0IAAV?$argument_list@_W@?A0x5f5c8891@@@Z"
		size = 260
		refs = "000c ??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z 0040 _calloc_dbg 004a ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0056 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 0068 ??$tcsncpy_s@PA_WABIABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W1@Z 007e _invoke_watson_if_error 00a8 ??$tcsncpy_s@PA_WIABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAIABQB_WABI@Z 00c4 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ 00ce ?append@?$argument_list@_W@?A0x5f5c8891@@QAAHQA_W@Z 00da ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 00f0 ??_C@_1PI@FGFLAGCC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf@ 00f4 ??_C@_1EA@KOCCBLAD@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAa?$AAn?$AAd?$AA_?$AAa?$AAd?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 00f8 ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00fc ??_C@_1KM@GDJIGAGL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 0100 ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 14 A8 ?? ?? ?? ?? 06 90 06 9B 5B 1C 04 93 16 9B C3 F1 FF 32 04 9B 93 42 02 D9 0C 23 05 93 5B E0 16 9A 04 9B 13 44 5B 1C 03 93 98 23 00 93 31 4B 02 22 02 21 03 98 ?? ?? ?? ?? 07 90 07 99 02 A8 ?? ?? ?? ?? 16 9B 00 2B 16 D9 02 A8 ?? ?? ?? ?? 08 90 08 9B 09 93 16 AB 15 AA 03 A9 09 A8 ?? ?? ?? ?? 0A 90 00 23 01 93 9C 23 00 93 20 4B 1E 4A 20 49 0A 98 ?? ?? ?? ?? 03 9A 16 9B D3 1A 0C 93 02 A8 ?? ?? ?? ?? 0B 90 16 9A 02 23 02 FB 03 F2 0B 9B 13 44 0D 93 04 AB 14 AA 0C A9 0D A8 ?? ?? ?? ?? 0E 90 00 23 01 93 A3 23 00 93 10 4B 0E 4A 0D 49 0E 98 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 0F 90 0F 99 17 98 ?? ?? ?? ?? 10 90 10 9B 11 93 02 A8 ?? ?? ?? ?? 11 9B 05 93 05 98 12 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_11_0 {
	meta:
		name = "??$expand_argument_wildcards@D@@YAHQAD0AAV?$argument_list@D@?A0x5f5c8891@@@Z"
		size = 544
		refs = "000a __security_push_cookie 0016 memset 0030 ??R<lambda_594f614a8947934b886943aa86a6498d>@@QBA_ND@Z 0044 ?previous_character@@YAPADQAD0@Z 006c ??$copy_and_add_argument_to_buffer@D@@YAHQBD0IAAV?$argument_list@D@?A0x5f5c8891@@@Z 00d6 ??$find_first_file_ex@ABQADW4_FINDEX_INFO_LEVELS@@PAU_WIN32_FIND_DATAA@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@D@@SAPAXABQAD$$QAW4_FINDEX_INFO_LEVELS@@$$QAPAU_WIN32_FIND_DATAA@@$$QAW4_FINDEX_SEARCH_OPS@@$$QA$$T$$QAH@Z 00e0 ??0?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAA@QAX@Z 00e6 ?get@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QBAPAXXZ 0108 ??1?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAA@XZ 0114 ?size@?$argument_list@D@?A0x5f5c8891@@QBAIXZ 019a ??$find_next_file@PAXPAU_WIN32_FIND_DATAA@@@?$__crt_char_traits@D@@SAH$$QAPAX$$QAPAU_WIN32_FIND_DATAA@@@Z 01da ??B<lambda_86056e3c024bff449830248dc1621ed2>@@QBAP6AHPBX0@ZXZ 01e2 ?begin@?$argument_list@D@?A0x5f5c8891@@QBAPAPADXZ 01fe qsort 0214 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? F4 B0 01 22 00 21 07 A8 ?? ?? ?? ?? 79 9B 02 93 02 9A 78 9B 9A 42 14 D0 02 9B 93 F9 00 10 0D F1 0D 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 07 D1 02 99 78 98 ?? ?? ?? ?? 0C 90 0C 9B 02 93 E6 E7 02 9B 93 F9 00 30 3A 2B 0E D1 78 9B 5A 1C 02 9B 93 42 09 D0 7A 9B 00 22 00 21 78 98 ?? ?? ?? ?? 0D 90 0D 9B 06 93 CB E0 02 9B 93 F9 00 10 0D F1 0D 00 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 05 D0 02 9A 78 9B D3 1A 5B 1C 09 93 01 E0 00 23 09 93 09 9B 18 93 4F F4 A0 72 00 21 24 A8 ?? ?? ?? ?? 00 23 0E 93 00 23 0F 93 00 23 10 93 24 AB 11 93 00 23 12 93 0E AB 01 93 0F AB 00 93 10 AB 11 AA 12 A9 78 A8 ?? ?? ?? ?? 13 90 13 99 05 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 14 90 14 9B B3 F1 FF 3F 0E D1 7A 9B 00 22 00 21 78 98 ?? ?? ?? ?? 15 90 15 9B 16 93 05 A8 ?? ?? ?? ?? 16 9B 06 93 7E E0 7A 98 ?? ?? ?? ?? 17 90 17 9B 08 93 2F AB 04 93 04 9B 93 F9 00 30 2E 2B 06 D1 04 9B 5B 1C 93 F9 00 30 00 2B 00 D1 25 E0 04 9B 93 F9 00 30 2E 2B 0C D1 04 9B 5B 1C 93 F9 00 30 2E 2B 06 D1 04 9B 9B 1C 93 F9 00 30 00 2B 00 D1 13 E0 7A 9B 18 9A 78 99 04 98 ?? ?? ?? ?? 19 90 19 9B 0A 93 0A 9B 00 2B 07 D0 0A 9B 1A 93 05 A8 ?? ?? ?? ?? 1A 9B 06 93 44 E0 24 AB 1C 93 05 A8 ?? ?? ?? ?? 1B 90 1B 9B 1D 93 1C A9 1D A8 ?? ?? ?? ?? 1E 90 1E 9B 00 2B BB D1 7A 98 ?? ?? ?? ?? 1F 90 1F 9B 0B 93 08 9A 0B 9B 9A 42 07 D1 00 23 20 93 05 A8 ?? ?? ?? ?? 20 9B 06 93 22 E0 01 22 00 21 0D F1 0F 00 ?? ?? ?? ?? 0D F1 0F 00 ?? ?? ?? ?? 21 90 7A 98 ?? ?? ?? ?? 22 90 21 9B 04 22 0B 98 08 99 41 1A 08 9C 04 20 04 FB 00 F4 22 98 20 44 ?? ?? ?? ?? 00 23 23 93 05 A8 ?? ?? ?? ?? 23 9B 06 93 06 98 74 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_619_12_0 {
	meta:
		name = "??$expand_argument_wildcards@_W@@YAHQA_W0AAV?$argument_list@_W@?A0x5f5c8891@@@Z"
		size = 534
		refs = "000a __security_push_cookie 0018 memset 0030 ??R<lambda_d734a73e0f649ebd9d9b0eca0b8ca86a>@@QBA_N_W@Z 0044 ?previous_character@@YAPA_WPA_WQA_W@Z 006a ??$copy_and_add_argument_to_buffer@_W@@YAHQB_W0IAAV?$argument_list@_W@?A0x5f5c8891@@@Z 00d4 ??$find_first_file_ex@ABQA_WW4_FINDEX_INFO_LEVELS@@PAU_WIN32_FIND_DATAW@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@_W@@SAPAXABQA_W$$QAW4_FINDEX_INFO_LEVELS@@$$QAPAU_WIN32_FIND_DATAW@@$$QAW4_FINDEX_SEARCH_OPS@@$$QA$$T$$QAH@Z 00de ??0?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAA@QAX@Z 00e4 ?get@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QBAPAXXZ 0106 ??1?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAA@XZ 0112 ?size@?$argument_list@_W@?A0x5f5c8891@@QBAIXZ 018e ??$find_next_file@PAXPAU_WIN32_FIND_DATAW@@@?$__crt_char_traits@_W@@SAH$$QAPAX$$QAPAU_WIN32_FIND_DATAW@@@Z 01ce ??B<lambda_601ce2808d07e6dd980fd6da59ab4158>@@QBAP6AHPBX0@ZXZ 01d6 ?begin@?$argument_list@_W@?A0x5f5c8891@@QBAPAPA_WXZ 01f2 qsort 020a __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 38 7D 01 22 00 21 07 A8 ?? ?? ?? ?? BD 9B 02 93 02 9A BC 9B 9A 42 13 D0 02 9B 19 88 0D F1 0D 00 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 07 D1 02 99 BC 98 ?? ?? ?? ?? 0C 90 0C 9B 02 93 E7 E7 02 9B 1B 88 3A 2B 0E D1 BC 9B 9A 1C 02 9B 93 42 09 D0 BE 9B 00 22 00 21 BC 98 ?? ?? ?? ?? 0D 90 0D 9B 06 93 C6 E0 02 9B 19 88 0D F1 0D 00 ?? ?? ?? ?? 8D F8 0E 00 9D F8 0E 30 00 2B 06 D0 02 9A BC 9B D3 1A 5B 10 5B 1C 09 93 01 E0 00 23 09 93 09 9B 18 93 4F F4 14 72 00 21 24 A8 ?? ?? ?? ?? 00 23 0E 93 00 23 0F 93 00 23 10 93 24 AB 11 93 00 23 12 93 0E AB 01 93 0F AB 00 93 10 AB 11 AA 12 A9 BC A8 ?? ?? ?? ?? 13 90 13 99 05 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 14 90 14 9B B3 F1 FF 3F 0E D1 BE 9B 00 22 00 21 BC 98 ?? ?? ?? ?? 15 90 15 9B 16 93 05 A8 ?? ?? ?? ?? 16 9B 06 93 79 E0 BE 98 ?? ?? ?? ?? 17 90 17 9B 08 93 2F AB 04 93 04 9B 1B 88 2E 2B 05 D1 04 9B 9B 1C 1B 88 00 2B 00 D1 22 E0 04 9B 1B 88 2E 2B 0A D1 04 9B 9B 1C 1B 88 2E 2B 05 D1 04 9B 1B 1D 1B 88 00 2B 00 D1 13 E0 BE 9B 18 9A BC 99 04 98 ?? ?? ?? ?? 19 90 19 9B 0A 93 0A 9B 00 2B 07 D0 0A 9B 1A 93 05 A8 ?? ?? ?? ?? 1A 9B 06 93 44 E0 24 AB 1C 93 05 A8 ?? ?? ?? ?? 1B 90 1B 9B 1D 93 1C A9 1D A8 ?? ?? ?? ?? 1E 90 1E 9B 00 2B C0 D1 BE 98 ?? ?? ?? ?? 1F 90 1F 9B 0B 93 08 9A 0B 9B 9A 42 07 D1 00 23 20 93 05 A8 ?? ?? ?? ?? 20 9B 06 93 22 E0 01 22 00 21 0D F1 0F 00 ?? ?? ?? ?? 0D F1 0F 00 ?? ?? ?? ?? 21 90 BE 98 ?? ?? ?? ?? 22 90 21 9B 04 22 0B 98 08 99 41 1A 08 9C 04 20 04 FB 00 F4 22 98 20 44 ?? ?? ?? ?? 00 23 23 93 05 A8 ?? ?? ?? ?? 23 9B 06 93 06 98 0D F5 38 7D ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB }
	condition:
		$1
}

rule file_619_13_0 {
	meta:
		name = "??$find_first_file_ex@ABQADW4_FINDEX_INFO_LEVELS@@PAU_WIN32_FIND_DATAA@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@D@@SAPAXABQAD$$QAW4_FINDEX_INFO_LEVELS@@$$QAPAU_WIN32_FIND_DATAA@@$$QAW4_FINDEX_SEARCH_OPS@@$$QA$$T$$QAH@Z"
		size = 68
		refs = "0040 __imp_FindFirstFileExA"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 85 B0 0D 9B 1B 68 01 93 0C 9B 1B 68 00 93 0B 9B 1B 68 0A 9A 12 68 09 99 09 68 08 98 00 68 05 4C 24 68 A0 47 02 90 02 9B 03 93 03 98 05 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_14_0 {
	meta:
		name = "??$find_first_file_ex@ABQA_WW4_FINDEX_INFO_LEVELS@@PAU_WIN32_FIND_DATAW@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@_W@@SAPAXABQA_W$$QAW4_FINDEX_INFO_LEVELS@@$$QAPAU_WIN32_FIND_DATAW@@$$QAW4_FINDEX_SEARCH_OPS@@$$QA$$T$$QAH@Z"
		size = 68
		refs = "0040 __imp_FindFirstFileExW"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 85 B0 0D 9B 1B 68 01 93 0C 9B 1B 68 00 93 0B 9B 1B 68 0A 9A 12 68 09 99 09 68 08 98 00 68 05 4C 24 68 A0 47 02 90 02 9B 03 93 03 98 05 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_27_0 {
	meta:
		name = "??$tcspbrk@AAPADAAY02$$CBD@?$__crt_char_traits@D@@SAPADAAPADAAY02$$CBD@Z"
		size = 38
		refs = "0010 ?strpbrk@@YAPADQADQBD@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_28_0 {
	meta:
		name = "??$tcspbrk@AAPA_WAAY02$$CB_W@?$__crt_char_traits@_W@@SAPA_WAAPA_WAAY02$$CB_W@Z"
		size = 38
		refs = "0010 ?wcspbrk@@YAPA_WPA_WPB_W@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 9B 18 68 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_35_0 {
	meta:
		name = "??0?$argument_list@D@?A0x5f5c8891@@QAA@XZ"
		size = 50
		altNames = "??0?$argument_list@_W@?A0x5f5c8891@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 00 23 13 60 04 9B 1A 1D 00 23 13 60 04 9B 03 F1 08 02 00 23 13 60 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_43_0 {
	meta:
		name = "??1?$argument_list@D@?A0x5f5c8891@@QAA@XZ"
		size = 68
		refs = "002a _free_dbg"
		altNames = "??1?$argument_list@_W@?A0x5f5c8891@@QAA@XZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 00 93 02 E0 00 9B 1B 1D 00 93 04 9B 1B 1D 00 9A 1B 68 9A 42 05 D0 02 21 00 9B 18 68 ?? ?? ?? ?? F0 E7 02 21 04 9B 18 68 ?? ?? ?? ?? 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_54_0 {
	meta:
		name = "?append@?$argument_list@D@?A0x5f5c8891@@QAAHQAD@Z"
		size = 82
		refs = "000c ?expand_if_necessary@?$argument_list@D@?A0x5f5c8891@@AAAHXZ 0020 _free_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 06 D0 02 21 07 98 ?? ?? ?? ?? 00 9B 01 93 0D E0 06 9B 1B 1D 1A 68 07 9B 13 60 06 9B 1B 1D 1B 68 1A 1D 06 9B 1B 1D 1A 60 00 23 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_55_0 {
	meta:
		name = "?append@?$argument_list@_W@?A0x5f5c8891@@QAAHQA_W@Z"
		size = 82
		refs = "000c ?expand_if_necessary@?$argument_list@_W@?A0x5f5c8891@@AAAHXZ 0020 _free_dbg"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 06 D0 02 21 07 98 ?? ?? ?? ?? 00 9B 01 93 0D E0 06 9B 1B 1D 1A 68 07 9B 13 60 06 9B 1B 1D 1B 68 1A 1D 06 9B 1B 1D 1A 60 00 23 01 93 01 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_619_67_0 {
	meta:
		name = "?expand_if_necessary@?$argument_list@D@?A0x5f5c8891@@AAAHXZ"
		size = 336
		refs = "0038 _calloc_dbg 0042 ??0?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAA@QAPAD@Z 004e ?detach@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAAPAPADXZ 005c ??1?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAA@XZ 00cc _recalloc_dbg 00dc ??B?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBA_NXZ 014c ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 1A 1D 14 9B 08 33 12 68 1B 68 9A 42 02 D0 00 23 03 93 8F E0 14 9B 1B 68 00 2B 32 D1 04 23 10 93 57 23 00 93 46 4B 02 22 04 21 04 20 ?? ?? ?? ?? 07 90 07 99 0B A8 ?? ?? ?? ?? 08 90 08 9B 09 93 09 98 ?? ?? ?? ?? 0A 90 14 9A 0A 9B 13 60 0B A8 ?? ?? ?? ?? 14 9B 1B 68 00 2B 02 D1 0C 23 03 93 68 E0 14 99 14 9B 1A 1D 0B 68 13 60 14 9B 1B 68 03 F1 10 02 14 9B 08 33 1A 60 00 23 03 93 59 E0 58 E0 14 9B 03 F1 08 02 14 9B 12 68 1B 68 D3 1A 9B 10 05 93 05 9A 6F F0 00 43 9A 42 02 D9 0C 23 03 93 47 E0 05 9A 02 23 02 FB 03 F3 06 93 67 23 01 93 23 4B 00 93 02 23 04 22 06 99 14 98 00 68 ?? ?? ?? ?? 0C 90 0C 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 07 D1 0C 23 0D 93 04 A8 ?? ?? ?? ?? 0D 9B 03 93 21 E0 04 A8 ?? ?? ?? ?? 0E 90 14 9A 0E 9B 13 60 14 99 05 9A 04 23 02 FB 03 F2 0B 68 1A 44 14 9B 1B 1D 1A 60 14 99 06 9A 04 23 02 FB 03 F2 0B 68 1A 44 14 9B 08 33 1A 60 00 23 0F 93 04 A8 ?? ?? ?? ?? 0F 9B 03 93 03 98 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_68_0 {
	meta:
		name = "?expand_if_necessary@?$argument_list@_W@?A0x5f5c8891@@AAAHXZ"
		size = 336
		refs = "0038 _calloc_dbg 0042 ??0?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAA@QAPA_W@Z 004e ?detach@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 005c ??1?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAA@XZ 00cc _recalloc_dbg 00dc ??B?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBA_NXZ 014c ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 1A 1D 14 9B 08 33 12 68 1B 68 9A 42 02 D0 00 23 03 93 8F E0 14 9B 1B 68 00 2B 32 D1 04 23 10 93 57 23 00 93 46 4B 02 22 04 21 04 20 ?? ?? ?? ?? 07 90 07 99 0B A8 ?? ?? ?? ?? 08 90 08 9B 09 93 09 98 ?? ?? ?? ?? 0A 90 14 9A 0A 9B 13 60 0B A8 ?? ?? ?? ?? 14 9B 1B 68 00 2B 02 D1 0C 23 03 93 68 E0 14 99 14 9B 1A 1D 0B 68 13 60 14 9B 1B 68 03 F1 10 02 14 9B 08 33 1A 60 00 23 03 93 59 E0 58 E0 14 9B 03 F1 08 02 14 9B 12 68 1B 68 D3 1A 9B 10 05 93 05 9A 6F F0 00 43 9A 42 02 D9 0C 23 03 93 47 E0 05 9A 02 23 02 FB 03 F3 06 93 67 23 01 93 23 4B 00 93 02 23 04 22 06 99 14 98 00 68 ?? ?? ?? ?? 0C 90 0C 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 07 D1 0C 23 0D 93 04 A8 ?? ?? ?? ?? 0D 9B 03 93 21 E0 04 A8 ?? ?? ?? ?? 0E 90 14 9A 0E 9B 13 60 14 99 05 9A 04 23 02 FB 03 F2 0B 68 1A 44 14 9B 1B 1D 1A 60 14 99 06 9A 04 23 02 FB 03 F2 0B 68 1A 44 14 9B 08 33 1A 60 00 23 0F 93 04 A8 ?? ?? ?? ?? 0F 9B 03 93 03 98 12 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_619_84_0 {
	meta:
		name = "?size@?$argument_list@D@?A0x5f5c8891@@QBAIXZ"
		size = 38
		altNames = "?size@?$argument_list@_W@?A0x5f5c8891@@QBAIXZ"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1A 1D 04 9B 12 68 1B 68 D3 1A 9B 10 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_620_0_0 {
	meta:
		name = "copysignf"
		size = 70
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 CD ED 02 0A 8D ED 01 0A 01 AB 9B 1C 00 93 02 AB 9B 1C 03 93 00 9B 1B 88 23 F4 00 42 03 9B 1B 88 03 F4 00 43 13 43 9A B2 00 9B 1A 80 9D ED 01 0A 8D ED 04 0A 9D ED 04 0A 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_625_12_0 {
	meta:
		name = "?compute_iso_week@@YAHHHH@Z"
		size = 120
		refs = "0010 ?compute_iso_week_internal@@YAHHHH@Z 0024 ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 0A 9A 09 99 08 98 ?? ?? ?? ?? 04 90 04 9B 01 93 01 9B 00 2B 1D D1 08 9B 58 1E ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D0 4F F4 B7 73 03 93 02 E0 40 F2 6D 13 03 93 03 9A 09 9B D9 1D 0A 9B C9 1A 08 9B 58 1E ?? ?? ?? ?? 05 90 05 9B 02 93 07 E0 01 9B 00 2B 02 DD 01 9B 02 93 01 E0 01 23 02 93 02 98 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_625_13_0 {
	meta:
		name = "?compute_iso_week_internal@@YAHHHH@Z"
		size = 190
		refs = "0010 ?compute_week_of_year@@YAHHHH@Z 001c ??$__crt_time_is_leap_year@H@@YA_NH@Z 0044 __rt_sdiv"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0C 9A 0B 99 01 20 ?? ?? ?? ?? 06 90 06 9B 05 93 0A 98 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 8D F8 00 30 9D F8 00 20 0C 9B 9B 1A 02 93 0C 9A 40 F2 73 13 9A 1A 0B 9B D1 18 07 20 ?? ?? ?? ?? 01 91 9D F8 00 20 01 9B 13 44 03 F2 6D 11 07 20 ?? ?? ?? ?? 03 91 02 9B B3 F5 B6 7F 02 DB 03 9B 02 2B 0E D0 02 9A 40 F2 6B 13 9A 42 02 DB 03 9B 03 2B 06 D0 02 9B B3 F5 B5 7F 07 DB 03 9B 04 2B 04 D1 6F F0 00 03 04 93 0F E0 0C E0 01 9B 02 2B 05 D0 01 9B 03 2B 02 D0 01 9B 04 2B 03 D1 05 9B 5B 1C 04 93 01 E0 05 9B 04 93 04 98 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_625_14_0 {
	meta:
		name = "?compute_iso_year@@YAHHHH@Z"
		size = 70
		refs = "0010 ?compute_iso_week_internal@@YAHHHH@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9A 07 99 06 98 ?? ?? ?? ?? 02 90 02 9B 01 93 01 9B 00 2B 03 D1 06 9B 5B 1E 00 93 08 E0 01 9B 00 2B 02 DD 06 9B 00 93 02 E0 06 9B 5B 1C 00 93 00 98 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_625_15_0 {
	meta:
		name = "?compute_week_of_year@@YAHHHH@Z"
		size = 54
		refs = "0014 __rt_sdiv"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 05 9B DA 1D 04 9B D1 1A 07 20 ?? ?? ?? ?? 00 91 06 9B DA 1D 00 9B D1 1A 07 20 ?? ?? ?? ?? 01 90 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_625_17_0 {
	meta:
		name = "?expand_time@@YA_NPAU__crt_locale_pointers@@_WPBUtm@@PAPA_WPAIPBU__crt_lc_time_data@@_N@Z"
		size = 6832
		refs = "0114 _CrtDbgReportW 0128 _errno 0148 _invalid_parameter 0170 ?store_string@@YAXPB_WQAPA_WQAI@Z 03a6 ?expand_time@@YA_NPAU__crt_locale_pointers@@_WPBUtm@@PAPA_WPAIPBU__crt_lc_time_data@@_N@Z 050c ?store_winword@@YA_NQAU__crt_locale_pointers@@HQBUtm@@QAPA_WQAIQBU__crt_lc_time_data@@@Z 0624 ?__crt_get_century@@YAHH@Z 063a ?store_number@@YAXHHQAPA_WQAI_W@Z 09ee ?compute_iso_year@@YAHHHH@Z 0a0a __rt_sdiv 0c28 ??_C@_1GA@IKFGJIKF@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 0c2c ??_C@_1BI@LDOAAJAA@?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 0c30 ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0c34 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0c38 ??_C@_1GM@MKLKFGDB@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?9?$AA1?$AA9?$AA0?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm@ 0c40 ??_C@_13IMODFHAA@?$AA?9?$AA?$AA@ 0c44 ??_C@_1GA@JEAPKENA@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 0c48 ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@ 0c4c ??_C@_13HOIJIPNN@?$AA?5?$AA?$AA@ 0c50 __lc_time_c 0c54 ??_C@_1FM@GHDMHKAF@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9@ 0c58 ??_C@_1FO@DBKKAEEH@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 15b8 ?compute_iso_week@@YAHHHH@Z 1702 ?__crt_get_2digit_year@@YAHH@Z 17f6 __tzset 1800 _get_timezone 187c _get_dstbias 1978 __tzname 19b8 _mbstowcs_s_l 19d8 _invoke_watson_if_oneof 1a58 ??_C@_13EJFHHPOP@?$AA?$CF?$AA?$AA@ 1a5c ??_C@_1II@GCMOLCJB@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$CI?$AA?$CG?$AAw?$AAn?$AAu?$AAm?$AA?0?$AA?5?$AA?$CK?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?0?$AA?5?$AA?$CK?$AAl@ 1a6c ??_C@_13KJIIAINM@?$AA?$CL?$AA?$AA@ 1a70 ??_C@_1DK@HAJPFEBK@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AA_?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 1a78 ??_C@_1DI@PJPIDMEH@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 1a84 ??_C@_1GC@FCHCEOGN@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 1a8c ??_C@_13EBCNDICG@?$AA?3?$AA?$AA@ 1a90 ??_C@_13KDLDGPGJ@?$AA?7?$AA?$AA@ 1a94 ??_C@_1FM@BCBKJMBP@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9@ 1aa4 ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@ 1aa8 ??_C@_1FM@FIGBEEHK@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9@"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B AD F5 2B 7D BD F8 C4 32 10 93 10 9B 25 3B 10 93 10 9B 55 2B 01 F2 0F 85 10 9A DF E8 12 F0 03 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D AB 00 55 01 AB 02 6D 03 0C 0D 33 04 FE 04 6E 05 C5 05 0C 0D 0C 0D 0C 0D FE 06 0C 0D 0C 0D 0C 0D 0C 0D 78 08 BF 08 22 09 F4 09 BF 0A F4 09 0F 0B 8B 0B A4 0C 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 0C 0D 56 00 00 01 AA 01 10 03 D8 03 0C 0D 9C 04 59 05 0C 0D 40 06 0C 0D 0C 0D A0 06 5B 07 0C 0D 66 07 0C 0D C4 07 0C 0D 18 09 89 09 0C 0D 89 09 E6 0A 2D 0B E7 0B B2 9B 18 33 1B 68 00 2B 07 DB B2 9B 18 33 1B 68 06 2B 02 DC 01 23 15 93 01 E0 00 23 15 93 15 9B 16 93 16 9B 00 2B 12 D1 DF F8 58 3B 01 93 DF F8 30 3B 00 93 00 23 40 F2 9F 22 DF F8 20 1B 02 20 ?? ?? ?? ?? 4C 90 4C 9B 01 2B 00 D1 FE DE 16 9B 00 2B 16 D1 ?? ?? ?? ?? 4D 90 4D 9A 16 23 13 60 00 23 00 93 40 F2 9F 23 DF F8 F0 2A DF F8 E8 1A DF F8 10 0B ?? ?? ?? ?? 00 23 8D F8 10 30 01 F0 78 BC B4 9A B3 99 B5 9B 03 F1 B4 04 B2 9B 18 33 18 68 04 23 00 FB 03 F3 23 44 18 68 ?? ?? ?? ?? 01 23 8D F8 10 30 01 F0 64 BC B2 9B 18 33 1B 68 00 2B 07 DB B2 9B 18 33 1B 68 06 2B 02 DC 01 23 17 93 01 E0 00 23 17 93 17 9B 18 93 18 9B 00 2B 12 D1 DF F8 B0 3A 01 93 DF F8 84 3A 00 93 00 23 40 F2 A6 22 DF F8 74 1A 02 20 ?? ?? ?? ?? 4E 90 4E 9B 01 2B 00 D1 FE DE 18 9B 00 2B 16 D1 ?? ?? ?? ?? 4F 90 4F 9A 16 23 13 60 00 23 00 93 40 F2 A6 23 DF F8 48 2A DF F8 40 1A DF F8 68 0A ?? ?? ?? ?? 00 23 8D F8 10 30 01 F0 23 BC B4 9A B3 99 B5 9B 03 F1 D0 04 B2 9B 18 33 18 68 04 23 00 FB 03 F3 23 44 18 68 ?? ?? ?? ?? 01 23 8D F8 10 30 01 F0 0F BC B2 9B 10 33 1B 68 00 2B 07 DB B2 9B 10 33 1B 68 0B 2B 02 DC 01 23 19 93 01 E0 00 23 19 93 19 9B 1A 93 1A 9B 00 2B 12 D1 DF F8 00 3A 01 93 DF F8 DC 39 00 93 00 23 40 F2 AD 22 DF F8 CC 19 02 20 ?? ?? ?? ?? 50 90 50 9B 01 2B 00 D1 FE DE 1A 9B 00 2B 16 D1 ?? ?? ?? ?? 51 90 51 9A 16 23 13 60 00 23 00 93 40 F2 AD 23 DF F8 9C 29 DF F8 94 19 DF F8 B8 09 ?? ?? ?? ?? 00 23 8D F8 10 30 01 F0 CE BB B4 9A B3 99 B5 9B 03 F1 EC 04 B2 9B 10 33 18 68 04 23 00 FB 03 F3 23 44 18 68 ?? ?? ?? ?? 01 23 8D F8 10 30 01 F0 BA BB B2 9B 10 33 1B 68 00 2B 07 DB B2 9B 10 33 1B 68 0B 2B 02 DC 01 23 1B 93 01 E0 00 23 1B 93 1B 9B 1C 93 1C 9B 00 2B 12 D1 DF F8 58 39 01 93 DF F8 30 39 00 93 00 23 4F F4 2D 72 DF F8 20 19 02 20 ?? ?? ?? ?? 52 90 52 9B 01 2B 00 D1 FE DE 1C 9B 00 2B 16 D1 ?? ?? ?? ?? 53 90 53 9A 16 23 13 60 00 23 00 93 4F F4 2D 73 DF F8 F4 28 DF F8 EC 18 DF F8 10 09 ?? ?? ?? ?? 00 23 8D F8 10 30 01 F0 79 BB B4 9A B3 99 B5 9B 03 F5 8E 74 B2 9B 10 33 18 68 04 23 00 FB 03 F3 23 44 18 68 ?? ?? ?? ?? 01 23 8D F8 10 30 01 F0 65 BB B5 9A DF F8 D0 38 9A 42 40 F0 AF 80 9D F8 D8 32 00 2B 40 F0 AA 80 00 23 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 61 21 B0 98 ?? ?? ?? ?? 8D F8 3B 00 9D F8 3B 30 00 2B 0A D1 ?? ?? ?? ?? 54 90 54 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 3D BB B4 9A B3 99 DF F8 78 08 ?? ?? ?? ?? 00 23 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 62 21 B0 98 ?? ?? ?? ?? 8D F8 22 00 9D F8 22 30 00 2B 0A D1 ?? ?? ?? ?? 55 90 55 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 1A BB B4 9A B3 99 DF F8 34 08 ?? ?? ?? ?? 00 23 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 65 21 B0 98 ?? ?? ?? ?? 8D F8 23 00 9D F8 23 30 00 2B 0A D1 ?? ?? ?? ?? 56 90 56 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 F7 BA B4 9A B3 99 DF F8 EC 07 ?? ?? ?? ?? 00 23 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 54 21 B0 98 ?? ?? ?? ?? 8D F8 24 00 9D F8 24 30 00 2B 0A D1 ?? ?? ?? ?? 57 90 57 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 D4 BA B4 9A B3 99 DF F8 A8 07 ?? ?? ?? ?? 00 23 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 59 21 B0 98 ?? ?? ?? ?? 8D F8 25 00 9D F8 25 30 00 2B 0A D1 ?? ?? ?? ?? 58 90 58 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 B1 BA 46 E0 9D F8 D8 32 00 2B 02 D0 01 23 1D 93 01 E0 00 23 1D 93 1D 9B 59 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 59 99 B0 98 ?? ?? ?? ?? 8D F8 26 00 9D F8 26 30 00 2B 0A D1 ?? ?? ?? ?? 5A 90 5A 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 8A BA B4 9A B3 99 DF F8 14 07 ?? ?? ?? ?? B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 02 21 B0 98 ?? ?? ?? ?? 8D F8 27 00 9D F8 27 30 00 2B 0A D1 ?? ?? ?? ?? 5B 90 5B 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 69 BA 01 23 8D F8 10 30 01 F0 64 BA B2 9B 14 33 1A 68 DF F8 B4 36 9A 42 09 DB B2 9B 14 33 1A 68 41 F6 A3 73 9A 42 02 DC 01 23 1E 93 01 E0 00 23 1E 93 1E 9B 1F 93 1F 9B 00 2B 12 D1 DF F8 88 36 01 93 DF F8 7C 36 00 93 00 23 4F F4 37 72 DF F8 6C 16 02 20 ?? ?? ?? ?? 5C 90 5C 9B 01 2B 00 D1 FE DE 1F 9B 00 2B 16 D1 ?? ?? ?? ?? 5D 90 5D 9A 16 23 13 60 00 23 00 93 4F F4 37 73 DF F8 40 26 DF F8 38 16 DF F8 40 06 ?? ?? ?? ?? 00 23 8D F8 10 30 01 F0 1F BA 9D F8 D8 32 00 2B 03 D0 00 23 8D F8 14 30 02 E0 30 23 8D F8 14 30 B2 9B 14 33 18 68 ?? ?? ?? ?? 5E 90 9D F9 14 30 9B B2 00 93 B4 9B B3 9A 02 21 5E 98 ?? ?? ?? ?? 01 23 8D F8 10 30 01 F0 FF B9 B2 9B 0C 33 1B 68 01 2B 07 DB B2 9B 0C 33 1B 68 1F 2B 02 DC 01 23 20 93 01 E0 00 23 20 93 20 9B 21 93 21 9B 00 2B 12 D1 DF F8 D0 35 01 93 DF F8 BC 35 00 93 00 23 40 F2 E3 22 DF F8 AC 15 02 20 ?? ?? ?? ?? 5F 90 5F 9B 01 2B 00 D1 FE DE 21 9B 00 2B 16 D1 ?? ?? ?? ?? 60 90 60 9A 16 23 13 60 00 23 00 93 40 F2 E3 23 DF F8 7C 25 DF F8 74 15 DF F8 88 05 ?? ?? ?? ?? 00 23 8D F8 10 30 01 F0 BE B9 9D F8 D8 32 00 2B 03 D0 00 23 8D F8 15 30 02 E0 30 23 8D F8 15 30 9D F9 15 30 9B B2 00 93 B4 9B B3 9A 02 21 B2 98 0C 30 00 68 ?? ?? ?? ?? 01 23 8D F8 10 30 01 F0 A2 B9 9D F8 D8 32 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 6D 21 B0 98 ?? ?? ?? ?? 8D F8 28 00 9D F8 28 30 00 2B 0A D1 ?? ?? ?? ?? 61 90 61 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 84 B9 B4 9A B3 99 DF F8 04 05 ?? ?? ?? ?? 9D F8 D8 32 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 64 21 B0 98 ?? ?? ?? ?? 8D F8 29 00 9D F8 29 30 00 2B 0A D1 ?? ?? ?? ?? 62 90 62 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 60 B9 B4 9A B3 99 DF F8 BC 04 ?? ?? ?? ?? 9D F8 D8 32 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 79 21 B0 98 ?? ?? ?? ?? 8D F8 2A 00 9D F8 2A 30 00 2B 0A D1 ?? ?? ?? ?? 63 90 63 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 3C B9 01 23 8D F8 10 30 01 F0 37 B9 B2 9B 0C 33 1B 68 01 2B 07 DB B2 9B 0C 33 1B 68 1F 2B 02 DC 01 23 22 93 01 E0 00 23 22 93 22 9B 23 93 23 9B 00 2B 12 D1 DF F8 40 34 01 93 DF F8 2C 34 00 93 00 23 4F F4 3D 72 DF F8 1C 14 02 20 ?? ?? ?? ?? 64 90 64 9B 01 2B 00 D1 FE DE 23 9B 00 2B 14 D1 ?? ?? ?? ?? 65 90 65 9A 16 23 13 60 00 23 00 93 4F F4 3D 73 FB 4A FA 49 DF F8 FC 03 ?? ?? ?? ?? 00 23 8D F8 10 30 01 F0 F8 B8 9D F8 D8 32 00 2B 03 D0 00 23 8D F8 16 30 02 E0 20 23 8D F8 16 30 9D F9 16 30 9B B2 00 93 B4 9B B3 9A 02 21 B2 98 0C 30 00 68 ?? ?? ?? ?? 01 23 8D F8 10 30 01 F0 DC B8 9D F8 D8 32 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 59 21 B0 98 ?? ?? ?? ?? 8D F8 2B 00 9D F8 2B 30 00 2B 0A D1 ?? ?? ?? ?? 66 90 66 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 BE B8 B4 9A B3 99 DC 48 ?? ?? ?? ?? 9D F8 D8 32 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 6D 21 B0 98 ?? ?? ?? ?? 8D F8 2C 00 9D F8 2C 30 00 2B 0A D1 ?? ?? ?? ?? 67 90 67 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 9B B8 B4 9A B3 99 CA 48 ?? ?? ?? ?? 9D F8 D8 32 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 64 21 B0 98 ?? ?? ?? ?? 8D F8 2D 00 9D F8 2D 30 00 2B 0A D1 ?? ?? ?? ?? 68 90 68 9A 16 23 13 60 00 23 8D F8 10 30 01 F0 78 B8 01 23 8D F8 10 30 01 F0 73 B8 B2 9B 14 33 1A 68 B5 4B 9A 42 09 DB B2 9B 14 33 1A 68 41 F6 A3 73 9A 42 02 DC 01 23 24 93 01 E0 00 23 24 93 24 9B 25 93 25 9B 00 2B 0F D1 AA 4B 01 93 A8 4B 00 93 00 23 40 F2 05 32 A4 49 02 20 ?? ?? ?? ?? 69 90 69 9B 01 2B 00 D1 FE DE 25 9B 00 2B 13 D1 ?? ?? ?? ?? 6A 90 6A 9A 16 23 13 60 00 23 00 93 40 F2 05 33 99 4A 98 49 9A 48 ?? ?? ?? ?? 00 23 8D F8 10 30 01 F0 35 B8 B2 9B 1C 33 1A 68 B2 9B 18 33 19 68 B2 9B 14 33 18 68 ?? ?? ?? ?? 6B 90 6B 9B 03 F2 6C 73 6C 93 30 23 00 93 B4 9E B3 9D 02 24 6C 99 64 20 ?? ?? ?? ?? 08 46 21 46 2A 46 33 46 ?? ?? ?? ?? 01 23 8D F8 10 30 01 F0 11 B8 B2 9B 14 33 1A 68 84 4B 9A 42 09 DB B2 9B 14 33 1A 68 41 F6 A3 73 9A 42 02 DC 01 23 26 93 01 E0 00 23 26 93 26 9B 27 93 27 9B 00 2B 0F D1 79 4B 01 93 77 4B 00 93 00 23 40 F2 0D 32 73 49 02 20 ?? ?? ?? ?? 6D 90 6D 9B 01 2B 00 D1 FE DE 27 9B 00 2B 13 D1 ?? ?? ?? ?? 6E 90 6E 9A 16 23 13 60 00 23 00 93 40 F2 0D 33 68 4A 67 49 69 48 ?? ?? ?? ?? 00 23 8D F8 10 30 00 F0 D3 BF B2 9B 1C 33 1A 68 B2 9B 18 33 19 68 B2 9B 14 33 18 68 ?? ?? ?? ?? 6F 90 6F 9B 03 F2 6C 73 70 93 30 23 00 93 B4 9B B3 9A 04 21 70 98 ?? ?? ?? ?? 01 23 8D F8 10 30 00 F0 B6 BF 9D F8 D8 32 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 62 21 B0 98 ?? ?? ?? ?? 8D F8 2E 00 9D F8 2E 30 8D F8 10 30 00 F0 A1 BF B2 9B 08 33 1B 68 00 2B 07 DB B2 9B 08 33 1B 68 17 2B 02 DC 01 23 28 93 01 E0 00 23 28 93 28 9B 29 93 29 9B 00 2B 0F D1 3E 4B 01 93 40 4B 00 93 00 23 40 F2 1A 32 3D 49 02 20 ?? ?? ?? ?? 71 90 71 9B 01 2B 00 D1 FE DE 29 9B 00 2B 13 D1 ?? ?? ?? ?? 72 90 72 9A 16 23 13 60 00 23 00 93 40 F2 1A 33 32 4A 30 49 2F 48 ?? ?? ?? ?? 00 23 8D F8 10 30 00 F0 66 BF 9D F8 D8 32 00 2B 03 D0 00 23 8D F8 17 30 02 E0 30 23 8D F8 17 30 9D F9 17 30 9B B2 00 93 B4 9B B3 9A 02 21 B2 98 08 30 00 68 ?? ?? ?? ?? 01 23 8D F8 10 30 00 F0 4A BF B2 9B 08 33 1B 68 00 2B 07 DB B2 9B 08 33 1B 68 17 2B 02 DC 01 23 2A 93 01 E0 00 23 2A 93 2A 9B 2B 93 2B 9B 00 2B 0F D1 13 4B 01 93 15 4B 00 93 00 23 40 F2 21 32 11 49 02 20 ?? ?? ?? ?? 73 90 73 9B 01 2B 00 D1 FE DE 2B 9B 00 2B 2D D1 ?? ?? ?? ?? 74 90 74 9A 16 23 13 60 00 23 00 93 40 F2 21 33 06 4A 05 49 03 48 ?? ?? ?? ?? 00 23 8D F8 10 30 00 F0 0F BF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 94 F8 FF FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? B2 9B 08 33 19 68 0C 20 ?? ?? ?? ?? 13 91 13 9B 00 2B 01 D1 0C 23 13 93 9D F8 D8 32 00 2B 03 D0 00 23 8D F8 18 30 02 E0 30 23 8D F8 18 30 9D F9 18 30 9B B2 00 93 B4 9B B3 9A 02 21 13 98 ?? ?? ?? ?? 01 23 8D F8 10 30 00 F0 CF BE B2 9B 1C 33 1B 68 00 2B 09 DB B2 9B 1C 33 1A 68 40 F2 6D 13 9A 42 02 DC 01 23 2C 93 01 E0 00 23 2C 93 2C 9B 2D 93 2D 9B 00 2B 12 D1 DF F8 AC 3D 01 93 DF F8 98 3D 00 93 00 23 4F F4 4B 72 DF F8 7C 1D 02 20 ?? ?? ?? ?? 75 90 75 9B 01 2B 00 D1 FE DE 2D 9B 00 2B 16 D1 ?? ?? ?? ?? 76 90 76 9A 16 23 13 60 00 23 00 93 4F F4 4B 73 DF F8 4C 2D DF F8 44 1D DF F8 64 0D ?? ?? ?? ?? 00 23 8D F8 10 30 00 F0 8C BE 9D F8 D8 32 00 2B 03 D0 00 23 8D F8 19 30 02 E0 30 23 8D F8 19 30 9D F9 19 30 9B B2 00 93 B4 9B B3 9A 03 21 B2 98 1C 30 00 68 40 1C ?? ?? ?? ?? 01 23 8D F8 10 30 00 F0 6F BE B2 9B 10 33 1B 68 00 2B 07 DB B2 9B 10 33 1B 68 0B 2B 02 DC 01 23 2E 93 01 E0 00 23 2E 93 2E 9B 2F 93 2F 9B 00 2B 12 D1 DF F8 18 3D 01 93 DF F8 DC 3C 00 93 00 23 40 F2 33 32 DF F8 C0 1C 02 20 ?? ?? ?? ?? 77 90 77 9B 01 2B 00 D1 FE DE 2F 9B 00 2B 16 D1 ?? ?? ?? ?? 78 90 78 9A 16 23 13 60 00 23 00 93 40 F2 33 33 DF F8 90 2C DF F8 88 1C DF F8 D0 0C ?? ?? ?? ?? 00 23 8D F8 10 30 00 F0 2E BE 9D F8 D8 32 00 2B 03 D0 00 23 8D F8 1A 30 02 E0 30 23 8D F8 1A 30 9D F9 1A 30 9B B2 00 93 B4 9B B3 9A 02 21 B2 98 10 30 00 68 40 1C ?? ?? ?? ?? 01 23 8D F8 10 30 00 F0 11 BE B2 9B 1B 1D 1B 68 00 2B 07 DB B2 9B 1B 1D 1B 68 3B 2B 02 DC 01 23 30 93 01 E0 00 23 30 93 30 9B 31 93 31 9B 00 2B 12 D1 DF F8 58 3C 01 93 DF F8 20 3C 00 93 00 23 40 F2 3A 32 DF F8 04 1C 02 20 ?? ?? ?? ?? 79 90 79 9B 01 2B 00 D1 FE DE 31 9B 00 2B 16 D1 ?? ?? ?? ?? 7A 90 7A 9A 16 23 13 60 00 23 00 93 40 F2 3A 33 DF F8 D4 2B DF F8 CC 1B DF F8 10 0C ?? ?? ?? ?? 00 23 8D F8 10 30 00 F0 D0 BD 9D F8 D8 32 00 2B 03 D0 00 23 8D F8 1B 30 02 E0 30 23 8D F8 1B 30 9D F9 1B 30 9B B2 00 93 B4 9B B3 9A 02 21 B2 98 00 1D 00 68 ?? ?? ?? ?? 01 23 8D F8 10 30 00 F0 B4 BD B4 9A B3 99 DF F8 C0 0B ?? ?? ?? ?? 01 23 8D F8 10 30 00 F0 A9 BD B2 9B 08 33 1B 68 00 2B 07 DB B2 9B 08 33 1B 68 17 2B 02 DC 01 23 32 93 01 E0 00 23 32 93 32 9B 33 93 33 9B 00 2B 12 D1 DF F8 80 3B 01 93 DF F8 50 3B 00 93 00 23 40 F2 47 32 DF F8 34 1B 02 20 ?? ?? ?? ?? 7B 90 7B 9B 01 2B 00 D1 FE DE 33 9B 00 2B 16 D1 ?? ?? ?? ?? 7C 90 7C 9A 16 23 13 60 00 23 00 93 40 F2 47 33 DF F8 04 2B DF F8 FC 1A DF F8 38 0B ?? ?? ?? ?? 00 23 8D F8 10 30 00 F0 68 BD B2 9B 08 33 1B 68 0B 2B 05 DC B5 9B 03 F5 A6 73 1B 68 34 93 05 E0 B5 9B 03 F5 A6 73 1B 1D 1B 68 34 93 34 9B 7D 93 B4 9A B3 99 7D 98 ?? ?? ?? ?? 01 23 8D F8 10 30 00 F0 4B BD B5 9A DF F8 E8 3A 9A 42 40 F0 8B 80 9D F8 D8 32 02 93 B5 9B 01 93 B4 9B 00 93 B3 9B B2 9A 49 21 B0 98 ?? ?? ?? ?? 8D F8 2F 00 9D F8 2F 30 00 2B 0A D1 ?? ?? ?? ?? 7E 90 7E 9A 16 23 13 60 00 23 8D F8 10 30 00 F0 27 BD B4 9A B3 99 DF F8 8C 0A }
	condition:
		$1
}

rule file_625_21_0 {
	meta:
		name = "?store_number@@YAXHHQAPA_WQAI_W@Z"
		size = 190
		refs = "0018 ?store_number_without_lead_zeroes@@YAXHQAPA_WQAI@Z 004c __rt_sdiv"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 BD F8 20 30 00 2B 05 D1 07 9A 06 99 04 98 ?? ?? ?? ?? 4A E0 05 9A 07 9B 1B 68 9A 42 42 D2 00 23 00 93 05 9B 5B 1E 05 93 02 E0 05 9B 5B 1E 05 93 05 9B 5B 1C 00 2B 25 D0 04 9B 00 2B 0F D0 04 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 99 B2 05 9A 02 23 02 FB 03 F2 06 9B 1B 68 13 44 19 80 09 E0 05 9A 02 23 02 FB 03 F2 06 9B 1B 68 1A 44 BD F8 20 30 13 80 04 99 0A 20 ?? ?? ?? ?? 04 90 00 9B 5B 1C 00 93 D2 E7 00 9A 02 23 02 FB 03 F2 06 9B 1B 68 1A 44 06 9B 1A 60 07 9B 1A 68 00 9B D2 1A 07 9B 1A 60 02 E0 07 9A 00 23 13 60 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_625_22_0 {
	meta:
		name = "?store_number_without_lead_zeroes@@YAXHQAPA_WQAI@Z"
		size = 186
		refs = "001c __rt_sdiv"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 07 9B 1B 68 01 93 08 9B 1B 68 01 2B 1D D9 06 99 0A 20 ?? ?? ?? ?? 01 F1 30 03 9A B2 01 9B 1A 80 01 9B 9B 1C 01 93 06 99 0A 20 ?? ?? ?? ?? 06 90 08 9B 1B 68 5A 1E 08 9B 1A 60 06 9B 00 2B 03 DD 08 9B 1B 68 01 2B E2 D8 0D E0 08 9B 1A 68 02 23 02 FB 03 F2 07 9B 1B 68 9A 1A 07 9B 1A 60 08 9A 00 23 13 60 1F E0 07 9B 1B 68 03 93 01 9B 9B 1E 02 93 01 9A 07 9B 1A 60 03 9A 02 9B 9A 42 12 D2 02 9B 1B 88 AD F8 00 30 03 9B 1A 88 02 9B 1A 80 02 9B 9B 1E 02 93 BD F8 00 20 03 9B 1A 80 03 9B 9B 1C 03 93 E8 E7 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_625_23_0 {
	meta:
		name = "?store_string@@YAXPB_WQAPA_WQAI@Z"
		size = 70
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 04 9B 1B 68 00 2B 16 D0 02 9B 1B 88 00 2B 12 D0 03 9B 1A 68 02 9B 1B 88 13 80 03 9B 1B 68 9A 1C 03 9B 1A 60 02 9B 9B 1C 02 93 04 9B 1B 68 5A 1E 04 9B 1A 60 E4 E7 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_625_24_0 {
	meta:
		name = "?store_winword@@YA_NQAU__crt_locale_pointers@@HQBUtm@@QAPA_WQAIQBU__crt_lc_time_data@@@Z"
		size = 1516
		refs = "0008 __security_push_cookie 00da __acrt_GetTimeFormatEx 0100 __acrt_GetDateFormatEx 011a _MallocaComputeSize 0140 _malloc_dbg 014c _MarkAllocaS 0160 ??0?$__crt_scoped_stack_ptr_tag@_W@@QAA@QA_W@Z 0170 ??0?$__crt_scoped_stack_ptr@_W@@QAA@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 0176 ?get@?$__crt_scoped_stack_ptr@_W@@QBAPA_WXZ 022e ??1?$__crt_scoped_stack_ptr@_W@@QAA@XZ 041c _wcsicmp 04e8 __rt_sdiv 0576 ?expand_time@@YA_NPAU__crt_locale_pointers@@_WPBUtm@@PAPA_WPAIPBU__crt_lc_time_data@@_N@Z 0586 _errno 05d2 __security_pop_cookie 05e0 ??_C@_17BLFJJHMM@?$AAa?$AA?1?$AAp?$AA?$AA@ 05e4 ??_C@_1M@PBPMMENC@?$AAa?$AAm?$AA?1?$AAp?$AAm?$AA?$AA@ 05e8 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? B1 B0 35 9B 12 93 12 9B 00 2B 03 D0 12 9B 01 2B 06 D0 0B E0 39 9B 03 F5 AA 73 1B 68 05 93 0A E0 39 9B 03 F5 AC 73 1B 68 05 93 04 E0 39 9B 03 F5 AE 73 1B 68 05 93 39 9B AC 33 1B 68 01 2B 00 F0 FA 80 35 9B 02 2B 03 D1 01 23 8D F8 20 30 02 E0 00 23 8D F8 20 30 9D F8 20 30 8D F8 21 30 36 9B 14 33 1B 68 03 F2 6C 73 9B B2 AD F8 B0 30 36 9B 10 33 1B 68 5B 1C 9B B2 AD F8 B2 30 36 9B 0C 33 1B 68 9B B2 AD F8 B6 30 36 9B 08 33 1B 68 9B B2 AD F8 B8 30 36 9B 1B 1D 1B 68 9B B2 AD F8 BA 30 36 9B 1B 68 9B B2 AD F8 BC 30 00 23 AD F8 BE 30 9D F8 21 30 00 2B 10 D0 00 23 01 93 00 23 00 93 05 9B 2C AA 00 21 39 98 00 F5 B0 70 00 68 ?? ?? ?? ?? 1A 90 1A 9B 09 93 11 E0 00 23 02 93 00 23 01 93 00 23 00 93 05 9B 2C AA 00 21 39 98 00 F5 B0 70 00 68 ?? ?? ?? ?? 1B 90 1B 9B 09 93 09 9B 00 2B 00 F0 98 80 09 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 1C 90 1C 9B 00 2B 18 D0 09 9A 02 23 02 FB 03 F0 ?? ?? ?? ?? 1D 90 4F F4 E2 73 DF F8 AC 24 02 21 1D 98 ?? ?? ?? ?? 1E 90 4D F6 DD 51 1E 98 ?? ?? ?? ?? 1F 90 1F 9B 13 93 01 E0 00 23 13 93 13 99 2B A8 ?? ?? ?? ?? 20 90 20 9B 21 93 21 9B 19 68 0D A8 ?? ?? ?? ?? 0D A8 ?? ?? ?? ?? 22 90 22 9B 00 2B 5C D0 9D F8 21 30 00 2B 14 D0 0D A8 ?? ?? ?? ?? 23 90 09 9B 01 93 23 9B 00 93 05 9B 2C AA 00 21 39 98 00 F5 B0 70 00 68 ?? ?? ?? ?? 24 90 24 9B 09 93 15 E0 0D A8 ?? ?? ?? ?? 25 90 00 23 02 93 09 9B 01 93 25 9B 00 93 05 9B 2C AA 00 21 39 98 00 F5 B0 70 00 68 ?? ?? ?? ?? 26 90 26 9B 09 93 0D A8 ?? ?? ?? ?? 27 90 27 9B 10 93 09 9B 5B 1E 09 93 09 9B 00 2B 16 DD 38 9B 1B 68 00 2B 12 D9 37 9B 1A 68 10 9B 1B 88 13 80 37 9B 1B 68 9A 1C 37 9B 1A 60 10 9B 9B 1C 10 93 38 9B 1B 68 5A 1E 38 9B 1A 60 E2 E7 01 23 8D F8 2C 30 0D A8 ?? ?? ?? ?? 9D F8 2C 30 8D F8 44 30 C7 E1 0D A8 ?? ?? ?? ?? 05 9B 1B 88 00 2B 00 F0 BD 81 38 9B 1B 68 00 2B 00 F0 B8 81 00 23 AD F8 12 30 00 23 8D F8 10 30 00 23 06 93 05 9B 0A 93 02 E0 06 9B 5B 1C 06 93 0A 9B 19 88 05 9B 1A 88 0A 9B 9B 1C 0A 93 91 42 00 D1 F2 E7 0A 9B 9B 1E 0A 93 05 9B 1B 88 07 93 07 9B 64 2B 1A DC 07 9B 64 2B 4F D0 07 9B 48 2B 0C DC 07 9B 48 2B 00 F0 86 80 07 9B 27 2B 00 F0 18 81 07 9B 41 2B 00 F0 AE 80 4B E1 07 9B 4D 2B 20 D0 07 9B 61 2B 00 F0 A6 80 43 E1 07 9B 68 3B 07 93 07 9B 11 2B 00 F2 3D 81 07 9A DF E8 12 F0 5B 00 3A 01 3A 01 3A 01 3A 01 7B 00 3A 01 3A 01 3A 01 3A 01 3A 01 8B 00 B6 00 3A 01 3A 01 3A 01 3A 01 4A 00 06 9B 0E 93 0E 9B 5B 1E 0E 93 0E 9B 03 2B 12 D8 0E 9A DF E8 02 F0 02 05 09 0D 01 23 8D F8 10 30 6D 23 AD F8 12 30 06 E0 62 23 AD F8 12 30 02 E0 42 23 AD F8 12 30 0B E1 06 9B 0F 93 0F 9B 5B 1E 0F 93 0F 9B 03 2B 12 D8 0F 9A DF E8 02 F0 02 05 09 0D 01 23 8D F8 10 30 64 23 AD F8 12 30 06 E0 61 23 AD F8 12 30 02 E0 41 23 AD F8 12 30 EF E0 06 9B 14 93 14 9B 02 2B 03 D0 14 9B 04 2B 04 D0 06 E0 79 23 AD F8 12 30 02 E0 59 23 AD F8 12 30 DE E0 06 9B 15 93 15 9B 01 2B 03 D0 15 9B 02 2B 03 D0 05 E0 01 23 8D F8 10 30 49 23 AD F8 12 30 CE E0 06 9B 16 93 16 9B 01 2B 03 D0 16 9B 02 2B 03 D0 05 E0 01 23 8D F8 10 30 48 23 AD F8 12 30 BE E0 06 9B 17 93 17 9B 01 2B 03 D0 17 9B 02 2B 03 D0 05 E0 01 23 8D F8 10 30 4D 23 AD F8 12 30 AE E0 06 9B 18 93 18 9B 01 2B 03 D0 18 9B 02 2B 03 D0 05 E0 01 23 8D F8 10 30 53 23 AD F8 12 30 9E E0 72 49 05 98 ?? ?? ?? ?? 28 90 28 9B 00 2B 03 D1 05 9B 0A 33 0A 93 0A E0 6B 49 05 98 ?? ?? ?? ?? 29 90 29 9B 00 2B 02 D1 05 9B 9B 1D 0A 93 70 23 AD F8 12 30 83 E0 36 9B 08 33 1B 68 0B 2B 05 DC 39 9B 03 F5 A6 73 1B 68 19 93 05 E0 39 9B 03 F5 A6 73 1B 1D 1B 68 19 93 19 9B 0C 93 06 9B 01 2B 16 D1 38 9B 1B 68 00 2B 12 D9 37 9B 1A 68 0C 9B 1B 88 13 80 37 9B 1B 68 9A 1C 37 9B 1A 60 0C 9B 9B 1C 0C 93 38 9B 1B 68 5A 1E 38 9B 1A 60 1A E0 0C 9B 1B 88 00 2B 16 D0 38 9B 1B 68 00 2B 12 D9 37 9B 1A 68 0C 9B 1B 88 13 80 37 9B 1B 68 9A 1C 37 9B 1A 60 0C 9B 9B 1C 0C 93 38 9B 1B 68 5A 1E 38 9B 1A 60 E4 E7 0A 9B 05 93 AE E6 06 99 02 20 ?? ?? ?? ?? 00 29 07 D1 06 9A 02 23 02 FB 03 F2 05 9B 13 44 05 93 29 E0 06 9A 02 23 02 FB 03 F2 05 9B 13 44 05 93 05 9B 1B 88 00 2B 1E D0 38 9B 1B 68 00 2B 1A D0 05 9B 1B 88 27 2B 03 D1 05 9B 9B 1C 05 93 12 E0 37 9B 1A 68 05 9B 1B 88 13 80 37 9B 1B 68 9A 1C 37 9B 1A 60 05 9B 9B 1C 05 93 38 9B 1B 68 5A 1E 38 9B 1A 60 DC E7 75 E6 BD F8 12 30 00 2B 20 D0 9D F8 10 30 02 93 39 9B 01 93 38 9B 00 93 37 9B 36 9A BD F8 12 10 34 98 ?? ?? ?? ?? 8D F8 2D 00 9D F8 2D 30 00 2B 09 D1 ?? ?? ?? ?? 2A 90 2A 9A 16 23 13 60 00 23 8D F8 44 30 18 E0 0A 9B 05 93 11 E0 37 9B 1A 68 05 9B 1B 88 13 80 37 9B 1B 68 9A 1C 37 9B 1A 60 05 9B 9B 1C 05 93 38 9B 1B 68 5A 1E 38 9B 1A 60 3D E6 01 23 8D F8 44 30 9D F8 44 00 31 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_625_27_0 {
	meta:
		name = "_W_Getdays"
		size = 492
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 004c wcslen 008a _malloc_dbg 0094 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 009a ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 00ac ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 00b2 ??1_LocaleUpdate@@QAA@XZ 0110 wcscpy_s 0126 _invoke_watson_if_error 01b6 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ 01d8 ??_C@_1JA@GIFINLIC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01dc ??_C@_1BG@NDIBBIHN@?$AA_?$AAW?$AA_?$AAG?$AAe?$AAt?$AAd?$AAa?$AAy?$AAs?$AA?$AA@ 01e0 ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01e4 ??_C@_1JK@KCBHGGBN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01e8 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 9D B0 00 21 18 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 09 90 09 9B 1B 68 9C 33 1B 68 07 93 00 23 06 93 00 23 04 93 02 E0 04 9B 5B 1C 04 93 04 9B 07 2B 1F D2 07 9B 03 F1 B4 01 04 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 0A 90 07 9B 03 F1 D0 01 04 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 0B 90 0A 9A 0B 9B 13 44 9A 1C 06 9B 13 44 06 93 D9 E7 1E 23 5A 4A 02 21 06 98 44 1C 02 20 04 FB 00 F0 ?? ?? ?? ?? 0C 90 0C 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 0A D1 00 23 0E 93 03 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 0E 9B 08 93 89 E0 03 A8 ?? ?? ?? ?? 0F 90 0F 9B 02 93 00 23 05 93 02 E0 05 9B 5B 1C 05 93 05 9B 07 2B 66 D2 02 9A 3A 23 13 80 02 9B 9B 1C 02 93 03 A8 ?? ?? ?? ?? 10 90 07 9B 03 F1 B4 01 05 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 9B 58 1C 02 99 10 9B CB 1A 5B 10 C1 1A 02 98 ?? ?? ?? ?? 11 90 00 23 01 93 26 23 00 93 30 4B 2E 4A 30 49 11 98 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 12 90 12 9A 02 23 02 FB 03 F2 02 9B 13 44 02 93 02 9A 3A 23 13 80 02 9B 9B 1C 02 93 03 A8 ?? ?? ?? ?? 13 90 07 9B 03 F1 D0 01 05 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 9B 58 1C 02 99 13 9B CB 1A 5B 10 C1 1A 02 98 ?? ?? ?? ?? 14 90 00 23 01 93 29 23 00 93 16 4B 15 4A 13 49 14 98 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 15 90 15 9A 02 23 02 FB 03 F2 02 9B 13 44 02 93 92 E7 02 9A 00 23 13 80 02 9B 9B 1C 02 93 03 A8 ?? ?? ?? ?? 16 90 16 9B 17 93 03 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 17 9B 08 93 08 98 1D B0 BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_625_28_0 {
	meta:
		name = "_W_Getmonths"
		size = 492
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 004c wcslen 008a _malloc_dbg 0094 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 009a ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 00ac ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 00b2 ??1_LocaleUpdate@@QAA@XZ 0110 wcscpy_s 0126 _invoke_watson_if_error 01b6 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ 01d8 ??_C@_1JC@MAAGKAKM@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01dc ??_C@_1BK@KDNPJNHO@?$AA_?$AAW?$AA_?$AAG?$AAe?$AAt?$AAm?$AAo?$AAn?$AAt?$AAh?$AAs?$AA?$AA@ 01e0 ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01e4 ??_C@_1JM@LFJNHEIL@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01e8 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 9D B0 00 21 18 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 09 90 09 9B 1B 68 9C 33 1B 68 07 93 00 23 06 93 00 23 04 93 02 E0 04 9B 5B 1C 04 93 04 9B 0C 2B 1F D2 07 9B 03 F1 EC 01 04 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 0A 90 07 9B 03 F5 8E 71 04 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 0B 90 0A 9A 0B 9B 13 44 9A 1C 06 9B 13 44 06 93 D9 E7 3E 23 5A 4A 02 21 06 98 44 1C 02 20 04 FB 00 F0 ?? ?? ?? ?? 0C 90 0C 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 0A D1 00 23 0E 93 03 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 0E 9B 08 93 89 E0 03 A8 ?? ?? ?? ?? 0F 90 0F 9B 02 93 00 23 05 93 02 E0 05 9B 5B 1C 05 93 05 9B 0C 2B 66 D2 02 9A 3A 23 13 80 02 9B 9B 1C 02 93 03 A8 ?? ?? ?? ?? 10 90 07 9B 03 F1 EC 01 05 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 9B 58 1C 02 99 10 9B CB 1A 5B 10 C1 1A 02 98 ?? ?? ?? ?? 11 90 00 23 01 93 46 23 00 93 30 4B 2E 4A 30 49 11 98 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 12 90 12 9A 02 23 02 FB 03 F2 02 9B 13 44 02 93 02 9A 3A 23 13 80 02 9B 9B 1C 02 93 03 A8 ?? ?? ?? ?? 13 90 07 9B 03 F5 8E 71 05 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 9B 58 1C 02 99 13 9B CB 1A 5B 10 C1 1A 02 98 ?? ?? ?? ?? 14 90 00 23 01 93 49 23 00 93 16 4B 15 4A 13 49 14 98 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 15 90 15 9A 02 23 02 FB 03 F2 02 9B 13 44 02 93 92 E7 02 9A 00 23 13 80 02 9B 9B 1C 02 93 03 A8 ?? ?? ?? ?? 16 90 16 9B 17 93 03 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 17 9B 08 93 08 98 1D B0 BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_625_29_0 {
	meta:
		name = "_W_Gettnames"
		size = 3060
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0056 _malloc_dbg 006c ??1_LocaleUpdate@@QAA@XZ 007e memset 00a2 __rt_udiv 00ee strcpy_s 010a _invoke_watson_if_error 011c strlen 05e4 wcscpy_s 0616 wcslen 0ba4 ??_C@_1MG@JFPIJBHF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe@ 0ba8 ??_C@_1BK@NOPPHAGO@?$AA_?$AAW?$AA_?$AAG?$AAe?$AAt?$AAt?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?$AA@ 0bac ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0bb0 ??_C@_1LG@IAIDKMAF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAt?$AAi?$AAm?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt@ 0bb4 ??_C@_1LK@KFLHCLNA@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAl?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI@ 0bb8 ??_C@_1LK@CAMBHKNN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAs?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI@ 0bbc ??_C@_1LC@HNOGCLCC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAa?$AAm?$AAp?$AAm?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo@ 0bc0 ??_C@_1LG@LPOFFBCL@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAm?$AAo?$AAn?$AAt?$AAh?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt@ 0bc4 ??_C@_1MK@EOAFACEP@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAm?$AAo?$AAn?$AAt?$AAh?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx@ 0bc8 ??_C@_1LC@MJCDIPJF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo@ 0bcc ??_C@_1MG@MAEGINLA@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAd?$AAa?$AAy?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN@ 0bd0 ??_C@_1KE@KMENGKAI@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAw?$AA_?$AAt?$AAi?$AAm?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa@ 0bd4 ??_C@_1KI@GIABBOIC@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAw?$AA_?$AAl?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt@ 0bd8 ??_C@_1KI@LLEJMBLB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAw?$AA_?$AAs?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt@ 0bdc ??_C@_1KA@EAALKIBB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAa?$AAm?$AAp?$AAm?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa?$AAl@ 0be0 ??_C@_1KE@EGBDBCG@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAm?$AAo?$AAn?$AAt?$AAh?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa@ 0be4 ??_C@_1LI@LILLBJL@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAm?$AAo?$AAn?$AAt?$AAh?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5@ 0be8 ??_C@_1KA@DNKADEMJ@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAd?$AAa?$AAy?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa?$AAl@ 0bec ??_C@_1LE@EPEEHFIO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAd?$AAa?$AAy?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI@ 0bf0 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B BD B0 00 21 38 A8 ?? ?? ?? ?? 38 A8 ?? ?? ?? ?? 12 90 12 9B 1B 68 9C 33 1B 68 04 93 00 23 06 93 4F F4 B2 73 02 93 00 23 03 93 00 23 05 93 02 E0 05 9B 5B 1C 05 93 05 9B 02 2B 80 F2 A4 85 05 9B 01 2B 1F D1 81 23 DF F8 A0 2B 02 21 02 98 ?? ?? ?? ?? 13 90 13 9B 03 93 03 9B 00 2B 08 D1 00 23 14 93 38 A8 ?? ?? ?? ?? 14 9B 11 93 00 F0 92 BD 02 9A 00 21 03 98 ?? ?? ?? ?? 02 9B 06 93 4F F4 B2 73 02 93 00 23 07 93 02 E0 07 9B 5B 1C 07 93 07 9B 07 2B 47 D2 02 99 01 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 2A D1 03 9A 02 9B D0 18 03 99 07 9A 04 23 02 FB 03 F3 0B 44 18 60 04 99 07 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 99 02 9B C9 1A 03 9C 07 98 04 23 00 FB 03 F3 23 44 18 68 ?? ?? ?? ?? 15 90 00 23 01 93 8E 23 00 93 DF F8 AC 3A DF F8 A4 2A DF F8 E4 1A 15 98 ?? ?? ?? ?? 04 99 07 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 16 90 16 9B 5A 1C 02 9B 13 44 02 93 B1 E7 00 23 08 93 02 E0 08 9B 5B 1C 08 93 08 9B 07 2B 4F D2 02 99 01 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 30 D1 03 9A 02 9B D0 18 03 9B 03 F1 1C 01 08 9A 04 23 02 FB 03 F3 0B 44 18 60 04 9B 03 F1 1C 01 08 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 99 02 9B C9 1A 03 9B 03 F1 1C 04 08 98 04 23 00 FB 03 F3 23 44 18 68 ?? ?? ?? ?? 17 90 00 23 01 93 8F 23 00 93 DF F8 00 3A DF F8 F8 29 DF F8 34 1A 17 98 ?? ?? ?? ?? 04 9B 03 F1 1C 01 08 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 18 90 18 9B 5A 1C 02 9B 13 44 02 93 A9 E7 00 23 09 93 02 E0 09 9B 5B 1C 09 93 09 9B 0C 2B 4F D2 02 99 01 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 30 D1 03 9A 02 9B D0 18 03 9B 03 F1 38 01 09 9A 04 23 02 FB 03 F3 0B 44 18 60 04 9B 03 F1 38 01 09 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 99 02 9B C9 1A 03 9B 03 F1 38 04 09 98 04 23 00 FB 03 F3 23 44 18 68 ?? ?? ?? ?? 19 90 00 23 01 93 90 23 00 93 DF F8 4C 39 DF F8 44 29 DF F8 7C 19 19 98 ?? ?? ?? ?? 04 9B 03 F1 38 01 09 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 1A 90 1A 9B 5A 1C 02 9B 13 44 02 93 A9 E7 00 23 0A 93 02 E0 0A 9B 5B 1C 0A 93 0A 9B 0C 2B 4F D2 02 99 01 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 30 D1 03 9A 02 9B D0 18 03 9B 03 F1 68 01 0A 9A 04 23 02 FB 03 F3 0B 44 18 60 04 9B 03 F1 68 01 0A 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 99 02 9B C9 1A 03 9B 03 F1 68 04 0A 98 04 23 00 FB 03 F3 23 44 18 68 ?? ?? ?? ?? 1B 90 00 23 01 93 91 23 00 93 DF F8 9C 38 DF F8 94 28 DF F8 C8 18 1B 98 ?? ?? ?? ?? 04 9B 03 F1 68 01 0A 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 1C 90 1C 9B 5A 1C 02 9B 13 44 02 93 A9 E7 00 23 0B 93 02 E0 0B 9B 5B 1C 0B 93 0B 9B 02 2B 4F D2 02 99 01 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 30 D1 03 9A 02 9B D0 18 03 9B 03 F1 98 01 0B 9A 04 23 02 FB 03 F3 0B 44 18 60 04 9B 03 F1 98 01 0B 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 99 02 9B C9 1A 03 9B 03 F1 98 04 0B 98 04 23 00 FB 03 F3 23 44 18 68 ?? ?? ?? ?? 1D 90 00 23 01 93 92 23 00 93 DF F8 E8 37 DF F8 E0 27 DF F8 10 18 1D 98 ?? ?? ?? ?? 04 9B 03 F1 98 01 0B 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 1E 90 1E 9B 5A 1C 02 9B 13 44 02 93 A9 E7 02 99 01 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 1E D1 03 9A 02 9B 1A 44 03 9B A0 33 1A 60 04 9B A0 33 1A 68 06 99 02 9B C9 1A 03 9B A0 33 18 68 ?? ?? ?? ?? 1F 90 00 23 01 93 93 23 00 93 DF F8 6C 37 DF F8 64 27 DF F8 90 17 1F 98 ?? ?? ?? ?? 04 9B A0 33 18 68 ?? ?? ?? ?? 20 90 20 9B 5A 1C 02 9B 13 44 02 93 02 99 01 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 1E D1 03 9A 02 9B 1A 44 03 9B A4 33 1A 60 04 9B A4 33 1A 68 06 99 02 9B C9 1A 03 9B A4 33 18 68 ?? ?? ?? ?? 21 90 00 23 01 93 94 23 00 93 DF F8 00 37 DF F8 F8 26 DF F8 20 17 21 98 ?? ?? ?? ?? 04 9B A4 33 18 68 ?? ?? ?? ?? 22 90 22 9B 5A 1C 02 9B 13 44 02 93 02 99 01 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 1E D1 03 9A 02 9B 1A 44 03 9B A8 33 1A 60 04 9B A8 33 1A 68 06 99 02 9B C9 1A 03 9B A8 33 18 68 ?? ?? ?? ?? 23 90 00 23 01 93 95 23 00 93 DF F8 90 36 DF F8 88 26 DF F8 AC 16 23 98 ?? ?? ?? ?? 04 9B A8 33 18 68 ?? ?? ?? ?? 24 90 24 9B 5A 1C 02 9B 13 44 02 93 05 9B 01 2B 0C D1 04 9B 03 F1 AC 01 03 9B 03 F1 AC 02 0B 68 13 60 03 9B 03 F1 B0 02 00 23 13 60 00 23 0C 93 02 E0 0C 9B 5B 1C 0C 93 0C 9B 07 2B 5D D2 02 99 02 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 3B D1 02 99 02 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 03 9B 98 18 03 9B 03 F1 B4 01 0C 9A 04 23 02 FB 03 F3 0B 44 18 60 04 9B 03 F1 B4 01 0C 9A 04 23 02 FB 03 F3 0B 44 1C 68 06 9A 02 9B D1 1A 02 20 ?? ?? ?? ?? 01 46 03 9B 03 F1 B4 00 0C 9A 04 23 02 FB 03 F3 03 44 18 68 22 46 ?? ?? ?? ?? 25 90 00 23 01 93 9D 23 00 93 DF F8 B8 35 DF F8 B0 25 DF F8 D0 15 25 98 ?? ?? ?? ?? 04 9B 03 F1 B4 01 0C 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 26 90 26 9B 5A 1C 02 23 02 FB 03 F2 02 9B 13 44 02 93 9B E7 00 23 0D 93 02 E0 0D 9B 5B 1C 0D 93 0D 9B 07 2B 5D D2 02 99 02 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 3B D1 02 99 02 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 03 9B 98 18 03 9B 03 F1 D0 01 0D 9A 04 23 02 FB 03 F3 0B 44 18 60 04 9B 03 F1 D0 01 0D 9A 04 23 02 FB 03 F3 0B 44 1C 68 06 9A 02 9B D1 1A 02 20 ?? ?? ?? ?? 01 46 03 9B 03 F1 D0 00 0D 9A 04 23 02 FB 03 F3 03 44 18 68 22 46 ?? ?? ?? ?? 27 90 00 23 01 93 9E 23 00 93 DF F8 E8 34 DF F8 E0 24 DF F8 FC 14 27 98 ?? ?? ?? ?? 04 9B 03 F1 D0 01 0D 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 28 90 28 9B 5A 1C 02 23 02 FB 03 F2 02 9B 13 44 02 93 9B E7 00 23 0E 93 02 E0 0E 9B 5B 1C 0E 93 0E 9B 0C 2B 5D D2 02 99 02 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 3B D1 02 99 02 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 03 9B 98 18 03 9B 03 F1 EC 01 0E 9A 04 23 02 FB 03 F3 0B 44 18 60 04 9B 03 F1 EC 01 0E 9A 04 23 02 FB 03 F3 0B 44 1C 68 06 9A 02 9B D1 1A 02 20 ?? ?? ?? ?? 01 46 03 9B 03 F1 EC 00 0E 9A 04 23 02 FB 03 F3 03 44 18 68 22 46 ?? ?? ?? ?? 29 90 00 23 01 93 9F 23 00 93 DF F8 1C 34 DF F8 14 24 DF F8 2C 14 29 98 ?? ?? ?? ?? 04 9B 03 F1 EC 01 0E 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 2A 90 2A 9B 5A 1C 02 23 02 FB 03 F2 02 9B 13 44 02 93 9B E7 00 23 0F 93 02 E0 0F 9B 5B 1C 0F 93 0F 9B 0C 2B 5A D2 02 99 02 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 38 D1 02 99 02 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 03 9B 98 18 03 9B 03 F5 8E 71 0F 9A 04 23 02 FB 03 F3 0B 44 18 60 04 9B 03 F5 8E 71 0F 9A 04 23 02 FB 03 F3 0B 44 1C 68 06 9A 02 9B D1 1A 02 20 ?? ?? ?? ?? 01 46 03 9B 03 F5 8E 70 0F 9A 04 23 02 FB 03 F3 03 44 18 68 22 46 ?? ?? ?? ?? 2B 90 00 23 01 93 A0 23 00 93 D3 4B D2 4A D7 49 2B 98 ?? ?? ?? ?? 04 9B 03 F5 8E 71 0F 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 2C 90 2C 9B 5A 1C 02 23 02 FB 03 F2 02 9B 13 44 02 93 9E E7 00 23 10 93 02 E0 10 9B 5B 1C 10 93 10 9B 02 2B 5A D2 02 99 02 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 38 D1 02 99 02 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 03 9B 98 18 03 9B 03 F5 A6 71 10 9A 04 23 02 FB 03 F3 0B 44 18 60 04 9B 03 F5 A6 71 10 9A 04 23 02 FB 03 F3 0B 44 1C 68 06 9A 02 9B D1 1A 02 20 ?? ?? ?? ?? 01 46 03 9B 03 F5 A6 70 10 9A 04 23 02 FB 03 F3 03 44 18 68 22 46 ?? ?? ?? ?? 2D 90 00 23 01 93 A1 23 00 93 A1 4B A0 4A A4 49 2D 98 ?? ?? ?? ?? 04 9B 03 F5 A6 71 10 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 2E 90 2E 9B 5A 1C 02 23 02 FB 03 F2 02 9B 13 44 02 93 9E E7 02 99 02 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 29 D1 02 99 02 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 03 9B 1A 44 03 9B 03 F5 AA 73 1A 60 04 9B 03 F5 AA 73 1C 68 06 9A 02 9B D1 1A 02 20 ?? ?? ?? ?? 01 46 03 9B 03 F5 AA 73 18 68 22 46 ?? ?? ?? ?? 2F 90 00 23 01 93 A2 23 00 93 7B 4B 7A 4A 7D 49 2F 98 ?? ?? ?? ?? 04 9B 03 F5 AA 73 18 68 ?? ?? ?? ?? 30 90 30 9B 5A 1C 02 23 02 FB 03 F2 02 9B 13 44 02 93 02 99 02 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 29 D1 02 99 02 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 03 9B 1A 44 03 9B 03 F5 AC 73 1A 60 04 9B 03 F5 AC 73 1C 68 06 9A 02 9B D1 1A 02 20 ?? ?? ?? ?? 01 46 03 9B 03 F5 AC 73 18 68 22 46 ?? ?? ?? ?? 31 90 00 23 01 93 A3 23 00 93 58 4B 57 4A 59 49 31 98 ?? ?? ?? ?? 04 9B 03 F5 AC 73 18 68 ?? ?? ?? ?? 32 90 32 9B 5A 1C 02 23 02 FB 03 F2 02 9B 13 44 02 93 02 99 02 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 29 D1 02 99 02 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 03 9B 1A 44 03 9B 03 F5 AE 73 1A 60 04 9B 03 F5 AE 73 1C 68 06 9A 02 9B D1 1A 02 20 ?? ?? ?? ?? 01 46 03 9B 03 F5 AE 73 18 68 22 46 ?? ?? ?? ?? 33 90 00 23 01 93 A4 23 00 93 35 4B 34 4A 35 49 33 98 ?? ?? ?? ?? 04 9B 03 F5 AE 73 18 68 ?? ?? ?? ?? 34 90 34 9B 5A 1C 02 23 02 FB 03 F2 02 9B 13 44 02 93 02 99 02 20 ?? ?? ?? ?? 00 29 03 D0 02 9B 5B 1C 02 93 F5 E7 05 9B 01 2B 29 D1 02 99 02 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 03 9B 1A 44 03 9B 03 F5 B0 73 1A 60 04 9B 03 F5 B0 73 1C 68 06 9A 02 9B D1 1A 02 20 ?? ?? ?? ?? 01 46 03 9B 03 F5 B0 73 18 68 22 46 ?? ?? ?? ?? 35 90 00 23 01 93 A5 23 00 93 12 4B 11 4A 0F 49 35 98 ?? ?? ?? ?? 04 9B 03 F5 B0 73 18 68 ?? ?? ?? ?? 36 90 36 9B 5A 1C 02 23 02 FB 03 F2 02 9B 13 44 02 93 FF F7 55 BA 03 9B 37 93 38 A8 ?? ?? ?? ?? 37 9B 11 93 11 98 3D B0 BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_625_31_0 {
	meta:
		name = "_Wcsftime_l"
		size = 904
		refs = "0036 _CrtDbgReportW 004a _errno 0064 _invalid_parameter 0140 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 014c ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 01fa ??1_LocaleUpdate@@QAA@XZ 025a ?expand_time@@YA_NPAU__crt_locale_pointers@@_WPBUtm@@PAPA_WPAIPBU__crt_lc_time_data@@_N@Z 0368 ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@ 036c ??_C@_1BI@FPGNEFIH@?$AA_?$AAW?$AAc?$AAs?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAl?$AA?$AA@ 0370 ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0374 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0378 ??_C@_1CG@DBOIPFHC@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 037c ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0380 ??_C@_1BM@EFDGOMOL@?$AAm?$AAa?$AAx?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0384 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 AC B0 2E 9B 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 0B 9B 00 2B 0F D1 D7 4B 01 93 D2 4B 00 93 00 23 40 F2 37 42 CF 49 02 20 ?? ?? ?? ?? 15 90 15 9B 01 2B 00 D1 FE DE 0B 9B 00 2B 11 D1 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 00 23 00 93 40 F2 37 43 C4 4A C2 49 C8 48 ?? ?? ?? ?? 00 23 08 93 76 E1 2F 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0F D1 BD 4B 01 93 B9 4B 00 93 00 23 4F F4 87 62 B6 49 02 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 11 D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 00 23 00 93 4F F4 87 63 AB 4A A9 49 AE 48 ?? ?? ?? ?? 00 23 08 93 44 E1 2E 9A 00 23 13 80 30 9B 00 2B 02 D0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0F D1 A2 4B 01 93 9F 4B 00 93 00 23 40 F2 3B 42 9B 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 11 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 40 F2 3B 43 90 4A 8F 49 92 48 ?? ?? ?? ?? 00 23 08 93 0F E1 33 99 28 A8 ?? ?? ?? ?? 32 9B 00 2B 09 D1 28 A8 ?? ?? ?? ?? 1B 90 1B 9B 1B 68 9C 33 1B 68 10 93 01 E0 32 9B 10 93 10 9B 1F 93 2E 9B 09 93 30 9B 04 93 00 23 8D F8 14 30 2F 9B 06 93 06 9B 00 2B 40 F2 8E 80 04 9B 1B 88 11 93 11 9B 00 2B 03 D0 11 9B 25 2B 01 D0 75 E0 82 E0 31 9B 00 2B 02 D0 01 23 12 93 01 E0 00 23 12 93 12 9B 13 93 13 9B 00 2B 0F D1 71 4B 01 93 6F 4B 00 93 00 23 40 F2 5B 42 6C 49 02 20 ?? ?? ?? ?? 1C 90 1C 9B 01 2B 00 D1 FE DE 13 9B 00 2B 16 D1 ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 00 23 00 93 40 F2 5B 43 61 4A 5F 49 62 48 ?? ?? ?? ?? 00 23 1E 93 28 A8 ?? ?? ?? ?? 1E 9B 08 93 AB E0 04 9B 9B 1C 04 93 00 23 8D F8 15 30 04 9B 1B 88 23 2B 05 D1 01 23 8D F8 15 30 04 9B 9B 1C 04 93 04 9B 1B 88 45 2B 03 D0 04 9B 1B 88 4F 2B 02 D1 04 9B 9B 1C 04 93 28 A8 ?? ?? ?? ?? 20 90 9D F8 15 30 02 93 1F 9B 01 93 06 AB 00 93 09 AB 31 9A 04 99 09 88 20 98 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 00 2B 06 D1 06 9B 00 2B 02 D9 01 23 8D F8 14 30 11 E0 04 9B 9B 1C 04 93 0C E0 04 9B 1A 88 09 9B 1A 80 09 9B 9B 1C 09 93 04 9B 9B 1C 04 93 06 9B 5B 1E 06 93 6D E7 9D F8 14 30 00 2B 10 D1 06 9B 00 2B 0D D9 09 9A 00 23 13 80 2F 9A 06 9B D3 1A 21 93 28 A8 ?? ?? ?? ?? 21 9B 08 93 4B E0 47 E0 2E 9A 00 23 13 80 9D F8 14 30 00 2B 09 D1 06 9B 00 2B 06 D8 ?? ?? ?? ?? 22 90 22 9A 22 23 13 60 2E E0 00 23 14 93 14 9B 00 2B 0F D1 1D 4B 01 93 1F 4B 00 93 00 23 4F F4 94 62 1B 49 02 20 ?? ?? ?? ?? 23 90 23 9B 01 2B 00 D1 FE DE 14 9B 00 2B 16 D1 ?? ?? ?? ?? 24 90 24 9A 16 23 13 60 00 23 00 93 4F F4 94 63 10 4A 0F 49 0D 48 ?? ?? ?? ?? 00 23 25 93 28 A8 ?? ?? ?? ?? 25 9B 08 93 0A E0 00 23 26 93 28 A8 ?? ?? ?? ?? 26 9B 08 93 02 E0 28 A8 ?? ?? ?? ?? 08 98 2C B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_627_0_0 {
	meta:
		name = "CountryEnumProc"
		size = 220
		refs = "000a __security_push_cookie 0010 __acrt_getptd 002e LcidFromHexString 0078 _wcsicmp 0086 TestDefaultCountry 00cc __security_pop_cookie 00d8 __imp_GetLocaleInfoW"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? C8 B0 ?? ?? ?? ?? 06 90 06 9B 50 33 03 93 ?? ?? ?? ?? 07 90 07 9B 03 F5 53 73 1B 68 00 93 4C 98 ?? ?? ?? ?? 08 90 08 9B 01 93 03 9B 14 33 1B 68 00 2B 02 D0 07 23 02 93 02 E0 41 F2 02 03 02 93 78 23 0C AA 02 99 01 98 20 4C 24 68 A0 47 09 90 09 9B 00 2B 05 D1 00 9A 00 23 13 60 01 23 05 93 2B E0 0C A9 03 9B 1B 1D 18 68 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 15 D1 01 98 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 0E D0 00 9B 03 F1 08 02 01 9B 13 60 00 9B 1A 1D 01 9B 13 60 00 9B 1B 68 43 F0 04 02 00 9B 1A 60 00 9B 1B 68 13 F0 04 0F 02 D1 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 98 48 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_627_1_0 {
	meta:
		name = "GetLcidFromCountry"
		size = 104
		refs = "000a __acrt_getptd 001c wcslen 0060 __imp_EnumSystemLocalesW 0064 CountryEnumProc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 50 33 00 93 00 9B 1B 1D 18 68 ?? ?? ?? ?? 03 90 03 9B 03 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 00 9B 03 F1 14 02 01 9B 13 60 01 21 09 48 07 4B 1B 68 98 47 06 9B 1B 68 13 F0 04 0F 02 D1 06 9A 00 23 13 60 04 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_627_2_0 {
	meta:
		name = "GetLcidFromDefault"
		size = 64
		refs = "003c __imp_GetUserDefaultLCID"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 1B 68 43 F4 82 72 04 9B 1A 60 09 4B 1B 68 98 47 00 90 04 9B 03 F1 08 02 00 9B 13 60 04 9B 1A 1D 00 9B 13 60 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_627_3_0 {
	meta:
		name = "GetLcidFromLangCountry"
		size = 212
		refs = "000a __acrt_getptd 001a wcslen 007c GetPrimaryLen 00cc __imp_EnumSystemLocalesW 00d0 LangCountryEnumProc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 04 90 04 9B 50 33 00 93 00 9B 18 68 ?? ?? ?? ?? 05 90 05 9B 03 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 00 9B 03 F1 10 02 01 9B 13 60 00 9B 1B 1D 18 68 ?? ?? ?? ?? 06 90 06 9B 03 2B 02 D1 01 23 02 93 01 E0 00 23 02 93 00 9B 03 F1 14 02 02 9B 13 60 0A 9B 1A 1D 00 23 13 60 00 9B 10 33 1B 68 00 2B 02 D0 02 23 03 93 06 E0 00 9B 18 68 ?? ?? ?? ?? 07 90 07 9B 03 93 00 9B 03 F1 0C 02 03 9B 13 60 01 21 0F 48 0D 4B 1B 68 98 47 0A 9B 1B 68 13 F4 80 7F 0A D0 0A 9B 1B 68 13 F4 00 7F 05 D0 0A 9B 1B 68 03 F0 07 03 00 2B 02 D1 0A 9A 00 23 13 60 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_627_4_0 {
	meta:
		name = "GetLcidFromLanguage"
		size = 144
		refs = "000a __acrt_getptd 001a wcslen 004e GetPrimaryLen 0088 __imp_EnumSystemLocalesW 008c LanguageEnumProc"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 03 90 03 9B 50 33 00 93 00 9B 18 68 ?? ?? ?? ?? 04 90 04 9B 03 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 00 9B 03 F1 10 02 01 9B 13 60 00 9B 10 33 1B 68 00 2B 02 D0 02 23 02 93 06 E0 00 9B 18 68 ?? ?? ?? ?? 05 90 05 9B 02 93 00 9B 03 F1 0C 02 02 9B 13 60 01 21 09 48 08 4B 1B 68 98 47 08 9B 1B 68 13 F0 04 0F 02 D1 08 9A 00 23 13 60 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_627_5_0 {
	meta:
		name = "GetPrimaryLen"
		size = 98
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 06 9B 1B 88 AD F8 00 30 06 9B 9B 1C 06 93 BD F8 00 30 41 2B 03 DB BD F8 00 30 5A 2B 07 DD BD F8 00 30 61 2B 0E DB BD F8 00 30 7A 2B 0A DC 01 9B 5B 1C 01 93 06 9B 1B 88 AD F8 00 30 06 9B 9B 1C 06 93 E4 E7 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_627_6_0 {
	meta:
		name = "LangCountryEnumProc"
		size = 772
		refs = "000a __security_push_cookie 0010 __acrt_getptd 002e LcidFromHexString 0078 _wcsicmp 010e _wcsnicmp 0134 wcslen 015c TestDefaultCountry 0234 TestDefaultLanguage 02f2 __security_pop_cookie 0300 __imp_GetLocaleInfoW"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? D4 B0 ?? ?? ?? ?? 08 90 08 9B 50 33 01 93 ?? ?? ?? ?? 09 90 09 9B 03 F5 53 73 1B 68 00 93 58 98 ?? ?? ?? ?? 0A 90 0A 9B 02 93 01 9B 14 33 1B 68 00 2B 02 D0 07 23 04 93 02 E0 41 F2 02 03 04 93 78 23 18 AA 04 99 02 98 AA 4C 24 68 A0 47 0B 90 0B 9B 00 2B 05 D1 00 9A 00 23 13 60 01 23 03 93 3E E1 18 A9 01 9B 1B 1D 18 68 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 7C D1 01 9B 10 33 1B 68 00 2B 02 D0 03 23 05 93 02 E0 41 F2 01 03 05 93 78 23 18 AA 05 99 02 98 97 4C 24 68 A0 47 0D 90 0D 9B 00 2B 05 D1 00 9A 00 23 13 60 01 23 03 93 18 E1 18 A9 01 9B 18 68 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 0F D1 00 9B 1B 68 43 F4 41 72 00 9B 1A 60 00 9B 03 F1 08 02 02 9B 13 60 00 9B 1A 1D 02 9B 13 60 47 E0 00 9B 1B 68 13 F0 02 0F 42 D1 01 9B 0C 33 1B 68 00 2B 26 D0 01 9B 0C 33 1A 68 18 A9 01 9B 18 68 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 1A D1 00 9B 1B 68 43 F0 02 02 00 9B 1A 60 00 9B 03 F1 08 02 02 9B 13 60 01 9B 18 68 ?? ?? ?? ?? 10 90 01 9B 0C 33 10 9A 1B 68 9A 42 03 D1 00 9B 1A 1D 02 9B 13 60 16 E0 00 9B 1B 68 13 F0 01 0F 11 D1 02 98 ?? ?? ?? ?? 11 90 11 9B 00 2B 0A D0 00 9B 1B 68 43 F0 01 02 00 9B 1A 60 00 9B 03 F1 08 02 02 9B 13 60 00 9B 1B 68 03 F4 40 73 B3 F5 40 7F 00 F0 A4 80 01 9B 10 33 1B 68 00 2B 02 D0 03 23 06 93 02 E0 41 F2 01 03 06 93 78 23 18 AA 06 99 02 98 54 4C 24 68 A0 47 12 90 12 9B 00 2B 05 D1 00 9A 00 23 13 60 01 23 03 93 93 E0 18 A9 01 9B 18 68 ?? ?? ?? ?? 13 90 13 9B 00 2B 53 D1 00 9B 1B 68 43 F4 00 72 00 9B 1A 60 01 9B 10 33 1B 68 00 2B 0F D0 00 9B 1B 68 43 F4 80 72 00 9B 1A 60 00 9B 1B 1D 1B 68 00 2B 03 D1 00 9B 1A 1D 02 9B 13 60 37 E0 01 9B 0C 33 1B 68 00 2B 23 D0 01 9B 18 68 ?? ?? ?? ?? 14 90 01 9B 0C 33 14 9A 1B 68 9A 42 18 D1 00 9A 01 21 02 98 ?? ?? ?? ?? 15 90 15 9B 00 2B 0E D0 00 9B 1B 68 43 F4 80 72 00 9B 1A 60 00 9B 1B 1D 1B 68 00 2B 03 D1 00 9B 1A 1D 02 9B 13 60 0E E0 00 9B 1B 68 43 F4 80 72 00 9B 1A 60 00 9B 1B 1D 1B 68 00 2B 03 D1 00 9B 1A 1D 02 9B 13 60 2A E0 01 9B 10 33 1B 68 00 2B 25 D1 01 9B 0C 33 1B 68 00 2B 20 D0 18 A9 01 9B 18 68 ?? ?? ?? ?? 16 90 16 9B 00 2B 17 D1 00 9A 00 21 02 98 ?? ?? ?? ?? 17 90 17 9B 00 2B 0E D0 00 9B 1B 68 43 F4 80 72 00 9B 1A 60 00 9B 1B 1D 1B 68 00 2B 03 D1 00 9B 1A 1D 02 9B 13 60 00 9B 1B 68 13 F0 04 0F 02 D1 01 23 07 93 01 E0 00 23 07 93 07 9B 03 93 03 98 54 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_627_7_0 {
	meta:
		name = "LanguageEnumProc"
		size = 320
		refs = "000a __security_push_cookie 0010 __acrt_getptd 002e LcidFromHexString 0076 _wcsicmp 0092 TestDefaultLanguage 0130 __security_pop_cookie 013c __imp_GetLocaleInfoW"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? CA B0 ?? ?? ?? ?? 06 90 06 9B 50 33 02 93 ?? ?? ?? ?? 07 90 07 9B 03 F5 53 73 1B 68 00 93 4E 98 ?? ?? ?? ?? 08 90 08 9B 01 93 02 9B 10 33 1B 68 00 2B 02 D0 03 23 03 93 02 E0 41 F2 01 03 03 93 78 23 0E AA 03 99 01 98 39 4C 24 68 A0 47 09 90 09 9B 00 2B 05 D1 00 9A 00 23 13 60 01 23 05 93 5D E0 0E A9 02 9B 18 68 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 1D D1 02 9B 10 33 1B 68 00 2B 08 D1 00 9A 01 21 01 98 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 0E D0 00 9B 03 F1 08 02 01 9B 13 60 00 9B 1A 1D 01 9B 13 60 00 9B 1B 68 43 F0 04 02 00 9B 1A 60 2A E0 02 9B 10 33 1B 68 00 2B 25 D1 02 9B 0C 33 1B 68 00 2B 20 D0 0E A9 02 9B 18 68 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 17 D1 00 9A 00 21 01 98 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 0E D0 00 9B 03 F1 08 02 01 9B 13 60 00 9B 1A 1D 01 9B 13 60 00 9B 1B 68 43 F0 04 02 00 9B 1A 60 00 9B 1B 68 13 F0 04 0F 02 D1 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 98 4A B0 ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_627_8_0 {
	meta:
		name = "LcidFromHexString"
		size = 138
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 23 01 93 06 9B 1B 88 AD F8 00 30 BD F8 00 20 06 9B 9B 1C 06 93 00 2A 2A D0 BD F8 00 30 61 2B 0C DB BD F8 00 30 66 2B 08 DC BD F8 00 20 4F F6 D9 73 13 44 9B B2 AD F8 00 30 0F E0 BD F8 00 30 41 2B 0B DB BD F8 00 30 46 2B 07 DC BD F8 00 20 4F F6 F9 73 13 44 9B B2 AD F8 00 30 01 9A 10 23 02 FB 03 F2 BD F8 00 30 13 44 30 3B 01 93 C9 E7 01 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_627_9_0 {
	meta:
		name = "ProcessCodePage"
		size = 200
		refs = "001e wcscmp 0098 _wtol 00b4 __imp_GetLocaleInfoW 00b8 ??_C@_17CIKBIHLH@?$AAO?$AAC?$AAP?$AA?$AA@ 00bc __imp_GetACP 00c4 ??_C@_17DNCLJFIF@?$AAA?$AAC?$AAP?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 00 2B 0B D0 0C 9B 1B 88 00 2B 07 D0 2A 49 0C 98 ?? ?? ?? ?? 02 90 02 9B 00 2B 1A D1 02 23 6A 46 24 49 0D 98 08 30 00 68 1F 4C 24 68 A0 47 03 90 03 9B 00 2B 02 D1 00 23 01 93 2D E0 00 9B 00 2B 06 D1 1A 4B 1B 68 98 47 04 90 04 9B 01 93 23 E0 20 E0 15 49 0C 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 12 D1 02 23 6A 46 01 21 49 07 0B 31 0D 98 08 30 00 68 0C 4C 24 68 A0 47 06 90 06 9B 00 2B 02 D1 00 23 01 93 08 E0 05 E0 0C 98 ?? ?? ?? ?? 07 90 07 9B 00 93 00 9B 01 93 01 98 09 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 04 10 00 20 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_627_10_0 {
	meta:
		name = "TestDefaultCountry"
		size = 88
		refs = "0054 __rglangidNotDefault"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 9B B2 AD F8 00 30 00 23 01 93 02 E0 01 9B 5B 1C 01 93 01 9B 0A 2B 0E D2 BD F8 00 10 01 9A 02 23 02 FB 03 F2 08 4B 13 44 1B 88 99 42 02 D1 00 23 02 93 02 E0 EA E7 01 23 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_627_11_0 {
	meta:
		name = "TestDefaultLanguage"
		size = 144
		refs = "001e __acrt_getptd 005c GetPrimaryLen 0066 wcslen 008c __imp_GetLocaleInfoW"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 89 B0 0C 9B 9B B2 6F F3 9F 23 9B B2 43 F4 80 63 9B B2 03 93 ?? ?? ?? ?? 02 90 02 9B 50 33 01 93 02 23 05 AA 01 21 49 07 49 1C 03 98 15 4C 24 68 A0 47 04 90 04 9B 00 2B 02 D1 00 23 00 93 19 E0 0C 9A 05 9B 9A 42 13 D0 0D 9B 00 2B 10 D0 01 9B 18 68 ?? ?? ?? ?? 06 90 01 9B 18 68 ?? ?? ?? ?? 07 90 06 9A 07 9B 9A 42 02 D1 00 23 00 93 01 E0 01 23 00 93 00 98 09 B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_627_12_0 {
	meta:
		name = "TranslateName"
		size = 140
		refs = "001e __rt_sdiv 0036 _wcsicmp"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 86 B0 00 23 01 93 01 9A 09 9B 9A 42 30 DC 01 9A 09 9B D1 18 02 20 ?? ?? ?? ?? 00 90 00 9A 0C 23 02 FB 03 F2 08 9B 13 44 19 68 0A 9B 18 68 ?? ?? ?? ?? 04 90 04 9B 02 93 02 9B 00 2B 0D D1 00 9A 0C 23 02 FB 03 F2 08 9B 13 44 1A 1D 0A 9B 1A 60 01 23 8D F8 0C 30 0E E0 09 E0 02 9B 00 2B 03 DA 00 9B 5B 1E 09 93 02 E0 00 9B 5B 1C 01 93 CA E7 00 23 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_627_13_0 {
	meta:
		name = "__acrt_get_qualified_locale_downlevel"
		size = 608
		refs = "000a __security_push_cookie 0010 __acrt_getptd 0022 memset 0074 TranslateName 00a8 GetLcidFromLangCountry 00b0 GetLcidFromLanguage 0114 GetLcidFromCountry 011c GetLcidFromDefault 0146 ProcessCodePage 01ba __acrt_LCIDToLocaleName 022a _itow_s 0236 __security_pop_cookie 0244 __imp_GetLocaleInfoW 0248 __imp_IsValidLocale 024c __imp_IsValidCodePage 0250 __acrt_rg_language 0254 __acrt_rg_language_count 0258 __acrt_rg_country 025c __acrt_rg_country_count"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 92 B0 ?? ?? ?? ?? 07 90 07 9B 50 33 00 93 0C 22 00 21 0E A8 ?? ?? ?? ?? ?? ?? ?? ?? 08 90 08 9B 03 F5 53 73 05 93 0E AA 05 9B 1A 60 05 9B 1B 68 01 93 16 9A 00 9B 1A 60 16 9B 03 F1 80 02 00 9B 1B 1D 1A 60 00 9B 1B 1D 1B 68 00 2B 0D D0 00 9B 1B 1D 1B 68 1B 88 00 2B 07 D0 00 9B 1A 1D 7B 4B 1B 68 59 1E 79 48 ?? ?? ?? ?? 01 9A 00 23 13 60 00 9B 1B 68 00 2B 3A D0 00 9B 1B 68 1B 88 00 2B 35 D0 00 9B 1B 1D 1B 68 00 2B 09 D0 00 9B 1B 1D 1B 68 1B 88 00 2B 03 D0 01 98 ?? ?? ?? ?? 02 E0 01 98 ?? ?? ?? ?? 01 9B 1B 68 00 2B 1E D1 00 9A 65 4B 1B 68 59 1E 62 48 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 11 D0 00 9B 1B 1D 1B 68 00 2B 09 D0 00 9B 1B 1D 1B 68 1B 88 00 2B 03 D0 01 98 ?? ?? ?? ?? 02 E0 01 98 ?? ?? ?? ?? 11 E0 00 9B 1B 1D 1B 68 00 2B 09 D0 00 9B 1B 1D 1B 68 1B 88 00 2B 03 D0 01 98 ?? ?? ?? ?? 02 E0 01 98 ?? ?? ?? ?? 01 9B 1B 68 00 2B 02 D1 00 23 04 93 81 E0 16 9B 00 2B 04 D0 16 9B 03 F5 80 73 06 93 01 E0 00 23 06 93 01 99 06 98 ?? ?? ?? ?? 09 90 09 9B 03 93 03 9B 00 2B 12 D0 03 9A 4F F6 E8 53 9A 42 0D D0 03 9A 4F F6 E9 53 9A 42 08 D0 03 9B 98 B2 37 4B 1B 68 98 47 0A 90 0A 9B 00 2B 02 D1 00 23 04 93 57 E0 01 21 01 9B 1B 1D 18 68 2F 4B 1B 68 98 47 0B 90 0B 9B 00 2B 02 D1 00 23 04 93 49 E0 17 9B 00 2B 02 D0 03 9A 17 9B 1A 60 00 23 55 22 00 99 01 F5 14 71 01 98 00 1D 00 68 ?? ?? ?? ?? 18 9B 00 2B 34 D0 00 23 55 22 18 99 01 F5 90 71 01 98 00 1D 00 68 ?? ?? ?? ?? 40 23 18 9A 41 F2 01 01 01 98 00 1D 00 68 17 4C 24 68 A0 47 0C 90 0C 9B 00 2B 02 D1 00 23 04 93 1B E0 40 23 18 9A 80 32 41 F2 02 01 01 98 08 30 00 68 0E 4C 24 68 A0 47 0D 90 0D 9B 00 2B 02 D1 00 23 04 93 09 E0 0A 23 10 22 18 99 01 F5 80 71 03 98 ?? ?? ?? ?? 01 23 04 93 04 98 12 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_629_0_0 {
	meta:
		name = "logbf"
		size = 136
		refs = "0010 _fdunscale 003e _fperrraise 0084 _FInf_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 03 0A 03 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 02 93 02 9B 00 2B 0B D0 02 9B 01 2B 13 D0 02 9B 02 2B 00 D0 15 E0 9D ED 03 0A 8D ED 01 0A 1E E0 04 20 ?? ?? ?? ?? 10 4B 93 ED 00 0A B1 EE 40 0A 8D ED 01 0A 13 E0 0C 4B 93 ED 00 0A 8D ED 01 0A 0D E0 BD F9 00 30 5B 1E 1B B2 AD F8 00 30 BD F9 00 30 00 EE 10 3A B8 EE C0 0A 8D ED 01 0A 9D ED 01 0A 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_630_0_0 {
	meta:
		name = "_fdlog"
		size = 632
		refs = "0012 _fdunscale 0040 _fperrraise 0240 log2e 0244 log2elo 0248 log2ehi 024c logx2hi 0250 logx2lo 0254 logxe 0258 logxelo 025c logxehi 0260 loge2hi 0264 loge2lo 0268 p 026c rthalf 0270 _FNan_C 0274 _FInf_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 8D ED 01 0A 01 A9 68 46 ?? ?? ?? ?? AD F8 02 00 BD F9 02 30 06 93 06 9B 00 2B 0B D0 06 9B 01 2B 13 D0 06 9B 02 2B 00 D0 1A E0 9D ED 01 0A 8D ED 05 0A F8 E0 04 20 ?? ?? ?? ?? 8B 4B 93 ED 00 0A B1 EE 40 0A 8D ED 05 0A ED E0 01 AB 9B 1C 1B 88 13 F4 00 4F 04 D1 9D ED 01 0A 8D ED 05 0A E2 E0 01 AB 9B 1C 1B 88 13 F4 00 4F 09 D0 01 20 ?? ?? ?? ?? 7C 4B 93 ED 00 0A 8D ED 05 0A D3 E0 D2 E0 DD ED 01 0A 77 4B 93 ED 00 0A F4 EE C0 0A F1 EE 10 FA 0D D2 DD ED 01 0A 9D ED 01 0A 30 EE 80 0A 8D ED 01 0A BD F9 00 30 5B 1E 1B B2 AD F8 00 30 DD ED 01 0A B7 EE 00 0A 30 EE C0 0A 8D ED 04 0A DD ED 01 0A B7 EE 00 0A 70 EE 80 0A 9D ED 04 0A 80 EE 20 0A 8D ED 02 0A DD ED 02 0A 9D ED 02 0A 20 EE 80 0A 8D ED 03 0A 5D 4B D3 ED 00 0A 9D ED 03 0A 60 EE 80 0A 59 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 03 0A 60 EE 80 0A 54 4B 08 33 93 ED 00 0A 70 EE 80 0A 9D ED 03 0A 60 EE 20 0A 9D ED 04 0A 70 EE 60 0A 9D ED 02 0A 20 EE 20 0A 8D ED 02 0A BD F9 00 30 00 EE 10 3A B8 EE C0 0A 8D ED 03 0A 0A 9B 00 2B 1A D1 44 4B D3 ED 00 0A 9D ED 03 0A 60 EE 80 0A 9D ED 02 0A 70 EE 60 0A 9D ED 04 0A 30 EE 60 1A 3B 4B D3 ED 00 0A 9D ED 03 0A 20 EE 80 0A 31 EE 00 0A 8D ED 02 0A 4F E0 0A 9B 00 2B 2D DD 33 4B D3 ED 00 0A 9D ED 04 0A 20 EE 80 2A 2E 4B D3 ED 00 0A 9D ED 04 0A 60 EE 80 1A 2A 4B D3 ED 00 0A 9D ED 02 0A 20 EE 80 1A 25 4B D3 ED 00 0A 9D ED 03 0A 20 EE 80 0A 31 EE 40 0A 31 EE C0 0A 32 EE 00 1A 1E 4B D3 ED 00 0A 9D ED 03 0A 20 EE 80 0A 31 EE 00 0A 8D ED 02 0A 1E E0 17 4B D3 ED 00 0A 9D ED 04 0A 60 EE 80 1A 12 4B D3 ED 00 0A 9D ED 04 0A 20 EE 80 1A 0E 4B D3 ED 00 0A 9D ED 02 0A 20 EE 80 0A 31 EE 40 0A 71 EE 80 0A 9D ED 03 0A 30 EE 80 0A 8D ED 02 0A 9D ED 02 0A 8D ED 05 0A 9D ED 05 0A 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_630_1_0 {
	meta:
		name = "_fdlogpoly"
		size = 76
		refs = "0048 p"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 8D ED 00 0A 0E 4B D3 ED 00 0A 9D ED 00 0A 60 EE 80 0A 0B 4B 1B 1D 93 ED 00 0A 70 EE 80 0A 9D ED 00 0A 60 EE 80 0A 06 4B 08 33 93 ED 00 0A 30 EE 80 0A 8D ED 01 0A 9D ED 01 0A 02 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_630_2_0 {
	meta:
		name = "log2f"
		size = 46
		refs = "0014 _fdlog"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 00 0A 6F F0 00 00 9D ED 00 0A ?? ?? ?? ?? 8D ED 01 0A 9D ED 01 0A 8D ED 02 0A 9D ED 02 0A 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_631_0_0 {
	meta:
		name = "_dnorm"
		size = 454
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 9B 1D 1B 88 03 F4 00 43 9B B2 AD F8 04 30 01 23 AD F8 00 30 06 9B 9B 1D 1B 88 03 F0 0F 03 9B B2 AD F8 02 30 06 9B 9A 1D BD F8 02 30 13 80 BD F8 02 30 00 2B 0E D1 06 9B 1B 1D 1B 88 00 2B 09 D1 06 9B 9B 1C 1B 88 00 2B 04 D1 06 9B 1B 88 00 2B 00 F0 9D 80 05 E0 BD F9 00 30 10 3B 1B B2 AD F8 00 30 06 9B 9B 1D 1B 88 00 2B 14 D1 06 9B 19 1D 06 9B 9A 1D 0B 88 13 80 06 9B 99 1C 06 9B 1A 1D 0B 88 13 80 06 99 06 9B 9A 1C 0B 88 13 80 06 9A 00 23 13 80 DF E7 05 E0 BD F9 00 30 5B 1E 1B B2 AD F8 00 30 06 9B 9B 1D 1B 88 10 2B 2C DA 06 9B 9B 1D 1B 88 5A 00 06 9B 1B 1D 1B 88 DB 13 13 43 9A B2 06 9B 9B 1D 1A 80 06 9B 1B 1D 1B 88 5A 00 06 9B 9B 1C 1B 88 DB 13 13 43 9A B2 06 9B 1B 1D 1A 80 06 9B 9B 1C 1B 88 5A 00 06 9B 1B 88 DB 13 13 43 9A B2 06 9B 9B 1C 1A 80 06 9B 1B 88 5B 00 9A B2 06 9B 1A 80 C7 E7 05 E0 BD F9 00 30 5B 1C 1B B2 AD F8 00 30 06 9B 9B 1D 1B 88 20 2B 2D DB 06 9B 1B 88 5A 10 06 9B 9B 1C 1B 88 DB 03 13 43 9A B2 06 9B 1A 80 06 9B 9B 1C 1B 88 5A 10 06 9B 1B 1D 1B 88 DB 03 13 43 9A B2 06 9B 9B 1C 1A 80 06 9B 1B 1D 1B 88 5A 10 06 9B 9B 1D 1B 88 DB 03 13 43 9A B2 06 9B 1B 1D 1A 80 06 9B 9B 1D 1B 88 5B 08 9A B2 06 9B 9B 1D 1A 80 C6 E7 06 9B 9B 1D 1B 88 03 F0 0F 01 06 9B 9A 1D 8B B2 13 80 06 9B 9B 1D BD F8 04 20 1B 88 43 EA 02 01 06 9B 9A 1D 8B B2 13 80 BD F9 00 30 AD F8 08 30 BD F9 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_631_1_0 {
	meta:
		name = "_fdnorm"
		size = 302
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 9B 1C 1B 88 03 F4 00 43 9B B2 AD F8 04 30 01 23 AD F8 00 30 06 9B 9B 1C 1B 88 03 F0 7F 03 9B B2 AD F8 02 30 06 9B 9A 1C BD F8 02 30 13 80 BD F8 02 30 00 2B 03 D1 06 9B 1B 88 00 2B 5B D0 06 9B 9B 1C 1B 88 00 2B 0D D1 06 99 06 9B 9A 1C 0B 88 13 80 06 9A 00 23 13 80 BD F9 00 30 10 3B 1B B2 AD F8 00 30 05 E0 BD F9 00 30 5B 1E 1B B2 AD F8 00 30 06 9B 9B 1C 1B 88 80 2B 12 DA 06 9B 9B 1C 1B 88 5A 00 06 9B 1B 88 DB 13 13 43 9A B2 06 9B 9B 1C 1A 80 06 9B 1B 88 5B 00 9A B2 06 9B 1A 80 E1 E7 05 E0 BD F9 00 30 5B 1C 1B B2 AD F8 00 30 06 9B 9B 1C 1B 88 B3 F5 80 7F 13 DB 06 9B 1B 88 5A 10 06 9B 9B 1C 1B 88 DB 03 13 43 9A B2 06 9B 1A 80 06 9B 9B 1C 1B 88 5B 08 9A B2 06 9B 9B 1C 1A 80 DF E7 06 9B 9B 1C 1B 88 03 F0 7F 01 06 9B 9A 1C 8B B2 13 80 06 9B 9B 1C BD F8 04 20 1B 88 43 EA 02 01 06 9B 9A 1C 8B B2 13 80 BD F9 00 30 AD F8 08 30 BD F9 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_632_0_0 {
	meta:
		name = "_wchmod"
		size = 280
		refs = "0008 __security_push_cookie 0038 _CrtDbgReportW 004c __doserrno 0058 _errno 0070 _invalid_parameter 009a __acrt_errno_map_os_error 00f0 __security_pop_cookie 00fc __imp_GetLastError 0100 __imp_SetFileAttributesW 0104 __imp_GetFileAttributesExW 0108 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010c ??_C@_1BA@EBKBJALM@?$AA_?$AAw?$AAc?$AAh?$AAm?$AAo?$AAd?$AA?$AA@ 0110 ??_C@_1GK@MKIBGEJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0114 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 95 B0 18 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 37 4B 01 93 39 4B 00 93 00 23 13 22 36 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 04 9B 00 2B 17 D1 ?? ?? ?? ?? 06 90 06 9A 00 23 13 60 ?? ?? ?? ?? 07 90 07 9A 16 23 13 60 00 23 00 93 13 23 29 4A 27 49 26 48 ?? ?? ?? ?? 6F F0 00 03 02 93 37 E0 0C AA 00 21 18 98 20 4B 1B 68 98 47 08 90 08 9B 00 2B 0A D1 1A 4B 1B 68 98 47 09 90 09 98 ?? ?? ?? ?? 6F F0 00 03 02 93 22 E0 19 9B 13 F0 80 0F 04 D0 0C 9B 23 F0 01 03 0C 93 03 E0 0C 9B 43 F0 01 03 0C 93 0C 99 18 98 0E 4B 1B 68 98 47 0A 90 0A 9B 00 2B 0A D1 0A 4B 1B 68 98 47 0B 90 0B 98 ?? ?? ?? ?? 6F F0 00 03 02 93 01 E0 00 23 02 93 02 98 15 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_634_0_0 {
	meta:
		name = "log10"
		size = 1332
		refs = "003a _handle_nan 0078 _handle_error 00f8 ??_C@_05HGHHAHAP@log10?$AA@ 04e0 ?log10e_lead@?1??log10@@9@9 04e4 ?log10e_tail@?1??log10@@9@9 04e8 ?log2_tail@?1??log10@@9@9 04ec ?log2_lead@?1??log10@@9@9 04f0 ?cb_1@?1??log10@@9@9 04f4 ?cb_2@?1??log10@@9@9 04f8 ?cb_3@?1??log10@@9@9 0504 ?ln_tail_table@?1??log10@@9@9 0508 ?ln_lead_table@?1??log10@@9@9 0510 ?corr@?N@??log10@@9@9 0514 ?ca_1@?1??log10@@9@9 0518 ?ca_2@?1??log10@@9@9 051c ?ca_3@?1??log10@@9@9 0520 ?ca_4@?1??log10@@9@9 0524 ?log_thresh2@?1??log10@@9@9 0528 ?log_thresh1@?1??log10@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 C2 B0 8D ED 10 0B 9D ED 10 0B 53 EC 10 2B 04 92 05 93 05 9A 3A 4B 13 40 1A 93 1A 9A 38 4B 9A 42 37 D1 04 9A 05 9B 6F F3 1F 53 13 43 00 2B 0B D0 04 98 05 99 ?? ?? ?? ?? 8D ED 30 0B 9D ED 30 0B 8D ED 0E 0B 44 E2 23 E0 05 9B 03 F0 00 43 00 2B 19 D0 01 23 03 93 9F ED 24 1B 9D ED 10 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 23 4B 1B 21 20 48 ?? ?? ?? ?? 8D ED 32 0B 9D ED 32 0B 8D ED 0E 0B 25 E2 04 E0 9D ED 10 0B 8D ED 0E 0B 1F E2 4E E0 04 9A 05 9B 23 F0 00 43 13 43 00 2B 19 D1 01 23 03 93 9F ED 11 1B 9D ED 10 0B 22 23 02 93 04 23 01 93 02 23 00 93 00 22 0E 4B 1B 21 0C 48 ?? ?? ?? ?? 8D ED 34 0B 9D ED 34 0B 8D ED 0E 0B FE E1 2D E0 05 9B 03 F0 00 43 00 2B 28 D0 01 23 03 93 9F ED 01 1B 0C E0 FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? 00 00 F0 FF 00 00 F8 FF 00 00 F0 7F 9D ED 10 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 DF F8 14 34 1B 21 DF F8 08 04 ?? ?? ?? ?? 8D ED 36 0B 9D ED 36 0B 8D ED 0E 0B CF E1 04 9B 20 93 05 9B 21 93 FA 4B 1B 68 22 93 F8 4B 5B 68 23 93 20 9B 1B 93 22 9B 1C 93 21 9A 23 9B 9A 42 C0 F0 BD 80 04 D8 1B 9A 1C 9B 9A 42 C0 F0 B7 80 04 9B 24 93 05 9B 25 93 EC 4B 1B 68 26 93 EB 4B 5B 68 27 93 24 9B 1D 93 26 9B 1E 93 25 9A 27 9B 9A 42 00 F2 A4 80 04 D3 1D 9A 1E 9B 9A 42 00 F2 9E 80 9D ED 10 1B B7 EE 00 0B 31 EE 40 0B 8D ED 14 0B B0 EE 00 1B 9D ED 14 0B 31 EE 00 1B 9D ED 14 0B 80 EE 01 0B 8D ED 06 0B 9D ED 14 1B 9D ED 06 0B 21 EE 00 0B 8D ED 38 0B 9D ED 06 1B 9D ED 06 0B 31 EE 00 0B 8D ED 06 0B 9D ED 06 1B 9D ED 06 0B 21 EE 00 0B 8D ED 0A 0B 9D ED 14 0B 8D ED 08 0B 9D ED 06 1B 9D ED 0A 0B 21 EE 00 2B 9D ED 0A 1B C5 4B 93 ED 00 0B 21 EE 00 1B C1 4B 93 ED 00 0B 30 EE 01 1B 9D ED 0A 0B 20 EE 01 1B BC 4B 93 ED 00 0B 30 EE 01 1B 9D ED 0A 0B 20 EE 01 1B B6 4B 93 ED 00 0B 30 EE 01 0B 22 EE 00 1B 9D ED 38 0B 31 EE 40 0B 8D ED 12 0B 9D ED 08 0B 8D ED 14 0B 9D ED 08 0B 53 EC 10 2B 2A 92 2B 93 2B 9A 00 23 42 EC 10 3B 8D ED 08 0B 9D ED 14 1B 9D ED 08 0B 31 EE 40 1B 9D ED 12 0B 30 EE 01 0B 8D ED 12 0B 96 4B 93 ED 00 1B 9D ED 12 0B 21 EE 00 2B 92 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 32 EE 00 2B 8D 4B 93 ED 00 1B 9D ED 12 0B 21 EE 00 0B 32 EE 00 2B 88 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 32 EE 00 0B 8D ED 0E 0B 00 E1 FF E0 04 9B 28 93 05 9B 29 93 28 9B 1F 93 29 9B B3 F5 80 1F 1D D8 02 D3 1F 9B 00 2B 19 D2 04 9A 05 9B 43 F0 74 73 43 EC 10 2B 8D ED 16 0B 9D ED 16 1B 82 4B 93 ED 00 0B 31 EE 40 0B 8D ED 16 0B 9D ED 16 0B 53 EC 10 2B 04 92 05 93 3C 23 18 93 05 E0 9D ED 10 0B 8D ED 16 0B 00 23 18 93 05 9A 75 4B 13 40 1B 0D A3 F2 FF 32 18 9B D3 1A 19 93 04 99 05 9A 40 F2 FE 33 63 F3 1F 52 13 46 43 EC 10 1B 8D ED 16 0B 05 9B 03 F4 7C 23 43 F4 80 13 9A 0B 05 9B 03 F4 00 53 5B 0B 13 44 0C 93 0C 9B A3 F1 40 02 08 23 02 FB 03 F2 62 4B 13 44 93 ED 00 0B 8D ED 3E 0B 0C 9B A3 F1 40 02 08 23 02 FB 03 F2 5B 4B 13 44 93 ED 00 0B 8D ED 3C 0B 0C 9B 00 EE 10 3A B8 EE C0 1B 9F ED 53 0B 21 EE 00 0B 8D ED 2C 0B 9D ED 16 1B 9D ED 2C 0B 31 EE 40 0B 8D ED 2E 0B B6 EE 00 1B 9D ED 2E 0B 21 EE 00 1B 9D ED 2C 0B 30 EE 01 1B 9D ED 2E 0B 80 EE 01 0B 8D ED 06 0B 9D ED 06 1B 9D ED 06 0B 21 EE 00 0B 8D ED 0A 0B 9D ED 0A 1B 3E 4B 93 ED 00 0B 21 EE 00 1B 3B 4B 93 ED 00 0B 30 EE 01 1B 9D ED 0A 0B 20 EE 01 1B 35 4B 93 ED 00 0B 30 EE 01 1B 9D ED 0A 0B 20 EE 01 0B 8D ED 3A 0B 9D ED 06 1B 9D ED 3A 0B 21 EE 00 1B 9D ED 06 0B 30 EE 01 1B 9D ED 3C 0B 30 EE 01 0B 8D ED 40 0B 19 9B 00 EE 10 3A B8 EE C0 1B 24 4B 93 ED 00 0B 21 EE 00 1B 9D ED 3E 0B 31 EE 00 0B 8D ED 08 0B 19 9B 00 EE 10 3A B8 EE C0 1B 1B 4B 93 ED 00 0B 21 EE 00 1B 9D ED 40 0B 31 EE 00 0B 8D ED 12 0B 15 4B 93 ED 00 1B 9D ED 12 0B 21 EE 00 2B 11 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 32 EE 00 2B 0C 4B 93 ED 00 1B 9D ED 12 0B 21 EE 00 0B 32 EE 00 2B 07 4B 93 ED 00 1B 9D ED 08 0B 21 EE 00 0B 32 EE 00 0B 8D ED 0E 0B 9D ED 0E 0B 42 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 80 3F ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F8 FF }
	condition:
		$1
}

rule file_635_0_0 {
	meta:
		name = "_initterm"
		size = 76
		refs = "0048 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 02 E0 00 9B 1B 1D 00 93 00 9A 05 9B 9A 42 0E D0 00 9B 1B 68 00 2B 00 D1 F3 E7 00 9B 1B 68 01 93 01 98 05 4B 1B 68 98 47 01 9B 98 47 E9 E7 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_635_1_0 {
	meta:
		name = "_initterm_e"
		size = 100
		refs = "0060 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 08 9B 00 93 02 E0 00 9B 1B 1D 00 93 00 9A 09 9B 9A 42 17 D0 00 9B 1B 68 00 2B 00 D1 F3 E7 00 9B 1B 68 01 93 01 98 0B 4B 1B 68 98 47 01 9B 98 47 04 90 04 9B 02 93 02 9B 00 2B 02 D0 02 9B 03 93 02 E0 E0 E7 00 23 03 93 03 98 06 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_639_0_0 {
	meta:
		name = "fabsf"
		size = 42
		refs = "0010 inline_expanded_fabsf"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 00 0A 9D ED 00 0A ?? ?? ?? ?? 8D ED 01 0A 9D ED 01 0A 8D ED 02 0A 9D ED 02 0A 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_639_1_0 {
	meta:
		name = "inline_expanded_fabsf"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 8D ED 00 0A 9D ED 00 0A B0 EE C0 0A 8D ED 01 0A 9D ED 01 0A 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_640_10_0 {
	meta:
		name = "_putwch_nolock"
		size = 80
		refs = "0014 __dcrt_lowio_initialize_console_output 0048 __imp_WriteConsoleW 004c __dcrt_lowio_console_output_handle"
	strings:
		$1 = { 03 B4 2D E9 1E 48 0D F1 10 0B 10 4C 20 68 10 F1 02 0F 02 D1 ?? ?? ?? ?? 20 68 B0 F1 FF 3F 02 D1 4F F6 FF 70 0B E0 08 4C 00 23 00 93 24 68 02 AB 01 22 06 A9 A0 47 00 28 F2 D0 BD F8 18 00 BD E8 1E 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_15_0 {
	meta:
		name = "_Getdays_l"
		size = 468
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0048 strlen 0080 _malloc_dbg 008a ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0090 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ 00a2 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 00a8 ??1_LocaleUpdate@@QAA@XZ 0100 strcpy_s 0116 _invoke_watson_if_error 0198 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 01c0 ??_C@_1IK@PMFBCNAB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01c4 ??_C@_1BG@LGACIFJI@?$AA_?$AAG?$AAe?$AAt?$AAd?$AAa?$AAy?$AAs?$AA_?$AAl?$AA?$AA@ 01c8 ??_C@_1GC@LMFEEFAO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01cc ??_C@_1JE@EOABCHAL@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01d0 ??_C@_0DB@FHJDLBEI@minkernel?2crts?2ucrt?2src?2appcrt?2t@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 1E 99 18 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 09 90 09 9B 1B 68 9C 33 1B 68 07 93 00 23 06 93 00 23 04 93 02 E0 04 9B 5B 1C 04 93 04 9B 07 2B 1D D2 07 99 04 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 0A 90 07 9B 03 F1 1C 01 04 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 0B 90 0A 9A 0B 9B 13 44 9A 1C 06 9B 13 44 06 93 DB E7 1C 23 55 4A 02 21 06 98 40 1C ?? ?? ?? ?? 0C 90 0C 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 0A D1 00 23 0E 93 03 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 0E 9B 08 93 7F E0 03 A8 ?? ?? ?? ?? 0F 90 0F 9B 02 93 00 23 05 93 02 E0 05 9B 5B 1C 05 93 05 9B 07 2B 5C D2 02 9A 3A 23 13 70 02 9B 5B 1C 02 93 03 A8 ?? ?? ?? ?? 10 90 07 99 05 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 9B 58 1C 02 99 10 9B CB 1A C1 1A 02 98 ?? ?? ?? ?? 11 90 00 23 01 93 25 23 00 93 2E 4B 2C 4A 2E 49 11 98 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 12 90 02 9A 12 9B 13 44 02 93 02 9A 3A 23 13 70 02 9B 5B 1C 02 93 03 A8 ?? ?? ?? ?? 13 90 07 9B 03 F1 1C 01 05 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 9B 58 1C 02 99 13 9B CB 1A C1 1A 02 98 ?? ?? ?? ?? 14 90 00 23 01 93 28 23 00 93 16 4B 15 4A 13 49 14 98 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 15 90 02 9A 15 9B 13 44 02 93 9C E7 02 9A 00 23 13 70 02 9B 5B 1C 02 93 03 A8 ?? ?? ?? ?? 16 90 16 9B 17 93 03 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 17 9B 08 93 08 98 1C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_17_0 {
	meta:
		name = "_Getmonths_l"
		size = 476
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 004c strlen 0084 _malloc_dbg 008e ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0094 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ 00a6 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 00ac ??1_LocaleUpdate@@QAA@XZ 0108 strcpy_s 011e _invoke_watson_if_error 01a0 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 01c8 ??_C@_1IM@IEHGKIAE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01cc ??_C@_1BK@IDMELNCB@?$AA_?$AAG?$AAe?$AAt?$AAm?$AAo?$AAn?$AAt?$AAh?$AAs?$AA_?$AAl?$AA?$AA@ 01d0 ??_C@_1GC@LMFEEFAO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01d4 ??_C@_1JG@KINOFMEM@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01d8 ??_C@_0DB@FHJDLBEI@minkernel?2crts?2ucrt?2src?2appcrt?2t@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 1E 99 18 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 09 90 09 9B 1B 68 9C 33 1B 68 07 93 00 23 06 93 00 23 04 93 02 E0 04 9B 5B 1C 04 93 04 9B 0C 2B 1F D2 07 9B 03 F1 38 01 04 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 0A 90 07 9B 03 F1 68 01 04 9A 04 23 02 FB 03 F3 0B 44 18 68 ?? ?? ?? ?? 0B 90 0A 9A 0B 9B 13 44 9A 1C 06 9B 13 44 06 93 D9 E7 42 23 56 4A 02 21 06 98 40 1C ?? ?? ?? ?? 0C 90 0C 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0D 90 0D 9B 00 2B 0A D1 00 23 0E 93 03 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 0E 9B 08 93 81 E0 03 A8 ?? ?? ?? ?? 0F 90 0F 9B 02 93 00 23 05 93 02 E0 05 9B 5B 1C 05 93 05 9B 0C 2B 5E D2 02 9A 3A 23 13 70 02 9B 5B 1C 02 93 03 A8 ?? ?? ?? ?? 10 90 07 9B 03 F1 38 01 05 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 9B 58 1C 02 99 10 9B CB 1A C1 1A 02 98 ?? ?? ?? ?? 11 90 00 23 01 93 4A 23 00 93 2E 4B 2C 4A 2E 49 11 98 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 12 90 02 9A 12 9B 13 44 02 93 02 9A 3A 23 13 70 02 9B 5B 1C 02 93 03 A8 ?? ?? ?? ?? 13 90 07 9B 03 F1 68 01 05 9A 04 23 02 FB 03 F3 0B 44 1A 68 06 9B 58 1C 02 99 13 9B CB 1A C1 1A 02 98 ?? ?? ?? ?? 14 90 00 23 01 93 4D 23 00 93 16 4B 15 4A 13 49 14 98 ?? ?? ?? ?? 02 98 ?? ?? ?? ?? 15 90 02 9A 15 9B 13 44 02 93 9A E7 02 9A 00 23 13 70 02 9B 5B 1C 02 93 03 A8 ?? ?? ?? ?? 16 90 16 9B 17 93 03 A8 ?? ?? ?? ?? 18 A8 ?? ?? ?? ?? 17 9B 08 93 08 98 1C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_641_20_0 {
	meta:
		name = "_Strftime_l"
		size = 1000
		refs = "0010 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0050 _CrtDbgReportW 0064 _errno 007c _invalid_parameter 0086 ??1_LocaleUpdate@@QAA@XZ 0202 __acrt_errno_map_os_error 0224 _malloc_dbg 022e ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0234 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 0246 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 0308 _Wcsftime_l 03bc __imp_GetLastError 03c0 __imp_WideCharToMultiByte 03c4 ??_C@_0DB@FHJDLBEI@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 03c8 __imp_MultiByteToWideChar 03cc ??_C@_1CG@DBOIPFHC@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 03d0 ??_C@_1BI@ONBMGNNA@?$AA_?$AAS?$AAt?$AAr?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAl?$AA?$AA@ 03d4 ??_C@_1GC@LMFEEFAO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 03d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 03dc ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 03e0 ??_C@_1BK@IFBPBBBE@?$AAm?$AAa?$AAx?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 03e4 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B BB B0 43 99 0A A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 2E 90 2E 9B 1B 68 14 33 1B 68 08 93 3E 9B 00 2B 02 D0 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 0F 93 0F 9B 00 2B 0E D1 E8 4B 01 93 E4 4B 00 93 00 23 82 22 E1 49 02 20 ?? ?? ?? ?? 17 90 17 9B 01 2B 00 D1 FE DE 0F 9B 00 2B 15 D1 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 00 23 00 93 82 23 D7 4A D5 49 DA 48 ?? ?? ?? ?? 00 23 19 93 0A A8 ?? ?? ?? ?? 19 9B 04 93 8E E1 3F 9B 00 2B 02 D0 01 23 10 93 01 E0 00 23 10 93 10 9B 11 93 11 9B 00 2B 0E D1 CD 4B 01 93 CA 4B 00 93 00 23 83 22 C7 49 02 20 ?? ?? ?? ?? 1A 90 1A 9B 01 2B 00 D1 FE DE 11 9B 00 2B 15 D1 ?? ?? ?? ?? 1B 90 1B 9A 16 23 13 60 00 23 00 93 83 23 BC 4A BB 49 BE 48 ?? ?? ?? ?? 00 23 1C 93 0A A8 ?? ?? ?? ?? 1C 9B 04 93 59 E1 3E 9A 00 23 13 70 40 9B 00 2B 02 D0 01 23 12 93 01 E0 00 23 12 93 12 9B 13 93 13 9B 00 2B 0E D1 B0 4B 01 93 AE 4B 00 93 00 23 86 22 AB 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 13 9B 00 2B 15 D1 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 00 23 00 93 86 23 A0 4A 9F 49 A1 48 ?? ?? ?? ?? 00 23 1F 93 0A A8 ?? ?? ?? ?? 1F 9B 04 93 21 E1 41 9B 00 2B 02 D0 01 23 14 93 01 E0 00 23 14 93 14 9B 15 93 15 9B 00 2B 0E D1 91 4B 01 93 93 4B 00 93 00 23 87 22 90 49 02 20 ?? ?? ?? ?? 20 90 20 9B 01 2B 00 D1 FE DE 15 9B 00 2B 15 D1 ?? ?? ?? ?? 21 90 21 9A 16 23 13 60 00 23 00 93 87 23 86 4A 84 49 83 48 ?? ?? ?? ?? 00 23 22 93 0A A8 ?? ?? ?? ?? 22 9B 04 93 EC E0 00 23 01 93 00 23 00 93 6F F0 00 03 40 9A 00 21 08 98 78 4C 24 68 A0 47 23 90 23 9B 07 93 07 9B 00 2B 0E D1 70 4B 1B 68 98 47 24 90 24 98 ?? ?? ?? ?? 00 23 25 93 0A A8 ?? ?? ?? ?? 25 9B 04 93 CB E0 92 23 6A 4A 02 21 07 9C 02 20 04 FB 00 F0 ?? ?? ?? ?? 26 90 26 99 05 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 27 90 27 9B 00 2B 0A D1 00 23 28 93 05 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 28 9B 04 93 AB E0 05 A8 ?? ?? ?? ?? 29 90 07 9B 01 93 29 9B 00 93 6F F0 00 03 40 9A 00 21 08 98 55 4C 24 68 A0 47 2A 90 2A 9B 00 2B 11 D1 4F 4B 1B 68 98 47 2B 90 2B 98 ?? ?? ?? ?? 00 23 2C 93 05 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 2C 9B 04 93 85 E0 A2 23 47 4A 02 21 3F 9C 02 20 04 FB 00 F0 ?? ?? ?? ?? 2D 90 2D 99 06 A8 ?? ?? ?? ?? 06 A8 ?? ?? ?? ?? 34 90 34 9B 00 2B 0D D1 00 23 2F 93 06 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 2F 9B 04 93 62 E0 05 A8 ?? ?? ?? ?? 30 90 06 A8 ?? ?? ?? ?? 31 90 43 9B 01 93 42 9B 00 93 41 9B 30 9A 3F 99 31 98 ?? ?? ?? ?? 32 90 32 9B 33 93 33 9B 00 2B 0D D1 00 23 3A 93 06 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 3A 9B 04 93 3C E0 06 A8 ?? ?? ?? ?? 35 90 00 23 03 93 00 23 02 93 3F 9B 01 93 3E 9B 00 93 6F F0 00 03 35 9A 00 21 08 98 1A 4C 24 68 A0 47 36 90 36 9B 16 93 16 9B 00 2B 14 D1 14 4B 1B 68 98 47 37 90 37 98 ?? ?? ?? ?? 00 23 38 93 06 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 38 9B 04 93 0D E0 16 9B 5B 1E 39 93 06 A8 ?? ?? ?? ?? 05 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 39 9B 04 93 04 98 3B B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_643_0_0 {
	meta:
		name = "??$common_tox_l@$1?internal_islower_l@@YA_NHQAU__crt_locale_pointers@@@Z$1?internal_map_upper@@YAHH0@Z@@YAHHKQAU__crt_locale_pointers@@@Z"
		size = 440
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 001c ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0026 ?internal_islower_l@@YA_NHQAU__crt_locale_pointers@@@Z 0042 ?internal_map_upper@@YAHHQAU__crt_locale_pointers@@@Z 004e ??1_LocaleUpdate@@QAA@XZ 0072 memset 009a _isleadbyte_l 00c8 __report_rangecheckfailure 00dc _errno 015a __acrt_LCMapStringA"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A2 B0 26 99 0A A8 ?? ?? ?? ?? 24 9B B3 F5 80 7F 26 D2 0A A8 ?? ?? ?? ?? 11 90 11 99 24 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 10 D0 0A A8 ?? ?? ?? ?? 12 90 12 99 24 98 ?? ?? ?? ?? 13 90 13 9B 14 93 0A A8 ?? ?? ?? ?? 14 9B 08 93 A9 E0 24 9B 15 93 0A A8 ?? ?? ?? ?? 15 9B 08 93 A1 E0 00 23 09 93 03 22 00 21 06 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 16 90 16 9B 1B 68 1B 1D 1B 68 01 2B 28 DD 0A A8 ?? ?? ?? ?? 17 90 17 99 24 9B 1B 12 D8 B2 ?? ?? ?? ?? 18 90 18 9B 00 2B 1A D0 24 9B 1B 12 DB B2 DA B2 06 AB 1A 70 24 9B DA B2 06 AB 5B 1C 1A 70 02 23 0E 93 0E 9B 03 2B 00 D2 01 E0 ?? ?? ?? ?? 06 AA 0E 9B 1A 44 00 23 13 70 02 23 09 93 18 E0 ?? ?? ?? ?? 19 90 19 9A 2A 23 13 60 24 9B DA B2 06 AB 1A 70 01 23 0F 93 0F 9B 03 2B 00 D2 01 E0 ?? ?? ?? ?? 06 AA 0F 9B 1A 44 00 23 13 70 01 23 09 93 03 22 00 21 07 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 1A 90 0A A8 ?? ?? ?? ?? 1B 90 0A A8 ?? ?? ?? ?? 1C 90 01 23 04 93 1A 9B 1B 68 08 33 1B 68 03 93 03 23 02 93 07 AB 01 93 09 9B 00 93 06 AB 25 9A 1B 99 09 68 A0 31 08 31 09 68 1C 98 ?? ?? ?? ?? 1D 90 1D 9B 10 93 10 9B 00 2B 07 D1 24 9B 1E 93 0A A8 ?? ?? ?? ?? 1E 9B 08 93 18 E0 10 9B 01 2B 08 D1 07 AB 1B 78 1F 93 0A A8 ?? ?? ?? ?? 1F 9B 08 93 0C E0 07 AB 5B 1C 1A 78 07 AB 1B 78 1B 02 13 43 20 93 0A A8 ?? ?? ?? ?? 20 9B 08 93 08 98 22 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_643_1_0 {
	meta:
		name = "??$common_tox_l@$1?internal_isupper_l@@YA_NHQAU__crt_locale_pointers@@@Z$1?internal_map_lower@@YAHH0@Z@@YAHHKQAU__crt_locale_pointers@@@Z"
		size = 440
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 001c ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0026 ?internal_isupper_l@@YA_NHQAU__crt_locale_pointers@@@Z 0042 ?internal_map_lower@@YAHHQAU__crt_locale_pointers@@@Z 004e ??1_LocaleUpdate@@QAA@XZ 0072 memset 009a _isleadbyte_l 00c8 __report_rangecheckfailure 00dc _errno 015a __acrt_LCMapStringA"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A2 B0 26 99 0A A8 ?? ?? ?? ?? 24 9B B3 F5 80 7F 26 D2 0A A8 ?? ?? ?? ?? 11 90 11 99 24 98 ?? ?? ?? ?? 8D F8 1B 00 9D F8 1B 30 00 2B 10 D0 0A A8 ?? ?? ?? ?? 12 90 12 99 24 98 ?? ?? ?? ?? 13 90 13 9B 14 93 0A A8 ?? ?? ?? ?? 14 9B 08 93 A9 E0 24 9B 15 93 0A A8 ?? ?? ?? ?? 15 9B 08 93 A1 E0 00 23 09 93 03 22 00 21 06 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 16 90 16 9B 1B 68 1B 1D 1B 68 01 2B 28 DD 0A A8 ?? ?? ?? ?? 17 90 17 99 24 9B 1B 12 D8 B2 ?? ?? ?? ?? 18 90 18 9B 00 2B 1A D0 24 9B 1B 12 DB B2 DA B2 06 AB 1A 70 24 9B DA B2 06 AB 5B 1C 1A 70 02 23 0E 93 0E 9B 03 2B 00 D2 01 E0 ?? ?? ?? ?? 06 AA 0E 9B 1A 44 00 23 13 70 02 23 09 93 18 E0 ?? ?? ?? ?? 19 90 19 9A 2A 23 13 60 24 9B DA B2 06 AB 1A 70 01 23 0F 93 0F 9B 03 2B 00 D2 01 E0 ?? ?? ?? ?? 06 AA 0F 9B 1A 44 00 23 13 70 01 23 09 93 03 22 00 21 07 A8 ?? ?? ?? ?? 0A A8 ?? ?? ?? ?? 1A 90 0A A8 ?? ?? ?? ?? 1B 90 0A A8 ?? ?? ?? ?? 1C 90 01 23 04 93 1A 9B 1B 68 08 33 1B 68 03 93 03 23 02 93 07 AB 01 93 09 9B 00 93 06 AB 25 9A 1B 99 09 68 A0 31 08 31 09 68 1C 98 ?? ?? ?? ?? 1D 90 1D 9B 10 93 10 9B 00 2B 07 D1 24 9B 1E 93 0A A8 ?? ?? ?? ?? 1E 9B 08 93 18 E0 10 9B 01 2B 08 D1 07 AB 1B 78 1F 93 0A A8 ?? ?? ?? ?? 1F 9B 08 93 0C E0 07 AB 5B 1C 1A 78 07 AB 1B 78 1B 02 13 43 20 93 0A A8 ?? ?? ?? ?? 20 9B 08 93 08 98 22 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_643_5_0 {
	meta:
		name = "?internal_islower_l@@YA_NHQAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "0010 _ischartype_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9A 02 21 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_643_6_0 {
	meta:
		name = "?internal_isupper_l@@YA_NHQAU__crt_locale_pointers@@@Z"
		size = 60
		refs = "0010 _ischartype_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 07 9A 01 21 06 98 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_643_7_0 {
	meta:
		name = "?internal_map_lower@@YAHHQAU__crt_locale_pointers@@@Z"
		size = 46
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 1B 68 03 F1 94 01 04 9A 01 23 02 FB 03 F2 0B 68 13 44 1B 78 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_643_8_0 {
	meta:
		name = "?internal_map_upper@@YAHHQAU__crt_locale_pointers@@@Z"
		size = 46
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 1B 68 03 F1 98 01 04 9A 01 23 02 FB 03 F2 0B 68 13 44 1B 78 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_643_13_0 {
	meta:
		name = "_tolower"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 41 3B 61 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_643_14_0 {
	meta:
		name = "_tolower_l"
		size = 40
		refs = "0012 ??$common_tox_l@$1?internal_isupper_l@@YA_NHQAU__crt_locale_pointers@@@Z$1?internal_map_lower@@YAHH0@Z@@YAHHKQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 4F F4 80 71 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_643_15_0 {
	meta:
		name = "_toupper"
		size = 30
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9B 61 3B 41 33 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_643_16_0 {
	meta:
		name = "_toupper_l"
		size = 40
		refs = "0012 ??$common_tox_l@$1?internal_islower_l@@YA_NHQAU__crt_locale_pointers@@@Z$1?internal_map_upper@@YAHH0@Z@@YAHHKQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9A 4F F4 00 71 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_643_17_0 {
	meta:
		name = "tolower"
		size = 88
		refs = "000a __acrt_locale_changed 001e _tolower_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 03 90 03 9B 02 93 0E E0 08 9B 41 2B 07 DB 08 9B 5A 2B 04 DC 08 9B 41 3B 61 33 01 93 01 E0 08 9B 01 93 01 9B 02 93 02 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_643_18_0 {
	meta:
		name = "toupper"
		size = 88
		refs = "000a __acrt_locale_changed 001e _toupper_l"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 07 D0 00 21 08 98 ?? ?? ?? ?? 03 90 03 9B 02 93 0E E0 08 9B 61 2B 07 DB 08 9B 7A 2B 04 DC 08 9B 61 3B 41 33 01 93 01 E0 08 9B 01 93 01 9B 02 93 02 9B 04 93 04 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_644_4_0 {
	meta:
		name = "_query_new_mode"
		size = 40
		refs = "000a ?value@?$dual_state_global@J@__crt_state_management@@QAAAAJXZ 0012 ??$__crt_interlocked_read@J@@YAJPDJ@Z 0024 ?__acrt_global_new_mode@@3V?$dual_state_global@J@__crt_state_management@@A"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 06 48 ?? ?? ?? ?? 00 90 00 98 ?? ?? ?? ?? 01 90 01 9B 02 93 02 98 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_644_5_0 {
	meta:
		name = "_set_new_mode"
		size = 188
		refs = "003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0074 ?value@?$dual_state_global@J@__crt_state_management@@QAAAAJXZ 00a8 ?__acrt_global_new_mode@@3V?$dual_state_global@J@__crt_state_management@@A 00ac ??_C@_1CO@JKFLNGDK@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?$AA@ 00b0 ??_C@_1BM@PDPAKJNF@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAn?$AAe?$AAw?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 00b4 ??_C@_1GC@PJMKBHEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 05 D0 0C 9B 01 2B 02 D0 00 23 02 93 01 E0 01 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 20 4B 01 93 22 4B 00 93 00 23 16 22 1F 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 11 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 16 23 14 4A 13 49 11 48 ?? ?? ?? ?? 6F F0 00 03 04 93 13 E0 0D 48 ?? ?? ?? ?? 07 90 BF F3 5B 8F 07 98 0C 99 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 13 46 08 93 BF F3 5B 8F 08 9B 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_648_0_0 {
	meta:
		name = "_wmkdir"
		size = 76
		refs = "0026 __acrt_errno_map_os_error 0044 __imp_GetLastError 0048 __imp_CreateDirectoryW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 21 06 98 0E 4B 1B 68 98 47 01 90 01 9B 00 2B 0A D1 09 4B 1B 68 98 47 02 90 02 98 ?? ?? ?? ?? 6F F0 00 03 00 93 01 E0 00 23 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_649_6_0 {
	meta:
		name = "??$__crt_get_proc_address@P6AXI@Z@@YAP6AXI@ZQAUHINSTANCE__@@QBD@Z"
		size = 44
		refs = "0028 __imp_GetProcAddress"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 99 04 98 06 4B 1B 68 98 47 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_649_21_0 {
	meta:
		name = "?atexit_exception_filter@@YAHK@Z"
		size = 44
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 04 9A 06 4B 9A 42 02 D1 01 23 00 93 01 E0 00 23 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB 63 73 6D E0 }
	condition:
		$1
}

rule file_649_24_0 {
	meta:
		name = "?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
		size = 110
		refs = "0010 ?is_managed_app@@YA_NXZ 0022 ?try_cor_exit_process@@YAXI@Z 0034 ??0<lambda_6e4b09c48022b2350581041d5f6b0c4c>@@QAA@ABW4_crt_exit_cleanup_mode@@ABW4_crt_exit_return_mode@@AA_N@Z 003a ?__acrt_select_exit_lock@@YA?AW4__acrt_lock_id@@XZ 0044 ??$__acrt_lock_and_call@V<lambda_6e4b09c48022b2350581041d5f6b0c4c>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_6e4b09c48022b2350581041d5f6b0c4c>@@@Z 0054 __scrt_uninitialize_crt 0060 ?exit_or_terminate_process@@YAXI@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0C 9B 00 2B 0A D1 ?? ?? ?? ?? 8D F8 01 00 9D F8 01 30 00 2B 02 D0 0A 98 ?? ?? ?? ?? 00 23 8D F8 00 30 6B 46 0C AA 0B A9 04 A8 ?? ?? ?? ?? 01 90 ?? ?? ?? ?? 02 90 01 99 02 98 ?? ?? ?? ?? 9D F8 00 30 00 2B 03 D0 01 21 01 20 ?? ?? ?? ?? 0C 9B 00 2B 02 D1 0A 98 ?? ?? ?? ?? 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_649_25_0 {
	meta:
		name = "?exit_or_terminate_process@@YAXI@Z"
		size = 80
		refs = "000a ?should_call_terminate_process@@YA_NXZ 002e ?try_cor_exit_process@@YAXI@Z 0044 __imp_ExitProcess 0048 __imp_TerminateProcess 004c __imp_GetCurrentProcess"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 08 D0 0C 4B 1B 68 98 47 01 90 04 99 01 98 08 4B 1B 68 98 47 04 98 ?? ?? ?? ?? 04 98 03 4B 1B 68 98 47 02 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_649_29_0 {
	meta:
		name = "?is_managed_app@@YA_NXZ"
		size = 172
		refs = "00a8 __imp_GetModuleHandleW"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 00 20 27 4B 1B 68 98 47 03 90 03 9B 01 93 01 9B 00 2B 03 D1 00 23 8D F8 00 30 3C E0 01 9B 1A 88 45 F6 4D 23 9A 42 03 D0 00 23 8D F8 00 30 32 E0 01 9B 3C 33 01 9A 1B 68 13 44 02 93 02 9B 1A 68 44 F2 50 53 9A 42 03 D0 00 23 8D F8 00 30 22 E0 02 9B 18 33 1A 88 40 F2 0B 13 9A 42 03 D0 00 23 8D F8 00 30 17 E0 02 9B 18 33 5C 33 1B 68 0E 2B 03 D8 00 23 8D F8 00 30 0D E0 02 9B 18 33 60 33 70 33 1B 68 00 2B 03 D1 00 23 8D F8 00 30 02 E0 01 23 8D F8 00 30 9D F8 00 00 04 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_649_30_0 {
	meta:
		name = "?should_call_terminate_process@@YA_NXZ"
		size = 104
		refs = "0008 __acrt_get_process_end_policy 001c NtCurrentTeb"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 01 2B 03 D1 00 23 8D F8 04 30 20 E0 ?? ?? ?? ?? 03 90 03 9B 30 33 1B 68 68 33 1B 68 13 F4 80 7F 03 D0 01 23 8D F8 00 30 02 E0 00 23 8D F8 00 30 9D F8 00 30 8D F8 01 30 9D F8 01 30 00 2B 03 D0 00 23 8D F8 04 30 02 E0 01 23 8D F8 04 30 9D F8 04 00 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_649_31_0 {
	meta:
		name = "?try_cor_exit_process@@YAXI@Z"
		size = 152
		refs = "000c ?get_invalid_value@__crt_hmodule_traits@@SAPAUHINSTANCE__@@XZ 0016 ??0?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAA@QAUHINSTANCE__@@@Z 001c ?get_address_of@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAAPAPAUHINSTANCE__@@XZ 0038 ??1?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAA@XZ 0040 ?get@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QBAPAUHINSTANCE__@@XZ 004a ??$__crt_get_proc_address@P6AXI@Z@@YAP6AXI@ZQAUHINSTANCE__@@QBD@Z 0088 __guard_check_icall_fptr 008c ??_C@_0P@MIGLKIOC@CorExitProcess?$AA@ 0090 __imp_GetModuleHandleExW 0094 ??_C@_1BI@BGOHAHKC@?$AAm?$AAs?$AAc?$AAo?$AAr?$AAe?$AAe?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 89 B0 ?? ?? ?? ?? 03 90 03 99 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 04 90 04 9A 1B 49 00 20 19 4B 1B 68 98 47 05 90 05 9B 00 2B 03 D1 68 46 ?? ?? ?? ?? 1E E0 68 46 ?? ?? ?? ?? 06 90 11 49 06 98 ?? ?? ?? ?? 07 90 07 9B 01 93 01 9B 00 2B 03 D1 68 46 ?? ?? ?? ?? 0C E0 0C 9C 01 9B 02 93 02 98 07 4B 1B 68 98 47 02 9B 20 46 98 47 68 46 ?? ?? ?? ?? 09 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_649_32_0 {
	meta:
		name = "NtCurrentTeb"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 1D EE 50 3F 00 93 00 9B 01 93 01 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_649_33_0 {
	meta:
		name = "_Exit"
		size = 20
		refs = "000e ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
		altNames = "_exit"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 22 02 21 02 98 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_649_35_0 {
	meta:
		name = "_c_exit"
		size = 20
		refs = "000c ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 22 02 21 00 20 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_649_36_0 {
	meta:
		name = "_cexit"
		size = 20
		refs = "000c ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 01 22 00 21 00 20 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_649_39_0 {
	meta:
		name = "_register_thread_local_exe_atexit_callback"
		size = 80
		refs = "000c ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0018 memcpy 001e ??$?B$$A6AXPAXK0@Z@__crt_fast_encoded_nullptr_t@@QBAP6AXPAXK0@ZXZ 002e terminate 0034 ??$__crt_fast_encode_pointer@P6AXPAXK0@Z@@YAP6AXPAXK0@ZQ6AX0K0@Z@Z 004c ?thread_local_exit_callback_func@@3P6AXPAXK0@ZA"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 20 ?? ?? ?? ?? 01 90 68 46 01 A9 01 22 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 02 90 09 4B 1A 68 02 9B 9A 42 01 D0 ?? ?? ?? ?? 06 98 ?? ?? ?? ?? 03 90 03 9A 03 4B 1A 60 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_649_40_0 {
	meta:
		name = "exit"
		size = 20
		refs = "000e ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 22 00 21 02 98 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_649_41_0 {
	meta:
		name = "quick_exit"
		size = 20
		refs = "000e ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 00 22 01 21 02 98 ?? ?? ?? ?? FE DE }
	condition:
		$1
}

rule file_650_4_0 {
	meta:
		name = "__ascii_stricmp"
		size = 112
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 93 F9 00 30 DB B2 00 93 00 9A 06 9B 5B 1C 06 93 41 2A 05 DB 00 9B 5A 2B 02 DC 00 9B 20 33 00 93 07 9B 93 F9 00 30 DB B2 01 93 01 9A 07 9B 5B 1C 07 93 41 2A 05 DB 01 9B 5A 2B 02 DC 01 9B 20 33 01 93 00 9B 00 2B 03 D0 00 9A 01 9B 9A 42 D6 D0 00 9A 01 9B D3 1A 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_650_5_0 {
	meta:
		name = "_stricmp"
		size = 288
		refs = "000a __acrt_locale_changed 0044 _CrtDbgReportW 0058 _errno 0070 _invalid_parameter 00e2 __ascii_stricmp 00f6 _stricmp_l 010c ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0110 ??_C@_1BC@JLGKKIIG@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0114 ??_C@_1GE@JNJGLDHA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0118 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 011c ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 6A D1 10 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 39 4B 01 93 37 4B 00 93 00 23 5F 22 34 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 5F 23 2A 4A 28 49 2B 48 ?? ?? ?? ?? 6F F0 00 43 03 93 41 E0 11 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 1D 4B 01 93 1F 4B 00 93 00 23 60 22 1C 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 60 23 11 4A 10 49 0E 48 ?? ?? ?? ?? 6F F0 00 43 03 93 10 E0 11 99 10 98 ?? ?? ?? ?? 0C 90 0C 9B 03 93 08 E0 07 E0 00 22 11 99 10 98 ?? ?? ?? ?? 0D 90 0D 9B 03 93 03 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_650_6_0 {
	meta:
		name = "_stricmp_l"
		size = 424
		refs = "000e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0074 ??1_LocaleUpdate@@QAA@XZ 00ec ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0104 __ascii_stricmp 0132 _tolower_l 0194 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0198 ??_C@_1BG@GLLONOEH@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 019c ??_C@_1GE@JNJGLDHA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01a4 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9E B0 22 99 1A A8 ?? ?? ?? ?? 20 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 5D 4B 01 93 5B 4B 00 93 00 23 31 22 58 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 05 9B 00 2B 16 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 31 23 4E 4A 4C 49 4F 48 ?? ?? ?? ?? 6F F0 00 43 0B 93 1A A8 ?? ?? ?? ?? 0B 9B 02 93 84 E0 21 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 3E 4B 01 93 40 4B 00 93 00 23 32 22 3D 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 16 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 32 23 33 4A 31 49 30 48 ?? ?? ?? ?? 6F F0 00 43 0E 93 1A A8 ?? ?? ?? ?? 0E 9B 02 93 4E E0 1A A8 ?? ?? ?? ?? 0F 90 0F 9B 1B 68 A0 33 08 33 1B 68 00 2B 0D D1 21 99 20 98 ?? ?? ?? ?? 10 90 10 9B 11 93 1A A8 ?? ?? ?? ?? 11 9B 02 93 36 E0 2C E0 1A A8 ?? ?? ?? ?? 12 90 20 9B 93 F9 00 30 DB B2 13 93 12 99 13 98 ?? ?? ?? ?? 14 90 14 9B 03 93 20 9B 5B 1C 20 93 1A A8 ?? ?? ?? ?? 15 90 21 9B 93 F9 00 30 DB B2 16 93 15 99 16 98 ?? ?? ?? ?? 17 90 17 9B 08 93 21 9B 5B 1C 21 93 03 9B 00 2B 03 D0 03 9A 08 9B 9A 42 D2 D0 03 9A 08 9B D3 1A 18 93 1A A8 ?? ?? ?? ?? 18 9B 02 93 02 98 1E B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_652_0_0 {
	meta:
		name = "c16rtomb"
		size = 456
		refs = "0008 __security_push_cookie 01b6 __security_pop_cookie 01c4 ?internal_pst@?1??c16rtomb@@9@4U_Mbstatet@@A"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 89 B0 0E 9B 00 2B 01 D1 6B 4B 0E 93 0E 9B 9B 1D 1B 88 5B B2 8D F8 0C 30 0E 9B 1B 68 01 93 0C 9B 00 2B 04 D1 06 AB 0C 93 00 23 AD F8 34 30 0C 9B 00 93 9D F9 0C 30 00 2B 19 D0 BD F8 34 30 B3 F5 5C 4F 04 DB BD F8 34 30 B3 F5 60 4F 03 DB 6F F0 00 03 04 93 A7 E0 0E 9B 9A 1D 00 23 13 80 BD F8 34 30 A3 F5 5C 42 01 9B 13 43 01 93 1C E0 BD F8 34 30 B3 F5 58 4F 04 DB BD F8 34 30 B3 F5 5C 4F 03 DB BD F8 34 30 01 93 0E E0 0E 9B 9A 1D 01 23 13 80 BD F8 34 30 A3 F5 58 43 40 33 9A 02 0E 9B 1A 60 00 23 04 93 7E E0 01 9B 23 F0 7F 03 00 2B 09 D1 01 9B DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 00 23 02 93 54 E0 01 9B 6F F3 0A 03 00 2B 0C D1 01 9B 9B 09 43 F0 C0 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 01 23 02 93 42 E0 01 9B 6F F3 0F 03 00 2B 0C D1 01 9B 1B 0B 43 F0 E0 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 02 23 02 93 30 E0 01 9B 6F F3 14 03 00 2B 0C D1 01 9B 9B 0C 43 F0 F0 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 03 23 02 93 1E E0 01 9B 03 F0 7C 43 00 2B 0C D1 01 9B 1B 0E 43 F0 F8 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 04 23 02 93 0C E0 01 9B C3 F3 81 73 43 F0 FC 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 05 23 02 93 02 9B 00 2B 13 DD 02 9B 5B 1E 02 93 02 9A 06 23 02 FB 03 F2 01 9B D3 40 03 F0 3F 03 43 F0 80 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 E8 E7 00 9A 0C 9B D3 1A 04 93 04 98 09 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_654_6_0 {
	meta:
		name = "_wperror"
		size = 268
		refs = "001a perror 0032 wcstombs_s 0050 _invoke_watson_if_oneof 0068 _calloc_dbg 0072 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0078 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ 0086 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 00f8 ??_C@_1LO@KEGGEIEG@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAu?$AAs?$AAe?$AAr@ 00fc ??_C@_1BC@KGOJENED@?$AA_?$AAw?$AAp?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0100 ??_C@_1GA@JOAFAKLF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0104 ??_C@_0DA@ELGHEBH@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 0108 ??_C@_1IM@LFGMMMGG@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAn?$AAu?$AAl?$AAl@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9B 00 2B 03 D0 10 9B 1B 88 00 2B 03 D1 00 20 ?? ?? ?? ?? 65 E0 00 23 05 93 6F F0 00 43 00 93 10 9B 00 22 00 21 05 A8 ?? ?? ?? ?? 06 90 00 23 03 93 2F 23 02 93 2F 4B 01 93 2D 4B 00 93 2F 4B 22 22 16 21 06 98 ?? ?? ?? ?? 05 9B 00 2B 00 D1 47 E0 33 23 00 93 28 4B 02 22 01 21 05 98 ?? ?? ?? ?? 07 90 07 99 04 A8 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 08 90 08 9B 00 2B 03 D1 04 A8 ?? ?? ?? ?? 2F E0 04 A8 ?? ?? ?? ?? 09 90 6F F0 00 03 00 93 10 9B 05 9A 09 99 00 20 ?? ?? ?? ?? 0A 90 00 23 03 93 3C 23 02 93 13 4B 01 93 11 4B 00 93 0F 4B 22 22 16 21 0A 98 ?? ?? ?? ?? 0B 90 0B 9B 0C 93 0C 9B 00 2B 03 D0 04 A8 ?? ?? ?? ?? 09 E0 04 A8 ?? ?? ?? ?? 0D 90 0D 98 ?? ?? ?? ?? 04 A8 ?? ?? ?? ?? 0E B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_656_0_0 {
	meta:
		name = "_swab"
		size = 396
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 0174 ??_C@_1BG@JMLLNHFO@?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0178 ??_C@_1M@CDKJLJII@?$AA_?$AAs?$AAw?$AAa?$AAb?$AA?$AA@ 017c ??_C@_1GA@BJFPCMJG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0180 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0184 ??_C@_1CO@JMPIHJLO@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0188 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 90 B0 12 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 58 4B 01 93 55 4B 00 93 00 23 14 22 52 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 04 9B 00 2B 0E D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 14 23 48 4A 46 49 4A 48 ?? ?? ?? ?? 80 E0 13 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 40 4B 01 93 3E 4B 00 93 00 23 15 22 3B 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 06 9B 00 2B 0E D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 15 23 31 4A 2F 49 32 48 ?? ?? ?? ?? 52 E0 14 9B 00 2B 02 DB 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 25 4B 01 93 27 4B 00 93 00 23 16 22 24 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 08 9B 00 2B 0E D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 16 23 1A 4A 18 49 17 48 ?? ?? ?? ?? 24 E0 14 9B 01 2B 21 DD 12 9B 93 F9 00 30 8D F8 09 30 12 9B 5B 1C 12 93 12 9B 93 F9 00 30 8D F8 08 30 12 9B 5B 1C 12 93 9D F9 08 20 13 9B 1A 70 13 9B 5B 1C 13 93 9D F9 09 20 13 9B 1A 70 13 9B 5B 1C 13 93 14 9B 9B 1E 14 93 DA E7 10 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_658_5_0 {
	meta:
		name = "__acrt_locale_free_numeric"
		size = 156
		refs = "0022 _free_dbg 0098 __acrt_lconv_c"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 02 9B 00 2B 00 D1 3E E0 02 9B 1A 68 20 4B 1B 68 9A 42 04 D0 02 21 02 9B 18 68 ?? ?? ?? ?? 02 9B 1B 1D 1A 68 1A 4B 5B 68 9A 42 05 D0 02 21 02 9B 1B 1D 18 68 ?? ?? ?? ?? 02 9B 08 33 1A 68 14 4B 9B 68 9A 42 05 D0 02 21 02 9B 08 33 18 68 ?? ?? ?? ?? 02 9B 30 33 1A 68 0D 4B 1B 6B 9A 42 05 D0 02 21 02 9B 30 33 18 68 ?? ?? ?? ?? 02 9B 34 33 1A 68 07 4B 5B 6B 9A 42 05 D0 02 21 02 9B 34 33 18 68 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_658_6_0 {
	meta:
		name = "__acrt_locale_initialize_numeric"
		size = 940
		refs = "0042 _calloc_dbg 00d8 _malloc_dbg 00e2 ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAA@QAJ@Z 00ee ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAAPAJXZ 0112 ??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAA@XZ 0122 _free_dbg 01c0 __acrt_GetLocaleInfoA 0246 __acrt_locale_free_numeric 0268 fix_grouping 0312 _CrtDbgReportW 0398 ??_C@_1GE@GOIFKKDC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 039c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 03a0 ??_C@_1DM@IFKAINNE@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AAo?$AAn?$AAv?$AA_?$AAn?$AAu?$AAm?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 03a4 __acrt_lconv_c 03a8 ??_C@_0DC@KHILMDMC@minkernel?2crts?2ucrt?2src?2appcrt?2l@"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B A4 B0 00 23 05 93 00 23 06 93 28 9B 0C 93 00 23 0D 93 28 9B A0 33 10 33 1B 68 00 2B 06 D1 28 9B A0 33 0C 33 1B 68 00 2B 00 F0 43 81 5D 23 00 93 DB 4B 02 22 50 21 01 20 ?? ?? ?? ?? 10 90 10 9B 02 93 02 9B 00 2B 02 D1 01 23 0A 93 98 E1 28 9B 88 33 1B 68 02 9A 03 92 04 93 03 9D 04 9C 94 E8 0F 00 85 E8 0F 00 04 9B 10 33 04 93 03 9B 10 33 03 93 03 9D 04 9C 94 E8 0F 00 85 E8 0F 00 04 9B 10 33 04 93 03 9B 10 33 03 93 03 9D 04 9C 94 E8 0F 00 85 E8 0F 00 04 9B 10 33 04 93 03 9B 10 33 03 93 03 9D 04 9C 94 E8 0F 00 85 E8 0F 00 04 9B 10 33 04 93 03 9B 10 33 03 93 03 9D 04 9C 94 E8 0F 00 85 E8 0F 00 69 23 B5 4A 02 21 04 20 ?? ?? ?? ?? 11 90 11 99 15 A8 ?? ?? ?? ?? 12 90 12 9B 13 93 13 98 ?? ?? ?? ?? 14 90 14 9B 08 93 08 9B 00 2B 02 D1 01 23 0E 93 01 E0 00 23 0E 93 0E 9B DB B2 8D F8 1C 30 15 A8 ?? ?? ?? ?? 9D F8 1C 30 00 2B 06 D0 02 21 02 98 ?? ?? ?? ?? 01 23 0A 93 2E E1 08 9A 00 23 13 60 28 9B A0 33 10 33 1B 68 00 2B 00 F0 97 80 75 23 99 4A 02 21 04 20 ?? ?? ?? ?? 16 90 16 99 1A A8 ?? ?? ?? ?? 17 90 17 9B 18 93 18 98 ?? ?? ?? ?? 19 90 19 9B 06 93 06 9B 00 2B 02 D1 01 23 0F 93 01 E0 00 23 0F 93 0F 9B DB B2 8D F8 1D 30 1A A8 ?? ?? ?? ?? 9D F8 1D 30 00 2B 0A D0 02 21 02 98 ?? ?? ?? ?? 02 21 08 98 ?? ?? ?? ?? 01 23 0A 93 F2 E0 06 9A 00 23 13 60 28 9B A0 33 10 33 1B 68 09 93 02 9B 00 93 0E 23 09 9A 01 21 0C A8 ?? ?? ?? ?? 1B 90 05 9A 1B 9B 13 43 05 93 02 9B 1B 1D 00 93 0F 23 09 9A 01 21 0C A8 ?? ?? ?? ?? 1C 90 05 9A 1C 9B 13 43 05 93 02 9B 08 33 00 93 10 23 09 9A 01 21 0C A8 ?? ?? ?? ?? 1D 90 05 9A 1D 9B 13 43 05 93 02 9B 30 33 00 93 0E 23 09 9A 02 21 0C A8 ?? ?? ?? ?? 1E 90 05 9A 1E 9B 13 43 05 93 02 9B 34 33 00 93 0F 23 09 9A 02 21 0C A8 ?? ?? ?? ?? 1F 90 05 9A 1F 9B 13 43 05 93 05 9B 00 2B 0E D0 02 98 ?? ?? ?? ?? 02 21 02 98 ?? ?? ?? ?? 02 21 08 98 ?? ?? ?? ?? 6F F0 00 03 0A 93 93 E0 02 9B 08 33 18 68 ?? ?? ?? ?? 1C E0 00 23 06 93 02 9A 4B 4B 1B 68 13 60 02 9B 1A 1D 49 4B 5B 68 13 60 02 9B 03 F1 08 02 46 4B 9B 68 13 60 02 9B 03 F1 30 02 43 4B 1B 6B 13 60 02 9B 03 F1 34 02 40 4B 5B 6B 13 60 08 9A 01 23 13 60 06 9B 00 2B 02 D0 06 9A 01 23 13 60 05 E0 00 23 06 93 00 23 08 93 37 4B 02 93 28 9B 80 33 1B 68 00 2B 26 D0 BF F3 5B 8F 28 9B 80 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 20 93 BF F3 5B 8F 20 9B 00 2B 13 D1 28 9B 80 33 1B 68 00 2B 0E D8 27 4B 01 93 25 4B 00 93 00 23 BA 22 22 49 02 20 ?? ?? ?? ?? 21 90 21 9B 01 2B 00 D1 FE DE 28 9B 7C 33 1B 68 00 2B 1E D0 BF F3 5B 8F 28 9B 7C 33 19 68 51 E8 00 2F 52 1E 41 E8 00 23 00 2B F8 D1 13 46 22 93 BF F3 5B 8F 22 9B 00 2B 0B D1 02 21 28 9B 7C 33 18 68 ?? ?? ?? ?? 02 21 28 9B 88 33 18 68 ?? ?? ?? ?? 28 9B 03 F1 80 02 06 9B 13 60 28 9B 03 F1 7C 02 08 9B 13 60 28 9B 03 F1 88 02 02 9B 13 60 00 23 0A 93 0A 98 24 B0 BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_659_0_0 {
	meta:
		name = "??$common_tcsset_s@_W@@YAHQA_WI_W@Z"
		size = 500
		refs = "003c _CrtDbgReportW 0050 _errno 006a _invalid_parameter 00c4 _CrtGetDebugFillThreshold 00f2 memset 01dc ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 01e0 ??_C@_1CA@BBKNBNG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 01e4 ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01ec ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01f0 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 94 B0 16 9B 00 2B 05 D0 17 9B 00 2B 02 D9 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 71 4B 01 93 6E 4B 00 93 00 23 4F F4 8D 72 6A 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 4F F4 8D 73 5F 4A 5E 49 61 48 ?? ?? ?? ?? 16 23 04 93 AD E0 16 9B 03 93 17 9B 02 93 03 9B 1B 88 00 2B 0D D0 02 9B 5B 1E 02 93 02 9B 00 2B 07 D9 BD F8 60 20 03 9B 1A 80 03 9B 9B 1C 03 93 ED E7 02 9B 00 2B 5A D1 16 9A 00 23 13 80 17 9B B3 F1 FF 3F 20 D0 17 9A 6F F0 00 43 9A 42 1B D0 17 9B 01 2B 18 D9 ?? ?? ?? ?? 0F 90 0F 9B 07 93 17 9B 5A 1E 07 9B 93 42 02 D2 07 9B 08 93 02 E0 17 9B 5B 1E 08 93 08 9A 02 23 02 FB 03 F2 FE 21 16 9B 98 1C ?? ?? ?? ?? 3D 4B 00 2B 03 D0 02 E0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 32 4B 01 93 34 4B 00 93 00 23 40 F2 27 12 30 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 40 F2 27 13 25 4A 24 49 22 48 ?? ?? ?? ?? 16 23 04 93 39 E0 17 9B B3 F1 FF 3F 33 D0 17 9A 6F F0 00 43 9A 42 2E D0 17 9A 02 9B D3 1A 5A 1C 17 9B 9A 42 27 D2 ?? ?? ?? ?? 12 90 12 9B 0B 93 17 9A 02 9B D3 1A 5A 1C 17 9B 9A 1A 0B 9B 93 42 02 D2 0B 9B 0C 93 06 E0 17 9A 02 9B D3 1A 5A 1C 17 9B 9B 1A 0C 93 0C 9A 02 23 02 FB 03 F2 FE 21 17 98 02 9B C3 1A 58 1C 02 23 00 FB 03 F0 16 9B 18 44 ?? ?? ?? ?? 00 23 04 93 04 98 14 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_659_1_0 {
	meta:
		name = "_wcsset_s"
		size = 40
		refs = "0012 ??$common_tcsset_s@_W@@YAHQA_WI_W@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 BD F8 18 20 05 99 04 98 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_660_4_0 {
	meta:
		name = "_wcsnicmp"
		size = 436
		refs = "000a __acrt_locale_changed 0052 _CrtDbgReportW 0066 _errno 007e _invalid_parameter 0188 _wcsnicmp_l 01a0 ??_C@_1CA@GLFIDPNF@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01a4 ??_C@_1BE@JKOKKFEL@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 01a8 ??_C@_1GG@CLJGPGNE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 01ac ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01b0 ??_C@_1CC@IBIHLDLG@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 40 F0 B2 80 00 23 0B 93 16 9B 00 2B 00 F0 A8 80 14 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 5B 4B 01 93 59 4B 00 93 00 23 69 22 56 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 69 23 4B 4A 4A 49 4C 48 ?? ?? ?? ?? 6F F0 00 43 04 93 83 E0 15 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 3E 4B 01 93 40 4B 00 93 00 23 6A 22 3D 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 6A 23 33 4A 31 49 30 48 ?? ?? ?? ?? 6F F0 00 43 04 93 52 E0 14 9B 1B 88 41 2B 09 DB 14 9B 1B 88 5A 2B 05 DC 14 9B 1B 88 41 3B 61 33 09 93 02 E0 14 9B 1B 88 09 93 09 9B 9B B2 AD F8 0A 30 15 9B 1B 88 41 2B 09 DB 15 9B 1B 88 5A 2B 05 DC 15 9B 1B 88 41 3B 61 33 0A 93 02 E0 15 9B 1B 88 0A 93 0A 9B 9B B2 AD F8 0C 30 14 9B 9B 1C 14 93 15 9B 9B 1C 15 93 16 9B 5B 1E 16 93 16 9B 00 2B 09 D0 BD F8 0A 30 00 2B 05 D0 BD F8 0A 20 BD F8 0C 30 9A 42 BF D0 BD F8 0A 20 BD F8 0C 30 D3 1A 0B 93 0B 9B 04 93 09 E0 08 E0 00 23 16 9A 15 99 14 98 ?? ?? ?? ?? 10 90 10 9B 04 93 04 98 12 B0 5D F8 04 BB 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_660_5_0 {
	meta:
		name = "_wcsnicmp_l"
		size = 536
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 00de ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00e4 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0188 _towlower_l 01f0 ??1_LocaleUpdate@@QAA@XZ 0204 ??_C@_1CA@GLFIDPNF@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0208 ??_C@_1BI@KLMFNDBC@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 020c ??_C@_1GG@CLJGPGNE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0210 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0214 ??_C@_1CC@IBIHLDLG@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 98 B0 00 23 0B 93 1C 9B 00 2B 00 F0 EF 80 1A 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 78 4B 01 93 76 4B 00 93 00 23 39 22 73 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 39 23 69 4A 67 49 6A 48 ?? ?? ?? ?? 6F F0 00 43 04 93 BF E0 1B 9B 00 2B 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 5C 4B 01 93 5E 4B 00 93 00 23 3A 22 5B 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 08 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 3A 23 50 4A 4F 49 4D 48 ?? ?? ?? ?? 6F F0 00 43 04 93 8E E0 1D 99 14 A8 ?? ?? ?? ?? 14 A8 ?? ?? ?? ?? 10 90 10 9B 1B 68 A0 33 08 33 1B 68 00 2B 40 D1 1A 9B 1B 88 41 2B 09 DB 1A 9B 1B 88 5A 2B 05 DC 1A 9B 1B 88 41 3B 61 33 09 93 02 E0 1A 9B 1B 88 09 93 09 9B 9B B2 AD F8 08 30 1B 9B 1B 88 41 2B 09 DB 1B 9B 1B 88 5A 2B 05 DC 1B 9B 1B 88 41 3B 61 33 0A 93 02 E0 1B 9B 1B 88 0A 93 0A 9B 9B B2 AD F8 0A 30 1A 9B 9B 1C 1A 93 1B 9B 9B 1C 1B 93 1C 9B 5B 1E 1C 93 1C 9B 00 2B 09 D0 BD F8 08 30 00 2B 05 D0 BD F8 08 20 BD F8 0A 30 9A 42 BF D0 33 E0 14 A8 ?? ?? ?? ?? 11 90 11 99 1A 9B 18 88 ?? ?? ?? ?? AD F8 0C 00 BD F8 0C 30 AD F8 08 30 14 A8 ?? ?? ?? ?? 12 90 12 99 1B 9B 18 88 ?? ?? ?? ?? AD F8 0E 00 BD F8 0E 30 AD F8 0A 30 1A 9B 9B 1C 1A 93 1B 9B 9B 1C 1B 93 1C 9B 5B 1E 1C 93 1C 9B 00 2B 09 D0 BD F8 08 30 00 2B 05 D0 BD F8 08 20 BD F8 0A 30 9A 42 CB D0 BD F8 08 20 BD F8 0A 30 D3 1A 0B 93 14 A8 ?? ?? ?? ?? 0B 9B 04 93 04 98 18 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_661_0_0 {
	meta:
		name = "_umask"
		size = 46
		refs = "001a _umask_s"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 03 F4 C0 73 01 93 00 23 00 93 69 46 01 98 ?? ?? ?? ?? 00 9B 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_661_1_0 {
	meta:
		name = "_umask_s"
		size = 260
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00ec _umaskval 00f0 ??_C@_1EM@IJPIKCNL@?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT?$AAE?$AA?$CJ?$AA?$CJ@ 00f4 ??_C@_1BC@MDPHDOJO@?$AA_?$AAu?$AAm?$AAa?$AAs?$AAk?$AA_?$AAs?$AA?$AA@ 00f8 ??_C@_1FO@MNDCKOEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1CI@BIJNNBKA@?$AAo?$AAl?$AAd?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 0F 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 36 4B 01 93 34 4B 00 93 00 23 1F 22 31 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 04 9B 00 2B 10 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1F 23 27 4A 25 49 28 48 ?? ?? ?? ?? 16 23 02 93 3A E0 20 4B 1A 68 0F 9B 1A 60 0E 9B 23 F4 C0 73 00 2B 02 D1 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 17 4B 01 93 19 4B 00 93 00 23 21 22 16 49 02 20 ?? ?? ?? ?? 09 90 09 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 0A 90 0A 9A 16 23 13 60 00 23 00 93 21 23 0C 4A 0A 49 09 48 ?? ?? ?? ?? 16 23 02 93 04 E0 0E 9A 04 4B 1A 60 00 23 02 93 02 98 0C B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_662_0_0 {
	meta:
		name = "strncat"
		size = 112
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 04 9B 00 93 04 9B 93 F9 00 20 04 9B 5B 1C 04 93 00 2A 00 D0 F6 E7 04 9B 5B 1E 04 93 06 9A 06 9B 5B 1E 06 93 00 2A 13 D0 05 9B 93 F9 00 20 04 9B 1A 70 04 9B 93 F9 00 20 04 9B 5B 1C 04 93 05 9B 5B 1C 05 93 00 2A 02 D1 00 9B 01 93 05 E0 E5 E7 04 9A 00 23 13 70 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_663_5_0 {
	meta:
		name = "_mbsnicmp_l"
		size = 388
		refs = "001a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002a _strnicmp 0042 _CrtDbgReportW 004c _errno 008c _invalid_parameter 0170 ??_C@_1HC@BNMBHOFI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0174 ??_C@_1BI@PAEGENJF@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0178 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 017c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0180 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 87 B0 17 46 0E 46 05 46 0F B9 00 20 A9 E0 02 A8 19 46 ?? ?? ?? ?? 04 98 83 68 2B B9 3A 46 31 46 28 46 ?? ?? ?? ?? 92 E0 A5 B9 52 4B 52 4C 4E 49 00 93 00 23 3A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 3A 23 14 E0 DE B9 47 4B 45 4C 43 49 00 93 00 23 3B 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 3B 23 3B 49 39 4A 20 46 ?? ?? ?? ?? 6F F0 00 40 5F E0 4F F0 04 0E 4F F0 10 08 15 F8 01 1B 7F 1E 50 FA 81 F3 5B 7E 13 EA 0E 0F 18 D0 2B 78 0B B9 00 21 1B E0 43 EA 01 21 83 89 6D 1C 99 42 04 D3 C3 89 99 42 01 D8 03 8A 06 E0 43 8A 99 42 0D D3 83 8A 99 42 0A D8 C3 8A 0B 44 99 B2 06 E0 0A 18 53 7E 13 EA 08 0F 01 D0 92 F8 19 11 16 F8 01 2B 50 FA 82 F3 5B 7E 13 EA 0E 0F 18 D0 33 78 0B B9 00 22 1B E0 43 EA 02 22 83 89 76 1C 9A 42 04 D3 C3 89 9A 42 01 D8 03 8A 06 E0 43 8A 9A 42 0D D3 83 8A 9A 42 0A D8 C3 8A 13 44 9A B2 06 E0 14 18 63 7E 13 EA 08 0F 01 D0 94 F8 19 21 91 42 04 D1 09 B1 00 2F A9 D1 00 20 03 E0 6F F0 00 00 88 BF 01 20 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 07 B0 BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_664_0_0 {
	meta:
		name = "_intrin_sqrt"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 8D ED 00 0B 9D ED 00 0B B1 EE C0 0B 8D ED 02 0B 9D ED 02 0B 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_664_1_0 {
	meta:
		name = "sqrt"
		size = 272
		refs = "003a _handle_nan 0078 _handle_error 00d8 _intrin_sqrt 00fc ??_C@_04EIAKFFMI@sqrt?$AA@"
	strings:
		$1 = { 2D E9 00 48 EB 46 96 B0 8D ED 08 0B 9D ED 08 0B 53 EC 10 2B 06 92 07 93 07 9A 3C 4B 13 40 04 93 04 9A 3A 4B 9A 42 30 D1 06 9A 07 9B 6F F3 1F 53 13 43 00 2B 0B D0 06 98 07 99 ?? ?? ?? ?? 8D ED 0C 0B 9D ED 0C 0B 8D ED 0A 0B 51 E0 1D E0 07 9B 03 F0 00 43 00 2B 18 D0 01 23 03 93 9F ED 29 1B 9D ED 08 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 23 4B 05 21 21 48 ?? ?? ?? ?? 8D ED 0E 0B 9D ED 0E 0B 8D ED 0A 0B 32 E0 07 9B 03 F0 00 43 00 2B 1F D0 06 9A 07 9B 23 F0 00 43 13 43 00 2B 18 D0 01 23 03 93 9F ED 17 1B 9D ED 08 0B 21 23 02 93 08 23 01 93 01 23 00 93 00 22 10 4B 05 21 0E 48 ?? ?? ?? ?? 8D ED 10 0B 9D ED 10 0B 8D ED 0A 0B 0D E0 9D ED 08 0B ?? ?? ?? ?? 8D ED 12 0B 9D ED 12 0B 8D ED 14 0B 9D ED 14 0B 8D ED 0A 0B 9D ED 0A 0B 16 B0 BD E8 00 88 FE DE ?? ?? ?? ?? 00 00 F8 FF 00 00 00 00 00 00 00 00 00 00 F0 7F }
	condition:
		$1
}

rule file_665_0_0 {
	meta:
		name = "_calloc_base"
		size = 184
		refs = "001c __rt_udiv 0026 _errno 0076 _query_new_mode 0084 _callnewh 00b0 __imp_HeapAlloc 00b4 __acrt_heap"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 0C 9B 00 2B 13 D0 0C 98 6F F0 1F 01 00 28 00 D1 F9 DE ?? ?? ?? ?? 0D 9B 98 42 08 D2 ?? ?? ?? ?? 05 90 05 9A 0C 23 13 60 00 23 00 93 35 E0 0C 9A 0D 9B 02 FB 03 F3 01 93 01 9B 00 2B 02 D1 01 23 02 93 01 E0 01 9B 02 93 02 9B 04 93 04 9A 08 21 16 4B 18 68 14 4B 1B 68 98 47 06 90 06 9B 03 93 03 9B 00 2B 02 D0 03 9B 00 93 16 E0 ?? ?? ?? ?? 07 90 07 9B 00 2B 06 D0 04 98 ?? ?? ?? ?? 08 90 08 9B 00 2B 08 D1 ?? ?? ?? ?? 09 90 09 9A 0C 23 13 60 00 23 00 93 00 E0 D8 E7 00 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_666_4_0 {
	meta:
		name = "_wcsncoll"
		size = 400
		refs = "000a __acrt_locale_changed 0046 _CrtDbgReportW 005a _errno 0072 _invalid_parameter 014c wcsncmp 0162 _wcsncoll_l 0178 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 017c ??_C@_1BE@LPEBLEP@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0180 ??_C@_1GG@KCMKBJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0184 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0188 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 018c ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 92 B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 40 F0 9F 80 14 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 55 4B 01 93 52 4B 00 93 00 23 5D 22 4F 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 5D 23 44 4A 43 49 46 48 ?? ?? ?? ?? 6F F0 00 43 03 93 76 E0 15 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 3B 4B 01 93 39 4B 00 93 00 23 5E 22 36 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 5E 23 2C 4A 2A 49 2D 48 ?? ?? ?? ?? 6F F0 00 43 03 93 45 E0 16 9A 6F F0 00 43 9A 42 02 D8 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 1E 4B 01 93 20 4B 00 93 00 23 5F 22 1D 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 09 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 5F 23 12 4A 11 49 0F 48 ?? ?? ?? ?? 6F F0 00 43 03 93 12 E0 16 9A 15 99 14 98 ?? ?? ?? ?? 10 90 10 9B 03 93 09 E0 08 E0 00 23 16 9A 15 99 14 98 ?? ?? ?? ?? 11 90 11 9B 03 93 03 98 12 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_666_5_0 {
	meta:
		name = "_wcsncoll_l"
		size = 540
		refs = "001a ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0048 _CrtDbgReportW 005c _errno 0074 _invalid_parameter 0080 ??1_LocaleUpdate@@QAA@XZ 0168 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 0182 wcsncmp 01ba __acrt_CompareStringW 0204 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0208 ??_C@_1BI@LICOALFC@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 020c ??_C@_1GG@KCMKBJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0210 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0214 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0218 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 A0 B0 24 9B 00 2B 02 D1 00 23 02 93 F0 E0 25 99 0A A8 ?? ?? ?? ?? 22 9B 00 2B 02 D0 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 77 4B 01 93 74 4B 00 93 00 23 3A 22 71 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 04 9B 00 2B 16 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 3A 23 67 4A 65 49 69 48 ?? ?? ?? ?? 6F F0 00 43 10 93 0A A8 ?? ?? ?? ?? 10 9B 02 93 B6 E0 23 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 5B 4B 01 93 59 4B 00 93 00 23 3B 22 56 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 06 9B 00 2B 16 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 3B 23 4C 4A 4A 49 4D 48 ?? ?? ?? ?? 6F F0 00 43 13 93 0A A8 ?? ?? ?? ?? 13 9B 02 93 80 E0 24 9A 6F F0 00 43 9A 42 02 D8 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0E D1 3B 4B 01 93 3D 4B 00 93 00 23 3C 22 3A 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 08 9B 00 2B 16 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 3C 23 30 4A 2E 49 2D 48 ?? ?? ?? ?? 6F F0 00 43 16 93 0A A8 ?? ?? ?? ?? 16 9B 02 93 48 E0 0A A8 ?? ?? ?? ?? 17 90 17 9B 1B 68 A0 33 1B 1D 1B 68 00 2B 0D D1 24 9A 23 99 22 98 ?? ?? ?? ?? 18 90 18 9B 19 93 0A A8 ?? ?? ?? ?? 19 9B 02 93 2F E0 0A A8 ?? ?? ?? ?? 1A 90 24 9B 01 93 23 9B 00 93 24 9B 22 9A 4F F4 80 51 1A 98 00 68 A0 30 00 1D 00 68 ?? ?? ?? ?? 1B 90 1B 9B 09 93 09 9B 00 2B 0E D1 ?? ?? ?? ?? 1C 90 1C 9A 16 23 13 60 6F F0 00 43 1D 93 0A A8 ?? ?? ?? ?? 1D 9B 02 93 07 E0 09 9B 9B 1E 1E 93 0A A8 ?? ?? ?? ?? 1E 9B 02 93 02 98 20 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_1_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YAHQBDQAU_finddata32_t@@@Z"
		size = 300
		refs = "0008 __security_push_cookie 003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0076 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 007c ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0086 __acrt_copy_path_to_wide_string 009a ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 00a6 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 00b0 ??$common_find_first_wide@U_wfinddata32_t@@@@YAHQB_WQAU_wfinddata32_t@@@Z 00d8 ??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NABU_wfinddata32_t@@AAU_finddata32_t@@@Z 010e __security_pop_cookie 011c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0120 ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 0124 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 19 7D 9D 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 3C 4B 01 93 3E 4B 00 93 00 23 AD 22 3B 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 AD 23 30 4A 2F 49 2D 48 ?? ?? ?? ?? 6F F0 00 03 04 93 4A E0 00 21 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0A 90 0A 99 9C 98 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 08 D1 6F F0 00 03 0C 93 03 A8 ?? ?? ?? ?? 0C 9B 04 93 31 E0 03 A8 ?? ?? ?? ?? 0D 90 12 A9 0D 98 ?? ?? ?? ?? 0E 90 0E 9B 07 93 07 9B B3 F1 FF 3F 08 D1 6F F0 00 03 0F 93 03 A8 ?? ?? ?? ?? 0F 9B 04 93 19 E0 9D 99 12 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 08 D1 6F F0 00 03 10 93 03 A8 ?? ?? ?? ?? 10 9B 04 93 06 E0 07 9B 11 93 03 A8 ?? ?? ?? ?? 11 9B 04 93 04 98 0D F5 19 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_2_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YAHQBDQAU_finddata32i64_t@@@Z"
		size = 300
		refs = "0008 __security_push_cookie 003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0076 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 007c ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0086 __acrt_copy_path_to_wide_string 009a ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 00a6 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 00b0 ??$common_find_first_wide@U_wfinddata32i64_t@@@@YAHQB_WQAU_wfinddata32i64_t@@@Z 00d8 ??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NABU_wfinddata32i64_t@@AAU_finddata32i64_t@@@Z 010e __security_pop_cookie 011c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0120 ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 0124 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 1B 7D 9F 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 3C 4B 01 93 3E 4B 00 93 00 23 AD 22 3B 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 AD 23 30 4A 2F 49 2D 48 ?? ?? ?? ?? 6F F0 00 03 04 93 4A E0 00 21 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0A 90 0A 99 9E 98 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 08 D1 6F F0 00 03 0C 93 03 A8 ?? ?? ?? ?? 0C 9B 04 93 31 E0 03 A8 ?? ?? ?? ?? 0D 90 12 A9 0D 98 ?? ?? ?? ?? 0E 90 0E 9B 07 93 07 9B B3 F1 FF 3F 08 D1 6F F0 00 03 0F 93 03 A8 ?? ?? ?? ?? 0F 9B 04 93 19 E0 9F 99 12 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 08 D1 6F F0 00 03 10 93 03 A8 ?? ?? ?? ?? 10 9B 04 93 06 E0 07 9B 11 93 03 A8 ?? ?? ?? ?? 11 9B 04 93 04 98 0D F5 1B 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_3_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YAHQBDQAU__finddata64_t@@@Z"
		size = 300
		refs = "0008 __security_push_cookie 003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0076 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 007c ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0086 __acrt_copy_path_to_wide_string 009a ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 00a6 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 00b0 ??$common_find_first_wide@U_wfinddata64_t@@@@YAHQB_WQAU_wfinddata64_t@@@Z 00d8 ??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NABU_wfinddata64_t@@AAU__finddata64_t@@@Z 010e __security_pop_cookie 011c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0120 ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 0124 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 1F 7D A3 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 3C 4B 01 93 3E 4B 00 93 00 23 AD 22 3B 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 AD 23 30 4A 2F 49 2D 48 ?? ?? ?? ?? 6F F0 00 03 04 93 4A E0 00 21 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0A 90 0A 99 A2 98 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 08 D1 6F F0 00 03 0C 93 03 A8 ?? ?? ?? ?? 0C 9B 04 93 31 E0 03 A8 ?? ?? ?? ?? 0D 90 12 A9 0D 98 ?? ?? ?? ?? 0E 90 0E 9B 07 93 07 9B B3 F1 FF 3F 08 D1 6F F0 00 03 0F 93 03 A8 ?? ?? ?? ?? 0F 9B 04 93 19 E0 A3 99 12 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 08 D1 6F F0 00 03 10 93 03 A8 ?? ?? ?? ?? 10 9B 04 93 06 E0 07 9B 11 93 03 A8 ?? ?? ?? ?? 11 9B 04 93 04 98 0D F5 1F 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_4_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YAHQBDQAU_finddata64i32_t@@@Z"
		size = 300
		refs = "0008 __security_push_cookie 003a _CrtDbgReportW 004e _errno 0066 _invalid_parameter 0076 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 007c ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPAPA_WXZ 0086 __acrt_copy_path_to_wide_string 009a ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 00a6 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 00b0 ??$common_find_first_wide@U_wfinddata64i32_t@@@@YAHQB_WQAU_wfinddata64i32_t@@@Z 00d8 ??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NABU_wfinddata64i32_t@@AAU_finddata64i32_t@@@Z 010e __security_pop_cookie 011c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0120 ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 0124 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0128 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 1F 7D A3 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 3C 4B 01 93 3E 4B 00 93 00 23 AD 22 3B 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 AD 23 30 4A 2F 49 2D 48 ?? ?? ?? ?? 6F F0 00 03 04 93 4A E0 00 21 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 0A 90 0A 99 A2 98 ?? ?? ?? ?? 0B 90 0B 9B 00 2B 08 D1 6F F0 00 03 0C 93 03 A8 ?? ?? ?? ?? 0C 9B 04 93 31 E0 03 A8 ?? ?? ?? ?? 0D 90 12 A9 0D 98 ?? ?? ?? ?? 0E 90 0E 9B 07 93 07 9B B3 F1 FF 3F 08 D1 6F F0 00 03 0F 93 03 A8 ?? ?? ?? ?? 0F 9B 04 93 19 E0 A3 99 12 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 08 D1 6F F0 00 03 10 93 03 A8 ?? ?? ?? ?? 10 9B 04 93 06 E0 07 9B 11 93 03 A8 ?? ?? ?? ?? 11 9B 04 93 04 98 0D F5 1F 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_5_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata32_t@@@@YAHQB_WQAU_wfinddata32_t@@@Z"
		size = 536
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0176 ??$convert_file_time_to_time_t@J@@YAJABU_FILETIME@@@Z 01ac ??$convert_file_size_to_integer@K@@YAKKK@Z 01c8 wcscpy_s 01de _invoke_watson_if_error 01ec __security_pop_cookie 01f8 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 01fc ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 0200 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0204 __imp_GetLastError 0208 __imp_FindFirstFileExW 020c ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0210 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0214 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 2E 7D B3 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 79 4B 01 93 77 4B 00 93 00 23 78 22 71 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 16 23 13 60 00 23 00 93 78 23 67 4A 65 49 6B 48 ?? ?? ?? ?? 6F F0 00 03 03 93 B8 E0 B2 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 5F 4B 01 93 5F 4B 00 93 00 23 79 22 59 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 79 23 4E 4A 4D 49 50 48 ?? ?? ?? ?? 6F F0 00 03 03 93 87 E0 00 23 01 93 00 23 00 93 00 23 1A AA 00 21 B2 98 48 4C 24 68 A0 47 0E 90 0E 9B 09 93 09 9B B3 F1 FF 3F 31 D1 42 4B 1B 68 98 47 0F 90 0F 9B 10 93 10 9B 02 93 02 9B 9B 1E 02 93 02 9B 10 2B 19 D8 02 9A DF E8 02 F0 09 09 17 17 17 17 10 17 17 17 17 17 17 17 17 17 09 09 ?? ?? ?? ?? 11 90 11 9A 02 23 13 60 0C E0 ?? ?? ?? ?? 12 90 12 9A 0C 23 13 60 05 E0 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 6F F0 00 03 03 93 43 E0 1A 9B 80 2B 02 D1 00 23 08 93 01 E0 1A 9B 08 93 B3 9A 08 9B 13 60 1B A8 ?? ?? ?? ?? 14 90 B3 9B 1A 1D 14 9B 13 60 1D A8 ?? ?? ?? ?? 15 90 B3 9B 03 F1 08 02 15 9B 13 60 1F A8 ?? ?? ?? ?? 16 90 B3 9B 03 F1 0C 02 16 9B 13 60 22 99 21 98 ?? ?? ?? ?? 17 90 B3 9B 03 F1 10 02 17 9B 13 60 25 AA 4F F4 82 71 B3 9B 03 F1 14 00 ?? ?? ?? ?? 18 90 00 23 01 93 A4 23 00 93 0A 4B 08 4A 07 49 18 98 ?? ?? ?? ?? 09 9B 03 93 03 98 0D F5 2E 7D ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_6_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata32i64_t@@@@YAHQB_WQAU_wfinddata32i64_t@@@Z"
		size = 548
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0176 ??$convert_file_time_to_time_t@J@@YAJABU_FILETIME@@@Z 01ac ??$convert_file_size_to_integer@_J@@YA_JKK@Z 01d2 wcscpy_s 01e8 _invoke_watson_if_error 01f6 __security_pop_cookie 0204 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0208 ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 020c ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0210 __imp_GetLastError 0214 __imp_FindFirstFileExW 0218 ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 021c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0220 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 30 7D B5 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 7C 4B 01 93 7A 4B 00 93 00 23 78 22 74 49 02 20 ?? ?? ?? ?? 0B 90 0B 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 0C 90 0C 9A 16 23 13 60 00 23 00 93 78 23 6A 4A 68 49 6E 48 ?? ?? ?? ?? 6F F0 00 03 03 93 BD E0 B4 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 62 4B 01 93 62 4B 00 93 00 23 79 22 5C 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 79 23 51 4A 50 49 53 48 ?? ?? ?? ?? 6F F0 00 03 03 93 8C E0 00 23 01 93 00 23 00 93 00 23 1C AA 00 21 B4 98 4B 4C 24 68 A0 47 0F 90 0F 9B 0A 93 0A 9B B3 F1 FF 3F 31 D1 45 4B 1B 68 98 47 10 90 10 9B 11 93 11 9B 02 93 02 9B 9B 1E 02 93 02 9B 10 2B 19 D8 02 9A DF E8 02 F0 09 09 17 17 17 17 10 17 17 17 17 17 17 17 17 17 09 09 ?? ?? ?? ?? 12 90 12 9A 02 23 13 60 0C E0 ?? ?? ?? ?? 13 90 13 9A 0C 23 13 60 05 E0 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 6F F0 00 03 03 93 48 E0 1C 9B 80 2B 02 D1 00 23 08 93 01 E0 1C 9B 08 93 B5 9A 08 9B 13 60 1D A8 ?? ?? ?? ?? 15 90 B5 9B 1A 1D 15 9B 13 60 1F A8 ?? ?? ?? ?? 16 90 B5 9B 03 F1 08 02 16 9B 13 60 21 A8 ?? ?? ?? ?? 17 90 B5 9B 03 F1 0C 02 17 9B 13 60 24 99 23 98 ?? ?? ?? ?? 1B 91 1A 90 B5 9B 10 33 09 93 1A 9A 09 9B 1A 60 1B 9A 09 9B 5A 60 27 AA 4F F4 82 71 B5 9B 03 F1 18 00 ?? ?? ?? ?? 18 90 00 23 01 93 A4 23 00 93 0A 4B 09 4A 07 49 18 98 ?? ?? ?? ?? 0A 9B 03 93 03 98 0D F5 30 7D ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_7_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata64_t@@@@YAHQB_WQAU_wfinddata64_t@@@Z"
		size = 580
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0176 ??$convert_file_time_to_time_t@_J@@YA_JABU_FILETIME@@@Z 01cc ??$convert_file_size_to_integer@_J@@YA_JKK@Z 01f2 wcscpy_s 0208 _invoke_watson_if_error 0216 __security_pop_cookie 0224 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0228 ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 022c ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0230 __imp_GetLastError 0234 __imp_FindFirstFileExW 0238 ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 023c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0240 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 36 7D BB 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 84 4B 01 93 82 4B 00 93 00 23 78 22 7C 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 78 23 72 4A 70 49 76 48 ?? ?? ?? ?? 6F F0 00 03 03 93 CD E0 BA 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 6A 4B 01 93 6A 4B 00 93 00 23 79 22 64 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 79 23 59 4A 58 49 5B 48 ?? ?? ?? ?? 6F F0 00 03 03 93 9C E0 00 23 01 93 00 23 00 93 00 23 22 AA 00 21 BA 98 53 4C 24 68 A0 47 12 90 12 9B 0D 93 0D 9B B3 F1 FF 3F 31 D1 4D 4B 1B 68 98 47 13 90 13 9B 14 93 14 9B 02 93 02 9B 9B 1E 02 93 02 9B 10 2B 19 D8 02 9A DF E8 02 F0 09 09 17 17 17 17 10 17 17 17 17 17 17 17 17 17 09 09 ?? ?? ?? ?? 15 90 15 9A 02 23 13 60 0C E0 ?? ?? ?? ?? 16 90 16 9A 0C 23 13 60 05 E0 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 6F F0 00 03 03 93 58 E0 22 9B 80 2B 02 D1 00 23 08 93 01 E0 22 9B 08 93 BB 9A 08 9B 13 60 23 A8 ?? ?? ?? ?? 1B 91 1A 90 BB 9B 08 33 09 93 1A 9A 09 9B 1A 60 1B 9A 09 9B 5A 60 25 A8 ?? ?? ?? ?? 1D 91 1C 90 BB 9B 10 33 0A 93 1C 9A 0A 9B 1A 60 1D 9A 0A 9B 5A 60 27 A8 ?? ?? ?? ?? 1F 91 1E 90 BB 9B 18 33 0B 93 1E 9A 0B 9B 1A 60 1F 9A 0B 9B 5A 60 2A 99 29 98 ?? ?? ?? ?? 21 91 20 90 BB 9B 20 33 0C 93 20 9A 0C 9B 1A 60 21 9A 0C 9B 5A 60 2D AA 4F F4 82 71 BB 9B 03 F1 28 00 ?? ?? ?? ?? 18 90 00 23 01 93 A4 23 00 93 0A 4B 09 4A 07 49 18 98 ?? ?? ?? ?? 0D 9B 03 93 03 98 0D F5 36 7D ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_8_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata64i32_t@@@@YAHQB_WQAU_wfinddata64i32_t@@@Z"
		size = 568
		refs = "000a __security_push_cookie 003c _CrtDbgReportW 0050 _errno 0068 _invalid_parameter 0176 ??$convert_file_time_to_time_t@_J@@YA_JABU_FILETIME@@@Z 01cc ??$convert_file_size_to_integer@K@@YAKKK@Z 01e8 wcscpy_s 01fe _invoke_watson_if_error 020c __security_pop_cookie 0218 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 021c ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 0220 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0224 __imp_GetLastError 0228 __imp_FindFirstFileExW 022c ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0230 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0234 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? AD F5 34 7D B9 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 81 4B 01 93 7F 4B 00 93 00 23 78 22 79 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 78 23 6F 4A 6D 49 73 48 ?? ?? ?? ?? 6F F0 00 03 03 93 C8 E0 B8 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 67 4B 01 93 67 4B 00 93 00 23 79 22 61 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 79 23 56 4A 55 49 58 48 ?? ?? ?? ?? 6F F0 00 03 03 93 97 E0 00 23 01 93 00 23 00 93 00 23 20 AA 00 21 B8 98 50 4C 24 68 A0 47 11 90 11 9B 0C 93 0C 9B B3 F1 FF 3F 31 D1 4A 4B 1B 68 98 47 12 90 12 9B 13 93 13 9B 02 93 02 9B 9B 1E 02 93 02 9B 10 2B 19 D8 02 9A DF E8 02 F0 09 09 17 17 17 17 10 17 17 17 17 17 17 17 17 17 09 09 ?? ?? ?? ?? 14 90 14 9A 02 23 13 60 0C E0 ?? ?? ?? ?? 15 90 15 9A 0C 23 13 60 05 E0 ?? ?? ?? ?? 16 90 16 9A 16 23 13 60 6F F0 00 03 03 93 53 E0 20 9B 80 2B 02 D1 00 23 08 93 01 E0 20 9B 08 93 B9 9A 08 9B 13 60 21 A8 ?? ?? ?? ?? 1B 91 1A 90 B9 9B 08 33 09 93 1A 9A 09 9B 1A 60 1B 9A 09 9B 5A 60 23 A8 ?? ?? ?? ?? 1D 91 1C 90 B9 9B 10 33 0A 93 1C 9A 0A 9B 1A 60 1D 9A 0A 9B 5A 60 25 A8 ?? ?? ?? ?? 1F 91 1E 90 B9 9B 18 33 0B 93 1E 9A 0B 9B 1A 60 1F 9A 0B 9B 5A 60 28 99 27 98 ?? ?? ?? ?? 17 90 B9 9B 03 F1 20 02 17 9B 13 60 2B AA 4F F4 82 71 B9 9B 03 F1 24 00 ?? ?? ?? ?? 18 90 00 23 01 93 A4 23 00 93 0A 4B 08 4A 07 49 18 98 ?? ?? ?? ?? 0C 9B 03 93 03 98 0D F5 34 7D ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_9_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YAHHQAU_finddata32_t@@@Z"
		size = 96
		refs = "0008 __security_push_cookie 0014 ??$common_find_next_wide@U_wfinddata32_t@@@@YAHHQAU_wfinddata32_t@@@Z 0032 ??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NABU_wfinddata32_t@@AAU_finddata32_t@@@Z 0054 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 0B 7D 04 A9 8E 98 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B B3 F1 FF 3F 03 D1 6F F0 00 03 01 93 0F E0 8F 99 04 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 6F F0 00 03 01 93 01 E0 02 9B 01 93 01 98 0D F5 0B 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_10_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YAHHQAU_finddata32i64_t@@@Z"
		size = 96
		refs = "0008 __security_push_cookie 0014 ??$common_find_next_wide@U_wfinddata32i64_t@@@@YAHHQAU_wfinddata32i64_t@@@Z 0032 ??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NABU_wfinddata32i64_t@@AAU_finddata32i64_t@@@Z 0054 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 0D 7D 04 A9 90 98 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B B3 F1 FF 3F 03 D1 6F F0 00 03 01 93 0F E0 91 99 04 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 6F F0 00 03 01 93 01 E0 02 9B 01 93 01 98 0D F5 0D 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_11_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YAHHQAU__finddata64_t@@@Z"
		size = 96
		refs = "0008 __security_push_cookie 0014 ??$common_find_next_wide@U_wfinddata64_t@@@@YAHHQAU_wfinddata64_t@@@Z 0032 ??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NABU_wfinddata64_t@@AAU__finddata64_t@@@Z 0054 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 11 7D 04 A9 94 98 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B B3 F1 FF 3F 03 D1 6F F0 00 03 01 93 0F E0 95 99 04 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 6F F0 00 03 01 93 01 E0 02 9B 01 93 01 98 0D F5 11 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_12_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YAHHQAU_finddata64i32_t@@@Z"
		size = 96
		refs = "0008 __security_push_cookie 0014 ??$common_find_next_wide@U_wfinddata64i32_t@@@@YAHHQAU_wfinddata64i32_t@@@Z 0032 ??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NABU_wfinddata64i32_t@@AAU_finddata64i32_t@@@Z 0054 __security_pop_cookie"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 11 7D 04 A9 94 98 ?? ?? ?? ?? 03 90 03 9B 02 93 02 9B B3 F1 FF 3F 03 D1 6F F0 00 03 01 93 0F E0 95 99 04 A8 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 03 D1 6F F0 00 03 01 93 01 E0 02 9B 01 93 01 98 0D F5 11 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_13_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata32_t@@@@YAHHQAU_wfinddata32_t@@@Z"
		size = 640
		refs = "0008 __security_push_cookie 0040 _CrtDbgReportW 0054 _errno 006e _invalid_parameter 01d6 ??$convert_file_time_to_time_t@J@@YAJABU_FILETIME@@@Z 020c ??$convert_file_size_to_integer@K@@YAKKK@Z 0228 wcscpy_s 0240 _invoke_watson_if_error 024e __security_pop_cookie 025c ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0260 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 0264 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0268 __imp_GetLastError 026c __imp_FindNextFileW 0270 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0274 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0278 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 027c ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 33 7D B6 9B 04 93 04 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 93 4B 01 93 90 4B 00 93 00 23 40 F2 07 12 89 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 40 F2 07 13 7E 4A 7D 49 83 48 ?? ?? ?? ?? 6F F0 00 03 02 93 E6 E0 04 9B B3 F1 FF 3F 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 78 4B 01 93 76 4B 00 93 00 23 4F F4 84 72 6F 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 4F F4 84 73 64 4A 63 49 68 48 ?? ?? ?? ?? 6F F0 00 03 02 93 B2 E0 B7 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 5C 4B 01 93 5C 4B 00 93 00 23 40 F2 09 12 56 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 40 F2 09 13 4B 4A 49 49 4D 48 ?? ?? ?? ?? 6F F0 00 03 02 93 7F E0 1E A9 04 98 47 4B 1B 68 98 47 12 90 12 9B 00 2B 31 D1 43 4B 1B 68 98 47 13 90 13 9B 14 93 14 9B 03 93 03 9B 9B 1E 03 93 03 9B 10 2B 19 D8 03 9A DF E8 02 F0 09 09 17 17 17 17 10 17 17 17 17 17 17 17 17 17 09 09 ?? ?? ?? ?? 15 90 15 9A 02 23 13 60 0C E0 ?? ?? ?? ?? 16 90 16 9A 0C 23 13 60 05 E0 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 6F F0 00 03 02 93 44 E0 1E 9B 80 2B 02 D1 00 23 0B 93 01 E0 1E 9B 0B 93 B7 9A 0B 9B 13 60 1F A8 ?? ?? ?? ?? 18 90 B7 9B 1A 1D 18 9B 13 60 21 A8 ?? ?? ?? ?? 19 90 B7 9B 03 F1 08 02 19 9B 13 60 23 A8 ?? ?? ?? ?? 1A 90 B7 9B 03 F1 0C 02 1A 9B 13 60 26 99 25 98 ?? ?? ?? ?? 1B 90 B7 9B 03 F1 10 02 1B 9B 13 60 29 AA 4F F4 82 71 B7 9B 03 F1 14 00 ?? ?? ?? ?? 1C 90 00 23 01 93 40 F2 2F 13 00 93 0A 4B 09 4A 07 49 1C 98 ?? ?? ?? ?? 00 23 02 93 02 98 0D F5 33 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_14_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata32i64_t@@@@YAHHQAU_wfinddata32i64_t@@@Z"
		size = 648
		refs = "0008 __security_push_cookie 0040 _CrtDbgReportW 0054 _errno 006e _invalid_parameter 01d6 ??$convert_file_time_to_time_t@J@@YAJABU_FILETIME@@@Z 020c ??$convert_file_size_to_integer@_J@@YA_JKK@Z 0232 wcscpy_s 024a _invoke_watson_if_error 0258 __security_pop_cookie 0264 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0268 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 026c ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0270 __imp_GetLastError 0274 __imp_FindNextFileW 0278 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 027c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0280 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 0284 ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 35 7D B8 9B 04 93 04 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 95 4B 01 93 92 4B 00 93 00 23 40 F2 07 12 8B 49 02 20 ?? ?? ?? ?? 0D 90 0D 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 0E 90 0E 9A 16 23 13 60 00 23 00 93 40 F2 07 13 80 4A 7F 49 85 48 ?? ?? ?? ?? 6F F0 00 03 02 93 EB E0 04 9B B3 F1 FF 3F 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 7A 4B 01 93 78 4B 00 93 00 23 4F F4 84 72 71 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 4F F4 84 73 66 4A 65 49 6A 48 ?? ?? ?? ?? 6F F0 00 03 02 93 B7 E0 B9 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 5E 4B 01 93 5E 4B 00 93 00 23 40 F2 09 12 58 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 40 F2 09 13 4D 4A 4B 49 4F 48 ?? ?? ?? ?? 6F F0 00 03 02 93 84 E0 20 A9 04 98 49 4B 1B 68 98 47 13 90 13 9B 00 2B 31 D1 45 4B 1B 68 98 47 14 90 14 9B 15 93 15 9B 03 93 03 9B 9B 1E 03 93 03 9B 10 2B 19 D8 03 9A DF E8 02 F0 09 09 17 17 17 17 10 17 17 17 17 17 17 17 17 17 09 09 ?? ?? ?? ?? 16 90 16 9A 02 23 13 60 0C E0 ?? ?? ?? ?? 17 90 17 9A 0C 23 13 60 05 E0 ?? ?? ?? ?? 18 90 18 9A 16 23 13 60 6F F0 00 03 02 93 49 E0 20 9B 80 2B 02 D1 00 23 0B 93 01 E0 20 9B 0B 93 B9 9A 0B 9B 13 60 21 A8 ?? ?? ?? ?? 19 90 B9 9B 1A 1D 19 9B 13 60 23 A8 ?? ?? ?? ?? 1A 90 B9 9B 03 F1 08 02 1A 9B 13 60 25 A8 ?? ?? ?? ?? 1B 90 B9 9B 03 F1 0C 02 1B 9B 13 60 28 99 27 98 ?? ?? ?? ?? 1F 91 1E 90 B9 9B 10 33 0C 93 1E 9A 0C 9B 1A 60 1F 9A 0C 9B 5A 60 2B AA 4F F4 82 71 B9 9B 03 F1 18 00 ?? ?? ?? ?? 1C 90 00 23 01 93 40 F2 2F 13 00 93 0A 4B 08 4A 07 49 1C 98 ?? ?? ?? ?? 00 23 02 93 02 98 0D F5 35 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_15_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata64_t@@@@YAHHQAU_wfinddata64_t@@@Z"
		size = 680
		refs = "0008 __security_push_cookie 0040 _CrtDbgReportW 0054 _errno 006e _invalid_parameter 01d6 ??$convert_file_time_to_time_t@_J@@YA_JABU_FILETIME@@@Z 022c ??$convert_file_size_to_integer@_J@@YA_JKK@Z 0252 wcscpy_s 026a _invoke_watson_if_error 0278 __security_pop_cookie 0284 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0288 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 028c ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0290 __imp_GetLastError 0294 __imp_FindNextFileW 0298 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 029c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a0 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 02a4 ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 3B 7D BE 9B 04 93 04 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 9D 4B 01 93 9A 4B 00 93 00 23 40 F2 07 12 93 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 11 90 11 9A 16 23 13 60 00 23 00 93 40 F2 07 13 88 4A 87 49 8D 48 ?? ?? ?? ?? 6F F0 00 03 02 93 FB E0 04 9B B3 F1 FF 3F 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 82 4B 01 93 80 4B 00 93 00 23 4F F4 84 72 79 49 02 20 ?? ?? ?? ?? 12 90 12 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 00 23 00 93 4F F4 84 73 6E 4A 6D 49 72 48 ?? ?? ?? ?? 6F F0 00 03 02 93 C7 E0 BF 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 66 4B 01 93 66 4B 00 93 00 23 40 F2 09 12 60 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 15 90 15 9A 16 23 13 60 00 23 00 93 40 F2 09 13 55 4A 53 49 57 48 ?? ?? ?? ?? 6F F0 00 03 02 93 94 E0 26 A9 04 98 51 4B 1B 68 98 47 16 90 16 9B 00 2B 31 D1 4D 4B 1B 68 98 47 17 90 17 9B 18 93 18 9B 03 93 03 9B 9B 1E 03 93 03 9B 10 2B 19 D8 03 9A DF E8 02 F0 09 09 17 17 17 17 10 17 17 17 17 17 17 17 17 17 09 09 ?? ?? ?? ?? 19 90 19 9A 02 23 13 60 0C E0 ?? ?? ?? ?? 1A 90 1A 9A 0C 23 13 60 05 E0 ?? ?? ?? ?? 1B 90 1B 9A 16 23 13 60 6F F0 00 03 02 93 59 E0 26 9B 80 2B 02 D1 00 23 0B 93 01 E0 26 9B 0B 93 BF 9A 0B 9B 13 60 27 A8 ?? ?? ?? ?? 1F 91 1E 90 BF 9B 08 33 0C 93 1E 9A 0C 9B 1A 60 1F 9A 0C 9B 5A 60 29 A8 ?? ?? ?? ?? 21 91 20 90 BF 9B 10 33 0D 93 20 9A 0D 9B 1A 60 21 9A 0D 9B 5A 60 2B A8 ?? ?? ?? ?? 23 91 22 90 BF 9B 18 33 0E 93 22 9A 0E 9B 1A 60 23 9A 0E 9B 5A 60 2E 99 2D 98 ?? ?? ?? ?? 25 91 24 90 BF 9B 20 33 0F 93 24 9A 0F 9B 1A 60 25 9A 0F 9B 5A 60 31 AA 4F F4 82 71 BF 9B 03 F1 28 00 ?? ?? ?? ?? 1C 90 00 23 01 93 40 F2 2F 13 00 93 0A 4B 08 4A 07 49 1C 98 ?? ?? ?? ?? 00 23 02 93 02 98 0D F5 3B 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_16_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata64i32_t@@@@YAHHQAU_wfinddata64i32_t@@@Z"
		size = 672
		refs = "0008 __security_push_cookie 0040 _CrtDbgReportW 0054 _errno 006e _invalid_parameter 01d6 ??$convert_file_time_to_time_t@_J@@YA_JABU_FILETIME@@@Z 022c ??$convert_file_size_to_integer@K@@YAKKK@Z 0248 wcscpy_s 0260 _invoke_watson_if_error 026e __security_pop_cookie 027c ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0280 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 0284 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0288 __imp_GetLastError 028c __imp_FindNextFileW 0290 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0294 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0298 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 029c ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? AD F5 39 7D BC 9B 04 93 04 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0F D1 9B 4B 01 93 98 4B 00 93 00 23 40 F2 07 12 91 49 02 20 ?? ?? ?? ?? 0F 90 0F 9B 01 2B 00 D1 FE DE 06 9B 00 2B 12 D1 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 00 23 00 93 40 F2 07 13 86 4A 85 49 8B 48 ?? ?? ?? ?? 6F F0 00 03 02 93 F6 E0 04 9B B3 F1 FF 3F 02 D0 01 23 07 93 01 E0 00 23 07 93 07 9B 08 93 08 9B 00 2B 0F D1 80 4B 01 93 7E 4B 00 93 00 23 4F F4 84 72 77 49 02 20 ?? ?? ?? ?? 11 90 11 9B 01 2B 00 D1 FE DE 08 9B 00 2B 12 D1 ?? ?? ?? ?? 12 90 12 9A 16 23 13 60 00 23 00 93 4F F4 84 73 6C 4A 6B 49 70 48 ?? ?? ?? ?? 6F F0 00 03 02 93 C2 E0 BD 9B 00 2B 02 D0 01 23 09 93 01 E0 00 23 09 93 09 9B 0A 93 0A 9B 00 2B 0F D1 64 4B 01 93 64 4B 00 93 00 23 40 F2 09 12 5E 49 02 20 ?? ?? ?? ?? 13 90 13 9B 01 2B 00 D1 FE DE 0A 9B 00 2B 12 D1 ?? ?? ?? ?? 14 90 14 9A 16 23 13 60 00 23 00 93 40 F2 09 13 53 4A 51 49 55 48 ?? ?? ?? ?? 6F F0 00 03 02 93 8F E0 24 A9 04 98 4F 4B 1B 68 98 47 15 90 15 9B 00 2B 31 D1 4B 4B 1B 68 98 47 16 90 16 9B 17 93 17 9B 03 93 03 9B 9B 1E 03 93 03 9B 10 2B 19 D8 03 9A DF E8 02 F0 09 09 17 17 17 17 10 17 17 17 17 17 17 17 17 17 09 09 ?? ?? ?? ?? 18 90 18 9A 02 23 13 60 0C E0 ?? ?? ?? ?? 19 90 19 9A 0C 23 13 60 05 E0 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 6F F0 00 03 02 93 54 E0 24 9B 80 2B 02 D1 00 23 0B 93 01 E0 24 9B 0B 93 BD 9A 0B 9B 13 60 25 A8 ?? ?? ?? ?? 1F 91 1E 90 BD 9B 08 33 0C 93 1E 9A 0C 9B 1A 60 1F 9A 0C 9B 5A 60 27 A8 ?? ?? ?? ?? 21 91 20 90 BD 9B 10 33 0D 93 20 9A 0D 9B 1A 60 21 9A 0D 9B 5A 60 29 A8 ?? ?? ?? ?? 23 91 22 90 BD 9B 18 33 0E 93 22 9A 0E 9B 1A 60 23 9A 0E 9B 5A 60 2C 99 2B 98 ?? ?? ?? ?? 1B 90 BD 9B 03 F1 20 02 1B 9B 13 60 2F AA 4F F4 82 71 BD 9B 03 F1 24 00 ?? ?? ?? ?? 1C 90 00 23 01 93 40 F2 2F 13 00 93 0A 4B 09 4A 07 49 1C 98 ?? ?? ?? ?? 00 23 02 93 02 98 0D F5 39 7D ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_17_0 {
	meta:
		name = "??$convert_file_size_to_integer@K@@YAKKK@Z"
		size = 26
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_18_0 {
	meta:
		name = "??$convert_file_size_to_integer@_J@@YA_JKK@Z"
		size = 58
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 00 9A 01 23 02 FB 03 F1 00 9A 00 23 A2 FB 03 03 19 44 07 9A 00 23 12 18 4B 41 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_19_0 {
	meta:
		name = "??$convert_file_time_to_time_t@J@@YAJABU_FILETIME@@@Z"
		size = 132
		refs = "0008 __security_push_cookie 0060 ??$convert_system_time_to_time_t@J@@YAJABU_SYSTEMTIME@@@Z 006e __security_pop_cookie 007c __imp_SystemTimeToTzSpecificLocalTime 0080 __imp_FileTimeToSystemTime"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8D B0 10 9B 1B 68 00 2B 08 D1 10 9B 1B 1D 1B 68 00 2B 03 D1 6F F0 00 03 00 93 20 E0 04 A9 10 98 14 4B 1B 68 98 47 01 90 01 9B 00 2B 03 D1 6F F0 00 03 00 93 13 E0 08 AA 04 A9 00 20 0C 4B 1B 68 98 47 02 90 02 9B 00 2B 03 D1 6F F0 00 03 00 93 05 E0 08 A8 ?? ?? ?? ?? 03 90 03 9B 00 93 00 98 0D B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_20_0 {
	meta:
		name = "??$convert_file_time_to_time_t@_J@@YA_JABU_FILETIME@@@Z"
		size = 156
		refs = "0008 __security_push_cookie 0072 ??$convert_system_time_to_time_t@_J@@YA_JABU_SYSTEMTIME@@@Z 0088 __security_pop_cookie 0094 __imp_SystemTimeToTzSpecificLocalTime 0098 __imp_FileTimeToSystemTime"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 8F B0 12 9B 1B 68 00 2B 0B D1 12 9B 1B 1D 1B 68 00 2B 06 D1 6F F0 00 03 00 93 6F F0 00 03 01 93 29 E0 06 A9 12 98 19 4B 1B 68 98 47 02 90 02 9B 00 2B 06 D1 6F F0 00 03 00 93 6F F0 00 03 01 93 19 E0 0A AA 06 A9 00 20 0F 4B 1B 68 98 47 03 90 03 9B 00 2B 06 D1 6F F0 00 03 00 93 6F F0 00 03 01 93 08 E0 0A A8 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 00 92 01 93 00 98 01 99 0F B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_21_0 {
	meta:
		name = "??$convert_system_time_to_time_t@J@@YAJABU_SYSTEMTIME@@@Z"
		size = 76
		refs = "0036 __loctotime32_t"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 6F F0 00 03 02 93 08 9B 0C 33 1B 88 01 93 08 9B 0A 33 1B 88 00 93 08 9B 08 33 1B 88 08 9A 92 1D 12 88 08 99 89 1C 09 88 08 98 00 88 ?? ?? ?? ?? 04 90 04 9B 05 93 05 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_22_0 {
	meta:
		name = "??$convert_system_time_to_time_t@_J@@YA_JABU_SYSTEMTIME@@@Z"
		size = 84
		refs = "0036 __loctotime64_t"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 6F F0 00 03 02 93 0A 9B 0C 33 1B 88 01 93 0A 9B 0A 33 1B 88 00 93 0A 9B 08 33 1B 88 0A 9A 92 1D 12 88 0A 99 89 1C 09 88 0A 98 00 88 ?? ?? ?? ?? 05 91 04 90 04 9A 05 9B 06 92 07 93 06 98 07 99 08 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_667_23_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NABU_wfinddata32_t@@AAU_finddata32_t@@@Z"
		size = 188
		refs = "0016 __acrt_copy_to_char 0036 strcpy_s 004c _invoke_watson_if_error 0054 _free_dbg 00b0 ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 00b4 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 00b8 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 02 93 02 A9 08 9B 03 F1 14 00 ?? ?? ?? ?? 04 90 04 9B 00 2B 03 D1 00 23 8D F8 0C 30 3B E0 02 9A 4F F4 82 71 09 9B 03 F1 14 00 ?? ?? ?? ?? 05 90 00 23 01 93 59 23 00 93 1C 4B 1B 4A 19 49 05 98 ?? ?? ?? ?? 02 21 02 98 ?? ?? ?? ?? 08 9B 09 9A 1B 68 13 60 08 9B 19 1D 09 9B 1A 1D 0B 68 13 60 08 9B 03 F1 08 01 09 9B 03 F1 08 02 0B 68 13 60 08 9B 03 F1 0C 01 09 9B 03 F1 0C 02 0B 68 13 60 08 9B 03 F1 10 01 09 9B 03 F1 10 02 0B 68 13 60 01 23 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_24_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NABU_wfinddata32i64_t@@AAU_finddata32i64_t@@@Z"
		size = 204
		refs = "0016 __acrt_copy_to_char 0036 strcpy_s 004c _invoke_watson_if_error 0054 _free_dbg 00c0 ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 00c4 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 00c8 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 00 23 02 93 02 A9 0A 9B 03 F1 18 00 ?? ?? ?? ?? 06 90 06 9B 00 2B 03 D1 00 23 8D F8 14 30 42 E0 02 9A 4F F4 82 71 0B 9B 03 F1 18 00 ?? ?? ?? ?? 07 90 00 23 01 93 59 23 00 93 20 4B 1F 4A 1D 49 07 98 ?? ?? ?? ?? 02 21 02 98 ?? ?? ?? ?? 0A 9B 0B 9A 1B 68 13 60 0A 9B 19 1D 0B 9B 1A 1D 0B 68 13 60 0A 9B 03 F1 08 01 0B 9B 03 F1 08 02 0B 68 13 60 0A 9B 03 F1 0C 01 0B 9B 03 F1 0C 02 0B 68 13 60 0A 9B 03 F1 10 02 0B 9B 10 33 03 92 04 93 03 9B 1A 68 04 9B 1A 60 03 9B 5A 68 04 9B 5A 60 01 23 8D F8 14 30 9D F8 14 00 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_25_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NABU_wfinddata64_t@@AAU__finddata64_t@@@Z"
		size = 248
		refs = "0016 __acrt_copy_to_char 0036 strcpy_s 004c _invoke_watson_if_error 0054 _free_dbg 00ec ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 00f0 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 00f4 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 00 23 02 93 02 A9 10 9B 03 F1 28 00 ?? ?? ?? ?? 0C 90 0C 9B 00 2B 03 D1 00 23 8D F8 2C 30 59 E0 02 9A 4F F4 82 71 11 9B 03 F1 28 00 ?? ?? ?? ?? 0D 90 00 23 01 93 59 23 00 93 2B 4B 2A 4A 28 49 0D 98 ?? ?? ?? ?? 02 21 02 98 ?? ?? ?? ?? 10 9B 11 9A 1B 68 13 60 10 9B 03 F1 08 02 11 9B 08 33 03 92 04 93 03 9B 1A 68 04 9B 1A 60 03 9B 5A 68 04 9B 5A 60 10 9B 03 F1 10 02 11 9B 10 33 05 92 06 93 05 9B 1A 68 06 9B 1A 60 05 9B 5A 68 06 9B 5A 60 10 9B 03 F1 18 02 11 9B 18 33 07 92 08 93 07 9B 1A 68 08 9B 1A 60 07 9B 5A 68 08 9B 5A 60 10 9B 03 F1 20 02 11 9B 20 33 09 92 0A 93 09 9B 1A 68 0A 9B 1A 60 09 9B 5A 68 0A 9B 5A 60 01 23 8D F8 2C 30 9D F8 2C 00 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_26_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NABU_wfinddata64i32_t@@AAU_finddata64i32_t@@@Z"
		size = 236
		refs = "0016 __acrt_copy_to_char 0036 strcpy_s 004c _invoke_watson_if_error 0054 _free_dbg 00e0 ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 00e4 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 00e8 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8C B0 00 23 02 93 02 A9 0E 9B 03 F1 24 00 ?? ?? ?? ?? 0A 90 0A 9B 00 2B 03 D1 00 23 8D F8 24 30 52 E0 02 9A 4F F4 82 71 0F 9B 03 F1 24 00 ?? ?? ?? ?? 0B 90 00 23 01 93 59 23 00 93 28 4B 27 4A 25 49 0B 98 ?? ?? ?? ?? 02 21 02 98 ?? ?? ?? ?? 0E 9B 0F 9A 1B 68 13 60 0E 9B 03 F1 08 02 0F 9B 08 33 03 92 04 93 03 9B 1A 68 04 9B 1A 60 03 9B 5A 68 04 9B 5A 60 0E 9B 03 F1 10 02 0F 9B 10 33 05 92 06 93 05 9B 1A 68 06 9B 1A 60 05 9B 5A 68 06 9B 5A 60 0E 9B 03 F1 18 02 0F 9B 18 33 07 92 08 93 07 9B 1A 68 08 9B 1A 60 07 9B 5A 68 08 9B 5A 60 0E 9B 03 F1 20 01 0F 9B 03 F1 20 02 0B 68 13 60 01 23 8D F8 24 30 9D F8 24 00 0C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_667_32_0 {
	meta:
		name = "_findclose"
		size = 68
		refs = "001a _errno 0040 __imp_FindClose"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 98 0C 4B 1B 68 98 47 01 90 01 9B 00 2B 09 D1 ?? ?? ?? ?? 02 90 02 9A 16 23 13 60 6F F0 00 03 00 93 01 E0 00 23 00 93 00 98 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_1_0 {
	meta:
		name = "??$assemble_floating_point_ind@M@__crt_strtox@@YAXAAM@Z"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 02 4B 03 60 BD E8 00 88 FE DE 00 00 C0 FF }
	condition:
		$1
}

rule file_668_2_0 {
	meta:
		name = "??$assemble_floating_point_ind@N@__crt_strtox@@YAXAAN@Z"
		size = 52
	strings:
		$1 = { 2D E9 00 48 EB 46 D0 E9 00 23 43 F0 00 43 C0 E9 00 23 11 46 1A 46 06 4B 01 60 13 43 43 60 6F F3 12 03 43 F4 00 23 00 22 C0 E9 00 23 BD E8 00 88 00 00 F0 7F }
	condition:
		$1
}

rule file_668_3_0 {
	meta:
		name = "??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAAM@Z"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 08 B1 01 23 00 E0 00 23 DB 07 43 F0 FF 43 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_668_4_0 {
	meta:
		name = "??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z"
		size = 64
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 08 B1 01 20 00 E0 00 20 D4 E9 00 23 23 F0 00 43 43 EA C0 73 C4 E9 00 23 11 46 1A 46 05 4B 21 60 13 43 63 60 6F F3 13 03 00 22 C4 E9 00 23 BD E8 18 88 00 00 F0 7F }
	condition:
		$1
}

rule file_668_5_0 {
	meta:
		name = "??$assemble_floating_point_qnan@M@__crt_strtox@@YAX_NAAM@Z"
		size = 28
	strings:
		$1 = { 2D E9 00 48 EB 46 08 B1 01 22 00 E0 00 22 6F F0 00 43 43 EA C2 73 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_668_6_0 {
	meta:
		name = "??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAAN@Z"
		size = 72
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 08 B1 01 20 00 E0 00 20 D4 E9 00 23 23 F0 00 43 43 EA C0 73 C4 E9 00 23 11 46 1A 46 07 4B 21 60 6F F0 00 01 13 43 C4 E9 00 13 1A 46 4F F4 80 13 5B 1E 13 43 63 60 BD E8 18 88 00 00 F0 7F }
	condition:
		$1
}

rule file_668_7_0 {
	meta:
		name = "??$assemble_floating_point_snan@M@__crt_strtox@@YAX_NAAM@Z"
		size = 32
	strings:
		$1 = { 2D E9 00 48 EB 46 08 B1 01 22 00 E0 00 22 03 4B 43 EA C2 73 0B 60 BD E8 00 88 FE DE 01 00 80 7F }
	condition:
		$1
}

rule file_668_8_0 {
	meta:
		name = "??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAAN@Z"
		size = 64
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 08 B1 01 20 00 E0 00 20 D4 E9 00 23 23 F0 00 43 43 EA C0 73 C4 E9 00 23 11 46 1A 46 05 4B 21 60 13 43 63 60 6F F3 13 03 01 22 C4 E9 00 23 BD E8 18 88 00 00 F0 7F }
	condition:
		$1
}

rule file_668_9_0 {
	meta:
		name = "??$assemble_floating_point_value_t@M@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAM@Z"
		size = 36
	strings:
		$1 = { 2D E9 00 48 EB 46 01 F1 7F 03 DB 05 03 F0 FF 43 6F F3 DF 52 13 43 43 EA C0 72 02 9B 00 20 1A 60 BD E8 00 88 }
	condition:
		$1
}

rule file_668_10_0 {
	meta:
		name = "??$assemble_floating_point_value_t@N@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAN@Z"
		size = 70
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 06 9E D6 E9 00 54 24 F0 00 44 44 EA C0 70 C6 E9 00 50 01 F2 FF 34 71 68 6F F3 DF 24 28 46 6F F3 1E 51 41 EA 04 51 C6 E9 00 01 59 40 73 68 6F F3 1F 51 32 60 4B 40 73 60 00 20 BD E8 78 88 }
	condition:
		$1
}

rule file_668_11_0 {
	meta:
		name = "??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAAM@Z"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 08 B1 01 23 00 E0 00 23 DB 07 0B 60 BD E8 00 88 }
	condition:
		$1
}

rule file_668_12_0 {
	meta:
		name = "??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z"
		size = 58
	strings:
		$1 = { 2D E9 00 48 EB 46 08 B1 01 20 00 E0 00 20 D1 E9 00 23 23 F0 00 43 43 EA C0 73 C1 E9 00 23 13 46 4A 68 0B 60 6F F3 1E 52 13 46 4A 60 6F F3 13 03 00 22 C1 E9 00 23 BD E8 00 88 }
	condition:
		$1
}

rule file_668_13_0 {
	meta:
		name = "??$common_cscanf@D@@YAH_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 128
		refs = "0008 __security_push_cookie 0018 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0032 memset 005e ?process@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAAHXZ 0078 __security_pop_cookie"
		altNames = "__conio_common_vcscanf"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? A0 B0 0D 46 04 46 68 46 19 46 16 46 ?? ?? ?? ?? 00 23 13 A8 20 22 00 21 CD E9 05 53 CD E9 0A 63 04 94 CD E9 08 45 ?? ?? ?? ?? 00 23 0C 93 AD F8 34 30 8D F8 36 30 CD E9 0E 33 10 93 8D F8 44 30 12 93 01 AB 1C 93 26 9B 04 A8 1D 93 00 23 CD E9 1E 33 ?? ?? ?? ?? 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 B0 ?? ?? ?? ?? BD E8 70 88 }
	condition:
		$1
}

rule file_668_14_0 {
	meta:
		name = "??$common_cscanf@_W@@YAH_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 124
		refs = "0014 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 004e ?process@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAAHXZ 0058 _free_dbg"
		altNames = "__conio_common_vcwscanf"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 9B B0 0D 46 04 46 68 46 19 46 16 46 ?? ?? ?? ?? 00 23 CD E9 05 53 CD E9 0B 33 CD E9 14 33 0D 93 8D F8 38 30 CD E9 10 33 12 93 8D F8 4C 30 01 AB 16 93 20 9B 04 A8 04 94 17 93 00 23 CD E9 18 33 CD E9 08 45 0A 96 ?? ?? ?? ?? 04 46 15 98 02 21 ?? ?? ?? ?? 00 23 15 93 9D F8 0C 30 33 B1 00 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 1B B0 BD E8 70 88 }
	condition:
		$1
}

rule file_668_15_0 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z"
		size = 76
		refs = "0028 _CrtDbgReportW 0036 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 00 23 8D F8 0C 30 04 46 02 91 69 B9 0C 4B 0A 49 40 F2 95 12 01 93 07 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 A9 20 46 ?? ?? ?? ?? 05 B0 BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_17_0 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z"
		size = 76
		refs = "0028 _CrtDbgReportW 0036 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 00 23 8D F8 0C 30 04 46 02 91 69 B9 0C 4B 0A 49 40 F2 95 12 01 93 07 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 A9 20 46 ?? ?? ?? ?? 05 B0 BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_16_0 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z"
		size = 76
		refs = "0028 _CrtDbgReportW 0036 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 01 23 8D F8 0C 30 04 46 02 91 69 B9 0C 4B 0A 49 40 F2 8F 12 01 93 07 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 A9 20 46 ?? ?? ?? ?? 05 B0 BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_18_0 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z"
		size = 76
		refs = "0028 _CrtDbgReportW 0036 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 85 B0 01 23 8D F8 0C 30 04 46 02 91 69 B9 0C 4B 0A 49 40 F2 8F 12 01 93 07 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 A9 20 46 ?? ?? ?? ?? 05 B0 BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_19_0 {
	meta:
		name = "??$fill_buffer@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADII@Z"
		size = 60
		refs = "0022 _CrtGetDebugFillThreshold 0034 memset"
		altNames = "??$fill_buffer@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADII@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 15 46 0C 46 06 46 B1 F1 FF 3F 11 D0 6F F0 00 43 9C 42 0D D0 63 1B A3 42 0A D2 ?? ?? ?? ?? 02 46 AA 42 28 BF 2A 46 73 1B 18 19 FE 21 ?? ?? ?? ?? BD E8 78 88 }
	condition:
		$1
}

rule file_668_21_0 {
	meta:
		name = "??$fill_buffer@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WII@Z"
		size = 58
		refs = "0020 _CrtGetDebugFillThreshold 0032 memset"
		altNames = "??$fill_buffer@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WII@Z"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 14 46 06 46 B1 F1 FF 3F 11 D0 6F F0 00 43 99 42 0D D0 0D 1B 8D 42 0A D2 ?? ?? ?? ?? A0 42 28 BF 20 46 42 00 06 EB 45 00 FE 21 ?? ?? ?? ?? BD E8 78 88 }
	condition:
		$1
}

rule file_668_25_0 {
	meta:
		name = "??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
		size = 60
	strings:
		$1 = { 2D E9 00 48 EB 46 19 46 10 F0 04 0F 01 D0 01 20 12 E0 10 F0 01 0F 0E D0 10 F0 02 03 05 D0 B1 F1 00 4F 02 D3 F3 D8 00 2A F1 D1 23 B9 6F F0 00 43 99 42 00 D3 EB D8 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_26_0 {
	meta:
		name = "??$istspace@ABE@?$__crt_char_traits@D@@SAHABE@Z"
		size = 16
		refs = "000c isspace"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 78 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_27_0 {
	meta:
		name = "??$istspace@AB_W@?$__crt_char_traits@_W@@SAHAB_W@Z"
		size = 18
		refs = "000e iswctype"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 88 08 21 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_28_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAV?$console_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
		size = 32
		altNames = "??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAV?$console_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z ??0?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@QAV?$console_input_adapter@D@__crt_stdio_input@@_KQA_N@Z ??0?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@QAV?$console_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 E9 02 23 00 23 C0 E9 04 33 02 9B 01 60 83 61 0B B1 01 22 1A 70 BD E8 00 88 }
	condition:
		$1
}

rule file_668_30_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAM@Z"
		size = 204
		refs = "0008 __security_push_cookie 0028 _CrtDbgReportW 0032 _errno 0048 _invalid_parameter 008e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0096 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 00ae __security_pop_cookie 00b8 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bc ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c4 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00c8 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 46 7D 15 46 0C 46 1D BB 2A 4B 2B 4E 27 49 00 93 00 23 40 F2 A6 62 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 40 F2 A6 63 21 49 1D 4A 00 25 30 46 00 95 ?? ?? ?? ?? A1 69 21 B1 D4 E9 04 23 13 43 00 D1 0D 70 01 20 25 E0 A0 B9 17 4B 16 4E 14 49 00 93 00 23 40 F2 A7 62 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 40 F2 A7 63 D9 E7 02 AA 21 46 ?? ?? ?? ?? 02 A9 2A 46 ?? ?? ?? ?? A1 69 29 B1 D4 E9 04 23 13 43 01 D1 00 23 0B 70 0D F5 46 7D ?? ?? ?? ?? BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_31_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAN@Z"
		size = 204
		refs = "0008 __security_push_cookie 0028 _CrtDbgReportW 0032 _errno 0048 _invalid_parameter 008e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0096 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 00ae __security_pop_cookie 00b8 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bc ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c4 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00c8 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 46 7D 15 46 0C 46 1D BB 2A 4B 2B 4E 27 49 00 93 00 23 40 F2 A6 62 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 40 F2 A6 63 21 49 1D 4A 00 25 30 46 00 95 ?? ?? ?? ?? A1 69 21 B1 D4 E9 04 23 13 43 00 D1 0D 70 01 20 25 E0 A0 B9 17 4B 16 4E 14 49 00 93 00 23 40 F2 A7 62 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 40 F2 A7 63 D9 E7 02 AA 21 46 ?? ?? ?? ?? 02 A9 2A 46 ?? ?? ?? ?? A1 69 29 B1 D4 E9 04 23 13 43 01 D1 00 23 0B 70 0D F5 46 7D ?? ?? ?? ?? BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_32_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z"
		size = 204
		refs = "0008 __security_push_cookie 0028 _CrtDbgReportW 0032 _errno 0048 _invalid_parameter 008e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0096 ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 00ae __security_pop_cookie 00b8 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bc ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c4 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00c8 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 46 7D 15 46 0C 46 1D BB 2A 4B 2B 4E 27 49 00 93 00 23 40 F2 A6 62 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 40 F2 A6 63 21 49 1D 4A 00 25 30 46 00 95 ?? ?? ?? ?? A1 69 21 B1 D4 E9 04 23 13 43 00 D1 0D 70 01 20 25 E0 A0 B9 17 4B 16 4E 14 49 00 93 00 23 40 F2 A7 62 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 40 F2 A7 63 D9 E7 02 AA 21 46 ?? ?? ?? ?? 02 A9 2A 46 ?? ?? ?? ?? A1 69 29 B1 D4 E9 04 23 13 43 01 D1 00 23 0B 70 0D F5 46 7D ?? ?? ?? ?? BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_33_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z"
		size = 204
		refs = "0008 __security_push_cookie 0028 _CrtDbgReportW 0032 _errno 0048 _invalid_parameter 008e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 0096 ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 00ae __security_pop_cookie 00b8 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bc ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c4 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 00c8 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? AD F5 46 7D 15 46 0C 46 1D BB 2A 4B 2B 4E 27 49 00 93 00 23 40 F2 A6 62 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 40 F2 A6 63 21 49 1D 4A 00 25 30 46 00 95 ?? ?? ?? ?? A1 69 21 B1 D4 E9 04 23 13 43 00 D1 0D 70 01 20 25 E0 A0 B9 17 4B 16 4E 14 49 00 93 00 23 40 F2 A7 62 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 40 F2 A7 63 D9 E7 02 AA 21 46 ?? ?? ?? ?? 02 A9 2A 46 ?? ?? ?? ?? A1 69 29 B1 D4 E9 04 23 13 43 01 D1 00 23 0B 70 0D F5 46 7D ?? ?? ?? ?? BD E8 70 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_34_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 1124
		refs = "0016 ?validate@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 002a ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 004c _isctype_l 0058 _chvalidator_l 00f6 _ungetch_nolock 0228 ??R<lambda_dfcc39eeb01418904072ef28aad1c215>@@QBA_NXZ 0448 ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z 0456 ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8B B0 07 46 08 46 02 97 90 46 04 92 0C 46 ?? ?? ?? ?? 08 B9 07 20 1C E2 23 69 20 46 06 93 63 69 07 93 ?? ?? ?? ?? 6B 46 CD E9 08 43 06 AB 0A 93 8D F8 00 00 4F B1 3B 68 5B 68 01 2B 05 DD 3A 46 08 21 C0 B2 ?? ?? ?? ?? 04 E0 C1 B2 38 46 08 22 ?? ?? ?? ?? 18 B1 20 46 ?? ?? ?? ?? E8 E7 9D F9 00 00 2D 28 08 BF 01 23 18 BF 00 23 88 F8 08 33 2D 28 01 D0 2B 28 04 D1 20 46 ?? ?? ?? ?? 8D F8 00 00 49 28 00 F0 DF 81 69 28 00 F0 DC 81 4E 28 00 F0 D2 81 6E 28 00 F0 CF 81 4F F0 00 0A 6F EA 0A 09 30 28 31 D1 D4 E9 04 56 20 46 ?? ?? ?? ?? 78 28 21 D0 58 28 1F D0 D4 E9 04 32 A1 68 13 EB 09 03 42 EB 09 02 C4 E9 04 32 E2 68 51 EA 02 03 06 D0 D4 E9 04 53 93 42 0B D8 01 D3 8D 42 08 D8 38 B1 48 45 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 9D F9 00 00 08 E0 20 46 4F F0 01 0A ?? ?? ?? ?? 8D F8 00 00 CD E9 06 56 08 F1 08 09 08 F5 42 76 00 25 03 96 C8 46 01 95 30 28 07 D1 01 25 20 46 ?? ?? ?? ?? 8D F8 00 00 30 28 F8 D0 00 27 BA F1 00 0F 18 BF 0F 22 08 BF 09 22 30 28 04 DB 39 28 02 DC A0 F1 30 03 0F E0 61 28 04 DB 7A 28 02 DC A0 F1 57 03 08 E0 41 28 04 DB 5A 28 02 DC A0 F1 37 03 01 E0 6F F0 00 03 93 42 0C D8 01 25 B0 45 02 D0 88 F8 00 30 A8 44 20 46 7F 1C ?? ?? ?? ?? 8D F8 00 00 D3 E7 01 97 02 9F 3B 68 D3 F8 88 30 1B 68 93 F9 00 30 98 42 3F D1 20 46 ?? ?? ?? ?? 8D F8 00 00 C8 45 0D D1 30 28 0B D1 01 9E 01 25 20 46 76 1E ?? ?? ?? ?? 8D F8 00 00 30 28 F7 D0 01 96 03 9E BA F1 00 0F 18 BF 0F 22 08 BF 09 22 30 28 04 DB 39 28 02 DC A0 F1 30 03 0F E0 61 28 04 DB 7A 28 02 DC A0 F1 57 03 08 E0 41 28 04 DB 5A 28 02 DC A0 F1 37 03 01 E0 6F F0 00 03 93 42 0B D8 01 25 B0 45 02 D0 88 F8 00 30 A8 44 20 46 ?? ?? ?? ?? 8D F8 00 00 D4 E7 5D B9 08 A8 ?? ?? ?? ?? 00 28 3F F4 F5 AE BA F1 00 0F 3F F4 F1 AE 02 20 0D E1 D4 E9 04 32 6F F0 00 07 D4 E9 02 51 DB 19 7A 41 C4 E9 04 32 55 EA 01 03 06 D0 D4 E9 04 23 8B 42 0B D8 01 D3 AA 42 08 D8 38 B1 B8 42 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 23 69 20 46 06 93 63 69 07 93 ?? ?? ?? ?? 00 23 8D F8 00 00 45 28 07 D0 50 28 03 D0 65 28 03 D0 70 28 07 D1 53 46 05 E0 BA F1 00 0F 08 BF 01 23 18 BF 00 23 00 26 00 2B 41 F2 50 49 78 D0 20 46 ?? ?? ?? ?? 2D 28 08 BF 01 27 18 BF 00 27 2B 28 8D F8 00 00 01 D0 2D 28 04 D1 20 46 ?? ?? ?? ?? 8D F8 00 00 00 25 30 28 08 D1 01 25 20 46 ?? ?? ?? ?? 8D F8 00 00 30 28 F8 D0 30 28 06 DB 39 28 04 DC A0 F1 30 02 6F F0 00 01 10 E0 61 28 04 DB 7A 28 02 DC A0 F1 57 02 F5 E7 41 28 04 DB 5A 28 02 DC A0 F1 37 02 EE E7 6F F0 00 01 0A 46 0A 2A 0E D2 06 EB 86 03 02 EB 43 06 01 25 4E 45 05 DC 20 46 ?? ?? ?? ?? 8D F8 00 00 D6 E7 41 F2 51 46 30 28 04 DB 39 28 02 DC A0 F1 30 03 0E E0 61 28 04 DB 7A 28 02 DC A0 F1 57 03 07 E0 41 28 04 DB 5A 28 02 DC A0 F1 37 03 00 E0 0B 46 0A 2B 07 D2 20 46 ?? ?? ?? ?? 8D F8 00 00 6F F0 00 01 DF E7 07 B1 76 42 55 B9 08 A8 ?? ?? ?? ?? 00 28 3F F4 41 AE 20 46 ?? ?? ?? ?? 8D F8 00 00 6F F0 00 07 D4 E9 04 32 D4 E9 02 51 DB 19 7A 41 C4 E9 04 32 55 EA 01 03 06 D0 D4 E9 04 23 8B 42 0B D8 01 D3 AA 42 08 D8 38 B1 B8 42 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 04 98 00 F1 08 01 88 45 3F F4 28 AF 18 F8 01 3C 1B B9 A8 F1 01 08 88 45 F8 D1 88 45 3F F4 1E AF 4E 45 01 DD 09 20 29 E0 16 4A 96 42 01 DA 08 20 24 E0 01 9D BA F1 00 0F 18 BF 04 23 08 BF 01 23 03 FB 05 63 4B 45 ED DC 93 42 F0 DB 03 60 A8 EB 01 03 BA F1 00 0F 43 60 18 BF 01 20 0E D1 00 20 0C E0 DD E9 06 23 68 46 21 46 ?? ?? ?? ?? 05 E0 DD E9 06 23 68 46 21 46 ?? ?? ?? ?? 0B B0 BD E8 F0 8F B0 EB FF FF }
	condition:
		$1
}

rule file_668_35_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 2332
		refs = "0014 ?validate@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 002a ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 003e iswctype 00e4 _ungetwch_nolock 0480 ??R<lambda_98f31d9ba9b79953c6b659ba96648114>@@QBA_NXZ 0900 ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 090e ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8F B0 06 90 08 46 91 46 08 92 0F 46 ?? ?? ?? ?? 10 B9 07 20 00 F0 79 BC 3B 69 38 46 0A 93 7B 69 0B 93 ?? ?? ?? ?? 6B 46 CD E9 0C 73 0A AB 0E 93 08 21 AD F8 00 00 ?? ?? ?? ?? 18 B1 38 46 ?? ?? ?? ?? F5 E7 BD F8 00 00 2D 28 08 BF 01 23 18 BF 00 23 89 F8 08 33 2D 28 01 D0 2B 28 04 D1 38 46 ?? ?? ?? ?? AD F8 00 00 49 28 00 F0 48 84 69 28 00 F0 45 84 4E 28 00 F0 3B 84 6E 28 00 F0 38 84 4F F0 00 08 CD F8 1C 80 4F F6 FF 7A 30 28 35 D1 D7 E9 04 45 38 46 ?? ?? ?? ?? 78 28 23 D0 58 28 21 D0 D7 E9 04 32 6F EA 08 0E B9 68 13 EB 0E 03 42 EB 0E 02 C7 E9 04 32 FA 68 51 EA 02 03 06 D0 D7 E9 04 43 93 42 0B D8 01 D3 8C 42 08 D8 38 B1 50 45 05 D0 3A 68 13 68 5B 1E 13 60 ?? ?? ?? ?? BD F8 00 00 0A E0 4F F0 01 08 38 46 CD F8 1C 80 ?? ?? ?? ?? AD F8 00 00 CD E9 0A 45 09 F1 08 0A 00 24 09 F5 42 75 CD F8 14 A0 D1 46 CD E9 01 4A 30 28 07 D1 01 24 38 46 ?? ?? ?? ?? AD F8 00 00 30 28 F8 D0 4F F6 10 76 4F F4 CC 6A B8 F1 00 0F 18 BF 0F 22 08 BF 09 22 30 28 40 F6 E6 1E 40 F6 66 11 4F F4 DE 63 C0 F0 8D 80 3A 28 02 D2 A0 F1 30 03 84 E0 B0 42 7B D2 50 45 C0 F0 83 80 40 F2 6A 66 B0 42 4F F6 10 76 02 D2 A0 EB 0A 03 76 E0 98 42 77 D3 40 F2 FA 6A 50 45 4F F4 CC 6A 01 D2 C3 1A 6C E0 88 42 6D D3 B0 F5 17 6F 38 BF 43 1A 65 D3 70 45 66 D3 B0 F5 1F 6F 02 D2 A0 EB 0E 03 5D E0 40 F6 66 23 98 42 5C D3 B0 F5 27 6F E7 D3 40 F6 E6 23 98 42 55 D3 B0 F5 2F 6F E0 D3 40 F6 66 33 98 42 4E D3 B0 F5 37 6F D9 D3 40 F6 66 43 98 42 47 D3 B0 F5 47 6F D2 D3 40 F6 E6 43 98 42 40 D3 B0 F5 4F 6F CB D3 40 F6 66 53 98 42 39 D3 B0 F5 57 6F C4 D3 4F F4 65 63 98 42 32 D3 40 F6 5A 61 88 42 BC D3 4F F4 6D 63 98 42 2A D3 40 F6 DA 61 88 42 B4 D3 50 33 98 42 23 D3 50 31 88 42 AE D3 4F F4 82 53 98 42 1C D3 41 F2 4A 01 88 42 A6 D3 4F F4 BF 53 98 42 14 D3 41 F2 EA 71 88 42 9E D3 30 33 98 42 0D D3 30 31 88 42 0A D2 97 E7 4F F6 1A 73 98 42 6F F0 00 03 38 BF 83 1B 13 F1 01 0F 13 D1 41 28 01 D3 5A 28 03 D9 61 28 0B D3 7A 28 09 D8 61 28 04 D3 7A 28 02 D8 A0 F1 20 03 00 E0 03 46 37 3B 01 E0 6F F0 00 03 93 42 0E D8 01 24 A9 45 02 D0 89 F8 00 30 A1 44 01 9B 38 46 5B 1C 01 93 ?? ?? ?? ?? AD F8 00 00 3E E7 DD E9 05 A6 CD F8 08 90 33 68 D3 F8 88 30 1B 68 93 F9 00 30 98 42 40 F0 D6 80 38 46 ?? ?? ?? ?? AD F8 00 00 D1 45 11 D1 30 28 0F D1 DD F8 04 90 01 24 38 46 A9 F1 01 09 ?? ?? ?? ?? AD F8 00 00 30 28 F6 D0 CD F8 04 90 DD F8 08 90 4F F6 10 76 4F F4 CC 6A B8 F1 00 0F 18 BF 0F 22 08 BF 09 22 30 28 C0 F0 8A 80 3A 28 02 D2 A0 F1 30 03 81 E0 B0 42 78 D2 50 45 C0 F0 80 80 40 F2 6A 63 98 42 02 D2 A0 EB 0A 03 75 E0 4F F4 DE 63 98 42 74 D3 40 F2 FA 61 88 42 01 D2 C3 1A 6B E0 40 F6 66 13 98 42 6A D3 B0 F5 17 6F F6 D3 40 F6 E6 13 98 42 63 D3 B0 F5 1F 6F EF D3 40 F6 66 23 98 42 5C D3 B0 F5 27 6F E8 D3 40 F6 E6 23 98 42 55 D3 B0 F5 2F 6F E1 D3 40 F6 66 33 98 42 4E D3 B0 F5 37 6F DA D3 40 F6 66 43 98 42 47 D3 B0 F5 47 6F D3 D3 40 F6 E6 43 98 42 40 D3 B0 F5 4F 6F CC D3 40 F6 66 53 98 42 39 D3 B0 F5 57 6F C5 D3 4F F4 65 63 98 42 32 D3 40 F6 5A 61 88 42 BD D3 4F F4 6D 63 98 42 2A D3 40 F6 DA 61 88 42 B5 D3 50 33 98 42 23 D3 50 31 88 42 AF D3 4F F4 82 53 98 42 1C D3 41 F2 4A 01 88 42 A7 D3 4F F4 BF 53 98 42 14 D3 41 F2 EA 71 88 42 9F D3 30 33 98 42 0D D3 30 31 88 42 0A D2 98 E7 4F F6 1A 73 98 42 6F F0 00 03 38 BF 83 1B 13 F1 01 0F 13 D1 41 28 01 D3 5A 28 03 D9 61 28 0B D3 7A 28 09 D8 61 28 04 D3 7A 28 02 D8 A0 F1 20 03 00 E0 03 46 37 3B 01 E0 6F F0 00 03 93 42 0B D8 01 24 A9 45 02 D0 89 F8 00 30 A1 44 38 46 ?? ?? ?? ?? AD F8 00 00 4A E7 DD F8 14 A0 CD F8 08 90 5C B9 0C A8 ?? ?? ?? ?? 00 28 3F F4 C8 AD B8 F1 00 0F 3F F4 C4 AD 02 20 3D E2 D7 E9 04 32 6F F0 00 01 BC 68 5B 18 4A 41 C7 E9 04 32 FA 68 54 EA 02 03 06 D0 D7 E9 04 13 93 42 0D D8 01 D3 A1 42 0A D8 48 B1 4F F6 FF 73 98 42 05 D0 3A 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 3B 69 38 46 0A 93 7B 69 0B 93 ?? ?? ?? ?? 00 23 AD F8 00 00 45 28 07 D0 50 28 03 D0 65 28 03 D0 70 28 07 D1 43 46 05 E0 B8 F1 00 0F 08 BF 01 23 18 BF 00 23 00 25 03 95 41 F2 50 48 00 2B 00 F0 A6 81 38 46 ?? ?? ?? ?? 2D 28 08 BF 01 26 18 BF 00 26 06 96 AD F8 00 00 2B 28 01 D0 2D 28 04 D1 38 46 ?? ?? ?? ?? AD F8 00 00 00 24 04 94 30 28 09 D1 01 24 04 94 38 46 ?? ?? ?? ?? AD F8 00 00 30 28 F8 D0 30 28 C0 F0 8A 80 3A 28 02 D2 A0 F1 30 02 80 E0 4F F6 10 73 98 42 76 D2 4F F4 CC 63 98 42 7C D3 40 F2 6A 62 90 42 01 D2 C2 1A 72 E0 4F F4 DE 63 98 42 72 D3 40 F2 FA 62 90 42 F5 D3 40 F6 66 13 98 42 6A D3 B0 F5 17 6F EE D3 40 F6 E6 13 98 42 63 D3 B0 F5 1F 6F E7 D3 40 F6 66 23 98 42 5C D3 B0 F5 27 6F E0 D3 40 F6 E6 23 98 42 55 D3 B0 F5 2F 6F D9 D3 40 F6 66 33 98 42 4E D3 B0 F5 37 6F D2 D3 40 F6 66 43 98 42 47 D3 B0 F5 47 6F CB D3 40 F6 E6 43 98 42 40 D3 B0 F5 4F 6F C4 D3 40 F6 66 53 98 42 39 D3 B0 F5 57 6F BD D3 4F F4 65 63 98 42 32 D3 40 F6 5A 62 90 42 B5 D3 4F F4 6D 63 98 42 2A D3 40 F6 DA 62 90 42 AD D3 50 33 98 42 23 D3 50 32 90 42 A7 D3 4F F4 82 53 98 42 1C D3 41 F2 4A 02 90 42 9F D3 4F F4 BF 53 98 42 14 D3 41 F2 EA 72 90 42 97 D3 30 33 98 42 0D D3 30 32 90 42 0A D2 90 E7 4F F6 1A 72 90 42 8C D3 6F F0 00 02 6F F0 00 03 9A 42 14 D1 41 28 01 D3 5A 28 03 D9 61 28 0C D3 7A 28 0A D8 61 28 04 D3 7A 28 02 D8 A0 F1 20 03 00 E0 03 46 A3 F1 37 02 01 E0 6F F0 00 02 0A 2A 11 D2 05 EB 85 03 02 EB 43 05 01 24 CD E9 03 54 45 45 05 DC 38 46 ?? ?? ?? ?? AD F8 00 00 4C E7 41 F2 51 45 03 95 4F F6 10 78 4F F4 CC 6A 4F F4 DE 66 40 F6 66 14 40 F6 E6 15 40 F6 66 29 30 28 C0 F0 8E 80 3A 28 02 D2 A0 F1 30 03 84 E0 40 45 79 D2 50 45 C0 F0 84 80 40 F2 6A 63 98 42 02 D2 A0 EB 0A 03 78 E0 B0 42 7A D3 40 F2 FA 63 98 42 38 BF 83 1B 70 D3 A0 42 72 D3 B0 F5 17 6F 38 BF 03 1B 69 D3 A8 42 6B D3 B0 F5 1F 6F 38 BF 43 1B 62 D3 48 45 64 D3 B0 F5 27 6F 02 D2 A0 EB 09 03 5A E0 40 F6 E6 23 98 42 5A D3 B0 F5 2F 6F 01 D2 C3 1A 51 E0 40 F6 66 33 98 42 51 D3 B0 F5 37 6F F6 D3 40 F6 66 43 98 42 4A D3 B0 F5 47 6F EF D3 40 F6 E6 43 98 42 43 D3 B0 F5 4F 6F E8 D3 40 F6 66 53 98 42 3C D3 B0 F5 57 6F E1 D3 4F F4 65 63 98 42 35 D3 40 F6 5A 62 90 42 D9 D3 4F F4 6D 63 98 42 2D D3 40 F6 DA 62 90 42 D1 D3 50 33 98 42 26 D3 50 32 90 42 CB D3 4F F4 82 53 98 42 1F D3 41 F2 4A 02 90 42 C3 D3 4F F4 BF 53 98 42 17 D3 41 F2 EA 72 90 42 BB D3 30 33 98 42 10 D3 30 32 90 42 0D D2 B4 E7 4F F6 1A 73 98 42 02 D2 A0 EB 08 03 01 E0 6F F0 00 03 6F F0 00 02 93 42 13 D1 41 28 01 D3 5A 28 03 D9 61 28 0B D3 7A 28 09 D8 61 28 04 D3 7A 28 02 D8 A0 F1 20 03 00 E0 03 46 37 3B 01 E0 6F F0 00 03 0A 2B 05 D2 38 46 ?? ?? ?? ?? AD F8 00 00 52 E7 DD E9 05 A6 DD E9 03 54 DD F8 08 90 41 F2 50 48 06 B1 6D 42 54 B9 0C A8 ?? ?? ?? ?? 00 28 3F F4 E1 AB 38 46 ?? ?? ?? ?? AD F8 00 00 D7 E9 04 32 6F F0 00 01 5B 18 4A 41 B9 68 C7 E9 04 32 FA 68 51 EA 02 03 06 D0 D7 E9 04 43 93 42 0D D8 01 D3 8C 42 0A D8 48 B1 4F F6 FF 73 98 42 05 D0 3A 68 13 68 5B 1E 13 60 ?? ?? ?? ?? D1 45 3F F4 F6 AD 19 F8 01 3C 1B B9 A9 F1 01 09 D1 45 F8 D1 D1 45 3F F4 EC AD 45 45 01 DD 09 20 27 E0 15 4A 95 42 01 DA 08 20 22 E0 07 99 09 B1 04 23 00 E0 01 23 01 9C 03 FB 04 53 43 45 EE DC 93 42 F1 DB 08 9A 13 60 A9 EB 0A 03 53 60 09 B1 01 20 0E E0 00 20 0C E0 DD E9 0A 23 68 46 39 46 ?? ?? ?? ?? 05 E0 DD E9 0A 23 68 46 39 46 ?? ?? ?? ?? 0F B0 BD E8 F0 8F B0 EB FF FF }
	condition:
		$1
}

rule file_668_36_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 288
		refs = "0032 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 0078 _ungetch_nolock 00fc ??R<lambda_2a4fdd323818dc2cff2f25dd401c4574>@@QBA_NXZ 0110 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0114 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0118 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 011c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 FF 4B 0D F1 28 0B 0C 46 06 46 0E AB 42 4F DF F8 04 81 CD E9 00 46 02 93 00 25 96 F9 00 20 EB 57 9A 42 03 D0 15 F9 08 30 9A 42 64 D1 20 46 ?? ?? ?? ?? 6D 1C 03 2D 30 70 EF D1 D4 E9 04 32 6F F0 00 09 D4 E9 02 15 13 EB 09 03 42 EB 09 02 C4 E9 04 32 51 EA 05 03 06 D0 D4 E9 04 23 AB 42 0B D8 01 D3 8A 42 08 D8 38 B1 48 45 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 23 69 20 46 0E 93 63 69 0F 93 ?? ?? ?? ?? 22 4F DF F8 80 80 30 70 00 25 96 F9 00 20 EB 57 9A 42 03 D0 15 F9 08 30 9A 42 2E D1 20 46 ?? ?? ?? ?? 6D 1C 05 2D 30 70 EF D1 D4 E9 04 32 D4 E9 02 15 13 EB 09 03 42 EB 09 02 C4 E9 04 32 51 EA 05 03 06 D0 D4 E9 04 23 AB 42 0B D8 01 D3 8A 42 08 D8 38 B1 48 45 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 03 20 04 B0 BD E8 F0 0B 5D F8 14 FB 68 46 ?? ?? ?? ?? 07 20 F5 E7 68 46 ?? ?? ?? ?? 00 28 EF D1 F7 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_37_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 292
		refs = "0030 ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 007a _ungetwch_nolock 00fe ??R<lambda_8ab1cb5bdccd73fa737a005aefa23fc8>@@QBA_NXZ 0114 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0118 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 011c ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0120 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { 0F B4 2D E9 FE 4F 0D F1 28 0B 0C 46 06 46 0E AB 43 4F DF F8 08 81 CD E9 00 46 02 93 00 25 32 88 EB 5B 9A 42 03 D0 35 F8 08 30 9A 42 66 D1 20 46 ?? ?? ?? ?? AD 1C 06 2D 30 80 F0 D1 D4 E9 04 32 6F F0 00 0A D4 E9 02 51 13 EB 0A 03 42 EB 0A 02 C4 E9 04 32 55 EA 01 03 4F F6 FF 77 06 D0 D4 E9 04 23 8B 42 0B D8 01 D3 AA 42 08 D8 38 B1 B8 42 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 23 69 20 46 0E 93 63 69 0F 93 ?? ?? ?? ?? DF F8 88 80 DF F8 80 90 30 80 00 25 32 88 35 F8 08 30 9A 42 03 D0 35 F8 09 30 9A 42 2D D1 20 46 ?? ?? ?? ?? AD 1C 0A 2D 30 80 EF D1 D4 E9 04 32 D4 E9 02 15 13 EB 0A 03 42 EB 0A 02 C4 E9 04 32 51 EA 05 03 06 D0 D4 E9 04 23 AB 42 0B D8 01 D3 8A 42 08 D8 38 B1 B8 42 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 03 20 BD E8 FE 0F 5D F8 14 FB 68 46 ?? ?? ?? ?? 07 20 F6 E7 68 46 ?? ?? ?? ?? 00 28 F0 D1 F7 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_38_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 396
		refs = "0032 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 0074 _ungetch_nolock 008e ??R<lambda_2ae569978801c347efc54b41596a5e71>@@QBA_NXZ 00ae ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z 00f6 ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z 0184 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0188 ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { 0F B4 2D E9 FE 49 0D F1 20 0B 0C 46 05 46 0C AB 5D 4F DF F8 70 81 CD E9 00 45 02 93 00 26 95 F9 00 20 F3 57 9A 42 03 D0 16 F9 08 30 9A 42 33 D1 20 46 ?? ?? ?? ?? 76 1C 03 2E 28 70 EF D1 D4 E9 04 32 6F F0 00 07 D4 E9 02 16 DB 19 7A 41 C4 E9 04 32 51 EA 06 03 06 D0 D4 E9 04 23 B3 42 0B D8 01 D3 8A 42 08 D8 38 B1 B8 42 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 23 69 20 46 0C 93 63 69 0D 93 ?? ?? ?? ?? 28 70 28 28 0A D0 68 46 ?? ?? ?? ?? 00 28 70 D1 02 E0 68 46 ?? ?? ?? ?? 07 20 6B E0 20 46 ?? ?? ?? ?? 28 70 28 46 21 46 ?? ?? ?? ?? F0 B1 D4 E9 04 32 95 F9 00 00 D4 E9 02 15 DB 19 7A 41 C4 E9 04 32 51 EA 05 03 06 D0 D4 E9 04 23 AB 42 0B D8 01 D3 8A 42 08 D8 38 B1 B8 42 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 05 20 43 E0 21 46 28 46 ?? ?? ?? ?? F0 B1 D4 E9 04 32 95 F9 00 00 D4 E9 02 15 DB 19 7A 41 C4 E9 04 32 51 EA 05 03 06 D0 D4 E9 04 23 AB 42 0B D8 01 D3 8A 42 08 D8 38 B1 B8 42 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 06 20 1F E0 95 F9 00 30 29 2B 16 D0 95 F9 00 20 9A B1 A2 F1 30 03 09 2B 09 D9 A2 F1 61 03 19 2B 05 D9 A2 F1 41 03 19 2B 01 D9 5F 2A 93 D1 20 46 ?? ?? ?? ?? 28 70 29 28 E8 D1 95 F9 00 30 29 2B 89 D1 04 20 BD E8 FE 09 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_39_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 400
		refs = "0030 ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 007a _ungetwch_nolock 0094 ??R<lambda_136dcf69874064575ae1b89ff2a94cd1>@@QBA_NXZ 00b4 ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z 00fe ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z 0188 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 018c ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { 0F B4 2D E9 FE 49 0D F1 20 0B 0C 46 05 46 0C AB 5E 4F DF F8 74 81 CD E9 00 45 02 93 00 26 2A 88 F3 5B 9A 42 03 D0 36 F8 08 30 9A 42 37 D1 20 46 ?? ?? ?? ?? B6 1C 06 2E 28 80 F0 D1 D4 E9 04 32 6F F0 00 08 D4 E9 02 71 13 EB 08 03 42 EB 08 02 C4 E9 04 32 57 EA 01 03 4F F6 FF 76 06 D0 D4 E9 04 23 8B 42 0B D8 01 D3 BA 42 08 D8 38 B1 B0 42 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 23 69 20 46 0C 93 63 69 0D 93 ?? ?? ?? ?? 28 80 28 28 0A D0 68 46 ?? ?? ?? ?? 00 28 6F D1 02 E0 68 46 ?? ?? ?? ?? 07 20 6A E0 20 46 ?? ?? ?? ?? 28 80 28 46 21 46 ?? ?? ?? ?? F8 B1 D4 E9 04 32 28 88 D4 E9 02 15 13 EB 08 03 42 EB 08 02 C4 E9 04 32 51 EA 05 03 06 D0 D4 E9 04 23 AB 42 0B D8 01 D3 8A 42 08 D8 38 B1 B0 42 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 05 20 41 E0 21 46 28 46 ?? ?? ?? ?? F8 B1 D4 E9 04 32 28 88 D4 E9 02 15 13 EB 08 03 42 EB 08 02 C4 E9 04 32 51 EA 05 03 06 D0 D4 E9 04 23 AB 42 0B D8 01 D3 8A 42 08 D8 38 B1 B0 42 05 D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 06 20 1C E0 2B 88 29 2B 15 D0 2A 88 9A B1 A2 F1 30 03 09 2B 09 D9 A2 F1 61 03 19 2B 05 D9 A2 F1 41 03 19 2B 01 D9 5F 2A 93 D1 20 46 ?? ?? ?? ?? 28 80 29 28 E9 D1 2B 88 29 2B 8A D1 04 20 BD E8 FE 09 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_40_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 68
		refs = "0024 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 003c ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0040 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0D 4E 0C 4F 88 46 05 46 00 24 95 F9 00 20 A3 57 9A 42 02 D0 E3 57 9A 42 09 D1 40 46 ?? ?? ?? ?? 64 1C 04 2C 28 70 F0 D1 01 20 BD E8 F8 89 00 20 FB E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_41_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "0022 ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 003c ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0C 4E 0B 4F 88 46 05 46 00 24 2A 88 A3 5B 9A 42 02 D0 E3 5B 9A 42 09 D1 40 46 ?? ?? ?? ?? A4 1C 08 2C 28 80 F1 D1 01 20 BD E8 F8 89 00 20 FB E7 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_42_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 68
		refs = "0024 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 003c ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0040 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0D 4E 0C 4F 88 46 05 46 00 24 95 F9 00 20 A3 57 9A 42 02 D0 E3 57 9A 42 09 D1 40 46 ?? ?? ?? ?? 64 1C 05 2C 28 70 F0 D1 01 20 BD E8 F8 89 00 20 FB E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_43_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "0022 ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 0038 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 003c ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 0C 4E 0B 4F 88 46 05 46 00 24 2A 88 A3 5B 9A 42 02 D0 E3 5B 9A 42 09 D1 40 46 ?? ?? ?? ?? A4 1C 0A 2C 28 80 F1 D1 01 20 BD E8 F8 89 00 20 FB E7 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_44_0 {
	meta:
		name = "??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z"
		size = 236
		refs = "0020 ??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z 002a ??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z 00c6 _CrtDbgReportW 00d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e0 ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 0C 46 09 28 52 D8 DF E8 00 F0 05 0A 0F 19 23 2E 36 38 3B 45 11 46 20 46 ?? ?? ?? ?? 55 E0 11 46 20 46 ?? ?? ?? ?? 50 E0 94 F8 08 33 0B B1 01 23 00 E0 00 23 DB 07 13 60 00 20 46 E0 94 F8 08 33 0B B1 01 23 00 E0 00 23 DB 07 43 F0 FF 43 F2 E7 94 F8 08 33 0B B1 01 21 00 E0 00 21 6F F0 00 43 43 EA C1 73 E7 E7 94 F8 08 33 0B B1 01 21 00 E0 00 21 1B 4B F4 E7 19 4B DD E7 00 23 13 60 23 E0 94 F8 08 33 0B B1 01 23 00 E0 00 23 DB 07 13 60 02 20 1A E0 94 F8 08 33 0B B1 01 23 00 E0 00 23 DB 07 43 F0 FF 43 13 60 03 20 0E E0 0A 4B 09 49 4F F4 D3 62 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 01 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 C0 FF 01 00 80 7F }
	condition:
		$1
}

rule file_668_45_0 {
	meta:
		name = "??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z"
		size = 228
		refs = "0022 ??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z 002c ??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z 0038 ??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z 0046 ??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z 0052 ??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAAN@Z 005e ??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAAN@Z 00c4 _CrtDbgReportW 00d4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d8 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00dc ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 14 46 0A 46 09 28 50 D8 DF E8 00 F0 05 0A 0F 16 1C 22 28 3C 41 48 21 46 10 46 ?? ?? ?? ?? 53 E0 21 46 10 46 ?? ?? ?? ?? 4E E0 92 F8 08 03 21 46 ?? ?? ?? ?? 00 20 47 E0 92 F8 08 03 21 46 ?? ?? ?? ?? F7 E7 92 F8 08 03 21 46 ?? ?? ?? ?? F1 E7 92 F8 08 03 21 46 ?? ?? ?? ?? EB E7 D4 E9 00 23 43 F0 00 43 C4 E9 00 23 11 46 1A 46 1A 4B 21 60 13 43 63 60 6F F3 12 03 43 F4 00 23 00 22 C4 E9 00 23 D7 E7 21 46 00 20 ?? ?? ?? ?? 1B E0 92 F8 08 03 21 46 ?? ?? ?? ?? 02 20 15 E0 92 F8 08 03 21 46 ?? ?? ?? ?? 03 20 0E E0 0A 4B 08 49 4F F4 D3 62 01 93 05 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 01 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 F0 7F }
	condition:
		$1
}

rule file_668_46_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 852
		refs = "0014 ?validate@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 004a _CrtDbgReportW 0054 _errno 0068 _invalid_parameter 0082 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0096 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ 00aa _isctype_l 00b6 _chvalidator_l 0166 _ungetch_nolock 0186 __rt_udiv64 0292 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 0344 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0348 ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 034c ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 0350 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8D B0 05 46 08 46 1E 46 17 46 0C 46 ?? ?? ?? ?? 50 B9 A1 69 29 B1 D4 E9 04 23 13 43 01 D1 00 23 0B 70 00 26 B0 46 84 E1 2F B3 02 2F 01 DB 24 2F 21 DD C5 4B C3 4E C1 49 00 93 00 23 C8 22 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? BB 49 BA 4A 16 23 03 60 00 25 C8 23 30 46 00 95 ?? ?? ?? ?? A1 69 00 29 DB D0 D4 E9 04 23 13 43 D7 D1 0D 70 D5 E7 08 A8 29 46 ?? ?? ?? ?? 23 69 4F F0 00 0A D0 46 06 93 63 69 07 93 20 46 ?? ?? ?? ?? 09 9B 05 46 5B 68 01 2B 05 DD 09 AA 08 21 E8 B2 ?? ?? ?? ?? 04 E0 08 22 09 A8 E9 B2 ?? ?? ?? ?? 00 28 EA D1 16 B1 4F F0 01 09 01 E0 4F F0 00 09 02 23 2D 2D 03 D1 49 EA 03 09 2D 2D 01 D0 2B 2D 03 D1 20 46 ?? ?? ?? ?? 05 46 6F F0 00 06 0F B1 10 2F 44 D1 30 2D 04 DB 39 2D 02 DC A5 F1 30 03 0E E0 61 2D 04 DB 7A 2D 02 DC A5 F1 57 03 07 E0 41 2D 04 DB 5A 2D 02 DC A5 F1 37 03 00 E0 33 46 13 B1 67 BB 0A 27 2A E0 20 46 ?? ?? ?? ?? 78 28 1F D0 58 28 1D D0 07 B9 08 27 D4 E9 04 32 A1 68 9B 19 72 41 C4 E9 04 32 E2 68 51 EA 02 03 06 D0 D4 E9 04 E3 93 42 12 D8 01 D3 8E 45 0F D8 70 B1 B0 42 0C D0 22 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 05 E0 07 B9 10 27 20 46 ?? ?? ?? ?? 05 46 33 46 32 46 F9 17 38 46 08 B9 01 B9 F9 DE ?? ?? ?? ?? CD E9 02 32 0B 46 02 46 CD E9 04 32 08 21 00 20 30 2D 04 DB 39 2D 02 DC A5 F1 30 0E 0E E0 61 2D 04 DB 7A 2D 02 DC A5 F1 57 0E 07 E0 41 2D 04 DB 5A 2D 02 DC A5 F1 37 0E 00 E0 B6 46 B6 45 29 D0 BE 45 27 D2 49 EA 01 09 98 45 10 D3 01 D8 92 45 0D D3 92 45 08 D1 98 45 06 D1 02 9B 98 42 03 D8 05 D3 03 9B 9E 45 02 D9 49 F0 04 09 0B E0 FB 17 03 FB 0A F3 07 FB 08 32 A7 FB 0A 13 13 44 11 EB 0E 0A 43 F1 00 08 20 46 ?? ?? ?? ?? DD E9 04 32 05 46 BB E7 D4 E9 04 32 A1 68 9B 19 72 41 C4 E9 04 32 E2 68 51 EA 02 03 06 D0 D4 E9 04 03 93 42 0C D8 01 D3 88 42 09 D8 45 B1 B5 42 06 D0 22 68 28 46 13 68 5B 1E 13 60 ?? ?? ?? ?? 19 F0 08 0F 17 D1 D4 E9 04 32 06 99 00 25 99 42 02 D1 07 9B 93 42 01 D0 A3 69 1D 70 9D F8 2C 30 00 2B 3F F4 F8 AE 08 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 EF E6 43 46 52 46 48 46 ?? ?? ?? ?? A8 B3 ?? ?? ?? ?? 22 23 03 60 19 F0 01 0F 03 D1 B2 46 B0 46 02 21 33 E0 02 21 9D F8 2C 30 19 EA 01 0F 12 D0 2B B1 08 9A D2 F8 50 33 8B 43 C2 F8 50 33 A1 69 29 B1 D4 E9 04 23 13 43 01 D1 00 23 0B 70 00 26 4F F0 00 48 2C E0 2B B1 08 9A D2 F8 50 33 8B 43 C2 F8 50 33 A1 69 29 B1 D4 E9 04 23 13 43 01 D1 00 23 0B 70 6F F0 00 48 1A E0 02 21 19 EA 01 0F 04 D0 00 23 DA F1 00 0A 63 EB 08 08 9D F8 2C 30 2B B1 08 9A D2 F8 50 33 8B 43 C2 F8 50 33 A1 69 29 B1 D4 E9 04 23 13 43 01 D1 00 23 0B 70 56 46 30 46 41 46 0D B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_47_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 1464
		refs = "0016 ?validate@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ 005a _CrtDbgReportW 0064 _errno 007c _invalid_parameter 0096 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 00aa ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ 00b2 iswctype 02a6 _ungetwch_nolock 02d2 __rt_udiv64 04f6 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 05a8 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 05ac ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 05b0 ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 05b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8F B0 04 46 08 46 1E 46 92 46 03 92 0D 46 ?? ?? ?? ?? 50 B9 A9 69 29 B1 D5 E9 04 23 13 43 01 D1 00 23 0B 70 00 27 B8 46 B4 E2 BA F1 00 0F 2C D0 BA F1 02 0F 02 DB BA F1 24 0F 26 DD DF F8 6C 35 DF F8 64 65 DF F8 58 15 00 93 00 23 C8 22 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? DF F8 40 15 DF F8 38 25 16 23 03 60 00 24 C8 23 30 46 00 94 ?? ?? ?? ?? A9 69 00 29 D2 D0 D5 E9 04 23 13 43 CE D1 0C 70 CC E7 0A A8 21 46 ?? ?? ?? ?? 00 23 02 93 98 46 2B 69 07 93 6B 69 08 93 28 46 ?? ?? ?? ?? 08 21 04 46 ?? ?? ?? ?? 00 28 F6 D1 16 B1 4F F0 01 09 01 E0 4F F0 00 09 02 23 2D 2C 03 D1 49 EA 03 09 2D 2C 01 D0 2B 2C 03 D1 28 46 ?? ?? ?? ?? 04 46 4F F6 10 73 4F F4 CC 62 4F F4 DE 61 40 F6 66 10 40 F6 E6 16 40 F6 66 2E 6F F0 00 07 BA F1 00 0F 03 D0 BA F1 10 0F 40 F0 DC 80 30 2C C0 F0 86 80 3A 2C 02 D2 A4 F1 30 03 7E E0 9C 42 77 D2 94 42 7C D3 40 F2 6A 63 9C 42 38 BF A3 1A 74 D3 8C 42 74 D3 40 F2 FA 63 9C 42 38 BF 63 1A 6C D3 84 42 6C D3 B4 F5 17 6F 38 BF 23 1A 65 D3 B4 42 65 D3 B4 F5 1F 6F 38 BF A3 1B 5E D3 74 45 5E D3 B4 F5 27 6F 02 D2 A4 EB 0E 03 56 E0 40 F6 E6 23 9C 42 54 D3 B4 F5 2F 6F 01 D2 E3 1A 4D E0 40 F6 66 33 9C 42 4B D3 B4 F5 37 6F F6 D3 40 F6 66 43 9C 42 44 D3 B4 F5 47 6F EF D3 40 F6 E6 43 9C 42 3D D3 B4 F5 4F 6F E8 D3 40 F6 66 53 9C 42 36 D3 B4 F5 57 6F E1 D3 4F F4 65 63 9C 42 2F D3 40 F6 5A 62 94 42 D9 D3 4F F4 6D 63 9C 42 27 D3 40 F6 DA 62 94 42 D1 D3 50 33 9C 42 20 D3 50 32 94 42 CB D3 4F F4 82 53 9C 42 19 D3 41 F2 4A 02 94 42 C3 D3 4F F4 BF 53 9C 42 11 D3 41 F2 EA 72 94 42 BB D3 30 33 9C 42 0A D3 30 32 94 42 07 D2 B4 E7 4F F6 1A 72 94 42 B0 D3 3B 46 BB 42 12 D1 41 2C 01 D3 5A 2C 03 D9 61 2C 0B D3 7A 2C 09 D8 61 2C 04 D3 7A 2C 02 D8 A4 F1 20 03 00 E0 23 46 37 3B 00 E0 3B 46 3B B1 BA F1 00 0F 3B D1 4F F0 0A 0A CD F8 0C A0 36 E0 28 46 ?? ?? ?? ?? 78 28 26 D0 58 28 24 D0 BA F1 00 0F 03 D1 4F F0 08 0A CD F8 0C A0 D5 E9 04 32 A9 68 DB 19 7A 41 C5 E9 04 32 EA 68 51 EA 02 03 06 D0 D5 E9 04 63 93 42 19 D8 01 D3 8E 42 16 D8 A8 B1 4F F6 FF 73 98 42 11 D0 2A 68 13 68 5B 1E 13 60 ?? ?? ?? ?? 0A E0 BA F1 00 0F 03 D1 4F F0 10 0A CD F8 0C A0 28 46 ?? ?? ?? ?? 04 46 3B 46 3A 46 4F EA EA 71 50 46 08 B9 01 B9 F9 DE ?? ?? ?? ?? 9E 46 CD E9 05 32 03 46 04 93 8A 46 30 2C C0 F0 87 80 3A 2C 02 D2 A4 F1 30 06 7F E0 4F F6 10 71 8C 42 76 D2 4F F4 CC 61 8C 42 79 D3 40 F2 6A 60 84 42 01 D2 66 1A 71 E0 4F F4 DE 61 8C 42 6F D3 40 F2 FA 60 84 42 F5 D3 40 F6 66 11 8C 42 67 D3 B4 F5 17 6F EE D3 40 F6 E6 11 8C 42 60 D3 B4 F5 1F 6F E7 D3 40 F6 66 21 8C 42 59 D3 B4 F5 27 6F E0 D3 40 F6 E6 21 8C 42 52 D3 B4 F5 2F 6F D9 D3 40 F6 66 31 8C 42 4B D3 B4 F5 37 6F D2 D3 40 F6 66 41 8C 42 44 D3 B4 F5 47 6F CB D3 40 F6 E6 41 8C 42 3D D3 B4 F5 4F 6F C4 D3 40 F6 66 51 8C 42 36 D3 B4 F5 57 6F BD D3 4F F4 65 61 8C 42 2F D3 40 F6 5A 60 84 42 B5 D3 4F F4 6D 61 8C 42 27 D3 40 F6 DA 60 84 42 AD D3 50 31 8C 42 20 D3 50 30 84 42 A7 D3 4F F4 82 51 8C 42 19 D3 41 F2 4A 00 84 42 9F D3 4F F4 BF 51 8C 42 11 D3 41 F2 EA 70 84 42 97 D3 30 31 8C 42 0A D3 30 30 84 42 07 D2 90 E7 4F F6 1A 70 84 42 8C D3 3E 46 BE 42 16 D1 41 2C 01 D3 5A 2C 03 D9 61 2C 0D D3 7A 2C 0B D8 61 2C 04 D3 7A 2C 02 D8 A4 F1 20 03 00 E0 23 46 A3 F1 37 06 04 9B 00 E0 3E 46 BE 42 2B D0 03 99 8E 42 28 D2 02 98 49 F0 08 09 D0 45 0F D3 01 D8 98 42 0C D3 98 42 07 D1 D0 45 05 D1 00 23 73 45 02 D8 04 D3 96 42 02 D9 49 F0 04 09 0B E0 CB 17 03 FB 00 F3 01 FB 08 32 A1 FB 00 13 13 44 8A 19 02 92 43 F1 00 08 28 46 ?? ?? ?? ?? DD E9 04 3E 06 9A 04 46 32 E7 D5 E9 04 32 A9 68 DB 19 7A 41 C5 E9 04 32 EA 68 51 EA 02 03 06 D0 D5 E9 04 03 93 42 0E D8 01 D3 88 42 0B D8 54 B1 4F F6 FF 73 9C 42 06 D0 2A 68 20 46 13 68 5B 1E 13 60 ?? ?? ?? ?? 19 F0 08 0F 17 D1 D5 E9 04 32 07 99 00 24 99 42 02 D1 08 9B 93 42 01 D0 AB 69 1C 70 9D F8 34 30 00 2B 3F F4 D1 AD 0A 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 C8 E5 02 9C 43 46 48 46 22 46 ?? ?? ?? ?? A8 B3 ?? ?? ?? ?? 22 23 03 60 19 F0 01 0F 03 D1 3C 46 B8 46 02 21 32 E0 02 21 9D F8 34 30 19 EA 01 0F 12 D0 2B B1 0A 9A D2 F8 50 33 8B 43 C2 F8 50 33 A9 69 29 B1 D5 E9 04 23 13 43 01 D1 00 23 0B 70 00 27 4F F0 00 48 2B E0 2B B1 0A 9A D2 F8 50 33 8B 43 C2 F8 50 33 A9 69 29 B1 D5 E9 04 23 13 43 01 D1 00 23 0B 70 6F F0 00 48 19 E0 02 21 19 EA 01 0F 03 D0 00 23 64 42 63 EB 08 08 9D F8 34 30 2B B1 0A 9A D2 F8 50 33 8B 43 C2 F8 50 33 A8 69 28 B1 D5 E9 04 23 13 43 01 D1 00 23 03 70 27 46 38 46 41 46 0F B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_48_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "0028 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 00 27 1D 46 90 46 0C 46 8A B1 06 1B 95 F9 00 10 30 57 81 42 03 D0 94 F9 00 00 81 42 0A D1 08 98 ?? ?? ?? ?? 7F 1C 64 1C 47 45 28 70 EE D1 01 20 BD E8 F8 89 00 20 FB E7 }
	condition:
		$1
}

rule file_668_49_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 60
		refs = "0024 ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 00 27 1D 46 90 46 0C 46 7A B1 06 1B 29 88 30 5B 81 42 02 D0 20 88 81 42 0A D1 08 98 ?? ?? ?? ?? 7F 1C A4 1C 47 45 28 80 F0 D1 01 20 BD E8 F8 89 00 20 FB E7 }
	condition:
		$1
}

rule file_668_50_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 172
		refs = "0032 _CrtDbgReportW 004a ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAV?$console_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 0054 ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAM@Z 008e ??$write_floating_point@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z 009c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a0 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 8D B0 00 23 9F ED 26 0A 04 46 8D F8 08 30 23 6A 22 4D 21 4E 04 2B 8D ED 03 0A 0B D0 1D 49 00 23 4F F4 0E 72 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 AB A2 6A 00 93 E3 6A 04 F1 08 01 04 A8 ?? ?? ?? ?? 01 46 20 6E 03 AA ?? ?? ?? ?? 9D F8 08 30 D3 B1 01 28 18 D0 23 6A 04 2B 0B D0 0C 49 00 23 40 F2 32 22 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 26 30 0B B1 01 20 05 E0 03 A9 20 46 ?? ?? ?? ?? 00 E0 00 20 0D B0 BD E8 70 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_668_51_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 172
		refs = "0032 _CrtDbgReportW 004a ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAV?$console_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 0054 ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z 008e ??$write_floating_point@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z 009c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a0 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 8D B0 00 23 9F ED 26 0A 04 46 8D F8 08 30 23 6A 22 4D 21 4E 04 2B 8D ED 03 0A 0B D0 1D 49 00 23 4F F4 0E 72 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 AB 22 6B 00 93 63 6B 04 F1 08 01 04 A8 ?? ?? ?? ?? 01 46 A0 6C 03 AA ?? ?? ?? ?? 9D F8 08 30 D3 B1 01 28 18 D0 23 6A 04 2B 0B D0 0C 49 00 23 40 F2 32 22 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 28 30 0B B1 01 20 05 E0 03 A9 20 46 ?? ?? ?? ?? 00 E0 00 20 0D B0 BD E8 70 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 }
	condition:
		$1
}

rule file_668_52_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 176
		refs = "0032 _CrtDbgReportW 004a ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAV?$console_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 0054 ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAN@Z 008e ??$write_floating_point@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z 009c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a0 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 8F B0 00 23 9F ED 26 0B 04 46 8D F8 08 30 23 6A 22 4D 21 4E 04 2B 8D ED 04 0B 0B D0 1D 49 00 23 4F F4 0E 72 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 AB A2 6A 00 93 E3 6A 04 F1 08 01 06 A8 ?? ?? ?? ?? 01 46 20 6E 04 AA ?? ?? ?? ?? 9D F8 08 30 D3 B1 01 28 18 D0 23 6A 04 2B 0B D0 0C 49 00 23 40 F2 32 22 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 26 30 0B B1 01 20 05 E0 04 A9 20 46 ?? ?? ?? ?? 00 E0 00 20 0F B0 BD E8 70 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_668_53_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 176
		refs = "0032 _CrtDbgReportW 004a ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAV?$console_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 0054 ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z 008e ??$write_floating_point@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z 009c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00a0 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 00a4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 8F B0 00 23 9F ED 26 0B 04 46 8D F8 08 30 23 6A 22 4D 21 4E 04 2B 8D ED 04 0B 0B D0 1D 49 00 23 4F F4 0E 72 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 AB 22 6B 00 93 63 6B 04 F1 08 01 06 A8 ?? ?? ?? ?? 01 46 A0 6C 04 AA ?? ?? ?? ?? 9D F8 08 30 D3 B1 01 28 18 D0 23 6A 04 2B 0B D0 0C 49 00 23 40 F2 32 22 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 28 30 0B B1 01 20 05 E0 04 A9 20 46 ?? ?? ?? ?? 00 E0 00 20 0F B0 BD E8 70 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 }
	condition:
		$1
}

rule file_668_54_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z"
		size = 624
		refs = "002a _CrtDbgReportW 006e _errno 0084 _invalid_parameter 00bc _getche_nolock 0140 ?is_character_allowed_in_string@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@H@Z 01a2 _CrtGetDebugFillThreshold 01b6 memset 01ca _ungetch_nolock 025c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0260 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0264 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0268 ??_C@_1PO@BPGHNLNC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 026c ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 04 46 23 6A 93 4E 02 91 94 49 04 2B 4F F0 00 08 0C D0 01 91 90 49 00 23 40 F2 32 22 02 20 00 96 ?? ?? ?? ?? 01 28 00 D1 FE DE 8B 49 94 F8 26 30 C3 BB 62 6E 53 42 03 F0 03 03 13 44 1A 1D 62 66 52 F8 04 8C B8 F1 00 0F 1B D1 85 4C 82 49 00 23 40 F2 DA 42 02 20 01 94 00 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 7C 49 79 4A 00 23 00 93 40 F2 DA 43 20 46 ?? ?? ?? ?? 00 20 E3 E0 23 68 13 F0 01 0F 18 BF 01 23 08 BF 00 23 43 B1 53 42 03 F0 03 03 13 44 1B 1D 63 66 53 F8 04 5C 01 E0 6F F0 00 05 9D B9 23 68 13 F0 04 0F 0A D0 ?? ?? ?? ?? 10 F1 01 0F 02 D0 A3 68 5B 1C A3 60 00 23 88 F8 00 30 ?? ?? ?? ?? 0C 23 03 60 D5 E7 23 6A 04 2B 0B D0 01 91 5E 49 00 23 4F F4 0E 72 02 20 00 96 ?? ?? ?? ?? 01 28 00 D1 FE DE D4 E9 0A 21 02 98 CD E9 04 18 03 92 2F 46 18 B1 15 F1 01 0F 18 BF 6F 1E 4F F0 00 09 42 EA 01 03 CA 46 06 93 1B B1 91 45 01 D1 8A 45 54 D0 ?? ?? ?? ?? 06 46 10 F1 01 0F 02 D0 A3 68 5B 1C A3 60 02 99 32 46 20 46 ?? ?? ?? ?? D0 B3 23 6A 04 2B 0D D0 45 4B 44 49 40 F2 32 22 01 93 41 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 26 30 2B B9 67 B1 05 9B 7F 1E 03 F8 01 6B 05 93 19 F1 01 09 DD E9 03 21 06 9B 4A F1 00 0A C9 E7 15 F1 01 0F A0 D0 00 23 88 F8 00 30 6F F0 00 43 9D 42 99 D0 01 2D 97 D9 ?? ?? ?? ?? 02 46 6B 1E 9A 42 28 BF 1A 46 FE 21 08 F1 01 00 ?? ?? ?? ?? 8A E7 16 F1 01 0F 05 D0 A3 68 30 46 5B 1E A3 60 ?? ?? ?? ?? DD E9 03 21 59 EA 0A 03 3F F4 57 AF 02 98 40 B9 91 45 01 D1 8A 45 04 D0 23 68 13 F0 04 0F 3F F4 4C AF 23 6A 04 2B 0E D0 1B 4B 19 49 40 F2 32 22 01 93 16 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 98 94 F8 26 30 DB B9 B8 B1 05 9B 00 22 15 F1 01 0F 1A 70 11 D0 6F F0 00 43 9D 42 0D D0 EE 1B AE 42 0A D2 ?? ?? ?? ?? 02 46 BA 42 28 BF 3A 46 FE 21 06 EB 08 00 ?? ?? ?? ?? A3 6E 5B 1C A3 66 01 20 07 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_55_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z"
		size = 692
		refs = "002a _CrtDbgReportW 006e _errno 0084 _invalid_parameter 00bc _getwche_nolock 0158 ?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBAABV?$scanset_buffer@_W@2@XZ 015e ?test@?$scanset_buffer@_W@__crt_stdio_input@@QBA_N_W@Z 0178 _ungetwch_nolock 01e4 _CrtGetDebugFillThreshold 01f6 memset 024c ?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQADIAAPADAAI_W@Z 02a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02a4 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 02a8 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 02ac ??_C@_1BAK@JHAOJFDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 02b0 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 89 B0 04 46 23 6A A4 4E 02 91 A5 49 04 2B 4F F0 00 08 0C D0 01 91 A1 49 00 23 40 F2 32 22 02 20 00 96 ?? ?? ?? ?? 01 28 00 D1 FE DE 9C 49 94 F8 28 30 C3 BB E2 6C 53 42 03 F0 03 03 13 44 1A 1D E2 64 52 F8 04 8C B8 F1 00 0F 1B D1 96 4C 93 49 00 23 40 F2 DA 42 02 20 01 94 00 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 8D 49 8A 4A 00 23 00 93 40 F2 DA 43 20 46 ?? ?? ?? ?? 00 20 BA E0 23 68 13 F0 01 0F 18 BF 01 23 08 BF 00 23 43 B1 53 42 03 F0 03 03 13 44 1B 1D E3 64 53 F8 04 5C 01 E0 6F F0 00 05 A5 B9 23 68 13 F0 04 0F 0B D0 ?? ?? ?? ?? 4F F6 FF 73 98 42 02 D0 A3 68 5B 1C A3 60 00 23 88 F8 00 30 ?? ?? ?? ?? 0C 23 03 60 D4 E7 23 6A 04 2B 0B D0 01 91 6F 49 00 23 4F F4 0E 72 02 20 00 96 ?? ?? ?? ?? 01 28 00 D1 FE DE D4 E9 0C 10 02 9A CD E9 05 08 CD E9 03 51 2F 46 22 B1 15 F1 01 0F 01 D0 6F 1E 03 97 4F F0 00 09 41 EA 00 03 CA 46 07 93 1B B1 89 45 01 D1 82 45 29 D0 ?? ?? ?? ?? 06 46 4F F6 FF 72 96 42 14 D0 A3 68 5B 1C A3 60 96 42 0F D0 02 9A 00 2A 63 D0 01 2A 5B D0 08 2A 09 D1 04 F1 10 00 ?? ?? ?? ?? 31 46 ?? ?? ?? ?? 00 28 56 D1 02 9A 4F F6 FF 73 9E 42 06 D0 A3 68 30 46 5B 1E A3 60 ?? ?? ?? ?? 02 9A DD E9 04 10 59 EA 0A 03 3F F4 7F AF 42 B9 89 45 01 D1 82 45 04 D0 23 68 13 F0 04 0F 3F F4 75 AF 23 6A 04 2B 0E D0 40 4B 3F 49 40 F2 32 22 01 93 3C 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 9A 94 F8 28 30 DB B9 BA B1 06 9B 00 22 15 F1 01 0F 1A 70 11 D0 6F F0 00 43 9D 42 0D D0 EE 1B AE 42 0A D2 ?? ?? ?? ?? 02 46 BA 42 28 BF 3A 46 FE 21 06 EB 08 00 ?? ?? ?? ?? 23 6D 5B 1C 23 65 01 20 09 B0 BD E8 F0 8F 09 2E 01 D3 0D 2E AB D9 20 2E A9 D0 23 6A 04 2B 0D D0 23 4B 21 49 40 F2 32 22 01 93 1E 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 28 30 63 B9 A7 B1 03 AB 00 93 06 AB 2A 46 41 46 20 46 01 96 ?? ?? ?? ?? 03 9F 00 28 92 D0 19 F1 01 09 02 9A DD E9 04 10 07 9B 4A F1 00 0A 5D E7 15 F1 01 0F 3F F4 32 AF 00 23 88 F8 00 30 6F F0 00 43 9D 42 3F F4 2A AF 01 2D 7F F6 27 AF ?? ?? ?? ?? 02 46 6B 1E 9A 42 00 D3 1A 46 08 F1 01 00 FE 21 ?? ?? ?? ?? 19 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_56_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z"
		size = 644
		refs = "002a _CrtDbgReportW 006e _errno 0084 _invalid_parameter 00bc _getche_nolock 0144 ?is_character_allowed_in_string@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@H@Z 0186 ?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQFA_WIAAPFA_WAAID@Z 01b6 _CrtGetDebugFillThreshold 01ca memset 01de _ungetch_nolock 0270 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0274 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0278 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 027c ??_C@_1PO@BPGHNLNC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0280 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 89 B0 04 46 23 6A 98 4F 02 91 99 49 04 2B 4F F0 00 08 0C D0 01 91 95 49 00 23 40 F2 32 22 02 20 00 97 ?? ?? ?? ?? 01 28 00 D1 FE DE 90 49 94 F8 26 30 C3 BB 62 6E 53 42 03 F0 03 03 13 44 1A 1D 62 66 52 F8 04 8C B8 F1 00 0F 1B D1 8A 4C 87 49 00 23 40 F2 DA 42 02 20 01 94 00 97 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 81 49 7E 4A 00 23 00 93 40 F2 DA 43 20 46 ?? ?? ?? ?? 00 20 ED E0 23 68 13 F0 01 0F 18 BF 01 23 08 BF 00 23 43 B1 53 42 03 F0 03 03 13 44 1B 1D 63 66 53 F8 04 5C 01 E0 6F F0 00 05 9D B9 23 68 13 F0 04 0F 0A D0 ?? ?? ?? ?? 10 F1 01 0F 02 D0 A3 68 5B 1C A3 60 00 23 A8 F8 00 30 ?? ?? ?? ?? 0C 23 03 60 D5 E7 23 6A 04 2B 0B D0 01 91 63 49 00 23 4F F4 0E 72 02 20 00 97 ?? ?? ?? ?? 01 28 00 D1 FE DE D4 E9 0A 21 02 98 CD E9 05 18 CD E9 03 52 2E 46 20 B1 15 F1 01 0F 01 D0 6E 1E 03 96 4F F0 00 09 42 EA 01 03 CA 46 07 93 1B B1 91 45 01 D1 8A 45 5C D0 ?? ?? ?? ?? 07 46 10 F1 01 0F 02 D0 A3 68 5B 1C A3 60 02 99 3A 46 20 46 ?? ?? ?? ?? 00 28 41 D0 23 6A 04 2B 0D D0 49 4B 47 49 40 F2 32 22 01 93 44 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 26 30 63 B9 9E B1 7B B2 01 93 03 AB 00 93 06 AB 2A 46 41 46 20 46 ?? ?? ?? ?? 03 9E 48 B3 19 F1 01 09 DD E9 04 21 07 9B 4A F1 00 0A C1 E7 15 F1 01 0F 96 D0 00 23 A8 F8 00 30 6F F0 00 43 9D 42 8F D0 01 2D 8D D9 ?? ?? ?? ?? 6B 1E 98 42 28 BF 18 46 42 00 08 F1 02 00 FE 21 ?? ?? ?? ?? 80 E7 17 F1 01 0F 05 D0 A3 68 38 46 5B 1E A3 60 ?? ?? ?? ?? DD E9 04 21 59 EA 0A 03 3F F4 4D AF 02 98 40 B9 91 45 01 D1 8A 45 04 D0 23 68 13 F0 04 0F 3F F4 42 AF 23 6A 04 2B 0E D0 1B 4B 19 49 40 F2 32 22 01 93 16 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 98 94 F8 26 30 DB B9 B8 B1 06 9B 00 22 15 F1 01 0F 1A 80 11 D0 6F F0 00 43 9D 42 0D D0 AF 1B AF 42 0A D2 ?? ?? ?? ?? B0 42 28 BF 30 46 42 00 08 EB 47 00 FE 21 ?? ?? ?? ?? A3 6E 5B 1C A3 66 01 20 09 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_57_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z"
		size = 672
		refs = "002a _CrtDbgReportW 006e _errno 0084 _invalid_parameter 00bc _getwche_nolock 0154 ?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBAABV?$scanset_buffer@_W@2@XZ 015a ?test@?$scanset_buffer@_W@__crt_stdio_input@@QBA_N_W@Z 0174 _ungetwch_nolock 01de _CrtGetDebugFillThreshold 01f0 memset 028c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0290 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0294 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0298 ??_C@_1BAK@JHAOJFDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 029c ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 04 46 23 6A 9F 4E 02 91 A0 49 04 2B 4F F0 00 08 0C D0 01 91 9C 49 00 23 40 F2 32 22 02 20 00 96 ?? ?? ?? ?? 01 28 00 D1 FE DE 97 49 94 F8 28 30 C3 BB E2 6C 53 42 03 F0 03 03 13 44 1A 1D E2 64 52 F8 04 8C B8 F1 00 0F 1B D1 91 4C 8E 49 00 23 40 F2 DA 42 02 20 01 94 00 96 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 88 49 85 4A 00 23 00 93 40 F2 DA 43 20 46 ?? ?? ?? ?? 00 20 B7 E0 23 68 13 F0 01 0F 18 BF 01 23 08 BF 00 23 43 B1 53 42 03 F0 03 03 13 44 1B 1D E3 64 53 F8 04 5C 01 E0 6F F0 00 05 A5 B9 23 68 13 F0 04 0F 0B D0 ?? ?? ?? ?? 4F F6 FF 73 98 42 02 D0 A3 68 5B 1C A3 60 00 23 A8 F8 00 30 ?? ?? ?? ?? 0C 23 03 60 D4 E7 23 6A 04 2B 0B D0 01 91 6A 49 00 23 4F F4 0E 72 02 20 00 96 ?? ?? ?? ?? 01 28 00 D1 FE DE D4 E9 0C 10 02 9A CD E9 04 08 03 91 2F 46 1A B1 15 F1 01 0F 18 BF 6F 1E 4F F0 00 09 41 EA 00 03 CA 46 06 93 1B B1 89 45 01 D1 82 45 29 D0 ?? ?? ?? ?? 06 46 4F F6 FF 72 96 42 14 D0 A3 68 5B 1C A3 60 96 42 0F D0 02 9A 00 2A 62 D0 01 2A 5A D0 08 2A 09 D1 04 F1 10 00 ?? ?? ?? ?? 31 46 ?? ?? ?? ?? 00 28 55 D1 02 9A 4F F6 FF 73 9E 42 06 D0 A3 68 30 46 5B 1E A3 60 ?? ?? ?? ?? 02 9A DD E9 03 10 59 EA 0A 03 81 D0 42 B9 89 45 01 D1 82 45 04 D0 23 68 13 F0 04 0F 3F F4 78 AF 23 6A 04 2B 0E D0 3D 4B 3B 49 40 F2 32 22 01 93 38 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 9A 94 F8 28 30 DB B9 BA B1 05 9B 00 22 15 F1 01 0F 1A 80 11 D0 6F F0 00 43 9D 42 0D D0 EE 1B AE 42 0A D2 ?? ?? ?? ?? B8 42 28 BF 38 46 42 00 08 EB 46 00 FE 21 ?? ?? ?? ?? 23 6D 5B 1C 23 65 01 20 07 B0 BD E8 F0 8F 09 2E 01 D3 0D 2E AC D9 20 2E AA D0 23 6A 04 2B 0D D0 1F 4B 1E 49 40 F2 32 22 01 93 1B 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 28 30 2B B9 6F B1 05 99 7F 1E 21 F8 02 6B 05 91 19 F1 01 09 DD E9 02 21 04 98 06 9B 4A F1 00 0A 65 E7 15 F1 01 0F 3F F4 3C AF 00 23 A8 F8 00 30 6F F0 00 43 9D 42 3F F4 34 AF 01 2D 7F F6 31 AF ?? ?? ?? ?? 6B 1E 98 42 00 D3 18 46 42 00 08 F1 02 00 FE 21 ?? ?? ?? ?? 23 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_58_0 {
	meta:
		name = "??$reset_buffer@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z"
		size = 60
		refs = "0022 _CrtGetDebugFillThreshold 0034 memset"
		altNames = "??$reset_buffer@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFADI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 B1 F1 FF 3F 12 D0 00 23 2B 70 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_668_60_0 {
	meta:
		name = "??$reset_buffer@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WI@Z"
		size = 60
		refs = "0022 _CrtGetDebugFillThreshold 0034 memset"
		altNames = "??$reset_buffer@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQFA_WI@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0C 46 05 46 B1 F1 FF 3F 12 D0 00 23 2B 80 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 63 1E 98 42 28 BF 18 46 42 00 A8 1C FE 21 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_668_62_0 {
	meta:
		name = "??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$console_input_adapter@D@0@QAU__crt_locale_pointers@@@Z"
		size = 72
		refs = "000c _getche_nolock 002e _isctype_l 003a _chvalidator_l"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0D 46 06 46 ?? ?? ?? ?? 04 46 B0 F1 FF 3F 14 D0 33 68 5B 1C 33 60 4D B1 2B 68 5B 68 01 2B 05 DD 2A 46 08 21 E0 B2 ?? ?? ?? ?? 04 E0 08 22 E1 B2 28 46 ?? ?? ?? ?? 00 28 E4 D1 20 46 BD E8 78 88 }
	condition:
		$1
}

rule file_668_63_0 {
	meta:
		name = "??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$console_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z"
		size = 50
		refs = "000e _getwche_nolock 0024 iswctype"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 06 46 4F F6 FF 75 ?? ?? ?? ?? 04 46 AC 42 09 D0 33 68 5B 1C 33 60 AC 42 04 D0 08 21 ?? ?? ?? ?? 00 28 F0 D1 20 46 BD E8 78 88 }
	condition:
		$1
}

rule file_668_68_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z"
		size = 164
		refs = "0030 _CrtDbgReportW 003a _errno 0050 _invalid_parameter 0060 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0094 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 009c ??_C@_1OK@IAAPDIMN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00a0 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 42 6E 0D 46 53 42 03 F0 03 03 13 44 1B 1D 43 66 53 F8 04 4C E4 B9 1C 4B 1F 4C 1C 49 00 93 00 23 40 F2 2F 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 16 49 13 4A 00 23 00 93 40 F2 2F 63 20 46 ?? ?? ?? ?? 00 20 18 E0 83 6E 5B 1C 83 66 10 30 ?? ?? ?? ?? 04 28 0D D0 0B 4B 0A 49 40 F2 33 62 01 93 07 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 2B 68 01 20 23 60 BD E8 3C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_69_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABM@Z"
		size = 164
		refs = "0030 _CrtDbgReportW 003a _errno 0050 _invalid_parameter 0060 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0094 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 009c ??_C@_1PG@IFKBJJLG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00a0 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B C2 6C 0D 46 53 42 03 F0 03 03 13 44 1B 1D C3 64 53 F8 04 4C E4 B9 1C 4B 1F 4C 1C 49 00 93 00 23 40 F2 2F 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 16 49 13 4A 00 23 00 93 40 F2 2F 63 20 46 ?? ?? ?? ?? 00 20 18 E0 03 6D 5B 1C 03 65 10 30 ?? ?? ?? ?? 04 28 0D D0 0B 4B 0A 49 40 F2 33 62 01 93 07 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 2B 68 01 20 23 60 BD E8 3C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_70_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z"
		size = 168
		refs = "0030 _CrtDbgReportW 003a _errno 0050 _invalid_parameter 0060 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0098 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 009c ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 00a0 ??_C@_1OK@IAAPDIMN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00a4 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 42 6E 0D 46 53 42 03 F0 03 03 13 44 1B 1D 43 66 53 F8 04 4C E4 B9 1D 4B 20 4C 1D 49 00 93 00 23 40 F2 2F 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 17 49 14 4A 00 23 00 93 40 F2 2F 63 20 46 ?? ?? ?? ?? 00 20 1A E0 83 6E 5B 1C 83 66 10 30 ?? ?? ?? ?? 08 28 0D D0 0C 4B 0B 49 40 F2 33 62 01 93 08 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 2B 68 01 20 23 60 6B 68 63 60 BD E8 3C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_71_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NABN@Z"
		size = 168
		refs = "0030 _CrtDbgReportW 003a _errno 0050 _invalid_parameter 0060 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 0094 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0098 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 009c ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@ 00a0 ??_C@_1PG@IFKBJJLG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00a4 ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B C2 6C 0D 46 53 42 03 F0 03 03 13 44 1B 1D C3 64 53 F8 04 4C E4 B9 1D 4B 20 4C 1D 49 00 93 00 23 40 F2 2F 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 17 49 14 4A 00 23 00 93 40 F2 2F 63 20 46 ?? ?? ?? ?? 00 20 1A E0 03 6D 5B 1C 03 65 10 30 ?? ?? ?? ?? 08 28 0D D0 0C 4B 0B 49 40 F2 33 62 01 93 08 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 2B 68 01 20 23 60 6B 68 63 60 BD E8 3C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_81_0 {
	meta:
		name = "??0?$format_string_parser@D@__crt_stdio_input@@QAA@_KQBE@Z"
		size = 58
		refs = "001c memset"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 04 46 C4 E9 00 23 04 9B 00 25 2C 30 20 22 00 21 C4 E9 02 35 ?? ?? ?? ?? 25 61 25 75 65 75 A5 75 C4 E9 06 55 25 62 84 F8 24 50 A5 62 20 46 BD E8 30 88 }
	condition:
		$1
}

rule file_668_82_0 {
	meta:
		name = "??0?$format_string_parser@_W@__crt_stdio_input@@QAA@_KQB_W@Z"
		size = 44
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 E9 00 23 02 9B 83 60 00 23 C3 60 C0 E9 0C 33 03 61 83 82 C3 82 03 76 C0 E9 08 33 83 62 80 F8 2C 30 BD E8 00 88 }
	condition:
		$1
}

rule file_668_85_0 {
	meta:
		name = "??0?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAA@ABV?$console_input_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 84
		refs = "002a memset"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 05 46 C5 E9 00 23 09 68 00 F1 10 04 00 26 A9 60 C4 E9 00 23 06 9B 20 22 04 F1 2C 00 00 21 C4 E9 02 36 ?? ?? ?? ?? 07 9B 26 61 26 75 66 75 A6 75 C4 E9 06 66 26 62 84 F8 24 60 A6 62 2B 66 08 9B C5 E9 19 36 EE 66 28 46 BD E8 78 88 }
	condition:
		$1
}

rule file_668_86_0 {
	meta:
		name = "??0?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAA@ABV?$console_input_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 66
	strings:
		$1 = { 2D E9 00 48 EB 46 C0 E9 00 23 09 68 81 60 C0 E9 04 23 02 9B 00 22 C0 E9 06 32 03 9B C0 E9 10 22 02 62 82 84 C2 84 80 F8 28 20 C0 E9 0C 22 82 63 80 F8 3C 20 83 64 04 9B C0 E9 13 32 42 65 BD E8 00 88 }
	condition:
		$1
}

rule file_668_87_0 {
	meta:
		name = "??0?$scanset_buffer@E@__crt_stdio_input@@QAA@XZ"
		size = 24
		refs = "000e memset"
		altNames = "??0?$scanset_storage@$00@__crt_stdio_input@@QAA@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 20 22 00 21 04 46 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_668_92_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QAA@ABU01@@Z"
		size = 100
		refs = "001c _errno 0038 memcpy 0044 memset 005a _invalid_parameter_noinfo"
		altNames = "??4big_integer@__crt_strtox@@QAAAAU01@ABU01@@Z"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 0F 46 3B 68 04 46 23 60 3B 68 9E 00 1E B3 10 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 19 E0 4F F4 E6 75 17 F1 04 0F 07 D0 AE 42 05 D8 39 1D 20 1D 32 46 ?? ?? ?? ?? 0F E0 2A 46 00 21 20 1D ?? ?? ?? ?? 17 F1 04 0F E6 D0 AE 42 05 D9 ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 20 46 BD E8 F0 88 }
	condition:
		$1
}

rule file_668_93_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QAA@XZ"
		size = 32
		refs = "0016 memset"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 1D 00 23 CC 21 4F F4 E6 72 23 60 ?? ?? ?? ?? 20 46 BD E8 18 88 }
	condition:
		$1
}

rule file_668_94_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QAA@QAM@Z"
		size = 64
		refs = "0024 _CrtDbgReportW 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003c ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 00 23 21 60 23 71 69 B9 0A 4B 08 49 40 F2 95 12 01 93 05 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 20 46 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_95_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QAA@QAN@Z"
		size = 64
		refs = "0024 _CrtDbgReportW 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003c ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 01 23 21 60 23 71 69 B9 0A 4B 08 49 40 F2 8F 12 01 93 05 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 20 46 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_97_0 {
	meta:
		name = "??1?$format_string_parser@_W@__crt_stdio_input@@QAA@XZ"
		size = 26
		refs = "000e _free_dbg"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 60 6B 02 21 ?? ?? ?? ?? 00 23 63 63 BD E8 18 88 }
	condition:
		$1
}

rule file_668_98_0 {
	meta:
		name = "??1?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA@XZ"
		size = 26
		altNames = "??1?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA@XZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 81 69 29 B1 D0 E9 04 23 13 43 01 D1 00 23 0B 70 BD E8 00 88 }
	condition:
		$1
}

rule file_668_100_0 {
	meta:
		name = "??1?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAA@XZ"
		size = 26
		refs = "000e _free_dbg"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 60 6C 02 21 ?? ?? ?? ?? 00 23 63 64 BD E8 18 88 }
	condition:
		$1
}

rule file_668_107_0 {
	meta:
		name = "??M__crt_strtox@@YA_NABUbig_integer@0@0@Z"
		size = 88
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 0C 46 05 46 2B 68 22 68 93 42 1E D8 01 D2 01 20 1C E0 59 1E 11 F1 01 0F 17 D0 04 EB 81 00 2E 1B 33 18 5A 68 43 68 9A 42 04 D1 49 1E 00 1F 11 F1 01 0F F5 D1 11 F1 01 0F 07 D0 05 EB 81 03 04 EB 81 02 59 68 53 68 99 42 E1 D9 00 20 BD E8 78 88 }
	condition:
		$1
}

rule file_668_115_0 {
	meta:
		name = "?accumulate_decimal_digits_into_big_integer@__crt_strtox@@YAXQBE0AAUbig_integer@1@@Z"
		size = 1692
		refs = "0008 __security_push_cookie 0072 memset 0084 _errno 008c _invalid_parameter_noinfo 009e memcpy 067e __security_pop_cookie 0688 ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 068c ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 0690 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AD F5 B3 6D 0E 46 05 46 00 21 B5 42 17 46 4F F0 00 09 00 F0 2C 83 DF F8 74 A6 4F F4 E6 78 16 24 8E 46 09 29 40 F0 8F 80 38 68 00 28 42 D0 00 21 3C 1D 23 68 A3 FB 0A 32 5B 18 42 F1 00 01 40 1E 44 F8 04 3B F5 D1 A1 B3 3B 68 73 2B 06 D2 07 EB 83 03 59 60 3B 68 5B 1C 3B 60 2A E0 00 23 42 46 CC 21 0B A8 0A 93 ?? ?? ?? ?? 0A 9B 3B 60 9A 00 1D D0 17 F1 04 0F 08 D1 ?? ?? ?? ?? 16 24 04 60 ?? ?? ?? ?? 4F F0 00 0E 14 E0 42 45 04 D8 0B A9 38 1D ?? ?? ?? ?? 0A E0 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 4F F0 00 0E 16 24 B9 F1 00 0F 41 D0 3B 68 00 21 63 B1 3A 46 00 20 52 F8 04 3F 13 EB 09 03 13 60 3B 68 40 F1 00 09 49 1C 99 42 F4 D1 B9 F1 00 0F 2E D0 3B 68 73 2B 07 D2 07 EB 83 03 C3 F8 04 90 3B 68 5B 1C 3B 60 23 E0 42 46 CC 21 0B A8 CD F8 28 E0 ?? ?? ?? ?? 0A 9B 3B 60 9A 00 18 D0 17 F1 04 0F 03 D1 ?? ?? ?? ?? 04 60 0F E0 42 45 04 D8 0B A9 38 1D ?? ?? ?? ?? 0A E0 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 00 21 8E 46 4F F0 00 09 15 F8 01 3B 09 EB 89 02 49 1C 03 EB 42 09 B5 42 7F F4 64 AF 07 91 CD F8 24 90 00 29 00 F0 84 82 DF F8 20 35 A1 FB 03 32 D3 08 08 93 99 46 02 93 00 F0 DE 81 DF F8 04 35 B9 F1 26 0F 02 D9 4F F0 26 0A 00 E0 CA 46 0B A8 42 46 CC 21 CD F8 04 A0 03 EB 8A 06 ?? ?? ?? ?? 16 F8 01 4C 16 F8 02 5C 0B A8 00 21 2B 19 AA 00 0A 93 ?? ?? ?? ?? 36 F8 04 3C DF F8 C8 14 A2 00 01 EB 83 01 0B AB 03 EB 85 00 ?? ?? ?? ?? 0A 9B 01 2B 6E D8 0B 98 30 BB 00 23 F3 A8 42 46 CC 21 F2 93 ?? ?? ?? ?? F2 9B 9A 00 00 2A 3B 60 00 F0 97 81 17 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 42 45 04 D8 F3 A9 38 1D ?? ?? ?? ?? 88 E1 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 7C E1 01 28 00 F0 7A 81 3C 68 00 2C 00 F0 76 81 00 21 3D 1D 2B 68 A0 FB 03 32 5B 18 42 F1 00 01 64 1E 45 F8 04 3B F5 D1 00 29 00 F0 67 81 3B 68 73 2B 06 D2 07 EB 83 03 59 60 3B 68 5B 1C 3B 60 5C E1 00 23 0B A8 42 46 CC 21 0A 93 ?? ?? ?? ?? 0A 9B 3B 60 9A 00 18 D0 17 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 42 45 04 D8 0B A9 38 1D ?? ?? ?? ?? 0A E0 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 00 23 37 E1 3E 68 01 2E 70 D8 7C 68 9A 00 3B 60 7A B1 17 F1 04 0F 06 D1 ?? ?? ?? ?? 16 26 06 60 ?? ?? ?? ?? 06 E0 42 45 19 D8 0B A9 38 1D ?? ?? ?? ?? 16 26 22 25 64 BB 00 23 0B A8 42 46 CC 21 0A 93 ?? ?? ?? ?? 0A 9B 3B 60 9A 00 00 F0 11 81 17 F1 04 0F 10 D1 ?? ?? ?? ?? 06 60 89 E7 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 25 05 60 ?? ?? ?? ?? 16 26 DE E7 42 45 01 D8 0B A9 6B E7 00 21 38 1D 42 46 ?? ?? ?? ?? ?? ?? ?? ?? 05 60 6F E7 01 2C 00 F0 ED 80 38 68 00 28 00 F0 E9 80 00 21 3D 1D 2B 68 A4 FB 03 32 5B 18 42 F1 00 01 40 1E 45 F8 04 3B F5 D1 00 29 00 F0 DA 80 3B 68 73 2B FF F4 72 AF 00 23 0B A8 42 46 CC 21 0A 93 ?? ?? ?? ?? 0A 9B 3B 60 9A 00 91 D0 17 F1 04 0F 7F F4 7C AF ?? ?? ?? ?? 06 60 87 E7 B3 42 06 D2 07 F1 04 0A CD F8 0C A0 0B AD 99 46 04 E0 3D 1D 0B AA B1 46 03 92 1E 46 00 23 F3 A8 42 46 CC 21 F2 93 CD F8 14 90 ?? ?? ?? ?? F2 9A 00 24 B9 F1 00 0F 60 D0 F2 AB 0D F5 72 7E EB 1A 00 93 53 F8 0E 10 06 91 39 B9 94 42 50 D1 00 22 CE F8 04 20 62 1C F2 92 4A E0 4F F0 00 09 CA 46 20 46 00 2E 40 D0 03 9B 75 46 04 93 73 28 1F D0 90 42 05 D1 00 23 6B 60 0A EB 04 03 5B 1C F2 93 04 9A 0A F1 01 0A 52 F8 04 3B 04 92 A3 FB 01 21 55 F8 04 3F 9B 18 41 F1 00 02 13 EB 09 03 42 F1 00 09 40 1C 2B 60 F2 9A B2 45 01 D0 06 99 DD E7 B9 F1 00 0F 17 D0 F2 AB 03 EB 80 01 73 28 12 D0 90 42 03 D1 00 23 4B 60 43 1C F2 93 51 F8 04 3F 00 22 13 EB 09 03 42 EB 02 09 40 1C 0B 60 F2 9A B9 F1 00 0F EA D1 00 9B 73 28 10 D0 DD F8 14 90 64 1C 4C 45 0E F1 04 0E A3 D1 3A 60 92 00 40 D0 17 F1 04 0F 2B D1 ?? ?? ?? ?? 16 23 36 E0 00 23 7F A8 42 46 CC 21 7E 93 ?? ?? ?? ?? 7E 9B 3B 60 9A 00 18 D0 17 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 42 45 04 D8 7F A9 38 1D ?? ?? ?? ?? 0A E0 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? DD E9 01 A9 00 23 14 E0 42 45 04 D8 F3 A9 38 1D ?? ?? ?? ?? 0A E0 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? DD E9 01 A9 01 23 00 2B 4D D0 B9 EB 0A 09 55 4B CD F8 08 90 7F F4 26 AE DD E9 07 13 03 EB 83 03 B1 EB 43 02 1F D0 4E 4B 03 EB 82 03 53 F8 04 0C C8 B3 01 28 17 D0 3C 68 AC B1 00 21 3D 1D 2B 68 A0 FB 03 32 5B 18 42 F1 00 01 64 1E 45 F8 04 3B F5 D1 41 B1 3B 68 73 2B 4F D2 07 EB 83 03 59 60 3B 68 5B 1C 3B 60 16 25 22 26 09 98 00 28 71 D0 3B 68 00 21 5B B1 3A 46 00 24 52 F8 04 3F 1B 18 13 60 3B 68 44 F1 00 00 49 1C 99 42 F5 D1 00 28 60 D0 3B 68 73 2B 3A D2 07 EB 83 03 58 60 3B 68 5B 1C 3B 60 56 E0 00 23 42 46 CC 21 7F A8 7E 93 ?? ?? ?? ?? 7E 9B 9A 00 00 2A 3B 60 D3 D0 17 F1 04 0F 06 D1 ?? ?? ?? ?? 16 25 05 60 ?? ?? ?? ?? CA E7 42 45 04 D8 7F A9 38 1D ?? ?? ?? ?? C2 E7 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 26 06 60 ?? ?? ?? ?? 16 25 B7 E7 00 23 7F A8 42 46 CC 21 7E 93 ?? ?? ?? ?? 7E 9B 9A 00 D5 E7 00 23 7F A8 42 46 CC 21 7E 93 ?? ?? ?? ?? 7E 9B 9A 00 3B 60 BA B1 17 F1 04 0F 03 D1 ?? ?? ?? ?? 05 60 0E E0 42 45 04 D8 7F A9 38 1D ?? ?? ?? ?? 09 E0 00 21 38 1D 42 46 ?? ?? ?? ?? ?? ?? ?? ?? 06 60 ?? ?? ?? ?? 0D F5 B3 6D ?? ?? ?? ?? BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? CD CC CC CC 00 CA 9A 3B }
	condition:
		$1
}

rule file_668_116_0 {
	meta:
		name = "?add@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 160
		refs = "0008 __security_push_cookie 0048 __security_pop_cookie 005e memset 0070 _errno 0080 memcpy 0098 _invalid_parameter_noinfo"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B ?? ?? ?? ?? F5 B0 04 46 C1 B1 23 68 00 20 5B B1 22 46 00 25 52 F8 04 3F 5B 18 13 60 23 68 45 F1 00 01 40 1C 98 42 F5 D1 41 B1 23 68 73 2B 0B D2 04 EB 83 03 59 60 23 68 5B 1C 23 60 01 20 75 B0 ?? ?? ?? ?? BD E8 30 88 4F F4 E6 75 00 23 2A 46 01 A8 CC 21 00 93 ?? ?? ?? ?? 00 9B 9A 00 23 60 C2 B1 14 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 AA 42 04 D8 01 A9 20 1D ?? ?? ?? ?? 0A E0 2A 46 00 21 20 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 00 20 D2 E7 }
	condition:
		$1
}

rule file_668_117_0 {
	meta:
		name = "?add_carry@__crt_strtox@@YAIAAIII@Z"
		size = 30
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 23 68 00 20 5B 18 40 EB 00 01 9B 18 48 41 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_668_118_0 {
	meta:
		name = "?add_multiply_carry@__crt_strtox@@YAIAAIIII@Z"
		size = 34
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 A1 FB 02 14 2A 68 52 18 44 F1 00 01 9B 18 41 F1 00 00 2B 60 BD E8 30 88 }
	condition:
		$1
}

rule file_668_119_0 {
	meta:
		name = "?advance@?$format_string_parser@D@__crt_stdio_input@@QAA_NXZ"
		size = 288
		refs = "0032 isspace 0078 ?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ 0082 ?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ 00aa ?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ 00de __pctype_func 011c ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 E3 68 00 2B 7D D1 A3 68 00 25 25 61 25 75 65 75 A5 75 C4 E9 06 55 25 62 80 F8 24 50 A5 62 18 78 10 B9 01 23 23 61 6C E0 ?? ?? ?? ?? 60 B1 02 23 23 61 A3 68 02 E0 A3 68 5B 1C A3 60 18 78 ?? ?? ?? ?? 00 28 F7 D1 61 E0 A2 68 13 78 25 2B 35 D1 53 78 25 2B 32 D0 04 23 52 1C 23 61 A2 60 13 78 01 26 2A 2B 02 D1 53 1C A3 60 A6 75 20 46 ?? ?? ?? ?? 00 28 45 D0 20 46 ?? ?? ?? ?? A2 68 13 78 77 2B 02 D1 53 1C A3 60 07 E0 43 2B 03 D0 53 2B 18 BF 00 23 00 D1 01 23 0B B1 84 F8 24 60 20 46 ?? ?? ?? ?? 68 B3 A3 6A 03 EB 43 02 23 6A 03 EB 82 02 17 4B D3 5C 4B BB 16 23 17 E0 03 23 23 61 13 78 23 75 13 78 25 2B 18 BF 01 23 08 BF 02 23 13 44 A3 60 ?? ?? ?? ?? 23 7D 30 F8 13 30 13 F4 00 4F 13 D0 A3 68 1A 78 6A B9 2A 23 A5 62 84 F8 24 50 C4 E9 07 55 A5 61 A5 75 65 75 25 75 C4 E9 03 35 00 20 03 E0 5B 1C A3 60 62 75 01 20 BD E8 78 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_120_0 {
	meta:
		name = "?advance@?$format_string_parser@_W@__crt_stdio_input@@QAA_NXZ"
		size = 284
		refs = "0036 iswctype 007e ?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ 0088 ?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ 00c2 ?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ 0118 ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 04 46 E3 68 0B B1 00 20 7F E0 A3 68 00 25 25 61 A5 82 E5 82 25 76 C4 E9 08 55 A5 62 84 F8 2C 50 25 63 18 88 10 B9 01 23 23 61 EC E7 08 21 ?? ?? ?? ?? 68 B1 02 23 23 61 A3 68 02 E0 A3 68 9B 1C A3 60 18 88 08 21 ?? ?? ?? ?? 00 28 F6 D1 5B E0 A2 68 13 88 25 2B 4A D1 53 88 25 2B 47 D0 04 23 92 1C 23 61 A2 60 13 88 01 26 2A 2B 02 D1 93 1C A3 60 26 76 20 46 ?? ?? ?? ?? 00 28 C3 D0 20 46 ?? ?? ?? ?? A2 68 13 88 77 2B 02 D1 93 1C A3 60 10 E0 43 2B 0C D0 53 2B 0A D0 A3 6A 0B 2B 09 D0 23 68 13 F0 02 0F 18 BF 01 23 02 D1 00 23 00 E0 00 23 0B B1 84 F8 2C 60 20 46 ?? ?? ?? ?? 00 28 A1 D0 23 6B 03 EB 43 02 A3 6A 03 EB 82 02 10 4B D3 5C CB B9 16 23 C4 E9 03 35 A5 82 E5 82 25 76 C4 E9 08 55 A5 62 84 F8 2C 50 25 63 8B E7 03 23 23 61 13 88 A3 82 13 88 25 2B 18 BF 01 23 08 BF 02 23 02 EB 43 03 A3 60 01 20 BD E8 78 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_121_0 {
	meta:
		name = "?as_double@floating_point_value@__crt_strtox@@QBAAANXZ"
		size = 92
		refs = "0020 _CrtDbgReportW 0042 _invoke_watson 0048 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004c ??_C@_1BG@GEMHBGAF@?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 0050 ??_C@_1FM@FELNCOBF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1BK@ICEICMHI@?$AA?$CI?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 79 6B B9 12 49 00 23 40 F2 9F 12 01 91 0E 49 02 20 00 91 0A 49 ?? ?? ?? ?? 01 28 00 D1 FE DE 21 79 11 B1 20 68 BD E8 1E 88 06 49 05 48 03 4A 00 23 00 93 40 F2 9F 13 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_122_0 {
	meta:
		name = "?as_float@floating_point_value@__crt_strtox@@QBAAAMXZ"
		size = 92
		refs = "0020 _CrtDbgReportW 0042 _invoke_watson 0048 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004c ??_C@_1BI@BANMPGJI@?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 0050 ??_C@_1FK@JOJELFFO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1BM@CEPACFMA@?$AA?$CI?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 79 6B B1 12 49 00 23 40 F2 A5 12 01 91 0E 49 02 20 00 91 0A 49 ?? ?? ?? ?? 01 28 00 D1 FE DE 21 79 11 B9 20 68 BD E8 1E 88 06 49 05 48 03 4A 00 23 00 93 40 F2 A5 13 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_123_0 {
	meta:
		name = "?assemble_floating_point_infinity@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z"
		size = 54
		refs = "0010 ?as_double@floating_point_value@__crt_strtox@@QBAAANXZ 0018 ??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z 001e ?as_float@floating_point_value@__crt_strtox@@QBAAAMXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0B 79 04 46 08 46 33 B1 ?? ?? ?? ?? 01 46 20 46 ?? ?? ?? ?? 09 E0 ?? ?? ?? ?? 0C B1 01 23 00 E0 00 23 DB 07 43 F0 FF 43 03 60 BD E8 18 88 }
	condition:
		$1
}

rule file_668_124_0 {
	meta:
		name = "?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z"
		size = 1136
		refs = "007c ?as_double@floating_point_value@__crt_strtox@@QBAAANXZ 0084 ??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z 008a ?as_float@floating_point_value@__crt_strtox@@QBAAAMXZ 0174 fegetround 019e _CrtDbgReportW 0234 ??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z 0460 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0464 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0468 ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 8B B0 0D 46 98 46 07 92 04 46 6F F0 00 0A 75 B9 54 45 0C D8 B0 FA 80 F0 01 21 C0 F1 1F 03 A1 EB 50 10 C0 B2 08 B1 58 1C 10 E0 00 20 0E E0 B5 FA 85 F3 01 21 C3 F1 1F 02 A1 EB 53 13 DB B2 0B B1 53 1C 00 E0 00 23 07 9A 03 F1 20 00 15 9E 31 79 09 B1 35 23 00 E0 18 23 A3 EB 00 09 A2 EB 09 07 40 F2 FF 3E 04 97 73 46 01 B9 7F 23 9F 42 16 DD 30 46 31 B1 ?? ?? ?? ?? 01 46 40 46 ?? ?? ?? ?? 0B E0 ?? ?? ?? ?? B8 F1 00 0F 18 BF 01 23 08 BF 00 23 DB 07 43 F0 FF 43 03 60 03 20 D9 E1 09 B1 F0 4B 01 E0 6F F0 7D 03 01 20 02 05 C0 05 40 1E 52 1E CD E9 02 20 9F 42 80 F2 DE 80 73 46 01 B9 7F 23 3B 44 4B 44 58 1E 05 90 73 46 01 B9 7F 23 5F 42 04 97 00 28 80 F2 B8 80 C0 F1 00 0A BA F1 40 0F 80 F0 9C 80 AA F1 01 02 A2 F1 20 03 01 21 01 FA 03 F7 01 23 03 FA 02 FE 6F F0 00 02 1E EB 02 03 08 93 47 EB 02 03 09 93 AA F1 20 03 01 22 02 FA 03 F1 01 23 03 FA 0A F3 03 EA 04 02 01 EA 05 03 13 43 02 D0 01 21 06 91 01 E0 00 23 06 93 0E EA 04 02 07 EA 05 03 13 43 02 D0 4F F0 01 0A 01 E0 4F F0 00 0A 9D F8 50 30 43 B1 08 9B 03 EA 04 02 09 9B 2B 40 13 43 08 BF 00 27 00 D0 01 27 BA F1 00 0F 02 D1 0F B9 00 21 20 E0 ?? ?? ?? ?? E0 B3 B0 F5 80 7F 37 D0 B0 F5 00 7F 12 D0 B0 F5 40 7F 0D D0 B6 4B B5 49 4F F4 18 72 01 93 B2 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 00 21 03 E0 B8 F1 00 0F 27 D0 00 21 05 98 47 42 C7 F1 20 03 05 FA 03 F3 24 FA 07 F2 1A 43 A7 F1 20 03 25 FA 03 F3 13 43 5C 18 25 FA 07 F2 42 F1 00 05 54 EA 05 03 22 D0 31 79 DD F8 0C E0 71 B1 02 9B 6F F0 00 02 0C E0 41 46 DF E7 BA F1 00 0F DB D0 17 B9 06 9B 00 2B D7 D0 01 21 D6 E7 72 46 00 23 9D 42 C0 F0 F1 80 02 D8 94 42 40 F2 ED 80 07 9B 1B 1A A3 EB 09 03 5F 1E 02 9A 26 E0 33 79 30 46 33 B1 ?? ?? ?? ?? 01 46 40 46 ?? ?? ?? ?? 09 E0 ?? ?? ?? ?? B8 F1 00 0F 18 BF 01 23 08 BF 00 23 DB 07 03 60 02 20 03 E1 C0 F1 20 03 24 FA 03 F3 05 FA 00 F2 1A 43 A0 F1 20 03 04 FA 03 F3 84 40 42 EA 03 05 02 9A DD F8 0C E0 00 29 00 F0 BE 80 6F F0 00 03 BC E0 B9 F1 00 0F 80 F2 A3 80 C9 F1 00 07 07 97 40 2F 02 D3 00 24 00 25 73 E0 7A 1E A2 F1 20 03 01 21 01 FA 03 F0 01 23 03 FA 02 FE 1E EB 0A 03 09 93 40 EB 0A 03 08 93 A7 F1 20 03 01 22 02 FA 03 F1 01 23 BB 40 03 EA 04 02 01 EA 05 03 13 43 02 D0 4F F0 01 0A 01 E0 4F F0 00 0A 0E EA 04 02 00 EA 05 03 13 43 02 D0 4F F0 01 09 01 E0 4F F0 00 09 9D F8 50 30 43 B1 09 9B 03 EA 04 02 08 9B 2B 40 13 43 08 BF 00 27 00 D0 01 27 B9 F1 00 0F 02 D1 0F B9 00 21 1E E0 ?? ?? ?? ?? D0 B3 B0 F5 80 7F 35 D0 B0 F5 00 7F 11 D0 B0 F5 40 7F F1 D0 4E 4B 4C 49 4F F4 18 72 01 93 49 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 E4 D1 FE DE E2 E7 B8 F1 00 0F 26 D0 00 21 07 98 6F F0 00 0A 40 F2 FF 3E C0 F1 20 03 05 FA 03 F3 24 FA 00 F2 1A 43 A0 F1 20 03 25 FA 03 F3 13 43 5C 18 25 FA 00 F2 42 F1 00 05 31 79 79 B1 4F F4 00 13 5B 1E 52 46 0D E0 41 46 E0 E7 B9 F1 00 0F DC D0 17 B9 BA F1 00 0F D8 D0 01 21 D7 E7 6F F0 7F 42 00 23 9D 42 1F D3 01 D8 94 42 1C D9 04 9F EB 07 43 EA 54 04 7F 1C 6D 08 73 46 01 B9 7F 23 9F 42 7F F7 51 AF 54 E6 7F F7 4F AF C9 F1 20 03 24 FA 03 F3 05 FA 09 F2 1A 43 A9 F1 20 03 04 FA 03 F3 04 FA 09 F4 3D E7 04 9F 3D E7 04 9F 15 E7 73 46 00 22 1C 40 15 40 30 46 E9 B1 ?? ?? ?? ?? D0 E9 00 23 23 F0 00 43 43 EA C8 73 C0 E9 00 23 40 F2 FF 33 F9 18 43 68 6F F3 DF 21 02 60 6F F3 1E 53 43 EA 01 53 83 EA 05 02 6F F3 1F 52 C0 E9 00 43 53 40 43 60 0C E0 ?? ?? ?? ?? 07 F1 7F 03 DB 05 03 F0 FF 43 43 EA C8 73 6F F3 DF 54 23 43 03 60 00 20 0B B0 BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 02 FC FF FF }
	condition:
		$1
}

rule file_668_125_0 {
	meta:
		name = "?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@ABUbig_integer@1@I_N1ABVfloating_point_value@1@@Z"
		size = 336
		refs = "0146 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 DD F8 40 E0 15 46 99 46 9E F8 04 40 05 95 06 46 0C B1 35 20 00 E0 18 20 A0 F1 01 0A 40 29 13 D8 33 68 0B B1 70 68 00 E0 00 20 01 2B 01 D9 B1 68 00 E0 00 21 B9 F1 00 0F 08 BF 01 23 18 BF 00 23 00 93 2B 46 52 46 77 E0 01 F0 1F 02 4F EA 51 18 04 92 A8 F1 01 01 A8 F1 02 07 EA B9 06 EB 81 03 58 68 B9 F1 00 0F 06 EB 87 03 5C 68 08 BF 01 22 18 BF 00 22 4F B1 39 46 56 F8 04 3F 0B B9 01 23 00 E0 00 23 1A 40 49 1E F6 D1 00 92 01 46 0A EB 47 12 20 46 2B 46 4F E0 01 23 93 40 5B 1E 02 93 02 EB 47 13 06 93 06 EB 87 03 5B 68 C2 F1 40 05 03 93 06 EB 81 03 58 68 A5 F1 20 01 C1 F1 20 03 20 FA 03 F2 A1 F1 20 03 00 FA 03 F3 42 EA 03 04 06 EB 88 03 5B 68 DD F8 08 80 88 40 03 EA 08 02 C5 F1 20 03 22 FA 03 F1 A5 F1 20 03 02 FA 03 F3 AA 40 0B 43 12 18 44 EB 03 01 DD E9 03 40 24 EA 08 03 C3 40 D0 18 41 F1 00 01 B9 F1 00 0F 04 D1 14 EA 08 0F 08 BF 01 22 00 D0 00 22 47 B1 56 F8 04 3F 0B B9 01 23 00 E0 00 23 1A 40 7F 1E F6 D1 00 92 DD E9 05 32 52 44 CD F8 04 E0 ?? ?? ?? ?? 07 B0 BD E8 F0 8F }
	condition:
		$1
}

rule file_668_126_0 {
	meta:
		name = "?assemble_floating_point_zero@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z"
		size = 50
		refs = "0010 ?as_double@floating_point_value@__crt_strtox@@QBAAANXZ 0018 ??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z 001e ?as_float@floating_point_value@__crt_strtox@@QBAAAMXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0B 79 04 46 08 46 33 B1 ?? ?? ?? ?? 01 46 20 46 ?? ?? ?? ?? 07 E0 ?? ?? ?? ?? 0C B1 01 23 00 E0 00 23 DB 07 03 60 BD E8 18 88 }
	condition:
		$1
}

rule file_668_127_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAIABUbig_integer@1@@Z"
		size = 52
	strings:
		$1 = { 2D E9 00 48 EB 46 01 68 09 B9 00 20 10 E0 50 F8 21 30 01 20 B3 FA 83 F3 C3 F1 1F 02 A0 EB 53 13 DB B2 0B B1 52 1C 00 E0 00 22 4B 1E 02 EB 43 10 BD E8 00 88 }
	condition:
		$1
}

rule file_668_128_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAII@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 B0 FA 80 F3 01 21 C3 F1 1F 02 A1 EB 53 13 DB B2 0B B1 50 1C 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_129_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAI_K@Z"
		size = 78
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 79 B9 B0 F1 FF 3F 0C D8 B0 FA 80 F3 01 21 C3 F1 1F 02 A1 EB 53 13 DB B2 0B B1 50 1C 0F E0 00 20 0D E0 B1 FA 81 F3 01 21 C3 F1 1F 02 A1 EB 53 13 DB B2 0B B1 53 1C 00 E0 00 23 03 F1 20 00 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_668_132_0 {
	meta:
		name = "?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
		size = 6232
		refs = "0008 __security_push_cookie 005c memset 00da memcpy 00ea _errno 00f2 _invalid_parameter_noinfo 0a38 memcpy_s 0a48 ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 0a4c ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 0a50 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 0abe ?assemble_floating_point_infinity@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 13c6 ?assemble_floating_point_zero@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 1724 ?divide@__crt_strtox@@YA_KAAUbig_integer@1@ABU21@@Z 1816 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z 1832 ?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@ABUbig_integer@1@I_N1ABVfloating_point_value@1@@Z 183a __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AD F5 33 6D 0B 79 04 46 10 91 0E 94 0B B1 35 23 00 E0 18 23 5B 1C 11 93 D4 E9 00 32 4F F4 E6 7A 00 2B B8 BF 00 23 93 42 19 46 28 BF 11 46 5B 1A 07 93 63 18 03 F1 08 09 A3 18 08 33 06 93 A3 EB 09 03 CD E9 0A 39 00 23 15 A8 52 46 CC 21 14 93 ?? ?? ?? ?? 14 9F 08 34 DF F8 E4 09 DF F8 E8 29 00 21 02 97 4F F0 00 08 4C 45 00 F0 F6 82 14 AE 14 AD 00 20 8E 46 09 29 7C D1 C7 B3 DF F8 CC 59 00 21 14 A8 50 F8 04 3F A3 FB 05 32 5B 18 42 F1 00 01 7F 1E 03 60 F5 D1 14 AD 31 B3 14 9B 73 2B 06 D2 06 EB 83 03 59 60 14 9F 7F 1C 14 97 1D E0 52 46 CC 21 89 A8 CD F8 20 E2 ?? ?? ?? ?? 88 9F 14 97 BA 00 12 D0 52 45 04 D8 89 A9 15 A8 ?? ?? ?? ?? 0A E0 52 46 00 21 15 A8 ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 14 9F 00 20 B8 F1 00 0F 3A D0 00 21 77 B1 14 AA 00 26 52 F8 04 3F 13 EB 08 03 13 60 14 9F 46 F1 00 08 49 1C 02 97 B9 42 F3 D1 14 AE B8 F1 00 0F 26 D0 73 2F 07 D2 05 EB 87 03 C3 F8 04 80 14 9F 7F 1C 14 97 1C E0 88 90 89 A8 52 46 CC 21 ?? ?? ?? ?? 88 9F 14 97 BA 00 12 D0 52 45 04 D8 89 A9 15 A8 ?? ?? ?? ?? 0A E0 52 46 00 21 15 A8 ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 14 9F 00 21 00 20 86 46 4F F0 00 08 14 F8 01 3B 08 EB 88 02 49 1C 03 EB 42 08 4C 45 7F F4 77 AF 02 97 02 97 02 97 02 97 02 97 02 97 02 97 02 97 02 97 CD F8 24 80 12 91 00 29 00 F0 58 82 DF F8 A0 38 A1 FB 03 32 D3 08 08 93 99 46 04 93 00 F0 C8 81 DD F8 54 80 DF F8 80 28 B9 F1 26 0F 88 BF 26 23 98 BF 4B 46 02 EB 83 06 52 46 0D F2 94 70 CC 21 05 93 ?? ?? ?? ?? 16 F8 01 4C 16 F8 02 5C 0D F2 94 70 00 21 2B 19 AA 00 CD F8 90 37 ?? ?? ?? ?? 36 F8 04 3C DF F8 44 18 A2 00 01 EB 83 01 0D F2 94 73 03 EB 85 00 ?? ?? ?? ?? DD F8 90 67 01 2E 65 D8 DD F8 94 07 08 BB 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9F 02 97 14 97 BA 00 00 F0 7A 81 52 45 04 D8 89 A9 15 A8 ?? ?? ?? ?? 0A E0 15 A8 52 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 14 9F 02 97 64 E1 01 28 00 F0 62 81 00 2F 00 F0 5F 81 00 21 14 AC 54 F8 04 3F A0 FB 03 32 5B 18 42 F1 00 01 7F 1E 23 60 F5 D1 00 29 E8 D0 14 9A 73 2A 07 D2 14 AB 03 EB 82 03 59 60 14 9F 7F 1C 14 97 DE E7 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9F 02 97 14 97 BA 00 13 D0 52 45 04 D8 89 A9 15 A8 ?? ?? ?? ?? 0A E0 15 A8 52 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 14 9F 02 97 00 23 24 E1 01 2F 65 D8 37 46 02 97 44 46 14 96 B2 00 08 D0 52 45 20 D8 0D F2 94 71 15 A8 ?? ?? ?? ?? 14 9F 02 97 22 25 2C BB 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9F 02 97 14 97 BA 00 00 F0 04 81 52 45 89 D9 15 A8 00 21 52 46 ?? ?? ?? ?? ?? ?? ?? ?? 05 60 8E E7 15 A8 52 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 22 25 05 60 ?? ?? ?? ?? 14 9F 02 97 D8 E7 01 2C 00 F0 E8 80 00 2F 00 F0 E5 80 00 21 14 A8 50 F8 04 3F A4 FB 03 32 5B 18 42 F1 00 01 7F 1E 03 60 F5 D1 00 29 3F F4 6E AF 14 9A 73 2A 84 D3 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9F 02 97 14 97 BA 00 A0 D0 52 45 8C D9 15 A8 00 21 52 46 ?? ?? ?? ?? ?? ?? ?? ?? 05 60 91 E7 BE 42 08 D2 0D F2 94 74 0D F1 54 09 B0 46 CD F8 3C 90 3E 46 04 E0 15 AC 0D F2 94 73 0F 93 B8 46 00 23 FD A8 52 46 CC 21 FC 93 CD F8 34 80 ?? ?? ?? ?? FC 9F 00 25 B8 F1 00 0F 02 97 5F D0 FC AB 0D F5 7C 7E E3 1A 03 93 53 F8 0E 90 B9 F1 00 0F 08 D1 BD 42 4E D1 00 22 6F 1C CE F8 04 20 02 97 FC 97 47 E0 00 21 0C 91 88 46 28 46 F6 B3 0F 9B 74 46 1A 46 73 28 20 D0 B8 42 05 D1 00 23 63 60 08 EB 05 03 5B 1C FC 93 52 F8 04 3B 08 F1 01 08 13 92 A3 FB 09 21 54 F8 04 3F 9B 18 41 F1 00 02 0C 99 5B 18 23 60 FC 9F 42 F1 00 01 40 1C 02 97 0C 91 B0 45 01 D0 13 9A DC E7 B1 B1 FC AB 03 EB 80 02 73 28 11 D0 B8 42 03 D1 00 23 53 60 43 1C FC 93 52 F8 04 3F 00 24 5B 18 13 60 FC 9F 44 EB 04 01 40 1C 02 97 00 29 EB D1 03 9B 73 28 10 D0 DD F8 34 80 6D 1C 45 45 0E F1 04 0E A4 D1 14 97 BA 00 37 D0 52 45 28 D8 FD A9 15 A8 ?? ?? ?? ?? 2E E0 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9F 02 97 14 97 BA 00 13 D0 52 45 04 D8 89 A9 15 A8 ?? ?? ?? ?? 0A E0 15 A8 52 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 14 9F 02 97 DD F8 10 90 00 23 0F E0 15 A8 52 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 14 9F 02 97 DD F8 10 90 01 23 8B B3 05 9B DD F8 54 80 B9 EB 03 09 CD F8 10 90 7F F4 3C AE 12 99 08 9B 03 EB 83 03 B1 EB 43 03 35 D0 DF F8 E4 24 02 EB 83 03 53 F8 04 0C D0 B1 01 28 2C D0 5F B3 00 21 14 AC 54 F8 04 3F A0 FB 03 32 5B 18 42 F1 00 01 7F 1E 23 60 F5 D1 E1 B1 14 9A 73 2A 07 D2 14 AB 03 EB 82 03 59 60 14 9F 7F 1C 14 97 12 E0 00 23 52 46 CC 21 89 A8 88 93 ?? ?? ?? ?? 88 9F BA 00 14 97 02 97 07 D0 52 45 23 D8 89 A9 15 A8 ?? ?? ?? ?? 14 9F 02 97 22 25 09 98 00 28 46 D0 00 21 67 B1 14 AA 00 24 52 F8 04 3F 1B 18 13 60 14 9F 44 F1 00 00 49 1C 02 97 B9 42 F4 D1 B0 B3 73 2F 15 D2 14 AB 03 EB 87 03 58 60 14 9F 7F 1C 14 97 2B E0 15 A8 52 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 22 25 05 60 ?? ?? ?? ?? 14 9F 02 97 D4 E7 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9F 02 97 14 97 BA 00 12 D0 52 45 04 D8 89 A9 15 A8 ?? ?? ?? ?? 09 E0 15 A8 00 21 52 46 ?? ?? ?? ?? ?? ?? ?? ?? 05 60 ?? ?? ?? ?? 14 9F 02 97 FC 4A F9 48 07 99 DD F8 54 90 00 29 00 F0 E7 81 A1 FB 02 32 D3 08 08 93 98 46 03 93 00 F0 C3 81 01 E0 DD F8 54 90 B8 F1 26 0F 88 BF 26 23 98 BF 43 46 00 EB 83 06 0D F2 94 70 52 46 CC 21 0C 93 ?? ?? ?? ?? 16 F8 01 4C 16 F8 02 5C 0D F2 94 70 00 21 2B 19 AA 00 CD F8 90 37 ?? ?? ?? ?? 36 F8 04 3C E2 49 A2 00 01 EB 83 01 0D F2 94 73 03 EB 85 00 ?? ?? ?? ?? DD F8 90 47 01 2C 65 D8 DD F8 94 07 08 BB 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9F 02 97 14 97 BA 00 00 F0 77 81 52 45 04 D8 89 A9 15 A8 ?? ?? ?? ?? 0A E0 15 A8 52 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 14 9F 02 97 61 E1 01 28 00 F0 5F 81 00 2F 00 F0 5C 81 00 21 14 AC 54 F8 04 3F A0 FB 03 32 5B 18 42 F1 00 01 7F 1E 23 60 F5 D1 00 29 E8 D0 14 9A 73 2A 07 D2 14 AB 03 EB 82 03 59 60 14 9F 7F 1C 14 97 DE E7 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9F 02 97 14 97 BA 00 13 D0 52 45 04 D8 89 A9 15 A8 ?? ?? ?? ?? 0A E0 15 A8 52 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 14 9F 02 97 00 23 21 E1 01 2F 65 D8 27 46 02 97 4D 46 14 94 A2 00 08 D0 52 45 20 D8 0D F2 94 71 15 A8 ?? ?? ?? ?? 14 9F 02 97 22 24 2D BB 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9F 02 97 14 97 BA 00 00 F0 01 81 52 45 89 D9 15 A8 00 21 52 46 ?? ?? ?? ?? ?? ?? ?? ?? 04 60 8E E7 15 A8 52 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 22 24 04 60 ?? ?? ?? ?? 14 9F 02 97 D8 E7 01 2D 00 F0 E5 80 00 2F 00 F0 E2 80 00 21 14 A8 50 F8 04 3F A5 FB 03 32 5B 18 42 F1 00 01 7F 1E 03 60 F5 D1 00 29 3F F4 6E AF 14 9A 73 2A 84 D3 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9F 02 97 14 97 BA 00 A0 D0 52 45 8C D9 15 A8 00 21 52 46 ?? ?? ?? ?? ?? ?? ?? ?? 04 60 91 E7 BC 42 08 D2 0D F2 94 76 0D F1 54 09 A0 46 CD F8 14 90 3C 46 04 E0 15 AE 0D F2 94 73 05 93 B8 46 00 23 FD A8 52 46 CC 21 FC 93 CD F8 34 80 ?? ?? ?? ?? FC 9F 00 25 B8 F1 00 0F 02 97 5C D0 FC AB 0D F5 7C 7E F3 1A 04 93 53 F8 0E 90 B9 F1 00 0F 08 D1 BD 42 4B D1 00 22 6F 1C CE F8 04 20 02 97 FC 97 44 E0 00 21 88 46 28 46 E4 B3 05 9B 76 46 1A 46 73 28 1E D0 B8 42 05 D1 00 23 73 60 08 EB 05 03 5B 1C FC 93 52 F8 04 3B 08 F1 01 08 09 92 A3 FB 09 32 C9 18 56 F8 04 3F 42 F1 00 02 5B 18 33 60 FC 9F 42 F1 00 01 40 1C 02 97 A0 45 01 D0 09 9A DE E7 B1 B1 FC AB 03 EB 80 02 73 28 11 D0 B8 42 03 D1 00 23 53 60 43 1C FC 93 52 F8 04 3F 00 26 5B 18 13 60 FC 9F 46 EB 06 01 40 1C 02 97 00 29 EB D1 04 9B 73 28 10 D0 DD F8 34 80 6D 1C 45 45 0E F1 04 0E A7 D1 14 97 BA 00 37 D0 52 45 28 D8 FD A9 15 A8 ?? ?? ?? ?? 2E E0 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9F 02 97 14 97 BA 00 13 D0 52 45 04 D8 89 A9 15 A8 ?? ?? ?? ?? 0A E0 15 A8 52 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 14 9F 02 97 DD F8 0C 80 00 23 0F E0 15 A8 52 46 00 21 ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 14 9F 02 97 DD F8 0C 80 01 23 00 2B 50 D0 0C 9B 15 48 B8 EB 03 08 CD F8 0C 80 7F F4 40 AE DD E9 07 13 03 EB 83 03 B1 EB 43 03 16 D0 0D 4A 02 EB 83 03 53 F8 04 0C F0 B9 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9B 89 AA 51 46 14 93 9B 00 15 A8 ?? ?? ?? ?? 14 9F 02 97 00 2F 41 D1 00 21 51 E0 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? CD CC CC CC 00 CA 9A 3B 01 28 EF D0 00 2F EF D0 00 21 14 AC 54 F8 04 3F A0 FB 03 32 5B 18 42 F1 00 01 7F 1E 23 60 F5 D1 00 29 DD D0 14 9A 73 2A 07 D2 14 AB 03 EB 82 03 59 60 14 9F 7F 1C 14 97 D3 E7 00 23 52 46 CC 21 89 A8 88 93 ?? ?? ?? ?? 88 9B 89 AA 51 46 14 93 9B 00 15 A8 ?? ?? ?? ?? 0E 9A 10 9C 92 F8 08 03 21 46 ?? ?? ?? ?? 03 20 00 F0 B7 BE 14 AB 53 F8 27 30 01 21 B3 FA 83 F3 C3 F1 1F 02 A1 EB 53 13 DB B2 0B B1 52 1C 00 E0 00 22 7B 1E 02 EB 43 11 11 9B 0F 91 99 42 80 F0 93 86 0A 9C 00 2C 00 F0 93 86 00 23 0D F2 C4 50 52 46 CC 21 CD F8 C0 35 ?? ?? ?? ?? DD F8 2C 90 06 9B DD F8 C0 85 00 26 00 21 99 45 00 F0 61 82 0D F5 B8 65 00 20 0D F5 B8 64 00 27 8E 46 09 29 6D D1 B8 F1 00 0F 34 D0 DF F8 14 4D 00 21 0D F5 B8 60 50 F8 04 3F A3 FB 04 32 5B 18 42 F1 00 01 B8 F1 01 08 03 60 F4 D1 0D F5 B8 64 F1 B1 DD F8 C0 35 73 2B 09 D2 05 EB 83 03 59 60 DD F8 C0 85 08 F1 01 08 CD F8 C0 85 12 E0 52 46 CC 21 89 A8 CD F8 20 E2 ?? ?? ?? ?? 88 9B 89 AA 51 46 CD F8 C0 35 9B 00 0D F2 C4 50 ?? ?? ?? ?? DD F8 C0 85 00 20 86 B3 00 21 B8 F1 00 0F 0C D0 0D F5 B8 62 52 F8 04 3F 9B 19 13 60 DD F8 C0 85 40 F1 00 06 49 1C 41 45 F4 D1 F6 B1 B8 F1 73 0F 09 D2 04 EB 88 03 5E 60 DD F8 C0 85 08 F1 01 08 CD F8 C0 85 11 E0 52 46 CC 21 89 A8 88 97 ?? ?? ?? ?? 88 9B 89 AA 51 46 CD F8 C0 35 9B 00 0D F2 C4 50 ?? ?? ?? ?? DD F8 C0 85 00 26 00 21 00 20 86 46 19 F8 01 3B 06 EB 86 02 49 1C 03 EB 42 06 06 9B 99 45 85 D1 02 9F 13 96 08 91 00 29 00 F0 D9 81 DF F8 1C 3C A1 FB 03 32 D3 08 12 93 99 46 03 93 00 F0 3E 81 DF F8 04 2C B9 F1 26 0F 88 BF 26 23 98 BF 4B 46 02 EB 83 06 52 46 0D F2 94 70 CC 21 05 93 ?? ?? ?? ?? 16 F8 01 4C 16 F8 02 5C 0D F2 94 70 00 21 2B 19 AA 00 CD F8 90 37 ?? ?? ?? ?? 36 F8 04 3C DF F8 C0 1B A2 00 01 EB 83 01 0D F2 94 73 03 EB 85 00 ?? ?? ?? ?? DD F8 90 37 01 2B 51 D8 DD F8 94 07 88 B9 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9B 89 AA 51 46 CD F8 C0 35 9B 00 0D F2 C4 50 ?? ?? ?? ?? EB E0 01 28 00 F0 EB 80 B8 F1 00 0F 00 F0 E7 80 00 21 0D F5 B8 64 54 F8 04 3F A0 FB 03 32 5B 18 42 F1 00 01 B8 F1 01 08 23 60 F4 D1 00 29 00 F0 D4 80 DD F8 C0 25 73 2A 0B D2 0D F5 B8 63 03 EB 82 03 59 60 DD F8 C0 85 08 F1 01 08 CD F8 C0 85 C5 E0 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9B 89 AA 0D F2 C4 50 CD F8 C0 35 9B 00 51 46 ?? ?? ?? ?? DD F8 C0 85 00 23 B1 E0 B8 F1 01 0F 25 D8 CD F8 C0 35 DD F8 C4 45 9B 00 0D F2 94 72 0D F2 C4 50 51 46 ?? ?? ?? ?? 00 2C 9F D0 DD F8 C0 85 01 2C 00 F0 9B 80 B8 F1 00 0F 00 F0 97 80 00 21 0D F5 B8 60 50 F8 04 3F A4 FB 03 32 5B 18 42 F1 00 01 B8 F1 01 08 03 60 F4 D1 AE E7 43 45 07 D2 0D F2 94 75 0D F2 C4 59 CD F8 18 90 1E 46 06 E0 0D F2 C4 55 0D F2 94 72 46 46 06 92 98 46 00 23 FD A8 52 46 CC 21 FC 93 04 96 ?? ?? ?? ?? FC 9A 00 24 00 2E 5D D0 FC AB FC AE E9 1A 04 9B 09 91 89 59 0B 91 31 B9 94 42 4E D1 00 22 72 60 62 1C FC 92 49 E0 4F F0 00 0E F1 46 20 46 B8 F1 00 0F 3F D0 06 9B 35 46 07 93 73 28 1F D0 90 42 05 D1 00 23 6B 60 09 EB 04 03 5B 1C FC 93 07 9A 09 F1 01 09 52 F8 04 3B 07 92 A3 FB 01 21 55 F8 04 3F 9B 18 41 F1 00 02 13 EB 0E 03 42 F1 00 0E 40 1C 2B 60 FC 9A C1 45 01 D0 0B 99 DD E7 BE F1 00 0F 17 D0 FC AB 03 EB 80 01 73 28 12 D0 90 42 03 D1 00 23 4B 60 43 1C FC 93 51 F8 04 3F 00 22 13 EB 0E 03 42 EB 02 0E 40 1C 0B 60 FC 9A BE F1 00 0F EA D1 73 28 4E D0 04 9B 64 1C 09 99 36 1D 9C 42 A6 D1 CD F8 C0 25 93 00 FD AA 0D F2 C4 50 51 46 ?? ?? ?? ?? DD F8 0C 90 DD F8 C0 85 01 23 00 2B 4F D0 05 9B B9 EB 03 09 CD F8 0C 90 7F F4 C4 AE 08 99 12 9B 03 EB 83 03 B1 EB 43 03 54 D0 DF F8 74 29 02 EB 83 03 53 F8 04 0C D0 B3 01 28 4B D0 B8 F1 00 0F 48 D0 00 21 0D F5 B8 64 54 F8 04 3F A0 FB 03 32 5B 18 42 F1 00 01 B8 F1 01 08 23 60 F4 D1 B9 B3 DD F8 C0 25 73 2A 22 D2 0D F5 B8 63 03 EB 82 03 59 60 DD F8 C0 85 08 F1 01 08 CD F8 C0 85 29 E0 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9B 89 AA 0D F2 C4 50 CD F8 C0 35 9B 00 51 46 ?? ?? ?? ?? DD F8 C0 85 DD F8 0C 90 00 23 AD E7 00 23 52 46 CC 21 89 A8 88 93 ?? ?? ?? ?? 88 9B 89 AA 51 46 CD F8 C0 35 9B 00 0D F2 C4 50 ?? ?? ?? ?? DD F8 C0 85 13 98 A0 B3 00 21 B8 F1 00 0F 0D D0 0D F5 B8 62 00 24 52 F8 04 3F 1B 18 13 60 DD F8 C0 85 44 F1 00 00 49 1C 41 45 F4 D1 08 B3 B8 F1 73 0F 0B D2 0D F5 B8 63 03 EB 88 03 58 60 DD F8 C0 85 08 F1 01 08 CD F8 C0 85 12 E0 00 23 89 A8 52 46 CC 21 88 93 ?? ?? ?? ?? 88 9B 89 AA 51 46 CD F8 C0 35 9B 00 0D F2 C4 50 ?? ?? ?? ?? DD F8 C0 85 0A 9C 0E 9A 13 68 00 2B 01 DA E4 1A 0A 94 FD A8 52 46 CC 21 ?? ?? ?? ?? 01 21 00 23 }
	condition:
		$1
}

rule file_668_133_0 {
	meta:
		name = "?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
		size = 152
		refs = "0090 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 0C 46 23 79 00 27 06 46 BE 46 0B B1 35 22 00 E0 18 22 33 68 06 F1 08 01 13 44 A3 F1 01 08 73 68 33 44 03 F1 08 00 81 42 1C D0 25 79 2D B1 4F F4 00 13 5B 1E 6F F0 00 02 02 E0 6F F0 7F 42 00 23 9E 45 0F D8 01 D3 97 42 0C D8 3B 0F 43 EA 0E 12 0B 78 A8 F1 04 08 13 EB 07 17 42 F1 00 0E 49 1C 81 42 E3 D1 01 23 06 E0 3B B1 11 F8 01 3B 0B B9 01 23 00 E0 00 23 81 42 F6 D1 00 93 96 F8 08 33 42 46 71 46 38 46 01 94 ?? ?? ?? ?? BD E8 FE 89 }
	condition:
		$1
}

rule file_668_134_0 {
	meta:
		name = "?count_sequential_high_zeroes@__crt_strtox@@YAII@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 B0 FA 80 F3 01 21 C3 F1 1F 02 A1 EB 53 13 DB B2 C2 F1 1F 00 03 B9 20 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_136_0 {
	meta:
		name = "?data@?$scanset_storage@$01@__crt_stdio_input@@QBAPAEXZ"
		size = 64
		refs = "001e _calloc_dbg 0028 _free_dbg 003c ??_C@_0DH@PKLJEKJC@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 05 46 2B 68 9B B9 40 F2 0B 13 00 93 09 4B 02 22 01 21 4F F4 00 50 ?? ?? ?? ?? 04 46 28 68 02 21 ?? ?? ?? ?? 02 21 00 20 2C 60 ?? ?? ?? ?? 28 68 BD E8 3C 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_137_0 {
	meta:
		name = "?denormal_mantissa_mask@floating_point_value@__crt_strtox@@QBA_KXZ"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 03 79 2B B1 4F F4 80 11 49 1E 6F F0 00 00 03 E0 4F F4 00 00 40 1E 00 21 BD E8 00 88 }
	condition:
		$1
}

rule file_668_138_0 {
	meta:
		name = "?divide@__crt_strtox@@YA_KAAUbig_integer@1@ABU21@@Z"
		size = 1156
		refs = "0008 __security_push_cookie 0040 _CrtDbgReportW 006e memset 0082 _errno 0092 memcpy 00aa _invalid_parameter_noinfo 0108 __rt_udiv 0140 __rt_udiv64 0470 __security_pop_cookie 0478 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 047c ??_C@_1GO@BFGDDONN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0480 ??_C@_1DI@GICAMMFM@?$AA?$CI?$AA?$CC?$AAD?$AAi?$AAv?$AAi?$AAs?$AAi?$AAo?$AAn?$AA?5?$AAb?$AAy?$AA?5?$AAz?$AAe?$AAr?$AAo?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AD F5 08 7D 04 46 22 68 8A 46 0B 91 10 94 12 B9 00 27 00 26 22 E2 DA F8 00 30 8B B9 DF F8 54 34 DF F8 4C 14 40 F2 DA 22 01 93 DF F8 40 34 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 E9 D1 FE DE E7 E7 55 1E 5B 1E 40 F0 B1 80 DA F8 04 90 B9 F1 01 0F 28 D1 4F F4 E6 75 67 68 00 23 2A 46 15 A8 CC 21 14 93 ?? ?? ?? ?? 14 9B 9A 00 00 2A 23 60 D0 D0 14 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 AA 42 04 D8 15 A9 20 1D ?? ?? ?? ?? C2 E7 2A 46 00 21 20 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? B6 E7 A5 BB 4F F4 E6 75 66 68 00 23 2A 46 15 A8 CC 21 14 93 ?? ?? ?? ?? 14 9B 9A 00 23 60 C2 B1 14 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 AA 42 04 D8 15 A9 20 1D ?? ?? ?? ?? 0A E0 2A 46 00 21 20 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 31 46 48 46 00 B9 F9 DE ?? ?? ?? ?? 07 46 61 60 09 B1 01 23 00 E0 00 23 23 60 80 E7 00 26 00 27 B2 46 B0 46 B5 F1 FF 3F 15 D0 04 EB 85 03 0E 93 1C 46 6D 1C 62 68 53 46 00 21 48 46 00 B9 F9 DE ?? ?? ?? ?? 3E 46 24 1F 98 46 92 46 0F 91 07 46 6D 1E EF D1 10 9C 4F F4 E6 75 00 23 2A 46 15 A8 CC 21 14 93 ?? ?? ?? ?? 14 9A 22 60 92 00 C2 B1 14 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 AA 42 04 D8 15 A9 20 1D ?? ?? ?? ?? 0A E0 2A 46 00 21 20 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? B8 F1 00 0F 18 BF 02 23 08 BF 01 23 C4 E9 01 A8 23 60 58 E1 AB 42 3F F6 30 AF 03 F1 01 0E E9 1A CD F8 30 E0 8D 42 2A 46 0F DB 6B 1A 0A EB 83 03 04 EB 85 00 5E 68 47 68 BE 42 05 D1 52 1E 1B 1F 00 1F 8A 42 F6 DA 00 E0 00 D2 49 1C 00 29 3F F4 14 AF 0A EB 8E 00 50 E9 01 96 01 27 B6 FA 86 F3 C3 F1 1F 02 A7 EB 53 13 DB B2 0A 96 13 B1 C2 F1 1F 08 01 E0 4F F0 20 08 CD F8 0C 80 C8 F1 20 07 B8 F1 00 0F 10 D0 29 FA 07 F2 06 FA 08 F3 42 EA 03 06 0A 96 09 FA 08 F9 BE F1 02 0F 04 D9 50 F8 08 3C FB 40 49 EA 03 09 4B 1E 00 27 00 26 0D 93 00 2B C0 F2 F1 80 03 EB 0E 02 04 EB 83 03 CD E9 04 32 04 EB 82 01 00 20 AA 42 01 D8 4A 68 00 E0 00 22 51 F8 04 69 12 92 09 90 D1 F8 00 E0 0E 91 13 46 CD F8 20 E0 B8 F1 00 0F 23 D0 C8 F1 20 03 26 FA 03 F3 02 FA 08 F2 42 EA 03 01 C8 F1 20 04 A8 F1 20 03 2E FA 04 F0 06 FA 08 F2 06 FA 03 F3 40 EA 02 06 05 9A 0E FA 08 FE 0B 43 03 2A CD F8 20 E0 07 D3 0E 9A 52 F8 04 1C E1 40 4E EA 01 0E CD F8 20 E0 0A 9C 32 46 00 21 20 46 00 B9 F9 DE ?? ?? ?? ?? 16 46 0A 46 01 46 CD E9 06 13 02 92 4F F0 00 0E 92 B1 4B 1C 6F EA 0E 01 42 EB 01 00 A3 FB 04 13 6F F0 00 02 00 FB 04 33 76 18 43 F1 00 0E 00 23 11 46 02 93 06 91 01 E0 6F F0 00 02 BE F1 00 0F 21 D8 01 D3 96 42 1E D8 08 9A DD F8 08 A0 6F F0 00 08 A9 FB 01 03 09 FB 0A 33 B3 42 0C D3 01 D8 90 42 09 D9 11 EB 08 01 4A EB 08 0A 36 19 4E F1 00 0E BE F1 00 0F EC D0 DD F8 0C 80 CD F8 08 A0 DD F8 2C A0 06 91 02 9C 0C B9 00 29 50 D0 DD F8 30 E0 00 25 00 20 BE F1 00 0F 1F D0 04 9E DD F8 08 80 74 46 DD F8 18 E0 CD F8 20 A0 5A F8 04 1F A1 FB 0E 23 01 FB 08 33 52 19 43 EB 00 05 73 68 00 20 93 42 01 D2 6D 1C 40 41 9B 1A 46 F8 04 3F 64 1E EB D1 DD E9 02 48 DD E9 0B AE 00 23 83 42 22 D8 02 D3 12 9B AB 42 1E D2 00 22 BE F1 00 0F 13 D0 04 9B 55 46 90 46 18 46 50 F8 04 3F D2 18 55 F8 04 3F 48 F1 00 01 9B 18 41 F1 00 02 BE F1 01 0E 03 60 F1 D1 DD F8 0C 80 06 99 6F F0 00 03 C9 18 63 41 13 93 00 E0 06 99 05 9A 55 1E 00 E0 05 9A 04 98 0D 9B 3E 46 00 1F 5B 1E 52 1E CD E9 04 02 0F 46 0E 99 4F F0 00 00 0D 93 00 2B BF F6 19 AF 10 9C 23 68 6A 1C 11 46 9A 42 08 D2 04 EB 82 00 00 25 40 F8 04 5F 23 68 49 1C 99 42 F9 D3 22 60 32 B1 22 68 54 F8 22 30 13 B9 53 1E 23 60 F8 D1 38 46 31 46 0D F5 08 7D ?? ?? ?? ?? BD E8 F0 8F ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_141_0 {
	meta:
		name = "?exponent_bias@floating_point_value@__crt_strtox@@QBAHXZ"
		size = 20
		altNames = "?maximum_binary_exponent@floating_point_value@__crt_strtox@@QBAHXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 79 40 F2 FF 30 03 B9 7F 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_143_0 {
	meta:
		name = "?get@?$console_input_adapter@D@__crt_stdio_input@@QAAHXZ"
		size = 30
		refs = "000a _getche_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? B0 F1 FF 3F 02 D0 23 68 5B 1C 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_668_144_0 {
	meta:
		name = "?get@?$console_input_adapter@_W@__crt_stdio_input@@QAAGXZ"
		size = 32
		refs = "000a _getwche_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 4F F6 FF 73 98 42 02 D0 23 68 5B 1C 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_668_145_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAADXZ"
		size = 74
		refs = "0030 _getche_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B D0 E9 04 32 D0 E9 02 14 5B 1C 42 F1 00 02 C0 E9 04 32 51 EA 04 03 06 D0 D0 E9 04 23 A3 42 02 D3 0C D8 8A 42 0A D8 04 68 ?? ?? ?? ?? B0 F1 FF 3F 04 D0 23 68 40 B2 5B 1C 23 60 00 E0 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_146_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_WXZ"
		size = 76
		refs = "0030 _getwche_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B D0 E9 04 32 D0 E9 02 14 5B 1C 42 F1 00 02 C0 E9 04 32 51 EA 04 03 06 D0 D0 E9 04 23 A3 42 02 D3 0D D8 8A 42 0B D8 04 68 ?? ?? ?? ?? 4F F6 FF 72 90 42 04 D0 23 68 5B 1C 23 60 90 42 00 D1 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_147_0 {
	meta:
		name = "?invert@?$scanset_buffer@E@__crt_stdio_input@@QAAXXZ"
		size = 40
	strings:
		$1 = { 2D E9 00 48 EB 46 00 F1 20 03 1A 1A 00 21 98 42 88 BF 00 22 32 B1 03 78 49 1C DB 43 00 F8 01 3B 91 42 F8 D1 BD E8 00 88 }
	condition:
		$1
}

rule file_668_148_0 {
	meta:
		name = "?invert@?$scanset_buffer@_W@__crt_stdio_input@@QAAXXZ"
		size = 96
		refs = "0020 _calloc_dbg 002a _free_dbg 005c ??_C@_0DH@PKLJEKJC@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 05 46 2B 68 4F F4 00 56 93 B9 40 F2 0B 13 00 93 10 4B 02 22 01 21 30 46 ?? ?? ?? ?? 04 46 28 68 02 21 ?? ?? ?? ?? 02 21 00 20 2C 60 ?? ?? ?? ?? 2A 68 00 20 93 19 99 1A 9A 42 88 BF 00 21 31 B1 13 78 40 1C DB 43 02 F8 01 3B 88 42 F8 D1 BD E8 7E 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_149_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@H@Z"
		size = 84
		refs = "0020 ?scanset@?$format_string_parser@D@__crt_stdio_input@@QBAABV?$scanset_buffer@E@2@XZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 14 46 B2 F1 FF 3F 01 D1 00 20 1D E0 D9 B1 01 29 13 D0 08 29 F8 D1 10 30 ?? ?? ?? ?? E1 B2 CB 10 A1 EB C3 03 01 22 9A 40 CB 08 1B 5C 1A 42 18 BF 01 23 08 BF 00 23 00 2B 04 E0 A4 F1 09 03 04 2B E2 D9 20 2C E0 D0 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_150_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NW4conversion_mode@2@G@Z"
		size = 66
		refs = "0022 ?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBAABV?$scanset_buffer@_W@2@XZ 0028 ?test@?$scanset_buffer@_W@__crt_stdio_input@@QBA_N_W@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 14 46 4F F6 FF 73 9C 42 01 D1 00 20 13 E0 89 B1 01 29 09 D0 08 29 F8 D1 10 30 ?? ?? ?? ?? 21 46 ?? ?? ?? ?? 00 28 04 E0 09 2C 01 D3 0D 2C EC D9 20 2C EA D0 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_151_0 {
	meta:
		name = "?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
		size = 44
	strings:
		$1 = { 2D E9 00 48 EB 46 A0 F1 30 03 09 2B 01 D8 01 20 0A E0 A0 F1 61 03 19 2B F9 D9 A0 F1 41 03 19 2B F5 D9 5F 28 F3 D0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_153_0 {
	meta:
		name = "?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z"
		size = 36
		refs = "0020 ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 EB 40 03 01 EB 83 02 04 4B D3 5C 0B B1 01 20 00 E0 00 20 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_154_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z"
		size = 54
		refs = "001a _isctype_l 0026 _chvalidator_l"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 0C 46 4C B1 23 68 5B 68 01 2B 05 DD 0A 46 08 21 C0 B2 ?? ?? ?? ?? 04 E0 C1 B2 20 46 08 22 ?? ?? ?? ?? 08 B1 01 20 00 E0 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_155_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z"
		size = 24
		refs = "0008 iswctype"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 21 ?? ?? ?? ?? 08 B1 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_156_0 {
	meta:
		name = "?is_usable@?$scanset_buffer@E@__crt_stdio_input@@QAA_NXZ"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 08 B1 01 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_157_0 {
	meta:
		name = "?is_usable@?$scanset_buffer@_W@__crt_stdio_input@@QAA_NXZ"
		size = 72
		refs = "001e _calloc_dbg 0028 _free_dbg 0044 ??_C@_0DH@PKLJEKJC@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 05 46 2B 68 9B B9 40 F2 0B 13 00 93 0B 4B 02 22 01 21 4F F4 00 50 ?? ?? ?? ?? 04 46 28 68 02 21 ?? ?? ?? ?? 02 21 00 20 2C 60 ?? ?? ?? ?? 2B 68 0B B1 01 20 00 E0 00 20 BD E8 3C 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_161_0 {
	meta:
		name = "?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ"
		size = 120
		refs = "0022 _CrtDbgReportW 004e ?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 0056 ?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 04 2B 0D D0 18 4B 17 49 40 F2 3E 22 01 93 14 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE A3 6A 00 2B 09 DB 01 2B 12 DD 06 2B 0C DD 07 2B 06 D0 08 2B 0C D0 09 2B 06 D0 00 20 BD E8 1E 88 20 6A ?? ?? ?? ?? F9 E7 20 6A ?? ?? ?? ?? F5 E7 94 F8 24 30 0B B1 02 20 F0 E7 01 20 EE E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_162_0 {
	meta:
		name = "?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ"
		size = 120
		refs = "0022 _CrtDbgReportW 004e ?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 0056 ?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0070 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0074 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 04 2B 0D D0 18 4B 17 49 40 F2 3E 22 01 93 14 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 23 6B 00 2B 09 DB 01 2B 12 DD 06 2B 0C DD 07 2B 06 D0 08 2B 0C D0 09 2B 06 D0 00 20 BD E8 1E 88 A0 6A ?? ?? ?? ?? F9 E7 A0 6A ?? ?? ?? ?? F5 E7 94 F8 2C 30 0B B1 02 20 F0 E7 01 20 EE E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_163_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QBAEXZ"
		size = 64
		refs = "0022 _CrtDbgReportW 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 03 2B 0D D0 0A 4B 09 49 40 F2 26 22 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 20 7D BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_164_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QBA_WXZ"
		size = 64
		refs = "0022 _CrtDbgReportW 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 03 2B 0D D0 0A 4B 09 49 40 F2 26 22 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE A0 8A BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_165_0 {
	meta:
		name = "?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QBAEXZ"
		size = 64
		refs = "0022 _CrtDbgReportW 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 03 2B 0D D0 0A 4B 09 49 4F F4 0B 72 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 60 7D BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_166_0 {
	meta:
		name = "?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z"
		size = 50
		refs = "001a memset"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 1D 46 06 46 00 23 14 46 30 1D 4F F4 E6 72 CC 21 33 60 ?? ?? ?? ?? C6 E9 01 45 0D B9 01 23 00 E0 02 23 33 60 30 46 BD E8 78 88 }
	condition:
		$1
}

rule file_668_167_0 {
	meta:
		name = "?mantissa_bits@floating_point_value@__crt_strtox@@QBAHXZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 03 79 0B B1 35 20 00 E0 18 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_169_0 {
	meta:
		name = "?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 6F F0 00 00 6F F0 00 41 BD E8 00 88 }
	condition:
		$1
}

rule file_668_170_0 {
	meta:
		name = "?minimum_binary_exponent@floating_point_value@__crt_strtox@@QBAHXZ"
		size = 28
	strings:
		$1 = { 2D E9 00 48 EB 46 03 79 0B B1 03 48 01 E0 6F F0 7D 00 BD E8 00 88 FE DE 02 FC FF FF }
	condition:
		$1
}

rule file_668_171_0 {
	meta:
		name = "?minimum_signed_value@__crt_strtox@@YA_J_K@Z"
		size = 16
		altNames = "_endthread"
	strings:
		$1 = { 2D E9 00 48 EB 46 00 20 4F F0 00 41 BD E8 00 88 }
	condition:
		$1
}

rule file_668_172_0 {
	meta:
		name = "?mode@?$format_string_parser@D@__crt_stdio_input@@QBA?AW4conversion_mode@2@XZ"
		size = 64
		refs = "0022 _CrtDbgReportW 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 04 2B 0D D0 0A 4B 09 49 40 F2 57 22 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE A0 6A BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_173_0 {
	meta:
		name = "?mode@?$format_string_parser@_W@__crt_stdio_input@@QBA?AW4conversion_mode@2@XZ"
		size = 64
		refs = "0022 _CrtDbgReportW 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 04 2B 0D D0 0A 4B 09 49 40 F2 57 22 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 20 6B BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_174_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAAUbig_integer@1@ABU21@@Z"
		size = 882
		refs = "0008 __security_push_cookie 002c memset 0044 _errno 00fa memcpy 011c _invalid_parameter_noinfo 036a __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AD F5 6E 7D 0E 46 33 68 04 46 01 2B 4F D8 70 68 B0 B9 4F F4 E6 75 00 23 2A 46 07 A8 CC 21 06 93 ?? ?? ?? ?? 06 9B 9A 00 00 2A 23 60 00 F0 94 81 14 F1 04 0F 40 F0 7E 81 ?? ?? ?? ?? 16 23 88 E1 01 28 00 F0 89 81 25 68 00 2D 00 F0 85 81 00 21 26 1D 33 68 A0 FB 03 32 5B 18 42 F1 00 01 6D 1E 46 F8 04 3B F5 D1 00 29 00 F0 76 81 23 68 73 2B 06 D2 04 EB 83 03 59 60 23 68 5B 1C 23 60 6B E1 4F F4 E6 75 00 23 2A 46 07 A8 CC 21 06 93 ?? ?? ?? ?? 06 9B 23 60 9A 00 00 F0 4A 81 14 F1 04 0F 00 F0 30 81 AA 42 00 F2 38 81 07 A9 31 E1 27 68 01 2F 00 F2 8F 80 D4 F8 04 80 23 60 33 68 4F F4 E6 75 4F F0 16 09 9F 00 4F F0 22 0A 22 D0 14 F1 04 0F 04 D1 ?? ?? ?? ?? C0 F8 00 90 18 E0 16 F1 04 0F 07 D0 AF 42 05 D8 31 1D 20 1D 3A 46 ?? ?? ?? ?? 0F E0 2A 46 00 21 20 1D ?? ?? ?? ?? 16 F1 04 0F E7 D0 AF 42 05 D9 ?? ?? ?? ?? C0 F8 00 A0 ?? ?? ?? ?? B8 F1 00 0F 20 D1 00 23 07 A8 2A 46 CC 21 06 93 ?? ?? ?? ?? 06 9B 23 60 9A 00 00 F0 13 81 14 F1 04 0F 04 D1 ?? ?? ?? ?? C0 F8 00 90 08 E1 AA 42 40 F2 F8 80 00 21 20 1D 2A 46 ?? ?? ?? ?? ?? ?? ?? ?? C0 F8 00 A0 FB E0 B8 F1 01 0F 00 F0 FA 80 20 68 00 28 00 F0 F6 80 00 21 26 1D 33 68 A8 FB 03 32 5B 18 42 F1 00 01 40 1E 46 F8 04 3B F5 D1 00 29 00 F0 E7 80 23 68 73 2B FF F4 70 AF 00 23 07 A8 2A 46 CC 21 06 93 ?? ?? ?? ?? 06 9B 23 60 9A 00 00 F0 C3 80 14 F1 04 0F 04 D1 ?? ?? ?? ?? C0 F8 00 90 B8 E0 AA 42 7F F6 75 AF 00 21 20 1D 2A 46 ?? ?? ?? ?? ?? ?? ?? ?? C0 F8 00 A0 AB E0 BB 42 07 D2 04 F1 04 0A CD F8 08 A0 06 F1 04 08 99 46 05 E0 32 1D B9 46 02 92 04 F1 04 08 1F 46 4F F4 E6 75 00 23 2A 46 07 A8 CC 21 06 93 ?? ?? ?? ?? 06 9A 00 26 B9 F1 00 0F 68 D0 06 AB A8 EB 03 03 0D F1 18 0E 04 93 00 21 53 F8 0E A0 BA F1 00 0F 06 D1 96 42 55 D1 72 1C CE F8 04 10 06 92 50 E0 00 23 01 93 4F F0 00 08 30 46 00 2F 46 D0 02 9B CD F8 00 E0 71 46 03 93 01 9B 73 28 22 D0 90 42 04 D1 33 44 00 22 5B 1C 4A 60 06 93 03 9A 52 F8 04 3B 03 92 A3 FB 0A 32 13 EB 08 01 DD F8 00 80 42 F1 00 02 58 F8 04 3F CD F8 00 80 5B 18 00 99 42 F1 00 08 40 1C 0B 60 01 9B 06 9A 5B 1C 01 93 BB 42 DA D1 B8 F1 00 0F 17 D0 06 AB 03 EB 80 01 73 28 12 D0 90 42 03 D1 00 23 4B 60 43 1C 06 93 51 F8 04 3F 00 22 13 EB 08 03 42 EB 02 08 40 1C 0B 60 06 9A B8 F1 00 0F EA D1 00 21 73 28 08 D0 04 9B 76 1C 4E 45 0E F1 04 0E 9D D1 22 60 92 00 A1 E6 00 23 7B A8 2A 46 CC 21 7A 93 ?? ?? ?? ?? 7A 9B 23 60 9A 00 18 D0 14 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 AA 42 04 D8 7B A9 20 1D ?? ?? ?? ?? 0A E0 2A 46 00 21 20 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 00 20 12 E0 AA 42 04 D8 07 A9 20 1D ?? ?? ?? ?? 0A E0 2A 46 00 21 20 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 01 20 0D F5 6E 7D ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_668_175_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 244
		refs = "0008 __security_push_cookie 0020 memset 0032 _errno 0042 memcpy 004a __security_pop_cookie 0064 _invalid_parameter_noinfo"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B ?? ?? ?? ?? F4 B0 04 46 59 BB 4F F4 E6 75 00 23 2A 46 01 A8 CC 21 00 93 ?? ?? ?? ?? 00 9B 9A 00 23 60 62 B1 14 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 13 E0 AA 42 09 D8 01 A9 20 1D ?? ?? ?? ?? 01 20 74 B0 ?? ?? ?? ?? BD E8 70 88 2A 46 00 21 20 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? ED E7 01 29 EB D0 25 68 00 2D E8 D0 00 20 26 1D 33 68 A1 FB 03 32 1B 18 42 F1 00 00 6D 1E 46 F8 04 3B F5 D1 00 28 DA D0 23 68 73 2B 06 D2 04 EB 83 03 58 60 23 68 5B 1C 23 60 D0 E7 4F F4 E6 75 00 23 2A 46 01 A8 CC 21 00 93 ?? ?? ?? ?? 00 9B 23 60 9A 00 18 D0 14 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 AA 42 04 D8 01 A9 20 1D ?? ?? ?? ?? 0A E0 2A 46 00 21 20 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 00 20 A9 E7 }
	condition:
		$1
}

rule file_668_176_0 {
	meta:
		name = "?multiply_64_32@__crt_strtox@@YA_K_KI@Z"
		size = 18
	strings:
		$1 = { 2D E9 00 48 EB 46 A2 FB 00 03 02 FB 01 31 BD E8 00 88 }
	condition:
		$1
}

rule file_668_177_0 {
	meta:
		name = "?multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 1332
		refs = "0008 __security_push_cookie 0054 memset 0082 memcpy 00b0 _errno 00d8 _invalid_parameter_noinfo 048e __security_pop_cookie 0524 ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 0528 ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 052c ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? AD F5 B3 6D DF F8 1C 35 08 91 07 46 A1 FB 03 32 D3 08 07 93 99 46 02 93 4F F4 E6 78 4F F0 16 06 4F F0 22 0A 00 F0 E0 81 DF F8 F0 34 B9 F1 26 0F 02 D9 4F F0 26 0A 00 E0 CA 46 0B A8 42 46 CC 21 CD F8 04 A0 03 EB 8A 06 ?? ?? ?? ?? 16 F8 01 4C 16 F8 02 5C 0B A8 00 21 2B 19 AA 00 0A 93 ?? ?? ?? ?? 36 F8 04 3C DF F8 B8 14 A2 00 01 EB 83 01 0B AB 03 EB 85 00 ?? ?? ?? ?? 0A 9B 01 2B 6E D8 0B 98 30 BB 00 23 7F A8 42 46 CC 21 7E 93 ?? ?? ?? ?? 7E 9B 9A 00 00 2A 3B 60 00 F0 97 81 17 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 42 45 04 D8 7F A9 38 1D ?? ?? ?? ?? 88 E1 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 7C E1 01 28 00 F0 7A 81 3C 68 00 2C 00 F0 76 81 00 21 3D 1D 2B 68 A0 FB 03 32 5B 18 42 F1 00 01 64 1E 45 F8 04 3B F5 D1 00 29 00 F0 67 81 3B 68 73 2B 06 D2 07 EB 83 03 59 60 3B 68 5B 1C 3B 60 5C E1 00 23 0B A8 42 46 CC 21 0A 93 ?? ?? ?? ?? 0A 9B 3B 60 9A 00 18 D0 17 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 42 45 04 D8 0B A9 38 1D ?? ?? ?? ?? 0A E0 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 00 23 37 E1 3D 68 01 2D 70 D8 7C 68 9A 00 3B 60 7A B1 17 F1 04 0F 06 D1 ?? ?? ?? ?? 16 26 06 60 ?? ?? ?? ?? 06 E0 42 45 19 D8 0B A9 38 1D ?? ?? ?? ?? 16 26 22 25 64 BB 00 23 0B A8 42 46 CC 21 0A 93 ?? ?? ?? ?? 0A 9B 3B 60 9A 00 00 F0 11 81 17 F1 04 0F 10 D1 ?? ?? ?? ?? 06 60 89 E7 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 25 05 60 ?? ?? ?? ?? 16 26 DE E7 42 45 01 D8 0B A9 6B E7 00 21 38 1D 42 46 ?? ?? ?? ?? ?? ?? ?? ?? 05 60 6F E7 01 2C 00 F0 ED 80 38 68 00 28 00 F0 E9 80 00 21 3D 1D 2B 68 A4 FB 03 32 5B 18 42 F1 00 01 40 1E 45 F8 04 3B F5 D1 00 29 00 F0 DA 80 3B 68 73 2B FF F4 72 AF 00 23 0B A8 42 46 CC 21 0A 93 ?? ?? ?? ?? 0A 9B 3B 60 9A 00 91 D0 17 F1 04 0F 7F F4 7C AF ?? ?? ?? ?? 06 60 87 E7 AB 42 06 D2 07 F1 04 0A CD F8 0C A0 0B AE 99 46 04 E0 3E 1D 0B AA A9 46 03 92 1D 46 00 23 7F A8 42 46 CC 21 7E 93 CD F8 14 90 ?? ?? ?? ?? 7E 9A 00 24 B9 F1 00 0F 60 D0 7E AB 0D F5 FC 7E F3 1A 00 93 5E F8 03 10 06 91 39 B9 94 42 50 D1 00 22 CE F8 04 20 62 1C 7E 92 4A E0 4F F0 00 09 CA 46 20 46 00 2D 40 D0 03 9B 76 46 04 93 73 28 1F D0 90 42 05 D1 00 23 73 60 0A EB 04 03 5B 1C 7E 93 04 9A 0A F1 01 0A 52 F8 04 3B 04 92 A3 FB 01 21 56 F8 04 3F 9B 18 41 F1 00 02 13 EB 09 03 42 F1 00 09 40 1C 33 60 7E 9A AA 45 01 D0 06 99 DD E7 B9 F1 00 0F 17 D0 7E AB 03 EB 80 01 73 28 12 D0 90 42 03 D1 00 23 4B 60 43 1C 7E 93 51 F8 04 3F 00 22 13 EB 09 03 42 EB 02 09 40 1C 0B 60 7E 9A B9 F1 00 0F EA D1 00 9B 73 28 10 D0 DD F8 14 90 64 1C 4C 45 0E F1 04 0E A3 D1 3A 60 92 00 40 D0 17 F1 04 0F 2B D1 ?? ?? ?? ?? 16 23 36 E0 00 23 F3 A8 42 46 CC 21 F2 93 ?? ?? ?? ?? F2 9B 3B 60 9A 00 18 D0 17 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 42 45 04 D8 F3 A9 38 1D ?? ?? ?? ?? 0A E0 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? DD E9 01 A9 00 23 14 E0 42 45 04 D8 7F A9 38 1D ?? ?? ?? ?? 0A E0 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? DD E9 01 A9 01 23 4B B3 B9 EB 0A 09 51 4B CD F8 08 90 7F F4 27 AE DD E9 07 31 16 26 4F F0 22 0A 03 EB 83 03 B1 EB 43 02 44 D0 49 4B 03 EB 82 03 53 F8 04 0C 00 28 50 D1 00 23 F3 A8 42 46 CC 21 F2 93 ?? ?? ?? ?? F2 9B 9A 00 3B 60 92 B3 17 F1 04 0F 29 D1 ?? ?? ?? ?? 06 60 3B E0 00 23 F3 A8 42 46 CC 21 F2 93 ?? ?? ?? ?? F2 9B 9A 00 3B 60 C2 B1 17 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 42 45 04 D8 F3 A9 38 1D ?? ?? ?? ?? 0A E0 42 46 00 21 38 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 00 20 06 E0 42 45 0A D8 F3 A9 38 1D ?? ?? ?? ?? 01 20 0D F5 B3 6D ?? ?? ?? ?? BD E8 F0 8F 00 21 38 1D 42 46 ?? ?? ?? ?? ?? ?? ?? ?? C0 F8 00 A0 ?? ?? ?? ?? EC E7 01 28 EA D0 3C 68 00 2C E7 D0 00 21 3D 1D 2B 68 A0 FB 03 32 5B 18 42 F1 00 01 64 1E 45 F8 04 3B F5 D1 00 29 D9 D0 3B 68 73 2B 06 D2 07 EB 83 03 59 60 3B 68 5B 1C 3B 60 CF E7 00 23 F3 A8 42 46 CC 21 F2 93 ?? ?? ?? ?? F2 9B 3B 60 9A 00 BC D0 17 F1 04 0F 03 D1 ?? ?? ?? ?? 06 60 B3 E7 42 45 A3 D9 00 21 38 1D 42 46 ?? ?? ?? ?? ?? ?? ?? ?? C0 F8 00 A0 A7 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? CD CC CC CC }
	condition:
		$1
}

rule file_668_178_0 {
	meta:
		name = "?multiply_core@__crt_strtox@@YAIQAIII@Z"
		size = 38
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 05 46 00 20 49 B1 2B 68 A2 FB 03 34 1B 18 44 F1 00 00 49 1E 45 F8 04 3B F5 D1 BD E8 30 88 }
	condition:
		$1
}

rule file_668_179_0 {
	meta:
		name = "?normal_mantissa_mask@floating_point_value@__crt_strtox@@QBA_KXZ"
		size = 32
	strings:
		$1 = { 2D E9 00 48 EB 46 03 79 2B B1 4F F4 00 11 49 1E 6F F0 00 00 02 E0 6F F0 7F 40 00 21 BD E8 00 88 }
	condition:
		$1
}

rule file_668_180_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAID@Z"
		size = 50
	strings:
		$1 = { 2D E9 00 48 EB 46 30 28 03 DB 39 28 D8 BF 30 38 0D DD 61 28 03 DB 7A 28 D8 BF 57 38 07 DD 41 28 03 DB 5A 28 D8 BF 37 38 01 DD 6F F0 00 00 BD E8 00 88 }
	condition:
		$1
}

rule file_668_181_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAI_W@Z"
		size = 372
	strings:
		$1 = { 2D E9 00 48 EB 46 30 28 C0 F0 9F 80 3A 28 02 D2 A0 F1 30 03 96 E0 4F F6 10 72 90 42 80 F0 8C 80 B0 F5 CC 6F C0 F0 91 80 40 F2 6A 63 98 42 02 D2 A0 F5 CC 63 86 E0 B0 F5 DE 6F C0 F0 86 80 40 F2 FA 63 98 42 02 D2 A0 F5 DE 63 7B E0 40 F6 66 13 98 42 7A D3 B0 F5 17 6F 01 D2 C3 1A 72 E0 40 F6 E6 13 98 42 71 D3 B0 F5 1F 6F F6 D3 40 F6 66 23 98 42 6A D3 B0 F5 27 6F EF D3 40 F6 E6 23 98 42 63 D3 B0 F5 2F 6F E8 D3 40 F6 66 33 98 42 5C D3 B0 F5 37 6F E1 D3 40 F6 66 43 98 42 55 D3 B0 F5 47 6F DA D3 40 F6 E6 43 98 42 4E D3 B0 F5 4F 6F D3 D3 40 F6 66 53 98 42 47 D3 B0 F5 57 6F CC D3 B0 F5 65 6F 41 D3 40 F6 5A 63 98 42 02 D2 A0 F5 65 63 37 E0 B0 F5 6D 6F 37 D3 40 F6 DA 63 98 42 02 D2 A0 F5 6D 63 2D E0 B0 F5 72 6F 2D D3 40 F6 2A 73 98 42 02 D2 A0 F5 72 63 23 E0 B0 F5 82 5F 23 D3 41 F2 4A 03 98 42 02 D2 A0 F5 82 53 19 E0 B0 F5 BF 5F 19 D3 41 F2 EA 73 98 42 02 D2 A0 F5 BF 53 0F E0 41 F6 10 02 90 42 0E D3 41 F6 1A 03 98 42 0A D2 83 1A 05 E0 4F F6 1A 73 98 42 F9 D3 6F F0 00 03 13 F1 01 0F 11 D1 41 28 01 D3 5A 28 03 D9 61 28 09 D3 7A 28 07 D8 61 28 02 D3 7A 28 98 BF 20 38 A0 F1 37 03 01 E0 6F F0 00 03 18 46 BD E8 00 88 }
	condition:
		$1
}

rule file_668_182_0 {
	meta:
		name = "?process@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAAHXZ"
		size = 184
		refs = "000c ?validate@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ 001a ?process_state@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0024 ?advance@?$format_string_parser@D@__crt_stdio_input@@QAA_NXZ 0032 _getche_nolock 0054 _ungetch_nolock 007e _CrtDbgReportW 008a _errno 009e _invalid_parameter 00a8 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ac ??_C@_1NA@MGODPMFD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00b0 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 00b4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 04 46 10 30 ?? ?? ?? ?? 30 B9 6F F0 00 05 44 E0 20 46 ?? ?? ?? ?? 28 B1 04 F1 10 00 ?? ?? ?? ?? 00 28 F5 D1 D4 E9 1A 53 93 B9 ?? ?? ?? ?? 10 F1 01 0F 03 D0 A3 68 5B 1C A3 60 01 E0 6F F0 00 05 10 F1 01 0F 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 23 68 13 F0 01 0F 18 BF 01 23 08 BF 00 23 E3 B1 E3 69 D3 B1 11 4B 10 4E 0D 49 00 93 00 23 40 F2 5B 42 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE E4 69 ?? ?? ?? ?? 07 49 05 4A 00 23 00 93 04 60 40 F2 5B 43 30 46 ?? ?? ?? ?? 28 46 BD E8 7E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_183_0 {
	meta:
		name = "?process@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAAHXZ"
		size = 188
		refs = "000c ?validate@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ 001a ?process_state@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0024 ?advance@?$format_string_parser@_W@__crt_stdio_input@@QAA_NXZ 0032 _getwche_nolock 0056 _ungetwch_nolock 0080 _CrtDbgReportW 008c _errno 00a0 _invalid_parameter 00ac ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00b0 ??_C@_1NM@DBNKGEMM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00b4 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 00b8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 04 46 10 30 ?? ?? ?? ?? 30 B9 6F F0 00 05 45 E0 20 46 ?? ?? ?? ?? 28 B1 04 F1 10 00 ?? ?? ?? ?? 00 28 F5 D1 D4 E9 14 53 9B B9 ?? ?? ?? ?? 4F F6 FF 72 90 42 04 D0 A3 68 5B 1C A3 60 90 42 03 D1 6F F0 00 05 90 42 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 23 68 13 F0 01 0F 18 BF 01 23 08 BF 00 23 E3 B1 E3 69 D3 B1 12 4B 10 4E 0E 49 00 93 00 23 40 F2 5B 42 02 20 01 96 ?? ?? ?? ?? 01 28 00 D1 FE DE E4 69 ?? ?? ?? ?? 07 49 06 4A 00 23 00 93 04 60 40 F2 5B 43 30 46 ?? ?? ?? ?? 28 46 BD E8 7E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_184_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 84
		refs = "0022 _CrtDbgReportW 003e ?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 6A 04 2B 0D D0 0F 4B 0E 49 40 F2 32 22 01 93 0B 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 26 30 0B B1 01 20 05 E0 A2 68 00 23 20 46 00 93 ?? ?? ?? ?? BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_185_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 84
		refs = "0022 _CrtDbgReportW 003e ?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 6A 04 2B 0D D0 0F 4B 0E 49 40 F2 32 22 01 93 0B 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 28 30 0B B1 01 20 05 E0 A2 68 00 23 20 46 00 93 ?? ?? ?? ?? BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_186_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 212
		refs = "0022 _CrtDbgReportW 0044 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0056 ??$process_string_specifier_tchar@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z 0062 ??$process_string_specifier_tchar@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z 006c ?process_string_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z 0094 ?process_integer_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z 00b2 ?process_floating_point_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 00ba ?process_character_count_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 00c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00cc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d0 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 6A 04 2B 0D D0 2F 4B 2E 49 40 F2 57 22 01 93 2B 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE A2 6B 09 2A 46 D8 DF E8 02 F0 05 19 2C 32 35 38 3A 3D 1E 41 04 F1 10 00 ?? ?? ?? ?? 01 28 07 D0 02 28 37 D1 00 22 00 21 20 46 ?? ?? ?? ?? 32 E0 00 22 00 21 20 46 ?? ?? ?? ?? 2C E0 01 21 20 46 ?? ?? ?? ?? 27 E0 04 F1 10 00 ?? ?? ?? ?? 01 28 04 D0 02 28 1E D1 00 22 08 21 E5 E7 00 22 08 21 E8 E7 01 22 00 21 20 46 ?? ?? ?? ?? 13 E0 01 22 0A 21 F8 E7 00 22 08 21 F5 E7 00 22 F8 E7 00 22 10 21 F0 E7 20 46 ?? ?? ?? ?? 04 E0 20 46 ?? ?? ?? ?? 00 E0 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_187_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 212
		refs = "0022 _CrtDbgReportW 0044 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 0056 ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z 0062 ??$process_string_specifier_tchar@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z 006c ?process_string_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z 0094 ?process_integer_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z 00b2 ?process_floating_point_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 00ba ?process_character_count_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 00c8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00cc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00d0 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 6A 04 2B 0D D0 2F 4B 2E 49 40 F2 57 22 01 93 2B 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 22 6C 09 2A 46 D8 DF E8 02 F0 05 19 2C 32 35 38 3A 3D 1E 41 04 F1 10 00 ?? ?? ?? ?? 01 28 07 D0 02 28 37 D1 00 22 00 21 20 46 ?? ?? ?? ?? 32 E0 00 22 00 21 20 46 ?? ?? ?? ?? 2C E0 01 21 20 46 ?? ?? ?? ?? 27 E0 04 F1 10 00 ?? ?? ?? ?? 01 28 04 D0 02 28 1E D1 00 22 08 21 E5 E7 00 22 08 21 E8 E7 01 22 00 21 20 46 ?? ?? ?? ?? 13 E0 01 22 0A 21 F8 E7 00 22 08 21 F5 E7 00 22 F8 E7 00 22 10 21 F0 E7 20 46 ?? ?? ?? ?? 04 E0 20 46 ?? ?? ?? ?? 00 E0 00 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_188_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 72
		refs = "000e ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$console_input_adapter@D@0@QAU__crt_locale_pointers@@@Z 001e _ungetch_nolock 0026 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0038 ??$process_floating_point_specifier_t@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0040 ??$process_floating_point_specifier_t@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 21 6E 08 30 ?? ?? ?? ?? B0 F1 FF 3F 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 04 F1 10 00 ?? ?? ?? ?? 04 28 07 D0 08 28 18 BF 00 20 06 D1 20 46 ?? ?? ?? ?? 02 E0 20 46 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_668_189_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 74
		refs = "000e ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$console_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z 0020 _ungetwch_nolock 0028 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 003a ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 0042 ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 A1 6C 08 30 ?? ?? ?? ?? 4F F6 FF 73 98 42 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 04 F1 10 00 ?? ?? ?? ?? 04 28 07 D0 08 28 18 BF 00 20 06 D1 20 46 ?? ?? ?? ?? 02 E0 20 46 ?? ?? ?? ?? BD E8 18 88 }
	condition:
		$1
}

rule file_668_190_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z"
		size = 196
		refs = "0014 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$console_input_adapter@D@0@QAU__crt_locale_pointers@@@Z 0024 _ungetch_nolock 0046 _CrtDbgReportW 005e ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAV?$console_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 006a ??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 00ae ?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z 00b8 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bc ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 8D B0 04 46 88 46 21 6E 08 30 17 46 ?? ?? ?? ?? B0 F1 FF 3F 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 00 23 8D F8 08 30 23 6A 23 4D 22 4E 04 2B 0B D0 1F 49 00 23 4F F4 0E 72 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 AB A2 6A 00 93 E3 6A 04 A8 04 F1 08 01 ?? ?? ?? ?? 01 46 20 6E 3B 46 42 46 ?? ?? ?? ?? 9D F8 08 30 0F 46 80 46 0B B9 00 20 1A E0 23 6A 04 2B 0B D0 0D 49 00 23 40 F2 32 22 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 26 30 0B B1 01 20 06 E0 01 23 00 93 3B 46 42 46 20 46 ?? ?? ?? ?? 0D B0 BD E8 F0 89 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_191_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NI_N@Z"
		size = 200
		refs = "0014 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$console_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z 0026 _ungetwch_nolock 0048 _CrtDbgReportW 0060 ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAV?$console_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 006c ??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 00b0 ?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z 00bc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c0 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 00c4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B 8D B0 04 46 88 46 A1 6C 08 30 17 46 ?? ?? ?? ?? 4F F6 FF 73 98 42 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 00 23 8D F8 08 30 23 6A 24 4D 22 4E 04 2B 0B D0 20 49 00 23 4F F4 0E 72 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 02 AB 22 6B 00 93 63 6B 04 A8 04 F1 08 01 ?? ?? ?? ?? 01 46 A0 6C 3B 46 42 46 ?? ?? ?? ?? 9D F8 08 30 0F 46 80 46 0B B9 00 20 1A E0 23 6A 04 2B 0B D0 0D 49 00 23 40 F2 32 22 02 20 01 96 00 95 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 28 30 0B B1 01 20 06 E0 01 23 00 93 3B 46 42 46 20 46 ?? ?? ?? ?? 0D B0 BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_192_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 112
		refs = "000a _getche_nolock 0034 _CrtDbgReportW 004e _ungetch_nolock 005c ?process_literal_character_tchar@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_ND@Z 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 04 46 ?? ?? ?? ?? 05 46 B0 F1 FF 3F 1D D0 A3 68 5B 1C A3 60 23 6A 03 2B 0D D0 12 4B 10 49 40 F2 26 22 01 93 0D 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 24 30 9D 42 08 D0 A3 68 28 46 5B 1E A3 60 ?? ?? ?? ?? 00 20 BD E8 3C 88 69 B2 20 46 ?? ?? ?? ?? F8 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_193_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 112
		refs = "000a _getwche_nolock 003e _CrtDbgReportW 0056 _ungetwch_nolock 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 006c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 04 46 ?? ?? ?? ?? 05 46 4F F6 FF 72 95 42 04 D0 A3 68 5B 1C A3 60 95 42 01 D1 00 20 1B E0 23 6A 03 2B 0D D0 0F 4B 0E 49 40 F2 26 22 01 93 0B 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE A3 8C 9D 42 06 D0 A3 68 28 46 5B 1E A3 60 ?? ?? ?? ?? E2 E7 01 20 BD E8 3C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_194_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_ND@Z"
		size = 148
		refs = "000c __pctype_func 001c _getche_nolock 0046 _CrtDbgReportW 0066 _ungetch_nolock 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0090 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 0E 46 04 46 ?? ?? ?? ?? F3 B2 30 F8 13 30 13 F4 00 4F 31 D0 ?? ?? ?? ?? 05 46 10 F1 01 0F 02 D0 A3 68 5B 1C A3 60 23 6A 03 2B 0D D0 16 4B 15 49 4F F4 0B 72 01 93 12 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 94 F8 25 30 9D 42 13 D0 15 F1 01 0F 05 D0 A3 68 28 46 5B 1E A3 60 ?? ?? ?? ?? 16 F1 01 0F 05 D0 A3 68 30 46 5B 1E A3 60 ?? ?? ?? ?? 00 20 00 E0 01 20 BD E8 7E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_196_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 84
		refs = "001e ?process_conversion_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 002e ?process_literal_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 003a ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$console_input_adapter@D@0@QAU__crt_locale_pointers@@@Z 004a _ungetch_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 23 6A 02 2B 11 D0 03 2B 0B D0 04 2B 18 BF 00 20 19 D1 20 46 ?? ?? ?? ?? A8 B1 E3 6E 5B 1C E3 66 11 E0 20 46 ?? ?? ?? ?? 0D E0 21 6E 04 F1 08 00 ?? ?? ?? ?? B0 F1 FF 3F 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_197_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 86
		refs = "001e ?process_conversion_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 002e ?process_literal_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ 003a ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$console_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z 004c _ungetwch_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 23 6A 02 2B 11 D0 03 2B 0B D0 04 2B 18 BF 00 20 1A D1 20 46 ?? ?? ?? ?? B0 B1 63 6D 5B 1C 63 65 12 E0 20 46 ?? ?? ?? ?? 0E E0 A1 6C 04 F1 08 00 ?? ?? ?? ?? 4F F6 FF 73 98 42 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_198_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z"
		size = 86
		refs = "0014 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$console_input_adapter@D@0@QAU__crt_locale_pointers@@@Z 0024 _ungetch_nolock 002c ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0042 ??$process_string_specifier_tchar@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z 004e ??$process_string_specifier_tchar@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 46 01 2D 04 46 0B D1 21 6E 08 30 ?? ?? ?? ?? B0 F1 FF 3F 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 04 F1 10 00 ?? ?? ?? ?? 01 28 09 D0 02 28 18 BF 00 20 0A D1 00 22 29 46 20 46 ?? ?? ?? ?? 04 E0 00 22 29 46 20 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_668_199_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@2@@Z"
		size = 88
		refs = "0014 ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$console_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z 0026 _ungetwch_nolock 002e ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 0044 ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@_W@Z 0050 ??$process_string_specifier_tchar@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 0D 46 01 2D 04 46 0C D1 A1 6C 08 30 ?? ?? ?? ?? 4F F6 FF 73 98 42 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 04 F1 10 00 ?? ?? ?? ?? 01 28 09 D0 02 28 18 BF 00 20 0A D1 00 22 29 46 20 46 ?? ?? ?? ?? 04 E0 00 22 29 46 20 46 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_668_200_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 40
		refs = "000e ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$console_input_adapter@D@0@QAU__crt_locale_pointers@@@Z 001e _ungetch_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 21 6E 08 30 ?? ?? ?? ?? B0 F1 FF 3F 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_201_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NXZ"
		size = 42
		refs = "000e ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$console_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z 0020 _ungetwch_nolock"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 A1 6C 08 30 ?? ?? ?? ?? 4F F6 FF 73 98 42 04 D0 A3 68 5B 1E A3 60 ?? ?? ?? ?? 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_203_0 {
	meta:
		name = "?reset@?$scanset_buffer@E@__crt_stdio_input@@QAAXXZ"
		size = 20
		refs = "000c memset"
	strings:
		$1 = { 2D E9 00 48 EB 46 18 B1 20 22 00 21 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_668_204_0 {
	meta:
		name = "?reset@?$scanset_buffer@_W@__crt_stdio_input@@QAAXXZ"
		size = 76
		refs = "001e _calloc_dbg 0028 _free_dbg 0040 memset 0048 ??_C@_0DH@PKLJEKJC@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 3C 48 0D F1 10 0B 05 46 2B 68 9B B9 40 F2 0B 13 00 93 0C 4B 02 22 01 21 4F F4 00 50 ?? ?? ?? ?? 04 46 28 68 02 21 ?? ?? ?? ?? 02 21 00 20 2C 60 ?? ?? ?? ?? 28 68 20 B1 4F F4 00 52 00 21 ?? ?? ?? ?? BD E8 3C 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_205_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
		size = 32
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 03 61 03 75 43 75 83 75 C0 E9 06 33 03 62 80 F8 24 30 83 62 BD E8 00 88 }
	condition:
		$1
}

rule file_668_206_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
		size = 32
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 03 61 83 82 C3 82 03 76 C0 E9 08 33 83 62 80 F8 2C 30 03 63 BD E8 00 88 }
	condition:
		$1
}

rule file_668_207_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAAXH@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 03 13 03 75 43 75 83 75 C0 E9 06 33 03 62 80 F8 24 30 83 62 BD E8 00 88 }
	condition:
		$1
}

rule file_668_208_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAAXH@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 00 23 C0 E9 03 13 83 82 C3 82 03 76 C0 E9 08 33 83 62 80 F8 2C 30 03 63 BD E8 00 88 }
	condition:
		$1
}

rule file_668_209_0 {
	meta:
		name = "?restore_state@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAA_N_K@Z"
		size = 36
		altNames = "?restore_state@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAA_N_K@Z"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B D0 E9 04 14 8A 42 03 D1 A3 42 08 BF 01 20 03 D0 83 69 00 22 00 20 1A 70 BD E8 18 88 }
	condition:
		$1
}

rule file_668_211_0 {
	meta:
		name = "?right_shift_with_rounding@__crt_strtox@@YA_K_N_KI0@Z"
		size = 276
		refs = "0096 fegetround 00c0 _CrtDbgReportW 0108 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0110 ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@"
	strings:
		$1 = { 2D E9 FE 4F 0D F1 28 0B DD F8 30 80 1F 46 92 46 B8 F1 40 0F 04 46 02 D3 00 20 00 21 69 E0 A8 F1 01 02 A2 F1 20 03 01 21 01 FA 03 F0 01 23 03 FA 02 F5 6F F0 00 03 15 EB 03 0E 43 41 02 93 A8 F1 20 03 01 22 02 FA 03 F1 01 23 03 FA 08 F3 03 EA 0A 02 01 EA 07 03 13 43 02 D0 4F F0 01 09 01 E0 4F F0 00 09 05 EA 0A 02 00 EA 07 03 13 43 9D F8 34 30 18 BF 01 26 08 BF 00 26 3B B1 02 9B 0E EA 0A 02 3B 40 13 43 08 BF 00 25 00 D0 01 25 16 B9 0D B9 00 24 1C E0 ?? ?? ?? ?? 68 B3 B0 F5 80 7F 16 D0 B0 F5 00 7F 11 D0 B0 F5 40 7F F1 D0 18 4B 16 49 4F F4 18 72 01 93 13 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 E4 D1 FE DE E2 E7 D4 B1 00 24 C8 F1 20 03 07 FA 03 F3 2A FA 08 F2 1A 43 A8 F1 20 03 27 FA 03 F3 13 43 18 19 27 FA 08 F2 42 F1 00 01 03 B0 BD E8 F0 8F 00 2E E8 D0 15 B9 B9 F1 00 0F E4 D0 01 24 E3 E7 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_212_0 {
	meta:
		name = "?save_state@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ"
		size = 16
		altNames = "?save_state@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_KXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 46 D3 E9 04 01 BD E8 00 88 }
	condition:
		$1
}

rule file_668_214_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ"
		size = 278
		refs = "00ec ?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 81 68 0B 78 A3 F1 41 02 37 2A 70 D8 DF E8 02 F0 55 6F 1C 6F 55 55 55 6F 49 6F 6F 6F 6F 6F 6F 6F 6F 6F 38 6F 6F 6F 6F 51 6F 6F 57 6F 6F 6F 6F 6F 55 6F 1C 4B 55 55 55 6F 49 6F 6F 6F 6F 6D 53 4F 6F 6F 38 6F 4D 6F 6F 51 D0 E9 06 23 13 43 4F F0 01 02 A2 F1 01 03 01 D1 C0 E9 06 23 04 6A 02 2C 01 D1 80 F8 24 30 03 2C 03 D0 04 2C 01 D0 08 2C 01 D1 80 F8 24 20 83 62 4B 1C 83 60 01 20 44 E0 03 6A 02 2B 02 D1 00 22 80 F8 24 20 01 22 03 2B 03 D0 04 2B 01 D0 08 2B 01 D1 80 F8 24 20 82 62 EA E7 02 23 E7 E7 03 23 E5 E7 05 23 E3 E7 09 23 03 62 06 23 DF E7 04 23 DD E7 07 23 DB E7 03 6A 02 2B 02 D1 00 22 80 F8 24 20 03 2B 03 D0 04 2B 01 D0 08 2B 02 D1 01 23 80 F8 24 30 08 23 83 62 4B 1C 83 60 ?? ?? ?? ?? 0F E0 09 23 C3 E7 00 23 03 61 03 75 43 75 83 75 C0 E9 06 33 03 62 80 F8 24 30 83 62 16 23 C3 60 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_215_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ"
		size = 278
		refs = "00ec ?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 81 68 0B 88 A3 F1 41 02 37 2A 70 D8 DF E8 02 F0 55 6F 1C 6F 55 55 55 6F 49 6F 6F 6F 6F 6F 6F 6F 6F 6F 38 6F 6F 6F 6F 51 6F 6F 57 6F 6F 6F 6F 6F 55 6F 1C 4B 55 55 55 6F 49 6F 6F 6F 6F 6D 53 4F 6F 6F 38 6F 4D 6F 6F 51 D0 E9 08 23 13 43 4F F0 01 02 A2 F1 01 03 01 D1 C0 E9 08 23 84 6A 02 2C 01 D1 80 F8 2C 30 03 2C 03 D0 04 2C 01 D0 08 2C 01 D1 80 F8 2C 20 03 63 8B 1C 83 60 01 20 44 E0 83 6A 02 2B 02 D1 00 22 80 F8 2C 20 01 22 03 2B 03 D0 04 2B 01 D0 08 2B 01 D1 80 F8 2C 20 02 63 EA E7 02 23 E7 E7 03 23 E5 E7 05 23 E3 E7 09 23 83 62 06 23 DF E7 04 23 DD E7 07 23 DB E7 83 6A 02 2B 02 D1 00 22 80 F8 2C 20 03 2B 03 D0 04 2B 01 D0 08 2B 02 D1 01 23 80 F8 2C 30 08 23 03 63 8B 1C 83 60 ?? ?? ?? ?? 0F E0 09 23 C3 E7 00 23 03 61 83 82 C3 82 03 76 C0 E9 08 33 83 62 80 F8 2C 30 03 63 16 23 C3 60 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_216_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 82 68 13 78 2A 2B 03 D1 01 23 83 75 53 1C 83 60 BD E8 00 88 }
	condition:
		$1
}

rule file_668_217_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
		size = 26
	strings:
		$1 = { 2D E9 00 48 EB 46 82 68 13 88 2A 2B 03 D1 01 23 03 76 93 1C 83 60 BD E8 00 88 }
	condition:
		$1
}

rule file_668_218_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ"
		size = 130
		refs = "0048 strtoull"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 A0 68 90 F9 00 30 30 2B 03 DB 39 2B D8 BF 30 3B 0D DD 61 2B 03 DB 7A 2B D8 BF 57 3B 07 DD 41 2B 03 DB 5A 2B D8 BF 37 3B 01 DD 6F F0 00 03 09 2B 01 D9 01 20 1E E0 00 23 69 46 0A 22 00 93 ?? ?? ?? ?? 50 EA 01 03 07 D0 A3 68 00 9A 9A 42 03 D0 C4 E9 06 01 A2 60 EC E7 00 23 23 61 23 75 63 75 A3 75 C4 E9 06 33 23 62 84 F8 24 30 A3 62 16 23 E3 60 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_219_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ"
		size = 448
		refs = "0186 wcstoull"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 A0 68 02 88 30 2A C0 F0 9F 80 3A 2A 02 D2 A2 F1 30 03 96 E0 4F F6 10 71 8A 42 80 F0 8C 80 B2 F5 CC 6F C0 F0 91 80 40 F2 6A 63 9A 42 02 D2 A2 F5 CC 63 86 E0 B2 F5 DE 6F C0 F0 86 80 40 F2 FA 63 9A 42 02 D2 A2 F5 DE 63 7B E0 40 F6 66 13 9A 42 7A D3 B2 F5 17 6F 01 D2 D3 1A 72 E0 40 F6 E6 13 9A 42 71 D3 B2 F5 1F 6F F6 D3 40 F6 66 23 9A 42 6A D3 B2 F5 27 6F EF D3 40 F6 E6 23 9A 42 63 D3 B2 F5 2F 6F E8 D3 40 F6 66 33 9A 42 5C D3 B2 F5 37 6F E1 D3 40 F6 66 43 9A 42 55 D3 B2 F5 47 6F DA D3 40 F6 E6 43 9A 42 4E D3 B2 F5 4F 6F D3 D3 40 F6 66 53 9A 42 47 D3 B2 F5 57 6F CC D3 B2 F5 65 6F 41 D3 40 F6 5A 63 9A 42 02 D2 A2 F5 65 63 37 E0 B2 F5 6D 6F 37 D3 40 F6 DA 63 9A 42 02 D2 A2 F5 6D 63 2D E0 B2 F5 72 6F 2D D3 40 F6 2A 73 9A 42 02 D2 A2 F5 72 63 23 E0 B2 F5 82 5F 23 D3 41 F2 4A 03 9A 42 02 D2 A2 F5 82 53 19 E0 B2 F5 BF 5F 19 D3 41 F2 EA 73 9A 42 02 D2 A2 F5 BF 53 0F E0 41 F6 10 01 8A 42 0E D3 41 F6 1A 03 9A 42 0A D2 53 1A 05 E0 4F F6 1A 73 9A 42 F9 D3 6F F0 00 03 13 F1 01 0F 11 D1 41 2A 01 D3 5A 2A 03 D9 61 2A 09 D3 7A 2A 07 D8 61 2A 02 D3 7A 2A 98 BF 20 3A A2 F1 37 03 01 E0 6F F0 00 03 09 2B 01 D9 01 20 1E E0 00 23 69 46 0A 22 00 93 ?? ?? ?? ?? 50 EA 01 03 07 D0 A3 68 00 9A 9A 42 03 D0 C4 E9 08 01 A2 60 EC E7 00 23 23 61 A3 82 E3 82 23 76 C4 E9 08 33 A3 62 84 F8 2C 30 23 63 16 23 E3 60 00 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_220_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
		size = 198
	strings:
		$1 = { 2D E9 00 48 EB 46 82 68 13 78 6A 2B 40 DC 3B D0 49 2B 18 D0 4C 2B 12 D0 54 2B 0C D0 68 2B 50 D1 53 78 68 2B 03 D1 93 1C 83 60 01 23 48 E0 53 1C 83 60 02 23 44 E0 53 1C 83 60 0B 23 40 E0 53 1C 83 60 08 23 3C E0 51 78 33 29 06 D1 93 78 32 2B 03 D1 D3 1C 83 60 09 23 32 E0 36 29 06 D1 93 78 34 2B 03 D1 D3 1C 83 60 0A 23 29 E0 64 29 09 D0 69 29 07 D0 6F 29 05 D0 75 29 03 D0 78 29 01 D0 58 29 1E D1 53 1C E5 E7 53 1C 83 60 05 23 17 E0 6C 2B 0B D0 74 2B 05 D0 7A 2B 12 D1 53 1C 83 60 06 23 0D E0 53 1C 83 60 07 23 09 E0 53 78 6C 2B 03 D1 93 1C 83 60 04 23 02 E0 53 1C 83 60 03 23 03 62 BD E8 00 88 }
	condition:
		$1
}

rule file_668_221_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
		size = 198
	strings:
		$1 = { 2D E9 00 48 EB 46 82 68 13 88 6A 2B 40 DC 3B D0 49 2B 18 D0 4C 2B 12 D0 54 2B 0C D0 68 2B 50 D1 53 88 68 2B 03 D1 13 1D 83 60 01 23 48 E0 93 1C 83 60 02 23 44 E0 93 1C 83 60 0B 23 40 E0 93 1C 83 60 08 23 3C E0 51 88 33 29 06 D1 93 88 32 2B 03 D1 93 1D 83 60 09 23 32 E0 36 29 06 D1 93 88 34 2B 03 D1 93 1D 83 60 0A 23 29 E0 64 29 09 D0 69 29 07 D0 6F 29 05 D0 75 29 03 D0 78 29 01 D0 58 29 1E D1 93 1C E5 E7 93 1C 83 60 05 23 17 E0 6C 2B 0B D0 74 2B 05 D0 7A 2B 12 D1 93 1C 83 60 06 23 0D E0 93 1C 83 60 07 23 09 E0 53 88 6C 2B 03 D1 13 1D 83 60 04 23 02 E0 93 1C 83 60 03 23 83 62 BD E8 00 88 }
	condition:
		$1
}

rule file_668_222_0 {
	meta:
		name = "?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AAA_ND@Z"
		size = 74
		refs = "000a __pctype_func"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 ?? ?? ?? ?? 23 7D 30 F8 13 30 13 F4 00 4F 14 D0 A3 68 13 F8 01 2B 72 B9 00 23 23 61 23 75 63 75 A3 75 C4 E9 06 33 23 62 84 F8 24 30 A3 62 2A 23 E3 60 00 20 02 E0 62 75 A3 60 01 20 BD E8 18 88 }
	condition:
		$1
}

rule file_668_224_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
		size = 46
	strings:
		$1 = { 2D E9 00 48 EB 46 82 68 13 78 77 2B 02 D1 53 1C 83 60 07 E0 43 2B 03 D0 53 2B 18 BF 00 23 00 D1 01 23 13 B1 01 23 80 F8 24 30 BD E8 00 88 }
	condition:
		$1
}

rule file_668_225_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
		size = 64
	strings:
		$1 = { 2D E9 00 48 EB 46 82 68 13 88 77 2B 02 D1 93 1C 83 60 10 E0 43 2B 0C D0 53 2B 0A D0 83 6A 0B 2B 09 D0 03 68 13 F0 02 0F 18 BF 01 23 02 D1 00 23 00 E0 00 23 13 B1 01 23 80 F8 2C 30 BD E8 00 88 }
	condition:
		$1
}

rule file_668_226_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AAA_NXZ"
		size = 308
		refs = "0036 memset"
	strings:
		$1 = { 2D E9 F0 4B 0D F1 18 0B 04 46 10 F1 2C 05 0E D1 00 23 23 61 23 75 63 75 A3 75 C4 E9 06 33 23 62 80 F8 24 30 A3 62 0C 23 E3 60 00 20 80 E0 25 B1 20 22 00 21 28 46 ?? ?? ?? ?? A2 68 13 78 5E 2B 03 D1 01 20 53 1C A3 60 00 E0 00 20 A2 68 13 78 5D 2B 07 D1 53 1C A3 60 94 F8 37 30 43 F0 20 03 84 F8 37 30 A6 68 33 78 5D 2B 3D D0 4F F0 01 09 C8 46 A3 68 1A 78 BA B3 2D 2A 23 D1 B3 42 21 D0 59 78 5D 29 1E D0 13 F8 01 2C 8A 42 02 D9 13 46 0A 46 19 46 4B 1C DF B2 BA 42 1F D0 96 46 D3 10 A2 EB C3 03 04 EB DE 01 09 FA 03 F2 91 F8 2C 30 13 43 81 F8 2C 30 0E F1 01 03 DA B2 96 46 BA 42 ED D1 0B E0 D3 10 A2 EB C3 03 04 EB D2 01 08 FA 03 F2 91 F8 2C 30 13 43 81 F8 2C 30 A3 68 5B 1C A3 60 1B 78 5D 2B C4 D1 A3 68 1B 78 63 B9 00 23 23 61 23 75 63 75 A3 75 C4 E9 06 33 23 62 84 F8 24 30 A3 62 16 23 8F E7 70 B1 05 F1 20 03 5A 1B 00 21 9D 42 88 BF 00 22 32 B1 2B 78 49 1C DB 43 05 F8 01 3B 91 42 F8 D1 A3 68 5B 1C A3 60 01 20 BD E8 F0 8B }
	condition:
		$1
}

rule file_668_227_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AAA_NXZ"
		size = 242
		refs = "000c ?is_usable@?$scanset_buffer@_W@__crt_stdio_input@@QAA_NXZ 0034 ?reset@?$scanset_buffer@_W@__crt_stdio_input@@QAAXXZ 005c ?set@?$scanset_buffer@_W@__crt_stdio_input@@QAAX_W@Z 00e2 ?invert@?$scanset_buffer@_W@__crt_stdio_input@@QAAXXZ"
	strings:
		$1 = { 2D E9 F8 49 0D F1 18 0B 04 46 34 30 ?? ?? ?? ?? 70 B9 00 23 23 61 A3 82 E3 82 23 76 C4 E9 08 33 A3 62 84 F8 2C 30 23 63 0C 23 E3 60 00 20 5E E0 04 F1 34 00 ?? ?? ?? ?? A2 68 13 88 5E 2B 03 D1 01 25 93 1C A3 60 00 E0 00 25 A2 68 13 88 5D 2B 06 D1 93 1C 5D 21 04 F1 34 00 A3 60 ?? ?? ?? ?? A6 68 33 88 28 E0 A3 68 19 88 39 B3 2D 29 1B D1 B3 42 19 D0 5A 88 5D 2A 16 D0 33 F8 02 1C 91 42 02 D9 0B 46 11 46 1A 46 53 1C 9F B2 B9 42 0F D0 88 46 04 F1 34 00 ?? ?? ?? ?? 08 F1 01 03 99 B2 88 46 B9 42 F5 D1 03 E0 04 F1 34 00 ?? ?? ?? ?? A3 68 9B 1C A3 60 1B 88 5D 2B D4 D1 A3 68 1B 88 63 B9 00 23 23 61 A3 82 E3 82 23 76 C4 E9 08 33 A3 62 84 F8 2C 30 23 63 16 23 A6 E7 1D B1 04 F1 34 00 ?? ?? ?? ?? A3 68 9B 1C A3 60 01 20 BD E8 F8 89 }
	condition:
		$1
}

rule file_668_228_0 {
	meta:
		name = "?scanset@?$format_string_parser@D@__crt_stdio_input@@QBAABV?$scanset_buffer@E@2@XZ"
		size = 72
		refs = "0028 _CrtDbgReportW 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 04 2B 02 D1 A3 6A 08 2B 0D D0 0B 4B 09 49 40 F2 5D 22 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 04 F1 2C 00 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_229_0 {
	meta:
		name = "?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBAABV?$scanset_buffer@_W@2@XZ"
		size = 72
		refs = "0028 _CrtDbgReportW 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 04 2B 02 D1 23 6B 08 2B 0D D0 0B 4B 09 49 40 F2 5D 22 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 04 F1 34 00 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_230_0 {
	meta:
		name = "?secure_buffers@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ"
		size = 24
		altNames = "?secure_buffers@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABA_NXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 03 68 13 F0 01 0F 18 BF 01 20 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_232_0 {
	meta:
		name = "?set@?$scanset_buffer@E@__crt_stdio_input@@QAAXE@Z"
		size = 30
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B CB 10 A1 EB C3 03 01 22 CC 08 9A 40 23 5C 13 43 23 54 BD E8 18 88 }
	condition:
		$1
}

rule file_668_233_0 {
	meta:
		name = "?set@?$scanset_buffer@_W@__crt_stdio_input@@QAAX_W@Z"
		size = 84
		refs = "0020 _calloc_dbg 002a _free_dbg 0050 ??_C@_0DH@PKLJEKJC@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 05 46 2B 68 0E 46 9B B9 40 F2 0B 13 00 93 0E 4B 02 22 01 21 4F F4 00 50 ?? ?? ?? ?? 04 46 28 68 02 21 ?? ?? ?? ?? 02 21 00 20 2C 60 ?? ?? ?? ?? 28 68 F3 10 A6 EB C3 03 01 22 F4 08 9A 40 23 5C 13 43 23 54 BD E8 7E 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_234_0 {
	meta:
		name = "?set_wide_for_c_s_or_scanset@?$format_string_parser@D@__crt_stdio_input@@AAAXXZ"
		size = 40
	strings:
		$1 = { 2D E9 00 48 EB 46 03 6A 02 2B 02 D1 00 22 80 F8 24 20 03 2B 03 D0 04 2B 01 D0 08 2B 02 D1 01 23 80 F8 24 30 BD E8 00 88 }
	condition:
		$1
}

rule file_668_235_0 {
	meta:
		name = "?set_wide_for_c_s_or_scanset@?$format_string_parser@_W@__crt_stdio_input@@AAAXXZ"
		size = 40
	strings:
		$1 = { 2D E9 00 48 EB 46 83 6A 02 2B 02 D1 00 22 80 F8 2C 20 03 2B 03 D0 04 2B 01 D0 08 2B 02 D1 01 23 80 F8 2C 30 BD E8 00 88 }
	condition:
		$1
}

rule file_668_236_0 {
	meta:
		name = "?shift_left@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 340
		refs = "0008 __security_push_cookie 010a memset 011c _errno 012c memcpy 0144 _invalid_parameter_noinfo 014c __security_pop_cookie"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? F8 B0 01 F0 1F 0A CA F1 20 03 01 22 04 46 02 FA 03 F3 48 09 21 68 5B 1E 02 93 54 F8 21 30 01 25 B3 FA 83 F3 C3 F1 1F 02 A5 EB 53 13 DB B2 0B B1 53 1C 00 E0 00 23 C3 F1 20 03 9A 45 88 BF 01 25 98 BF 00 25 01 44 73 29 88 BF 01 22 98 BF 00 22 73 29 CD E9 00 15 02 D1 0D B1 01 23 00 E0 00 23 00 2A 45 D1 00 2B 43 D1 72 29 01 D3 72 21 00 91 88 46 11 F1 01 0F 2C D0 0E 1A 04 EB 81 09 02 99 04 EB 86 07 CA F1 20 05 80 45 20 D3 22 68 96 42 02 D2 D7 F8 04 E0 01 E0 4F F0 00 0E 73 1E 93 42 01 D2 3B 68 00 E0 00 23 8B 43 23 FA 05 F2 0E EA 01 03 03 FA 0A F3 13 43 A8 F1 01 08 C9 F8 04 30 76 1E 3F 1F A9 F1 04 09 18 F1 01 0F DC D1 DD E9 00 15 40 B1 23 1D 00 26 28 B1 03 EB 80 02 43 F8 04 6B 93 42 FB D1 05 B1 49 1C 21 60 01 20 26 E0 4F F4 E6 75 00 23 2A 46 05 A8 CC 21 04 93 ?? ?? ?? ?? 04 9B 9A 00 23 60 C2 B1 14 F1 04 0F 03 D1 ?? ?? ?? ?? 16 23 0E E0 AA 42 04 D8 05 A9 20 1D ?? ?? ?? ?? 0A E0 2A 46 00 21 20 1D ?? ?? ?? ?? ?? ?? ?? ?? 22 23 03 60 ?? ?? ?? ?? 00 20 78 B0 ?? ?? ?? ?? BD E8 F0 8F }
	condition:
		$1
}

rule file_668_237_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@D@__crt_stdio_input@@AAA_NE@Z"
		size = 24
	strings:
		$1 = { 2D E9 00 48 EB 46 43 29 03 D0 53 29 18 BF 00 20 00 D1 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_238_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@_W@__crt_stdio_input@@AAA_N_W@Z"
		size = 46
	strings:
		$1 = { 2D E9 00 48 EB 46 43 29 0E D0 53 29 0C D0 83 6A 0B 2B 08 BF 01 20 08 D0 03 68 13 F0 02 0F 18 BF 01 20 02 D1 00 20 00 E0 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_239_0 {
	meta:
		name = "?should_round_up@__crt_strtox@@YA_N_N000@Z"
		size = 116
		refs = "0018 fegetround 0042 _CrtDbgReportW 0068 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0070 ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@"
	strings:
		$1 = { 2D E9 FC 48 0D F1 18 0B 17 46 1D 46 0E 46 04 46 17 B9 0D B9 00 24 1C E0 ?? ?? ?? ?? E0 B1 B0 F5 80 7F 16 D0 B0 F5 00 7F 11 D0 B0 F5 40 7F F1 D0 0F 4B 0E 49 4F F4 18 72 01 93 0B 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 E4 D1 FE DE E2 E7 44 B1 00 24 20 46 BD E8 FC 88 00 2F F9 D0 0D B9 00 2E F6 D0 01 24 F5 E7 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_242_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ"
		size = 64
		refs = "0022 _CrtDbgReportW 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 04 2B 0D D0 0A 4B 09 49 40 F2 32 22 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE A0 7D BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_243_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ"
		size = 64
		refs = "0022 _CrtDbgReportW 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 04 2B 0D D0 0A 4B 09 49 40 F2 32 22 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 20 7E BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_244_0 {
	meta:
		name = "?test@?$scanset_buffer@E@__crt_stdio_input@@QBA_NE@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 CB 10 A1 EB C3 03 01 22 9A 40 CB 08 1B 5C 1A 42 18 BF 01 20 08 BF 00 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_245_0 {
	meta:
		name = "?test@?$scanset_buffer@_W@__crt_stdio_input@@QBA_N_W@Z"
		size = 92
		refs = "0020 _calloc_dbg 002a _free_dbg 0058 ??_C@_0DH@PKLJEKJC@minkernel?2crts?2ucrt?2inc?2corecrt_@"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 05 46 2B 68 0E 46 9B B9 40 F2 0B 13 00 93 10 4B 02 22 01 21 4F F4 00 50 ?? ?? ?? ?? 04 46 28 68 02 21 ?? ?? ?? ?? 02 21 00 20 2C 60 ?? ?? ?? ?? F3 10 A6 EB C3 03 01 22 02 FA 03 F1 2B 68 F2 08 D3 5C 19 42 18 BF 01 20 08 BF 00 20 BD E8 7E 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_246_0 {
	meta:
		name = "?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z"
		size = 72
		refs = "0024 _CrtDbgReportW 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B A8 B1 03 28 11 D0 08 28 0F D0 0C 4B 0A 49 4F F4 C6 72 01 93 07 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 00 20 02 E0 08 20 00 E0 04 20 BD E8 0C 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_247_0 {
	meta:
		name = "?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z"
		size = 92
		refs = "003e _CrtDbgReportW 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0058 ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 0A 28 0F D8 DF E8 00 F0 06 08 0A 06 0C 0C 06 06 0E 06 0C 0C 04 20 14 E0 01 20 12 E0 02 20 10 E0 08 20 0E E0 0A 4B 09 49 4F F4 BF 72 01 93 06 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 00 20 BD E8 0C 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_248_0 {
	meta:
		name = "?unget@?$console_input_adapter@D@__crt_stdio_input@@QAAXH@Z"
		size = 32
		refs = "0018 _ungetch_nolock"
	strings:
		$1 = { 2D E9 00 48 EB 46 B1 F1 FF 3F 07 D0 03 68 5B 1E 03 60 08 46 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_668_249_0 {
	meta:
		name = "?unget@?$console_input_adapter@_W@__crt_stdio_input@@QAAXG@Z"
		size = 34
		refs = "001a _ungetwch_nolock"
	strings:
		$1 = { 2D E9 00 48 EB 46 4F F6 FF 73 99 42 07 D0 03 68 5B 1E 03 60 08 46 BD E8 00 48 ?? ?? ?? ?? BD E8 00 88 }
	condition:
		$1
}

rule file_668_250_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAAXD@Z"
		size = 72
		refs = "0040 _ungetch_nolock"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B D0 E9 04 32 6F F0 00 06 D0 E9 02 45 9B 19 72 41 C0 E9 04 32 54 EA 05 03 06 D0 D0 E9 04 23 AB 42 0C D8 01 D3 A2 42 09 D8 41 B1 B1 42 06 D0 02 68 08 46 13 68 5B 1E 13 60 ?? ?? ?? ?? BD E8 78 88 }
	condition:
		$1
}

rule file_668_251_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAAX_W@Z"
		size = 76
		refs = "0044 _ungetwch_nolock"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B D0 E9 04 32 6F F0 00 04 C5 68 1B 19 62 41 84 68 C0 E9 04 32 54 EA 05 03 06 D0 D0 E9 04 23 AB 42 0E D8 01 D3 A2 42 0B D8 51 B1 4F F6 FF 73 99 42 06 D0 02 68 08 46 13 68 5B 1E 13 60 ?? ?? ?? ?? BD E8 30 88 }
	condition:
		$1
}

rule file_668_254_0 {
	meta:
		name = "?validate@?$format_string_parser@D@__crt_stdio_input@@QBA_NXZ"
		size = 92
		refs = "001e _CrtDbgReportW 0028 _errno 003e _invalid_parameter 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 ??_C@_1HA@IKGGPHAH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 0054 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 83 68 E3 B9 12 4B 11 4C 0E 49 00 93 00 23 40 F2 D9 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 06 4A 00 23 00 93 40 F2 D9 13 20 46 ?? ?? ?? ?? 00 20 00 E0 01 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_255_0 {
	meta:
		name = "?validate@?$format_string_parser@_W@__crt_stdio_input@@QBA_NXZ"
		size = 92
		refs = "001e _CrtDbgReportW 0028 _errno 003e _invalid_parameter 004c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 ??_C@_1HG@GNOOGACN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 0054 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 83 68 E3 B9 12 4B 11 4C 0E 49 00 93 00 23 40 F2 D9 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 07 49 06 4A 00 23 00 93 40 F2 D9 13 20 46 ?? ?? ?? ?? 00 20 00 E0 01 20 BD E8 1E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_256_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ"
		size = 148
		refs = "001e _CrtDbgReportW 0028 _errno 003e _invalid_parameter 0080 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0084 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1NM@LAGLDPPG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 0090 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 03 68 E3 B9 1E 4B 20 4C 1B 49 00 93 00 23 40 F2 62 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 62 73 14 49 11 4A 20 46 ?? ?? ?? ?? 00 20 19 E0 83 69 B3 B9 0F 4B 0D 4C 0C 49 00 93 00 23 40 F2 63 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 63 73 DF E7 01 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_257_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBA_NXZ"
		size = 148
		refs = "001e _CrtDbgReportW 0028 _errno 003e _invalid_parameter 0080 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0084 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0088 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1OC@DEGEOIHA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 0090 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 03 68 E3 B9 1E 4B 20 4C 1B 49 00 93 00 23 40 F2 62 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 62 73 14 49 11 4A 20 46 ?? ?? ?? ?? 00 20 19 E0 83 69 B3 B9 0F 4B 0D 4C 0C 49 00 93 00 23 40 F2 63 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 63 73 DF E7 01 20 BD E8 1E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_258_0 {
	meta:
		name = "?wide_character_to_digit@__crt_strtox@@YAH_W@Z"
		size = 326
	strings:
		$1 = { 2D E9 00 48 EB 46 30 28 C0 F0 99 80 3A 28 38 BF 30 38 C0 F0 96 80 4F F6 10 72 90 42 80 F0 89 80 B0 F5 CC 6F C0 F0 8B 80 40 F2 6A 63 98 42 02 D2 A0 F5 CC 60 85 E0 B0 F5 DE 6F C0 F0 80 80 40 F2 FA 63 98 42 02 D2 A0 F5 DE 60 7A E0 40 F6 66 13 98 42 74 D3 B0 F5 17 6F 01 D2 C0 1A 71 E0 40 F6 E6 13 98 42 6B D3 B0 F5 1F 6F F6 D3 40 F6 66 23 98 42 64 D3 B0 F5 27 6F EF D3 40 F6 E6 23 98 42 5D D3 B0 F5 2F 6F E8 D3 40 F6 66 33 98 42 56 D3 B0 F5 37 6F E1 D3 40 F6 66 43 98 42 4F D3 B0 F5 47 6F DA D3 40 F6 E6 43 98 42 48 D3 B0 F5 4F 6F D3 D3 40 F6 66 53 98 42 41 D3 B0 F5 57 6F CC D3 B0 F5 65 6F 3B D3 40 F6 5A 63 98 42 02 D2 A0 F5 65 60 36 E0 B0 F5 6D 6F 31 D3 40 F6 DA 63 98 42 02 D2 A0 F5 6D 60 2C E0 B0 F5 72 6F 27 D3 40 F6 2A 73 98 42 02 D2 A0 F5 72 60 22 E0 B0 F5 82 5F 1D D3 41 F2 4A 03 98 42 02 D2 A0 F5 82 50 18 E0 B0 F5 BF 5F 13 D3 41 F2 EA 73 98 42 02 D2 A0 F5 BF 50 0E E0 41 F6 10 02 90 42 08 D3 41 F6 1A 03 01 E0 4F F6 1A 73 98 42 38 BF 80 1A 01 D3 6F F0 00 00 BD E8 00 88 }
	condition:
		$1
}

rule file_668_259_0 {
	meta:
		name = "?width@?$format_string_parser@D@__crt_stdio_input@@QBA_KXZ"
		size = 68
		refs = "0022 _CrtDbgReportW 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0040 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 04 2B 0D D0 0B 4B 0A 49 4F F4 0E 72 01 93 07 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE A0 69 E1 69 03 B0 BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_260_0 {
	meta:
		name = "?width@?$format_string_parser@_W@__crt_stdio_input@@QBA_KXZ"
		size = 68
		refs = "0022 _CrtDbgReportW 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0040 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 04 46 23 69 04 2B 0D D0 0B 4B 0A 49 4F F4 0E 72 01 93 07 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE 20 6A 61 6A 03 B0 BD E8 10 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_261_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQADIAAPADAAID@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 19 68 9D F8 0C 20 0A 70 1A 68 52 1C 1A 60 02 9A 13 68 5B 1E 13 60 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_262_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQFA_WIAAPFA_WAAID@Z"
		size = 108
		refs = "001a __pctype_func 002a _getche_nolock 0050 _mbtowc_l"
	strings:
		$1 = { 2D E9 78 48 0D F1 10 0B 9D F9 1C 50 1E 46 00 23 8D F8 00 50 04 46 8D F8 01 30 ?? ?? ?? ?? EA B2 30 F8 12 20 12 F4 00 4F 09 D0 ?? ?? ?? ?? B0 F1 FF 3F 02 D0 A2 68 52 1C A2 60 8D F8 01 00 3F 23 AD F8 02 30 23 6E 69 46 0D F1 02 00 1A 68 52 68 ?? ?? ?? ?? 33 68 06 9A 1D 80 33 68 9B 1C 33 60 13 68 5B 1E 13 60 01 20 BD E8 78 88 }
	condition:
		$1
}

rule file_668_263_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQADIAAPADAAI_W@Z"
		size = 192
		refs = "0022 wctomb_s 006a _CrtGetDebugFillThreshold 007c memset 00ac _invoke_watson 00b4 ??_C@_1FM@MOIHLFHI@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp@ 00b8 ??_C@_1OM@KHMAGJEJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00bc ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 1D 46 0E 46 29 68 14 46 B2 F1 FF 3F 16 D1 00 23 02 93 BD F8 2C 30 02 A8 05 22 ?? ?? ?? ?? 20 B1 16 28 38 D0 22 28 32 D1 35 E0 2B 68 02 99 0A 9A 0B 44 2B 60 13 68 5B 1A 13 60 28 E0 0A 9F 00 23 02 93 3A 68 BD F8 2C 30 02 A8 ?? ?? ?? ?? 22 28 14 D1 00 23 33 70 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 70 1C FE 21 ?? ?? ?? ?? 00 20 09 E0 02 9A 00 2A 05 DD 2B 68 13 44 2B 60 3B 68 9B 1A 3B 60 01 20 04 B0 BD E8 F0 88 07 4A 05 49 04 48 00 23 00 93 40 F2 56 53 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_264_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_NQFA_WIAAPFA_WAAI_W@Z"
		size = 34
	strings:
		$1 = { 2D E9 00 48 EB 46 19 68 BD F8 0C 20 0A 80 1A 68 92 1C 1A 60 02 9A 13 68 5B 1E 13 60 01 20 BD E8 00 88 }
	condition:
		$1
}

rule file_668_265_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
		size = 164
		refs = "0032 _CrtDbgReportW 003c _errno 0052 _invalid_parameter 0068 ?length@?$format_string_parser@D@__crt_stdio_input@@QBAIXZ 0094 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 ??_C@_1NM@OAOANBCH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 009c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 44 6E 1E 46 15 46 61 42 01 F0 03 01 21 44 09 1D 41 66 51 F8 04 4C E4 B9 1F 4B 1E 4C 1B 49 00 93 00 23 4F F4 C3 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 14 49 13 4A 00 23 00 93 4F F4 C3 63 20 46 ?? ?? ?? ?? 00 20 19 E0 9D F8 20 30 13 B1 83 6E 5B 1C 83 66 10 30 ?? ?? ?? ?? 01 28 0C D0 02 28 08 D0 04 28 04 D0 08 28 EC D1 C4 E9 00 56 04 E0 25 60 02 E0 25 80 00 E0 25 70 01 20 BD E8 7E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_668_266_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAA_N_K_N@Z"
		size = 164
		refs = "0032 _CrtDbgReportW 003c _errno 0052 _invalid_parameter 0068 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBAIXZ 0094 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0098 ??_C@_1OI@PLAONLPK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 009c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B C4 6C 1E 46 15 46 61 42 01 F0 03 01 21 44 09 1D C1 64 51 F8 04 4C E4 B9 1F 4B 1E 4C 1B 49 00 93 00 23 4F F4 C3 62 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 14 49 13 4A 00 23 00 93 4F F4 C3 63 20 46 ?? ?? ?? ?? 00 20 19 E0 9D F8 20 30 13 B1 03 6D 5B 1C 03 65 10 30 ?? ?? ?? ?? 01 28 0C D0 02 28 08 D0 04 28 04 D0 08 28 EC D1 C4 E9 00 56 04 E0 25 60 02 E0 25 80 00 E0 25 70 01 20 BD E8 7E 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_669_5_0 {
	meta:
		name = "_mbspbrk_l"
		size = 276
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0020 strpbrk 003a _CrtDbgReportW 0044 _errno 0058 _invalid_parameter 0100 ??_C@_1HA@IBDHGIFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0104 ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0108 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 010c ??_C@_1BG@LIACDHFC@?$AA_?$AAm?$AAb?$AAs?$AAp?$AAb?$AAr?$AAk?$AA_?$AAl?$AA?$AA@ 0110 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 0D 46 04 46 02 A8 11 46 ?? ?? ?? ?? 04 9E B3 68 2B B9 29 46 20 46 ?? ?? ?? ?? 04 46 5D E0 CC B9 37 4B 38 4C 34 49 00 93 00 23 57 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 57 23 2E 49 2A 4A 20 46 ?? ?? ?? ?? 41 E0 A5 B9 29 4B 28 4C 26 49 00 93 00 23 58 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 58 23 E3 E7 23 78 3B B3 28 78 04 27 29 46 A8 B1 0A 78 93 19 5B 7E 3B 42 23 78 09 D0 9A 42 03 D1 4A 78 63 78 9A 42 09 D0 4B 78 3B B1 49 1C 01 E0 9A 42 03 D0 49 1C 0B 78 00 2B E9 D1 0B 78 5B B9 23 78 33 44 5B 7E 3B 42 02 D0 64 1C 23 78 1B B1 64 1C 23 78 00 2B D9 D1 23 78 03 B9 00 24 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 20 46 06 B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_10_0 {
	meta:
		name = "??$__crt_interlocked_exchange_pointer@UHINSTANCE__@@PAU1@@@YAPAUHINSTANCE__@@PDSAU0@QAU0@@Z"
		size = 54
		altNames = "??$__crt_interlocked_exchange_pointer@UHINSTANCE__@@PAX@@YAPAUHINSTANCE__@@PDSAU0@QAX@Z ??$__crt_interlocked_exchange_pointer@XPAX@@YAPAXPDSAXQAX@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 BF F3 5B 8F 04 98 05 99 50 E8 00 2F 40 E8 00 13 00 2B F9 D1 13 46 00 93 BF F3 5B 8F 00 9B 01 93 01 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_671_26_0 {
	meta:
		name = "?enum_system_locales_ex_nolock@@YAHQ6AHPA_WKJ@Z@Z"
		size = 120
		refs = "000c ??$__crt_fast_encode_pointer@P6AHPA_WKJ@Z@@YAP6AHPA_WKJ@ZQ6AH0KJ@Z@Z 001e memset 0024 ??B<lambda_7d4667135db055c8f06ea521d776c6b7>@@QBAP6AHPA_W@ZXZ 003c ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 004a memcpy 0052 ??$?B$$A6AHPA_WKJ@Z@__crt_fast_encoded_nullptr_t@@QBAP6AHPA_WKJ@ZXZ 0070 ?static_enum_proc@?1??enum_system_locales_ex_nolock@@YAHQ6AHPA_WKJ@Z@Z@4P6AH0KJ@ZA 0074 __imp_EnumSystemLocalesW"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 0A 98 ?? ?? ?? ?? 01 90 01 9A 16 4B 1A 60 01 22 00 21 68 46 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 02 90 01 21 02 98 11 4B 1B 68 98 47 03 90 03 9B 06 93 00 20 ?? ?? ?? ?? 04 90 0D F1 01 00 04 A9 01 22 ?? ?? ?? ?? 0D F1 01 00 ?? ?? ?? ?? 05 90 05 9A 05 4B 1A 60 06 9B 07 93 07 98 08 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_28_0 {
	meta:
		name = "?try_get_AppPolicyGetProcessTerminationMethod@@YAP6AJPAXPAW4AppPolicyProcessTerminationMethod@@@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0CF@OJOFEIGO@AppPolicyGetProcessTerminationMe@ 0028 ?candidate_modules@?1??try_get_AppPolicyGetProcessTerminationMethod@@YAP6AJPAXPAW4AppPolicyProcessTerminationMethod@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 1D 06 4A 05 49 1C 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_29_0 {
	meta:
		name = "?try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6AJPAXPAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0CE@OICFMIKE@AppPolicyGetShowDeveloperDiagnos@ 0028 ?candidate_modules@?1??try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6AJPAXPAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 1D 06 4A 05 49 1E 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_30_0 {
	meta:
		name = "?try_get_AppPolicyGetThreadInitializationType@@YAP6AJPAXPAW4AppPolicyThreadInitializationType@@@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0CF@NNDFDCOC@AppPolicyGetThreadInitialization@ 0028 ?candidate_modules@?1??try_get_AppPolicyGetThreadInitializationType@@YAP6AJPAXPAW4AppPolicyThreadInitializationType@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 1D 06 4A 05 49 1D 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_31_0 {
	meta:
		name = "?try_get_AppPolicyGetWindowingModel@@YAP6AJPAXPAW4AppPolicyWindowingModel@@@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BL@ODDJNEDA@AppPolicyGetWindowingModel?$AA@ 0028 ?candidate_modules@?1??try_get_AppPolicyGetWindowingModel@@YAP6AJPAXPAW4AppPolicyWindowingModel@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 1D 06 4A 05 49 1F 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_32_0 {
	meta:
		name = "?try_get_AreFileApisANSI@@YAP6AHXZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BA@FHFNEAED@AreFileApisANSI?$AA@ 0028 ?candidate_modules@?1??try_get_AreFileApisANSI@@YAP6AHXZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 1D 06 4A 05 49 00 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_33_0 {
	meta:
		name = "?try_get_CompareStringEx@@YAP6AHPB_WK0H0HPAU_nlsversioninfo@@PAXJ@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BA@IHGNDAEB@CompareStringEx?$AA@ 0028 ?candidate_modules@?1??try_get_CompareStringEx@@YAP6AHPB_WK0H0HPAU_nlsversioninfo@@PAXJ@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 01 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_34_0 {
	meta:
		name = "?try_get_EnumSystemLocalesEx@@YAP6AHP6AHPA_WKJ@ZKJPAX@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BE@LJANKFHF@EnumSystemLocalesEx?$AA@ 0028 ?candidate_modules@?1??try_get_EnumSystemLocalesEx@@YAP6AHP6AHPA_WKJ@ZKJPAX@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 02 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_35_0 {
	meta:
		name = "?try_get_FlsAlloc@@YAP6AKP6AXPAX@Z@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 0028 ?candidate_modules@?1??try_get_FlsAlloc@@YAP6AKP6AXPAX@Z@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 03 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_36_0 {
	meta:
		name = "?try_get_FlsFree@@YAP6AHK@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_07PEJMOBNF@FlsFree?$AA@ 0028 ?candidate_modules@?1??try_get_FlsFree@@YAP6AHK@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 04 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_37_0 {
	meta:
		name = "?try_get_FlsGetValue@@YAP6APAXK@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 0028 ?candidate_modules@?1??try_get_FlsGetValue@@YAP6APAXK@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 05 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_38_0 {
	meta:
		name = "?try_get_FlsSetValue@@YAP6AHKPAX@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 0028 ?candidate_modules@?1??try_get_FlsSetValue@@YAP6AHKPAX@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 06 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_39_0 {
	meta:
		name = "?try_get_GetActiveWindow@@YAP6APAUHWND__@@XZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BA@HNOPNCHB@GetActiveWindow?$AA@ 0028 ?candidate_modules@?1??try_get_GetActiveWindow@@YAP6APAUHWND__@@XZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 07 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_40_0 {
	meta:
		name = "?try_get_GetDateFormatEx@@YAP6AHPB_WKPBU_SYSTEMTIME@@0PA_WH0@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BA@EPCJIIPD@GetDateFormatEx?$AA@ 0028 ?candidate_modules@?1??try_get_GetDateFormatEx@@YAP6AHPB_WKPBU_SYSTEMTIME@@0PA_WH0@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 08 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_41_0 {
	meta:
		name = "?try_get_GetEnabledXStateFeatures@@YAP6A_KXZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BJ@DIBIJBHA@GetEnabledXStateFeatures?$AA@ 0028 ?candidate_modules@?1??try_get_GetEnabledXStateFeatures@@YAP6A_KXZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 09 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_42_0 {
	meta:
		name = "?try_get_GetLastActivePopup@@YAP6APAUHWND__@@PAU1@@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BD@HHGDFDBJ@GetLastActivePopup?$AA@ 0028 ?candidate_modules@?1??try_get_GetLastActivePopup@@YAP6APAUHWND__@@PAU2@@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 0A 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_43_0 {
	meta:
		name = "?try_get_GetLocaleInfoEx@@YAP6AHPB_WKPA_WH@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BA@ONOKGCMP@GetLocaleInfoEx?$AA@ 0028 ?candidate_modules@?1??try_get_GetLocaleInfoEx@@YAP6AHPB_WKPA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 0B 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_44_0 {
	meta:
		name = "?try_get_GetProcessWindowStation@@YAP6APAUHWINSTA__@@XZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BI@DFKBFLJE@GetProcessWindowStation?$AA@ 0028 ?candidate_modules@?1??try_get_GetProcessWindowStation@@YAP6APAUHWINSTA__@@XZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 0C 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_45_0 {
	meta:
		name = "?try_get_GetSystemTimePreciseAsFileTime@@YAP6AXPAU_FILETIME@@@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BP@FPNJPEJC@GetSystemTimePreciseAsFileTime?$AA@ 0028 ?candidate_modules@?1??try_get_GetSystemTimePreciseAsFileTime@@YAP6AXPAU_FILETIME@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 1D 06 4A 05 49 0D 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_46_0 {
	meta:
		name = "?try_get_GetTimeFormatEx@@YAP6AHPB_WKPBU_SYSTEMTIME@@0PA_WH@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BA@CIJJKCJJ@GetTimeFormatEx?$AA@ 0028 ?candidate_modules@?1??try_get_GetTimeFormatEx@@YAP6AHPB_WKPBU_SYSTEMTIME@@0PA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 0E 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_47_0 {
	meta:
		name = "?try_get_GetUserDefaultLocaleName@@YAP6AHPA_WH@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BJ@PBCCBIPI@GetUserDefaultLocaleName?$AA@ 0028 ?candidate_modules@?1??try_get_GetUserDefaultLocaleName@@YAP6AHPA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 0F 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_48_0 {
	meta:
		name = "?try_get_GetUserObjectInformationW@@YAP6AHPAXH0KPAK@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BK@DEKFELLI@GetUserObjectInformationW?$AA@ 0028 ?candidate_modules@?1??try_get_GetUserObjectInformationW@@YAP6AHPAXH0KPAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 10 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_49_0 {
	meta:
		name = "?try_get_GetXStateFeaturesMask@@YAP6AHPAU_CONTEXT@@PA_K@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BG@IKLDMBLM@GetXStateFeaturesMask?$AA@ 0028 ?candidate_modules@?1??try_get_GetXStateFeaturesMask@@YAP6AHPAU_CONTEXT@@PA_K@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 11 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_50_0 {
	meta:
		name = "?try_get_InitializeCriticalSectionEx@@YAP6AHPAU_RTL_CRITICAL_SECTION@@KK@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BM@HCFOFFN@InitializeCriticalSectionEx?$AA@ 0028 ?candidate_modules@?1??try_get_InitializeCriticalSectionEx@@YAP6AHPAU_RTL_CRITICAL_SECTION@@KK@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 12 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_51_0 {
	meta:
		name = "?try_get_IsValidLocaleName@@YAP6AHPB_W@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BC@CELBKLLA@IsValidLocaleName?$AA@ 0028 ?candidate_modules@?1??try_get_IsValidLocaleName@@YAP6AHPB_W@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 13 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_52_0 {
	meta:
		name = "?try_get_LCIDToLocaleName@@YAP6AHKPA_WHK@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BB@CDHDDLLP@LCIDToLocaleName?$AA@ 0028 ?candidate_modules@?1??try_get_LCIDToLocaleName@@YAP6AHKPA_WHK@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 15 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_53_0 {
	meta:
		name = "?try_get_LCMapStringEx@@YAP6AHPB_WK0HPA_WHPAU_nlsversioninfo@@PAXJ@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0O@KKBNKAPF@LCMapStringEx?$AA@ 0028 ?candidate_modules@?1??try_get_LCMapStringEx@@YAP6AHPB_WK0HPA_WHPAU_nlsversioninfo@@PAXJ@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 14 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_54_0 {
	meta:
		name = "?try_get_LocaleNameToLCID@@YAP6AKPB_WK@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BB@HBDEELFH@LocaleNameToLCID?$AA@ 0028 ?candidate_modules@?1??try_get_LocaleNameToLCID@@YAP6AKPB_WK@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 16 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_55_0 {
	meta:
		name = "?try_get_LocateXStateFeature@@YAP6APAXPAU_CONTEXT@@KPAK@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BE@KINNKFDA@LocateXStateFeature?$AA@ 0028 ?candidate_modules@?1??try_get_LocateXStateFeature@@YAP6APAXPAU_CONTEXT@@KPAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 17 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_56_0 {
	meta:
		name = "?try_get_MessageBoxA@@YAP6AHPAUHWND__@@PBD1I@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0M@CHKKJDAI@MessageBoxA?$AA@ 0028 ?candidate_modules@?1??try_get_MessageBoxA@@YAP6AHPAUHWND__@@PBD1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 18 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_57_0 {
	meta:
		name = "?try_get_MessageBoxW@@YAP6AHPAUHWND__@@PB_W1I@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0M@DLDCCGNP@MessageBoxW?$AA@ 0028 ?candidate_modules@?1??try_get_MessageBoxW@@YAP6AHPAUHWND__@@PB_W1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 19 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_58_0 {
	meta:
		name = "?try_get_RoInitialize@@YAP6AJW4RO_INIT_TYPE@@@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0N@PPOMPGGK@RoInitialize?$AA@ 0028 ?candidate_modules@?1??try_get_RoInitialize@@YAP6AJW4RO_INIT_TYPE@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 1D 06 4A 05 49 1A 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_59_0 {
	meta:
		name = "?try_get_RoUninitialize@@YAP6AXXZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0P@LLFHBIJD@RoUninitialize?$AA@ 0028 ?candidate_modules@?1??try_get_RoUninitialize@@YAP6AXXZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 1B 1D 06 4A 05 49 1B 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_60_0 {
	meta:
		name = "?try_get_SetThreadStackGuarantee@@YAP6AHPAK@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BI@BKLFFAPO@SetThreadStackGuarantee?$AA@ 0028 ?candidate_modules@?1??try_get_SetThreadStackGuarantee@@YAP6AHPAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 20 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_61_0 {
	meta:
		name = "?try_get_SystemFunction036@@YAP6AEPAXK@ZXZ"
		size = 44
		refs = "0012 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z 0024 ??_C@_0BC@JEAENNKH@SystemFunction036?$AA@ 0028 ?candidate_modules@?1??try_get_SystemFunction036@@YAP6AEPAXK@ZXZ@4QBW4module_id@?A0x391cf84c@@B"
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 07 4B 08 33 06 4A 05 49 21 20 ?? ?? ?? ?? 00 90 00 9B 01 93 01 98 02 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_62_0 {
	meta:
		name = "?try_get_first_available_module@@YAPAUHINSTANCE__@@QBW4module_id@?A0x391cf84c@@0@Z"
		size = 74
		refs = "0022 ?try_get_module@@YAPAUHINSTANCE__@@W4module_id@?A0x391cf84c@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 02 E0 00 9B 1B 1D 00 93 00 9A 07 9B 9A 42 0D D0 00 9B 18 68 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 00 2B 02 D0 01 9B 02 93 02 E0 EA E7 00 23 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_671_63_0 {
	meta:
		name = "?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
		size = 320
		refs = "0016 ??$__crt_interlocked_read_pointer@X@@YAPAXPDSAX@Z 001e ??$__crt_fast_decode_pointer@PAX@@YAPAXQAX@Z 0028 ?invalid_function_sentinel@@YAPAXXZ 004e ?try_get_proc_address_from_first_available_module@@YAPAXQBDQBW4module_id@?A0x391cf84c@@1@Z 0066 ??$__crt_fast_encode_pointer@PAX@@YAPAXQAX@Z 007a ??$__crt_interlocked_exchange_pointer@XPAX@@YAPAXPDSAXQAX@Z 00b2 _CrtDbgReportW 012c ??_C@_1HE@OILMBOBA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0130 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0134 ??_C@_1CI@GDJBAGLP@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAf?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAe?$AAw?$AA_?$AAf?$AAp?$AA?$AA@ 0138 ?encoded_function_pointers@@3PAPAXA 013c ??_C@_1FC@IBNCGNKL@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAf?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA_?$AAf?$AAu?$AAn?$AAc?$AAt?$AAi?$AAo?$AAn?$AA_?$AAs?$AAe@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 18 9A 04 23 02 FB 03 F2 49 4B 98 18 ?? ?? ?? ?? 07 90 07 98 ?? ?? ?? ?? 08 90 08 9B 04 93 ?? ?? ?? ?? 09 90 04 9A 09 9B 9A 42 02 D1 00 23 03 93 71 E0 04 9B 00 2B 02 D0 04 9B 03 93 6B E0 1B 9A 1A 99 19 98 ?? ?? ?? ?? 0A 90 0A 9B 02 93 02 9B 00 2B 33 D1 ?? ?? ?? ?? 0B 90 0B 98 ?? ?? ?? ?? 0C 90 0C 99 18 9A 04 23 02 FB 03 F2 30 4B 98 18 ?? ?? ?? ?? 0D 90 0D 98 ?? ?? ?? ?? 0E 90 0E 9B 05 93 05 9B 00 2B 16 D0 ?? ?? ?? ?? 0F 90 05 9A 0F 9B 9A 42 0F D0 26 4B 01 93 22 4B 00 93 00 23 40 F2 63 12 1F 49 02 20 ?? ?? ?? ?? 10 90 10 9B 01 2B 00 D1 FE DE 00 23 03 93 2C E0 02 98 ?? ?? ?? ?? 11 90 11 99 18 9A 04 23 02 FB 03 F2 17 4B 98 18 ?? ?? ?? ?? 12 90 12 98 ?? ?? ?? ?? 13 90 13 9B 06 93 06 9B 00 2B 13 D0 06 9A 02 9B 9A 42 0F D0 0D 4B 01 93 0B 4B 00 93 00 23 40 F2 75 12 08 49 02 20 ?? ?? ?? ?? 14 90 14 9B 01 2B 00 D1 FE DE 02 9B 03 93 03 98 16 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_64_0 {
	meta:
		name = "?try_get_module@@YAPAUHINSTANCE__@@W4module_id@?A0x391cf84c@@@Z"
		size = 288
		refs = "0016 ??$__crt_interlocked_read_pointer@UHINSTANCE__@@@@YAPAUHINSTANCE__@@PDSAU0@@Z 0048 ?try_load_library_from_system_directory@@YAPAUHINSTANCE__@@QB_W@Z 0068 ??$__crt_interlocked_exchange_pointer@UHINSTANCE__@@PAX@@YAPAUHINSTANCE__@@PDSAU0@QAX@Z 0092 _CrtDbgReportW 00b4 ??$__crt_interlocked_exchange_pointer@UHINSTANCE__@@PAU1@@@YAPAUHINSTANCE__@@PDSAU0@QAU0@@Z 0104 __imp_FreeLibrary 0108 ??_C@_1HE@OILMBOBA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 010c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0110 ??_C@_1DI@MAHEDLDB@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAe?$AAw?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0114 ?module_handles@@3PAPAUHINSTANCE__@@A 0118 ??_C@_1EM@LBIFGLGH@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_@ 011c ?module_names@?A0x391cf84c@@3QBQB_WB"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8E B0 10 9A 04 23 02 FB 03 F2 40 4B 98 18 ?? ?? ?? ?? 07 90 07 9B 04 93 04 9B 00 2B 09 D0 04 9B B3 F1 FF 3F 02 D1 00 23 03 93 61 E0 04 9B 03 93 5E E0 10 9A 04 23 02 FB 03 F2 36 4B 13 44 18 68 ?? ?? ?? ?? 08 90 08 9B 02 93 02 9B 00 2B 26 D1 6F F0 00 01 10 9A 04 23 02 FB 03 F2 2B 4B 98 18 ?? ?? ?? ?? 09 90 09 9B 05 93 05 9B 00 2B 13 D0 05 9B B3 F1 FF 3F 0F D0 25 4B 01 93 21 4B 00 93 00 23 4F F4 83 72 1E 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 00 23 03 93 28 E0 02 99 10 9A 04 23 02 FB 03 F2 18 4B 98 18 ?? ?? ?? ?? 0B 90 0B 9B 06 93 06 9B 00 2B 17 D0 06 9A 02 9B 9A 42 0F D0 10 4B 01 93 0E 4B 00 93 00 23 4F F4 89 72 0B 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 02 98 05 4B 1B 68 98 47 02 9B 03 93 03 98 0E B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_65_0 {
	meta:
		name = "?try_get_proc_address_from_first_available_module@@YAPAXQBDQBW4module_id@?A0x391cf84c@@1@Z"
		size = 68
		refs = "000e ?try_get_first_available_module@@YAPAUHINSTANCE__@@QBW4module_id@?A0x391cf84c@@0@Z 0040 __imp_GetProcAddress"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 99 07 98 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 02 D1 00 23 01 93 07 E0 06 99 00 98 05 4B 1B 68 98 47 03 90 03 9B 01 93 01 98 04 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_66_0 {
	meta:
		name = "?try_load_library_from_system_directory@@YAPAUHINSTANCE__@@QB_W@Z"
		size = 144
		refs = "003e wcsncmp 0080 __imp_LoadLibraryExW 0084 ??_C@_1BA@IAIFMGEF@?$AAe?$AAx?$AAt?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 0088 ??_C@_1BA@PFFKHIOG@?$AAa?$AAp?$AAi?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 008c __imp_GetLastError"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 88 B0 4F F4 00 62 00 21 0A 98 1B 4B 1B 68 98 47 02 90 02 9B 01 93 01 9B 00 2B 02 D0 01 9B 00 93 24 E0 18 4B 1B 68 98 47 03 90 03 9B 57 2B 1B D1 07 22 13 49 0A 98 ?? ?? ?? ?? 04 90 04 9B 00 2B 12 D0 07 22 0D 49 0A 98 ?? ?? ?? ?? 05 90 05 9B 00 2B 09 D0 00 22 00 21 0A 98 07 4B 1B 68 98 47 06 90 06 9B 00 93 01 E0 00 23 00 93 00 98 08 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_67_0 {
	meta:
		name = "GetCurrentThreadEffectiveToken"
		size = 22
	strings:
		$1 = { 2D E9 00 48 EB 46 82 B0 6F F0 05 03 00 93 00 98 02 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_671_68_0 {
	meta:
		name = "__acrt_AppPolicyGetProcessTerminationMethodInternal"
		size = 92
		refs = "000c ?try_get_AppPolicyGetProcessTerminationMethod@@YAP6AJPAXPAW4AppPolicyProcessTerminationMethod@@@ZXZ 001c GetCurrentThreadEffectiveToken 0058 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 86 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 12 D0 ?? ?? ?? ?? 04 90 0A 9D 04 9C 00 9B 01 93 01 98 0A 4B 1B 68 98 47 01 9B 20 46 29 46 98 47 05 90 05 9B 02 93 01 E0 04 4B 02 93 02 98 06 B0 BD E8 30 08 5D F8 0C FB FE DE 25 02 00 C0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_69_0 {
	meta:
		name = "__acrt_AppPolicyGetShowDeveloperDiagnosticInternal"
		size = 92
		refs = "000c ?try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6AJPAXPAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ 001c GetCurrentThreadEffectiveToken 0058 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 86 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 12 D0 ?? ?? ?? ?? 04 90 0A 9D 04 9C 00 9B 01 93 01 98 0A 4B 1B 68 98 47 01 9B 20 46 29 46 98 47 05 90 05 9B 02 93 01 E0 04 4B 02 93 02 98 06 B0 BD E8 30 08 5D F8 0C FB FE DE 25 02 00 C0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_70_0 {
	meta:
		name = "__acrt_AppPolicyGetThreadInitializationTypeInternal"
		size = 92
		refs = "000c ?try_get_AppPolicyGetThreadInitializationType@@YAP6AJPAXPAW4AppPolicyThreadInitializationType@@@ZXZ 001c GetCurrentThreadEffectiveToken 0058 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 86 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 12 D0 ?? ?? ?? ?? 04 90 0A 9D 04 9C 00 9B 01 93 01 98 0A 4B 1B 68 98 47 01 9B 20 46 29 46 98 47 05 90 05 9B 02 93 01 E0 04 4B 02 93 02 98 06 B0 BD E8 30 08 5D F8 0C FB FE DE 25 02 00 C0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_71_0 {
	meta:
		name = "__acrt_AppPolicyGetWindowingModelInternal"
		size = 92
		refs = "000c ?try_get_AppPolicyGetWindowingModel@@YAP6AJPAXPAW4AppPolicyWindowingModel@@@ZXZ 001c GetCurrentThreadEffectiveToken 0058 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 86 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 12 D0 ?? ?? ?? ?? 04 90 0A 9D 04 9C 00 9B 01 93 01 98 0A 4B 1B 68 98 47 01 9B 20 46 29 46 98 47 05 90 05 9B 02 93 01 E0 04 4B 02 93 02 98 06 B0 BD E8 30 08 5D F8 0C FB FE DE 25 02 00 C0 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_72_0 {
	meta:
		name = "__acrt_AreFileApisANSI"
		size = 64
		refs = "0008 ?try_get_AreFileApisANSI@@YAP6AHXZXZ 003c __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 0B D0 00 9B 01 93 01 98 07 4B 1B 68 98 47 01 9B 98 47 04 90 04 9B 02 93 01 E0 01 23 02 93 02 98 06 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_73_0 {
	meta:
		name = "__acrt_CompareStringEx"
		size = 148
		refs = "000c ?try_get_CompareStringEx@@YAP6AHPB_WK0H0HPAU_nlsversioninfo@@PAXJ@ZXZ 005e __acrt_LocaleNameToLCID 008c __imp_CompareStringW 0090 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 8D B0 ?? ?? ?? ?? 09 90 09 9B 06 93 06 9B 00 2B 1E D0 1C 9B 04 93 1B 9B 03 93 1A 9B 02 93 19 9B 01 93 18 9B 00 93 DD F8 5C 80 16 9F 15 9E 14 9D 06 9B 07 93 07 98 13 4B 1B 68 98 47 07 9C 28 46 31 46 3A 46 43 46 A0 47 0A 90 0A 9B 08 93 12 E0 00 21 14 98 ?? ?? ?? ?? 0B 90 19 9B 01 93 18 9B 00 93 17 9B 16 9A 15 99 0B 98 05 4C 24 68 A0 47 0C 90 0C 9B 08 93 08 98 0D B0 BD E8 F0 09 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_89_0 {
	meta:
		name = "__acrt_LCMapStringEx"
		size = 148
		refs = "000c ?try_get_LCMapStringEx@@YAP6AHPB_WK0HPA_WHPAU_nlsversioninfo@@PAXJ@ZXZ 005e __acrt_LocaleNameToLCID 008c __imp_LCMapStringW 0090 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 8D B0 ?? ?? ?? ?? 09 90 09 9B 06 93 06 9B 00 2B 1E D0 1C 9B 04 93 1B 9B 03 93 1A 9B 02 93 19 9B 01 93 18 9B 00 93 DD F8 5C 80 16 9F 15 9E 14 9D 06 9B 07 93 07 98 13 4B 1B 68 98 47 07 9C 28 46 31 46 3A 46 43 46 A0 47 0A 90 0A 9B 08 93 12 E0 00 21 14 98 ?? ?? ?? ?? 0B 90 19 9B 01 93 18 9B 00 93 17 9B 16 9A 15 99 0B 98 05 4C 24 68 A0 47 0C 90 0C 9B 08 93 08 98 0D B0 BD E8 F0 09 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_74_0 {
	meta:
		name = "__acrt_EnumSystemLocalesEx"
		size = 112
		refs = "000c ?try_get_EnumSystemLocalesEx@@YAP6AHP6AHPA_WKJ@ZKJPAX@ZXZ 004a ??0<lambda_777d11615145f89ee95b9466d285deeb>@@QAA@ABQ6AHPA_WKJ@Z@Z 0054 ??$__acrt_lock_and_call@V<lambda_777d11615145f89ee95b9466d285deeb>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_777d11615145f89ee95b9466d285deeb>@@@Z 006c __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 89 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 14 D0 DD F8 4C 80 12 9F 11 9E 10 9D 00 9B 01 93 01 98 0F 4B 1B 68 98 47 01 9C 28 46 31 46 3A 46 43 46 A0 47 04 90 04 9B 02 93 0B E0 10 A9 07 A8 ?? ?? ?? ?? 05 90 05 99 04 20 ?? ?? ?? ?? 06 90 06 9B 02 93 02 98 09 B0 BD E8 F0 09 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_75_0 {
	meta:
		name = "__acrt_FlsAlloc"
		size = 88
		refs = "000c ?try_get_FlsAlloc@@YAP6AKP6AXPAX@Z@ZXZ 0050 __imp_TlsAlloc 0054 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 0D D0 0A 9C 00 9B 01 93 01 98 0B 4B 1B 68 98 47 01 9B 20 46 98 47 04 90 04 9B 02 93 05 E0 05 4B 1B 68 98 47 05 90 05 9B 02 93 02 98 07 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_76_0 {
	meta:
		name = "__acrt_FlsFree"
		size = 92
		refs = "000c ?try_get_FlsFree@@YAP6AHK@ZXZ 0054 __imp_TlsFree 0058 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 0D D0 0A 9C 00 9B 01 93 01 98 0C 4B 1B 68 98 47 01 9B 20 46 98 47 04 90 04 9B 02 93 06 E0 0A 98 06 4B 1B 68 98 47 05 90 05 9B 02 93 02 98 07 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_77_0 {
	meta:
		name = "__acrt_FlsGetValue"
		size = 92
		refs = "000c ?try_get_FlsGetValue@@YAP6APAXK@ZXZ 0054 __imp_TlsGetValue 0058 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 0D D0 0A 9C 00 9B 01 93 01 98 0C 4B 1B 68 98 47 01 9B 20 46 98 47 04 90 04 9B 02 93 06 E0 0A 98 06 4B 1B 68 98 47 05 90 05 9B 02 93 02 98 07 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_78_0 {
	meta:
		name = "__acrt_FlsSetValue"
		size = 96
		refs = "000c ?try_get_FlsSetValue@@YAP6AHKPAX@ZXZ 0058 __imp_TlsSetValue 005c __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 86 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 0F D0 0B 9D 0A 9C 00 9B 01 93 01 98 0D 4B 1B 68 98 47 01 9B 20 46 29 46 98 47 04 90 04 9B 02 93 07 E0 0B 99 0A 98 05 4B 1B 68 98 47 05 90 05 9B 02 93 02 98 06 B0 BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_79_0 {
	meta:
		name = "__acrt_GetDateFormatEx"
		size = 140
		refs = "000c ?try_get_GetDateFormatEx@@YAP6AHPB_WKPBU_SYSTEMTIME@@0PA_WH0@ZXZ 0056 __acrt_LocaleNameToLCID 0084 __imp_GetDateFormatW 0088 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 8B B0 ?? ?? ?? ?? 07 90 07 9B 04 93 04 9B 00 2B 1A D0 18 9B 02 93 17 9B 01 93 16 9B 00 93 DD F8 54 80 14 9F 13 9E 12 9D 04 9B 05 93 05 98 13 4B 1B 68 98 47 05 9C 28 46 31 46 3A 46 43 46 A0 47 08 90 08 9B 06 93 12 E0 00 21 12 98 ?? ?? ?? ?? 09 90 17 9B 01 93 16 9B 00 93 15 9B 14 9A 13 99 09 98 05 4C 24 68 A0 47 0A 90 0A 9B 06 93 06 98 0B B0 BD E8 F0 09 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_80_0 {
	meta:
		name = "__acrt_GetEnabledXStateFeatures"
		size = 72
		refs = "0008 ?try_get_GetEnabledXStateFeatures@@YAP6A_KXZXZ 0036 abort 0044 __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 0E D0 00 9B 01 93 01 98 09 4B 1B 68 98 47 01 9B 98 47 05 91 04 90 04 9A 05 9B 06 92 07 93 01 E0 ?? ?? ?? ?? 06 98 07 99 08 B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_81_0 {
	meta:
		name = "__acrt_GetLocaleInfoEx"
		size = 120
		refs = "000c ?try_get_GetLocaleInfoEx@@YAP6AHPB_WKPA_WH@ZXZ 004a __acrt_LocaleNameToLCID 0070 __imp_GetLocaleInfoW 0074 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 87 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 14 D0 DD F8 44 80 10 9F 0F 9E 0E 9D 00 9B 01 93 01 98 11 4B 1B 68 98 47 01 9C 28 46 31 46 3A 46 43 46 A0 47 04 90 04 9B 02 93 0E E0 00 21 0E 98 ?? ?? ?? ?? 05 90 11 9B 10 9A 0F 99 05 98 05 4C 24 68 A0 47 06 90 06 9B 02 93 02 98 07 B0 BD E8 F0 09 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_82_0 {
	meta:
		name = "__acrt_GetSystemTimePreciseAsFileTime"
		size = 76
		refs = "000c ?try_get_GetSystemTimePreciseAsFileTime@@YAP6AXPAU_FILETIME@@@ZXZ 0044 __imp_GetSystemTimeAsFileTime 0048 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 0A D0 06 9C 00 9B 01 93 01 98 08 4B 1B 68 98 47 01 9B 20 46 98 47 03 E0 06 98 03 4B 1B 68 98 47 03 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_83_0 {
	meta:
		name = "__acrt_GetTimeFormatEx"
		size = 136
		refs = "000c ?try_get_GetTimeFormatEx@@YAP6AHPB_WKPBU_SYSTEMTIME@@0PA_WH@ZXZ 0052 __acrt_LocaleNameToLCID 0080 __imp_GetTimeFormatW 0084 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 89 B0 ?? ?? ?? ?? 05 90 05 9B 02 93 02 9B 00 2B 18 D0 15 9B 01 93 14 9B 00 93 DD F8 4C 80 12 9F 11 9E 10 9D 02 9B 03 93 03 98 13 4B 1B 68 98 47 03 9C 28 46 31 46 3A 46 43 46 A0 47 06 90 06 9B 04 93 12 E0 00 21 10 98 ?? ?? ?? ?? 07 90 15 9B 01 93 14 9B 00 93 13 9B 12 9A 11 99 07 98 05 4C 24 68 A0 47 08 90 08 9B 04 93 04 98 09 B0 BD E8 F0 09 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_84_0 {
	meta:
		name = "__acrt_GetUserDefaultLocaleName"
		size = 108
		refs = "000c ?try_get_GetUserDefaultLocaleName@@YAP6AHPA_WH@ZXZ 004c __acrt_LCIDToLocaleName 0064 __imp_GetUserDefaultLCID 0068 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 88 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 0F D0 0D 9D 0C 9C 00 9B 01 93 01 98 10 4B 1B 68 98 47 01 9B 20 46 29 46 98 47 04 90 04 9B 02 93 0C E0 09 4B 1B 68 98 47 05 90 00 23 0D 9A 0C 99 05 98 ?? ?? ?? ?? 06 90 06 9B 02 93 02 98 08 B0 BD E8 30 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_85_0 {
	meta:
		name = "__acrt_GetXStateFeaturesMask"
		size = 80
		refs = "000c ?try_get_GetXStateFeaturesMask@@YAP6AHPAU_CONTEXT@@PA_K@ZXZ 003c abort 004c __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 86 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 0F D0 0B 9D 0A 9C 00 9B 01 93 01 98 09 4B 1B 68 98 47 01 9B 20 46 29 46 98 47 03 90 03 9B 04 93 01 E0 ?? ?? ?? ?? 04 98 06 B0 BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_86_0 {
	meta:
		name = "__acrt_InitializeCriticalSectionEx"
		size = 100
		refs = "000c ?try_get_InitializeCriticalSectionEx@@YAP6AHPAU_RTL_CRITICAL_SECTION@@KK@ZXZ 005c __imp_InitializeCriticalSectionAndSpinCount 0060 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 87 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 11 D0 0E 9E 0D 9D 0C 9C 00 9B 01 93 01 98 0D 4B 1B 68 98 47 01 9B 20 46 29 46 32 46 98 47 04 90 04 9B 02 93 07 E0 0D 99 0C 98 05 4B 1B 68 98 47 05 90 05 9B 02 93 02 98 07 B0 BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_87_0 {
	meta:
		name = "__acrt_IsValidLocaleName"
		size = 104
		refs = "000c ?try_get_IsValidLocaleName@@YAP6AHPB_W@ZXZ 003c __acrt_LocaleNameToLCID 0060 __imp_IsValidLocale 0064 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 0D D0 0A 9C 00 9B 01 93 01 98 0F 4B 1B 68 98 47 01 9B 20 46 98 47 04 90 04 9B 02 93 0C E0 00 21 0A 98 ?? ?? ?? ?? 05 90 01 21 05 98 06 4B 1B 68 98 47 06 90 06 9B 02 93 02 98 07 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_88_0 {
	meta:
		name = "__acrt_LCIDToLocaleName"
		size = 104
		refs = "000c ?try_get_LCIDToLocaleName@@YAP6AHKPA_WHK@ZXZ 004c __acrt_DownlevelLCIDToLocaleName 0064 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 87 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 14 D0 DD F8 44 80 10 9F 0F 9E 0E 9D 00 9B 01 93 01 98 0D 4B 1B 68 98 47 01 9C 28 46 31 46 3A 46 43 46 A0 47 04 90 04 9B 02 93 07 E0 10 9A 0F 99 0E 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 98 07 B0 BD E8 F0 09 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_90_0 {
	meta:
		name = "__acrt_LocaleNameToLCID"
		size = 88
		refs = "000c ?try_get_LocaleNameToLCID@@YAP6AKPB_WK@ZXZ 003e __acrt_DownlevelLocaleNameToLCID 0054 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 86 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 0F D0 0B 9D 0A 9C 00 9B 01 93 01 98 0B 4B 1B 68 98 47 01 9B 20 46 29 46 98 47 04 90 04 9B 02 93 05 E0 0A 98 ?? ?? ?? ?? 05 90 05 9B 02 93 02 98 06 B0 BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_91_0 {
	meta:
		name = "__acrt_LocateXStateFeature"
		size = 84
		refs = "000c ?try_get_LocateXStateFeature@@YAP6APAXPAU_CONTEXT@@KPAK@ZXZ 0040 abort 0050 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 70 48 0D F1 0C 0B 85 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 11 D0 0C 9E 0B 9D 0A 9C 00 9B 01 93 01 98 09 4B 1B 68 98 47 01 9B 20 46 29 46 32 46 98 47 03 90 03 9B 04 93 01 E0 ?? ?? ?? ?? 04 98 05 B0 BD E8 70 08 5D F8 14 FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_92_0 {
	meta:
		name = "__acrt_MessageBoxA"
		size = 92
		refs = "000c ?try_get_MessageBoxA@@YAP6AHPAUHWND__@@PBD1I@ZXZ 0046 abort 0058 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 85 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 14 D0 DD F8 3C 80 0E 9F 0D 9E 0C 9D 00 9B 01 93 01 98 0A 4B 1B 68 98 47 01 9C 28 46 31 46 3A 46 43 46 A0 47 03 90 03 9B 04 93 01 E0 ?? ?? ?? ?? 04 98 05 B0 BD E8 F0 09 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_93_0 {
	meta:
		name = "__acrt_MessageBoxW"
		size = 92
		refs = "000c ?try_get_MessageBoxW@@YAP6AHPAUHWND__@@PB_W1I@ZXZ 0046 abort 0058 __guard_check_icall_fptr"
	strings:
		$1 = { 0F B4 2D E9 F0 49 0D F1 14 0B 85 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 14 D0 DD F8 3C 80 0E 9F 0D 9E 0C 9D 00 9B 01 93 01 98 0A 4B 1B 68 98 47 01 9C 28 46 31 46 3A 46 43 46 A0 47 03 90 03 9B 04 93 01 E0 ?? ?? ?? ?? 04 98 05 B0 BD E8 F0 09 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_94_0 {
	meta:
		name = "__acrt_RoInitialize"
		size = 76
		refs = "000c ?try_get_RoInitialize@@YAP6AJW4RO_INIT_TYPE@@@ZXZ 0048 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 0D D0 08 9C 00 9B 01 93 01 98 08 4B 1B 68 98 47 01 9B 20 46 98 47 04 90 04 9B 02 93 01 E0 00 23 02 93 02 98 05 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_97_0 {
	meta:
		name = "__acrt_SetThreadStackGuarantee"
		size = 76
		refs = "000c ?try_get_SetThreadStackGuarantee@@YAP6AHPAK@ZXZ 0048 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 85 B0 ?? ?? ?? ?? 03 90 03 9B 00 93 00 9B 00 2B 0D D0 08 9C 00 9B 01 93 01 98 08 4B 1B 68 98 47 01 9B 20 46 98 47 04 90 04 9B 02 93 01 E0 00 23 02 93 02 98 05 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_95_0 {
	meta:
		name = "__acrt_RoUninitialize"
		size = 52
		refs = "0008 ?try_get_RoUninitialize@@YAP6AXXZXZ 0030 __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 00 93 00 9B 00 2B 07 D0 00 9B 01 93 01 98 04 4B 1B 68 98 47 01 9B 98 47 04 B0 BD E8 00 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_96_0 {
	meta:
		name = "__acrt_RtlGenRandom"
		size = 88
		refs = "000c ?try_get_SystemFunction036@@YAP6AEPAXK@ZXZ 0042 abort 0054 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 30 48 0D F1 08 0B 86 B0 ?? ?? ?? ?? 03 90 03 9B 01 93 01 9B 00 2B 12 D0 0B 9D 0A 9C 01 9B 02 93 02 98 0B 4B 1B 68 98 47 02 9B 20 46 29 46 98 47 8D F8 00 00 9D F8 00 30 8D F8 10 30 01 E0 ?? ?? ?? ?? 9D F8 10 00 06 B0 BD E8 30 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_98_0 {
	meta:
		name = "__acrt_can_show_message_box"
		size = 74
		refs = "000e __acrt_get_windowing_model_policy 001a ?try_get_MessageBoxA@@YAP6AHPAUHWND__@@PBD1I@ZXZ 0026 ?try_get_MessageBoxW@@YAP6AHPAUHWND__@@PB_W1I@ZXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 86 B0 00 23 8D F8 00 30 ?? ?? ?? ?? 01 90 01 9B 01 2B 0E D1 ?? ?? ?? ?? 02 90 02 9B 00 2B 08 D0 ?? ?? ?? ?? 03 90 03 9B 00 2B 02 D0 01 23 8D F8 00 30 9D F8 00 30 8D F8 10 30 9D F8 10 00 06 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_671_99_0 {
	meta:
		name = "__acrt_can_use_vista_locale_apis"
		size = 48
		refs = "0008 ?try_get_CompareStringEx@@YAP6AHPB_WK0H0HPAU_nlsversioninfo@@PAXJ@ZXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_671_100_0 {
	meta:
		name = "__acrt_can_use_xstate_apis"
		size = 48
		refs = "0008 ?try_get_LocateXStateFeature@@YAP6APAXPAU_CONTEXT@@KPAK@ZXZ"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 01 E0 00 23 00 93 00 9B DB B2 8D F8 08 30 9D F8 08 00 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_671_102_0 {
	meta:
		name = "__acrt_get_parent_window"
		size = 128
		refs = "000a ?try_get_GetActiveWindow@@YAP6APAUHWND__@@XZXZ 0042 ?try_get_GetLastActivePopup@@YAP6APAUHWND__@@PAU1@@ZXZ 007c __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B 8B B0 ?? ?? ?? ?? 06 90 06 9B 02 93 02 9B 00 2B 02 D1 00 23 00 93 28 E0 02 9B 03 93 03 98 15 4B 1B 68 98 47 03 9B 98 47 07 90 07 9B 01 93 01 9B 00 2B 02 D1 00 23 00 93 17 E0 ?? ?? ?? ?? 08 90 08 9B 04 93 04 9B 00 2B 02 D1 01 9B 00 93 0C E0 01 9C 04 9B 05 93 05 98 06 4B 1B 68 98 47 05 9B 20 46 98 47 09 90 09 9B 00 93 00 98 0B B0 BD E8 10 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_103_0 {
	meta:
		name = "__acrt_initialize_winapi_thunks"
		size = 100
		refs = "000a ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0016 memcpy 001c ??$?BX@__crt_fast_encoded_nullptr_t@@QBAPAXXZ 0060 ?encoded_function_pointers@@3PAPAXA"
	strings:
		$1 = { 2D E9 00 48 EB 46 8A B0 00 20 ?? ?? ?? ?? 03 90 68 46 03 A9 01 22 ?? ?? ?? ?? 68 46 ?? ?? ?? ?? 04 90 04 9B 06 93 0E 4B 02 93 02 9B 01 93 02 9B 88 33 05 93 02 E0 01 9B 1B 1D 01 93 01 9A 05 9B 9A 42 05 D0 01 9B 07 93 06 9A 07 9B 1A 60 F2 E7 01 23 8D F8 20 30 9D F8 20 00 0A B0 BD E8 00 88 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_104_0 {
	meta:
		name = "__acrt_is_interactive"
		size = 204
		refs = "0008 __security_push_cookie 000e ?try_get_GetProcessWindowStation@@YAP6APAUHWINSTA__@@XZXZ 0026 ?try_get_GetUserObjectInformationW@@YAP6AHPAXH0KPAK@ZXZ 0068 memset 00be __security_pop_cookie 00c8 __guard_check_icall_fptr"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 90 B0 ?? ?? ?? ?? 08 90 08 9B 03 93 03 9B 00 2B 03 D1 01 23 8D F8 08 30 48 E0 ?? ?? ?? ?? 09 90 09 9B 06 93 06 9B 00 2B 03 D1 01 23 8D F8 08 30 3C E0 03 9B 04 93 04 98 20 4B 1B 68 98 47 04 9B 98 47 0A 90 0A 9B 05 93 05 9B 00 2B 03 D1 00 23 8D F8 08 30 2A E0 0C 22 00 21 0C A8 ?? ?? ?? ?? 00 23 00 93 4F F0 0C 08 0C AF 01 26 05 9D 06 9B 07 93 07 98 11 4B 1B 68 98 47 07 9C 28 46 31 46 3A 46 43 46 A0 47 0B 90 0B 9B 00 2B 03 D1 00 23 8D F8 08 30 0A E0 0E 9B 13 F0 01 0F 03 D1 00 23 8D F8 08 30 02 E0 01 23 8D F8 08 30 9D F8 08 00 10 B0 ?? ?? ?? ?? BD E8 F0 89 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_671_105_0 {
	meta:
		name = "__acrt_uninitialize_winapi_thunks"
		size = 124
		refs = "0074 __imp_FreeLibrary 0078 ?module_handles@@3PAPAUHINSTANCE__@@A"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 9D F8 20 30 00 2B 03 D0 01 23 8D F8 0C 30 25 E0 17 4B 02 93 02 9B 00 93 02 9B 4C 33 04 93 02 E0 00 9B 1B 1D 00 93 00 9A 04 9B 9A 42 13 D0 00 9B 01 93 01 9B 1B 68 00 2B 0C D0 01 9B 1B 68 B3 F1 FF 3F 04 D0 01 9B 18 68 08 4B 1B 68 98 47 01 9A 00 23 13 60 E4 E7 01 23 8D F8 0C 30 9D F8 0C 00 06 B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_672_7_0 {
	meta:
		name = "?__crt_compute_required_transform_buffer_count@@YAIIQB_W@Z"
		size = 68
		refs = "0040 __imp_WideCharToMultiByte"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 87 B0 00 23 03 93 00 23 02 93 00 23 01 93 00 23 00 93 6F F0 00 03 0B 9A 00 21 0A 98 06 4C 24 68 A0 47 04 90 04 9B 05 93 05 98 07 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_672_8_0 {
	meta:
		name = "?__crt_transform_string@@YAIIQB_WQADI@Z"
		size = 72
		refs = "0044 __imp_WideCharToMultiByte"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 87 B0 0D 9B 04 93 00 23 03 93 00 23 02 93 04 9B 01 93 0C 9B 00 93 6F F0 00 03 0B 9A 00 21 0A 98 06 4C 24 68 A0 47 05 90 05 9B 06 93 06 98 07 B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_672_16_0 {
	meta:
		name = "__acrt_copy_path_to_wide_string"
		size = 524
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 00cc __acrt_AreFileApisANSI 0138 __acrt_errno_map_os_error 0150 _malloc_dbg 015a ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@QA_W@Z 0160 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBAPA_WXZ 0172 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAA@XZ 01c4 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAAPA_WXZ 01ec __imp_GetLastError 01f0 __imp_MultiByteToWideChar 01f4 ??_C@_0DN@PGJNBGOL@minkernel?2crts?2ucrt?2src?2appcrt?2i@ 01f8 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01fc ??_C@_1EA@EAGMBFGP@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAc?$AAo?$AAp?$AAy?$AA_?$AAp?$AAa?$AAt?$AAh?$AA_?$AAt?$AAo?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 0200 ??_C@_1HK@GGMCFJDH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0204 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0208 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 9D B0 20 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 78 4B 01 93 76 4B 00 93 00 23 13 22 73 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 13 23 68 4A 67 49 69 48 ?? ?? ?? ?? 00 23 04 93 B8 E0 21 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 5C 4B 01 93 5E 4B 00 93 00 23 14 22 5B 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 14 23 50 4A 4F 49 4D 48 ?? ?? ?? ?? 00 23 04 93 88 E0 ?? ?? ?? ?? 10 90 10 9B 00 2B 03 D1 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 21 9A 00 23 13 60 00 23 01 93 00 23 00 93 6F F0 00 03 20 9A 00 21 0B 98 34 4C 24 68 A0 47 11 90 11 9B 05 93 05 9B 00 2B 09 D1 2F 4B 1B 68 98 47 12 90 12 98 ?? ?? ?? ?? 00 23 04 93 4D E0 23 23 2B 4A 02 21 05 9C 02 20 04 FB 00 F0 ?? ?? ?? ?? 13 90 13 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 14 90 14 9B 00 2B 07 D1 00 23 15 93 03 A8 ?? ?? ?? ?? 15 9B 04 93 30 E0 03 A8 ?? ?? ?? ?? 16 90 05 9B 01 93 16 9B 00 93 6F F0 00 03 20 9A 00 21 0B 98 16 4C 24 68 A0 47 17 90 17 9B 00 2B 0E D1 11 4B 1B 68 98 47 18 90 18 98 ?? ?? ?? ?? 00 23 19 93 03 A8 ?? ?? ?? ?? 19 9B 04 93 0D E0 03 A8 ?? ?? ?? ?? 1A 90 1A 9A 21 9B 1A 60 01 23 1B 93 03 A8 ?? ?? ?? ?? 1B 9B 04 93 04 98 1D B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_672_17_0 {
	meta:
		name = "__acrt_copy_to_char"
		size = 488
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 00ca __acrt_AreFileApisANSI 010c ?__crt_compute_required_transform_buffer_count@@YAIIQB_W@Z 0126 __acrt_errno_map_os_error 0138 _malloc_dbg 0142 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@QAD@Z 0148 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBA_NXZ 015e ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAA@XZ 016a ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBAPADXZ 0178 ?__crt_transform_string@@YAIIQB_WQADI@Z 01a4 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAAPADXZ 01cc __imp_GetLastError 01d0 ??_C@_0DN@PGJNBGOL@minkernel?2crts?2ucrt?2src?2appcrt?2i@ 01d4 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01d8 ??_C@_1CI@FCAFEBFO@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAc?$AAo?$AAp?$AAy?$AA_?$AAt?$AAo?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?$AA@ 01dc ??_C@_1HK@GGMCFJDH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 01e0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01e4 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 9C B0 1E 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 6F 4B 01 93 6D 4B 00 93 00 23 3D 22 6A 49 02 20 ?? ?? ?? ?? 0C 90 0C 9B 01 2B 00 D1 FE DE 07 9B 00 2B 10 D1 ?? ?? ?? ?? 0D 90 0D 9A 16 23 13 60 00 23 00 93 3D 23 60 4A 5E 49 61 48 ?? ?? ?? ?? 00 23 04 93 A9 E0 1F 9B 00 2B 02 D0 01 23 08 93 01 E0 00 23 08 93 08 9B 09 93 09 9B 00 2B 0E D1 53 4B 01 93 55 4B 00 93 00 23 3E 22 52 49 02 20 ?? ?? ?? ?? 0E 90 0E 9B 01 2B 00 D1 FE DE 09 9B 00 2B 10 D1 ?? ?? ?? ?? 0F 90 0F 9A 16 23 13 60 00 23 00 93 3E 23 48 4A 46 49 45 48 ?? ?? ?? ?? 00 23 04 93 79 E0 ?? ?? ?? ?? 10 90 10 9B 00 2B 03 D1 01 23 8D F8 08 30 02 E0 00 23 8D F8 08 30 9D F8 08 30 8D F8 09 30 9D F8 09 30 00 2B 02 D0 01 23 0A 93 01 E0 00 23 0A 93 0A 9B 0B 93 1F 9A 00 23 13 60 1E 99 0B 98 ?? ?? ?? ?? 11 90 11 9B 05 93 05 9B 00 2B 09 D1 2B 4B 1B 68 98 47 12 90 12 98 ?? ?? ?? ?? 00 23 04 93 46 E0 4C 23 27 4A 02 21 05 98 ?? ?? ?? ?? 13 90 13 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 0A 00 9D F8 0A 30 00 2B 07 D1 00 23 14 93 03 A8 ?? ?? ?? ?? 14 9B 04 93 2A E0 03 A8 ?? ?? ?? ?? 15 90 05 9B 15 9A 1E 99 0B 98 ?? ?? ?? ?? 16 90 16 9B 00 2B 0E D1 11 4B 1B 68 98 47 17 90 17 98 ?? ?? ?? ?? 00 23 18 93 03 A8 ?? ?? ?? ?? 18 9B 04 93 0D E0 03 A8 ?? ?? ?? ?? 19 90 19 9A 1F 9B 1A 60 01 23 1A 93 03 A8 ?? ?? ?? ?? 1A 9B 04 93 04 98 1C B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_673_0_0 {
	meta:
		name = "_telli64"
		size = 50
		refs = "0014 _lseeki64"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 01 23 00 93 00 22 00 23 08 98 ?? ?? ?? ?? 03 91 02 90 02 9A 03 9B 04 92 05 93 04 98 05 99 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_674_1_0 {
	meta:
		name = "??$thread_start@P6AIPAX@Z@@YAKQAX@Z"
		size = 172
		refs = "0028 __acrt_getptd 0038 __acrt_get_begin_thread_init_policy 0046 __acrt_RoInitialize 0076 ?invoke_thread_procedure@@YAIQ6AIPAX@ZQAX@Z 007e _endthreadex 008c _exit 00a4 __imp_ExitThread 00a8 __imp_GetLastError"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 BB 6C 00 2B 07 D1 24 4B 1B 68 98 47 F8 60 F8 68 21 4B 1B 68 98 47 BB 6C 3B 60 ?? ?? ?? ?? 38 61 3B 69 03 F5 58 72 3B 68 13 60 ?? ?? ?? ?? 78 61 7B 69 02 2B 11 D1 01 20 ?? ?? ?? ?? B8 61 BB 69 00 2B 02 D1 01 23 BB 60 01 E0 00 23 BB 60 3B 68 03 F1 10 02 BB 68 DB B2 13 70 3B 68 1B 68 FB 61 3B 68 1B 1D 19 68 F8 69 ?? ?? ?? ?? 38 62 38 6A ?? ?? ?? ?? 06 E0 78 60 7B 68 3B 63 38 6B ?? ?? ?? ?? FF E7 00 23 7B 63 78 6B 0F B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_3_0 {
	meta:
		name = "??$thread_start@P6AXPAX@Z@@YAKQAX@Z"
		size = 172
		refs = "0028 __acrt_getptd 0038 __acrt_get_begin_thread_init_policy 0046 __acrt_RoInitialize 0076 ?invoke_thread_procedure@@YAIQ6AXPAX@ZQAX@Z 007e _endthreadex 008c _exit 00a4 __imp_ExitThread 00a8 __imp_GetLastError"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 8F B0 6F 46 BB 6C 00 2B 07 D1 24 4B 1B 68 98 47 F8 60 F8 68 21 4B 1B 68 98 47 BB 6C 3B 60 ?? ?? ?? ?? 38 61 3B 69 03 F5 58 72 3B 68 13 60 ?? ?? ?? ?? 78 61 7B 69 02 2B 11 D1 01 20 ?? ?? ?? ?? B8 61 BB 69 00 2B 02 D1 01 23 BB 60 01 E0 00 23 BB 60 3B 68 03 F1 10 02 BB 68 DB B2 13 70 3B 68 1B 68 FB 61 3B 68 1B 1D 19 68 F8 69 ?? ?? ?? ?? 38 62 38 6A ?? ?? ?? ?? 06 E0 78 60 7B 68 3B 63 38 6B ?? ?? ?? ?? FF E7 00 23 7B 63 78 6B 0F B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_2_0 {
	meta:
		name = "?filt$0@?0???$thread_start@P6AIPAX@Z@@YAKQAX@Z@4HA"
		size = 30
		refs = "0014 _seh_filter_exe"
		altNames = "?filt$0@?0???$thread_start@P6AXPAX@Z@@YAKQAX@Z@4HA"
	strings:
		$1 = { 10 B5 78 60 7B 68 7B 62 7B 68 1B 68 1B 68 BB 62 79 6A B8 6A ?? ?? ?? ?? F8 62 F8 6A 10 BD }
	condition:
		$1
}

rule file_674_10_0 {
	meta:
		name = "??Rthread_parameter_free_policy@?A0x4e93fcdd@@QAAXQAU__acrt_thread_parameter@@@Z"
		size = 84
		refs = "0040 _free_dbg 004c __imp_FreeLibrary 0050 __imp_CloseHandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 03 9B 00 2B 00 D1 19 E0 03 9B 08 33 1B 68 00 2B 05 D0 03 9B 08 33 18 68 0B 4B 1B 68 98 47 03 9B 0C 33 1B 68 00 2B 05 D0 03 9B 0C 33 18 68 05 4B 1B 68 98 47 02 21 03 98 ?? ?? ?? ?? 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_11_0 {
	meta:
		name = "?common_end_thread@@YAXI@Z"
		size = 176
		refs = "000a __acrt_getptd_noexit 0044 __acrt_RoUninitialize 00a4 __imp_ExitThread 00a8 __imp_FreeLibraryAndExitThread 00ac __imp_CloseHandle"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 02 90 02 9B 01 93 01 9B 00 2B 03 D1 06 98 21 4B 1B 68 98 47 01 9B 03 F5 58 73 1B 68 00 93 00 9B 00 2B 03 D1 06 98 1B 4B 1B 68 98 47 00 9B 10 33 1B 78 00 2B 01 D0 ?? ?? ?? ?? 00 9B 08 33 1B 68 B3 F1 FF 3F 0A D0 00 9B 08 33 1B 68 00 2B 05 D0 00 9B 08 33 18 68 11 4B 1B 68 98 47 00 9B 0C 33 1B 68 B3 F1 FF 3F 0C D0 00 9B 0C 33 1B 68 00 2B 07 D0 06 99 00 9B 0C 33 18 68 07 4B 1B 68 98 47 03 E0 06 98 04 4B 1B 68 98 47 04 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_12_0 {
	meta:
		name = "?create_thread_parameter@@YAPAU__acrt_thread_parameter@@QAX0@Z"
		size = 196
		refs = "0016 _calloc_dbg 0020 ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAA@QAU__acrt_thread_parameter@@@Z 002c ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAAPAU__acrt_thread_parameter@@XZ 0036 ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAA@QAU__acrt_thread_parameter@@@Z 003c ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAA@XZ 0042 ??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBA_NXZ 0058 ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAA@XZ 0064 ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBAPAU__acrt_thread_parameter@@XZ 009a ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAAPAU__acrt_thread_parameter@@XZ 00bc __imp_GetModuleHandleExW 00c0 ??_C@_0DC@EOJDPMNN@minkernel?2crts?2ucrt?2src?2appcrt?2s@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 87 23 00 93 2C 4B 02 22 14 21 01 20 ?? ?? ?? ?? 05 90 05 99 09 A8 ?? ?? ?? ?? 06 90 06 9B 07 93 07 98 ?? ?? ?? ?? 08 90 08 99 03 A8 ?? ?? ?? ?? 09 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 07 D1 00 23 0A 93 03 A8 ?? ?? ?? ?? 0A 9B 04 93 25 E0 03 A8 ?? ?? ?? ?? 0B 90 0B 9A 12 9B 13 60 03 A8 ?? ?? ?? ?? 0C 90 0C 9B 1A 1D 13 9B 13 60 03 A8 ?? ?? ?? ?? 0D 90 0D 9B 03 F1 0C 02 12 99 04 20 0A 4B 1B 68 98 47 03 A8 ?? ?? ?? ?? 0E 90 0E 9B 0F 93 03 A8 ?? ?? ?? ?? 0F 9B 04 93 04 98 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_16_0 {
	meta:
		name = "?invoke_thread_procedure@@YAIQ6AIPAX@ZQAX@Z"
		size = 56
		refs = "0034 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 07 9C 06 9B 00 93 00 98 07 4B 1B 68 98 47 00 9B 20 46 98 47 01 90 01 9B 02 93 02 98 03 B0 BD E8 10 08 5D F8 0C FB FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_17_0 {
	meta:
		name = "?invoke_thread_procedure@@YAIQ6AXPAX@ZQAX@Z"
		size = 52
		refs = "0030 __guard_check_icall_fptr"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 83 B0 07 9C 06 9B 00 93 00 98 06 4B 1B 68 98 47 00 9B 20 46 98 47 00 23 01 93 01 98 03 B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_21_0 {
	meta:
		name = "_beginthread"
		size = 376
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 0072 ?create_thread_parameter@@YAPAU__acrt_thread_parameter@@QAX0@Z 007c ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAA@QAU__acrt_thread_parameter@@@Z 0082 ??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBA_NXZ 009a ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAA@XZ 00aa ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBAPAU__acrt_thread_parameter@@XZ 00dc __acrt_errno_map_os_error 0138 ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAAPAU__acrt_thread_parameter@@XZ 0158 __imp_GetLastError 015c __imp_ResumeThread 0160 __imp_CreateThread 0164 ??$thread_start@P6AXPAX@Z@@YAKQAX@Z 0168 ??_C@_1CK@GIFPKHHM@?$AAp?$AAr?$AAo?$AAc?$AAe?$AAd?$AAu?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016c ??_C@_1BK@LDJFDJGO@?$AA_?$AAb?$AAe?$AAg?$AAi?$AAn?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AA?$AA@ 0170 ??_C@_1GE@DFONDADF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0174 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 97 B0 1A 9B 00 2B 02 D0 01 23 06 93 01 E0 00 23 06 93 06 9B 07 93 07 9B 00 2B 0E D1 50 4B 01 93 52 4B 00 93 00 23 A2 22 4F 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 07 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 A2 23 44 4A 43 49 41 48 ?? ?? ?? ?? 6F F0 00 03 04 93 6D E0 1C 99 1A 98 ?? ?? ?? ?? 0A 90 0A 99 02 A8 ?? ?? ?? ?? 02 A8 ?? ?? ?? ?? 8D F8 0C 00 9D F8 0C 30 00 2B 08 D1 6F F0 00 03 0B 93 02 A8 ?? ?? ?? ?? 0B 9B 04 93 52 E0 00 23 0C 93 02 A8 ?? ?? ?? ?? 0D 90 0C AB 01 93 04 23 00 93 0D 9B 2A 4A 1B 99 00 20 27 4C 24 68 A0 47 0E 90 0E 9B 05 93 05 9B 00 2B 0F D1 21 4B 1B 68 98 47 0F 90 0F 98 ?? ?? ?? ?? 6F F0 00 03 10 93 02 A8 ?? ?? ?? ?? 10 9B 04 93 2B E0 02 A8 ?? ?? ?? ?? 11 90 11 9B 03 F1 08 02 05 9B 13 60 05 98 15 4B 1B 68 98 47 12 90 12 9B B3 F1 FF 3F 0F D1 10 4B 1B 68 98 47 13 90 13 98 ?? ?? ?? ?? 6F F0 00 03 14 93 02 A8 ?? ?? ?? ?? 14 9B 04 93 09 E0 02 A8 ?? ?? ?? ?? 05 9B 15 93 02 A8 ?? ?? ?? ?? 15 9B 04 93 04 98 17 B0 BD E8 10 08 5D F8 14 FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_674_22_0 {
	meta:
		name = "_beginthreadex"
		size = 304
		refs = "0036 _CrtDbgReportW 004a _errno 0062 _invalid_parameter 0070 ?create_thread_parameter@@YAPAU__acrt_thread_parameter@@QAX0@Z 007a ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAA@QAU__acrt_thread_parameter@@@Z 0080 ??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBA_NXZ 0096 ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAA@XZ 00a2 ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBAPAU__acrt_thread_parameter@@XZ 00d4 __acrt_errno_map_os_error 00f6 ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAAPAU__acrt_thread_parameter@@XZ 0114 __imp_GetLastError 0118 __imp_CreateThread 011c ??$thread_start@P6AIPAX@Z@@YAKQAX@Z 0120 ??_C@_1CK@GIFPKHHM@?$AAp?$AAr?$AAo?$AAc?$AAe?$AAd?$AAu?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0124 ??_C@_1BO@FIKPNENM@?$AA_?$AAb?$AAe?$AAg?$AAi?$AAn?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AAe?$AAx?$AA?$AA@ 0128 ??_C@_1GE@DFONDADF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 012c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 10 48 0D F1 04 0B 93 B0 18 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 3E 4B 01 93 40 4B 00 93 00 23 D4 22 3D 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 D4 23 32 4A 31 49 2F 48 ?? ?? ?? ?? 00 23 04 93 4D E0 19 99 18 98 ?? ?? ?? ?? 0A 90 0A 99 03 A8 ?? ?? ?? ?? 03 A8 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 07 D1 00 23 0B 93 03 A8 ?? ?? ?? ?? 0B 9B 04 93 33 E0 03 A8 ?? ?? ?? ?? 0C 90 10 AB 01 93 1A 9B 00 93 0C 9B 1A 4A 17 99 16 98 17 4C 24 68 A0 47 0D 90 0D 9B 07 93 07 9B 00 2B 0E D1 12 4B 1B 68 98 47 0E 90 0E 98 ?? ?? ?? ?? 00 23 0F 93 03 A8 ?? ?? ?? ?? 0F 9B 04 93 0F E0 1B 9B 00 2B 02 D0 10 9A 1B 9B 1A 60 03 A8 ?? ?? ?? ?? 07 9B 11 93 03 A8 ?? ?? ?? ?? 11 9B 04 93 04 98 13 B0 BD E8 10 08 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_675_0_0 {
	meta:
		name = "?dup2_nolock@@YAHHH@Z"
		size = 556
		refs = "0034 _errno 0040 __doserrno 005c _CrtDbgReportW 009c _close_nolock 00aa _get_osfhandle 00e8 __acrt_errno_map_os_error 00f8 __acrt_lowio_set_os_handle 0210 __pioinfo 0214 __imp_GetLastError 0218 __imp_DuplicateHandle 021c __imp_GetCurrentProcess 0220 ??_C@_1FM@BJKFIHHL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0224 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0228 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B 8F B0 12 9B 9A 11 04 23 02 FB 03 F2 7E 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 1E D1 ?? ?? ?? ?? 05 90 05 9A 09 23 13 60 ?? ?? ?? ?? 06 90 06 9A 00 23 13 60 76 4B 01 93 74 4B 00 93 00 23 16 22 71 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 6F F0 00 03 04 93 C8 E0 13 9B 9A 11 04 23 02 FB 03 F2 64 4B 99 18 13 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 13 98 ?? ?? ?? ?? 5E 4B 1B 68 98 47 08 90 12 98 ?? ?? ?? ?? 09 90 5A 4B 1B 68 98 47 0A 90 02 23 02 93 01 23 01 93 00 23 00 93 0E AB 08 9A 09 99 0A 98 52 4C 24 68 A0 47 0B 90 0B 9B 0C 93 0C 9B 00 2B 0A D1 4D 4B 1B 68 98 47 0D 90 0D 98 ?? ?? ?? ?? 6F F0 00 03 04 93 87 E0 0E 99 13 98 ?? ?? ?? ?? 12 9B 9A 11 04 23 02 FB 03 F2 42 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 23 F0 10 03 D8 B2 13 9B 9A 11 04 23 02 FB 03 F2 38 4B 99 18 13 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 18 70 12 9B 9A 11 04 23 02 FB 03 F2 2F 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 29 00 13 9B 9A 11 04 23 02 FB 03 F2 27 4B 99 18 13 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 03 F1 29 02 90 F9 00 30 13 70 12 9B 9A 11 04 23 02 FB 03 F2 1D 4B 99 18 12 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 1B 78 03 F0 01 00 13 9B 9A 11 04 23 02 FB 03 F2 13 4B 99 18 13 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 1B 78 60 F3 00 03 D8 B2 13 9B 9A 11 04 23 02 FB 03 F2 09 4B 99 18 13 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 2D 33 18 70 00 23 04 93 04 98 0F B0 BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_675_1_0 {
	meta:
		name = "_dup2"
		size = 640
		refs = "0018 __doserrno 0024 _errno 006c _CrtDbgReportW 00a4 _invalid_parameter 01e4 __acrt_lowio_ensure_fh_exists 0210 __acrt_lowio_lock_fh 0238 ?dup2_nolock@@YAHHH@Z 0244 __acrt_lowio_unlock_fh 0260 _nhandle 0264 ??_C@_1EE@NANLJLAK@?$AA?$CI?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAt?$AAa?$AAr?$AAg?$AAe?$AAt?$AA_?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAN?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_@ 0268 ??_C@_1M@KHHJPKPI@?$AA_?$AAd?$AAu?$AAp?$AA2?$AA?$AA@ 026c ??_C@_1FM@BJKFIHHL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0270 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0274 ??_C@_1DK@LOMDIPEA@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0278 __pioinfo 027c ??_C@_1HK@KIBKPCDA@?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAs?$AAo?$AAu@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 97 B0 6F 46 82 B0 BB 6E 13 F1 02 0F 0F D1 ?? ?? ?? ?? 38 62 3A 6A 00 23 13 60 ?? ?? ?? ?? 78 62 7A 6A 09 23 13 60 6F F0 00 03 3B 60 0C E1 BB 6E 00 2B 07 DB BA 6E 87 4B 1B 68 9A 42 02 D2 01 23 7B 60 01 E0 00 23 7B 60 7B 68 BB 60 BB 68 00 2B 0E D1 87 4B 01 93 83 4B 00 93 00 23 48 22 80 49 02 20 ?? ?? ?? ?? B8 62 BB 6A 01 2B 00 D1 FE DE BB 68 00 2B 17 D1 ?? ?? ?? ?? F8 62 FA 6A 00 23 13 60 ?? ?? ?? ?? 38 63 3A 6B 09 23 13 60 00 23 00 93 48 23 73 4A 71 49 76 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 D0 E0 BB 6E 9A 11 04 23 02 FB 03 F2 6F 4B 99 18 BB 6E 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 FB 60 01 E0 00 23 FB 60 FB 68 3B 61 3B 69 00 2B 0E D1 61 4B 01 93 5F 4B 00 93 00 23 49 22 5C 49 02 20 ?? ?? ?? ?? 78 63 7B 6B 01 2B 00 D1 FE DE 3B 69 00 2B 17 D1 ?? ?? ?? ?? B8 63 BA 6B 00 23 13 60 ?? ?? ?? ?? F8 63 FA 6B 09 23 13 60 00 23 00 93 49 23 4F 4A 4D 49 50 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 88 E0 FB 6E 13 F1 02 0F 0F D1 ?? ?? ?? ?? 38 64 3A 6C 00 23 13 60 ?? ?? ?? ?? 78 64 7A 6C 09 23 13 60 6F F0 00 03 3B 60 74 E0 FB 6E B3 F5 00 5F 02 D2 01 23 7B 61 01 E0 00 23 7B 61 7B 69 BB 61 BB 69 00 2B 0E D1 37 4B 01 93 39 4B 00 93 00 23 4B 22 36 49 02 20 ?? ?? ?? ?? B8 64 BB 6C 01 2B 00 D1 FE DE BB 69 00 2B 17 D1 ?? ?? ?? ?? F8 64 FA 6C 00 23 13 60 ?? ?? ?? ?? 38 65 3A 6D 09 23 13 60 00 23 00 93 4B 23 29 4A 27 49 26 48 ?? ?? ?? ?? 6F F0 00 03 3B 60 3C E0 FA 6E 21 4B 1B 68 9A 42 0A DB F8 6E ?? ?? ?? ?? 78 65 7B 6D 00 2B 03 D0 6F F0 00 03 3B 60 2C E0 BA 6E FB 6E 9A 42 02 D1 00 23 3B 60 25 E0 BA 6E FB 6E 9A 42 06 DA B8 6E ?? ?? ?? ?? F8 6E ?? ?? ?? ?? 09 E0 BA 6E FB 6E 9A 42 05 DD F8 6E ?? ?? ?? ?? B8 6E ?? ?? ?? ?? 00 23 FB 61 F9 6E B8 6E ?? ?? ?? ?? B8 65 BB 6D FB 61 B8 6E ?? ?? ?? ?? F8 6E ?? ?? ?? ?? FB 69 3B 60 38 68 19 B0 BD E8 80 08 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_675_2_0 {
	meta:
		name = "_dup2$fin$0"
		size = 22
		refs = "0006 __acrt_lowio_unlock_fh"
	strings:
		$1 = { 10 B5 82 B0 B8 6E ?? ?? ?? ?? F8 6E ?? ?? ?? ?? FF E7 02 B0 10 BD }
	condition:
		$1
}

rule file_676_12_0 {
	meta:
		name = "??$common_strtod_l@MD@@YAMQBDQAPADQAU__crt_locale_pointers@@@Z"
		size = 264
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 007e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0094 ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 00a0 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00ac ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAM@Z 00d8 ??1_LocaleUpdate@@QAA@XZ 00f8 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00fc ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 0100 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 19 9B 00 2B 02 D0 18 9A 19 9B 1A 60 18 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 31 4B 01 93 33 4B 00 93 00 23 1F 22 30 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1F 23 26 4A 24 49 23 48 ?? ?? ?? ?? 9F ED 20 0A 8D ED 06 0A 34 E0 1A 99 10 A8 ?? ?? ?? ?? 9F ED 1C 0A 8D ED 05 0A 14 AB 09 93 19 9A 18 99 09 98 ?? ?? ?? ?? 0A 90 0A 9B 0B 93 10 A8 ?? ?? ?? ?? 0C 90 05 AA 0B 99 0C 98 ?? ?? ?? ?? 0D 90 0D 9B 04 93 04 9B 03 2B 02 D0 04 9B 02 2B 05 D1 ?? ?? ?? ?? 0E 90 0E 9A 22 23 13 60 9D ED 05 0A 8D ED 0F 0A 10 A8 ?? ?? ?? ?? 9D ED 0F 0A 8D ED 06 0A 9D ED 06 0A 16 B0 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_676_13_0 {
	meta:
		name = "??$common_strtod_l@M_W@@YAMQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
		size = 264
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 007e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0094 ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 00a0 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00ac ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QAM@Z 00d8 ??1_LocaleUpdate@@QAA@XZ 00f8 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00fc ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 0100 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0104 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 96 B0 19 9B 00 2B 02 D0 18 9A 19 9B 1A 60 18 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 31 4B 01 93 33 4B 00 93 00 23 1F 22 30 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 1F 23 26 4A 24 49 23 48 ?? ?? ?? ?? 9F ED 20 0A 8D ED 06 0A 34 E0 1A 99 10 A8 ?? ?? ?? ?? 9F ED 1C 0A 8D ED 05 0A 14 AB 09 93 19 9A 18 99 09 98 ?? ?? ?? ?? 0A 90 0A 9B 0B 93 10 A8 ?? ?? ?? ?? 0C 90 05 AA 0B 99 0C 98 ?? ?? ?? ?? 0D 90 0D 9B 04 93 04 9B 03 2B 02 D0 04 9B 02 2B 05 D1 ?? ?? ?? ?? 0E 90 0E 9A 22 23 13 60 9D ED 05 0A 8D ED 0F 0A 10 A8 ?? ?? ?? ?? 9D ED 0F 0A 8D ED 06 0A 9D ED 06 0A 16 B0 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_676_14_0 {
	meta:
		name = "??$common_strtod_l@ND@@YANQBDQAPADQAU__crt_locale_pointers@@@Z"
		size = 268
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 007e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0094 ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 00a0 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00ac ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAN@Z 00d8 ??1_LocaleUpdate@@QAA@XZ 00fc ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0100 ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 0104 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0108 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9A B0 1D 9B 00 2B 02 D0 1C 9A 1D 9B 1A 60 1C 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 32 4B 01 93 34 4B 00 93 00 23 1F 22 31 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 1F 23 27 4A 25 49 24 48 ?? ?? ?? ?? 9F ED 20 0B 8D ED 10 0B 34 E0 1E 99 14 A8 ?? ?? ?? ?? 9F ED 1C 0B 8D ED 0E 0B 18 AB 07 93 1D 9A 1C 99 07 98 ?? ?? ?? ?? 08 90 08 9B 09 93 14 A8 ?? ?? ?? ?? 0A 90 0E AA 09 99 0A 98 ?? ?? ?? ?? 0B 90 0B 9B 04 93 04 9B 03 2B 02 D0 04 9B 02 2B 05 D1 ?? ?? ?? ?? 0C 90 0C 9A 22 23 13 60 9D ED 0E 0B 8D ED 12 0B 14 A8 ?? ?? ?? ?? 9D ED 12 0B 8D ED 10 0B 9D ED 10 0B 1A B0 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_676_15_0 {
	meta:
		name = "??$common_strtod_l@N_W@@YANQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
		size = 268
		refs = "0040 _CrtDbgReportW 0054 _errno 006c _invalid_parameter 007e ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0094 ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 00a0 ?GetLocaleT@_LocaleUpdate@@QAAPAU__crt_locale_pointers@@XZ 00ac ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QAN@Z 00d8 ??1_LocaleUpdate@@QAA@XZ 00fc ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0100 ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 0104 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0108 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 9A B0 1D 9B 00 2B 02 D0 1C 9A 1D 9B 1A 60 1C 9B 00 2B 02 D0 01 23 02 93 01 E0 00 23 02 93 02 9B 03 93 03 9B 00 2B 0E D1 32 4B 01 93 34 4B 00 93 00 23 1F 22 31 49 02 20 ?? ?? ?? ?? 05 90 05 9B 01 2B 00 D1 FE DE 03 9B 00 2B 12 D1 ?? ?? ?? ?? 06 90 06 9A 16 23 13 60 00 23 00 93 1F 23 27 4A 25 49 24 48 ?? ?? ?? ?? 9F ED 20 0B 8D ED 10 0B 34 E0 1E 99 14 A8 ?? ?? ?? ?? 9F ED 1C 0B 8D ED 0E 0B 18 AB 07 93 1D 9A 1C 99 07 98 ?? ?? ?? ?? 08 90 08 9B 09 93 14 A8 ?? ?? ?? ?? 0A 90 0E AA 09 99 0A 98 ?? ?? ?? ?? 0B 90 0B 9B 04 93 04 9B 03 2B 02 D0 04 9B 02 2B 05 D1 ?? ?? ?? ?? 0C 90 0C 9A 22 23 13 60 9D ED 0E 0B 8D ED 12 0B 14 A8 ?? ?? ?? ?? 9D ED 12 0B 8D ED 10 0B 9D ED 10 0B 1A B0 5D F8 04 BB 5D F8 14 FB FE DE 00 00 00 00 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_676_118_0 {
	meta:
		name = "_strtod_l"
		size = 46
		refs = "0010 ??$common_strtod_l@ND@@YANQBDQAPADQAU__crt_locale_pointers@@@Z"
		altNames = "_strtold_l"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9A 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_676_121_0 {
	meta:
		name = "_wcstod_l"
		size = 46
		refs = "0010 ??$common_strtod_l@N_W@@YANQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9A 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_676_123_0 {
	meta:
		name = "_wcstold_l"
		size = 46
		refs = "0010 ??$common_strtod_l@N_W@@YANQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 84 B0 08 9A 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_676_119_0 {
	meta:
		name = "_strtof_l"
		size = 46
		refs = "0010 ??$common_strtod_l@MD@@YAMQBDQAPADQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 8D ED 00 0A 9D ED 00 0A 8D ED 01 0A 9D ED 01 0A 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_676_122_0 {
	meta:
		name = "_wcstof_l"
		size = 46
		refs = "0010 ??$common_strtod_l@M_W@@YAMQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 82 B0 06 9A 05 99 04 98 ?? ?? ?? ?? 8D ED 00 0A 9D ED 00 0A 8D ED 01 0A 9D ED 01 0A 02 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_676_125_0 {
	meta:
		name = "strtod"
		size = 46
		refs = "0010 ??$common_strtod_l@ND@@YANQBDQAPADQAU__crt_locale_pointers@@@Z"
		altNames = "strtold"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 22 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_676_128_0 {
	meta:
		name = "wcstod"
		size = 46
		refs = "0010 ??$common_strtod_l@N_W@@YANQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 22 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_676_130_0 {
	meta:
		name = "wcstold"
		size = 46
		refs = "0010 ??$common_strtod_l@N_W@@YANQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 00 22 07 99 06 98 ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_676_126_0 {
	meta:
		name = "strtof"
		size = 46
		refs = "0010 ??$common_strtod_l@MD@@YAMQBDQAPADQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 8D ED 00 0A 9D ED 00 0A 8D ED 01 0A 9D ED 01 0A 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_676_129_0 {
	meta:
		name = "wcstof"
		size = 46
		refs = "0010 ??$common_strtod_l@M_W@@YAMQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 00 22 05 99 04 98 ?? ?? ?? ?? 8D ED 00 0A 9D ED 00 0A 8D ED 01 0A 9D ED 01 0A 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_677_0_0 {
	meta:
		name = "wcsspn"
		size = 100
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 00 93 02 E0 00 9B 9B 1C 00 93 00 9B 1B 88 00 2B 17 D0 07 9B 01 93 02 E0 01 9B 9B 1C 01 93 00 9B 1A 88 01 9B 1B 88 9A 42 0A D0 01 9B 1B 88 00 2B 05 D1 00 9A 06 9B D3 1A 5B 10 02 93 06 E0 EB E7 E0 E7 00 9A 06 9B D3 1A 5B 10 02 93 02 98 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_678_6_0 {
	meta:
		name = "??$common_spawnv@D@@YAHHQBDQBQBD1@Z"
		size = 748
		refs = "002a _CrtDbgReportW 0034 _errno 004a _invalid_parameter 0122 strrchr 0144 strlen 0158 _calloc_dbg 0162 _free_dbg 016c strcpy_s 017c strcat_s 01b2 _access_s 01c0 ??$execute_command@D@@YAHHQBDQBQBD1@Z 0274 _invoke_watson 02b0 ??_C@_1HO@CPNNGPID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAb@ 02b4 ??_C@_1BM@PNLMNGI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AA?$AA@ 02b8 ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 02bc ??_C@_1FG@NOEOCDJI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AAe?$AAn?$AAs?$AAi?$AAo?$AAn?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 02c0 ??_C@_1HE@PDOMPPGE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 02c4 ??_C@_1HE@NNAOLDNK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 02c8 ?extensions@?CP@???$common_spawnv@D@@YAHHQBDQBQBD1@Z@4QAY04$$CBDA 02cc ??_C@_0DD@EEPIEICB@minkernel?2crts?2ucrt?2src?2desktopc@ 02d0 ?dot_slash@?CB@???$common_spawnv@D@@YAHHQBDQBQBD1@Z@4QBDB 02d4 ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 02d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02dc ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02e0 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02e4 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 02e8 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 85 B0 0E 46 98 46 CD E9 02 30 17 46 81 46 EE B9 AF 4B B3 4C A6 49 00 93 00 23 40 F2 13 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 13 13 9B 49 9C 4A 20 46 ?? ?? ?? ?? 6F F0 00 04 04 E1 96 F9 00 30 B3 B9 9F 4B A1 4C 96 49 00 93 00 23 4F F4 8A 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 4F F4 8A 73 DD E7 B7 B9 93 4B 94 4C 8A 49 00 93 00 23 40 F2 15 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 15 13 C5 E7 3B 68 B3 B9 86 4B 87 4C 7D 49 00 93 00 23 4F F4 8B 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 4F F4 8B 73 AC E7 93 F9 00 30 B3 B9 79 4B 78 4C 70 49 00 93 00 23 40 F2 17 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 17 13 92 E7 5C 21 30 46 ?? ?? ?? ?? 05 46 30 46 2F 21 ?? ?? ?? ?? 34 46 68 BB 95 BB 3A 21 30 46 ?? ?? ?? ?? 05 46 65 BB 30 46 ?? ?? ?? ?? 4F F4 96 73 00 93 5F 4B 05 46 02 22 01 21 E8 1C ?? ?? ?? ?? 04 46 1C B9 02 21 ?? ?? ?? ?? 72 E7 59 4A E9 1C ?? ?? ?? ?? 00 28 40 F0 81 80 32 46 E9 1C 20 46 ?? ?? ?? ?? 00 28 70 D1 A5 1C 02 21 00 20 ?? ?? ?? ?? 03 E0 0D B1 A8 42 02 D9 05 46 A6 42 01 D1 00 26 00 E0 26 46 2E 21 28 46 ?? ?? ?? ?? 00 28 20 46 0B D0 00 21 ?? ?? ?? ?? E0 BB 43 46 3A 46 21 46 48 46 ?? ?? ?? ?? 04 46 46 E0 ?? ?? ?? ?? 3F 4B 40 F2 4F 12 00 F1 05 08 00 92 02 22 40 46 01 21 ?? ?? ?? ?? 05 46 15 B9 6F F0 00 04 30 E0 22 46 41 46 28 46 ?? ?? ?? ?? 00 28 50 D1 05 EB 08 09 ?? ?? ?? ?? 31 4C D0 F8 00 A0 04 F1 14 08 05 21 A9 EB 01 00 22 46 ?? ?? ?? ?? B8 BB 00 21 28 46 ?? ?? ?? ?? 48 B1 64 1D 44 45 F0 D1 02 21 28 46 ?? ?? ?? ?? 6F F0 00 04 0E E0 ?? ?? ?? ?? 02 9B C0 F8 00 A0 03 98 3A 46 29 46 ?? ?? ?? ?? 04 46 02 21 28 46 ?? ?? ?? ?? 02 21 30 46 ?? ?? ?? ?? 20 46 05 B0 BD E8 F0 8F 14 4A 12 49 16 48 00 23 00 93 4F F4 99 73 ?? ?? ?? ?? 0F 4A 0E 49 10 48 00 23 00 93 40 F2 31 13 ?? ?? ?? ?? 0B 4A 09 49 0B 48 00 23 00 93 40 F2 65 13 ?? ?? ?? ?? 06 4A 05 49 03 48 00 23 00 93 40 F2 53 13 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_7_0 {
	meta:
		name = "??$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z"
		size = 740
		refs = "002a _CrtDbgReportW 0034 _errno 004a _invalid_parameter 011e wcsrchr 0140 wcslen 0154 _calloc_dbg 015e _free_dbg 0168 wcscpy_s 0176 wcscat_s 01ac _waccess_s 01ba ??$execute_command@_W@@YAHHQB_WQBQB_W1@Z 026a _invoke_watson 02a8 ??_C@_1HO@CPNNGPID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAb@ 02ac ??_C@_1BM@PNLMNGI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AA?$AA@ 02b0 ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 02b4 ??_C@_1FG@NOEOCDJI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AAe?$AAn?$AAs?$AAi?$AAo?$AAn?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 02b8 ??_C@_1HE@PDOMPPGE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 02bc ??_C@_1HE@NNAOLDNK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 02c0 ?extensions@?CP@???$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z@4QAY04$$CB_WA 02c4 ??_C@_0DD@EEPIEICB@minkernel?2crts?2ucrt?2src?2desktopc@ 02c8 ?dot_slash@?CB@???$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z@4QB_WB 02cc ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 02d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02d4 ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02d8 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02dc ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 02e0 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 85 B0 0E 46 98 46 CD E9 02 30 17 46 81 46 EE B9 AD 4B B1 4C A4 49 00 93 00 23 40 F2 13 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 13 13 99 49 9A 4A 20 46 ?? ?? ?? ?? 6F F0 00 04 FF E0 33 88 B3 B9 9D 4B A0 4C 94 49 00 93 00 23 4F F4 8A 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 4F F4 8A 73 DE E7 B7 B9 91 4B 93 4C 88 49 00 93 00 23 40 F2 15 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 15 13 C6 E7 3B 68 B3 B9 85 4B 85 4C 7C 49 00 93 00 23 4F F4 8B 72 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 4F F4 8B 73 AD E7 1B 88 B3 B9 78 4B 77 4C 6F 49 00 93 00 23 40 F2 17 12 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 40 F2 17 13 94 E7 5C 21 30 46 ?? ?? ?? ?? 05 46 30 46 2F 21 ?? ?? ?? ?? 34 46 60 BB 8D BB 3A 21 30 46 ?? ?? ?? ?? 05 46 5D BB 30 46 ?? ?? ?? ?? 4F F4 96 73 00 93 5E 4B 05 46 02 22 02 21 E8 1C ?? ?? ?? ?? 04 46 1C B9 02 21 ?? ?? ?? ?? 74 E7 58 4A E9 1C ?? ?? ?? ?? 00 28 7E D1 32 46 E9 1C 20 46 ?? ?? ?? ?? 00 28 6E D1 25 1D 02 21 00 20 ?? ?? ?? ?? 03 E0 0D B1 A8 42 02 D9 05 46 A6 42 01 D1 00 26 00 E0 26 46 2E 21 28 46 ?? ?? ?? ?? 00 28 20 46 0B D0 00 21 ?? ?? ?? ?? D0 BB 43 46 3A 46 21 46 48 46 ?? ?? ?? ?? 04 46 44 E0 ?? ?? ?? ?? 3F 4B 40 F2 4F 12 00 92 81 46 02 22 02 21 40 1D ?? ?? ?? ?? 05 46 15 B9 6F F0 00 04 2F E0 22 46 09 F1 05 01 28 46 ?? ?? ?? ?? 00 28 4E D1 ?? ?? ?? ?? 31 4C D0 F8 00 A0 04 F1 28 08 22 46 05 21 05 EB 49 00 ?? ?? ?? ?? B8 BB 00 21 28 46 ?? ?? ?? ?? 48 B1 0A 34 44 45 F0 D1 02 21 28 46 ?? ?? ?? ?? 6F F0 00 04 0E E0 ?? ?? ?? ?? 02 9B C0 F8 00 A0 03 98 3A 46 29 46 ?? ?? ?? ?? 04 46 02 21 28 46 ?? ?? ?? ?? 02 21 30 46 ?? ?? ?? ?? 20 46 05 B0 BD E8 F0 8F 14 4A 13 49 16 48 00 23 00 93 4F F4 99 73 ?? ?? ?? ?? 10 4A 0E 49 11 48 00 23 00 93 40 F2 31 13 ?? ?? ?? ?? 0B 4A 0A 49 0B 48 00 23 00 93 40 F2 65 13 ?? ?? ?? ?? 07 4A 05 49 04 48 00 23 00 93 40 F2 53 13 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_10_0 {
	meta:
		name = "??$execute_command@D@@YAHHQBDQBQBD1@Z"
		size = 608
		refs = "0024 _CrtDbgReportW 002e _errno 0042 _invalid_parameter 0096 __doserrno 00ba __acrt_pack_narrow_command_line_and_environment 00ca _free_dbg 0110 ??$?RV<lambda_a5f1348608981624d72a9ecdb2660b8f>@@AAV<lambda_98d65bd34543ae6c9a3ad130b87d457e>@@V<lambda_e3295abed71bbf983a96bf03a762f80c>@@@?$__crt_seh_guarded_call@_N@@QAA_N$$QAV<lambda_a5f1348608981624d72a9ecdb2660b8f>@@AAV<lambda_98d65bd34543ae6c9a3ad130b87d457e>@@$$QAV<lambda_e3295abed71bbf983a96bf03a762f80c>@@@Z 013a memset 017e __acrt_errno_map_os_error 022e _exit 0234 __imp_CloseHandle 0238 __imp_GetExitCodeProcess 023c __imp_WaitForSingleObject 0240 __imp_GetLastError 0244 __imp_CreateProcessA 0248 ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 024c ??_C@_1DO@MLHCLAOA@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAP?$AA_?$AAD?$AAE?$AAT?$AAA?$AAC?$AAH?$AA?$AA@ 0250 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0254 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0258 ??_C@_1CA@CBMOKGAD@?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAe?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$AA@ 025c ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B AD B0 1D 46 14 46 88 46 06 46 D9 B9 8E 4B 91 4C 8B 49 00 93 00 23 B1 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 B1 23 86 49 82 4A 20 46 ?? ?? ?? ?? 6F F0 00 05 EB E0 A4 B9 80 4B 80 4C 7D 49 00 93 00 23 B2 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 B2 23 E1 E7 04 2E 17 D9 74 4B 73 4C 71 49 00 93 00 23 B4 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 27 07 60 ?? ?? ?? ?? 16 23 03 60 B4 23 00 97 C7 E7 00 23 09 93 07 93 07 AB 09 AA 29 46 20 46 ?? ?? ?? ?? 6F F0 00 05 A8 42 0A D1 07 98 02 21 ?? ?? ?? ?? 09 98 00 23 02 21 07 93 ?? ?? ?? ?? A3 E0 00 23 04 2E 08 93 18 BF 01 23 08 BF 00 23 8D F8 18 30 08 AB 0D 93 11 AB 0E 93 0D AB 14 93 0E AB 15 93 06 AB 16 93 07 23 CD E9 0F 33 0F AB 14 AA 10 A9 0A A8 ?? ?? ?? ?? 30 B9 08 98 02 21 ?? ?? ?? ?? 00 23 08 93 D0 E7 00 24 04 2E 08 BF 08 24 ?? ?? ?? ?? 00 27 07 60 1C A8 44 22 00 21 ?? ?? ?? ?? 44 23 1C 93 11 9B 01 94 3F 4C AD F8 A2 30 DD E9 08 31 00 22 40 46 29 93 18 AB 05 93 1C AB 04 93 07 9B 24 68 03 97 02 93 01 23 00 93 00 23 A0 47 DD E9 18 43 CD E9 0B 43 88 B9 31 4B 1B 68 98 47 ?? ?? ?? ?? 0C 98 A8 42 02 D0 2A 4B 1B 68 98 47 0B 98 A8 42 C0 D0 27 4B 1B 68 98 47 BC E7 02 2E 45 D0 C6 B9 26 4B 29 46 20 46 1B 68 98 47 22 4B 18 98 12 A9 1B 68 98 47 0C 98 12 9C A8 42 02 D0 1D 4B 1B 68 98 47 0B 98 A8 42 02 D0 1A 4B 1B 68 98 47 25 46 A0 E7 04 2E 0E D1 AB 42 04 D0 18 46 15 4B 1B 68 98 47 0B 9C AC 42 03 D0 12 4B 20 46 1B 68 98 47 3D 46 8F E7 AB 42 03 D0 18 46 0D 4B 1B 68 98 47 08 98 02 21 ?? ?? ?? ?? 07 98 00 23 02 21 08 93 ?? ?? ?? ?? 09 98 00 23 02 21 07 93 ?? ?? ?? ?? 25 46 28 46 2D B0 BD E8 F0 89 00 20 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_11_0 {
	meta:
		name = "??$execute_command@_W@@YAHHQB_WQBQB_W1@Z"
		size = 612
		refs = "0024 _CrtDbgReportW 002e _errno 0042 _invalid_parameter 0096 __doserrno 00ba __acrt_pack_wide_command_line_and_environment 00ca _free_dbg 0110 ??$?RV<lambda_a5f1348608981624d72a9ecdb2660b8f>@@AAV<lambda_98d65bd34543ae6c9a3ad130b87d457e>@@V<lambda_e3295abed71bbf983a96bf03a762f80c>@@@?$__crt_seh_guarded_call@_N@@QAA_N$$QAV<lambda_a5f1348608981624d72a9ecdb2660b8f>@@AAV<lambda_98d65bd34543ae6c9a3ad130b87d457e>@@$$QAV<lambda_e3295abed71bbf983a96bf03a762f80c>@@@Z 013e memset 0182 __acrt_errno_map_os_error 0232 _exit 0238 __imp_CloseHandle 023c __imp_GetExitCodeProcess 0240 __imp_WaitForSingleObject 0244 __imp_GetLastError 0248 __imp_CreateProcessW 024c ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0250 ??_C@_1DO@MLHCLAOA@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAP?$AA_?$AAD?$AAE?$AAT?$AAA?$AAC?$AAH?$AA?$AA@ 0254 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0258 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 025c ??_C@_1CA@CBMOKGAD@?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAe?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$AA@ 0260 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B AD B0 1D 46 14 46 88 46 06 46 D9 B9 8F 4B 92 4C 8C 49 00 93 00 23 B1 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 B1 23 87 49 83 4A 20 46 ?? ?? ?? ?? 6F F0 00 05 ED E0 A4 B9 81 4B 81 4C 7E 49 00 93 00 23 B2 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 B2 23 E1 E7 04 2E 17 D9 75 4B 74 4C 72 49 00 93 00 23 B4 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 00 27 07 60 ?? ?? ?? ?? 16 23 03 60 B4 23 00 97 C7 E7 00 23 09 93 07 93 07 AB 09 AA 29 46 20 46 ?? ?? ?? ?? 6F F0 00 05 A8 42 0A D1 07 98 02 21 ?? ?? ?? ?? 09 98 00 23 02 21 07 93 ?? ?? ?? ?? A5 E0 00 23 04 2E 08 93 18 BF 01 23 08 BF 00 23 8D F8 18 30 08 AB 0D 93 11 AB 0E 93 0D AB 14 93 0E AB 15 93 06 AB 16 93 07 23 CD E9 0F 33 0F AB 14 AA 10 A9 0A A8 ?? ?? ?? ?? 30 B9 08 98 02 21 ?? ?? ?? ?? 00 23 08 93 D0 E7 00 23 04 2E 08 BF 08 23 43 F4 80 64 ?? ?? ?? ?? 00 27 07 60 1C A8 44 22 00 21 ?? ?? ?? ?? 44 23 1C 93 11 9B 01 94 3F 4C AD F8 A2 30 DD E9 08 31 00 22 40 46 29 93 18 AB 05 93 1C AB 04 93 07 9B 24 68 03 97 02 93 01 23 00 93 00 23 A0 47 DD E9 18 43 CD E9 0B 43 88 B9 31 4B 1B 68 98 47 ?? ?? ?? ?? 0C 98 A8 42 02 D0 2A 4B 1B 68 98 47 0B 98 A8 42 BE D0 27 4B 1B 68 98 47 BA E7 02 2E 45 D0 C6 B9 26 4B 29 46 20 46 1B 68 98 47 22 4B 18 98 12 A9 1B 68 98 47 0C 98 12 9C A8 42 02 D0 1D 4B 1B 68 98 47 0B 98 A8 42 02 D0 1A 4B 1B 68 98 47 25 46 9E E7 04 2E 0E D1 AB 42 04 D0 18 46 15 4B 1B 68 98 47 0B 9C AC 42 03 D0 12 4B 20 46 1B 68 98 47 3D 46 8D E7 AB 42 03 D0 18 46 0D 4B 1B 68 98 47 08 98 02 21 ?? ?? ?? ?? 07 98 00 23 02 21 08 93 ?? ?? ?? ?? 09 98 00 23 02 21 07 93 ?? ?? ?? ?? 25 46 28 46 2D B0 BD E8 F0 89 00 20 ?? ?? ?? ?? FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_54_0 {
	meta:
		name = "?accumulate_inheritable_handles@@YA_NQAPAEQAI_N@Z"
		size = 50
		refs = "0024 ??$?RV<lambda_a5f1348608981624d72a9ecdb2660b8f>@@AAV<lambda_98d65bd34543ae6c9a3ad130b87d457e>@@V<lambda_e3295abed71bbf983a96bf03a762f80c>@@@?$__crt_seh_guarded_call@_N@@QAA_N$$QAV<lambda_a5f1348608981624d72a9ecdb2660b8f>@@AAV<lambda_98d65bd34543ae6c9a3ad130b87d457e>@@$$QAV<lambda_e3295abed71bbf983a96bf03a762f80c>@@@Z"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 88 B0 0A AB 04 93 0B AB 05 93 0C AB 06 93 07 23 CD E9 01 33 01 AB 04 AA 02 A9 68 46 ?? ?? ?? ?? 08 B0 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_678_57_0 {
	meta:
		name = "?detach@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAAPAXXZ"
		size = 20
	strings:
		$1 = { 2D E9 00 48 EB 46 03 46 18 68 6F F0 00 02 1A 60 BD E8 00 88 }
	condition:
		$1
}

rule file_678_77_0 {
	meta:
		name = "_execv"
		size = 22
		refs = "0012 ??$common_spawnv@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A 46 01 46 00 23 02 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_48_0 {
	meta:
		name = "_execvp"
		size = 22
		refs = "0012 ??$common_spawnvp@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A 46 01 46 00 23 02 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_82_0 {
	meta:
		name = "_wexecv"
		size = 22
		refs = "0012 ??$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A 46 01 46 00 23 02 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_54_0 {
	meta:
		name = "_wexecvp"
		size = 22
		refs = "0012 ??$common_spawnvp@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 0A 46 01 46 00 23 02 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_78_0 {
	meta:
		name = "_execve"
		size = 22
		refs = "0012 ??$common_spawnv@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 13 46 0A 46 01 46 02 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_49_0 {
	meta:
		name = "_execvpe"
		size = 22
		refs = "0012 ??$common_spawnvp@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 13 46 0A 46 01 46 02 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_678_83_0 {
	meta:
		name = "_wexecve"
		size = 22
		refs = "0012 ??$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 13 46 0A 46 01 46 02 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_55_0 {
	meta:
		name = "_wexecvpe"
		size = 22
		refs = "0012 ??$common_spawnvp@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 13 46 0A 46 01 46 02 20 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_679_5_0 {
	meta:
		name = "_mbsset_l"
		size = 240
		refs = "0014 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 002a _CrtDbgReportW 0034 _errno 0048 _invalid_parameter 005a _strset 00dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00e0 ??_C@_1GO@FALCJPPN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00e4 ??_C@_1FC@MPDKGLLO@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@ 00e8 ??_C@_1BE@KFCMNHGC@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 00ec ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 70 48 0D F1 0C 0B 87 B0 0D 46 04 46 06 46 02 A8 11 46 ?? ?? ?? ?? D4 B9 30 4B 33 4C 30 49 00 93 00 23 33 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 2A 49 28 4A 00 23 00 93 33 23 20 46 ?? ?? ?? ?? 00 26 37 E0 04 9B 9B 68 2B B9 29 46 20 46 ?? ?? ?? ?? 06 46 2E E0 2B 0A D9 B2 21 B3 EA B2 92 B9 1D 4B 1C 49 43 22 01 93 19 4B 02 20 00 93 00 23 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 20 21 03 60 20 22 23 78 A3 B1 20 20 21 70 14 F8 01 3F 13 B1 22 70 64 1C 01 E0 04 F8 01 0C 23 78 00 2B F3 D1 06 E0 23 78 02 E0 25 70 14 F8 01 3F 00 2B FA D1 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 30 46 07 B0 BD E8 70 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_681_4_0 {
	meta:
		name = "_mbscat_s_l"
		size = 696
		refs = "0034 _CrtGetDebugFillThreshold 0046 memset 005a _CrtDbgReportW 0064 _errno 0076 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 008a strcat_s 00fc _invalid_parameter 029c ??_C@_1BI@FAFMEAGP@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 02a0 ??_C@_1HG@MCHNPME@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 02a4 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 02a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02ac ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 02b0 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 02b4 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B 87 B0 05 46 00 2D 90 46 0C 46 00 F0 25 81 00 2C 00 F0 22 81 4A BB 00 27 2F 70 B1 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 97 4B 99 4C 94 49 00 93 00 23 1B 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 1B 23 00 97 0A E1 02 A8 19 46 ?? ?? ?? ?? DD F8 10 E0 DE F8 08 30 2B B9 42 46 21 46 28 46 ?? ?? ?? ?? DC E0 4F F0 00 09 2A 46 26 46 13 78 13 B1 52 1C 76 1E FA D1 7E BB 00 27 2F 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 75 4B 77 4C 72 49 00 93 00 23 36 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 6B 49 6B 4A 16 23 03 60 36 23 20 46 00 97 ?? ?? ?? ?? 16 20 A2 E0 50 1E 04 27 01 46 A8 42 07 D3 0B 78 73 44 5B 7E 3B 42 02 D0 49 1E A9 42 F7 D2 43 1A 4F F0 01 0A 00 27 13 EA 0A 0F 03 D0 D1 46 02 46 07 70 76 1C 18 F8 01 3B 02 F8 01 3B 0B B1 76 1E F8 D1 00 2E 47 D1 98 F8 00 30 AB B9 50 1E 01 46 A8 42 0A D3 4F F0 04 08 0B 78 73 44 5B 7E 13 EA 08 0F 02 D0 49 1E A9 42 F6 D2 43 1A 13 EA 0A 0F 02 D0 02 F8 01 7C 61 E0 2F 70 B4 F1 FF 3F 10 D0 6F F0 00 43 9C 42 0C D0 01 2C 0A D9 ?? ?? ?? ?? 02 46 63 1E 9A 42 28 BF 1A 46 68 1C FE 21 ?? ?? ?? ?? 41 4B 41 4C 3E 49 00 93 00 23 62 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 36 49 37 4A 22 23 03 60 62 23 20 46 00 97 ?? ?? ?? ?? 22 20 39 E0 90 1E 01 46 A8 42 0A D3 4F F0 04 08 0B 78 73 44 5B 7E 13 EA 08 0F 02 D0 49 1E A9 42 F6 D2 43 1A 13 EA 0A 0F 04 D0 02 F8 02 7C 76 1C 4F F0 01 09 B4 F1 FF 3F 14 D0 6F F0 00 43 9C 42 10 D0 A3 1B 5B 1C A3 42 0C D2 ?? ?? ?? ?? 02 46 73 1E 9A 42 28 BF 1A 46 AB 1B 23 44 58 1C FE 21 ?? ?? ?? ?? B9 F1 00 0F 05 D0 ?? ?? ?? ?? 2A 23 03 60 2A 20 00 E0 00 20 9D F8 14 30 0B B3 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 19 E0 11 4B 10 4C 0E 49 00 93 00 23 1A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1A 23 05 4A 04 49 20 46 ?? ?? ?? ?? 16 20 07 B0 BD E8 F0 8F FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_683_0_0 {
	meta:
		name = "_cabs"
		size = 50
		refs = "0018 _hypot"
	strings:
		$1 = { 2D E9 00 48 EB 46 88 B0 8D ED 06 1B 8D ED 04 0B 9D ED 06 1B 9D ED 04 0B ?? ?? ?? ?? 8D ED 00 0B 9D ED 00 0B 8D ED 02 0B 9D ED 02 0B 08 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_684_0_0 {
	meta:
		name = "c32rtomb"
		size = 306
		refs = "0008 __security_push_cookie 0126 __security_pop_cookie"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 ?? ?? ?? ?? 87 B0 0A 9B 00 2B 03 D1 04 AB 0A 93 00 23 0B 93 0A 9B 00 93 0B 9B 01 93 01 9B 23 F0 7F 03 00 2B 09 D1 01 9B DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 00 23 02 93 54 E0 01 9B 6F F3 0A 03 00 2B 0C D1 01 9B 9B 09 43 F0 C0 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 01 23 02 93 42 E0 01 9B 6F F3 0F 03 00 2B 0C D1 01 9B 1B 0B 43 F0 E0 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 02 23 02 93 30 E0 01 9B 6F F3 14 03 00 2B 0C D1 01 9B 9B 0C 43 F0 F0 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 03 23 02 93 1E E0 01 9B 03 F0 7C 43 00 2B 0C D1 01 9B 1B 0E 43 F0 F8 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 04 23 02 93 0C E0 01 9B C3 F3 81 73 43 F0 FC 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 05 23 02 93 02 9B 00 2B 13 DD 02 9B 5B 1E 02 93 02 9A 06 23 02 FB 03 F2 01 9B D3 40 03 F0 3F 03 43 F0 80 03 DA B2 00 9B 1A 70 00 9B 5B 1C 00 93 E8 E7 00 9A 0A 9B D3 1A 03 93 03 98 07 B0 ?? ?? ?? ?? 5D F8 04 BB 5D F8 14 FB }
	condition:
		$1
}

rule file_685_0_0 {
	meta:
		name = "feholdexcept"
		size = 96
		refs = "0014 fegetenv 002c memcpy 003a fesetenv 004c _clearfp"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 86 B0 00 23 04 93 00 23 05 93 04 A8 ?? ?? ?? ?? 01 90 01 9B 00 2B 02 D0 01 23 00 93 16 E0 08 98 04 A9 08 22 ?? ?? ?? ?? 04 9B 43 F0 1F 03 04 93 04 A8 ?? ?? ?? ?? 02 90 02 9B 00 2B 02 D0 01 23 00 93 03 E0 ?? ?? ?? ?? 00 23 00 93 00 98 06 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_686_0_0 {
	meta:
		name = "_lrotl"
		size = 58
		altNames = "_rotl"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 82 B0 05 9B 03 F0 1F 03 05 93 05 9B C3 F1 20 02 04 9B 23 FA 02 F1 04 9A 05 9B 02 FA 03 F3 0B 43 04 93 04 9B 00 93 00 98 02 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_686_2_0 {
	meta:
		name = "_rotl64"
		size = 134
	strings:
		$1 = { 0F B4 2D E9 30 48 0D F1 08 0B 82 B0 08 9B 03 F0 3F 03 08 93 08 9B C3 F1 40 00 06 9B 23 FA 00 F1 C0 F1 20 02 07 9B 93 40 19 43 A0 F1 20 02 07 9B D3 40 41 EA 03 05 07 9B 23 FA 00 F4 07 9A 08 9B 02 FA 03 F1 08 9B C3 F1 20 02 06 9B D3 40 41 EA 03 00 08 9B A3 F1 20 02 06 9B 03 FA 02 F1 06 9A 08 9B 9A 40 40 EA 01 03 2A 43 23 43 06 92 07 93 06 9A 07 9B 00 92 01 93 00 98 01 99 02 B0 BD E8 30 08 5D F8 14 FB }
	condition:
		$1
}

rule file_688_0_0 {
	meta:
		name = "?initialize_multibyte@@YAHXZ"
		size = 46
		refs = "0008 __acrt_initialize_multibyte"
	strings:
		$1 = { 2D E9 00 48 EB 46 84 B0 ?? ?? ?? ?? 8D F8 00 00 9D F8 00 30 00 2B 02 D1 01 23 01 93 01 E0 00 23 01 93 01 9B 02 93 02 98 04 B0 BD E8 00 88 }
	condition:
		$1
}

rule file_689_0_0 {
	meta:
		name = "??$?RD@__crt_public_free_policy@@QBAXQBD@Z"
		size = 16
		refs = "000c free"
		altNames = "??$?R_W@__crt_public_free_policy@@QBAXQB_W@Z"
	strings:
		$1 = { 2D E9 00 48 EB 46 08 46 BD E8 00 48 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_2_0 {
	meta:
		name = "??$common_getdcwd@D@@YAPADHQADHHQBDH@Z"
		size = 376
		refs = "0024 _CrtDbgReportW 002e _errno 0042 _invalid_parameter 004c ?is_valid_drive@@YAHI@Z 0052 __doserrno 0084 _getdrive 00e2 ??$common_getdcwd_user_buffer@D@@YAPADQAD0I@Z 0100 __acrt_errno_map_os_error 011a _calloc_dbg 0134 free 0158 __imp_GetLastError 015c __imp_GetFullPathNameA 0160 ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0164 ??_C@_1BM@DEGOKKDC@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0168 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 016c ??_C@_1CK@HNGDBNII@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0170 ??_C@_1BO@CEMJHGEG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA?$AA@ 0174 ??_C@_1BO@MPDAPECJ@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 2D E9 FF 48 0D F1 20 0B 15 46 00 2D 1F 46 0E 46 04 46 19 DA 54 4B 57 4C 51 49 00 93 00 23 D8 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 D8 23 4C 49 48 4A 20 46 ?? ?? ?? ?? 5D E0 E4 B1 20 46 ?? ?? ?? ?? D8 B9 ?? ?? ?? ?? 0F 23 03 60 43 4B 43 4C 40 49 00 93 00 23 E1 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 0D 23 03 60 00 23 00 93 E1 23 DB E7 ?? ?? ?? ?? 04 46 54 B1 04 F1 40 03 8D F8 08 30 3A 23 8D F8 09 30 2E 23 AD F8 0A 30 02 E0 2E 23 AD F8 08 30 FE B1 00 2D 14 DC 2E 4B 2C 4C 2B 49 00 93 00 23 FA 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 FA 23 B1 E7 00 23 02 A8 2A 46 31 46 33 70 ?? ?? ?? ?? 04 46 32 E0 1C 4C 00 23 00 22 24 68 00 21 02 A8 A0 47 30 B9 17 4B 1B 68 98 47 ?? ?? ?? ?? 00 24 23 E0 0B 9B 85 42 98 BF 05 46 00 93 0A 9B 3A 46 01 21 28 46 ?? ?? ?? ?? 04 46 5C B9 ?? ?? ?? ?? 08 23 03 60 ?? ?? ?? ?? 0C 23 03 60 00 20 ?? ?? ?? ?? E4 E7 02 A8 2A 46 21 46 ?? ?? ?? ?? 08 B9 20 46 F4 E7 00 20 ?? ?? ?? ?? 20 46 04 B0 BD E8 F0 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_3_0 {
	meta:
		name = "??$common_getdcwd@_W@@YAPA_WHQA_WHHQBDH@Z"
		size = 388
		refs = "0008 __security_push_cookie 002e _CrtDbgReportW 0038 _errno 004c _invalid_parameter 0056 ?is_valid_drive@@YAHI@Z 005c __doserrno 008e _getdrive 00e8 ??$common_getdcwd_user_buffer@_W@@YAPA_WQA_W0I@Z 0106 __acrt_errno_map_os_error 0120 _calloc_dbg 013a free 015a __security_pop_cookie 0164 __imp_GetLastError 0168 __imp_GetFullPathNameW 016c ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0170 ??_C@_1BM@DEGOKKDC@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0174 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0178 ??_C@_1CK@HNGDBNII@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 017c ??_C@_1BO@CEMJHGEG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA?$AA@ 0180 ??_C@_1BO@MPDAPECJ@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 49 0D F1 14 0B ?? ?? ?? ?? 84 B0 DD F8 30 80 15 46 00 2D 1F 46 0E 46 04 46 19 DA 55 4B 57 4C 52 49 00 93 00 23 D8 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 D8 23 4D 49 48 4A 20 46 ?? ?? ?? ?? 5B E0 E4 B1 20 46 ?? ?? ?? ?? D8 B9 ?? ?? ?? ?? 0F 23 03 60 43 4B 44 4C 40 49 00 93 00 23 E1 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 0D 23 03 60 00 23 00 93 E1 23 DB E7 ?? ?? ?? ?? 04 46 4C B1 04 F1 40 03 AD F8 08 30 3A 23 AD F8 0A 30 2E 23 03 93 01 E0 2E 23 02 93 FE B1 00 2D 14 DC 2F 4B 2E 4C 2C 49 00 93 00 23 FA 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 FA 23 B3 E7 00 23 02 A8 2A 46 31 46 33 80 ?? ?? ?? ?? 04 46 32 E0 1D 4C 00 23 00 22 24 68 00 21 02 A8 A0 47 30 B9 18 4B 1B 68 98 47 ?? ?? ?? ?? 00 24 23 E0 0D 9A 85 42 98 BF 05 46 00 92 3A 46 43 46 02 21 28 46 ?? ?? ?? ?? 04 46 5C B9 ?? ?? ?? ?? 08 23 03 60 ?? ?? ?? ?? 0C 23 03 60 00 20 ?? ?? ?? ?? E4 E7 02 A8 2A 46 21 46 ?? ?? ?? ?? 08 B9 20 46 F4 E7 00 20 ?? ?? ?? ?? 20 46 04 B0 ?? ?? ?? ?? BD E8 F0 89 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_4_0 {
	meta:
		name = "??$common_getdcwd_dynamic_buffer@D@@YAPADQADIHQBDH@Z"
		size = 128
		refs = "0024 __acrt_errno_map_os_error 003e _calloc_dbg 0048 __doserrno 0050 _errno 0060 ??$common_getdcwd_user_buffer@D@@YAPADQAD0I@Z 006e free 0078 __imp_GetLastError 007c __imp_GetFullPathNameA"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 1C 4C 1E 46 90 46 24 68 0D 46 00 23 00 22 00 21 07 46 A0 47 30 B9 16 4B 1B 68 98 47 ?? ?? ?? ?? 00 24 22 E0 0A 9B 85 42 98 BF 05 46 00 93 33 46 42 46 01 21 28 46 ?? ?? ?? ?? 04 46 06 46 44 B9 ?? ?? ?? ?? 08 23 03 60 ?? ?? ?? ?? 0C 23 03 60 05 E0 2A 46 21 46 38 46 ?? ?? ?? ?? 08 B9 00 24 00 E0 00 26 30 46 ?? ?? ?? ?? 20 46 BD E8 FE 89 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_5_0 {
	meta:
		name = "??$common_getdcwd_dynamic_buffer@_W@@YAPA_WQA_WIHQBDH@Z"
		size = 128
		refs = "0024 __acrt_errno_map_os_error 003e _calloc_dbg 0048 __doserrno 0050 _errno 0060 ??$common_getdcwd_user_buffer@_W@@YAPA_WQA_W0I@Z 006e free 0078 __imp_GetLastError 007c __imp_GetFullPathNameW"
	strings:
		$1 = { 2D E9 FE 49 0D F1 20 0B 1C 4C 1E 46 90 46 24 68 0D 46 00 23 00 22 00 21 07 46 A0 47 30 B9 16 4B 1B 68 98 47 ?? ?? ?? ?? 00 24 22 E0 0A 9B 85 42 98 BF 05 46 00 93 33 46 42 46 02 21 28 46 ?? ?? ?? ?? 04 46 06 46 44 B9 ?? ?? ?? ?? 08 23 03 60 ?? ?? ?? ?? 0C 23 03 60 05 E0 2A 46 21 46 38 46 ?? ?? ?? ?? 08 B9 00 24 00 E0 00 26 30 46 ?? ?? ?? ?? 20 46 BD E8 FE 89 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_6_0 {
	meta:
		name = "??$common_getdcwd_user_buffer@D@@YAPADQAD0I@Z"
		size = 136
		refs = "001e _CrtDbgReportW 0028 _errno 003c _invalid_parameter 0064 __acrt_errno_map_os_error 0070 __imp_GetLastError 0074 __imp_GetFullPathNameA 0078 ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 007c ??_C@_1DG@KBFIBCJM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 0080 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0084 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 16 46 0D 46 CE B9 1D 4B 1B 4C 19 49 00 93 00 23 8A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 12 49 11 4A 00 23 00 93 8A 23 20 46 ?? ?? ?? ?? 12 E0 0C 4C 00 23 2A 46 24 68 31 46 A0 47 B0 42 04 D3 ?? ?? ?? ?? 22 23 03 60 05 E0 28 B9 04 4B 1B 68 98 47 ?? ?? ?? ?? 00 25 28 46 BD E8 7E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_7_0 {
	meta:
		name = "??$common_getdcwd_user_buffer@_W@@YAPA_WQA_W0I@Z"
		size = 136
		refs = "001e _CrtDbgReportW 0028 _errno 003c _invalid_parameter 0064 __acrt_errno_map_os_error 0070 __imp_GetLastError 0074 __imp_GetFullPathNameW 0078 ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 007c ??_C@_1DG@KBFIBCJM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 0080 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0084 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 7E 48 0D F1 18 0B 16 46 0D 46 CE B9 1D 4B 1B 4C 19 49 00 93 00 23 8A 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 12 49 11 4A 00 23 00 93 8A 23 20 46 ?? ?? ?? ?? 12 E0 0C 4C 00 23 2A 46 24 68 31 46 A0 47 B0 42 04 D3 ?? ?? ?? ?? 22 23 03 60 05 E0 28 B9 04 4B 1B 68 98 47 ?? ?? ?? ?? 00 25 28 46 BD E8 7E 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_10_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAA@XZ"
		size = 24
		refs = "000c free"
		altNames = "??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAA@XZ ?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAAXXZ ?release@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAAXXZ"
	strings:
		$1 = { 2D E9 18 48 0D F1 08 0B 04 46 20 68 ?? ?? ?? ?? 00 23 23 60 BD E8 18 88 }
	condition:
		$1
}

rule file_689_16_0 {
	meta:
		name = "?get_full_path_name@@YAIQADQBDI@Z"
		size = 36
		refs = "0020 __imp_GetFullPathNameA"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 14 46 0D 46 21 46 04 4C 02 46 00 23 24 68 28 46 A0 47 BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_17_0 {
	meta:
		name = "?get_full_path_name@@YAIQA_WQB_WI@Z"
		size = 36
		refs = "0020 __imp_GetFullPathNameW"
	strings:
		$1 = { 2D E9 30 48 0D F1 08 0B 14 46 0D 46 21 46 04 4C 02 46 00 23 24 68 28 46 A0 47 BD E8 30 88 FE DE ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_18_0 {
	meta:
		name = "?is_valid_drive@@YAHI@Z"
		size = 148
		refs = "0008 __security_push_cookie 0012 __doserrno 002a _CrtDbgReportW 0034 _errno 0048 _invalid_parameter 0078 __security_pop_cookie 0080 __imp_GetDriveTypeW 0084 ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0088 ??_C@_1BO@FJKIOFDB@?$AAi?$AAs?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA_?$AAd?$AAr?$AAi?$AAv?$AAe?$AA?$AA@ 008c ??_C@_1DG@MHNEMPBB@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?5?$AAI?$AAn?$AAd?$AAe?$AAx?$AA?$CC?$AA?5?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 0090 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? 84 B0 1A 28 1D D9 ?? ?? ?? ?? 0F 23 03 60 1D 4B 1B 4C 19 49 00 93 00 23 1E 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 0D 23 03 60 12 49 11 4A 00 23 00 93 1E 23 20 46 ?? ?? ?? ?? 12 E0 08 B9 01 20 10 E0 00 F1 40 03 AD F8 08 30 3A 23 AD F8 0A 30 5C 23 03 93 06 4B 02 A8 1B 68 98 47 08 B1 01 28 ED D1 00 20 04 B0 ?? ?? ?? ?? BD E8 10 88 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_689_21_0 {
	meta:
		name = "_getcwd"
		size = 30
		refs = "0016 ??$common_getdcwd@D@@YAPADHQADHHQBDH@Z"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 00 23 01 93 00 93 0A 46 01 23 01 46 00 20 ?? ?? ?? ?? BD E8 0C 88 }
	condition:
		$1
}

rule file_689_25_0 {
	meta:
		name = "_wgetcwd"
		size = 30
		refs = "0016 ??$common_getdcwd@_W@@YAPA_WHQA_WHHQBDH@Z"
	strings:
		$1 = { 2D E9 0C 48 0D F1 08 0B 00 23 01 93 00 93 0A 46 01 23 01 46 00 20 ?? ?? ?? ?? BD E8 0C 88 }
	condition:
		$1
}

rule file_689_22_0 {
	meta:
		name = "_getcwd_dbg"
		size = 32
		refs = "0018 ??$common_getdcwd@D@@YAPADHQADHHQBDH@Z"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 1C 46 13 46 0A 46 01 46 06 98 00 94 01 90 00 20 ?? ?? ?? ?? BD E8 1E 88 }
	condition:
		$1
}

rule file_689_26_0 {
	meta:
		name = "_wgetcwd_dbg"
		size = 32
		refs = "0018 ??$common_getdcwd@_W@@YAPA_WHQA_WHHQBDH@Z"
	strings:
		$1 = { 2D E9 1E 48 0D F1 10 0B 1C 46 13 46 0A 46 01 46 06 98 00 94 01 90 00 20 ?? ?? ?? ?? BD E8 1E 88 }
	condition:
		$1
}

rule file_690_5_0 {
	meta:
		name = "_mbsspn_l"
		size = 280
		refs = "0012 ??0_LocaleUpdate@@QAA@QAU__crt_locale_pointers@@@Z 0020 strspn 0038 _CrtDbgReportW 0042 _errno 0082 _invalid_parameter 0104 ??_C@_1GO@FEIMMIGB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0108 ??_C@_1BE@IJNALACN@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAp?$AAn?$AA_?$AAl?$AA?$AA@ 010c ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0110 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0114 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 48 0D F1 10 0B 86 B0 0D 46 04 46 02 A8 11 46 ?? ?? ?? ?? 04 9F BB 68 23 B9 29 46 20 46 ?? ?? ?? ?? 60 E0 A4 B9 39 4B 3A 4C 35 49 00 93 00 23 4D 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 4D 23 14 E0 D5 B9 2E 4B 2D 4C 2A 49 00 93 00 23 4E 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 4E 23 22 49 21 4A 20 46 ?? ?? ?? ?? 00 20 2E E0 23 78 21 46 53 B3 2E 78 4F F0 04 0E 28 46 B6 B1 02 78 D3 19 5B 7E 13 EA 0E 0F 0B 78 09 D0 9A 42 03 D1 42 78 4B 78 9A 42 09 D0 43 78 3B B1 40 1C 01 E0 9A 42 03 D0 40 1C 03 78 00 2B E8 D1 03 78 63 B1 0B 78 3B 44 5B 7E 13 EA 0E 0F 02 D0 49 1C 0B 78 1B B1 49 1C 0B 78 00 2B D7 D1 08 1B 9D F8 14 30 33 B1 02 9A D2 F8 50 33 23 F0 02 03 C2 F8 50 33 06 B0 BD E8 F0 88 FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_691_0_0 {
	meta:
		name = "??$common_futime@JU__utimbuf32@@@@YAHHPAU__utimbuf32@@@Z"
		size = 744
		refs = "000a __security_push_cookie 0018 _errno 0060 _CrtDbgReportW 008c _invalid_parameter 0128 ??$time@PAJ@?$__crt_integer_traits@J@@SAJ$$QAPAJ@Z 0142 ??$localtime_s@PAUtm@@PAJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@$$QAPAJ@Z 027c _get_osfhandle 02b4 __security_pop_cookie 02c0 __imp_SetFileTime 02c4 __imp_SystemTimeToFileTime 02c8 __imp_TzSpecificLocalTimeToSystemTime 02cc ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 02d0 ??_C@_1BM@BJOHALBD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 02d4 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 02d8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02dc __pioinfo 02e0 ??_C@_1IO@JKDDFILG@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$DO@ 02e4 _nhandle"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? B6 B0 3A 9B 13 F1 02 0F 09 D1 ?? ?? ?? ?? 07 90 07 9A 09 23 13 60 6F F0 00 03 02 93 41 E1 3A 9B 00 2B 07 DB 3A 9A AB 4B 1B 68 9A 42 02 D2 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 A3 4B 01 93 A0 4B 00 93 00 23 51 22 9D 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 09 23 13 60 00 23 00 93 51 23 93 4A 91 49 95 48 ?? ?? ?? ?? 6F F0 00 03 02 93 0B E1 3A 9B 9A 11 04 23 02 FB 03 F2 8E 4B 99 18 3A 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 7D 4B 01 93 7F 4B 00 93 00 23 52 22 7C 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 09 23 13 60 00 23 00 93 52 23 72 4A 70 49 6F 48 ?? ?? ?? ?? 6F F0 00 03 02 93 C9 E0 3B 9B 00 2B 08 D1 1F AB 0C 93 0C A8 ?? ?? ?? ?? 1F 9B 1E 93 1E AB 3B 93 3B 9B 1B 1D 0D 93 28 AB 0E 93 0D A9 0E A8 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 09 D0 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 6F F0 00 03 02 93 A6 E0 2D 9B 03 F2 6C 73 9B B2 AD F8 90 30 2C 9B 5B 1C 9B B2 AD F8 92 30 2B 9B 9B B2 AD F8 96 30 2A 9B 9B B2 AD F8 98 30 29 9B 9B B2 AD F8 9A 30 28 9B 9B B2 AD F8 9C 30 00 23 AD F8 9E 30 32 AA 24 A9 00 20 48 4B 1B 68 98 47 11 90 11 9B 00 2B 08 D0 20 A9 32 A8 43 4B 1B 68 98 47 12 90 12 9B 00 2B 09 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 6F F0 00 03 02 93 6B E0 3B 9B 14 93 28 AB 15 93 14 A9 15 A8 ?? ?? ?? ?? 16 90 16 9B 00 2B 09 D0 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 6F F0 00 03 02 93 55 E0 2D 9B 03 F2 6C 73 9B B2 AD F8 90 30 2C 9B 5B 1C 9B B2 AD F8 92 30 2B 9B 9B B2 AD F8 96 30 2A 9B 9B B2 AD F8 98 30 29 9B 9B B2 AD F8 9A 30 28 9B 9B B2 AD F8 9C 30 00 23 AD F8 9E 30 32 AA 24 A9 00 20 20 4B 1B 68 98 47 18 90 18 9B 00 2B 08 D0 22 A9 32 A8 1A 4B 1B 68 98 47 19 90 19 9B 00 2B 09 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 6F F0 00 03 02 93 1A E0 3A 98 ?? ?? ?? ?? 1B 90 20 AB 22 AA 00 21 1B 98 0D 4C 24 68 A0 47 1C 90 1C 9B 00 2B 09 D1 ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 6F F0 00 03 02 93 01 E0 00 23 02 93 02 98 36 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_691_1_0 {
	meta:
		name = "??$common_futime@_JU__utimbuf64@@@@YAHHPAU__utimbuf64@@@Z"
		size = 748
		refs = "000a __security_push_cookie 0018 _errno 0060 _CrtDbgReportW 008c _invalid_parameter 0128 ??$time@PA_J@?$__crt_integer_traits@_J@@SA_J$$QAPA_J@Z 0146 ??$localtime_s@PAUtm@@PA_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@$$QAPA_J@Z 0280 _get_osfhandle 02b8 __security_pop_cookie 02c4 __imp_SetFileTime 02c8 __imp_SystemTimeToFileTime 02cc __imp_TzSpecificLocalTimeToSystemTime 02d0 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 02d4 ??_C@_1BM@BJOHALBD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 02d8 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 02dc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02e0 __pioinfo 02e4 ??_C@_1IO@JKDDFILG@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$DO@ 02e8 _nhandle"
	strings:
		$1 = { 03 B4 2D E9 10 48 0D F1 04 0B ?? ?? ?? ?? B8 B0 3C 9B 13 F1 02 0F 09 D1 ?? ?? ?? ?? 07 90 07 9A 09 23 13 60 6F F0 00 03 02 93 43 E1 3C 9B 00 2B 07 DB 3C 9A AC 4B 1B 68 9A 42 02 D2 01 23 03 93 01 E0 00 23 03 93 03 9B 04 93 04 9B 00 2B 0E D1 A4 4B 01 93 A1 4B 00 93 00 23 51 22 9E 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 04 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 09 23 13 60 00 23 00 93 51 23 94 4A 92 49 96 48 ?? ?? ?? ?? 6F F0 00 03 02 93 0D E1 3C 9B 9A 11 04 23 02 FB 03 F2 8F 4B 99 18 3C 9B 03 F0 3F 02 30 23 02 FB 03 F2 0B 68 13 44 28 33 1B 78 13 F0 01 0F 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 7E 4B 01 93 80 4B 00 93 00 23 52 22 7D 49 02 20 ?? ?? ?? ?? 0A 90 0A 9B 01 2B 00 D1 FE DE 06 9B 00 2B 11 D1 ?? ?? ?? ?? 0B 90 0B 9A 09 23 13 60 00 23 00 93 52 23 73 4A 71 49 70 48 ?? ?? ?? ?? 6F F0 00 03 02 93 CB E0 3D 9B 00 2B 0A D1 32 AB 0C 93 0C A8 ?? ?? ?? ?? 32 9B 30 93 33 9B 31 93 30 AB 3D 93 3D 9B 08 33 0D 93 26 AB 0E 93 0D A9 0E A8 ?? ?? ?? ?? 0F 90 0F 9B 00 2B 09 D0 ?? ?? ?? ?? 10 90 10 9A 16 23 13 60 6F F0 00 03 02 93 A6 E0 2B 9B 03 F2 6C 73 9B B2 AD F8 88 30 2A 9B 5B 1C 9B B2 AD F8 8A 30 29 9B 9B B2 AD F8 8E 30 28 9B 9B B2 AD F8 90 30 27 9B 9B B2 AD F8 92 30 26 9B 9B B2 AD F8 94 30 00 23 AD F8 96 30 34 AA 22 A9 00 20 48 4B 1B 68 98 47 11 90 11 9B 00 2B 08 D0 1E A9 34 A8 43 4B 1B 68 98 47 12 90 12 9B 00 2B 09 D1 ?? ?? ?? ?? 13 90 13 9A 16 23 13 60 6F F0 00 03 02 93 6B E0 3D 9B 14 93 26 AB 15 93 14 A9 15 A8 ?? ?? ?? ?? 16 90 16 9B 00 2B 09 D0 ?? ?? ?? ?? 17 90 17 9A 16 23 13 60 6F F0 00 03 02 93 55 E0 2B 9B 03 F2 6C 73 9B B2 AD F8 88 30 2A 9B 5B 1C 9B B2 AD F8 8A 30 29 9B 9B B2 AD F8 8E 30 28 9B 9B B2 AD F8 90 30 27 9B 9B B2 AD F8 92 30 26 9B 9B B2 AD F8 94 30 00 23 AD F8 96 30 34 AA 22 A9 00 20 20 4B 1B 68 98 47 18 90 18 9B 00 2B 08 D0 20 A9 34 A8 1A 4B 1B 68 98 47 19 90 19 9B 00 2B 09 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 6F F0 00 03 02 93 1A E0 3C 98 ?? ?? ?? ?? 1B 90 1E AB 20 AA 00 21 1B 98 0D 4C 24 68 A0 47 1C 90 1C 9B 00 2B 09 D1 ?? ?? ?? ?? 1D 90 1D 9A 16 23 13 60 6F F0 00 03 02 93 01 E0 00 23 02 93 02 98 38 B0 ?? ?? ?? ?? BD E8 10 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_691_2_0 {
	meta:
		name = "??$common_utime@JDU__utimbuf32@@@@YAHQBDQAU__utimbuf32@@@Z"
		size = 256
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 008a ??$tsopen_s@PAHABQBDHHH@?$__crt_char_traits@D@@SAH$$QAPAHABQBD$$QAH22@Z 00a2 ??$futime@AAHABQAU__utimbuf32@@@?$__crt_integer_traits@J@@SAHAAHABQAU__utimbuf32@@@Z 00c6 _close 00f0 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00f8 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 32 4B 01 93 34 4B 00 93 00 23 18 22 31 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 18 23 27 4A 25 49 24 48 ?? ?? ?? ?? 6F F0 00 03 03 93 3A E0 00 23 0A 93 40 23 0B 93 48 F2 02 03 0C 93 06 AB 0D 93 0A AB 00 93 0B AB 0C AA 14 A9 0D A8 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 03 D0 6F F0 00 03 03 93 21 E0 15 A9 06 A8 ?? ?? ?? ?? 0F 90 0F 9B 02 93 00 23 07 93 02 9B B3 F1 FF 3F 05 D1 ?? ?? ?? ?? 10 90 10 9B 1B 68 07 93 06 98 ?? ?? ?? ?? 02 9B B3 F1 FF 3F 05 D1 ?? ?? ?? ?? 11 90 07 9A 11 9B 1A 60 02 9B 03 93 03 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_691_3_0 {
	meta:
		name = "??$common_utime@J_WU__utimbuf32@@@@YAHQB_WQAU__utimbuf32@@@Z"
		size = 256
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 008a ??$tsopen_s@PAHABQB_WHHH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_W$$QAH22@Z 00a2 ??$futime@AAHABQAU__utimbuf32@@@?$__crt_integer_traits@J@@SAHAAHABQAU__utimbuf32@@@Z 00c6 _close 00f0 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00f8 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 32 4B 01 93 34 4B 00 93 00 23 18 22 31 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 18 23 27 4A 25 49 24 48 ?? ?? ?? ?? 6F F0 00 03 03 93 3A E0 00 23 0A 93 40 23 0B 93 48 F2 02 03 0C 93 06 AB 0D 93 0A AB 00 93 0B AB 0C AA 14 A9 0D A8 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 03 D0 6F F0 00 03 03 93 21 E0 15 A9 06 A8 ?? ?? ?? ?? 0F 90 0F 9B 02 93 00 23 07 93 02 9B B3 F1 FF 3F 05 D1 ?? ?? ?? ?? 10 90 10 9B 1B 68 07 93 06 98 ?? ?? ?? ?? 02 9B B3 F1 FF 3F 05 D1 ?? ?? ?? ?? 11 90 07 9A 11 9B 1A 60 02 9B 03 93 03 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_691_4_0 {
	meta:
		name = "??$common_utime@_JDU__utimbuf64@@@@YAHQBDQAU__utimbuf64@@@Z"
		size = 256
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 008a ??$tsopen_s@PAHABQBDHHH@?$__crt_char_traits@D@@SAH$$QAPAHABQBD$$QAH22@Z 00a2 ??$futime@AAHABQAU__utimbuf64@@@?$__crt_integer_traits@_J@@SAHAAHABQAU__utimbuf64@@@Z 00c6 _close 00f0 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00f8 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 32 4B 01 93 34 4B 00 93 00 23 18 22 31 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 18 23 27 4A 25 49 24 48 ?? ?? ?? ?? 6F F0 00 03 03 93 3A E0 00 23 0A 93 40 23 0B 93 48 F2 02 03 0C 93 06 AB 0D 93 0A AB 00 93 0B AB 0C AA 14 A9 0D A8 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 03 D0 6F F0 00 03 03 93 21 E0 15 A9 06 A8 ?? ?? ?? ?? 0F 90 0F 9B 02 93 00 23 07 93 02 9B B3 F1 FF 3F 05 D1 ?? ?? ?? ?? 10 90 10 9B 1B 68 07 93 06 98 ?? ?? ?? ?? 02 9B B3 F1 FF 3F 05 D1 ?? ?? ?? ?? 11 90 07 9A 11 9B 1A 60 02 9B 03 93 03 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_691_5_0 {
	meta:
		name = "??$common_utime@_J_WU__utimbuf64@@@@YAHQB_WQAU__utimbuf64@@@Z"
		size = 256
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 008a ??$tsopen_s@PAHABQB_WHHH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_W$$QAH22@Z 00a2 ??$futime@AAHABQAU__utimbuf64@@@?$__crt_integer_traits@_J@@SAHAAHABQAU__utimbuf64@@@Z 00c6 _close 00f0 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f4 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00f8 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 00fc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 92 B0 14 9B 00 2B 02 D0 01 23 04 93 01 E0 00 23 04 93 04 9B 05 93 05 9B 00 2B 0E D1 32 4B 01 93 34 4B 00 93 00 23 18 22 31 49 02 20 ?? ?? ?? ?? 08 90 08 9B 01 2B 00 D1 FE DE 05 9B 00 2B 11 D1 ?? ?? ?? ?? 09 90 09 9A 16 23 13 60 00 23 00 93 18 23 27 4A 25 49 24 48 ?? ?? ?? ?? 6F F0 00 03 03 93 3A E0 00 23 0A 93 40 23 0B 93 48 F2 02 03 0C 93 06 AB 0D 93 0A AB 00 93 0B AB 0C AA 14 A9 0D A8 ?? ?? ?? ?? 0E 90 0E 9B 00 2B 03 D0 6F F0 00 03 03 93 21 E0 15 A9 06 A8 ?? ?? ?? ?? 0F 90 0F 9B 02 93 00 23 07 93 02 9B B3 F1 FF 3F 05 D1 ?? ?? ?? ?? 10 90 10 9B 1B 68 07 93 06 98 ?? ?? ?? ?? 02 9B B3 F1 FF 3F 05 D1 ?? ?? ?? ?? 11 90 07 9A 11 9B 1A 60 02 9B 03 93 03 98 12 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_691_11_0 {
	meta:
		name = "??$time@PA_J@?$__crt_integer_traits@_J@@SA_J$$QAPA_J@Z"
		size = 44
		refs = "000e _time64"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 84 B0 06 9B 18 68 ?? ?? ?? ?? 01 91 00 90 00 9A 01 9B 02 92 03 93 02 98 03 99 04 B0 5D F8 04 BB 5D F8 0C FB }
	condition:
		$1
}

rule file_693_1_0 {
	meta:
		name = "perror"
		size = 140
		refs = "0014 __acrt_lowio_lock_fh 002a strlen 0036 _write_nolock 0044 _errno 004e _get_sys_err_msg 0076 __acrt_lowio_unlock_fh 0084 ??_C@_01EEMJAFIK@?6?$AA@ 0088 ??_C@_02LMMGGCAJ@?3?5?$AA@"
	strings:
		$1 = { 03 B4 2D E9 80 48 0D F1 04 0B 87 B0 6F 46 02 23 7B 61 02 20 ?? ?? ?? ?? BB 6A 00 2B 12 D0 BB 6A 93 F9 00 30 00 2B 0D D0 B8 6A ?? ?? ?? ?? 78 60 7A 68 B9 6A 02 20 ?? ?? ?? ?? 02 22 12 49 02 20 ?? ?? ?? ?? ?? ?? ?? ?? B8 60 BB 68 18 68 ?? ?? ?? ?? F8 60 FB 68 3B 60 38 68 ?? ?? ?? ?? 38 61 3A 69 39 68 02 20 ?? ?? ?? ?? 01 22 05 49 02 20 ?? ?? ?? ?? 02 20 ?? ?? ?? ?? 07 B0 BD E8 80 08 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_694_0_0 {
	meta:
		name = "_FHypot"
		size = 712
		refs = "0016 _fdunscale 0152 __rt_sdiv 017a _fdscale 01e8 sqrtf 02b4 ?oneplusroot2high@?6??_FHypot@@9@9 02b8 ?oneplusroot2low@?6??_FHypot@@9@9 02bc ?root2@?6??_FHypot@@9@9 02c4 _FInf_C"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 90 B0 CD ED 00 0A 8D ED 01 0A 01 A9 02 A8 ?? ?? ?? ?? AD F8 18 00 BD F9 18 30 AD F8 10 30 69 46 0D F1 0A 00 ?? ?? ?? ?? AD F8 1A 00 BD F9 1A 30 AD F8 12 30 12 9A 00 23 13 60 BD F9 10 30 01 2B 03 D0 BD F9 12 30 01 2B 06 D1 9C 4B 93 ED 00 0A 8D ED 05 0A 22 E1 21 E1 BD F9 10 30 02 2B 05 D1 9D ED 01 0A 8D ED 05 0A 18 E1 17 E1 BD F9 12 30 02 2B 05 D1 9D ED 00 0A 8D ED 05 0A 0E E1 0D E1 9D ED 01 0A B5 EE C0 0A F1 EE 10 FA 05 D2 9D ED 01 0A B1 EE 40 0A 8D ED 01 0A 9D ED 00 0A B5 EE C0 0A F1 EE 10 FA 05 D2 9D ED 00 0A B1 EE 40 0A 8D ED 00 0A 9D ED 00 0A B5 EE 40 0A F1 EE 10 FA 0C D1 9D ED 01 0A B5 EE 40 0A F1 EE 10 FA 04 D1 9F ED 79 0A 8D ED 05 0A E0 E0 33 E0 9D ED 01 0A B5 EE 40 0A F1 EE 10 FA 14 D0 BD F9 08 20 BD F9 0A 30 9A 42 0E DB BD F9 08 20 BD F9 0A 30 9A 42 20 D1 DD ED 01 0A 9D ED 00 0A F4 EE C0 0A F1 EE 10 FA 17 D2 BD F9 08 30 AD F8 1C 30 9D ED 01 0A 8D ED 0B 0A BD F9 0A 30 AD F8 08 30 BD F9 1C 30 AD F8 0A 30 9D ED 00 0A 8D ED 01 0A 9D ED 0B 0A 8D ED 00 0A BD F9 08 10 04 20 ?? ?? ?? ?? 02 23 00 FB 03 F2 12 9B 1A 60 12 9B 1B 68 00 2B 02 D1 12 9A 02 23 13 60 BD F9 08 20 12 9B 1B 68 D1 1A 01 A8 ?? ?? ?? ?? BD F9 0A 20 12 9B 1B 68 D1 1A 68 46 ?? ?? ?? ?? DD ED 01 0A 9D ED 00 0A 30 EE C0 0A 8D ED 03 0A DD ED 03 0A 9D ED 01 0A F4 EE 40 0A F1 EE 10 FA 00 D1 74 E0 DD ED 00 0A 9D ED 03 0A F4 EE C0 0A F1 EE 10 FA 26 D2 DD ED 01 0A 9D ED 00 0A 80 EE 80 0A 8D ED 08 0A DD ED 08 0A 9D ED 08 0A 60 EE 80 0A B7 EE 00 0A 30 EE 80 0A ?? ?? ?? ?? 8D ED 0C 0A DD ED 08 0A 9D ED 0C 0A 70 EE 80 0A 9D ED 00 0A C0 EE 20 0A 9D ED 01 0A 30 EE 20 0A 8D ED 03 0A 44 E0 DD ED 03 0A 9D ED 00 0A 80 EE 80 0A 8D ED 09 0A DD ED 09 0A B0 EE 00 0A 70 EE 80 0A 9D ED 09 0A 20 EE 80 0A 8D ED 0A 0A DD ED 0A 0A B0 EE 00 0A 30 EE 80 0A ?? ?? ?? ?? 8D ED 0D 0A 1B 4B D3 ED 00 0A 9D ED 0D 0A 70 EE 80 0A 9D ED 0A 0A C0 EE 20 0A 14 4B 93 ED 00 0A 70 EE 80 0A 9D ED 09 0A 70 EE 80 0A 0F 4B 93 ED 00 0A 30 EE 80 0A 8D ED 0E 0A DD ED 00 0A 9D ED 0E 0A C0 EE 80 0A 9D ED 01 0A 30 EE 20 0A 8D ED 03 0A 9D ED 03 0A 8D ED 05 0A 9D ED 05 0A 10 B0 5D F8 04 BB 5D F8 0C FB FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_694_1_0 {
	meta:
		name = "csqrtf"
		size = 880
		refs = "0018 crealf 0030 cimagf 0042 _fdtest 0064 _FCbuild 019c _FHypot 020e ldexpf 0232 sqrtf 023e __rt_sdiv 0368 _FInf_C 036c _FZero_C"
	strings:
		$1 = { 2D E9 00 48 EB 46 A6 B0 CD ED 09 0A 8D ED 08 0A 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 0D 0A 9D ED 0D 0A 8D ED 04 0A 9D ED 08 0A DD ED 09 0A ?? ?? ?? ?? 8D ED 0E 0A 9D ED 0E 0A 8D ED 00 0A 68 46 ?? ?? ?? ?? AD F8 16 00 BD F9 16 30 AD F8 14 30 BD F9 14 30 01 2B 14 D1 DD ED 00 0A C2 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 15 0A 8D ED 14 0A 9D ED 14 0A 8D ED 02 0A 9D ED 15 0A 8D ED 03 0A 68 E1 86 E0 04 A8 ?? ?? ?? ?? AD F8 18 00 BD F9 18 30 01 2B 00 D0 7C E0 BD F9 14 30 02 2B 24 D1 9D ED 04 0A B5 EE C0 0A F1 EE 10 FA 13 D2 DD ED 04 0A 9D ED 00 0A ?? ?? ?? ?? CD ED 17 0A 8D ED 16 0A 9D ED 16 0A 8D ED 02 0A 9D ED 17 0A 8D ED 03 0A 3F E1 08 E0 9D ED 08 0A 8D ED 02 0A 9D ED 09 0A 8D ED 03 0A 35 E1 53 E0 9D ED 04 0A B5 EE C0 0A F1 EE 10 FA 26 D2 6B 46 9B 1C 1B 88 13 F4 00 4F 07 D0 98 4B 93 ED 00 0A B1 EE 40 0A 8D ED 0A 0A 04 E0 94 4B 93 ED 00 0A 8D ED 0A 0A DD ED 0A 0A 9F ED 90 0A ?? ?? ?? ?? CD ED 19 0A 8D ED 18 0A 9D ED 18 0A 8D ED 02 0A 9D ED 19 0A 8D ED 03 0A 07 E1 25 E0 6B 46 9B 1C 1B 88 13 F4 00 4F 07 D0 86 4B 93 ED 00 0A B1 EE 40 0A 8D ED 0B 0A 03 E0 9F ED 80 0A 8D ED 0B 0A DD ED 0B 0A 7E 4B 93 ED 00 0A ?? ?? ?? ?? CD ED 1B 0A 8D ED 1A 0A 9D ED 1A 0A 8D ED 02 0A 9D ED 1B 0A 8D ED 03 0A E0 E0 07 A8 DD ED 00 0A 9D ED 04 0A ?? ?? ?? ?? 8D ED 0F 0A 9D ED 0F 0A 8D ED 01 0A 07 9B 00 2B 17 D1 DD ED 00 0A 9D ED 01 0A 60 EE 80 0A 9D ED 01 0A ?? ?? ?? ?? CD ED 1D 0A 8D ED 1C 0A 9D ED 1C 0A 8D ED 02 0A 9D ED 1D 0A 8D ED 03 0A B9 E0 B8 E0 9D ED 04 0A B5 EE C0 0A F1 EE 10 FA 06 D2 9D ED 04 0A B1 EE 40 0A 8D ED 0C 0A 03 E0 9D ED 04 0A 8D ED 0C 0A 07 9B 58 42 9D ED 0C 0A ?? ?? ?? ?? 8D ED 10 0A 9D ED 10 0A 8D ED 11 0A DD ED 11 0A 9D ED 01 0A 70 EE 80 0A B0 EE 00 0A 20 EE 20 0A ?? ?? ?? ?? 8D ED 12 0A 07 99 02 20 ?? ?? ?? ?? 40 1E 9D ED 12 0A ?? ?? ?? ?? 8D ED 13 0A 9D ED 13 0A 8D ED 01 0A 9D ED 04 0A B5 EE C0 0A F1 EE 10 FA 1B DB F0 EE 00 0A 9D ED 01 0A 60 EE 80 0A 9D ED 00 0A C0 EE 20 0A 9D ED 01 0A ?? ?? ?? ?? CD ED 1F 0A 8D ED 1E 0A 9D ED 1E 0A 8D ED 02 0A 9D ED 1F 0A 8D ED 03 0A 5B E0 5A E0 6B 46 9B 1C 1B 88 13 F4 00 4F 1F D0 9D ED 01 0A F1 EE 40 0A 9D ED 00 0A F1 EE 40 1A B0 EE 00 1A 9D ED 01 0A 21 EE 00 0A 81 EE 80 0A ?? ?? ?? ?? CD ED 21 0A 8D ED 20 0A 9D ED 20 0A 8D ED 02 0A 9D ED 21 0A 8D ED 03 0A 35 E0 34 E0 9D ED 00 0A B5 EE 40 0A F1 EE 10 FA 13 D1 DD ED 01 0A 9F ED 19 0A ?? ?? ?? ?? CD ED 23 0A 8D ED 22 0A 9D ED 22 0A 8D ED 02 0A 9D ED 23 0A 8D ED 03 0A 1A E0 19 E0 DD ED 01 0A B0 EE 00 1A 9D ED 01 0A 21 EE 00 1A 9D ED 00 0A 80 EE 01 0A ?? ?? ?? ?? CD ED 25 0A 8D ED 24 0A 9D ED 24 0A 8D ED 02 0A 9D ED 25 0A 8D ED 03 0A 9D ED 02 0A DD ED 03 0A 26 B0 BD E8 00 88 FE DE 00 00 00 00 ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_695_7_0 {
	meta:
		name = "?_strlwr_s_l_stat@@YAHQADIQAU__crt_locale_pointers@@@Z"
		size = 1052
		refs = "0034 _CrtDbgReportW 0048 _errno 0060 _invalid_parameter 006e strnlen 009e _CrtGetDebugFillThreshold 00c6 memset 01fc __acrt_LCMapStringA 02dc _MallocaComputeSize 02f8 _malloc_dbg 0304 _MarkAllocaS 0318 ??0?$__crt_scoped_stack_ptr_tag@D@@QAA@QAD@Z 0328 ??0?$__crt_scoped_stack_ptr@D@@QAA@U?$__crt_scoped_stack_ptr_tag@D@@@Z 032e ??B?$__crt_scoped_stack_ptr@D@@QBA_NXZ 0358 ??1?$__crt_scoped_stack_ptr@D@@QAA@XZ 0364 ?get@?$__crt_scoped_stack_ptr@D@@QBAPADXZ 03b2 strcpy_s 03f8 ??_C@_0DB@LKADJIAI@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 03fc ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0400 ??_C@_1CC@PMAIDLKG@?$AA_?$AAs?$AAt?$AAr?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0404 ??_C@_1GC@EABICIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0408 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 040c ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0410 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0414 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0418 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 0F B4 2D E9 00 48 EB 46 B8 B0 3A 9B 00 2B 02 D0 01 23 0C 93 01 E0 00 23 0C 93 0C 9B 0D 93 0D 9B 00 2B 0E D1 FC 4B 01 93 F7 4B 00 93 00 23 76 22 F4 49 02 20 ?? ?? ?? ?? 19 90 19 9B 01 2B 00 D1 FE DE 0D 9B 00 2B 10 D1 ?? ?? ?? ?? 1A 90 1A 9A 16 23 13 60 00 23 00 93 76 23 EA 4A E8 49 EE 48 ?? ?? ?? ?? 16 23 06 93 C0 E1 3B 99 3A 98 ?? ?? ?? ?? 1B 90 1B 9B 0A 93 0A 9A 3B 9B 9A 42 55 D3 3A 9A 00 23 13 70 3B 9B B3 F1 FF 3F 1D D0 3B 9A 6F F0 00 43 9A 42 18 D0 3B 9B 01 2B 15 D9 ?? ?? ?? ?? 1C 90 1C 9B 0E 93 3B 9B 5A 1E 0E 9B 93 42 02 D2 0E 9B 0F 93 02 E0 3B 9B 5B 1E 0F 93 0F 9A FE 21 3A 9B 58 1C ?? ?? ?? ?? D2 4B 00 2B 03 D0 02 E0 01 23 10 93 01 E0 00 23 10 93 10 9B 11 93 11 9B 00 2B 0E D1 CA 4B 01 93 C7 4B 00 93 00 23 7B 22 C4 49 02 20 ?? ?? ?? ?? 1D 90 1D 9B 01 2B 00 D1 FE DE 11 9B 00 2B 10 D1 ?? ?? ?? ?? 1E 90 1E 9A 16 23 13 60 00 23 00 93 7B 23 B9 4A B8 49 BB 48 ?? ?? ?? ?? 16 23 06 93 5F E1 3B 9B B3 F1 FF 3F 25 D0 3B 9A 6F F0 00 43 9A 42 20 D0 0A 9B 5A 1C 3B 9B 9A 42 1B D2 ?? ?? ?? ?? 1F 90 1F 9B 12 93 0A 9B 5A 1C 3B 9B 9A 1A 12 9B 93 42 02 D2 12 9B 13 93 04 E0 0A 9B 5A 1C 3B 9B 9B 1A 13 93 13 9A FE 21 0A 9B 58 1C 3A 9B 18 44 ?? ?? ?? ?? 3C 9B 1B 68 A0 33 08 33 1B 68 00 2B 1F D1 3A 9B 08 93 02 E0 08 9B 5B 1C 08 93 08 9B 93 F9 00 30 00 2B 11 D0 08 9B 93 F9 00 30 41 2B 0B DB 08 9B 93 F9 00 30 5A 2B 06 DC 08 9B 93 F9 00 30 20 33 5A B2 08 9B 1A 70 E5 E7 00 23 06 93 0E E1 01 23 04 93 3C 9B 1B 68 08 33 1B 68 03 93 00 23 02 93 00 23 01 93 6F F0 00 03 00 93 3A 9B 4F F4 80 72 3C 99 09 68 A0 31 08 31 09 68 3C 98 ?? ?? ?? ?? 20 90 20 9B 0B 93 0B 9B 00 2B 0C D1 ?? ?? ?? ?? 21 90 21 9A 2A 23 13 60 ?? ?? ?? ?? 22 90 22 9B 1B 68 06 93 E2 E0 3B 9A 0B 9B 9A 42 55 D2 3A 9A 00 23 13 70 3B 9B B3 F1 FF 3F 1D D0 3B 9A 6F F0 00 43 9A 42 18 D0 3B 9B 01 2B 15 D9 ?? ?? ?? ?? 23 90 23 9B 14 93 3B 9B 5A 1E 14 9B 93 42 02 D2 14 9B 15 93 02 E0 3B 9B 5B 1E 15 93 15 9A FE 21 3A 9B 58 1C ?? ?? ?? ?? 64 4B 00 2B 03 D0 02 E0 01 23 16 93 01 E0 00 23 16 93 16 9B 17 93 17 9B 00 2B 0E D1 59 4B 01 93 5B 4B 00 93 00 23 9C 22 58 49 02 20 ?? ?? ?? ?? 24 90 24 9B 01 2B 00 D1 FE DE 17 9B 00 2B 10 D1 ?? ?? ?? ?? 25 90 25 9A 22 23 13 60 00 23 00 93 9C 23 4E 4A 4C 49 4B 48 ?? ?? ?? ?? 22 23 06 93 88 E0 0B 98 ?? ?? ?? ?? 26 90 26 9B 00 2B 13 D0 0B 98 ?? ?? ?? ?? 27 90 A0 23 41 4A 02 21 27 98 ?? ?? ?? ?? 28 90 4D F6 DD 51 28 98 ?? ?? ?? ?? 29 90 29 9B 18 93 01 E0 00 23 18 93 18 99 36 A8 ?? ?? ?? ?? 2A 90 2A 9B 2B 93 2B 9B 19 68 09 A8 ?? ?? ?? ?? 09 A8 ?? ?? ?? ?? 8D F8 1C 00 9D F8 1C 30 00 2B 11 D1 ?? ?? ?? ?? 2C 90 2C 9A 0C 23 13 60 ?? ?? ?? ?? 2D 90 2D 9B 1B 68 2E 93 09 A8 ?? ?? ?? ?? 2E 9B 06 93 44 E0 09 A8 ?? ?? ?? ?? 2F 90 01 23 04 93 3C 9B 1B 68 08 33 1B 68 03 93 0B 9B 02 93 2F 9B 01 93 6F F0 00 03 00 93 3A 9B 4F F4 80 72 3C 99 09 68 A0 31 08 31 09 68 3C 98 ?? ?? ?? ?? 30 90 30 9B 00 2B 12 D0 09 A8 ?? ?? ?? ?? 31 90 31 9A 3B 99 3A 98 ?? ?? ?? ?? 32 90 32 9B 33 93 09 A8 ?? ?? ?? ?? 33 9B 06 93 11 E0 0D E0 ?? ?? ?? ?? 34 90 34 9A 2A 23 13 60 2A 23 35 93 09 A8 ?? ?? ?? ?? 35 9B 06 93 02 E0 09 A8 ?? ?? ?? ?? 06 98 38 B0 5D F8 04 BB 5D F8 14 FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_695_13_0 {
	meta:
		name = "_strlwr"
		size = 232
		refs = "000a __acrt_locale_changed 0044 _CrtDbgReportW 0058 _errno 0070 _invalid_parameter 00c4 _strlwr_s_l 00d8 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00dc ??_C@_1BA@EGFMICNO@?$AA_?$AAs?$AAt?$AAr?$AAl?$AAw?$AAr?$AA?$AA@ 00e0 ??_C@_1GC@EABICIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00e4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@"
	strings:
		$1 = { 03 B4 2D E9 00 48 EB 46 8A B0 ?? ?? ?? ?? 8D F8 08 00 9D F8 08 30 00 2B 50 D1 0C 9B 00 2B 02 D0 01 23 05 93 01 E0 00 23 05 93 05 9B 06 93 06 9B 00 2B 0E D1 28 4B 01 93 2A 4B 00 93 00 23 3F 22 27 49 02 20 ?? ?? ?? ?? 07 90 07 9B 01 2B 00 D1 FE DE 06 9B 00 2B 10 D1 ?? ?? ?? ?? 08 90 08 9A 16 23 13 60 00 23 00 93 3F 23 1D 4A 1B 49 1A 48 ?? ?? ?? ?? 00 23 04 93 28 E0 0C 9B 03 93 02 E0 03 9B 5B 1C 03 93 03 9B 93 F9 00 30 00 2B 11 D0 03 9B 93 F9 00 30 41 2B 0B DB 03 9B 93 F9 00 30 5A 2B 06 DC 03 9B 93 F9 00 30 20 33 5A B2 03 9B 1A 70 E5 E7 0C 9B 04 93 08 E0 07 E0 00 22 6F F0 00 01 0C 98 ?? ?? ?? ?? 0C 9B 04 93 04 98 0A B0 5D F8 04 BB 5D F8 0C FB ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_2_0 {
	meta:
		name = "??$common_spawnvp@D@@YAHHQBDQBQBD1@Z"
		size = 824
		refs = "0008 __security_push_cookie 002c _CrtDbgReportW 0036 _errno 004a _invalid_parameter 0128 _spawnve 0144 strchr 017e _dupenv_s_dbg 01a6 _calloc_dbg 01be strlen 01ca strrchr 01ea strcat_s 023a __doserrno 0290 __acrt_getpath 02a2 _free_dbg 02c4 __security_pop_cookie 02d8 _invoke_watson 0300 ??_C@_1FM@KAJIDENI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@ 0304 ??_C@_1BO@CDMOPAOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAp?$AA?$AA@ 0308 ??_C@_1GI@GEHJNBCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 030c ??_C@_1GK@DAAANMIF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@ 0310 ??_C@_1IO@HPGIPPPF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 0314 ??_C@_0DE@LHFJJMOO@minkernel?2crts?2ucrt?2src?2desktopc@ 0318 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0320 ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0324 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0328 ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 032c ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0330 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0334 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8A B0 1C 46 0E 46 CD E9 04 40 17 46 81 46 DE B9 C1 4B C5 4C B9 49 00 93 00 23 1F 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1F 23 AF 49 B0 4A 20 46 ?? ?? ?? ?? 6F F0 00 04 35 E1 96 F9 00 30 A3 B9 B2 4B B4 4C AA 49 00 93 00 23 20 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 20 23 DF E7 A7 B9 A7 4B A8 4C 9F 49 00 93 00 23 21 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 21 23 C9 E7 3B 68 A3 B9 9B 4B 9C 4C 93 49 00 93 00 23 22 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 22 23 B2 E7 93 F9 00 30 A3 B9 8F 4B 8E 4C 87 49 00 93 00 23 23 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 23 23 9A E7 ?? ?? ?? ?? 05 68 4F F0 00 0A 80 46 C0 F8 00 A0 23 46 3A 46 31 46 48 46 06 95 ?? ?? ?? ?? 04 46 10 F1 01 0F 40 F0 BF 80 ?? ?? ?? ?? 03 68 02 2B 0D D1 5C 21 30 46 ?? ?? ?? ?? 40 B9 2F 21 30 46 ?? ?? ?? ?? 18 B9 96 F9 01 30 3A 2B 02 D1 6F F0 00 04 A8 E0 6E 4B 08 AA 02 A8 08 93 00 23 8D F8 24 30 02 93 6A 23 01 93 68 4B 00 21 00 93 02 23 ?? ?? ?? ?? 03 46 02 98 13 B1 16 2B 01 D1 9E E0 10 B9 6F F0 00 04 89 E0 4B 23 00 93 5E 4B 4F F4 82 79 02 22 01 21 48 46 ?? ?? ?? ?? 05 46 00 2D 74 D0 02 98 6A E0 95 F9 00 30 00 2B 6E D0 28 46 ?? ?? ?? ?? 43 19 28 46 5C 21 5C 1E ?? ?? ?? ?? 84 42 0F D0 2F 21 28 46 ?? ?? ?? ?? 84 42 09 D0 5C 23 03 AA 49 46 28 46 AD F8 0C 30 ?? ?? ?? ?? 00 28 74 D1 28 46 ?? ?? ?? ?? 04 46 30 46 ?? ?? ?? ?? 23 18 4B 45 49 D2 32 46 49 46 28 46 ?? ?? ?? ?? 00 28 6B D1 ?? ?? ?? ?? 00 23 03 60 DD E9 04 30 3A 46 29 46 ?? ?? ?? ?? 04 46 10 F1 01 0F 36 D1 ?? ?? ?? ?? 03 68 02 2B 26 D0 ?? ?? ?? ?? 03 68 15 2B 21 D0 2F 21 28 46 ?? ?? ?? ?? A8 42 08 D1 6C 1C 20 46 2F 21 ?? ?? ?? ?? A0 42 08 BF 01 24 00 D0 00 24 5C 21 28 46 ?? ?? ?? ?? A8 42 08 D1 5C 21 68 1C ?? ?? ?? ?? 6B 1C 98 42 08 BF 01 23 00 D0 00 23 04 B9 43 B1 50 46 40 F2 03 12 29 46 ?? ?? ?? ?? 82 46 00 28 8C D1 6F F0 00 04 02 21 28 46 ?? ?? ?? ?? 02 98 06 9D 02 21 ?? ?? ?? ?? 00 23 02 93 D8 F8 00 30 13 B9 0D B1 C8 F8 00 50 20 46 0A B0 ?? ?? ?? ?? BD E8 F0 8F 0E 4A 0D 49 0F 48 44 23 CD F8 00 A0 ?? ?? ?? ?? 0A 4A 09 49 0A 48 00 23 00 93 5C 23 ?? ?? ?? ?? 06 4A 05 49 03 48 00 23 00 93 66 23 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 50 41 54 48 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_696_3_0 {
	meta:
		name = "??$common_spawnvp@_W@@YAHHQB_WQBQB_W1@Z"
		size = 824
		refs = "0008 __security_push_cookie 002c _CrtDbgReportW 0036 _errno 004a _invalid_parameter 0124 _wspawnve 0140 wcschr 017c _wdupenv_s_dbg 01a4 _calloc_dbg 01ba wcslen 01c8 wcsrchr 01e6 wcscat_s 0236 __doserrno 028c __acrt_wgetpath 029e _free_dbg 02c0 __security_pop_cookie 02d4 _invoke_watson 02fc ??_C@_1FM@KAJIDENI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@ 0300 ??_C@_1BO@CDMOPAOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAp?$AA?$AA@ 0304 ??_C@_1GI@GEHJNBCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0308 ??_C@_1GK@DAAANMIF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@ 030c ??_C@_1IO@HPGIPPPF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 0310 ??_C@_0DE@LHFJJMOO@minkernel?2crts?2ucrt?2src?2desktopc@ 0314 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0320 ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0324 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0328 ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 032c ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0330 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0334 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 2D E9 F0 4F 0D F1 1C 0B ?? ?? ?? ?? 8C B0 1C 46 0E 46 CD E9 04 40 17 46 81 46 DE B9 C1 4B C5 4C B8 49 00 93 00 23 1F 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 1F 23 AE 49 AF 4A 20 46 ?? ?? ?? ?? 6F F0 00 04 33 E1 33 88 A3 B9 B2 4B B5 4C A9 49 00 93 00 23 20 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 20 23 E0 E7 A7 B9 A7 4B A9 4C 9E 49 00 93 00 23 21 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 21 23 CA E7 3B 68 A3 B9 9C 4B 9C 4C 93 49 00 93 00 23 22 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 22 23 B3 E7 1B 88 A3 B9 90 4B 8F 4C 87 49 00 93 00 23 23 22 02 20 01 94 ?? ?? ?? ?? 01 28 00 D1 FE DE ?? ?? ?? ?? 16 23 03 60 00 23 00 93 23 23 9C E7 ?? ?? ?? ?? 05 68 4F F0 00 0A 80 46 C0 F8 00 A0 23 46 3A 46 31 46 48 46 06 95 ?? ?? ?? ?? 04 46 10 F1 01 0F 40 F0 BF 80 ?? ?? ?? ?? 03 68 02 2B 0C D1 5C 21 30 46 ?? ?? ?? ?? 38 B9 2F 21 30 46 ?? ?? ?? ?? 10 B9 73 88 3A 2B 02 D1 6F F0 00 04 A9 E0 6F 4B 08 AA 02 A8 08 93 6C 4B 00 21 09 93 00 23 AD F8 28 30 02 93 79 23 01 93 67 4B 00 93 02 23 ?? ?? ?? ?? 03 46 02 98 13 B1 16 2B 01 D1 9D E0 10 B9 6F F0 00 04 88 E0 4B 23 00 93 5D 4B 4F F4 82 79 02 22 02 21 48 46 ?? ?? ?? ?? 05 46 00 2D 73 D0 02 98 69 E0 2B 88 00 2B 6E D0 28 46 ?? ?? ?? ?? 05 EB 40 03 28 46 5C 21 9C 1E ?? ?? ?? ?? 84 42 0E D0 2F 21 28 46 ?? ?? ?? ?? 84 42 08 D0 5C 23 03 AA 49 46 28 46 03 93 ?? ?? ?? ?? 00 28 74 D1 28 46 ?? ?? ?? ?? 04 46 30 46 ?? ?? ?? ?? 23 18 4B 45 49 D2 32 46 49 46 28 46 ?? ?? ?? ?? 00 28 6B D1 ?? ?? ?? ?? 00 23 03 60 DD E9 04 30 3A 46 29 46 ?? ?? ?? ?? 04 46 10 F1 01 0F 36 D1 ?? ?? ?? ?? 03 68 02 2B 26 D0 ?? ?? ?? ?? 03 68 15 2B 21 D0 2F 21 28 46 ?? ?? ?? ?? A8 42 08 D1 AC 1C 20 46 2F 21 ?? ?? ?? ?? A0 42 08 BF 01 24 00 D0 00 24 5C 21 28 46 ?? ?? ?? ?? A8 42 08 D1 5C 21 A8 1C ?? ?? ?? ?? AB 1C 98 42 08 BF 01 23 00 D0 00 23 04 B9 43 B1 50 46 40 F2 03 12 29 46 ?? ?? ?? ?? 82 46 00 28 8D D1 6F F0 00 04 02 21 28 46 ?? ?? ?? ?? 02 98 06 9D 02 21 ?? ?? ?? ?? 00 23 02 93 D8 F8 00 30 13 B9 0D B1 C8 F8 00 50 20 46 0C B0 ?? ?? ?? ?? BD E8 F0 8F 0E 4A 0D 49 0F 48 44 23 CD F8 00 A0 ?? ?? ?? ?? 0A 4A 09 49 0A 48 00 23 00 93 5C 23 ?? ?? ?? ?? 06 4A 05 49 03 48 00 23 00 93 66 23 ?? ?? ?? ?? FE DE FE DE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 54 00 48 00 50 00 41 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_697_0_0 {
	meta:
		name = "asinf"
		size = 824
		refs = "0066 _handle_nanf 0088 valf_with_flags 0122 _handle_errorf 0188 sqrtf 0308 ?hpiby2_head@?1??asinf@@9@9 030c ?piby2_tail@?1??asinf@@9@9 0328 ??_C@_05ECHIKDO@asinf?$AA@ 0334 ?piby2@?1??asinf@@9@9"
	strings:
		$1 = { 2D E9 00 48 EB 46 A0 B0 8D ED 05 0A 9F ED C8 0A 8D ED 08 0A 00 23 0C 93 9D ED 05 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 09 93 09 9B 23 F0 00 43 12 93 09 9B 03 F0 00 43 11 93 12 9B B3 F1 FF 4F 02 D9 01 23 0E 93 01 E0 00 23 0E 93 0E 9B 13 93 09 9B 03 F0 FF 43 DB 0D 7F 3B 0B 93 13 9B 00 2B 0B D0 09 98 00 21 ?? ?? ?? ?? 8D ED 14 0A 9D ED 14 0A 8D ED 07 0A 42 E1 5C E0 0B 9B 13 F1 0E 0F 0C DA 10 20 9D ED 05 0A ?? ?? ?? ?? 8D ED 15 0A 9D ED 15 0A 8D ED 07 0A 31 E1 4B E0 0B 9B 00 2B 48 DB DD ED 05 0A B7 EE 00 0A F4 EE 40 0A F1 EE 10 FA 0D D1 10 20 9F 4B 93 ED 00 0A ?? ?? ?? ?? 8D ED 16 0A 9D ED 16 0A 8D ED 07 0A 17 E1 31 E0 DD ED 05 0A BF EE 00 0A F4 EE 40 0A F1 EE 10 FA 0F D1 10 20 93 4B 93 ED 00 0A B1 EE 40 0A ?? ?? ?? ?? 8D ED 17 0A 9D ED 17 0A 8D ED 07 0A FE E0 18 E0 01 23 03 93 DF ED 8A 0A 9D ED 05 0A 21 23 02 93 08 23 01 93 01 23 00 93 84 4A 00 23 0E 21 81 48 ?? ?? ?? ?? 8D ED 18 0A 9D ED 18 0A 8D ED 07 0A E4 E0 11 9B 00 2B 06 D0 9D ED 05 0A B1 EE 40 0A 8D ED 06 0A 03 E0 9D ED 05 0A 8D ED 06 0A 0B 9B B3 F1 FF 3F 02 DB 01 23 0F 93 01 E0 00 23 0F 93 0F 9B 0C 93 0C 9B 00 2B 1A D0 F7 EE 00 0A 9D ED 06 0A 70 EE C0 0A B6 EE 00 0A 20 EE 20 0A 8D ED 04 0A 9D ED 04 0A ?? ?? ?? ?? 8D ED 19 0A 9D ED 19 0A 8D ED 08 0A 9D ED 08 0A 8D ED 06 0A 07 E0 DD ED 06 0A 9D ED 06 0A 20 EE 80 0A 8D ED 04 0A DF ED 5C 0A 9D ED 04 0A 60 EE 80 0A 9F ED 58 0A 70 EE 60 0A 9D ED 04 0A 60 EE 80 0A 9F ED 53 0A 70 EE 20 0A 9D ED 04 0A 60 EE 80 0A 9F ED 4E 0A 70 EE 20 0A 9D ED 04 0A 20 EE 20 1A DF ED 49 0A 9D ED 04 0A 60 EE 80 0A 9F ED 45 0A 30 EE 60 0A 81 EE 00 0A 8D ED 10 0A 0C 9B 00 2B 57 D0 9D ED 08 0A B7 EE C0 0A B7 EE C0 0B 10 EE 10 3A 1A 93 1A 9B 6F F3 0F 03 00 EE 10 3A 8D ED 0A 0A DD ED 0A 0A 9D ED 0A 0A 60 EE 80 0A 9D ED 04 0A 30 EE 60 1A DD ED 08 0A 9D ED 0A 0A 30 EE 80 0A 81 EE 00 0A 8D ED 1B 0A F0 EE 00 0A 9D ED 08 0A 60 EE 80 0A 9D ED 10 0A 20 EE 80 1A F0 EE 00 0A 9D ED 1B 0A 60 EE 80 0A 24 4B 93 ED 00 0A 30 EE 60 0A 31 EE 40 0A 8D ED 1C 0A F0 EE 00 0A 9D ED 0A 0A 60 EE 80 0A 1C 4B 93 ED 00 0A 30 EE 60 0A 8D ED 1D 0A DD ED 1C 0A 9D ED 1D 0A 70 EE C0 0A 15 4B 93 ED 00 0A 30 EE 60 0A 8D ED 0D 0A 0F E0 DD ED 06 0A 9D ED 10 0A 20 EE 80 0A 8D ED 1E 0A DD ED 06 0A 9D ED 1E 0A 30 EE 80 0A 8D ED 0D 0A 11 9B 00 2B 07 D0 9D ED 0D 0A B1 EE 40 0A 8D ED 07 0A 04 E0 03 E0 9D ED 0D 0A 8D ED 07 0A 9D ED 07 0A 20 B0 BD E8 00 88 ?? ?? ?? ?? ?? ?? ?? ?? A5 6F 8D 3F 0D 1F 56 3F DC 94 3C 3E DD 8B 67 BD E1 3F 5B BC 6B CE 81 3B ?? ?? ?? ?? 00 00 C0 FF 00 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}